/*===========================================================================*/
/*   (Effect/effect.scm)                                                     */
/*   Bigloo (2.6b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Dec 15 12:14:36 CET 2003        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc-2.95 -lib-dir /users/serrano/prgm/project/bigloo/lib/2.6b -unsafev -no-hello -O2 -rm -unsafe -s -indent Effect/effect.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_effectz00;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_effectz00;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_effectz00;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;

typedef struct BgL_feffectz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_readz00;
   obj_t BgL_writez00;
} *BgL_feffectz00_bglt;

typedef struct BgL_nodez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
} *BgL_nodez00_bglt;

typedef struct BgL_nodezf2effectzf2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
} *BgL_nodezf2effectzf2_bglt;

typedef struct BgL_atomz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_atomz00_bglt;

typedef struct BgL_varz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_varz00_bglt;

typedef struct BgL_closurez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_closurez00_bglt;

typedef struct BgL_kwotez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_kwotez00_bglt;

typedef struct BgL_sequencez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_nodesz00;
} *BgL_sequencez00_bglt;

typedef struct BgL_appz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
} *BgL_appz00_bglt;

typedef struct BgL_appzd2lyzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_appzd2lyzd2_bglt;

typedef struct BgL_funcallz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
   obj_t BgL_strengthz00;
} *BgL_funcallz00_bglt;

typedef struct BgL_externz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
} *BgL_externz00_bglt;

typedef struct BgL_pragmaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   obj_t BgL_formatz00;
} *BgL_pragmaz00_bglt;

typedef struct BgL_getfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_getfieldz00_bglt;

typedef struct BgL_setfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_setfieldz00_bglt;

typedef struct BgL_newz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
} *BgL_newz00_bglt;

typedef struct BgL_vallocz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   obj_t BgL_czd2heapzd2formatz00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_vallocz00_bglt;

typedef struct BgL_vrefz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vrefz00_bglt;

typedef struct BgL_vsetz12z12_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vsetz12z12_bglt;

typedef struct BgL_vlengthz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vlengthz00_bglt;

typedef struct BgL_isaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   struct BgL_typez00_bgl * BgL_classz00;
} *BgL_isaz00_bglt;

typedef struct BgL_castz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_castz00_bglt;

typedef struct BgL_setqz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_setqz00_bglt;

typedef struct BgL_conditionalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   struct BgL_nodez00_bgl * BgL_truez00;
   struct BgL_nodez00_bgl * BgL_falsez00;
} *BgL_conditionalz00_bglt;

typedef struct BgL_failz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_procz00;
   struct BgL_nodez00_bgl * BgL_msgz00;
   struct BgL_nodez00_bgl * BgL_objz00;
} *BgL_failz00_bglt;

typedef struct BgL_selectz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   obj_t BgL_clausesz00;
   struct BgL_typez00_bgl * BgL_itemzd2typezd2;
} *BgL_selectz00_bglt;

typedef struct BgL_letzd2funzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_localsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_letzd2funzd2_bglt;

typedef struct BgL_letzd2varzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_bindingsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
   bool_t BgL_removablezf3zf3;
} *BgL_letzd2varzd2_bglt;

typedef struct BgL_setzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_setzd2exzd2itz00_bglt;

typedef struct BgL_jumpzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_exitz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_jumpzd2exzd2itz00_bglt;

typedef struct BgL_makezd2boxzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_makezd2boxzd2_bglt;

typedef struct BgL_boxzd2refzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_varz00;
} *BgL_boxzd2refzd2_bglt;

typedef struct BgL_boxzd2setz12zc0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_boxzd2setz12zc0_bglt;


static obj_t BGl_methodzd2initzd2zzeffect_effectz00();
static obj_t BGl_sidezd2effectzf3zd2var2669zf3zzeffect_effectz00(obj_t, obj_t);
static obj_t BGl_sidezd2effectzf3zd2nodezf2effect2671z01zzeffect_effectz00(obj_t, obj_t);
BGL_IMPORT obj_t open_input_string(obj_t);
static obj_t BGl_sidezd2effectzf3zd2default2664zf3zzeffect_effectz00(BgL_nodez00_bglt);
extern obj_t BGl_nodez00zzast_nodez00;
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t);
BGL_IMPORT obj_t BGl_addzd2genericz12zc0zz__objectz00(obj_t, obj_t);
static obj_t BGl_sidezd2effectzf3zd2fail2675zf3zzeffect_effectz00(obj_t, obj_t);
extern obj_t BGl_castz00zzast_nodez00;
static obj_t BGl_sidezd2effectzf3zd2setzd2exzd2it2677zf3zzeffect_effectz00(obj_t, obj_t);
extern obj_t BGl_varz00zzast_nodez00;
static obj_t BGl_cnstzd2initzd2zzeffect_effectz00();
extern obj_t BGl_failz00zzast_nodez00;
extern obj_t BGl_funcallz00zzast_nodez00;
static obj_t BGl_importedzd2moduleszd2initz00zzeffect_effectz00();
extern obj_t BGl_nodezf2effectzf2zzast_nodez00;
static obj_t BGl__sidezd2effectzf3zd2default2664zf3zzeffect_effectz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_addzd2methodz12zc0zz__objectz00(obj_t, obj_t, obj_t);
static obj_t BGl__sidezd2effectzf33097z21zzeffect_effectz00(obj_t, obj_t);
static obj_t BGl_toplevelzd2initzd2zzeffect_effectz00();
extern obj_t BGl_appzd2lyzd2zzast_nodez00;
extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzeffect_effectz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_EXPORTED_DECL bool_t BGl_sidezd2effectzf3z21zzeffect_effectz00(BgL_nodez00_bglt);
static obj_t BGl_sidezd2effectzf3zd2boxzd2setz122681z33zzeffect_effectz00(obj_t, obj_t);
static obj_t BGl_sidezd2effectzf3zd2cast2687zf3zzeffect_effectz00(obj_t, obj_t);
extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
static obj_t BGl_sidezd2effectzf3zd2appzd2ly2683z21zzeffect_effectz00(obj_t, obj_t);
static obj_t BGl_sidezd2effectzf3zd2node2667zf3zzeffect_effectz00(obj_t, obj_t);
static obj_t BGl_sidezd2effectzf3zd2setq2673zf3zzeffect_effectz00(obj_t, obj_t);
static obj_t BGl_sidezd2effectzf3zd2funcall2685zf3zzeffect_effectz00(obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zzeffect_effectz00 = BUNSPEC;
static obj_t BGl_sidezd2effectzf3zd2jumpzd2exzd2it2679zf3zzeffect_effectz00(obj_t, obj_t);
static obj_t BGl_libraryzd2moduleszd2initz00zzeffect_effectz00();
extern obj_t BGl_setqz00zzast_nodez00;
static obj_t __cnst[ 2 ] ;


DEFINE_STATIC_PROCEDURE( BGl_proc3173z00zzeffect_effectz00, BgL_bgl_sideza7d2effectza7f3za7d2node2667za7f3za7za7effect_effectza7003219za7, BGl_sidezd2effectzf3zd2node2667zf3zzeffect_effectz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3174z00zzeffect_effectz00, BgL_bgl_sideza7d2effectza7f3za7d2var2669za7f3za7za7effect_effectza7003220za7, BGl_sidezd2effectzf3zd2var2669zf3zzeffect_effectz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3175z00zzeffect_effectz00, BgL_bgl_sideza7d2effectza7f3za7d2nodeza7f2effect2671za701za7za7effect_effectza7003221z00, BGl_sidezd2effectzf3zd2nodezf2effect2671z01zzeffect_effectz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3176z00zzeffect_effectz00, BgL_bgl_sideza7d2effectza7f3za7d2setq2673za7f3za7za7effect_effectza7003222za7, BGl_sidezd2effectzf3zd2setq2673zf3zzeffect_effectz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3177z00zzeffect_effectz00, BgL_bgl_sideza7d2effectza7f3za7d2fail2675za7f3za7za7effect_effectza7003223za7, BGl_sidezd2effectzf3zd2fail2675zf3zzeffect_effectz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3178z00zzeffect_effectz00, BgL_bgl_sideza7d2effectza7f3za7d2setza7d2exza7d2it2677za7f3za7za7effect_effectza7003224za7, BGl_sidezd2effectzf3zd2setzd2exzd2it2677zf3zzeffect_effectz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3180z00zzeffect_effectz00, BgL_bgl_sideza7d2effectza7f3za7d2boxza7d2setza7122681za733za7za7effect_effectza7003225za7, BGl_sidezd2effectzf3zd2boxzd2setz122681z33zzeffect_effectz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3179z00zzeffect_effectz00, BgL_bgl_sideza7d2effectza7f3za7d2jumpza7d2exza7d2it2679za7f3za7za7effect_effectza7003226za7, BGl_sidezd2effectzf3zd2jumpzd2exzd2it2679zf3zzeffect_effectz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3181z00zzeffect_effectz00, BgL_bgl_sideza7d2effectza7f3za7d2appza7d2ly2683za721za7za7effect_effectza7003227z00, BGl_sidezd2effectzf3zd2appzd2ly2683z21zzeffect_effectz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3182z00zzeffect_effectz00, BgL_bgl_sideza7d2effectza7f3za7d2funcall2685za7f3za7za7effect_effectza7003228za7, BGl_sidezd2effectzf3zd2funcall2685zf3zzeffect_effectz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3183z00zzeffect_effectz00, BgL_bgl_sideza7d2effectza7f3za7d2cast2687za7f3za7za7effect_effectza7003229za7, BGl_sidezd2effectzf3zd2cast2687zf3zzeffect_effectz00, 0L, 1 );
DEFINE_STRING( BGl_string3185z00zzeffect_effectz00, BgL_bgl_string3185za700za7za7effect_effectza7003230z00, "side-effect?-default2664 read ", 30 );
DEFINE_STRING( BGl_string3184z00zzeffect_effectz00, BgL_bgl_string3184za700za7za7effect_effectza7003231z00, "No method for this object", 25 );
DEFINE_EXPORT_GENERIC( BGl_sidezd2effectzf3zd2envzf3zzeffect_effectz00, BgL_bgl__sideza7d2effectza7f33097za721za7za7effect_effectza7003232z00, BGl__sidezd2effectzf33097z21zzeffect_effectz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_sidezd2effectzf3zd2default2664zd2envz21zzeffect_effectz00, BgL_bgl__sideza7d2effectza7f3za7d2default2664za7f3za7za7effect_effectza7003233za7, BGl__sidezd2effectzf3zd2default2664zf3zzeffect_effectz00, 0L, 1 );



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzeffect_effectz00(long BgL_checksumz00_1215, char * BgL_fromz00_1216)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzeffect_effectz00))
{ 
BGl_requirezd2initializa7ationz75zzeffect_effectz00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzeffect_effectz00(); 
BGl_cnstzd2initzd2zzeffect_effectz00(); 
BGl_importedzd2moduleszd2initz00zzeffect_effectz00(); 
BGl_methodzd2initzd2zzeffect_effectz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzeffect_effectz00()
{ AN_OBJECT;
{ /* ./Effect/effect.scm 19 */
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "effect_effect"); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "effect_effect"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzeffect_effectz00()
{ AN_OBJECT;
{ /* ./Effect/effect.scm 19 */
{ /* ./Effect/effect.scm 19 */
obj_t BgL_cportz00_1192;
BgL_cportz00_1192 = 
open_input_string(BGl_string3185z00zzeffect_effectz00); 
{ 
long BgL_iz00_1193;
BgL_iz00_1193 = ((long)1); 
BgL_loopz00_1194:
{ /* ./Effect/effect.scm 19 */
bool_t BgL_test3187z00_1195;
BgL_test3187z00_1195 = 
(BgL_iz00_1193==((long)-1)); 
if(BgL_test3187z00_1195)
{ /* ./Effect/effect.scm 19 */
return BUNSPEC;}  else 
{ /* ./Effect/effect.scm 19 */
{ /* ./Effect/effect.scm 19 */
obj_t BgL_arg3189z00_1196;
{ /* ./Effect/effect.scm 19 */
obj_t BgL_list3192z00_1197;
BgL_list3192z00_1197 = 
MAKE_PAIR(BgL_cportz00_1192, BNIL); 
BgL_arg3189z00_1196 = 
BGl_readz00zz__readerz00(BgL_list3192z00_1197); } 
{ /* ./Effect/effect.scm 19 */
int BgL_auxz00_1231;
BgL_auxz00_1231 = 
(int)(BgL_iz00_1193); 
CNST_TABLE_SET(BgL_auxz00_1231, BgL_arg3189z00_1196); } } 
{ /* ./Effect/effect.scm 19 */
int BgL_auxz00_1198;
{ /* ./Effect/effect.scm 19 */
long BgL_auxz00_1234;
BgL_auxz00_1234 = 
(BgL_iz00_1193-((long)1)); 
BgL_auxz00_1198 = 
(int)(BgL_auxz00_1234); } 
{ 
long BgL_iz00_1237;
BgL_iz00_1237 = 
(long)(BgL_auxz00_1198); 
BgL_iz00_1193 = BgL_iz00_1237; 
goto BgL_loopz00_1194;} } } } } } } 
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zzeffect_effectz00()
{ AN_OBJECT;
{ /* ./Effect/effect.scm 19 */
return BUNSPEC;} 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzeffect_effectz00()
{ AN_OBJECT;
{ /* ./Effect/effect.scm 19 */
BGl_addzd2genericz12zc0zz__objectz00(BGl_sidezd2effectzf3zd2envzf3zzeffect_effectz00, BGl_sidezd2effectzf3zd2default2664zd2envz21zzeffect_effectz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_sidezd2effectzf3zd2envzf3zzeffect_effectz00, BGl_nodez00zzast_nodez00, BGl_proc3173z00zzeffect_effectz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_sidezd2effectzf3zd2envzf3zzeffect_effectz00, BGl_varz00zzast_nodez00, BGl_proc3174z00zzeffect_effectz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_sidezd2effectzf3zd2envzf3zzeffect_effectz00, BGl_nodezf2effectzf2zzast_nodez00, BGl_proc3175z00zzeffect_effectz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_sidezd2effectzf3zd2envzf3zzeffect_effectz00, BGl_setqz00zzast_nodez00, BGl_proc3176z00zzeffect_effectz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_sidezd2effectzf3zd2envzf3zzeffect_effectz00, BGl_failz00zzast_nodez00, BGl_proc3177z00zzeffect_effectz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_sidezd2effectzf3zd2envzf3zzeffect_effectz00, BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc3178z00zzeffect_effectz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_sidezd2effectzf3zd2envzf3zzeffect_effectz00, BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc3179z00zzeffect_effectz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_sidezd2effectzf3zd2envzf3zzeffect_effectz00, BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc3180z00zzeffect_effectz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_sidezd2effectzf3zd2envzf3zzeffect_effectz00, BGl_appzd2lyzd2zzast_nodez00, BGl_proc3181z00zzeffect_effectz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_sidezd2effectzf3zd2envzf3zzeffect_effectz00, BGl_funcallz00zzast_nodez00, BGl_proc3182z00zzeffect_effectz00); 
return 
BGl_addzd2methodz12zc0zz__objectz00(BGl_sidezd2effectzf3zd2envzf3zzeffect_effectz00, BGl_castz00zzast_nodez00, BGl_proc3183z00zzeffect_effectz00);} 
}



/* side-effect?-cast2687 */
obj_t BGl_sidezd2effectzf3zd2cast2687zf3zzeffect_effectz00(obj_t BgL_envz00_1168, obj_t BgL_nodez00_1169)
{ AN_OBJECT;
{ /* ./Effect/effect.scm 94 */
{ 
BgL_castz00_bglt BgL_nodez00_1085;
{ /* ./Effect/effect.scm 95 */
bool_t BgL_auxz00_1251;
BgL_nodez00_1085 = 
(BgL_castz00_bglt)(BgL_nodez00_1169); 
{ /* ./Effect/effect.scm 95 */
BgL_nodez00_bglt BgL_arg3078z00_1098;
BgL_arg3078z00_1098 = 
(((BgL_castz00_bglt)CREF(BgL_nodez00_1085))->BgL_argz00); 
{ /* ./Effect/effect.scm 95 */
bool_t BgL_res3094z00_1126;
{ /* ./Effect/effect.scm 95 */
obj_t BgL_method2665z00_1101;
{ /* ./Effect/effect.scm 95 */
BgL_objectz00_bglt BgL_objz00_1102;
BgL_objz00_1102 = 
(BgL_objectz00_bglt)(BgL_arg3078z00_1098); 
{ /* ./Effect/effect.scm 95 */
long BgL_objzd2classzd2numz00_1103;
BgL_objzd2classzd2numz00_1103 = 
BGL_OBJECT_CLASS_NUM(BgL_objz00_1102); 
{ /* ./Effect/effect.scm 95 */
obj_t BgL_arg2017z00_1104;
{ /* ./Effect/effect.scm 95 */
int BgL_auxz00_1255;
BgL_auxz00_1255 = 
(int)(((long)1)); 
BgL_arg2017z00_1104 = 
PROCEDURE_REF(BGl_sidezd2effectzf3zd2envzf3zzeffect_effectz00, BgL_auxz00_1255); } 
{ /* ./Effect/effect.scm 95 */
int BgL_offsetz00_1107;
BgL_offsetz00_1107 = 
(int)(BgL_objzd2classzd2numz00_1103); 
{ /* ./Effect/effect.scm 95 */
long BgL_offsetz00_1108;
{ /* ./Effect/effect.scm 95 */
long BgL_auxz00_1259;
BgL_auxz00_1259 = 
(long)(BgL_offsetz00_1107); 
BgL_offsetz00_1108 = 
(BgL_auxz00_1259-OBJECT_TYPE); } 
{ /* ./Effect/effect.scm 95 */
long BgL_modz00_1109;
{ /* ./Effect/effect.scm 95 */
int BgL_arg2028z00_1110;
BgL_arg2028z00_1110 = 
(int)(((long)8)); 
{ /* ./Effect/effect.scm 95 */
long BgL_n2z00_1118;
BgL_n2z00_1118 = 
(long)(BgL_arg2028z00_1110); 
BgL_modz00_1109 = 
(BgL_offsetz00_1108/BgL_n2z00_1118); } } 
{ /* ./Effect/effect.scm 95 */
long BgL_restz00_1111;
{ /* ./Effect/effect.scm 95 */
int BgL_arg2024z00_1112;
BgL_arg2024z00_1112 = 
(int)(((long)8)); 
{ /* ./Effect/effect.scm 95 */
long BgL_n2z00_1121;
BgL_n2z00_1121 = 
(long)(BgL_arg2024z00_1112); 
BgL_restz00_1111 = 
(BgL_offsetz00_1108%BgL_n2z00_1121); } } 
{ /* ./Effect/effect.scm 95 */

{ /* ./Effect/effect.scm 95 */
obj_t BgL_bucketz00_1113;
{ /* ./Effect/effect.scm 95 */
int BgL_kz00_1123;
BgL_kz00_1123 = 
(int)(BgL_modz00_1109); 
BgL_bucketz00_1113 = 
VECTOR_REF(BgL_arg2017z00_1104,BgL_kz00_1123); } 
{ /* ./Effect/effect.scm 95 */
int BgL_kz00_1125;
BgL_kz00_1125 = 
(int)(BgL_restz00_1111); 
BgL_method2665z00_1101 = 
VECTOR_REF(BgL_bucketz00_1113,BgL_kz00_1125); } } } } } } } } } } 
{ /* ./Effect/effect.scm 95 */
obj_t BgL_auxz00_1272;
BgL_auxz00_1272 = 
PROCEDURE_ENTRY(BgL_method2665z00_1101)(BgL_method2665z00_1101, 
(obj_t)(BgL_arg3078z00_1098), BEOA); 
BgL_res3094z00_1126 = 
CBOOL(BgL_auxz00_1272); } } 
BgL_auxz00_1251 = BgL_res3094z00_1126; } } 
return 
BBOOL(BgL_auxz00_1251);} } } 
}



/* side-effect?-funcall2685 */
obj_t BGl_sidezd2effectzf3zd2funcall2685zf3zzeffect_effectz00(obj_t BgL_envz00_1170, obj_t BgL_nodez00_1171)
{ AN_OBJECT;
{ /* ./Effect/effect.scm 88 */
{ /* ./Effect/effect.scm 89 */
bool_t BgL_auxz00_1279;
BgL_auxz00_1279 = ((bool_t)1); 
return 
BBOOL(BgL_auxz00_1279);} } 
}



/* side-effect?-app-ly2683 */
obj_t BGl_sidezd2effectzf3zd2appzd2ly2683z21zzeffect_effectz00(obj_t BgL_envz00_1172, obj_t BgL_nodez00_1173)
{ AN_OBJECT;
{ /* ./Effect/effect.scm 82 */
{ /* ./Effect/effect.scm 83 */
bool_t BgL_auxz00_1281;
BgL_auxz00_1281 = ((bool_t)1); 
return 
BBOOL(BgL_auxz00_1281);} } 
}



/* side-effect?-box-set!2681 */
obj_t BGl_sidezd2effectzf3zd2boxzd2setz122681z33zzeffect_effectz00(obj_t BgL_envz00_1174, obj_t BgL_nodez00_1175)
{ AN_OBJECT;
{ /* ./Effect/effect.scm 76 */
{ /* ./Effect/effect.scm 77 */
bool_t BgL_auxz00_1283;
BgL_auxz00_1283 = ((bool_t)1); 
return 
BBOOL(BgL_auxz00_1283);} } 
}



/* side-effect?-jump-ex-it2679 */
obj_t BGl_sidezd2effectzf3zd2jumpzd2exzd2it2679zf3zzeffect_effectz00(obj_t BgL_envz00_1176, obj_t BgL_nodez00_1177)
{ AN_OBJECT;
{ /* ./Effect/effect.scm 70 */
{ /* ./Effect/effect.scm 71 */
bool_t BgL_auxz00_1285;
BgL_auxz00_1285 = ((bool_t)1); 
return 
BBOOL(BgL_auxz00_1285);} } 
}



/* side-effect?-set-ex-it2677 */
obj_t BGl_sidezd2effectzf3zd2setzd2exzd2it2677zf3zzeffect_effectz00(obj_t BgL_envz00_1178, obj_t BgL_nodez00_1179)
{ AN_OBJECT;
{ /* ./Effect/effect.scm 64 */
{ /* ./Effect/effect.scm 65 */
bool_t BgL_auxz00_1287;
BgL_auxz00_1287 = ((bool_t)1); 
return 
BBOOL(BgL_auxz00_1287);} } 
}



/* side-effect?-fail2675 */
obj_t BGl_sidezd2effectzf3zd2fail2675zf3zzeffect_effectz00(obj_t BgL_envz00_1180, obj_t BgL_nodez00_1181)
{ AN_OBJECT;
{ /* ./Effect/effect.scm 58 */
{ /* ./Effect/effect.scm 59 */
bool_t BgL_auxz00_1289;
BgL_auxz00_1289 = ((bool_t)1); 
return 
BBOOL(BgL_auxz00_1289);} } 
}



/* side-effect?-setq2673 */
obj_t BGl_sidezd2effectzf3zd2setq2673zf3zzeffect_effectz00(obj_t BgL_envz00_1182, obj_t BgL_nodez00_1183)
{ AN_OBJECT;
{ /* ./Effect/effect.scm 52 */
{ /* ./Effect/effect.scm 53 */
bool_t BgL_auxz00_1291;
BgL_auxz00_1291 = ((bool_t)1); 
return 
BBOOL(BgL_auxz00_1291);} } 
}



/* side-effect?-node/effect2671 */
obj_t BGl_sidezd2effectzf3zd2nodezf2effect2671z01zzeffect_effectz00(obj_t BgL_envz00_1184, obj_t BgL_nodez00_1185)
{ AN_OBJECT;
{ /* ./Effect/effect.scm 43 */
{ 
BgL_nodezf2effectzf2_bglt BgL_nodez00_1043;
BgL_nodez00_1043 = 
(BgL_nodezf2effectzf2_bglt)(BgL_nodez00_1185); 
{ /* ./Effect/effect.scm 44 */
obj_t BgL_effectz00_1046;
BgL_effectz00_1046 = 
(((BgL_nodezf2effectzf2_bglt)CREF(BgL_nodez00_1043))->BgL_sidezd2effectzf3z21); 
if(
BOOLEANP(BgL_effectz00_1046))
{ /* ./Effect/effect.scm 45 */
return BgL_effectz00_1046;}  else 
{ /* ./Effect/effect.scm 45 */
return BTRUE;} } } } 
}



/* side-effect?-var2669 */
obj_t BGl_sidezd2effectzf3zd2var2669zf3zzeffect_effectz00(obj_t BgL_envz00_1186, obj_t BgL_nodez00_1187)
{ AN_OBJECT;
{ /* ./Effect/effect.scm 37 */
{ 
BgL_varz00_bglt BgL_nodez00_1034;
{ /* ./Effect/effect.scm 38 */
bool_t BgL_auxz00_1297;
BgL_nodez00_1034 = 
(BgL_varz00_bglt)(BgL_nodez00_1187); 
{ /* ./Effect/effect.scm 38 */
bool_t BgL_testz00_1298;
{ /* ./Effect/effect.scm 38 */
obj_t BgL_auxz00_1302;obj_t BgL_auxz00_1299;
BgL_auxz00_1302 = 
CNST_TABLE_REF(((long)0)); 
{ /* ./Effect/effect.scm 38 */
BgL_variablez00_bglt BgL_arg3017z00_1040;
BgL_arg3017z00_1040 = 
(((BgL_varz00_bglt)CREF(BgL_nodez00_1034))->BgL_variablez00); 
BgL_auxz00_1299 = 
(((BgL_variablez00_bglt)CREF(BgL_arg3017z00_1040))->BgL_accessz00); } 
BgL_testz00_1298 = 
(BgL_auxz00_1299==BgL_auxz00_1302); } 
if(BgL_testz00_1298)
{ /* ./Effect/effect.scm 38 */
BgL_auxz00_1297 = ((bool_t)0)
; }  else 
{ /* ./Effect/effect.scm 38 */
BgL_auxz00_1297 = ((bool_t)1)
; } } 
return 
BBOOL(BgL_auxz00_1297);} } } 
}



/* side-effect?-node2667 */
obj_t BGl_sidezd2effectzf3zd2node2667zf3zzeffect_effectz00(obj_t BgL_envz00_1188, obj_t BgL_nodez00_1189)
{ AN_OBJECT;
{ /* ./Effect/effect.scm 31 */
{ /* ./Effect/effect.scm 32 */
bool_t BgL_auxz00_1307;
BgL_auxz00_1307 = ((bool_t)0); 
return 
BBOOL(BgL_auxz00_1307);} } 
}



/* side-effect? */
BGL_EXPORTED_DEF bool_t BGl_sidezd2effectzf3z21zzeffect_effectz00(BgL_nodez00_bglt BgL_nodez00_1)
{ AN_OBJECT;
{ /* ./Effect/effect.scm 26 */
{ /* ./Effect/effect.scm 26 */
obj_t BgL_method2665z00_1127;
{ /* ./Effect/effect.scm 26 */
BgL_objectz00_bglt BgL_objz00_1128;
BgL_objz00_1128 = 
(BgL_objectz00_bglt)(BgL_nodez00_1); 
{ /* ./Effect/effect.scm 26 */
long BgL_objzd2classzd2numz00_1129;
BgL_objzd2classzd2numz00_1129 = 
BGL_OBJECT_CLASS_NUM(BgL_objz00_1128); 
{ /* ./Effect/effect.scm 26 */
obj_t BgL_arg2017z00_1130;
{ /* ./Effect/effect.scm 26 */
int BgL_auxz00_1311;
BgL_auxz00_1311 = 
(int)(((long)1)); 
BgL_arg2017z00_1130 = 
PROCEDURE_REF(BGl_sidezd2effectzf3zd2envzf3zzeffect_effectz00, BgL_auxz00_1311); } 
{ /* ./Effect/effect.scm 26 */
int BgL_offsetz00_1133;
BgL_offsetz00_1133 = 
(int)(BgL_objzd2classzd2numz00_1129); 
{ /* ./Effect/effect.scm 26 */
long BgL_offsetz00_1134;
{ /* ./Effect/effect.scm 26 */
long BgL_auxz00_1315;
BgL_auxz00_1315 = 
(long)(BgL_offsetz00_1133); 
BgL_offsetz00_1134 = 
(BgL_auxz00_1315-OBJECT_TYPE); } 
{ /* ./Effect/effect.scm 26 */
long BgL_modz00_1135;
{ /* ./Effect/effect.scm 26 */
int BgL_arg2028z00_1136;
BgL_arg2028z00_1136 = 
(int)(((long)8)); 
{ /* ./Effect/effect.scm 26 */
long BgL_n2z00_1144;
BgL_n2z00_1144 = 
(long)(BgL_arg2028z00_1136); 
BgL_modz00_1135 = 
(BgL_offsetz00_1134/BgL_n2z00_1144); } } 
{ /* ./Effect/effect.scm 26 */
long BgL_restz00_1137;
{ /* ./Effect/effect.scm 26 */
int BgL_arg2024z00_1138;
BgL_arg2024z00_1138 = 
(int)(((long)8)); 
{ /* ./Effect/effect.scm 26 */
long BgL_n2z00_1147;
BgL_n2z00_1147 = 
(long)(BgL_arg2024z00_1138); 
BgL_restz00_1137 = 
(BgL_offsetz00_1134%BgL_n2z00_1147); } } 
{ /* ./Effect/effect.scm 26 */

{ /* ./Effect/effect.scm 26 */
obj_t BgL_bucketz00_1139;
{ /* ./Effect/effect.scm 26 */
int BgL_kz00_1149;
BgL_kz00_1149 = 
(int)(BgL_modz00_1135); 
BgL_bucketz00_1139 = 
VECTOR_REF(BgL_arg2017z00_1130,BgL_kz00_1149); } 
{ /* ./Effect/effect.scm 26 */
int BgL_kz00_1151;
BgL_kz00_1151 = 
(int)(BgL_restz00_1137); 
BgL_method2665z00_1127 = 
VECTOR_REF(BgL_bucketz00_1139,BgL_kz00_1151); } } } } } } } } } } 
{ /* ./Effect/effect.scm 26 */
obj_t BgL_auxz00_1328;
BgL_auxz00_1328 = 
PROCEDURE_ENTRY(BgL_method2665z00_1127)(BgL_method2665z00_1127, 
(obj_t)(BgL_nodez00_1), BEOA); 
return 
CBOOL(BgL_auxz00_1328);} } } 
}



/* _side-effect?3097 */
obj_t BGl__sidezd2effectzf33097z21zzeffect_effectz00(obj_t BgL_envz00_1156, obj_t BgL_nodez00_1157)
{ AN_OBJECT;
{ /* ./Effect/effect.scm 26 */
{ /* ./Effect/effect.scm 26 */
bool_t BgL_auxz00_1333;
BgL_auxz00_1333 = 
BGl_sidezd2effectzf3z21zzeffect_effectz00(
(BgL_nodez00_bglt)(BgL_nodez00_1157)); 
return 
BBOOL(BgL_auxz00_1333);} } 
}



/* side-effect?-default2664 */
obj_t BGl_sidezd2effectzf3zd2default2664zf3zzeffect_effectz00(BgL_nodez00_bglt BgL_nodez00_2)
{ AN_OBJECT;
{ /* ./Effect/effect.scm 19 */
{ /* ./Effect/effect.scm 19 */
obj_t BgL_procz00_1152;obj_t BgL_objectz00_1154;
BgL_procz00_1152 = 
CNST_TABLE_REF(((long)1)); 
BgL_objectz00_1154 = 
(obj_t)(BgL_nodez00_2); 
FAILURE(BgL_procz00_1152,BGl_string3184z00zzeffect_effectz00,BgL_objectz00_1154);} } 
}



/* _side-effect?-default2664 */
obj_t BGl__sidezd2effectzf3zd2default2664zf3zzeffect_effectz00(obj_t BgL_envz00_1190, obj_t BgL_nodez00_1191)
{ AN_OBJECT;
{ /* ./Effect/effect.scm 19 */
return 
BGl_sidezd2effectzf3zd2default2664zf3zzeffect_effectz00(
(BgL_nodez00_bglt)(BgL_nodez00_1191));} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzeffect_effectz00()
{ AN_OBJECT;
{ /* ./Effect/effect.scm 19 */
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19090), "effect_effect"); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)44246), "effect_effect"); 
return 
BGl_modulezd2initializa7ationz75zzast_nodez00(((long)50868), "effect_effect");} 
}

