/*===========================================================================*/
/*   (SawMill/InlineReturn.scm)                                              */
/*   Bigloo (2.6b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Dec 15 12:14:36 CET 2003        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc-2.95 -lib-dir /users/serrano/prgm/project/bigloo/lib/2.6b -unsafev -no-hello -O2 -rm -unsafe -s -indent SawMill/InlineReturn.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_effectz00;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_effectz00;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_effectz00;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;

typedef struct BgL_feffectz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_readz00;
   obj_t BgL_writez00;
} *BgL_feffectz00_bglt;

typedef struct BgL_nodez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
} *BgL_nodez00_bglt;

typedef struct BgL_nodezf2effectzf2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
} *BgL_nodezf2effectzf2_bglt;

typedef struct BgL_atomz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_atomz00_bglt;

typedef struct BgL_varz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_varz00_bglt;

typedef struct BgL_closurez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_closurez00_bglt;

typedef struct BgL_kwotez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_kwotez00_bglt;

typedef struct BgL_sequencez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_nodesz00;
} *BgL_sequencez00_bglt;

typedef struct BgL_appz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
} *BgL_appz00_bglt;

typedef struct BgL_appzd2lyzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_appzd2lyzd2_bglt;

typedef struct BgL_funcallz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
   obj_t BgL_strengthz00;
} *BgL_funcallz00_bglt;

typedef struct BgL_externz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
} *BgL_externz00_bglt;

typedef struct BgL_pragmaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   obj_t BgL_formatz00;
} *BgL_pragmaz00_bglt;

typedef struct BgL_getfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_getfieldz00_bglt;

typedef struct BgL_setfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_setfieldz00_bglt;

typedef struct BgL_newz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
} *BgL_newz00_bglt;

typedef struct BgL_vallocz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   obj_t BgL_czd2heapzd2formatz00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_vallocz00_bglt;

typedef struct BgL_vrefz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vrefz00_bglt;

typedef struct BgL_vsetz12z12_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vsetz12z12_bglt;

typedef struct BgL_vlengthz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vlengthz00_bglt;

typedef struct BgL_isaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   struct BgL_typez00_bgl * BgL_classz00;
} *BgL_isaz00_bglt;

typedef struct BgL_castz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_castz00_bglt;

typedef struct BgL_setqz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_setqz00_bglt;

typedef struct BgL_conditionalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   struct BgL_nodez00_bgl * BgL_truez00;
   struct BgL_nodez00_bgl * BgL_falsez00;
} *BgL_conditionalz00_bglt;

typedef struct BgL_failz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_procz00;
   struct BgL_nodez00_bgl * BgL_msgz00;
   struct BgL_nodez00_bgl * BgL_objz00;
} *BgL_failz00_bglt;

typedef struct BgL_selectz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   obj_t BgL_clausesz00;
   struct BgL_typez00_bgl * BgL_itemzd2typezd2;
} *BgL_selectz00_bglt;

typedef struct BgL_letzd2funzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_localsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_letzd2funzd2_bglt;

typedef struct BgL_letzd2varzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_bindingsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
   bool_t BgL_removablezf3zf3;
} *BgL_letzd2varzd2_bglt;

typedef struct BgL_setzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_setzd2exzd2itz00_bglt;

typedef struct BgL_jumpzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_exitz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_jumpzd2exzd2itz00_bglt;

typedef struct BgL_makezd2boxzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_makezd2boxzd2_bglt;

typedef struct BgL_boxzd2refzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_varz00;
} *BgL_boxzd2refzd2_bglt;

typedef struct BgL_boxzd2setz12zc0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_boxzd2setz12zc0_bglt;

typedef struct BgL_rtl_regz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_varz00;
} *BgL_rtl_regz00_bglt;

typedef struct BgL_rtl_funz00_bgl {
   header_t header;
   obj_t widening;
} *BgL_rtl_funz00_bglt;

typedef struct BgL_rtl_lastz00_bgl {
   header_t header;
   obj_t widening;
} *BgL_rtl_lastz00_bglt;

typedef struct BgL_rtl_returnz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_typez00_bgl * BgL_typez00;
} *BgL_rtl_returnz00_bglt;

typedef struct BgL_rtl_jumpexitz00_bgl {
   header_t header;
   obj_t widening;
} *BgL_rtl_jumpexitz00_bglt;

typedef struct BgL_rtl_failz00_bgl {
   header_t header;
   obj_t widening;
} *BgL_rtl_failz00_bglt;

typedef struct BgL_rtl_notseqz00_bgl {
   header_t header;
   obj_t widening;
} *BgL_rtl_notseqz00_bglt;

typedef struct BgL_rtl_ifz00_bgl {
   header_t header;
   obj_t widening;
} *BgL_rtl_ifz00_bglt;

typedef struct BgL_rtl_selectz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_patternsz00;
} *BgL_rtl_selectz00_bglt;

typedef struct BgL_rtl_switchz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_patternsz00;
   obj_t BgL_labelsz00;
} *BgL_rtl_switchz00_bglt;

typedef struct BgL_rtl_ifeqz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_blockz00_bgl * BgL_thenz00;
} *BgL_rtl_ifeqz00_bglt;

typedef struct BgL_rtl_ifnez00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_blockz00_bgl * BgL_thenz00;
} *BgL_rtl_ifnez00_bglt;

typedef struct BgL_rtl_goz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_blockz00_bgl * BgL_toz00;
} *BgL_rtl_goz00_bglt;

typedef struct BgL_rtl_purez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_rtl_purez00_bglt;

typedef struct BgL_rtl_nopz00_bgl {
   header_t header;
   obj_t widening;
} *BgL_rtl_nopz00_bglt;

typedef struct BgL_rtl_movz00_bgl {
   header_t header;
   obj_t widening;
} *BgL_rtl_movz00_bglt;

typedef struct BgL_rtl_loadiz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_atomz00_bgl * BgL_constantz00;
} *BgL_rtl_loadiz00_bglt;

typedef struct BgL_rtl_loadgz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_globalz00_bgl * BgL_varz00;
} *BgL_rtl_loadgz00_bglt;

typedef struct BgL_rtl_loadfunz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_globalz00_bgl * BgL_varz00;
} *BgL_rtl_loadfunz00_bglt;

typedef struct BgL_rtl_globalrefz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_globalz00_bgl * BgL_varz00;
} *BgL_rtl_globalrefz00_bglt;

typedef struct BgL_rtl_getfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_objtypez00;
   struct BgL_typez00_bgl * BgL_typez00;
} *BgL_rtl_getfieldz00_bglt;

typedef struct BgL_rtl_vallocz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_rtl_vallocz00_bglt;

typedef struct BgL_rtl_vrefz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_rtl_vrefz00_bglt;

typedef struct BgL_rtl_vlengthz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_typez00_bgl * BgL_typez00;
} *BgL_rtl_vlengthz00_bglt;

typedef struct BgL_rtl_isaz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_typez00_bgl * BgL_typez00;
} *BgL_rtl_isaz00_bglt;

typedef struct BgL_rtl_makeboxz00_bgl {
   header_t header;
   obj_t widening;
} *BgL_rtl_makeboxz00_bglt;

typedef struct BgL_rtl_boxrefz00_bgl {
   header_t header;
   obj_t widening;
} *BgL_rtl_boxrefz00_bglt;

typedef struct BgL_rtl_effectz00_bgl {
   header_t header;
   obj_t widening;
} *BgL_rtl_effectz00_bglt;

typedef struct BgL_rtl_storegz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_globalz00_bgl * BgL_varz00;
} *BgL_rtl_storegz00_bglt;

typedef struct BgL_rtl_setfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_objtypez00;
   struct BgL_typez00_bgl * BgL_typez00;
} *BgL_rtl_setfieldz00_bglt;

typedef struct BgL_rtl_vsetz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_rtl_vsetz00_bglt;

typedef struct BgL_rtl_boxsetz00_bgl {
   header_t header;
   obj_t widening;
} *BgL_rtl_boxsetz00_bglt;

typedef struct BgL_rtl_newz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_typez00_bgl * BgL_typez00;
} *BgL_rtl_newz00_bglt;

typedef struct BgL_rtl_callz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_globalz00_bgl * BgL_varz00;
} *BgL_rtl_callz00_bglt;

typedef struct BgL_rtl_applyz00_bgl {
   header_t header;
   obj_t widening;
} *BgL_rtl_applyz00_bglt;

typedef struct BgL_rtl_lightfuncallz00_bgl {
   header_t header;
   obj_t widening;
} *BgL_rtl_lightfuncallz00_bglt;

typedef struct BgL_rtl_funcallz00_bgl {
   header_t header;
   obj_t widening;
} *BgL_rtl_funcallz00_bglt;

typedef struct BgL_rtl_pragmaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_formatz00;
} *BgL_rtl_pragmaz00_bglt;

typedef struct BgL_rtl_castz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_typez00_bgl * BgL_typez00;
} *BgL_rtl_castz00_bglt;

typedef struct BgL_rtl_protectz00_bgl {
   header_t header;
   obj_t widening;
} *BgL_rtl_protectz00_bglt;

typedef struct BgL_rtl_protectedz00_bgl {
   header_t header;
   obj_t widening;
} *BgL_rtl_protectedz00_bglt;

typedef struct BgL_stl_loadrz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_rtl_regz00_bgl * BgL_regz00;
} *BgL_stl_loadrz00_bglt;

typedef struct BgL_stl_storerz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_rtl_regz00_bgl * BgL_regz00;
} *BgL_stl_storerz00_bglt;

typedef struct BgL_stl_popz00_bgl {
   header_t header;
   obj_t widening;
} *BgL_stl_popz00_bglt;

typedef struct BgL_rtl_insz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   obj_t BgL_destz00;
   struct BgL_rtl_funz00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
} *BgL_rtl_insz00_bglt;

typedef struct BgL_blockz00_bgl {
   header_t header;
   obj_t widening;
   int BgL_labelz00;
   obj_t BgL_predsz00;
   obj_t BgL_succsz00;
   obj_t BgL_firstz00;
} *BgL_blockz00_bglt;

typedef struct BgL_dfsz00_bgl {
   char dummy;
} *BgL_dfsz00_bglt;


static obj_t BGl_methodzd2initzd2zzsaw_inline_returnz00();
BGL_IMPORT obj_t open_input_string(obj_t);
BGL_IMPORT long BGl_classzd2numzd2zz__objectz00(obj_t);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t);
BGL_IMPORT bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
static BgL_rtl_regz00_bglt BGl_copyzd2regzd2zzsaw_inline_returnz00(obj_t);
BGL_IMPORT obj_t BGl_objectzd2ze3structz31zz__objectz00(BgL_objectz00_bglt);
extern BgL_rtl_regz00_bglt BGl_makezd2rtl_regzd2zzsaw_defsz00(BgL_typez00_bglt, obj_t);
static BgL_dfsz00_bglt BGl_wideningzd2dfszd2zzsaw_inline_returnz00();
BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_assqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
static obj_t BGl__allocatezd2dfszd2zzsaw_inline_returnz00(obj_t);
BGL_IMPORT obj_t BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(obj_t);
static obj_t BGl_objectzd2ze3structzd2dfs3177ze3zzsaw_inline_returnz00(obj_t, obj_t);
static obj_t BGl_cnstzd2initzd2zzsaw_inline_returnz00();
static bool_t BGl_dfsz72z72zzsaw_inline_returnz00(obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zzsaw_inline_returnz00();
BGL_IMPORT obj_t make_struct(obj_t, int, obj_t);
BGL_IMPORT obj_t BGl_addzd2methodz12zc0zz__objectz00(obj_t, obj_t, obj_t);
extern obj_t BGl_rtl_lastz00zzsaw_defsz00;
static obj_t BGl_toplevelzd2initzd2zzsaw_inline_returnz00();
static obj_t BGl_reallocz00zzsaw_inline_returnz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzsaw_inline_returnz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzsaw_libz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzsaw_defsz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
extern obj_t BGl_blockz00zzsaw_defsz00;
static obj_t BGl__inlinezd2returnszd2zzsaw_inline_returnz00(obj_t, obj_t);
BGL_IMPORT BgL_objectz00_bglt BGl_structzb2objectzd2ze3objectz83zz__objectz00(BgL_objectz00_bglt, obj_t);
BGL_EXPORTED_DECL obj_t BGl_inlinezd2returnszd2zzsaw_inline_returnz00(BgL_blockz00_bglt);
extern BgL_rtl_insz00_bglt BGl_makezd2rtl_inszd2zzsaw_defsz00(obj_t, obj_t, BgL_rtl_funz00_bglt, obj_t);
extern obj_t BGl_rtl_movz00zzsaw_defsz00;
static bool_t BGl_inlinezd2returnzd2zzsaw_inline_returnz00(BgL_blockz00_bglt);
static long BGl_za2inlinezd2depthza2zd2zzsaw_inline_returnz00;
BGL_IMPORT obj_t bgl_append2(obj_t, obj_t);
static obj_t BGl_objectzd2initzd2zzsaw_inline_returnz00();
static obj_t BGl_requirezd2initializa7ationz75zzsaw_inline_returnz00 = BUNSPEC;
static BgL_rtl_insz00_bglt BGl_renamezd2inszd2zzsaw_inline_returnz00(obj_t, obj_t);
static obj_t BGl_dfsz00zzsaw_inline_returnz00 = BUNSPEC;
static obj_t BGl_structzb2objectzd2ze3objectzd2dfs3179z51zzsaw_inline_returnz00(obj_t, obj_t, obj_t);
static obj_t BGl_libraryzd2moduleszd2initz00zzsaw_inline_returnz00();
BGL_IMPORT obj_t BGl_remqz12z12zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
static bool_t BGl_simplezd2returnzf3z21zzsaw_inline_returnz00(obj_t, long);
BGL_IMPORT obj_t BGl_findzd2superzd2classzd2methodzd2zz__objectz00(BgL_objectz00_bglt, obj_t, obj_t);
static obj_t BGl_findzd2returnszd2zzsaw_inline_returnz00(BgL_blockz00_bglt);
static obj_t __cnst[ 1 ] ;


DEFINE_STATIC_PROCEDURE( BGl_proc4135z00zzsaw_inline_returnz00, BgL_bgl_objectza7d2za7e3structza7d2dfs3177za7e3za7za7saw_inline_returnza7004166za7, BGl_objectzd2ze3structzd2dfs3177ze3zzsaw_inline_returnz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc4136z00zzsaw_inline_returnz00, BgL_bgl_structza7b2objectza7d2za7e3objectza7d2dfs3179za751za7za7saw_inline_returnza7004167z00, BGl_structzb2objectzd2ze3objectzd2dfs3179z51zzsaw_inline_returnz00, 0L, 2 );
BGL_IMPORT obj_t BGl_objectzd2ze3structzd2envze3zz__objectz00;
DEFINE_STATIC_PROCEDURE( BGl_allocatezd2dfszd2envz00zzsaw_inline_returnz00, BgL_bgl__allocateza7d2dfsza7d2za7za7saw_inline_returnza7004168za7, BGl__allocatezd2dfszd2zzsaw_inline_returnz00, 0L, 0 );
DEFINE_STRING( BGl_string4137z00zzsaw_inline_returnz00, BgL_bgl_string4137za700za7za7saw_inline_returnza7004169z00, "dfs ", 4 );
BGL_IMPORT obj_t BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00;
DEFINE_EXPORT_PROCEDURE( BGl_inlinezd2returnszd2envz00zzsaw_inline_returnz00, BgL_bgl__inlineza7d2returnsza7d2za7za7saw_inline_returnza7004170za7, BGl__inlinezd2returnszd2zzsaw_inline_returnz00, 0L, 1 );



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzsaw_inline_returnz00(long BgL_checksumz00_1695, char * BgL_fromz00_1696)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzsaw_inline_returnz00))
{ 
BGl_requirezd2initializa7ationz75zzsaw_inline_returnz00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzsaw_inline_returnz00(); 
BGl_cnstzd2initzd2zzsaw_inline_returnz00(); 
BGl_importedzd2moduleszd2initz00zzsaw_inline_returnz00(); 
BGl_objectzd2initzd2zzsaw_inline_returnz00(); 
BGl_methodzd2initzd2zzsaw_inline_returnz00(); 
BGl_toplevelzd2initzd2zzsaw_inline_returnz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzsaw_inline_returnz00()
{ AN_OBJECT;
{ /* ./SawMill/InlineReturn.scm 1 */
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "saw_inline_return"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "saw_inline_return"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "saw_inline_return"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzsaw_inline_returnz00()
{ AN_OBJECT;
{ /* ./SawMill/InlineReturn.scm 1 */
{ /* ./SawMill/InlineReturn.scm 1 */
obj_t BgL_cportz00_1677;
BgL_cportz00_1677 = 
open_input_string(BGl_string4137z00zzsaw_inline_returnz00); 
{ 
long BgL_iz00_1678;
BgL_iz00_1678 = ((long)0); 
BgL_loopz00_1679:
{ /* ./SawMill/InlineReturn.scm 1 */
bool_t BgL_test4139z00_1680;
BgL_test4139z00_1680 = 
(BgL_iz00_1678==((long)-1)); 
if(BgL_test4139z00_1680)
{ /* ./SawMill/InlineReturn.scm 1 */
return BUNSPEC;}  else 
{ /* ./SawMill/InlineReturn.scm 1 */
{ /* ./SawMill/InlineReturn.scm 1 */
obj_t BgL_arg4141z00_1681;
{ /* ./SawMill/InlineReturn.scm 1 */
obj_t BgL_list4144z00_1682;
BgL_list4144z00_1682 = 
MAKE_PAIR(BgL_cportz00_1677, BNIL); 
BgL_arg4141z00_1681 = 
BGl_readz00zz__readerz00(BgL_list4144z00_1682); } 
{ /* ./SawMill/InlineReturn.scm 1 */
int BgL_auxz00_1714;
BgL_auxz00_1714 = 
(int)(BgL_iz00_1678); 
CNST_TABLE_SET(BgL_auxz00_1714, BgL_arg4141z00_1681); } } 
{ /* ./SawMill/InlineReturn.scm 1 */
int BgL_auxz00_1683;
{ /* ./SawMill/InlineReturn.scm 1 */
long BgL_auxz00_1717;
BgL_auxz00_1717 = 
(BgL_iz00_1678-((long)1)); 
BgL_auxz00_1683 = 
(int)(BgL_auxz00_1717); } 
{ 
long BgL_iz00_1720;
BgL_iz00_1720 = 
(long)(BgL_auxz00_1683); 
BgL_iz00_1678 = BgL_iz00_1720; 
goto BgL_loopz00_1679;} } } } } } } 
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zzsaw_inline_returnz00()
{ AN_OBJECT;
{ /* ./SawMill/InlineReturn.scm 1 */
return ( 
BGl_za2inlinezd2depthza2zd2zzsaw_inline_returnz00 = ((long)2), BUNSPEC) ;} 
}



/* inline-returns */
BGL_EXPORTED_DEF obj_t BGl_inlinezd2returnszd2zzsaw_inline_returnz00(BgL_blockz00_bglt BgL_bz00_1)
{ AN_OBJECT;
{ /* ./SawMill/InlineReturn.scm 7 */
{ 
obj_t BgL_l3150z00_935;
{ /* ./SawMill/InlineReturn.scm 8 */
obj_t BgL_arg3181z00_937;
BgL_arg3181z00_937 = 
BGl_findzd2returnszd2zzsaw_inline_returnz00(BgL_bz00_1); 
{ /* ./SawMill/InlineReturn.scm 8 */
bool_t BgL_auxz00_1723;
BgL_l3150z00_935 = BgL_arg3181z00_937; 
BgL_forzd2each3151zd2_936:
{ /* ./SawMill/InlineReturn.scm 8 */
bool_t BgL_test3184z00_938;
BgL_test3184z00_938 = 
PAIRP(BgL_l3150z00_935); 
if(BgL_test3184z00_938)
{ /* ./SawMill/InlineReturn.scm 8 */
{ /* ./SawMill/InlineReturn.scm 8 */
obj_t BgL_arg3186z00_939;
BgL_arg3186z00_939 = 
CAR(BgL_l3150z00_935); 
BGl_inlinezd2returnzd2zzsaw_inline_returnz00(
(BgL_blockz00_bglt)(BgL_arg3186z00_939)); } 
{ /* ./SawMill/InlineReturn.scm 8 */
obj_t BgL_arg3190z00_940;
BgL_arg3190z00_940 = 
CDR(BgL_l3150z00_935); 
{ 
obj_t BgL_l3150z00_1730;
BgL_l3150z00_1730 = BgL_arg3190z00_940; 
BgL_l3150z00_935 = BgL_l3150z00_1730; 
goto BgL_forzd2each3151zd2_936;} } }  else 
{ /* ./SawMill/InlineReturn.scm 8 */
BgL_auxz00_1723 = ((bool_t)1); } } 
return 
BBOOL(BgL_auxz00_1723);} } } } 
}



/* _inline-returns */
obj_t BGl__inlinezd2returnszd2zzsaw_inline_returnz00(obj_t BgL_envz00_1660, obj_t BgL_bz00_1661)
{ AN_OBJECT;
{ /* ./SawMill/InlineReturn.scm 7 */
return 
BGl_inlinezd2returnszd2zzsaw_inline_returnz00(
(BgL_blockz00_bglt)(BgL_bz00_1661));} 
}



/* inline-return */
bool_t BGl_inlinezd2returnzd2zzsaw_inline_returnz00(BgL_blockz00_bglt BgL_bz00_2)
{ AN_OBJECT;
{ /* ./SawMill/InlineReturn.scm 16 */
{ 
BgL_blockz00_bglt BgL_bz00_955;obj_t BgL_lz00_956;BgL_blockz00_bglt BgL_sz00_957;
{ /* ./SawMill/InlineReturn.scm 36 */
obj_t BgL_lz00_944;
BgL_lz00_944 = 
(((BgL_blockz00_bglt)CREF(BgL_bz00_2))->BgL_firstz00); 
{ /* ./SawMill/InlineReturn.scm 37 */
bool_t BgL_test3194z00_945;
BgL_test3194z00_945 = 
BGl_simplezd2returnzf3z21zzsaw_inline_returnz00(BgL_lz00_944, ((long)2)); 
if(BgL_test3194z00_945)
{ 
obj_t BgL_l3156z00_946;
{ /* ./SawMill/InlineReturn.scm 40 */
obj_t BgL_arg3196z00_948;
BgL_arg3196z00_948 = 
(((BgL_blockz00_bglt)CREF(BgL_bz00_2))->BgL_predsz00); 
BgL_l3156z00_946 = BgL_arg3196z00_948; 
BgL_forzd2each3157zd2_947:
{ /* ./SawMill/InlineReturn.scm 38 */
bool_t BgL_test3199z00_949;
BgL_test3199z00_949 = 
PAIRP(BgL_l3156z00_946); 
if(BgL_test3199z00_949)
{ /* ./SawMill/InlineReturn.scm 38 */
{ /* ./SawMill/InlineReturn.scm 38 */
obj_t BgL_pz00_950;
BgL_pz00_950 = 
CAR(BgL_l3156z00_946); 
{ /* ./SawMill/InlineReturn.scm 38 */
bool_t BgL_test3200z00_951;
{ /* ./SawMill/InlineReturn.scm 38 */
obj_t BgL_auxz00_1741;
{ /* ./SawMill/InlineReturn.scm 38 */
obj_t BgL_auxz00_1742;
{ /* ./SawMill/InlineReturn.scm 38 */
BgL_blockz00_bglt BgL_obj3098z00_1571;
BgL_obj3098z00_1571 = 
(BgL_blockz00_bglt)(BgL_pz00_950); 
BgL_auxz00_1742 = 
(((BgL_blockz00_bglt)CREF(BgL_obj3098z00_1571))->BgL_succsz00); } 
BgL_auxz00_1741 = 
CDR(BgL_auxz00_1742); } 
BgL_test3200z00_951 = 
NULLP(BgL_auxz00_1741); } 
if(BgL_test3200z00_951)
{ /* ./SawMill/InlineReturn.scm 38 */
BgL_bz00_955 = 
(BgL_blockz00_bglt)(BgL_pz00_950); 
BgL_lz00_956 = BgL_lz00_944; 
BgL_sz00_957 = BgL_bz00_2; 
{ /* ./SawMill/InlineReturn.scm 32 */
obj_t BgL_arg3219z00_959;
{ /* ./SawMill/InlineReturn.scm 32 */
obj_t BgL_arg3222z00_960;
BgL_arg3222z00_960 = 
bgl_append2(
(((BgL_blockz00_bglt)CREF(BgL_bz00_955))->BgL_firstz00), BgL_lz00_956); 
BgL_arg3219z00_959 = 
BGl_reallocz00zzsaw_inline_returnz00(BgL_arg3222z00_960, BNIL); } 
{ /* ./SawMill/InlineReturn.scm 32 */
BgL_blockz00_bglt BgL_obj3103z00_1576;obj_t BgL_val3102z00_1577;
BgL_obj3103z00_1576 = BgL_bz00_955; 
BgL_val3102z00_1577 = BgL_arg3219z00_959; 
((((BgL_blockz00_bglt)CREF(BgL_obj3103z00_1576))->BgL_firstz00) = ((obj_t)BgL_val3102z00_1577), BUNSPEC); } } 
{ /* ./SawMill/InlineReturn.scm 33 */
BgL_blockz00_bglt BgL_obj3100z00_1578;obj_t BgL_val3099z00_1579;
BgL_obj3100z00_1578 = BgL_bz00_955; 
BgL_val3099z00_1579 = BNIL; 
((((BgL_blockz00_bglt)CREF(BgL_obj3100z00_1578))->BgL_succsz00) = ((obj_t)BgL_val3099z00_1579), BUNSPEC); } 
{ /* ./SawMill/InlineReturn.scm 34 */
obj_t BgL_arg3231z00_963;
{ /* ./SawMill/InlineReturn.scm 34 */
obj_t BgL_arg3234z00_964;
BgL_arg3234z00_964 = 
(((BgL_blockz00_bglt)CREF(BgL_sz00_957))->BgL_predsz00); 
BgL_arg3231z00_963 = 
BGl_remqz12z12zz__r4_pairs_and_lists_6_3z00(
(obj_t)(BgL_bz00_955), BgL_arg3234z00_964); } 
{ /* ./SawMill/InlineReturn.scm 34 */
BgL_blockz00_bglt BgL_obj3097z00_1581;obj_t BgL_val3096z00_1582;
BgL_obj3097z00_1581 = BgL_sz00_957; 
BgL_val3096z00_1582 = BgL_arg3231z00_963; 
((((BgL_blockz00_bglt)CREF(BgL_obj3097z00_1581))->BgL_predsz00) = ((obj_t)BgL_val3096z00_1582), BUNSPEC); } } 
BGl_inlinezd2returnzd2zzsaw_inline_returnz00(BgL_bz00_955); }  else 
{ /* ./SawMill/InlineReturn.scm 38 */((bool_t)0); } } } 
{ /* ./SawMill/InlineReturn.scm 38 */
obj_t BgL_arg3211z00_954;
BgL_arg3211z00_954 = 
CDR(BgL_l3156z00_946); 
{ 
obj_t BgL_l3156z00_1760;
BgL_l3156z00_1760 = BgL_arg3211z00_954; 
BgL_l3156z00_946 = BgL_l3156z00_1760; 
goto BgL_forzd2each3157zd2_947;} } }  else 
{ /* ./SawMill/InlineReturn.scm 38 */
return ((bool_t)1);} } } }  else 
{ /* ./SawMill/InlineReturn.scm 37 */
return ((bool_t)0);} } } } } 
}



/* realloc */
obj_t BGl_reallocz00zzsaw_inline_returnz00(obj_t BgL_lz00_965, obj_t BgL_rmapz00_966)
{ AN_OBJECT;
{ /* ./SawMill/InlineReturn.scm 30 */
{ /* ./SawMill/InlineReturn.scm 25 */
bool_t BgL_test3239z00_968;
BgL_test3239z00_968 = 
NULLP(BgL_lz00_965); 
if(BgL_test3239z00_968)
{ /* ./SawMill/InlineReturn.scm 25 */
return BgL_lz00_965;}  else 
{ /* ./SawMill/InlineReturn.scm 27 */
obj_t BgL_destz00_969;
{ /* ./SawMill/InlineReturn.scm 27 */
BgL_rtl_insz00_bglt BgL_obj3066z00_1585;
{ /* ./SawMill/InlineReturn.scm 27 */
obj_t BgL_auxz00_1763;
BgL_auxz00_1763 = 
CAR(BgL_lz00_965); 
BgL_obj3066z00_1585 = 
(BgL_rtl_insz00_bglt)(BgL_auxz00_1763); } 
BgL_destz00_969 = 
(((BgL_rtl_insz00_bglt)CREF(BgL_obj3066z00_1585))->BgL_destz00); } 
if(
CBOOL(BgL_destz00_969))
{ /* ./SawMill/InlineReturn.scm 28 */
obj_t BgL_arg3241z00_970;
{ /* ./SawMill/InlineReturn.scm 28 */
BgL_rtl_regz00_bglt BgL_arg3245z00_971;
BgL_arg3245z00_971 = 
BGl_copyzd2regzd2zzsaw_inline_returnz00(BgL_destz00_969); 
{ /* ./SawMill/InlineReturn.scm 28 */
obj_t BgL_auxz00_1770;
BgL_auxz00_1770 = 
(obj_t)(BgL_arg3245z00_971); 
BgL_arg3241z00_970 = 
MAKE_PAIR(BgL_destz00_969, BgL_auxz00_1770); } } 
BgL_rmapz00_966 = 
MAKE_PAIR(BgL_arg3241z00_970, BgL_rmapz00_966); }  else 
{ /* ./SawMill/InlineReturn.scm 28 */BFALSE; } 
{ /* ./SawMill/InlineReturn.scm 29 */
BgL_rtl_insz00_bglt BgL_arg3249z00_972;obj_t BgL_arg3250z00_973;
{ /* ./SawMill/InlineReturn.scm 29 */
obj_t BgL_arg3253z00_974;
BgL_arg3253z00_974 = 
CAR(BgL_lz00_965); 
BgL_arg3249z00_972 = 
BGl_renamezd2inszd2zzsaw_inline_returnz00(BgL_arg3253z00_974, BgL_rmapz00_966); } 
{ /* ./SawMill/InlineReturn.scm 30 */
obj_t BgL_arg3257z00_975;
BgL_arg3257z00_975 = 
CDR(BgL_lz00_965); 
BgL_arg3250z00_973 = 
BGl_reallocz00zzsaw_inline_returnz00(BgL_arg3257z00_975, BgL_rmapz00_966); } 
{ /* ./SawMill/InlineReturn.scm 29 */
obj_t BgL_auxz00_1778;
BgL_auxz00_1778 = 
(obj_t)(BgL_arg3249z00_972); 
return 
MAKE_PAIR(BgL_auxz00_1778, BgL_arg3250z00_973);} } } } } 
}



/* simple-return? */
bool_t BGl_simplezd2returnzf3z21zzsaw_inline_returnz00(obj_t BgL_lz00_977, long BgL_nz00_978)
{ AN_OBJECT;
{ /* ./SawMill/InlineReturn.scm 23 */
BGl_simplezd2returnzf3z21zzsaw_inline_returnz00:
{ /* ./SawMill/InlineReturn.scm 18 */
obj_t BgL_rz00_980;
BgL_rz00_980 = 
CDR(BgL_lz00_977); 
{ /* ./SawMill/InlineReturn.scm 19 */
bool_t BgL__ortest_3152z00_981;
BgL__ortest_3152z00_981 = 
NULLP(BgL_rz00_980); 
if(BgL__ortest_3152z00_981)
{ /* ./SawMill/InlineReturn.scm 19 */
return BgL__ortest_3152z00_981;}  else 
{ /* ./SawMill/InlineReturn.scm 20 */
bool_t BgL__ortest_3153z00_982;
{ /* ./SawMill/InlineReturn.scm 20 */
bool_t BgL__andtest_3154z00_985;
{ /* ./SawMill/InlineReturn.scm 20 */
BgL_rtl_funz00_bglt BgL_arg3273z00_986;
{ /* ./SawMill/InlineReturn.scm 20 */
BgL_rtl_insz00_bglt BgL_obj3070z00_1591;
{ /* ./SawMill/InlineReturn.scm 20 */
obj_t BgL_auxz00_1784;
BgL_auxz00_1784 = 
CAR(BgL_lz00_977); 
BgL_obj3070z00_1591 = 
(BgL_rtl_insz00_bglt)(BgL_auxz00_1784); } 
BgL_arg3273z00_986 = 
(((BgL_rtl_insz00_bglt)CREF(BgL_obj3070z00_1591))->BgL_funz00); } 
{ /* ./SawMill/InlineReturn.scm 20 */
obj_t BgL_obj2798z00_1592;
BgL_obj2798z00_1592 = 
(obj_t)(BgL_arg3273z00_986); 
BgL__andtest_3154z00_985 = 
BGl_iszd2azf3z21zz__objectz00(BgL_obj2798z00_1592, BGl_rtl_movz00zzsaw_defsz00); } } 
if(BgL__andtest_3154z00_985)
{ /* ./SawMill/InlineReturn.scm 20 */
BgL__ortest_3153z00_982 = 
BGl_simplezd2returnzf3z21zzsaw_inline_returnz00(BgL_rz00_980, BgL_nz00_978); }  else 
{ /* ./SawMill/InlineReturn.scm 20 */
BgL__ortest_3153z00_982 = ((bool_t)0); } } 
if(BgL__ortest_3153z00_982)
{ /* ./SawMill/InlineReturn.scm 20 */
return BgL__ortest_3153z00_982;}  else 
{ /* ./SawMill/InlineReturn.scm 20 */
if(
(BgL_nz00_978>((long)0)))
{ 
long BgL_nz00_1796;obj_t BgL_lz00_1795;
BgL_lz00_1795 = BgL_rz00_980; 
BgL_nz00_1796 = 
(BgL_nz00_978-((long)1)); 
BgL_nz00_978 = BgL_nz00_1796; 
BgL_lz00_977 = BgL_lz00_1795; 
goto BGl_simplezd2returnzf3z21zzsaw_inline_returnz00;}  else 
{ /* ./SawMill/InlineReturn.scm 22 */
return ((bool_t)0);} } } } } } 
}



/* find-returns */
obj_t BGl_findzd2returnszd2zzsaw_inline_returnz00(BgL_blockz00_bglt BgL_bz00_3)
{ AN_OBJECT;
{ /* ./SawMill/InlineReturn.scm 45 */
{ /* ./SawMill/InlineReturn.scm 46 */
obj_t BgL_retsz00_991;
BgL_retsz00_991 = 
MAKE_CELL(BNIL); 
BGl_dfsz72z72zzsaw_inline_returnz00(BgL_retsz00_991, 
(obj_t)(BgL_bz00_3)); 
return 
CELL_REF(BgL_retsz00_991);} } 
}



/* dfs' */
bool_t BGl_dfsz72z72zzsaw_inline_returnz00(obj_t BgL_retsz00_1675, obj_t BgL_bz00_992)
{ AN_OBJECT;
{ /* ./SawMill/InlineReturn.scm 47 */
{ /* ./SawMill/InlineReturn.scm 48 */
BgL_blockz00_bglt BgL_obj3159z00_994;
{ 
BgL_blockz00_bglt BgL_auxz00_1800;
BgL_auxz00_1800 = 
(BgL_blockz00_bglt)(BgL_bz00_992); 
BgL_obj3159z00_994 = 
((BgL_blockz00_bglt)BgL_auxz00_1800); } 
{ /* ./SawMill/InlineReturn.scm 48 */
BgL_dfsz00_bglt BgL_arg3283z00_995;
BgL_arg3283z00_995 = 
BGl_wideningzd2dfszd2zzsaw_inline_returnz00(); 
{ /* ./SawMill/InlineReturn.scm 48 */
obj_t BgL_auxz00_1806;BgL_objectz00_bglt BgL_auxz00_1804;
BgL_auxz00_1806 = 
(obj_t)(BgL_arg3283z00_995); 
BgL_auxz00_1804 = 
(BgL_objectz00_bglt)(BgL_obj3159z00_994); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_1804, BgL_auxz00_1806); } } 
{ /* ./SawMill/InlineReturn.scm 48 */
long BgL_arg3287z00_996;
BgL_arg3287z00_996 = 
BGl_classzd2numzd2zz__objectz00(BGl_dfsz00zzsaw_inline_returnz00); 
{ /* ./SawMill/InlineReturn.scm 48 */
BgL_objectz00_bglt BgL_objz00_1595;
BgL_objz00_1595 = 
(BgL_objectz00_bglt)(BgL_obj3159z00_994); 
BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_1595, BgL_arg3287z00_996); } } 
{ /* ./SawMill/InlineReturn.scm 48 */
obj_t BgL_objz00_1597;
BgL_objz00_1597 = 
(obj_t)(BgL_obj3159z00_994); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_objz00_1597); BUNSPEC; } BgL_obj3159z00_994; } 
{ /* ./SawMill/InlineReturn.scm 49 */
BgL_rtl_funz00_bglt BgL_funz00_997;
{ /* ./SawMill/InlineReturn.scm 49 */
BgL_rtl_insz00_bglt BgL_obj3070z00_1600;
{ /* ./SawMill/InlineReturn.scm 49 */
obj_t BgL_auxz00_1814;
{ /* ./SawMill/InlineReturn.scm 49 */
obj_t BgL_auxz00_1815;
{ /* ./SawMill/InlineReturn.scm 49 */
obj_t BgL_auxz00_1816;
{ /* ./SawMill/InlineReturn.scm 49 */
BgL_blockz00_bglt BgL_obj3101z00_1598;
BgL_obj3101z00_1598 = 
(BgL_blockz00_bglt)(BgL_bz00_992); 
BgL_auxz00_1816 = 
(((BgL_blockz00_bglt)CREF(BgL_obj3101z00_1598))->BgL_firstz00); } 
BgL_auxz00_1815 = 
BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(BgL_auxz00_1816); } 
BgL_auxz00_1814 = 
CAR(BgL_auxz00_1815); } 
BgL_obj3070z00_1600 = 
(BgL_rtl_insz00_bglt)(BgL_auxz00_1814); } 
BgL_funz00_997 = 
(((BgL_rtl_insz00_bglt)CREF(BgL_obj3070z00_1600))->BgL_funz00); } 
{ /* ./SawMill/InlineReturn.scm 50 */
bool_t BgL_test3291z00_998;
{ /* ./SawMill/InlineReturn.scm 50 */
obj_t BgL_obj2686z00_1601;
BgL_obj2686z00_1601 = 
(obj_t)(BgL_funz00_997); 
BgL_test3291z00_998 = 
BGl_iszd2azf3z21zz__objectz00(BgL_obj2686z00_1601, BGl_rtl_lastz00zzsaw_defsz00); } 
if(BgL_test3291z00_998)
{ /* ./SawMill/InlineReturn.scm 50 */
obj_t BgL_auxz00_1676;
{ /* ./SawMill/InlineReturn.scm 50 */
obj_t BgL_auxz00_1826;
BgL_auxz00_1826 = 
CELL_REF(BgL_retsz00_1675); 
BgL_auxz00_1676 = 
MAKE_PAIR(BgL_bz00_992, BgL_auxz00_1826); } 
CELL_SET(BgL_retsz00_1675, BgL_auxz00_1676); }  else 
{ /* ./SawMill/InlineReturn.scm 50 */BFALSE; } } } 
{ 
obj_t BgL_l3160z00_1002;
{ /* ./SawMill/InlineReturn.scm 51 */
obj_t BgL_arg3305z00_1004;
{ /* ./SawMill/InlineReturn.scm 51 */
BgL_blockz00_bglt BgL_obj3098z00_1602;
BgL_obj3098z00_1602 = 
(BgL_blockz00_bglt)(BgL_bz00_992); 
BgL_arg3305z00_1004 = 
(((BgL_blockz00_bglt)CREF(BgL_obj3098z00_1602))->BgL_succsz00); } 
BgL_l3160z00_1002 = BgL_arg3305z00_1004; 
BgL_forzd2each3161zd2_1003:
{ /* ./SawMill/InlineReturn.scm 51 */
bool_t BgL_test3308z00_1005;
BgL_test3308z00_1005 = 
PAIRP(BgL_l3160z00_1002); 
if(BgL_test3308z00_1005)
{ /* ./SawMill/InlineReturn.scm 51 */
{ /* ./SawMill/InlineReturn.scm 51 */
obj_t BgL_sz00_1006;
BgL_sz00_1006 = 
CAR(BgL_l3160z00_1002); 
{ /* ./SawMill/InlineReturn.scm 51 */
bool_t BgL_test3309z00_1007;
BgL_test3309z00_1007 = 
BGl_iszd2azf3z21zz__objectz00(BgL_sz00_1006, BGl_dfsz00zzsaw_inline_returnz00); 
if(BgL_test3309z00_1007)
{ /* ./SawMill/InlineReturn.scm 51 */((bool_t)0); }  else 
{ /* ./SawMill/InlineReturn.scm 51 */
BGl_dfsz72z72zzsaw_inline_returnz00(BgL_retsz00_1675, BgL_sz00_1006); } } } 
{ /* ./SawMill/InlineReturn.scm 51 */
obj_t BgL_arg3314z00_1008;
BgL_arg3314z00_1008 = 
CDR(BgL_l3160z00_1002); 
{ 
obj_t BgL_l3160z00_1837;
BgL_l3160z00_1837 = BgL_arg3314z00_1008; 
BgL_l3160z00_1002 = BgL_l3160z00_1837; 
goto BgL_forzd2each3161zd2_1003;} } }  else 
{ /* ./SawMill/InlineReturn.scm 51 */
return ((bool_t)1);} } } } } 
}



/* copy-reg */
BgL_rtl_regz00_bglt BGl_copyzd2regzd2zzsaw_inline_returnz00(obj_t BgL_rz00_4)
{ AN_OBJECT;
{ /* ./SawMill/InlineReturn.scm 55 */
{ /* ./SawMill/InlineReturn.scm 57 */
BgL_typez00_bglt BgL_arg3319z00_1010;obj_t BgL_arg3320z00_1011;
{ /* ./SawMill/InlineReturn.scm 57 */
BgL_rtl_regz00_bglt BgL_obj2662z00_1607;
BgL_obj2662z00_1607 = 
(BgL_rtl_regz00_bglt)(BgL_rz00_4); 
BgL_arg3319z00_1010 = 
(((BgL_rtl_regz00_bglt)CREF(BgL_obj2662z00_1607))->BgL_typez00); } 
{ /* ./SawMill/InlineReturn.scm 57 */
BgL_rtl_regz00_bglt BgL_obj2665z00_1608;
BgL_obj2665z00_1608 = 
(BgL_rtl_regz00_bglt)(BgL_rz00_4); 
BgL_arg3320z00_1011 = 
(((BgL_rtl_regz00_bglt)CREF(BgL_obj2665z00_1608))->BgL_varz00); } 
return 
BGl_makezd2rtl_regzd2zzsaw_defsz00(BgL_arg3319z00_1010, BgL_arg3320z00_1011);} } 
}



/* rename-ins */
BgL_rtl_insz00_bglt BGl_renamezd2inszd2zzsaw_inline_returnz00(obj_t BgL_insz00_5, obj_t BgL_rmapz00_6)
{ AN_OBJECT;
{ /* ./SawMill/InlineReturn.scm 59 */
{ /* ./SawMill/InlineReturn.scm 64 */
obj_t BgL_arg3325z00_1014;obj_t BgL_arg3326z00_1015;BgL_rtl_funz00_bglt BgL_arg3327z00_1016;obj_t BgL_arg3328z00_1017;
{ /* ./SawMill/InlineReturn.scm 64 */
BgL_rtl_insz00_bglt BgL_obj3063z00_1609;
BgL_obj3063z00_1609 = 
(BgL_rtl_insz00_bglt)(BgL_insz00_5); 
BgL_arg3325z00_1014 = 
(((BgL_rtl_insz00_bglt)CREF(BgL_obj3063z00_1609))->BgL_locz00); } 
{ /* ./SawMill/InlineReturn.scm 65 */
obj_t BgL__andtest_3168z00_1018;
{ /* ./SawMill/InlineReturn.scm 65 */
BgL_rtl_insz00_bglt BgL_obj3066z00_1610;
BgL_obj3066z00_1610 = 
(BgL_rtl_insz00_bglt)(BgL_insz00_5); 
BgL__andtest_3168z00_1018 = 
(((BgL_rtl_insz00_bglt)CREF(BgL_obj3066z00_1610))->BgL_destz00); } 
if(
CBOOL(BgL__andtest_3168z00_1018))
{ /* ./SawMill/InlineReturn.scm 65 */
obj_t BgL_slotz00_1614;
BgL_slotz00_1614 = 
BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL__andtest_3168z00_1018, BgL_rmapz00_6); 
if(
CBOOL(BgL_slotz00_1614))
{ /* ./SawMill/InlineReturn.scm 65 */
BgL_arg3326z00_1015 = 
CDR(BgL_slotz00_1614); }  else 
{ /* ./SawMill/InlineReturn.scm 65 */
BgL_arg3326z00_1015 = BgL__andtest_3168z00_1018; } }  else 
{ /* ./SawMill/InlineReturn.scm 65 */
BgL_arg3326z00_1015 = BFALSE; } } 
{ /* ./SawMill/InlineReturn.scm 66 */
BgL_rtl_insz00_bglt BgL_obj3070z00_1616;
BgL_obj3070z00_1616 = 
(BgL_rtl_insz00_bglt)(BgL_insz00_5); 
BgL_arg3327z00_1016 = 
(((BgL_rtl_insz00_bglt)CREF(BgL_obj3070z00_1616))->BgL_funz00); } 
{ /* ./SawMill/InlineReturn.scm 67 */
obj_t BgL_l3169z00_1020;
{ /* ./SawMill/InlineReturn.scm 67 */
BgL_rtl_insz00_bglt BgL_obj3073z00_1617;
BgL_obj3073z00_1617 = 
(BgL_rtl_insz00_bglt)(BgL_insz00_5); 
BgL_l3169z00_1020 = 
(((BgL_rtl_insz00_bglt)CREF(BgL_obj3073z00_1617))->BgL_argsz00); } 
{ /* ./SawMill/InlineReturn.scm 67 */
bool_t BgL_test3337z00_1021;
BgL_test3337z00_1021 = 
NULLP(BgL_l3169z00_1020); 
if(BgL_test3337z00_1021)
{ /* ./SawMill/InlineReturn.scm 67 */
BgL_arg3328z00_1017 = BNIL; }  else 
{ /* ./SawMill/InlineReturn.scm 67 */
obj_t BgL_head3171z00_1022;
BgL_head3171z00_1022 = 
MAKE_PAIR(BNIL, BNIL); 
{ 
obj_t BgL_l3169z00_1023;obj_t BgL_tail3172z00_1024;
BgL_l3169z00_1023 = BgL_l3169z00_1020; 
BgL_tail3172z00_1024 = BgL_head3171z00_1022; 
BgL_map3170z00_1025:
{ /* ./SawMill/InlineReturn.scm 67 */
bool_t BgL_test3339z00_1026;
BgL_test3339z00_1026 = 
NULLP(BgL_l3169z00_1023); 
if(BgL_test3339z00_1026)
{ /* ./SawMill/InlineReturn.scm 67 */
BgL_arg3328z00_1017 = 
CDR(BgL_head3171z00_1022); }  else 
{ /* ./SawMill/InlineReturn.scm 67 */
obj_t BgL_newtail3173z00_1027;
{ /* ./SawMill/InlineReturn.scm 67 */
obj_t BgL_arg3347z00_1029;
{ /* ./SawMill/InlineReturn.scm 67 */
obj_t BgL_az00_1031;
BgL_az00_1031 = 
CAR(BgL_l3169z00_1023); 
{ /* ./SawMill/InlineReturn.scm 67 */
obj_t BgL_slotz00_1626;
BgL_slotz00_1626 = 
BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_az00_1031, BgL_rmapz00_6); 
if(
CBOOL(BgL_slotz00_1626))
{ /* ./SawMill/InlineReturn.scm 67 */
BgL_arg3347z00_1029 = 
CDR(BgL_slotz00_1626); }  else 
{ /* ./SawMill/InlineReturn.scm 67 */
BgL_arg3347z00_1029 = BgL_az00_1031; } } } 
BgL_newtail3173z00_1027 = 
MAKE_PAIR(BgL_arg3347z00_1029, BNIL); } 
SET_CDR(BgL_tail3172z00_1024, BgL_newtail3173z00_1027); 
{ /* ./SawMill/InlineReturn.scm 67 */
obj_t BgL_arg3343z00_1028;
BgL_arg3343z00_1028 = 
CDR(BgL_l3169z00_1023); 
{ 
obj_t BgL_tail3172z00_1872;obj_t BgL_l3169z00_1871;
BgL_l3169z00_1871 = BgL_arg3343z00_1028; 
BgL_tail3172z00_1872 = BgL_newtail3173z00_1027; 
BgL_tail3172z00_1024 = BgL_tail3172z00_1872; 
BgL_l3169z00_1023 = BgL_l3169z00_1871; 
goto BgL_map3170z00_1025;} } } } } } } } 
return 
BGl_makezd2rtl_inszd2zzsaw_defsz00(BgL_arg3325z00_1014, BgL_arg3326z00_1015, BgL_arg3327z00_1016, BgL_arg3328z00_1017);} } 
}



/* object-init */
obj_t BGl_objectzd2initzd2zzsaw_inline_returnz00()
{ AN_OBJECT;
{ /* ./SawMill/InlineReturn.scm 1 */
{ /* ./SawMill/InlineReturn.scm 5 */
obj_t BgL_arg3360z00_1037;obj_t BgL_arg3362z00_1038;obj_t BgL_arg3366z00_1042;
BgL_arg3360z00_1037 = 
CNST_TABLE_REF(((long)0)); 
BgL_arg3362z00_1038 = BGl_blockz00zzsaw_defsz00; 
{ /* ./SawMill/InlineReturn.scm 5 */
obj_t BgL_v3174z00_1043;
{ 
int BgL_auxz00_1875;
BgL_auxz00_1875 = 
(int)(((long)0)); 
BgL_v3174z00_1043 = 
create_vector(BgL_auxz00_1875); } 
BgL_arg3366z00_1042 = BgL_v3174z00_1043; } 
BGl_dfsz00zzsaw_inline_returnz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BgL_arg3360z00_1037, BgL_arg3362z00_1038, BFALSE, BGl_allocatezd2dfszd2envz00zzsaw_inline_returnz00, ((long)9133), BNIL, BFALSE, BgL_arg3366z00_1042); } 
return BUNSPEC;} 
}



/* widening-dfs */
BgL_dfsz00_bglt BGl_wideningzd2dfszd2zzsaw_inline_returnz00()
{ AN_OBJECT;
{ /* ./SawMill/InlineReturn.scm 5 */
{ /* ./SawMill/InlineReturn.scm 5 */
BgL_dfsz00_bglt BgL_new3120z00_1044;
BgL_new3120z00_1044 = 
((BgL_dfsz00_bglt)BREF( GC_MALLOC (sizeof(struct BgL_dfsz00_bgl)))); 
return BgL_new3120z00_1044;} } 
}



/* _allocate-dfs */
obj_t BGl__allocatezd2dfszd2zzsaw_inline_returnz00(obj_t BgL_envz00_1662)
{ AN_OBJECT;
{ /* ./SawMill/InlineReturn.scm 5 */
{ /* ./SawMill/InlineReturn.scm 5 */
BgL_blockz00_bglt BgL_auxz00_1880;
{ /* ./SawMill/InlineReturn.scm 5 */
BgL_blockz00_bglt BgL_res4153z00_1694;
{ /* ./SawMill/InlineReturn.scm 5 */
BgL_blockz00_bglt BgL_new3130z00_1690;
BgL_new3130z00_1690 = 
((BgL_blockz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_blockz00_bgl) ))); 
{ /* ./SawMill/InlineReturn.scm 5 */
long BgL_arg3382z00_1691;
BgL_arg3382z00_1691 = 
BGl_classzd2numzd2zz__objectz00(BGl_dfsz00zzsaw_inline_returnz00); 
{ /* ./SawMill/InlineReturn.scm 5 */
BgL_objectz00_bglt BgL_objz00_1692;
BgL_objz00_1692 = 
(BgL_objectz00_bglt)(BgL_new3130z00_1690); 
BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_1692, BgL_arg3382z00_1691); } } 
{ /* ./SawMill/InlineReturn.scm 5 */
BgL_objectz00_bglt BgL_auxz00_1885;
BgL_auxz00_1885 = 
(BgL_objectz00_bglt)(BgL_new3130z00_1690); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_1885, BFALSE); } 
{ /* ./SawMill/InlineReturn.scm 5 */
obj_t BgL_objz00_1693;
BgL_objz00_1693 = 
(obj_t)(BgL_new3130z00_1690); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_objz00_1693); BUNSPEC; } 
BgL_res4153z00_1694 = BgL_new3130z00_1690; } 
BgL_auxz00_1880 = BgL_res4153z00_1694; } 
return 
(obj_t)(BgL_auxz00_1880);} } 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzsaw_inline_returnz00()
{ AN_OBJECT;
{ /* ./SawMill/InlineReturn.scm 1 */
BGl_addzd2methodz12zc0zz__objectz00(BGl_objectzd2ze3structzd2envze3zz__objectz00, BGl_dfsz00zzsaw_inline_returnz00, BGl_proc4135z00zzsaw_inline_returnz00); 
return 
BGl_addzd2methodz12zc0zz__objectz00(BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00, BGl_dfsz00zzsaw_inline_returnz00, BGl_proc4136z00zzsaw_inline_returnz00);} 
}



/* struct+object->object-dfs3179 */
obj_t BGl_structzb2objectzd2ze3objectzd2dfs3179z51zzsaw_inline_returnz00(obj_t BgL_envz00_1670, obj_t BgL_oz00_1671, obj_t BgL_sz00_1672)
{ AN_OBJECT;
{ /* ./SawMill/InlineReturn.scm 5 */
{ 
BgL_dfsz00_bglt BgL_oz00_1553;obj_t BgL_sz00_1554;
{ /* ./SawMill/InlineReturn.scm 5 */
BgL_dfsz00_bglt BgL_auxz00_1893;
BgL_oz00_1553 = 
(BgL_dfsz00_bglt)(BgL_oz00_1671); 
BgL_sz00_1554 = BgL_sz00_1672; 
{ 

{ /* ./SawMill/InlineReturn.scm 5 */
obj_t BgL_old3134z00_1557;
{ /* ./SawMill/InlineReturn.scm 5 */
obj_t BgL_nextzd2method3178zd2_1562;
BgL_nextzd2method3178zd2_1562 = 
BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
(BgL_objectz00_bglt)(BgL_oz00_1553), BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00, BGl_dfsz00zzsaw_inline_returnz00); 
{ /* ./SawMill/InlineReturn.scm 5 */
bool_t BgL_test4054z00_1563;
BgL_test4054z00_1563 = 
PROCEDUREP(BgL_nextzd2method3178zd2_1562); 
if(BgL_test4054z00_1563)
{ /* ./SawMill/InlineReturn.scm 5 */
BgL_old3134z00_1557 = 
PROCEDURE_ENTRY(BgL_nextzd2method3178zd2_1562)(BgL_nextzd2method3178zd2_1562, 
(obj_t)(BgL_oz00_1553), BgL_sz00_1554, BEOA); }  else 
{ /* ./SawMill/InlineReturn.scm 5 */
{ /* ./SawMill/InlineReturn.scm 5 */
BgL_objectz00_bglt BgL_auxz00_1901;
BgL_auxz00_1901 = 
BGl_structzb2objectzd2ze3objectz83zz__objectz00(
(BgL_objectz00_bglt)(BgL_oz00_1553), BgL_sz00_1554); 
BgL_old3134z00_1557 = 
(obj_t)(BgL_auxz00_1901); } } } } 
{ /* ./SawMill/InlineReturn.scm 5 */
BgL_dfsz00_bglt BgL_new3136z00_1559;
BgL_new3136z00_1559 = 
((BgL_dfsz00_bglt)(BgL_old3134z00_1557)); 
{ /* ./SawMill/InlineReturn.scm 5 */
long BgL_arg4044z00_1560;
BgL_arg4044z00_1560 = 
BGl_classzd2numzd2zz__objectz00(BGl_dfsz00zzsaw_inline_returnz00); 
{ /* ./SawMill/InlineReturn.scm 5 */
BgL_objectz00_bglt BgL_objz00_1656;
BgL_objz00_1656 = 
(BgL_objectz00_bglt)(BgL_new3136z00_1559); 
BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_1656, BgL_arg4044z00_1560); } } 
{ /* ./SawMill/InlineReturn.scm 5 */
BgL_dfsz00_bglt BgL_arg4048z00_1561;
BgL_arg4048z00_1561 = 
BGl_wideningzd2dfszd2zzsaw_inline_returnz00(); 
{ /* ./SawMill/InlineReturn.scm 5 */
obj_t BgL_auxz00_1912;BgL_objectz00_bglt BgL_auxz00_1910;
BgL_auxz00_1912 = 
(obj_t)(BgL_arg4048z00_1561); 
BgL_auxz00_1910 = 
(BgL_objectz00_bglt)(BgL_new3136z00_1559); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_1910, BgL_auxz00_1912); } } 
{ /* ./SawMill/InlineReturn.scm 5 */
obj_t BgL_objz00_1658;
BgL_objz00_1658 = 
(obj_t)(BgL_new3136z00_1559); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_objz00_1658); BUNSPEC; } 
BgL_auxz00_1893 = BgL_new3136z00_1559; } } } 
return 
(obj_t)(BgL_auxz00_1893);} } } 
}



/* object->struct-dfs3177 */
obj_t BGl_objectzd2ze3structzd2dfs3177ze3zzsaw_inline_returnz00(obj_t BgL_envz00_1673, obj_t BgL_obj3131z00_1674)
{ AN_OBJECT;
{ /* ./SawMill/InlineReturn.scm 5 */
{ 
BgL_dfsz00_bglt BgL_obj3131z00_1545;
BgL_obj3131z00_1545 = 
(BgL_dfsz00_bglt)(BgL_obj3131z00_1674); 
{ 

{ /* ./SawMill/InlineReturn.scm 5 */
obj_t BgL_res3132z00_1548;
{ /* ./SawMill/InlineReturn.scm 5 */
obj_t BgL_nextzd2method3176zd2_1551;
BgL_nextzd2method3176zd2_1551 = 
BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
(BgL_objectz00_bglt)(BgL_obj3131z00_1545), BGl_objectzd2ze3structzd2envze3zz__objectz00, BGl_dfsz00zzsaw_inline_returnz00); 
{ /* ./SawMill/InlineReturn.scm 5 */
bool_t BgL_test4037z00_1552;
BgL_test4037z00_1552 = 
PROCEDUREP(BgL_nextzd2method3176zd2_1551); 
if(BgL_test4037z00_1552)
{ /* ./SawMill/InlineReturn.scm 5 */
BgL_res3132z00_1548 = 
PROCEDURE_ENTRY(BgL_nextzd2method3176zd2_1551)(BgL_nextzd2method3176zd2_1551, 
(obj_t)(BgL_obj3131z00_1545), BEOA); }  else 
{ /* ./SawMill/InlineReturn.scm 5 */
BgL_res3132z00_1548 = 
BGl_objectzd2ze3structz31zz__objectz00(
(BgL_objectz00_bglt)(BgL_obj3131z00_1545)); } } } 
{ /* ./SawMill/InlineReturn.scm 5 */
obj_t BgL_aux3133z00_1549;
{ /* ./SawMill/InlineReturn.scm 5 */
obj_t BgL_keyz00_1641;int BgL_lenz00_1642;
BgL_keyz00_1641 = 
CNST_TABLE_REF(((long)0)); 
BgL_lenz00_1642 = 
(int)(((long)0)); 
BgL_aux3133z00_1549 = 
make_struct(BgL_keyz00_1641, BgL_lenz00_1642, BUNSPEC); } 
{ /* ./SawMill/InlineReturn.scm 5 */
int BgL_kz00_1645;
BgL_kz00_1645 = 
(int)(((long)0)); 
STRUCT_SET(BgL_res3132z00_1548, BgL_kz00_1645, BgL_aux3133z00_1549); } 
{ /* ./SawMill/InlineReturn.scm 5 */
obj_t BgL_arg4031z00_1550;
BgL_arg4031z00_1550 = 
STRUCT_KEY(BgL_res3132z00_1548); 
STRUCT_KEY_SET(BgL_aux3133z00_1549, BgL_arg4031z00_1550); } 
{ /* ./SawMill/InlineReturn.scm 5 */
obj_t BgL_kz00_1652;
BgL_kz00_1652 = 
CNST_TABLE_REF(((long)0)); 
STRUCT_KEY_SET(BgL_res3132z00_1548, BgL_kz00_1652); } 
return BgL_res3132z00_1548;} } } } } 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzsaw_inline_returnz00()
{ AN_OBJECT;
{ /* ./SawMill/InlineReturn.scm 1 */
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19090), "saw_inline_return"); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)44246), "saw_inline_return"); 
BGl_modulezd2initializa7ationz75zzast_nodez00(((long)50868), "saw_inline_return"); 
BGl_modulezd2initializa7ationz75zzsaw_libz00(((long)22284), "saw_inline_return"); 
return 
BGl_modulezd2initializa7ationz75zzsaw_defsz00(((long)12736), "saw_inline_return");} 
}

