/*===========================================================================*/
/*   (SawMill/blockorder.scm)                                                */
/*   Bigloo (2.6b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Dec 15 12:14:36 CET 2003        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc-2.95 -lib-dir /users/serrano/prgm/project/bigloo/lib/2.6b -unsafev -no-hello -O2 -rm -unsafe -s -indent SawMill/blockorder.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_effectz00;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_effectz00;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_effectz00;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;

typedef struct BgL_feffectz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_readz00;
   obj_t BgL_writez00;
} *BgL_feffectz00_bglt;

typedef struct BgL_nodez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
} *BgL_nodez00_bglt;

typedef struct BgL_nodezf2effectzf2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
} *BgL_nodezf2effectzf2_bglt;

typedef struct BgL_atomz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_atomz00_bglt;

typedef struct BgL_varz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_varz00_bglt;

typedef struct BgL_closurez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_closurez00_bglt;

typedef struct BgL_kwotez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_kwotez00_bglt;

typedef struct BgL_sequencez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_nodesz00;
} *BgL_sequencez00_bglt;

typedef struct BgL_appz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
} *BgL_appz00_bglt;

typedef struct BgL_appzd2lyzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_appzd2lyzd2_bglt;

typedef struct BgL_funcallz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
   obj_t BgL_strengthz00;
} *BgL_funcallz00_bglt;

typedef struct BgL_externz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
} *BgL_externz00_bglt;

typedef struct BgL_pragmaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   obj_t BgL_formatz00;
} *BgL_pragmaz00_bglt;

typedef struct BgL_getfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_getfieldz00_bglt;

typedef struct BgL_setfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_setfieldz00_bglt;

typedef struct BgL_newz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
} *BgL_newz00_bglt;

typedef struct BgL_vallocz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   obj_t BgL_czd2heapzd2formatz00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_vallocz00_bglt;

typedef struct BgL_vrefz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vrefz00_bglt;

typedef struct BgL_vsetz12z12_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vsetz12z12_bglt;

typedef struct BgL_vlengthz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vlengthz00_bglt;

typedef struct BgL_isaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   struct BgL_typez00_bgl * BgL_classz00;
} *BgL_isaz00_bglt;

typedef struct BgL_castz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_castz00_bglt;

typedef struct BgL_setqz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_setqz00_bglt;

typedef struct BgL_conditionalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   struct BgL_nodez00_bgl * BgL_truez00;
   struct BgL_nodez00_bgl * BgL_falsez00;
} *BgL_conditionalz00_bglt;

typedef struct BgL_failz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_procz00;
   struct BgL_nodez00_bgl * BgL_msgz00;
   struct BgL_nodez00_bgl * BgL_objz00;
} *BgL_failz00_bglt;

typedef struct BgL_selectz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   obj_t BgL_clausesz00;
   struct BgL_typez00_bgl * BgL_itemzd2typezd2;
} *BgL_selectz00_bglt;

typedef struct BgL_letzd2funzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_localsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_letzd2funzd2_bglt;

typedef struct BgL_letzd2varzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_bindingsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
   bool_t BgL_removablezf3zf3;
} *BgL_letzd2varzd2_bglt;

typedef struct BgL_setzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_setzd2exzd2itz00_bglt;

typedef struct BgL_jumpzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_exitz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_jumpzd2exzd2itz00_bglt;

typedef struct BgL_makezd2boxzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_makezd2boxzd2_bglt;

typedef struct BgL_boxzd2refzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_varz00;
} *BgL_boxzd2refzd2_bglt;

typedef struct BgL_boxzd2setz12zc0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_boxzd2setz12zc0_bglt;

typedef struct BgL_rtl_regz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_varz00;
} *BgL_rtl_regz00_bglt;

typedef struct BgL_rtl_funz00_bgl {
   header_t header;
   obj_t widening;
} *BgL_rtl_funz00_bglt;

typedef struct BgL_rtl_lastz00_bgl {
   header_t header;
   obj_t widening;
} *BgL_rtl_lastz00_bglt;

typedef struct BgL_rtl_returnz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_typez00_bgl * BgL_typez00;
} *BgL_rtl_returnz00_bglt;

typedef struct BgL_rtl_jumpexitz00_bgl {
   header_t header;
   obj_t widening;
} *BgL_rtl_jumpexitz00_bglt;

typedef struct BgL_rtl_failz00_bgl {
   header_t header;
   obj_t widening;
} *BgL_rtl_failz00_bglt;

typedef struct BgL_rtl_notseqz00_bgl {
   header_t header;
   obj_t widening;
} *BgL_rtl_notseqz00_bglt;

typedef struct BgL_rtl_ifz00_bgl {
   header_t header;
   obj_t widening;
} *BgL_rtl_ifz00_bglt;

typedef struct BgL_rtl_selectz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_patternsz00;
} *BgL_rtl_selectz00_bglt;

typedef struct BgL_rtl_switchz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_patternsz00;
   obj_t BgL_labelsz00;
} *BgL_rtl_switchz00_bglt;

typedef struct BgL_rtl_ifeqz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_blockz00_bgl * BgL_thenz00;
} *BgL_rtl_ifeqz00_bglt;

typedef struct BgL_rtl_ifnez00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_blockz00_bgl * BgL_thenz00;
} *BgL_rtl_ifnez00_bglt;

typedef struct BgL_rtl_goz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_blockz00_bgl * BgL_toz00;
} *BgL_rtl_goz00_bglt;

typedef struct BgL_rtl_purez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_rtl_purez00_bglt;

typedef struct BgL_rtl_nopz00_bgl {
   header_t header;
   obj_t widening;
} *BgL_rtl_nopz00_bglt;

typedef struct BgL_rtl_movz00_bgl {
   header_t header;
   obj_t widening;
} *BgL_rtl_movz00_bglt;

typedef struct BgL_rtl_loadiz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_atomz00_bgl * BgL_constantz00;
} *BgL_rtl_loadiz00_bglt;

typedef struct BgL_rtl_loadgz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_globalz00_bgl * BgL_varz00;
} *BgL_rtl_loadgz00_bglt;

typedef struct BgL_rtl_loadfunz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_globalz00_bgl * BgL_varz00;
} *BgL_rtl_loadfunz00_bglt;

typedef struct BgL_rtl_globalrefz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_globalz00_bgl * BgL_varz00;
} *BgL_rtl_globalrefz00_bglt;

typedef struct BgL_rtl_getfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_objtypez00;
   struct BgL_typez00_bgl * BgL_typez00;
} *BgL_rtl_getfieldz00_bglt;

typedef struct BgL_rtl_vallocz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_rtl_vallocz00_bglt;

typedef struct BgL_rtl_vrefz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_rtl_vrefz00_bglt;

typedef struct BgL_rtl_vlengthz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_typez00_bgl * BgL_typez00;
} *BgL_rtl_vlengthz00_bglt;

typedef struct BgL_rtl_isaz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_typez00_bgl * BgL_typez00;
} *BgL_rtl_isaz00_bglt;

typedef struct BgL_rtl_makeboxz00_bgl {
   header_t header;
   obj_t widening;
} *BgL_rtl_makeboxz00_bglt;

typedef struct BgL_rtl_boxrefz00_bgl {
   header_t header;
   obj_t widening;
} *BgL_rtl_boxrefz00_bglt;

typedef struct BgL_rtl_effectz00_bgl {
   header_t header;
   obj_t widening;
} *BgL_rtl_effectz00_bglt;

typedef struct BgL_rtl_storegz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_globalz00_bgl * BgL_varz00;
} *BgL_rtl_storegz00_bglt;

typedef struct BgL_rtl_setfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_objtypez00;
   struct BgL_typez00_bgl * BgL_typez00;
} *BgL_rtl_setfieldz00_bglt;

typedef struct BgL_rtl_vsetz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_rtl_vsetz00_bglt;

typedef struct BgL_rtl_boxsetz00_bgl {
   header_t header;
   obj_t widening;
} *BgL_rtl_boxsetz00_bglt;

typedef struct BgL_rtl_newz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_typez00_bgl * BgL_typez00;
} *BgL_rtl_newz00_bglt;

typedef struct BgL_rtl_callz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_globalz00_bgl * BgL_varz00;
} *BgL_rtl_callz00_bglt;

typedef struct BgL_rtl_applyz00_bgl {
   header_t header;
   obj_t widening;
} *BgL_rtl_applyz00_bglt;

typedef struct BgL_rtl_lightfuncallz00_bgl {
   header_t header;
   obj_t widening;
} *BgL_rtl_lightfuncallz00_bglt;

typedef struct BgL_rtl_funcallz00_bgl {
   header_t header;
   obj_t widening;
} *BgL_rtl_funcallz00_bglt;

typedef struct BgL_rtl_pragmaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_formatz00;
} *BgL_rtl_pragmaz00_bglt;

typedef struct BgL_rtl_castz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_typez00_bgl * BgL_typez00;
} *BgL_rtl_castz00_bglt;

typedef struct BgL_rtl_protectz00_bgl {
   header_t header;
   obj_t widening;
} *BgL_rtl_protectz00_bglt;

typedef struct BgL_rtl_protectedz00_bgl {
   header_t header;
   obj_t widening;
} *BgL_rtl_protectedz00_bglt;

typedef struct BgL_stl_loadrz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_rtl_regz00_bgl * BgL_regz00;
} *BgL_stl_loadrz00_bglt;

typedef struct BgL_stl_storerz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_rtl_regz00_bgl * BgL_regz00;
} *BgL_stl_storerz00_bglt;

typedef struct BgL_stl_popz00_bgl {
   header_t header;
   obj_t widening;
} *BgL_stl_popz00_bglt;

typedef struct BgL_rtl_insz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   obj_t BgL_destz00;
   struct BgL_rtl_funz00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
} *BgL_rtl_insz00_bglt;

typedef struct BgL_blockz00_bgl {
   header_t header;
   obj_t widening;
   int BgL_labelz00;
   obj_t BgL_predsz00;
   obj_t BgL_succsz00;
   obj_t BgL_firstz00;
} *BgL_blockz00_bglt;

typedef struct BgL_donez00_bgl {
   char dummy;
} *BgL_donez00_bglt;

typedef struct BgL_rdonez00_bgl {
   char dummy;
} *BgL_rdonez00_bglt;

typedef struct BgL_dfsz00_bgl {
   int BgL_nz00;
} *BgL_dfsz00_bglt;


static obj_t BGl_methodzd2initzd2zzsaw_blockorderz00();
static BgL_rdonez00_bglt BGl_wideningzd2rdonezd2zzsaw_blockorderz00();
static obj_t BGl_donez00zzsaw_blockorderz00 = BUNSPEC;
BGL_IMPORT obj_t open_input_string(obj_t);
BGL_IMPORT long BGl_classzd2numzd2zz__objectz00(obj_t);
static obj_t BGl__lengthuncolsucczc3zd3zf3ze3zzsaw_blockorderz00(obj_t, obj_t, obj_t);
static obj_t BGl_zc3anonymousza33465ze3z83zzsaw_blockorderz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t);
BGL_IMPORT bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_objectzd2ze3structz31zz__objectz00(BgL_objectz00_bglt);
static obj_t BGl_rdfszd2orderingzd2zzsaw_blockorderz00(BgL_blockz00_bglt);
static obj_t BGl__blockzd2orderingzd2zzsaw_blockorderz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t);
static obj_t BGl_predecessorsz00zzsaw_blockorderz00(BgL_blockz00_bglt);
static obj_t BGl_structzb2objectzd2ze3objectzd2done3249z51zzsaw_blockorderz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_reversez12z12zz__r4_pairs_and_lists_6_3z00(obj_t);
static obj_t BGl__allocatezd2dfszd2zzsaw_blockorderz00(obj_t);
BGL_IMPORT obj_t BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(obj_t);
static obj_t BGl_cnstzd2initzd2zzsaw_blockorderz00();
static bool_t BGl_dfsz72z72zzsaw_blockorderz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_objectzd2ze3structzd2dfs3239ze3zzsaw_blockorderz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_blockzd2orderingzd2zzsaw_blockorderz00(BgL_blockz00_bglt);
static obj_t BGl_importedzd2moduleszd2initz00zzsaw_blockorderz00();
static bool_t BGl_dfsz72z72z72z72zzsaw_blockorderz00(obj_t, obj_t);
BGL_IMPORT obj_t make_struct(obj_t, int, obj_t);
BGL_IMPORT obj_t BGl_addzd2methodz12zc0zz__objectz00(obj_t, obj_t, obj_t);
static obj_t BGl_rdonez00zzsaw_blockorderz00 = BUNSPEC;
extern obj_t BGl_rtl_lastz00zzsaw_defsz00;
static obj_t BGl_toplevelzd2initzd2zzsaw_blockorderz00();
BGL_IMPORT bool_t BGl_2ze3ze3zz__r4_numbers_6_5z00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzsaw_blockorderz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzsaw_defsz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long, char *);
BGL_IMPORT long bgl_list_length(obj_t);
static long BGl_lengthuncolsuccz00zzsaw_blockorderz00(BgL_blockz00_bglt);
extern obj_t BGl_blockz00zzsaw_defsz00;
BGL_IMPORT BgL_objectz00_bglt BGl_structzb2objectzd2ze3objectz83zz__objectz00(BgL_objectz00_bglt, obj_t);
static obj_t BGl__allocatezd2donezd2zzsaw_blockorderz00(obj_t);
BGL_IMPORT obj_t BGl_filterz00zz__r4_control_features_6_9z00(obj_t, obj_t);
static obj_t BGl_objectzd2ze3structzd2done3247ze3zzsaw_blockorderz00(obj_t, obj_t);
static obj_t BGl_objectzd2ze3structzd2rdone3243ze3zzsaw_blockorderz00(obj_t, obj_t);
static obj_t BGl__allocatezd2rdonezd2zzsaw_blockorderz00(obj_t);
extern obj_t BGl_rtl_returnz00zzsaw_defsz00;
BGL_IMPORT obj_t BGl_sortz00zz__r4_vectors_6_8z00(obj_t, obj_t);
static obj_t BGl_findzd2exitzd2zzsaw_blockorderz00(BgL_blockz00_bglt);
static BgL_donez00_bglt BGl_wideningzd2donezd2zzsaw_blockorderz00();
static obj_t BGl_dfszd2orderingzd2zzsaw_blockorderz00(BgL_blockz00_bglt);
static obj_t BGl_za2blockorderingza2z00zzsaw_blockorderz00 = BUNSPEC;
static bool_t BGl_dfsz72z72z00zzsaw_blockorderz00(obj_t, obj_t);
static obj_t BGl_structzb2objectzd2ze3objectzd2rdone3245z51zzsaw_blockorderz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t bgl_append2(obj_t, obj_t);
static obj_t BGl_objectzd2initzd2zzsaw_blockorderz00();
static obj_t BGl_requirezd2initializa7ationz75zzsaw_blockorderz00 = BUNSPEC;
static obj_t BGl_zc3anonymousza33442ze3z83zzsaw_blockorderz00(obj_t, obj_t);
static obj_t BGl_dfsz00zzsaw_blockorderz00 = BUNSPEC;
static bool_t BGl_visitz00zzsaw_blockorderz00(obj_t, BgL_blockz00_bglt);
BGL_IMPORT bool_t BGl_eqvzf3zf3zz__r4_equivalence_6_2z00(obj_t, obj_t);
static obj_t BGl_libraryzd2moduleszd2initz00zzsaw_blockorderz00();
static obj_t BGl_structzb2objectzd2ze3objectzd2dfs3241z51zzsaw_blockorderz00(obj_t, obj_t, obj_t);
static bool_t BGl_lengthuncolsucczc3zd3zf3ze3zzsaw_blockorderz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_findzd2superzd2classzd2methodzd2zz__objectz00(BgL_objectz00_bglt, obj_t, obj_t);
static obj_t __cnst[ 4 ] ;


DEFINE_STATIC_PROCEDURE( BGl_allocatezd2rdonezd2envz00zzsaw_blockorderz00, BgL_bgl__allocateza7d2rdoneza7d2za7za7saw_blockorderza7004638za7, BGl__allocatezd2rdonezd2zzsaw_blockorderz00, 0L, 0 );
BGL_IMPORT obj_t BGl_objectzd2ze3structzd2envze3zz__objectz00;
DEFINE_STATIC_PROCEDURE( BGl_allocatezd2dfszd2envz00zzsaw_blockorderz00, BgL_bgl__allocateza7d2dfsza7d2za7za7saw_blockorderza7004639za7, BGl__allocatezd2dfszd2zzsaw_blockorderz00, 0L, 0 );
DEFINE_STRING( BGl_string4603z00zzsaw_blockorderz00, BgL_bgl_string4603za700za7za7saw_blockorderza7004640z00, "dfs rdone done reverse-dfs ", 27 );
DEFINE_STATIC_PROCEDURE( BGl_lengthuncolsucczc3zd3zf3zd2envz31zzsaw_blockorderz00, BgL_bgl__lengthuncolsuccza7c3za7d3za7f3za7e3za7za7saw_blockorderza7004641za7, BGl__lengthuncolsucczc3zd3zf3ze3zzsaw_blockorderz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc4600z00zzsaw_blockorderz00, BgL_bgl_structza7b2objectza7d2za7e3objectza7d2rdone3245za751za7za7saw_blockorderza7004642z00, BGl_structzb2objectzd2ze3objectzd2rdone3245z51zzsaw_blockorderz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc4601z00zzsaw_blockorderz00, BgL_bgl_objectza7d2za7e3structza7d2done3247za7e3za7za7saw_blockorderza7004643za7, BGl_objectzd2ze3structzd2done3247ze3zzsaw_blockorderz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc4602z00zzsaw_blockorderz00, BgL_bgl_structza7b2objectza7d2za7e3objectza7d2done3249za751za7za7saw_blockorderza7004644z00, BGl_structzb2objectzd2ze3objectzd2done3249z51zzsaw_blockorderz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc4595z00zzsaw_blockorderz00, BgL_bgl_za7c3anonymousza7a33442za7e3za783za7za7saw_blockorderza7004645za7, BGl_zc3anonymousza33442ze3z83zzsaw_blockorderz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc4596z00zzsaw_blockorderz00, BgL_bgl_za7c3anonymousza7a33465za7e3za783za7za7saw_blockorderza7004646za7, BGl_zc3anonymousza33465ze3z83zzsaw_blockorderz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc4597z00zzsaw_blockorderz00, BgL_bgl_objectza7d2za7e3structza7d2dfs3239za7e3za7za7saw_blockorderza7004647za7, BGl_objectzd2ze3structzd2dfs3239ze3zzsaw_blockorderz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc4598z00zzsaw_blockorderz00, BgL_bgl_structza7b2objectza7d2za7e3objectza7d2dfs3241za751za7za7saw_blockorderza7004648z00, BGl_structzb2objectzd2ze3objectzd2dfs3241z51zzsaw_blockorderz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc4599z00zzsaw_blockorderz00, BgL_bgl_objectza7d2za7e3structza7d2rdone3243za7e3za7za7saw_blockorderza7004649za7, BGl_objectzd2ze3structzd2rdone3243ze3zzsaw_blockorderz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_blockzd2orderingzd2envz00zzsaw_blockorderz00, BgL_bgl__blockza7d2orderingza7d2za7za7saw_blockorderza7004650za7, BGl__blockzd2orderingzd2zzsaw_blockorderz00, 0L, 1 );
BGL_IMPORT obj_t BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00;
DEFINE_STATIC_PROCEDURE( BGl_allocatezd2donezd2envz00zzsaw_blockorderz00, BgL_bgl__allocateza7d2doneza7d2za7za7saw_blockorderza7004651za7, BGl__allocatezd2donezd2zzsaw_blockorderz00, 0L, 0 );



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzsaw_blockorderz00(long BgL_checksumz00_2015, char * BgL_fromz00_2016)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzsaw_blockorderz00))
{ 
BGl_requirezd2initializa7ationz75zzsaw_blockorderz00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzsaw_blockorderz00(); 
BGl_cnstzd2initzd2zzsaw_blockorderz00(); 
BGl_importedzd2moduleszd2initz00zzsaw_blockorderz00(); 
BGl_objectzd2initzd2zzsaw_blockorderz00(); 
BGl_methodzd2initzd2zzsaw_blockorderz00(); 
BGl_toplevelzd2initzd2zzsaw_blockorderz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzsaw_blockorderz00()
{ AN_OBJECT;
{ /* ./SawMill/blockorder.scm 1 */
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "saw_blockorder"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "saw_blockorder"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "saw_blockorder"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long)0), "saw_blockorder"); 
BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long)0), "saw_blockorder"); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long)0), "saw_blockorder"); 
BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)0), "saw_blockorder"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzsaw_blockorderz00()
{ AN_OBJECT;
{ /* ./SawMill/blockorder.scm 1 */
{ /* ./SawMill/blockorder.scm 1 */
obj_t BgL_cportz00_1977;
BgL_cportz00_1977 = 
open_input_string(BGl_string4603z00zzsaw_blockorderz00); 
{ 
long BgL_iz00_1978;
BgL_iz00_1978 = ((long)3); 
BgL_loopz00_1979:
{ /* ./SawMill/blockorder.scm 1 */
bool_t BgL_test4605z00_1980;
BgL_test4605z00_1980 = 
(BgL_iz00_1978==((long)-1)); 
if(BgL_test4605z00_1980)
{ /* ./SawMill/blockorder.scm 1 */
return BUNSPEC;}  else 
{ /* ./SawMill/blockorder.scm 1 */
{ /* ./SawMill/blockorder.scm 1 */
obj_t BgL_arg4607z00_1981;
{ /* ./SawMill/blockorder.scm 1 */
obj_t BgL_list4610z00_1982;
BgL_list4610z00_1982 = 
MAKE_PAIR(BgL_cportz00_1977, BNIL); 
BgL_arg4607z00_1981 = 
BGl_readz00zz__readerz00(BgL_list4610z00_1982); } 
{ /* ./SawMill/blockorder.scm 1 */
int BgL_auxz00_2038;
BgL_auxz00_2038 = 
(int)(BgL_iz00_1978); 
CNST_TABLE_SET(BgL_auxz00_2038, BgL_arg4607z00_1981); } } 
{ /* ./SawMill/blockorder.scm 1 */
int BgL_auxz00_1983;
{ /* ./SawMill/blockorder.scm 1 */
long BgL_auxz00_2041;
BgL_auxz00_2041 = 
(BgL_iz00_1978-((long)1)); 
BgL_auxz00_1983 = 
(int)(BgL_auxz00_2041); } 
{ 
long BgL_iz00_2044;
BgL_iz00_2044 = 
(long)(BgL_auxz00_1983); 
BgL_iz00_1978 = BgL_iz00_2044; 
goto BgL_loopz00_1979;} } } } } } } 
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zzsaw_blockorderz00()
{ AN_OBJECT;
{ /* ./SawMill/blockorder.scm 1 */
return ( 
BGl_za2blockorderingza2z00zzsaw_blockorderz00 = 
CNST_TABLE_REF(((long)0)), BUNSPEC) ;} 
}



/* block-ordering */
BGL_EXPORTED_DEF obj_t BGl_blockzd2orderingzd2zzsaw_blockorderz00(BgL_blockz00_bglt BgL_bz00_1)
{ AN_OBJECT;
{ /* ./SawMill/blockorder.scm 11 */
{ /* ./SawMill/blockorder.scm 12 */
bool_t BgL_test3250z00_964;
BgL_test3250z00_964 = 
BGl_eqvzf3zf3zz__r4_equivalence_6_2z00(BGl_za2blockorderingza2z00zzsaw_blockorderz00, 
CNST_TABLE_REF(((long)0))); 
if(BgL_test3250z00_964)
{ /* ./SawMill/blockorder.scm 12 */
return 
BGl_rdfszd2orderingzd2zzsaw_blockorderz00(BgL_bz00_1);}  else 
{ /* ./SawMill/blockorder.scm 12 */
return 
BGl_dfszd2orderingzd2zzsaw_blockorderz00(BgL_bz00_1);} } } 
}



/* _block-ordering */
obj_t BGl__blockzd2orderingzd2zzsaw_blockorderz00(obj_t BgL_envz00_1925, obj_t BgL_bz00_1926)
{ AN_OBJECT;
{ /* ./SawMill/blockorder.scm 11 */
return 
BGl_blockzd2orderingzd2zzsaw_blockorderz00(
(BgL_blockz00_bglt)(BgL_bz00_1926));} 
}



/* dfs-ordering */
obj_t BGl_dfszd2orderingzd2zzsaw_blockorderz00(BgL_blockz00_bglt BgL_bz00_2)
{ AN_OBJECT;
{ /* ./SawMill/blockorder.scm 19 */
{ /* ./SawMill/blockorder.scm 20 */
obj_t BgL_rz00_965;
BgL_rz00_965 = 
MAKE_CELL(BNIL); 
BGl_dfsz72z72z72z72zzsaw_blockorderz00(BgL_rz00_965, 
(obj_t)(BgL_bz00_2)); 
return 
BGl_reversez12z12zz__r4_pairs_and_lists_6_3z00(
CELL_REF(BgL_rz00_965));} } 
}



/* dfs''' */
bool_t BGl_dfsz72z72z72z72zzsaw_blockorderz00(obj_t BgL_rz00_1975, obj_t BgL_bz00_966)
{ AN_OBJECT;
{ /* ./SawMill/blockorder.scm 21 */
{ /* ./SawMill/blockorder.scm 22 */
BgL_blockz00_bglt BgL_obj3217z00_968;
{ 
BgL_blockz00_bglt BgL_auxz00_2057;
BgL_auxz00_2057 = 
(BgL_blockz00_bglt)(BgL_bz00_966); 
BgL_obj3217z00_968 = 
((BgL_blockz00_bglt)BgL_auxz00_2057); } 
{ /* ./SawMill/blockorder.scm 22 */
BgL_donez00_bglt BgL_arg3257z00_969;
BgL_arg3257z00_969 = 
BGl_wideningzd2donezd2zzsaw_blockorderz00(); 
{ /* ./SawMill/blockorder.scm 22 */
obj_t BgL_auxz00_2063;BgL_objectz00_bglt BgL_auxz00_2061;
BgL_auxz00_2063 = 
(obj_t)(BgL_arg3257z00_969); 
BgL_auxz00_2061 = 
(BgL_objectz00_bglt)(BgL_obj3217z00_968); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_2061, BgL_auxz00_2063); } } 
{ /* ./SawMill/blockorder.scm 22 */
long BgL_arg3261z00_970;
BgL_arg3261z00_970 = 
BGl_classzd2numzd2zz__objectz00(BGl_donez00zzsaw_blockorderz00); 
{ /* ./SawMill/blockorder.scm 22 */
BgL_objectz00_bglt BgL_objz00_1731;
BgL_objz00_1731 = 
(BgL_objectz00_bglt)(BgL_obj3217z00_968); 
BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_1731, BgL_arg3261z00_970); } } 
{ /* ./SawMill/blockorder.scm 22 */
obj_t BgL_objz00_1733;
BgL_objz00_1733 = 
(obj_t)(BgL_obj3217z00_968); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_objz00_1733); BUNSPEC; } BgL_obj3217z00_968; } 
{ /* ./SawMill/blockorder.scm 23 */
obj_t BgL_auxz00_1976;
{ /* ./SawMill/blockorder.scm 23 */
obj_t BgL_auxz00_2071;
BgL_auxz00_2071 = 
CELL_REF(BgL_rz00_1975); 
BgL_auxz00_1976 = 
MAKE_PAIR(BgL_bz00_966, BgL_auxz00_2071); } 
CELL_SET(BgL_rz00_1975, BgL_auxz00_1976); } 
{ 
obj_t BgL_l3218z00_971;
{ /* ./SawMill/blockorder.scm 25 */
obj_t BgL_arg3267z00_973;
{ /* ./SawMill/blockorder.scm 25 */
BgL_blockz00_bglt BgL_obj3098z00_1734;
BgL_obj3098z00_1734 = 
(BgL_blockz00_bglt)(BgL_bz00_966); 
BgL_arg3267z00_973 = 
(((BgL_blockz00_bglt)CREF(BgL_obj3098z00_1734))->BgL_succsz00); } 
BgL_l3218z00_971 = BgL_arg3267z00_973; 
BgL_forzd2each3219zd2_972:
{ /* ./SawMill/blockorder.scm 24 */
bool_t BgL_test3270z00_974;
BgL_test3270z00_974 = 
PAIRP(BgL_l3218z00_971); 
if(BgL_test3270z00_974)
{ /* ./SawMill/blockorder.scm 24 */
{ /* ./SawMill/blockorder.scm 24 */
obj_t BgL_sz00_975;
BgL_sz00_975 = 
CAR(BgL_l3218z00_971); 
{ /* ./SawMill/blockorder.scm 24 */
bool_t BgL_test3271z00_976;
BgL_test3271z00_976 = 
BGl_iszd2azf3z21zz__objectz00(BgL_sz00_975, BGl_donez00zzsaw_blockorderz00); 
if(BgL_test3271z00_976)
{ /* ./SawMill/blockorder.scm 24 */((bool_t)0); }  else 
{ /* ./SawMill/blockorder.scm 24 */
BGl_dfsz72z72z72z72zzsaw_blockorderz00(BgL_rz00_1975, BgL_sz00_975); } } } 
{ /* ./SawMill/blockorder.scm 24 */
obj_t BgL_arg3276z00_977;
BgL_arg3276z00_977 = 
CDR(BgL_l3218z00_971); 
{ 
obj_t BgL_l3218z00_2082;
BgL_l3218z00_2082 = BgL_arg3276z00_977; 
BgL_l3218z00_971 = BgL_l3218z00_2082; 
goto BgL_forzd2each3219zd2_972;} } }  else 
{ /* ./SawMill/blockorder.scm 24 */
return ((bool_t)1);} } } } } 
}



/* rdfs-ordering */
obj_t BGl_rdfszd2orderingzd2zzsaw_blockorderz00(BgL_blockz00_bglt BgL_bz00_3)
{ AN_OBJECT;
{ /* ./SawMill/blockorder.scm 32 */
{ /* ./SawMill/blockorder.scm 33 */
obj_t BgL_rz00_978;
BgL_rz00_978 = 
MAKE_CELL(BNIL); 
{ 
obj_t BgL_l3223z00_980;
{ /* ./SawMill/blockorder.scm 41 */
obj_t BgL_arg3282z00_982;
BgL_arg3282z00_982 = 
BGl_findzd2exitzd2zzsaw_blockorderz00(BgL_bz00_3); 
BgL_l3223z00_980 = BgL_arg3282z00_982; 
BgL_forzd2each3224zd2_981:
{ /* ./SawMill/blockorder.scm 41 */
bool_t BgL_test3285z00_983;
BgL_test3285z00_983 = 
PAIRP(BgL_l3223z00_980); 
if(BgL_test3285z00_983)
{ /* ./SawMill/blockorder.scm 41 */
{ /* ./SawMill/blockorder.scm 41 */
obj_t BgL_sz00_984;
BgL_sz00_984 = 
CAR(BgL_l3223z00_980); 
{ /* ./SawMill/blockorder.scm 41 */
bool_t BgL_test3286z00_985;
BgL_test3286z00_985 = 
BGl_iszd2azf3z21zz__objectz00(BgL_sz00_984, BGl_rdonez00zzsaw_blockorderz00); 
if(BgL_test3286z00_985)
{ /* ./SawMill/blockorder.scm 41 */((bool_t)0); }  else 
{ /* ./SawMill/blockorder.scm 41 */
BGl_visitz00zzsaw_blockorderz00(BgL_rz00_978, 
(BgL_blockz00_bglt)(BgL_sz00_984)); } } } 
{ /* ./SawMill/blockorder.scm 41 */
obj_t BgL_arg3291z00_986;
BgL_arg3291z00_986 = 
CDR(BgL_l3223z00_980); 
{ 
obj_t BgL_l3223z00_2092;
BgL_l3223z00_2092 = BgL_arg3291z00_986; 
BgL_l3223z00_980 = BgL_l3223z00_2092; 
goto BgL_forzd2each3224zd2_981;} } }  else 
{ /* ./SawMill/blockorder.scm 41 */((bool_t)1); } } } } 
BGl_dfsz72z72z00zzsaw_blockorderz00(BgL_rz00_978, 
(obj_t)(BgL_bz00_3)); 
{ 
obj_t BgL_lz00_1000;obj_t BgL_prevz00_1001;obj_t BgL_lastfailz00_1002;
BgL_lz00_1000 = 
CELL_REF(BgL_rz00_978); 
BgL_prevz00_1001 = BNIL; 
BgL_lastfailz00_1002 = BNIL; 
BgL_walkz00_1003:
{ /* ./SawMill/blockorder.scm 49 */
obj_t BgL_xz00_1004;
BgL_xz00_1004 = 
CAR(BgL_lz00_1000); 
{ /* ./SawMill/blockorder.scm 50 */
bool_t BgL_test3324z00_1005;
{ /* ./SawMill/blockorder.scm 50 */
obj_t BgL_auxz00_2096;
BgL_auxz00_2096 = 
(obj_t)(BgL_bz00_3); 
BgL_test3324z00_1005 = 
(BgL_xz00_1004==BgL_auxz00_2096); } 
if(BgL_test3324z00_1005)
{ /* ./SawMill/blockorder.scm 50 */
{ /* ./SawMill/blockorder.scm 51 */
bool_t BgL_test3325z00_1006;
BgL_test3325z00_1006 = 
NULLP(BgL_prevz00_1001); 
if(BgL_test3325z00_1006)
{ /* ./SawMill/blockorder.scm 51 */BFALSE; }  else 
{ /* ./SawMill/blockorder.scm 52 */
obj_t BgL_endz00_1007;
BgL_endz00_1007 = 
BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(BgL_lz00_1000); 
{ /* ./SawMill/blockorder.scm 53 */
bool_t BgL_test3326z00_1008;
if(
NULLP(BgL_lastfailz00_1002))
{ /* ./SawMill/blockorder.scm 53 */
BgL_test3326z00_1008 = ((bool_t)1); }  else 
{ /* ./SawMill/blockorder.scm 53 */
BgL_test3326z00_1008 = 
(BgL_prevz00_1001==BgL_lastfailz00_1002); } 
if(BgL_test3326z00_1008)
{ /* ./SawMill/blockorder.scm 53 */
{ /* ./SawMill/blockorder.scm 54 */
obj_t BgL_objz00_1756;
BgL_objz00_1756 = 
CELL_REF(BgL_rz00_978); 
SET_CDR(BgL_endz00_1007, BgL_objz00_1756); } 
SET_CDR(BgL_prevz00_1001, BNIL); }  else 
{ /* ./SawMill/blockorder.scm 53 */
{ /* ./SawMill/blockorder.scm 56 */
obj_t BgL_arg3330z00_1009;
BgL_arg3330z00_1009 = 
CDR(BgL_lastfailz00_1002); 
SET_CDR(BgL_endz00_1007, BgL_arg3330z00_1009); } 
{ /* ./SawMill/blockorder.scm 57 */
obj_t BgL_objz00_1763;
BgL_objz00_1763 = 
CELL_REF(BgL_rz00_978); 
SET_CDR(BgL_prevz00_1001, BgL_objz00_1763); } 
SET_CDR(BgL_lastfailz00_1002, BNIL); } } } } 
return BgL_lz00_1000;}  else 
{ /* ./SawMill/blockorder.scm 60 */
BgL_rtl_funz00_bglt BgL_funz00_1011;
{ /* ./SawMill/blockorder.scm 60 */
BgL_rtl_insz00_bglt BgL_obj3070z00_1768;
{ /* ./SawMill/blockorder.scm 60 */
obj_t BgL_auxz00_2113;
{ /* ./SawMill/blockorder.scm 60 */
obj_t BgL_auxz00_2114;
{ /* ./SawMill/blockorder.scm 60 */
obj_t BgL_auxz00_2115;
{ /* ./SawMill/blockorder.scm 60 */
BgL_blockz00_bglt BgL_obj3101z00_1766;
BgL_obj3101z00_1766 = 
(BgL_blockz00_bglt)(BgL_xz00_1004); 
BgL_auxz00_2115 = 
(((BgL_blockz00_bglt)CREF(BgL_obj3101z00_1766))->BgL_firstz00); } 
BgL_auxz00_2114 = 
BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(BgL_auxz00_2115); } 
BgL_auxz00_2113 = 
CAR(BgL_auxz00_2114); } 
BgL_obj3070z00_1768 = 
(BgL_rtl_insz00_bglt)(BgL_auxz00_2113); } 
BgL_funz00_1011 = 
(((BgL_rtl_insz00_bglt)CREF(BgL_obj3070z00_1768))->BgL_funz00); } 
{ /* ./SawMill/blockorder.scm 61 */
bool_t BgL_test3340z00_1012;
{ /* ./SawMill/blockorder.scm 61 */
bool_t BgL_test3349z00_1015;
{ /* ./SawMill/blockorder.scm 61 */
obj_t BgL_obj2686z00_1769;
BgL_obj2686z00_1769 = 
(obj_t)(BgL_funz00_1011); 
BgL_test3349z00_1015 = 
BGl_iszd2azf3z21zz__objectz00(BgL_obj2686z00_1769, BGl_rtl_lastz00zzsaw_defsz00); } 
if(BgL_test3349z00_1015)
{ /* ./SawMill/blockorder.scm 61 */
obj_t BgL_obj2697z00_1770;
BgL_obj2697z00_1770 = 
(obj_t)(BgL_funz00_1011); 
BgL_test3340z00_1012 = 
BGl_iszd2azf3z21zz__objectz00(BgL_obj2697z00_1770, BGl_rtl_returnz00zzsaw_defsz00); }  else 
{ /* ./SawMill/blockorder.scm 61 */
BgL_test3340z00_1012 = ((bool_t)1); } } 
if(BgL_test3340z00_1012)
{ /* ./SawMill/blockorder.scm 62 */
obj_t BgL_arg3342z00_1013;
BgL_arg3342z00_1013 = 
CDR(BgL_lz00_1000); 
{ 
obj_t BgL_prevz00_2130;obj_t BgL_lz00_2129;
BgL_lz00_2129 = BgL_arg3342z00_1013; 
BgL_prevz00_2130 = BgL_lz00_1000; 
BgL_prevz00_1001 = BgL_prevz00_2130; 
BgL_lz00_1000 = BgL_lz00_2129; 
goto BgL_walkz00_1003;} }  else 
{ /* ./SawMill/blockorder.scm 63 */
obj_t BgL_arg3346z00_1014;
BgL_arg3346z00_1014 = 
CDR(BgL_lz00_1000); 
{ 
obj_t BgL_lastfailz00_2134;obj_t BgL_prevz00_2133;obj_t BgL_lz00_2132;
BgL_lz00_2132 = BgL_arg3346z00_1014; 
BgL_prevz00_2133 = BgL_lz00_1000; 
BgL_lastfailz00_2134 = BgL_lz00_1000; 
BgL_lastfailz00_1002 = BgL_lastfailz00_2134; 
BgL_prevz00_1001 = BgL_prevz00_2133; 
BgL_lz00_1000 = BgL_lz00_2132; 
goto BgL_walkz00_1003;} } } } } } } } } 
}



/* visit */
bool_t BGl_visitz00zzsaw_blockorderz00(obj_t BgL_rz00_1971, BgL_blockz00_bglt BgL_bz00_1019)
{ AN_OBJECT;
{ /* ./SawMill/blockorder.scm 35 */
{ /* ./SawMill/blockorder.scm 35 */
BgL_blockz00_bglt BgL_obj3220z00_1021;
BgL_obj3220z00_1021 = 
((BgL_blockz00_bglt)BgL_bz00_1019); 
{ /* ./SawMill/blockorder.scm 35 */
BgL_rdonez00_bglt BgL_arg3367z00_1022;
BgL_arg3367z00_1022 = 
BGl_wideningzd2rdonezd2zzsaw_blockorderz00(); 
{ /* ./SawMill/blockorder.scm 35 */
obj_t BgL_auxz00_2139;BgL_objectz00_bglt BgL_auxz00_2137;
BgL_auxz00_2139 = 
(obj_t)(BgL_arg3367z00_1022); 
BgL_auxz00_2137 = 
(BgL_objectz00_bglt)(BgL_obj3220z00_1021); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_2137, BgL_auxz00_2139); } } 
{ /* ./SawMill/blockorder.scm 35 */
long BgL_arg3371z00_1023;
BgL_arg3371z00_1023 = 
BGl_classzd2numzd2zz__objectz00(BGl_rdonez00zzsaw_blockorderz00); 
{ /* ./SawMill/blockorder.scm 35 */
BgL_objectz00_bglt BgL_objz00_1773;
BgL_objz00_1773 = 
(BgL_objectz00_bglt)(BgL_obj3220z00_1021); 
BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_1773, BgL_arg3371z00_1023); } } 
{ /* ./SawMill/blockorder.scm 35 */
obj_t BgL_objz00_1775;
BgL_objz00_1775 = 
(obj_t)(BgL_obj3220z00_1021); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_objz00_1775); BUNSPEC; } BgL_obj3220z00_1021; } 
{ /* ./SawMill/blockorder.scm 36 */
obj_t BgL_auxz00_1972;
{ /* ./SawMill/blockorder.scm 36 */
obj_t BgL_auxz00_2149;obj_t BgL_auxz00_2147;
BgL_auxz00_2149 = 
CELL_REF(BgL_rz00_1971); 
BgL_auxz00_2147 = 
(obj_t)(BgL_bz00_1019); 
BgL_auxz00_1972 = 
MAKE_PAIR(BgL_auxz00_2147, BgL_auxz00_2149); } 
CELL_SET(BgL_rz00_1971, BgL_auxz00_1972); } 
{ 
obj_t BgL_l3221z00_1024;
{ /* ./SawMill/blockorder.scm 39 */
obj_t BgL_arg3377z00_1026;
BgL_arg3377z00_1026 = 
BGl_predecessorsz00zzsaw_blockorderz00(BgL_bz00_1019); 
BgL_l3221z00_1024 = BgL_arg3377z00_1026; 
BgL_forzd2each3222zd2_1025:
{ /* ./SawMill/blockorder.scm 38 */
bool_t BgL_test3380z00_1027;
BgL_test3380z00_1027 = 
PAIRP(BgL_l3221z00_1024); 
if(BgL_test3380z00_1027)
{ /* ./SawMill/blockorder.scm 38 */
{ /* ./SawMill/blockorder.scm 38 */
obj_t BgL_sz00_1028;
BgL_sz00_1028 = 
CAR(BgL_l3221z00_1024); 
{ /* ./SawMill/blockorder.scm 38 */
bool_t BgL_test3381z00_1029;
BgL_test3381z00_1029 = 
BGl_iszd2azf3z21zz__objectz00(BgL_sz00_1028, BGl_rdonez00zzsaw_blockorderz00); 
if(BgL_test3381z00_1029)
{ /* ./SawMill/blockorder.scm 38 */((bool_t)0); }  else 
{ /* ./SawMill/blockorder.scm 38 */
BGl_visitz00zzsaw_blockorderz00(BgL_rz00_1971, 
(BgL_blockz00_bglt)(BgL_sz00_1028)); } } } 
{ /* ./SawMill/blockorder.scm 38 */
obj_t BgL_arg3386z00_1030;
BgL_arg3386z00_1030 = 
CDR(BgL_l3221z00_1024); 
{ 
obj_t BgL_l3221z00_2160;
BgL_l3221z00_2160 = BgL_arg3386z00_1030; 
BgL_l3221z00_1024 = BgL_l3221z00_2160; 
goto BgL_forzd2each3222zd2_1025;} } }  else 
{ /* ./SawMill/blockorder.scm 38 */
return ((bool_t)1);} } } } } 
}



/* dfs'' */
bool_t BGl_dfsz72z72z00zzsaw_blockorderz00(obj_t BgL_rz00_1973, obj_t BgL_bz00_987)
{ AN_OBJECT;
{ /* ./SawMill/blockorder.scm 43 */
{ /* ./SawMill/blockorder.scm 44 */
bool_t BgL_test3296z00_989;
BgL_test3296z00_989 = 
BGl_iszd2azf3z21zz__objectz00(BgL_bz00_987, BGl_rdonez00zzsaw_blockorderz00); 
if(BgL_test3296z00_989)
{ /* ./SawMill/blockorder.scm 44 */BFALSE; }  else 
{ /* ./SawMill/blockorder.scm 44 */
obj_t BgL_auxz00_1974;
{ /* ./SawMill/blockorder.scm 44 */
obj_t BgL_auxz00_2163;
BgL_auxz00_2163 = 
CELL_REF(BgL_rz00_1973); 
BgL_auxz00_1974 = 
MAKE_PAIR(BgL_bz00_987, BgL_auxz00_2163); } 
CELL_SET(BgL_rz00_1973, BgL_auxz00_1974); } } 
{ /* ./SawMill/blockorder.scm 45 */
BgL_blockz00_bglt BgL_obj3225z00_990;
{ 
BgL_blockz00_bglt BgL_auxz00_2165;
BgL_auxz00_2165 = 
(BgL_blockz00_bglt)(BgL_bz00_987); 
BgL_obj3225z00_990 = 
((BgL_blockz00_bglt)BgL_auxz00_2165); } 
{ /* ./SawMill/blockorder.scm 45 */
BgL_donez00_bglt BgL_arg3300z00_991;
BgL_arg3300z00_991 = 
BGl_wideningzd2donezd2zzsaw_blockorderz00(); 
{ /* ./SawMill/blockorder.scm 45 */
obj_t BgL_auxz00_2171;BgL_objectz00_bglt BgL_auxz00_2169;
BgL_auxz00_2171 = 
(obj_t)(BgL_arg3300z00_991); 
BgL_auxz00_2169 = 
(BgL_objectz00_bglt)(BgL_obj3225z00_990); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_2169, BgL_auxz00_2171); } } 
{ /* ./SawMill/blockorder.scm 45 */
long BgL_arg3304z00_992;
BgL_arg3304z00_992 = 
BGl_classzd2numzd2zz__objectz00(BGl_donez00zzsaw_blockorderz00); 
{ /* ./SawMill/blockorder.scm 45 */
BgL_objectz00_bglt BgL_objz00_1744;
BgL_objz00_1744 = 
(BgL_objectz00_bglt)(BgL_obj3225z00_990); 
BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_1744, BgL_arg3304z00_992); } } 
{ /* ./SawMill/blockorder.scm 45 */
obj_t BgL_objz00_1746;
BgL_objz00_1746 = 
(obj_t)(BgL_obj3225z00_990); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_objz00_1746); BUNSPEC; } BgL_obj3225z00_990; } 
{ 
obj_t BgL_l3226z00_993;
{ /* ./SawMill/blockorder.scm 46 */
obj_t BgL_arg3309z00_995;
{ /* ./SawMill/blockorder.scm 46 */
BgL_blockz00_bglt BgL_obj3098z00_1747;
BgL_obj3098z00_1747 = 
(BgL_blockz00_bglt)(BgL_bz00_987); 
BgL_arg3309z00_995 = 
(((BgL_blockz00_bglt)CREF(BgL_obj3098z00_1747))->BgL_succsz00); } 
BgL_l3226z00_993 = BgL_arg3309z00_995; 
BgL_forzd2each3227zd2_994:
{ /* ./SawMill/blockorder.scm 46 */
bool_t BgL_test3312z00_996;
BgL_test3312z00_996 = 
PAIRP(BgL_l3226z00_993); 
if(BgL_test3312z00_996)
{ /* ./SawMill/blockorder.scm 46 */
{ /* ./SawMill/blockorder.scm 46 */
obj_t BgL_sz00_997;
BgL_sz00_997 = 
CAR(BgL_l3226z00_993); 
{ /* ./SawMill/blockorder.scm 46 */
bool_t BgL_test3313z00_998;
BgL_test3313z00_998 = 
BGl_iszd2azf3z21zz__objectz00(BgL_sz00_997, BGl_donez00zzsaw_blockorderz00); 
if(BgL_test3313z00_998)
{ /* ./SawMill/blockorder.scm 46 */((bool_t)0); }  else 
{ /* ./SawMill/blockorder.scm 46 */
BGl_dfsz72z72z00zzsaw_blockorderz00(BgL_rz00_1973, BgL_sz00_997); } } } 
{ /* ./SawMill/blockorder.scm 46 */
obj_t BgL_arg3319z00_999;
BgL_arg3319z00_999 = 
CDR(BgL_l3226z00_993); 
{ 
obj_t BgL_l3226z00_2188;
BgL_l3226z00_2188 = BgL_arg3319z00_999; 
BgL_l3226z00_993 = BgL_l3226z00_2188; 
goto BgL_forzd2each3227zd2_994;} } }  else 
{ /* ./SawMill/blockorder.scm 46 */
return ((bool_t)1);} } } } } 
}



/* find-exit */
obj_t BGl_findzd2exitzd2zzsaw_blockorderz00(BgL_blockz00_bglt BgL_bz00_4)
{ AN_OBJECT;
{ /* ./SawMill/blockorder.scm 72 */
{ /* ./SawMill/blockorder.scm 73 */
obj_t BgL_retsz00_1032;obj_t BgL_failsz00_1033;obj_t BgL_nz00_1034;
BgL_retsz00_1032 = 
MAKE_CELL(BNIL); 
BgL_failsz00_1033 = 
MAKE_CELL(BNIL); 
{ /* ./SawMill/blockorder.scm 73 */
obj_t BgL_cellvalz00_2189;
BgL_cellvalz00_2189 = 
BINT(((long)0)); 
BgL_nz00_1034 = 
MAKE_CELL(BgL_cellvalz00_2189); } 
BGl_dfsz72z72zzsaw_blockorderz00(BgL_retsz00_1032, BgL_failsz00_1033, BgL_nz00_1034, 
(obj_t)(BgL_bz00_4)); 
return 
bgl_append2(
CELL_REF(BgL_retsz00_1032), 
CELL_REF(BgL_failsz00_1033));} } 
}



/* dfs' */
bool_t BGl_dfsz72z72zzsaw_blockorderz00(obj_t BgL_retsz00_1967, obj_t BgL_failsz00_1966, obj_t BgL_nz00_1965, obj_t BgL_bz00_1035)
{ AN_OBJECT;
{ /* ./SawMill/blockorder.scm 74 */
{ /* ./SawMill/blockorder.scm 75 */
BgL_blockz00_bglt BgL_obj3228z00_1037;
{ 
BgL_blockz00_bglt BgL_auxz00_2194;
BgL_auxz00_2194 = 
(BgL_blockz00_bglt)(BgL_bz00_1035); 
BgL_obj3228z00_1037 = 
((BgL_blockz00_bglt)BgL_auxz00_2194); } 
{ /* ./SawMill/blockorder.scm 75 */
BgL_dfsz00_bglt BgL_arg3392z00_1038;
{ /* ./SawMill/blockorder.scm 75 */
long BgL_arg3395z00_1039;
{ /* ./SawMill/blockorder.scm 75 */
obj_t BgL_auxz00_2197;
BgL_auxz00_2197 = 
CELL_REF(BgL_nz00_1965); 
BgL_arg3395z00_1039 = 
(long)CINT(BgL_auxz00_2197); } 
{ /* ./SawMill/blockorder.scm 75 */
BgL_dfsz00_bglt BgL_res4425z00_1786;
{ /* ./SawMill/blockorder.scm 75 */
int BgL_n3180z00_1780;
BgL_n3180z00_1780 = 
(int)(BgL_arg3395z00_1039); 
{ /* ./SawMill/blockorder.scm 75 */
BgL_dfsz00_bglt BgL_new3181z00_1781;
BgL_new3181z00_1781 = 
((BgL_dfsz00_bglt)BREF( GC_MALLOC (sizeof(struct BgL_dfsz00_bgl)))); 
{ /* ./SawMill/blockorder.scm 75 */
BgL_dfsz00_bglt BgL_res4424z00_1785;
{ /* ./SawMill/blockorder.scm 75 */
BgL_dfsz00_bglt BgL_new3191z00_1782;
BgL_new3191z00_1782 = BgL_new3181z00_1781; 
{ /* ./SawMill/blockorder.scm 75 */
int BgL_n3190z00_1784;
BgL_n3190z00_1784 = BgL_n3180z00_1780; 
((((BgL_dfsz00_bglt)CREF(BgL_new3191z00_1782))->BgL_nz00) = ((int)BgL_n3190z00_1784), BUNSPEC); 
BgL_res4424z00_1785 = BgL_new3191z00_1782; } } BgL_res4424z00_1785; } 
BgL_res4425z00_1786 = BgL_new3181z00_1781; } } 
BgL_arg3392z00_1038 = BgL_res4425z00_1786; } } 
{ /* ./SawMill/blockorder.scm 75 */
obj_t BgL_auxz00_2204;BgL_objectz00_bglt BgL_auxz00_2202;
BgL_auxz00_2204 = 
(obj_t)(BgL_arg3392z00_1038); 
BgL_auxz00_2202 = 
(BgL_objectz00_bglt)(BgL_obj3228z00_1037); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_2202, BgL_auxz00_2204); } } 
{ /* ./SawMill/blockorder.scm 75 */
long BgL_arg3398z00_1040;
BgL_arg3398z00_1040 = 
BGl_classzd2numzd2zz__objectz00(BGl_dfsz00zzsaw_blockorderz00); 
{ /* ./SawMill/blockorder.scm 75 */
BgL_objectz00_bglt BgL_objz00_1787;
BgL_objz00_1787 = 
(BgL_objectz00_bglt)(BgL_obj3228z00_1037); 
BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_1787, BgL_arg3398z00_1040); } } 
{ /* ./SawMill/blockorder.scm 75 */
obj_t BgL_objz00_1789;
BgL_objz00_1789 = 
(obj_t)(BgL_obj3228z00_1037); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_objz00_1789); BUNSPEC; } BgL_obj3228z00_1037; } 
{ /* ./SawMill/blockorder.scm 76 */
obj_t BgL_auxz00_1968;
{ /* ./SawMill/blockorder.scm 76 */
long BgL_za71za7_1790;
{ /* ./SawMill/blockorder.scm 76 */
obj_t BgL_auxz00_2212;
BgL_auxz00_2212 = 
CELL_REF(BgL_nz00_1965); 
BgL_za71za7_1790 = 
(long)CINT(BgL_auxz00_2212); } 
{ /* ./SawMill/blockorder.scm 76 */
long BgL_auxz00_2214;
BgL_auxz00_2214 = 
(BgL_za71za7_1790+((long)1)); 
BgL_auxz00_1968 = 
BINT(BgL_auxz00_2214); } } 
CELL_SET(BgL_nz00_1965, BgL_auxz00_1968); } 
{ /* ./SawMill/blockorder.scm 79 */
BgL_rtl_funz00_bglt BgL_funz00_1041;
{ /* ./SawMill/blockorder.scm 79 */
BgL_rtl_insz00_bglt BgL_obj3070z00_1794;
{ /* ./SawMill/blockorder.scm 79 */
obj_t BgL_auxz00_2217;
{ /* ./SawMill/blockorder.scm 79 */
obj_t BgL_auxz00_2218;
{ /* ./SawMill/blockorder.scm 79 */
obj_t BgL_auxz00_2219;
{ /* ./SawMill/blockorder.scm 79 */
BgL_blockz00_bglt BgL_obj3101z00_1792;
BgL_obj3101z00_1792 = 
(BgL_blockz00_bglt)(BgL_bz00_1035); 
BgL_auxz00_2219 = 
(((BgL_blockz00_bglt)CREF(BgL_obj3101z00_1792))->BgL_firstz00); } 
BgL_auxz00_2218 = 
BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(BgL_auxz00_2219); } 
BgL_auxz00_2217 = 
CAR(BgL_auxz00_2218); } 
BgL_obj3070z00_1794 = 
(BgL_rtl_insz00_bglt)(BgL_auxz00_2217); } 
BgL_funz00_1041 = 
(((BgL_rtl_insz00_bglt)CREF(BgL_obj3070z00_1794))->BgL_funz00); } 
{ /* ./SawMill/blockorder.scm 80 */
bool_t BgL_test3403z00_1042;
{ /* ./SawMill/blockorder.scm 80 */
obj_t BgL_obj2686z00_1795;
BgL_obj2686z00_1795 = 
(obj_t)(BgL_funz00_1041); 
BgL_test3403z00_1042 = 
BGl_iszd2azf3z21zz__objectz00(BgL_obj2686z00_1795, BGl_rtl_lastz00zzsaw_defsz00); } 
if(BgL_test3403z00_1042)
{ /* ./SawMill/blockorder.scm 81 */
bool_t BgL_test3404z00_1043;
{ /* ./SawMill/blockorder.scm 81 */
obj_t BgL_obj2697z00_1796;
BgL_obj2697z00_1796 = 
(obj_t)(BgL_funz00_1041); 
BgL_test3404z00_1043 = 
BGl_iszd2azf3z21zz__objectz00(BgL_obj2697z00_1796, BGl_rtl_returnz00zzsaw_defsz00); } 
if(BgL_test3404z00_1043)
{ /* ./SawMill/blockorder.scm 82 */
obj_t BgL_auxz00_1969;
{ /* ./SawMill/blockorder.scm 82 */
obj_t BgL_auxz00_2232;
BgL_auxz00_2232 = 
CELL_REF(BgL_retsz00_1967); 
BgL_auxz00_1969 = 
MAKE_PAIR(BgL_bz00_1035, BgL_auxz00_2232); } 
CELL_SET(BgL_retsz00_1967, BgL_auxz00_1969); }  else 
{ /* ./SawMill/blockorder.scm 83 */
obj_t BgL_auxz00_1970;
{ /* ./SawMill/blockorder.scm 83 */
obj_t BgL_auxz00_2234;
BgL_auxz00_2234 = 
CELL_REF(BgL_failsz00_1966); 
BgL_auxz00_1970 = 
MAKE_PAIR(BgL_bz00_1035, BgL_auxz00_2234); } 
CELL_SET(BgL_failsz00_1966, BgL_auxz00_1970); } }  else 
{ /* ./SawMill/blockorder.scm 80 */BFALSE; } } } 
{ 
obj_t BgL_l3229z00_1047;
{ /* ./SawMill/blockorder.scm 84 */
obj_t BgL_arg3420z00_1049;
{ /* ./SawMill/blockorder.scm 84 */
BgL_blockz00_bglt BgL_obj3098z00_1797;
BgL_obj3098z00_1797 = 
(BgL_blockz00_bglt)(BgL_bz00_1035); 
BgL_arg3420z00_1049 = 
(((BgL_blockz00_bglt)CREF(BgL_obj3098z00_1797))->BgL_succsz00); } 
BgL_l3229z00_1047 = BgL_arg3420z00_1049; 
BgL_forzd2each3230zd2_1048:
{ /* ./SawMill/blockorder.scm 84 */
bool_t BgL_test3423z00_1050;
BgL_test3423z00_1050 = 
PAIRP(BgL_l3229z00_1047); 
if(BgL_test3423z00_1050)
{ /* ./SawMill/blockorder.scm 84 */
{ /* ./SawMill/blockorder.scm 84 */
obj_t BgL_sz00_1051;
BgL_sz00_1051 = 
CAR(BgL_l3229z00_1047); 
{ /* ./SawMill/blockorder.scm 84 */
bool_t BgL_test3424z00_1052;
BgL_test3424z00_1052 = 
BGl_iszd2azf3z21zz__objectz00(BgL_sz00_1051, BGl_dfsz00zzsaw_blockorderz00); 
if(BgL_test3424z00_1052)
{ /* ./SawMill/blockorder.scm 84 */((bool_t)0); }  else 
{ /* ./SawMill/blockorder.scm 84 */
BGl_dfsz72z72zzsaw_blockorderz00(BgL_retsz00_1967, BgL_failsz00_1966, BgL_nz00_1965, BgL_sz00_1051); } } } 
{ /* ./SawMill/blockorder.scm 84 */
obj_t BgL_arg3429z00_1053;
BgL_arg3429z00_1053 = 
CDR(BgL_l3229z00_1047); 
{ 
obj_t BgL_l3229z00_2245;
BgL_l3229z00_2245 = BgL_arg3429z00_1053; 
BgL_l3229z00_1047 = BgL_l3229z00_2245; 
goto BgL_forzd2each3230zd2_1048;} } }  else 
{ /* ./SawMill/blockorder.scm 84 */
return ((bool_t)1);} } } } } 
}



/* predecessors */
obj_t BGl_predecessorsz00zzsaw_blockorderz00(BgL_blockz00_bglt BgL_bz00_5)
{ AN_OBJECT;
{ /* ./SawMill/blockorder.scm 88 */
{ /* ./SawMill/blockorder.scm 89 */
obj_t BgL_arg3436z00_1054;
{ /* ./SawMill/blockorder.scm 89 */
obj_t BgL_arg3440z00_1056;
BgL_arg3440z00_1056 = 
(((BgL_blockz00_bglt)CREF(BgL_bz00_5))->BgL_predsz00); 
BgL_arg3436z00_1054 = 
BGl_filterz00zz__r4_control_features_6_9z00(BGl_proc4595z00zzsaw_blockorderz00, BgL_arg3440z00_1056); } 
return 
BGl_sortz00zz__r4_vectors_6_8z00(BgL_arg3436z00_1054, BGl_lengthuncolsucczc3zd3zf3zd2envz31zzsaw_blockorderz00);} } 
}



/* <anonymous:3442> */
obj_t BGl_zc3anonymousza33442ze3z83zzsaw_blockorderz00(obj_t BgL_envz00_1928, obj_t BgL_xz00_1929)
{ AN_OBJECT;
{ /* ./SawMill/blockorder.scm 89 */
{ 
obj_t BgL_xz00_1057;
{ /* ./SawMill/blockorder.scm 89 */
bool_t BgL_auxz00_2249;
BgL_xz00_1057 = BgL_xz00_1929; 
if(
BGl_iszd2azf3z21zz__objectz00(BgL_xz00_1057, BGl_rdonez00zzsaw_blockorderz00))
{ /* ./SawMill/blockorder.scm 89 */
BgL_auxz00_2249 = ((bool_t)0)
; }  else 
{ /* ./SawMill/blockorder.scm 89 */
BgL_auxz00_2249 = ((bool_t)1)
; } 
return 
BBOOL(BgL_auxz00_2249);} } } 
}



/* lengthuncolsucc<=? */
bool_t BGl_lengthuncolsucczc3zd3zf3ze3zzsaw_blockorderz00(obj_t BgL_b1z00_6, obj_t BgL_b2z00_7)
{ AN_OBJECT;
{ /* ./SawMill/blockorder.scm 92 */
{ /* ./SawMill/blockorder.scm 93 */
long BgL_n1z00_1061;long BgL_n2z00_1062;
BgL_n1z00_1061 = 
BGl_lengthuncolsuccz00zzsaw_blockorderz00(
(BgL_blockz00_bglt)(BgL_b1z00_6)); 
BgL_n2z00_1062 = 
BGl_lengthuncolsuccz00zzsaw_blockorderz00(
(BgL_blockz00_bglt)(BgL_b2z00_7)); 
if(
(BgL_n1z00_1061<BgL_n2z00_1062))
{ /* ./SawMill/blockorder.scm 94 */
return ((bool_t)1);}  else 
{ /* ./SawMill/blockorder.scm 94 */
if(
(BgL_n1z00_1061>BgL_n2z00_1062))
{ /* ./SawMill/blockorder.scm 95 */
return ((bool_t)0);}  else 
{ /* ./SawMill/blockorder.scm 95 */
{ /* ./SawMill/blockorder.scm 96 */
obj_t BgL_auxz00_2270;obj_t BgL_auxz00_2261;
{ /* ./SawMill/blockorder.scm 96 */
int BgL_auxz00_2271;
{ /* ./SawMill/blockorder.scm 96 */
BgL_dfsz00_bglt BgL_obj3202z00_1806;
BgL_obj3202z00_1806 = 
(BgL_dfsz00_bglt)(BgL_b2z00_7); 
{ 
obj_t BgL_auxz00_2273;
{ /* ./SawMill/blockorder.scm 96 */
BgL_objectz00_bglt BgL_auxz00_2274;
BgL_auxz00_2274 = 
(BgL_objectz00_bglt)(BgL_obj3202z00_1806); 
BgL_auxz00_2273 = 
BGL_OBJECT_WIDENING(BgL_auxz00_2274); } 
BgL_auxz00_2271 = 
(((BgL_dfsz00_bglt)CREF(BgL_auxz00_2273))->BgL_nz00); } } 
BgL_auxz00_2270 = 
BINT(BgL_auxz00_2271); } 
{ /* ./SawMill/blockorder.scm 96 */
int BgL_auxz00_2262;
{ /* ./SawMill/blockorder.scm 96 */
BgL_dfsz00_bglt BgL_obj3202z00_1805;
BgL_obj3202z00_1805 = 
(BgL_dfsz00_bglt)(BgL_b1z00_6); 
{ 
obj_t BgL_auxz00_2264;
{ /* ./SawMill/blockorder.scm 96 */
BgL_objectz00_bglt BgL_auxz00_2265;
BgL_auxz00_2265 = 
(BgL_objectz00_bglt)(BgL_obj3202z00_1805); 
BgL_auxz00_2264 = 
BGL_OBJECT_WIDENING(BgL_auxz00_2265); } 
BgL_auxz00_2262 = 
(((BgL_dfsz00_bglt)CREF(BgL_auxz00_2264))->BgL_nz00); } } 
BgL_auxz00_2261 = 
BINT(BgL_auxz00_2262); } 
return 
BGl_2ze3ze3zz__r4_numbers_6_5z00(BgL_auxz00_2261, BgL_auxz00_2270);} } } } } 
}



/* _lengthuncolsucc<=? */
obj_t BGl__lengthuncolsucczc3zd3zf3ze3zzsaw_blockorderz00(obj_t BgL_envz00_1930, obj_t BgL_b1z00_1931, obj_t BgL_b2z00_1932)
{ AN_OBJECT;
{ /* ./SawMill/blockorder.scm 92 */
{ /* ./SawMill/blockorder.scm 93 */
bool_t BgL_auxz00_2280;
BgL_auxz00_2280 = 
BGl_lengthuncolsucczc3zd3zf3ze3zzsaw_blockorderz00(BgL_b1z00_1931, BgL_b2z00_1932); 
return 
BBOOL(BgL_auxz00_2280);} } 
}



/* lengthuncolsucc */
long BGl_lengthuncolsuccz00zzsaw_blockorderz00(BgL_blockz00_bglt BgL_bz00_8)
{ AN_OBJECT;
{ /* ./SawMill/blockorder.scm 98 */
{ /* ./SawMill/blockorder.scm 99 */
obj_t BgL_arg3459z00_1067;
{ /* ./SawMill/blockorder.scm 99 */
obj_t BgL_arg3463z00_1069;
BgL_arg3463z00_1069 = 
(((BgL_blockz00_bglt)CREF(BgL_bz00_8))->BgL_succsz00); 
BgL_arg3459z00_1067 = 
BGl_filterz00zz__r4_control_features_6_9z00(BGl_proc4596z00zzsaw_blockorderz00, BgL_arg3463z00_1069); } 
return 
bgl_list_length(BgL_arg3459z00_1067);} } 
}



/* <anonymous:3465> */
obj_t BGl_zc3anonymousza33465ze3z83zzsaw_blockorderz00(obj_t BgL_envz00_1934, obj_t BgL_xz00_1935)
{ AN_OBJECT;
{ /* ./SawMill/blockorder.scm 99 */
{ 
obj_t BgL_xz00_1070;
{ /* ./SawMill/blockorder.scm 99 */
bool_t BgL_auxz00_2286;
BgL_xz00_1070 = BgL_xz00_1935; 
if(
BGl_iszd2azf3z21zz__objectz00(BgL_xz00_1070, BGl_rdonez00zzsaw_blockorderz00))
{ /* ./SawMill/blockorder.scm 99 */
BgL_auxz00_2286 = ((bool_t)0)
; }  else 
{ /* ./SawMill/blockorder.scm 99 */
BgL_auxz00_2286 = ((bool_t)1)
; } 
return 
BBOOL(BgL_auxz00_2286);} } } 
}



/* object-init */
obj_t BGl_objectzd2initzd2zzsaw_blockorderz00()
{ AN_OBJECT;
{ /* ./SawMill/blockorder.scm 1 */
{ /* ./SawMill/blockorder.scm 5 */
obj_t BgL_arg3596z00_1134;obj_t BgL_arg3597z00_1135;obj_t BgL_arg3601z00_1139;
BgL_arg3596z00_1134 = 
CNST_TABLE_REF(((long)1)); 
BgL_arg3597z00_1135 = BGl_blockz00zzsaw_defsz00; 
{ /* ./SawMill/blockorder.scm 5 */
obj_t BgL_v3235z00_1140;
{ 
int BgL_auxz00_2291;
BgL_auxz00_2291 = 
(int)(((long)0)); 
BgL_v3235z00_1140 = 
create_vector(BgL_auxz00_2291); } 
BgL_arg3601z00_1139 = BgL_v3235z00_1140; } 
BGl_donez00zzsaw_blockorderz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BgL_arg3596z00_1134, BgL_arg3597z00_1135, BFALSE, BGl_allocatezd2donezd2envz00zzsaw_blockorderz00, ((long)17446), BNIL, BFALSE, BgL_arg3601z00_1139); } 
{ /* ./SawMill/blockorder.scm 6 */
obj_t BgL_arg3605z00_1141;obj_t BgL_arg3606z00_1142;obj_t BgL_arg3610z00_1146;
BgL_arg3605z00_1141 = 
CNST_TABLE_REF(((long)2)); 
BgL_arg3606z00_1142 = BGl_blockz00zzsaw_defsz00; 
{ /* ./SawMill/blockorder.scm 6 */
obj_t BgL_v3236z00_1147;
{ 
int BgL_auxz00_2296;
BgL_auxz00_2296 = 
(int)(((long)0)); 
BgL_v3236z00_1147 = 
create_vector(BgL_auxz00_2296); } 
BgL_arg3610z00_1146 = BgL_v3236z00_1147; } 
BGl_rdonez00zzsaw_blockorderz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BgL_arg3605z00_1141, BgL_arg3606z00_1142, BFALSE, BGl_allocatezd2rdonezd2envz00zzsaw_blockorderz00, ((long)44504), BNIL, BFALSE, BgL_arg3610z00_1146); } 
{ /* ./SawMill/blockorder.scm 7 */
obj_t BgL_arg3614z00_1148;obj_t BgL_arg3615z00_1149;obj_t BgL_arg3619z00_1153;
BgL_arg3614z00_1148 = 
CNST_TABLE_REF(((long)3)); 
BgL_arg3615z00_1149 = BGl_blockz00zzsaw_defsz00; 
{ /* ./SawMill/blockorder.scm 7 */
obj_t BgL_v3237z00_1154;
{ 
int BgL_auxz00_2301;
BgL_auxz00_2301 = 
(int)(((long)0)); 
BgL_v3237z00_1154 = 
create_vector(BgL_auxz00_2301); } 
BgL_arg3619z00_1153 = BgL_v3237z00_1154; } 
BGl_dfsz00zzsaw_blockorderz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BgL_arg3614z00_1148, BgL_arg3615z00_1149, BFALSE, BGl_allocatezd2dfszd2envz00zzsaw_blockorderz00, ((long)38496), BNIL, BFALSE, BgL_arg3619z00_1153); } 
return BUNSPEC;} 
}



/* _allocate-dfs */
obj_t BGl__allocatezd2dfszd2zzsaw_blockorderz00(obj_t BgL_envz00_1938)
{ AN_OBJECT;
{ /* ./SawMill/blockorder.scm 7 */
{ /* ./SawMill/blockorder.scm 7 */
BgL_blockz00_bglt BgL_auxz00_2305;
{ /* ./SawMill/blockorder.scm 7 */
BgL_blockz00_bglt BgL_res4619z00_1996;
{ /* ./SawMill/blockorder.scm 7 */
BgL_blockz00_bglt BgL_new3194z00_1992;
BgL_new3194z00_1992 = 
((BgL_blockz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_blockz00_bgl) ))); 
{ /* ./SawMill/blockorder.scm 7 */
long BgL_arg3635z00_1993;
BgL_arg3635z00_1993 = 
BGl_classzd2numzd2zz__objectz00(BGl_dfsz00zzsaw_blockorderz00); 
{ /* ./SawMill/blockorder.scm 7 */
BgL_objectz00_bglt BgL_objz00_1994;
BgL_objz00_1994 = 
(BgL_objectz00_bglt)(BgL_new3194z00_1992); 
BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_1994, BgL_arg3635z00_1993); } } 
{ /* ./SawMill/blockorder.scm 7 */
BgL_objectz00_bglt BgL_auxz00_2310;
BgL_auxz00_2310 = 
(BgL_objectz00_bglt)(BgL_new3194z00_1992); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_2310, BFALSE); } 
{ /* ./SawMill/blockorder.scm 7 */
obj_t BgL_objz00_1995;
BgL_objz00_1995 = 
(obj_t)(BgL_new3194z00_1992); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_objz00_1995); BUNSPEC; } 
BgL_res4619z00_1996 = BgL_new3194z00_1992; } 
BgL_auxz00_2305 = BgL_res4619z00_1996; } 
return 
(obj_t)(BgL_auxz00_2305);} } 
}



/* widening-rdone */
BgL_rdonez00_bglt BGl_wideningzd2rdonezd2zzsaw_blockorderz00()
{ AN_OBJECT;
{ /* ./SawMill/blockorder.scm 6 */
{ /* ./SawMill/blockorder.scm 6 */
BgL_rdonez00_bglt BgL_new3150z00_1163;
BgL_new3150z00_1163 = 
((BgL_rdonez00_bglt)BREF( GC_MALLOC (sizeof(struct BgL_rdonez00_bgl)))); 
return BgL_new3150z00_1163;} } 
}



/* _allocate-rdone */
obj_t BGl__allocatezd2rdonezd2zzsaw_blockorderz00(obj_t BgL_envz00_1937)
{ AN_OBJECT;
{ /* ./SawMill/blockorder.scm 6 */
{ /* ./SawMill/blockorder.scm 6 */
BgL_blockz00_bglt BgL_auxz00_2317;
{ /* ./SawMill/blockorder.scm 6 */
BgL_blockz00_bglt BgL_res4620z00_2005;
{ /* ./SawMill/blockorder.scm 6 */
BgL_blockz00_bglt BgL_new3160z00_2001;
BgL_new3160z00_2001 = 
((BgL_blockz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_blockz00_bgl) ))); 
{ /* ./SawMill/blockorder.scm 6 */
long BgL_arg3656z00_2002;
BgL_arg3656z00_2002 = 
BGl_classzd2numzd2zz__objectz00(BGl_rdonez00zzsaw_blockorderz00); 
{ /* ./SawMill/blockorder.scm 6 */
BgL_objectz00_bglt BgL_objz00_2003;
BgL_objz00_2003 = 
(BgL_objectz00_bglt)(BgL_new3160z00_2001); 
BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2003, BgL_arg3656z00_2002); } } 
{ /* ./SawMill/blockorder.scm 6 */
BgL_objectz00_bglt BgL_auxz00_2322;
BgL_auxz00_2322 = 
(BgL_objectz00_bglt)(BgL_new3160z00_2001); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_2322, BFALSE); } 
{ /* ./SawMill/blockorder.scm 6 */
obj_t BgL_objz00_2004;
BgL_objz00_2004 = 
(obj_t)(BgL_new3160z00_2001); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_objz00_2004); BUNSPEC; } 
BgL_res4620z00_2005 = BgL_new3160z00_2001; } 
BgL_auxz00_2317 = BgL_res4620z00_2005; } 
return 
(obj_t)(BgL_auxz00_2317);} } 
}



/* widening-done */
BgL_donez00_bglt BGl_wideningzd2donezd2zzsaw_blockorderz00()
{ AN_OBJECT;
{ /* ./SawMill/blockorder.scm 5 */
{ /* ./SawMill/blockorder.scm 5 */
BgL_donez00_bglt BgL_new3120z00_1170;
BgL_new3120z00_1170 = 
((BgL_donez00_bglt)BREF( GC_MALLOC (sizeof(struct BgL_donez00_bgl)))); 
return BgL_new3120z00_1170;} } 
}



/* _allocate-done */
obj_t BGl__allocatezd2donezd2zzsaw_blockorderz00(obj_t BgL_envz00_1936)
{ AN_OBJECT;
{ /* ./SawMill/blockorder.scm 5 */
{ /* ./SawMill/blockorder.scm 5 */
BgL_blockz00_bglt BgL_auxz00_2329;
{ /* ./SawMill/blockorder.scm 5 */
BgL_blockz00_bglt BgL_res4621z00_2014;
{ /* ./SawMill/blockorder.scm 5 */
BgL_blockz00_bglt BgL_new3130z00_2010;
BgL_new3130z00_2010 = 
((BgL_blockz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_blockz00_bgl) ))); 
{ /* ./SawMill/blockorder.scm 5 */
long BgL_arg3674z00_2011;
BgL_arg3674z00_2011 = 
BGl_classzd2numzd2zz__objectz00(BGl_donez00zzsaw_blockorderz00); 
{ /* ./SawMill/blockorder.scm 5 */
BgL_objectz00_bglt BgL_objz00_2012;
BgL_objz00_2012 = 
(BgL_objectz00_bglt)(BgL_new3130z00_2010); 
BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2012, BgL_arg3674z00_2011); } } 
{ /* ./SawMill/blockorder.scm 5 */
BgL_objectz00_bglt BgL_auxz00_2334;
BgL_auxz00_2334 = 
(BgL_objectz00_bglt)(BgL_new3130z00_2010); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_2334, BFALSE); } 
{ /* ./SawMill/blockorder.scm 5 */
obj_t BgL_objz00_2013;
BgL_objz00_2013 = 
(obj_t)(BgL_new3130z00_2010); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_objz00_2013); BUNSPEC; } 
BgL_res4621z00_2014 = BgL_new3130z00_2010; } 
BgL_auxz00_2329 = BgL_res4621z00_2014; } 
return 
(obj_t)(BgL_auxz00_2329);} } 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzsaw_blockorderz00()
{ AN_OBJECT;
{ /* ./SawMill/blockorder.scm 1 */
BGl_addzd2methodz12zc0zz__objectz00(BGl_objectzd2ze3structzd2envze3zz__objectz00, BGl_dfsz00zzsaw_blockorderz00, BGl_proc4597z00zzsaw_blockorderz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00, BGl_dfsz00zzsaw_blockorderz00, BGl_proc4598z00zzsaw_blockorderz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_objectzd2ze3structzd2envze3zz__objectz00, BGl_rdonez00zzsaw_blockorderz00, BGl_proc4599z00zzsaw_blockorderz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00, BGl_rdonez00zzsaw_blockorderz00, BGl_proc4600z00zzsaw_blockorderz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_objectzd2ze3structzd2envze3zz__objectz00, BGl_donez00zzsaw_blockorderz00, BGl_proc4601z00zzsaw_blockorderz00); 
return 
BGl_addzd2methodz12zc0zz__objectz00(BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00, BGl_donez00zzsaw_blockorderz00, BGl_proc4602z00zzsaw_blockorderz00);} 
}



/* struct+object->object-done3249 */
obj_t BGl_structzb2objectzd2ze3objectzd2done3249z51zzsaw_blockorderz00(obj_t BgL_envz00_1950, obj_t BgL_oz00_1951, obj_t BgL_sz00_1952)
{ AN_OBJECT;
{ /* ./SawMill/blockorder.scm 5 */
{ 
BgL_donez00_bglt BgL_oz00_1720;obj_t BgL_sz00_1721;
{ /* ./SawMill/blockorder.scm 5 */
BgL_donez00_bglt BgL_auxz00_2346;
BgL_oz00_1720 = 
(BgL_donez00_bglt)(BgL_oz00_1951); 
BgL_sz00_1721 = BgL_sz00_1952; 
{ 

{ /* ./SawMill/blockorder.scm 5 */
obj_t BgL_old3134z00_1724;
{ /* ./SawMill/blockorder.scm 5 */
obj_t BgL_nextzd2method3248zd2_1729;
BgL_nextzd2method3248zd2_1729 = 
BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
(BgL_objectz00_bglt)(BgL_oz00_1720), BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00, BGl_donez00zzsaw_blockorderz00); 
{ /* ./SawMill/blockorder.scm 5 */
bool_t BgL_test4415z00_1730;
BgL_test4415z00_1730 = 
PROCEDUREP(BgL_nextzd2method3248zd2_1729); 
if(BgL_test4415z00_1730)
{ /* ./SawMill/blockorder.scm 5 */
BgL_old3134z00_1724 = 
PROCEDURE_ENTRY(BgL_nextzd2method3248zd2_1729)(BgL_nextzd2method3248zd2_1729, 
(obj_t)(BgL_oz00_1720), BgL_sz00_1721, BEOA); }  else 
{ /* ./SawMill/blockorder.scm 5 */
{ /* ./SawMill/blockorder.scm 5 */
BgL_objectz00_bglt BgL_auxz00_2354;
BgL_auxz00_2354 = 
BGl_structzb2objectzd2ze3objectz83zz__objectz00(
(BgL_objectz00_bglt)(BgL_oz00_1720), BgL_sz00_1721); 
BgL_old3134z00_1724 = 
(obj_t)(BgL_auxz00_2354); } } } } 
{ /* ./SawMill/blockorder.scm 5 */
BgL_donez00_bglt BgL_new3136z00_1726;
BgL_new3136z00_1726 = 
((BgL_donez00_bglt)(BgL_old3134z00_1724)); 
{ /* ./SawMill/blockorder.scm 5 */
long BgL_arg4405z00_1727;
BgL_arg4405z00_1727 = 
BGl_classzd2numzd2zz__objectz00(BGl_donez00zzsaw_blockorderz00); 
{ /* ./SawMill/blockorder.scm 5 */
BgL_objectz00_bglt BgL_objz00_1921;
BgL_objz00_1921 = 
(BgL_objectz00_bglt)(BgL_new3136z00_1726); 
BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_1921, BgL_arg4405z00_1727); } } 
{ /* ./SawMill/blockorder.scm 5 */
BgL_donez00_bglt BgL_arg4409z00_1728;
BgL_arg4409z00_1728 = 
BGl_wideningzd2donezd2zzsaw_blockorderz00(); 
{ /* ./SawMill/blockorder.scm 5 */
obj_t BgL_auxz00_2365;BgL_objectz00_bglt BgL_auxz00_2363;
BgL_auxz00_2365 = 
(obj_t)(BgL_arg4409z00_1728); 
BgL_auxz00_2363 = 
(BgL_objectz00_bglt)(BgL_new3136z00_1726); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_2363, BgL_auxz00_2365); } } 
{ /* ./SawMill/blockorder.scm 5 */
obj_t BgL_objz00_1923;
BgL_objz00_1923 = 
(obj_t)(BgL_new3136z00_1726); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_objz00_1923); BUNSPEC; } 
BgL_auxz00_2346 = BgL_new3136z00_1726; } } } 
return 
(obj_t)(BgL_auxz00_2346);} } } 
}



/* object->struct-done3247 */
obj_t BGl_objectzd2ze3structzd2done3247ze3zzsaw_blockorderz00(obj_t BgL_envz00_1953, obj_t BgL_obj3131z00_1954)
{ AN_OBJECT;
{ /* ./SawMill/blockorder.scm 5 */
{ 
BgL_donez00_bglt BgL_obj3131z00_1712;
BgL_obj3131z00_1712 = 
(BgL_donez00_bglt)(BgL_obj3131z00_1954); 
{ 

{ /* ./SawMill/blockorder.scm 5 */
obj_t BgL_res3132z00_1715;
{ /* ./SawMill/blockorder.scm 5 */
obj_t BgL_nextzd2method3246zd2_1718;
BgL_nextzd2method3246zd2_1718 = 
BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
(BgL_objectz00_bglt)(BgL_obj3131z00_1712), BGl_objectzd2ze3structzd2envze3zz__objectz00, BGl_donez00zzsaw_blockorderz00); 
{ /* ./SawMill/blockorder.scm 5 */
bool_t BgL_test4398z00_1719;
BgL_test4398z00_1719 = 
PROCEDUREP(BgL_nextzd2method3246zd2_1718); 
if(BgL_test4398z00_1719)
{ /* ./SawMill/blockorder.scm 5 */
BgL_res3132z00_1715 = 
PROCEDURE_ENTRY(BgL_nextzd2method3246zd2_1718)(BgL_nextzd2method3246zd2_1718, 
(obj_t)(BgL_obj3131z00_1712), BEOA); }  else 
{ /* ./SawMill/blockorder.scm 5 */
BgL_res3132z00_1715 = 
BGl_objectzd2ze3structz31zz__objectz00(
(BgL_objectz00_bglt)(BgL_obj3131z00_1712)); } } } 
{ /* ./SawMill/blockorder.scm 5 */
obj_t BgL_aux3133z00_1716;
{ /* ./SawMill/blockorder.scm 5 */
obj_t BgL_keyz00_1906;int BgL_lenz00_1907;
BgL_keyz00_1906 = 
CNST_TABLE_REF(((long)1)); 
BgL_lenz00_1907 = 
(int)(((long)0)); 
BgL_aux3133z00_1716 = 
make_struct(BgL_keyz00_1906, BgL_lenz00_1907, BUNSPEC); } 
{ /* ./SawMill/blockorder.scm 5 */
int BgL_kz00_1910;
BgL_kz00_1910 = 
(int)(((long)0)); 
STRUCT_SET(BgL_res3132z00_1715, BgL_kz00_1910, BgL_aux3133z00_1716); } 
{ /* ./SawMill/blockorder.scm 5 */
obj_t BgL_arg4392z00_1717;
BgL_arg4392z00_1717 = 
STRUCT_KEY(BgL_res3132z00_1715); 
STRUCT_KEY_SET(BgL_aux3133z00_1716, BgL_arg4392z00_1717); } 
{ /* ./SawMill/blockorder.scm 5 */
obj_t BgL_kz00_1917;
BgL_kz00_1917 = 
CNST_TABLE_REF(((long)1)); 
STRUCT_KEY_SET(BgL_res3132z00_1715, BgL_kz00_1917); } 
return BgL_res3132z00_1715;} } } } } 
}



/* struct+object->object-rdone3245 */
obj_t BGl_structzb2objectzd2ze3objectzd2rdone3245z51zzsaw_blockorderz00(obj_t BgL_envz00_1955, obj_t BgL_oz00_1956, obj_t BgL_sz00_1957)
{ AN_OBJECT;
{ /* ./SawMill/blockorder.scm 6 */
{ 
BgL_rdonez00_bglt BgL_oz00_1701;obj_t BgL_sz00_1702;
{ /* ./SawMill/blockorder.scm 6 */
BgL_rdonez00_bglt BgL_auxz00_2391;
BgL_oz00_1701 = 
(BgL_rdonez00_bglt)(BgL_oz00_1956); 
BgL_sz00_1702 = BgL_sz00_1957; 
{ 

{ /* ./SawMill/blockorder.scm 6 */
obj_t BgL_old3164z00_1705;
{ /* ./SawMill/blockorder.scm 6 */
obj_t BgL_nextzd2method3244zd2_1710;
BgL_nextzd2method3244zd2_1710 = 
BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
(BgL_objectz00_bglt)(BgL_oz00_1701), BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00, BGl_rdonez00zzsaw_blockorderz00); 
{ /* ./SawMill/blockorder.scm 6 */
bool_t BgL_test4384z00_1711;
BgL_test4384z00_1711 = 
PROCEDUREP(BgL_nextzd2method3244zd2_1710); 
if(BgL_test4384z00_1711)
{ /* ./SawMill/blockorder.scm 6 */
BgL_old3164z00_1705 = 
PROCEDURE_ENTRY(BgL_nextzd2method3244zd2_1710)(BgL_nextzd2method3244zd2_1710, 
(obj_t)(BgL_oz00_1701), BgL_sz00_1702, BEOA); }  else 
{ /* ./SawMill/blockorder.scm 6 */
{ /* ./SawMill/blockorder.scm 6 */
BgL_objectz00_bglt BgL_auxz00_2399;
BgL_auxz00_2399 = 
BGl_structzb2objectzd2ze3objectz83zz__objectz00(
(BgL_objectz00_bglt)(BgL_oz00_1701), BgL_sz00_1702); 
BgL_old3164z00_1705 = 
(obj_t)(BgL_auxz00_2399); } } } } 
{ /* ./SawMill/blockorder.scm 6 */
BgL_rdonez00_bglt BgL_new3166z00_1707;
BgL_new3166z00_1707 = 
((BgL_rdonez00_bglt)(BgL_old3164z00_1705)); 
{ /* ./SawMill/blockorder.scm 6 */
long BgL_arg4374z00_1708;
BgL_arg4374z00_1708 = 
BGl_classzd2numzd2zz__objectz00(BGl_rdonez00zzsaw_blockorderz00); 
{ /* ./SawMill/blockorder.scm 6 */
BgL_objectz00_bglt BgL_objz00_1902;
BgL_objz00_1902 = 
(BgL_objectz00_bglt)(BgL_new3166z00_1707); 
BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_1902, BgL_arg4374z00_1708); } } 
{ /* ./SawMill/blockorder.scm 6 */
BgL_rdonez00_bglt BgL_arg4378z00_1709;
BgL_arg4378z00_1709 = 
BGl_wideningzd2rdonezd2zzsaw_blockorderz00(); 
{ /* ./SawMill/blockorder.scm 6 */
obj_t BgL_auxz00_2410;BgL_objectz00_bglt BgL_auxz00_2408;
BgL_auxz00_2410 = 
(obj_t)(BgL_arg4378z00_1709); 
BgL_auxz00_2408 = 
(BgL_objectz00_bglt)(BgL_new3166z00_1707); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_2408, BgL_auxz00_2410); } } 
{ /* ./SawMill/blockorder.scm 6 */
obj_t BgL_objz00_1904;
BgL_objz00_1904 = 
(obj_t)(BgL_new3166z00_1707); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_objz00_1904); BUNSPEC; } 
BgL_auxz00_2391 = BgL_new3166z00_1707; } } } 
return 
(obj_t)(BgL_auxz00_2391);} } } 
}



/* object->struct-rdone3243 */
obj_t BGl_objectzd2ze3structzd2rdone3243ze3zzsaw_blockorderz00(obj_t BgL_envz00_1958, obj_t BgL_obj3161z00_1959)
{ AN_OBJECT;
{ /* ./SawMill/blockorder.scm 6 */
{ 
BgL_rdonez00_bglt BgL_obj3161z00_1693;
BgL_obj3161z00_1693 = 
(BgL_rdonez00_bglt)(BgL_obj3161z00_1959); 
{ 

{ /* ./SawMill/blockorder.scm 6 */
obj_t BgL_res3162z00_1696;
{ /* ./SawMill/blockorder.scm 6 */
obj_t BgL_nextzd2method3242zd2_1699;
BgL_nextzd2method3242zd2_1699 = 
BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
(BgL_objectz00_bglt)(BgL_obj3161z00_1693), BGl_objectzd2ze3structzd2envze3zz__objectz00, BGl_rdonez00zzsaw_blockorderz00); 
{ /* ./SawMill/blockorder.scm 6 */
bool_t BgL_test4367z00_1700;
BgL_test4367z00_1700 = 
PROCEDUREP(BgL_nextzd2method3242zd2_1699); 
if(BgL_test4367z00_1700)
{ /* ./SawMill/blockorder.scm 6 */
BgL_res3162z00_1696 = 
PROCEDURE_ENTRY(BgL_nextzd2method3242zd2_1699)(BgL_nextzd2method3242zd2_1699, 
(obj_t)(BgL_obj3161z00_1693), BEOA); }  else 
{ /* ./SawMill/blockorder.scm 6 */
BgL_res3162z00_1696 = 
BGl_objectzd2ze3structz31zz__objectz00(
(BgL_objectz00_bglt)(BgL_obj3161z00_1693)); } } } 
{ /* ./SawMill/blockorder.scm 6 */
obj_t BgL_aux3163z00_1697;
{ /* ./SawMill/blockorder.scm 6 */
obj_t BgL_keyz00_1887;int BgL_lenz00_1888;
BgL_keyz00_1887 = 
CNST_TABLE_REF(((long)2)); 
BgL_lenz00_1888 = 
(int)(((long)0)); 
BgL_aux3163z00_1697 = 
make_struct(BgL_keyz00_1887, BgL_lenz00_1888, BUNSPEC); } 
{ /* ./SawMill/blockorder.scm 6 */
int BgL_kz00_1891;
BgL_kz00_1891 = 
(int)(((long)0)); 
STRUCT_SET(BgL_res3162z00_1696, BgL_kz00_1891, BgL_aux3163z00_1697); } 
{ /* ./SawMill/blockorder.scm 6 */
obj_t BgL_arg4361z00_1698;
BgL_arg4361z00_1698 = 
STRUCT_KEY(BgL_res3162z00_1696); 
STRUCT_KEY_SET(BgL_aux3163z00_1697, BgL_arg4361z00_1698); } 
{ /* ./SawMill/blockorder.scm 6 */
obj_t BgL_kz00_1898;
BgL_kz00_1898 = 
CNST_TABLE_REF(((long)2)); 
STRUCT_KEY_SET(BgL_res3162z00_1696, BgL_kz00_1898); } 
return BgL_res3162z00_1696;} } } } } 
}



/* struct+object->object-dfs3241 */
obj_t BGl_structzb2objectzd2ze3objectzd2dfs3241z51zzsaw_blockorderz00(obj_t BgL_envz00_1960, obj_t BgL_oz00_1961, obj_t BgL_sz00_1962)
{ AN_OBJECT;
{ /* ./SawMill/blockorder.scm 7 */
{ 
BgL_dfsz00_bglt BgL_oz00_1681;obj_t BgL_sz00_1682;
{ /* ./SawMill/blockorder.scm 7 */
BgL_dfsz00_bglt BgL_auxz00_2436;
BgL_oz00_1681 = 
(BgL_dfsz00_bglt)(BgL_oz00_1961); 
BgL_sz00_1682 = BgL_sz00_1962; 
{ 

{ /* ./SawMill/blockorder.scm 7 */
obj_t BgL_old3198z00_1685;obj_t BgL_aux3199z00_1686;
{ /* ./SawMill/blockorder.scm 7 */
obj_t BgL_nextzd2method3240zd2_1691;
BgL_nextzd2method3240zd2_1691 = 
BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
(BgL_objectz00_bglt)(BgL_oz00_1681), BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00, BGl_dfsz00zzsaw_blockorderz00); 
{ /* ./SawMill/blockorder.scm 7 */
bool_t BgL_test4353z00_1692;
BgL_test4353z00_1692 = 
PROCEDUREP(BgL_nextzd2method3240zd2_1691); 
if(BgL_test4353z00_1692)
{ /* ./SawMill/blockorder.scm 7 */
BgL_old3198z00_1685 = 
PROCEDURE_ENTRY(BgL_nextzd2method3240zd2_1691)(BgL_nextzd2method3240zd2_1691, 
(obj_t)(BgL_oz00_1681), BgL_sz00_1682, BEOA); }  else 
{ /* ./SawMill/blockorder.scm 7 */
{ /* ./SawMill/blockorder.scm 7 */
BgL_objectz00_bglt BgL_auxz00_2444;
BgL_auxz00_2444 = 
BGl_structzb2objectzd2ze3objectz83zz__objectz00(
(BgL_objectz00_bglt)(BgL_oz00_1681), BgL_sz00_1682); 
BgL_old3198z00_1685 = 
(obj_t)(BgL_auxz00_2444); } } } } 
{ /* ./SawMill/blockorder.scm 7 */
int BgL_auxz00_2448;
BgL_auxz00_2448 = 
(int)(((long)0)); 
BgL_aux3199z00_1686 = 
STRUCT_REF(BgL_sz00_1682, BgL_auxz00_2448); } 
{ /* ./SawMill/blockorder.scm 7 */
BgL_dfsz00_bglt BgL_new3200z00_1687;
BgL_new3200z00_1687 = 
((BgL_dfsz00_bglt)(BgL_old3198z00_1685)); 
{ /* ./SawMill/blockorder.scm 7 */
long BgL_arg4340z00_1688;
BgL_arg4340z00_1688 = 
BGl_classzd2numzd2zz__objectz00(BGl_dfsz00zzsaw_blockorderz00); 
{ /* ./SawMill/blockorder.scm 7 */
BgL_objectz00_bglt BgL_objz00_1874;
BgL_objz00_1874 = 
(BgL_objectz00_bglt)(BgL_new3200z00_1687); 
BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_1874, BgL_arg4340z00_1688); } } 
{ /* ./SawMill/blockorder.scm 7 */
BgL_dfsz00_bglt BgL_arg4344z00_1689;
{ /* ./SawMill/blockorder.scm 7 */
obj_t BgL_arg4347z00_1690;
{ /* ./SawMill/blockorder.scm 7 */
int BgL_auxz00_2455;
BgL_auxz00_2455 = 
(int)(((long)0)); 
BgL_arg4347z00_1690 = 
STRUCT_REF(BgL_aux3199z00_1686, BgL_auxz00_2455); } 
{ /* ./SawMill/blockorder.scm 7 */
BgL_dfsz00_bglt BgL_res4431z00_1884;
{ /* ./SawMill/blockorder.scm 7 */
int BgL_n3180z00_1878;
BgL_n3180z00_1878 = 
CINT(BgL_arg4347z00_1690); 
{ /* ./SawMill/blockorder.scm 7 */
BgL_dfsz00_bglt BgL_new3181z00_1879;
BgL_new3181z00_1879 = 
((BgL_dfsz00_bglt)BREF( GC_MALLOC (sizeof(struct BgL_dfsz00_bgl)))); 
{ /* ./SawMill/blockorder.scm 7 */
BgL_dfsz00_bglt BgL_res4430z00_1883;
{ /* ./SawMill/blockorder.scm 7 */
BgL_dfsz00_bglt BgL_new3191z00_1880;
BgL_new3191z00_1880 = BgL_new3181z00_1879; 
{ /* ./SawMill/blockorder.scm 7 */
int BgL_n3190z00_1882;
BgL_n3190z00_1882 = BgL_n3180z00_1878; 
((((BgL_dfsz00_bglt)CREF(BgL_new3191z00_1880))->BgL_nz00) = ((int)BgL_n3190z00_1882), BUNSPEC); 
BgL_res4430z00_1883 = BgL_new3191z00_1880; } } BgL_res4430z00_1883; } 
BgL_res4431z00_1884 = BgL_new3181z00_1879; } } 
BgL_arg4344z00_1689 = BgL_res4431z00_1884; } } 
{ /* ./SawMill/blockorder.scm 7 */
obj_t BgL_auxz00_2463;BgL_objectz00_bglt BgL_auxz00_2461;
BgL_auxz00_2463 = 
(obj_t)(BgL_arg4344z00_1689); 
BgL_auxz00_2461 = 
(BgL_objectz00_bglt)(BgL_new3200z00_1687); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_2461, BgL_auxz00_2463); } } 
{ /* ./SawMill/blockorder.scm 7 */
obj_t BgL_objz00_1885;
BgL_objz00_1885 = 
(obj_t)(BgL_new3200z00_1687); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_objz00_1885); BUNSPEC; } 
BgL_auxz00_2436 = BgL_new3200z00_1687; } } } 
return 
(obj_t)(BgL_auxz00_2436);} } } 
}



/* object->struct-dfs3239 */
obj_t BGl_objectzd2ze3structzd2dfs3239ze3zzsaw_blockorderz00(obj_t BgL_envz00_1963, obj_t BgL_obj3195z00_1964)
{ AN_OBJECT;
{ /* ./SawMill/blockorder.scm 7 */
{ 
BgL_dfsz00_bglt BgL_obj3195z00_1671;
BgL_obj3195z00_1671 = 
(BgL_dfsz00_bglt)(BgL_obj3195z00_1964); 
{ 

{ /* ./SawMill/blockorder.scm 7 */
obj_t BgL_res3196z00_1674;
{ /* ./SawMill/blockorder.scm 7 */
obj_t BgL_nextzd2method3238zd2_1679;
BgL_nextzd2method3238zd2_1679 = 
BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
(BgL_objectz00_bglt)(BgL_obj3195z00_1671), BGl_objectzd2ze3structzd2envze3zz__objectz00, BGl_dfsz00zzsaw_blockorderz00); 
{ /* ./SawMill/blockorder.scm 7 */
bool_t BgL_test4333z00_1680;
BgL_test4333z00_1680 = 
PROCEDUREP(BgL_nextzd2method3238zd2_1679); 
if(BgL_test4333z00_1680)
{ /* ./SawMill/blockorder.scm 7 */
BgL_res3196z00_1674 = 
PROCEDURE_ENTRY(BgL_nextzd2method3238zd2_1679)(BgL_nextzd2method3238zd2_1679, 
(obj_t)(BgL_obj3195z00_1671), BEOA); }  else 
{ /* ./SawMill/blockorder.scm 7 */
BgL_res3196z00_1674 = 
BGl_objectzd2ze3structz31zz__objectz00(
(BgL_objectz00_bglt)(BgL_obj3195z00_1671)); } } } 
{ /* ./SawMill/blockorder.scm 7 */
obj_t BgL_aux3197z00_1675;
{ /* ./SawMill/blockorder.scm 7 */
obj_t BgL_keyz00_1855;int BgL_lenz00_1856;
BgL_keyz00_1855 = 
CNST_TABLE_REF(((long)3)); 
BgL_lenz00_1856 = 
(int)(((long)1)); 
BgL_aux3197z00_1675 = 
make_struct(BgL_keyz00_1855, BgL_lenz00_1856, BUNSPEC); } 
{ /* ./SawMill/blockorder.scm 7 */
int BgL_arg4322z00_1677;
{ 
obj_t BgL_auxz00_2482;
{ /* ./SawMill/blockorder.scm 7 */
BgL_objectz00_bglt BgL_auxz00_2483;
BgL_auxz00_2483 = 
(BgL_objectz00_bglt)(BgL_obj3195z00_1671); 
BgL_auxz00_2482 = 
BGL_OBJECT_WIDENING(BgL_auxz00_2483); } 
BgL_arg4322z00_1677 = 
(((BgL_dfsz00_bglt)CREF(BgL_auxz00_2482))->BgL_nz00); } 
{ /* ./SawMill/blockorder.scm 7 */
int BgL_kz00_1860;obj_t BgL_oz00_1861;
BgL_kz00_1860 = 
(int)(((long)0)); 
BgL_oz00_1861 = 
BINT(BgL_arg4322z00_1677); 
STRUCT_SET(BgL_aux3197z00_1675, BgL_kz00_1860, BgL_oz00_1861); } } 
{ /* ./SawMill/blockorder.scm 7 */
int BgL_kz00_1863;
BgL_kz00_1863 = 
(int)(((long)0)); 
STRUCT_SET(BgL_res3196z00_1674, BgL_kz00_1863, BgL_aux3197z00_1675); } 
{ /* ./SawMill/blockorder.scm 7 */
obj_t BgL_arg4327z00_1678;
BgL_arg4327z00_1678 = 
STRUCT_KEY(BgL_res3196z00_1674); 
STRUCT_KEY_SET(BgL_aux3197z00_1675, BgL_arg4327z00_1678); } 
{ /* ./SawMill/blockorder.scm 7 */
obj_t BgL_kz00_1870;
BgL_kz00_1870 = 
CNST_TABLE_REF(((long)3)); 
STRUCT_KEY_SET(BgL_res3196z00_1674, BgL_kz00_1870); } 
return BgL_res3196z00_1674;} } } } } 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzsaw_blockorderz00()
{ AN_OBJECT;
{ /* ./SawMill/blockorder.scm 1 */
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19090), "saw_blockorder"); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)44246), "saw_blockorder"); 
BGl_modulezd2initializa7ationz75zzast_nodez00(((long)50868), "saw_blockorder"); 
return 
BGl_modulezd2initializa7ationz75zzsaw_defsz00(((long)12736), "saw_blockorder");} 
}

