/*===========================================================================*/
/*   (SawMill/gotos.scm)                                                     */
/*   Bigloo (2.6b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Dec 15 12:14:36 CET 2003        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc-2.95 -lib-dir /users/serrano/prgm/project/bigloo/lib/2.6b -unsafev -no-hello -O2 -rm -unsafe -s -indent SawMill/gotos.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_effectz00;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_effectz00;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_effectz00;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;

typedef struct BgL_feffectz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_readz00;
   obj_t BgL_writez00;
} *BgL_feffectz00_bglt;

typedef struct BgL_nodez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
} *BgL_nodez00_bglt;

typedef struct BgL_nodezf2effectzf2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
} *BgL_nodezf2effectzf2_bglt;

typedef struct BgL_atomz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_atomz00_bglt;

typedef struct BgL_varz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_varz00_bglt;

typedef struct BgL_closurez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_closurez00_bglt;

typedef struct BgL_kwotez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_kwotez00_bglt;

typedef struct BgL_sequencez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_nodesz00;
} *BgL_sequencez00_bglt;

typedef struct BgL_appz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
} *BgL_appz00_bglt;

typedef struct BgL_appzd2lyzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_appzd2lyzd2_bglt;

typedef struct BgL_funcallz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
   obj_t BgL_strengthz00;
} *BgL_funcallz00_bglt;

typedef struct BgL_externz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
} *BgL_externz00_bglt;

typedef struct BgL_pragmaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   obj_t BgL_formatz00;
} *BgL_pragmaz00_bglt;

typedef struct BgL_getfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_getfieldz00_bglt;

typedef struct BgL_setfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_setfieldz00_bglt;

typedef struct BgL_newz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
} *BgL_newz00_bglt;

typedef struct BgL_vallocz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   obj_t BgL_czd2heapzd2formatz00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_vallocz00_bglt;

typedef struct BgL_vrefz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vrefz00_bglt;

typedef struct BgL_vsetz12z12_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vsetz12z12_bglt;

typedef struct BgL_vlengthz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vlengthz00_bglt;

typedef struct BgL_isaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   struct BgL_typez00_bgl * BgL_classz00;
} *BgL_isaz00_bglt;

typedef struct BgL_castz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_castz00_bglt;

typedef struct BgL_setqz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_setqz00_bglt;

typedef struct BgL_conditionalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   struct BgL_nodez00_bgl * BgL_truez00;
   struct BgL_nodez00_bgl * BgL_falsez00;
} *BgL_conditionalz00_bglt;

typedef struct BgL_failz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_procz00;
   struct BgL_nodez00_bgl * BgL_msgz00;
   struct BgL_nodez00_bgl * BgL_objz00;
} *BgL_failz00_bglt;

typedef struct BgL_selectz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   obj_t BgL_clausesz00;
   struct BgL_typez00_bgl * BgL_itemzd2typezd2;
} *BgL_selectz00_bglt;

typedef struct BgL_letzd2funzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_localsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_letzd2funzd2_bglt;

typedef struct BgL_letzd2varzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_bindingsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
   bool_t BgL_removablezf3zf3;
} *BgL_letzd2varzd2_bglt;

typedef struct BgL_setzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_setzd2exzd2itz00_bglt;

typedef struct BgL_jumpzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_exitz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_jumpzd2exzd2itz00_bglt;

typedef struct BgL_makezd2boxzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_makezd2boxzd2_bglt;

typedef struct BgL_boxzd2refzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_varz00;
} *BgL_boxzd2refzd2_bglt;

typedef struct BgL_boxzd2setz12zc0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_boxzd2setz12zc0_bglt;

typedef struct BgL_rtl_regz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_varz00;
} *BgL_rtl_regz00_bglt;

typedef struct BgL_rtl_funz00_bgl {
   header_t header;
   obj_t widening;
} *BgL_rtl_funz00_bglt;

typedef struct BgL_rtl_lastz00_bgl {
   header_t header;
   obj_t widening;
} *BgL_rtl_lastz00_bglt;

typedef struct BgL_rtl_returnz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_typez00_bgl * BgL_typez00;
} *BgL_rtl_returnz00_bglt;

typedef struct BgL_rtl_jumpexitz00_bgl {
   header_t header;
   obj_t widening;
} *BgL_rtl_jumpexitz00_bglt;

typedef struct BgL_rtl_failz00_bgl {
   header_t header;
   obj_t widening;
} *BgL_rtl_failz00_bglt;

typedef struct BgL_rtl_notseqz00_bgl {
   header_t header;
   obj_t widening;
} *BgL_rtl_notseqz00_bglt;

typedef struct BgL_rtl_ifz00_bgl {
   header_t header;
   obj_t widening;
} *BgL_rtl_ifz00_bglt;

typedef struct BgL_rtl_selectz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_patternsz00;
} *BgL_rtl_selectz00_bglt;

typedef struct BgL_rtl_switchz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_patternsz00;
   obj_t BgL_labelsz00;
} *BgL_rtl_switchz00_bglt;

typedef struct BgL_rtl_ifeqz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_blockz00_bgl * BgL_thenz00;
} *BgL_rtl_ifeqz00_bglt;

typedef struct BgL_rtl_ifnez00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_blockz00_bgl * BgL_thenz00;
} *BgL_rtl_ifnez00_bglt;

typedef struct BgL_rtl_goz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_blockz00_bgl * BgL_toz00;
} *BgL_rtl_goz00_bglt;

typedef struct BgL_rtl_purez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_rtl_purez00_bglt;

typedef struct BgL_rtl_nopz00_bgl {
   header_t header;
   obj_t widening;
} *BgL_rtl_nopz00_bglt;

typedef struct BgL_rtl_movz00_bgl {
   header_t header;
   obj_t widening;
} *BgL_rtl_movz00_bglt;

typedef struct BgL_rtl_loadiz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_atomz00_bgl * BgL_constantz00;
} *BgL_rtl_loadiz00_bglt;

typedef struct BgL_rtl_loadgz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_globalz00_bgl * BgL_varz00;
} *BgL_rtl_loadgz00_bglt;

typedef struct BgL_rtl_loadfunz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_globalz00_bgl * BgL_varz00;
} *BgL_rtl_loadfunz00_bglt;

typedef struct BgL_rtl_globalrefz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_globalz00_bgl * BgL_varz00;
} *BgL_rtl_globalrefz00_bglt;

typedef struct BgL_rtl_getfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_objtypez00;
   struct BgL_typez00_bgl * BgL_typez00;
} *BgL_rtl_getfieldz00_bglt;

typedef struct BgL_rtl_vallocz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_rtl_vallocz00_bglt;

typedef struct BgL_rtl_vrefz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_rtl_vrefz00_bglt;

typedef struct BgL_rtl_vlengthz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_typez00_bgl * BgL_typez00;
} *BgL_rtl_vlengthz00_bglt;

typedef struct BgL_rtl_isaz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_typez00_bgl * BgL_typez00;
} *BgL_rtl_isaz00_bglt;

typedef struct BgL_rtl_makeboxz00_bgl {
   header_t header;
   obj_t widening;
} *BgL_rtl_makeboxz00_bglt;

typedef struct BgL_rtl_boxrefz00_bgl {
   header_t header;
   obj_t widening;
} *BgL_rtl_boxrefz00_bglt;

typedef struct BgL_rtl_effectz00_bgl {
   header_t header;
   obj_t widening;
} *BgL_rtl_effectz00_bglt;

typedef struct BgL_rtl_storegz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_globalz00_bgl * BgL_varz00;
} *BgL_rtl_storegz00_bglt;

typedef struct BgL_rtl_setfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_objtypez00;
   struct BgL_typez00_bgl * BgL_typez00;
} *BgL_rtl_setfieldz00_bglt;

typedef struct BgL_rtl_vsetz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_rtl_vsetz00_bglt;

typedef struct BgL_rtl_boxsetz00_bgl {
   header_t header;
   obj_t widening;
} *BgL_rtl_boxsetz00_bglt;

typedef struct BgL_rtl_newz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_typez00_bgl * BgL_typez00;
} *BgL_rtl_newz00_bglt;

typedef struct BgL_rtl_callz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_globalz00_bgl * BgL_varz00;
} *BgL_rtl_callz00_bglt;

typedef struct BgL_rtl_applyz00_bgl {
   header_t header;
   obj_t widening;
} *BgL_rtl_applyz00_bglt;

typedef struct BgL_rtl_lightfuncallz00_bgl {
   header_t header;
   obj_t widening;
} *BgL_rtl_lightfuncallz00_bglt;

typedef struct BgL_rtl_funcallz00_bgl {
   header_t header;
   obj_t widening;
} *BgL_rtl_funcallz00_bglt;

typedef struct BgL_rtl_pragmaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_formatz00;
} *BgL_rtl_pragmaz00_bglt;

typedef struct BgL_rtl_castz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_typez00_bgl * BgL_typez00;
} *BgL_rtl_castz00_bglt;

typedef struct BgL_rtl_protectz00_bgl {
   header_t header;
   obj_t widening;
} *BgL_rtl_protectz00_bglt;

typedef struct BgL_rtl_protectedz00_bgl {
   header_t header;
   obj_t widening;
} *BgL_rtl_protectedz00_bglt;

typedef struct BgL_stl_loadrz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_rtl_regz00_bgl * BgL_regz00;
} *BgL_stl_loadrz00_bglt;

typedef struct BgL_stl_storerz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_rtl_regz00_bgl * BgL_regz00;
} *BgL_stl_storerz00_bglt;

typedef struct BgL_stl_popz00_bgl {
   header_t header;
   obj_t widening;
} *BgL_stl_popz00_bglt;

typedef struct BgL_rtl_insz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   obj_t BgL_destz00;
   struct BgL_rtl_funz00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
} *BgL_rtl_insz00_bglt;

typedef struct BgL_blockz00_bgl {
   header_t header;
   obj_t widening;
   int BgL_labelz00;
   obj_t BgL_predsz00;
   obj_t BgL_succsz00;
   obj_t BgL_firstz00;
} *BgL_blockz00_bglt;


static obj_t BGl_methodzd2initzd2zzsaw_gotosz00();
BGL_IMPORT obj_t open_input_string(obj_t);
static obj_t BGl_makezd2gotozd2zzsaw_gotosz00(BgL_blockz00_bglt, obj_t, obj_t);
static obj_t BGl__addzd2gotoszd2zzsaw_gotosz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t);
BGL_IMPORT bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
extern obj_t BGl_rtl_selectz00zzsaw_defsz00;
BGL_IMPORT obj_t BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(obj_t);
static obj_t BGl_cnstzd2initzd2zzsaw_gotosz00();
static obj_t BGl_importedzd2moduleszd2initz00zzsaw_gotosz00();
BGL_EXPORTED_DECL obj_t BGl_addzd2gotoszd2zzsaw_gotosz00(obj_t);
extern obj_t BGl_rtl_ifz00zzsaw_defsz00;
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzsaw_gotosz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzsaw_defsz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
static obj_t BGl__ifz00zzsaw_gotosz00(BgL_rtl_ifz00_bglt, BgL_rtl_insz00_bglt, obj_t, obj_t);
extern BgL_rtl_ifnez00_bglt BGl_makezd2rtl_ifnezd2zzsaw_defsz00(BgL_blockz00_bglt);
extern BgL_rtl_ifeqz00_bglt BGl_makezd2rtl_ifeqzd2zzsaw_defsz00(BgL_blockz00_bglt);
extern BgL_rtl_insz00_bglt BGl_makezd2rtl_inszd2zzsaw_defsz00(obj_t, obj_t, BgL_rtl_funz00_bglt, obj_t);
static obj_t BGl_addzd2gotozd2zzsaw_gotosz00(BgL_blockz00_bglt, obj_t);
extern BgL_rtl_goz00_bglt BGl_makezd2rtl_gozd2zzsaw_defsz00(BgL_blockz00_bglt);
static obj_t BGl_requirezd2initializa7ationz75zzsaw_gotosz00 = BUNSPEC;
extern BgL_rtl_switchz00_bglt BGl_makezd2rtl_switchzd2zzsaw_defsz00(BgL_typez00_bglt, obj_t, obj_t);
static BgL_rtl_insz00_bglt BGl__gotoz00zzsaw_gotosz00(BgL_blockz00_bglt);
static obj_t BGl_libraryzd2moduleszd2initz00zzsaw_gotosz00();
static obj_t __cnst[ 1 ] ;


DEFINE_EXPORT_PROCEDURE( BGl_addzd2gotoszd2envz00zzsaw_gotosz00, BgL_bgl__addza7d2gotosza7d2za7za7saw_gotosza7003970za7, BGl__addzd2gotoszd2zzsaw_gotosz00, 0L, 1 );
DEFINE_STRING( BGl_string3944z00zzsaw_gotosz00, BgL_bgl_string3944za700za7za7saw_gotosza7003971z00, "add-goto ", 9 );
DEFINE_STRING( BGl_string3943z00zzsaw_gotosz00, BgL_bgl_string3943za700za7za7saw_gotosza7003972z00, "CARE", 4 );



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzsaw_gotosz00(long BgL_checksumz00_1587, char * BgL_fromz00_1588)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzsaw_gotosz00))
{ 
BGl_requirezd2initializa7ationz75zzsaw_gotosz00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzsaw_gotosz00(); 
BGl_cnstzd2initzd2zzsaw_gotosz00(); 
BGl_importedzd2moduleszd2initz00zzsaw_gotosz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzsaw_gotosz00()
{ AN_OBJECT;
{ /* ./SawMill/gotos.scm 1 */
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "saw_gotos"); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "saw_gotos"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "saw_gotos"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzsaw_gotosz00()
{ AN_OBJECT;
{ /* ./SawMill/gotos.scm 1 */
{ /* ./SawMill/gotos.scm 1 */
obj_t BgL_cportz00_1580;
BgL_cportz00_1580 = 
open_input_string(BGl_string3944z00zzsaw_gotosz00); 
{ 
long BgL_iz00_1581;
BgL_iz00_1581 = ((long)0); 
BgL_loopz00_1582:
{ /* ./SawMill/gotos.scm 1 */
bool_t BgL_test3946z00_1583;
BgL_test3946z00_1583 = 
(BgL_iz00_1581==((long)-1)); 
if(BgL_test3946z00_1583)
{ /* ./SawMill/gotos.scm 1 */
return BUNSPEC;}  else 
{ /* ./SawMill/gotos.scm 1 */
{ /* ./SawMill/gotos.scm 1 */
obj_t BgL_arg3948z00_1584;
{ /* ./SawMill/gotos.scm 1 */
obj_t BgL_list3951z00_1585;
BgL_list3951z00_1585 = 
MAKE_PAIR(BgL_cportz00_1580, BNIL); 
BgL_arg3948z00_1584 = 
BGl_readz00zz__readerz00(BgL_list3951z00_1585); } 
{ /* ./SawMill/gotos.scm 1 */
int BgL_auxz00_1603;
BgL_auxz00_1603 = 
(int)(BgL_iz00_1581); 
CNST_TABLE_SET(BgL_auxz00_1603, BgL_arg3948z00_1584); } } 
{ /* ./SawMill/gotos.scm 1 */
int BgL_auxz00_1586;
{ /* ./SawMill/gotos.scm 1 */
long BgL_auxz00_1606;
BgL_auxz00_1606 = 
(BgL_iz00_1581-((long)1)); 
BgL_auxz00_1586 = 
(int)(BgL_auxz00_1606); } 
{ 
long BgL_iz00_1609;
BgL_iz00_1609 = 
(long)(BgL_auxz00_1586); 
BgL_iz00_1581 = BgL_iz00_1609; 
goto BgL_loopz00_1582;} } } } } } } 
}



/* add-gotos */
BGL_EXPORTED_DEF obj_t BGl_addzd2gotoszd2zzsaw_gotosz00(obj_t BgL_lz00_1)
{ AN_OBJECT;
{ /* ./SawMill/gotos.scm 9 */
{ 
obj_t BgL_lz00_938;
BgL_lz00_938 = BgL_lz00_1; 
BgL_walkz00_939:
{ /* ./SawMill/gotos.scm 11 */
bool_t BgL_test3132z00_940;
BgL_test3132z00_940 = 
PAIRP(BgL_lz00_938); 
if(BgL_test3132z00_940)
{ /* ./SawMill/gotos.scm 12 */
obj_t BgL_rz00_941;
BgL_rz00_941 = 
CDR(BgL_lz00_938); 
{ /* ./SawMill/gotos.scm 13 */
obj_t BgL_arg3134z00_942;
BgL_arg3134z00_942 = 
CAR(BgL_lz00_938); 
BGl_addzd2gotozd2zzsaw_gotosz00(
(BgL_blockz00_bglt)(BgL_arg3134z00_942), BgL_rz00_941); } 
{ 
obj_t BgL_lz00_1617;
BgL_lz00_1617 = BgL_rz00_941; 
BgL_lz00_938 = BgL_lz00_1617; 
goto BgL_walkz00_939;} }  else 
{ /* ./SawMill/gotos.scm 11 */
return BUNSPEC;} } } } 
}



/* _add-gotos */
obj_t BGl__addzd2gotoszd2zzsaw_gotosz00(obj_t BgL_envz00_1578, obj_t BgL_lz00_1579)
{ AN_OBJECT;
{ /* ./SawMill/gotos.scm 9 */
return 
BGl_addzd2gotoszd2zzsaw_gotosz00(BgL_lz00_1579);} 
}



/* add-goto */
obj_t BGl_addzd2gotozd2zzsaw_gotosz00(BgL_blockz00_bglt BgL_bz00_2, obj_t BgL_lz00_3)
{ AN_OBJECT;
{ /* ./SawMill/gotos.scm 20 */
{ /* ./SawMill/gotos.scm 21 */
obj_t BgL_lastz00_943;
BgL_lastz00_943 = 
BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(
(((BgL_blockz00_bglt)CREF(BgL_bz00_2))->BgL_firstz00)); 
{ /* ./SawMill/gotos.scm 22 */
obj_t BgL_addedz00_944;
{ /* ./SawMill/gotos.scm 22 */
obj_t BgL_arg3144z00_946;
BgL_arg3144z00_946 = 
CAR(BgL_lastz00_943); 
BgL_addedz00_944 = 
BGl_makezd2gotozd2zzsaw_gotosz00(BgL_bz00_2, BgL_arg3144z00_946, BgL_lz00_3); } 
{ /* ./SawMill/gotos.scm 23 */
bool_t BgL_test3140z00_945;
BgL_test3140z00_945 = 
NULLP(BgL_addedz00_944); 
if(BgL_test3140z00_945)
{ /* ./SawMill/gotos.scm 23 */
return BFALSE;}  else 
{ /* ./SawMill/gotos.scm 23 */
return 
SET_CDR(BgL_lastz00_943, BgL_addedz00_944);} } } } } 
}



/* make-goto */
obj_t BGl_makezd2gotozd2zzsaw_gotosz00(BgL_blockz00_bglt BgL_bz00_4, obj_t BgL_insz00_5, obj_t BgL_lz00_6)
{ AN_OBJECT;
{ /* ./SawMill/gotos.scm 29 */
{ /* ./SawMill/gotos.scm 31 */
bool_t BgL_test3151z00_949;
{ /* ./SawMill/gotos.scm 31 */
obj_t BgL_auxz00_1626;
BgL_auxz00_1626 = 
(((BgL_blockz00_bglt)CREF(BgL_bz00_4))->BgL_succsz00); 
BgL_test3151z00_949 = 
NULLP(BgL_auxz00_1626); } 
if(BgL_test3151z00_949)
{ /* ./SawMill/gotos.scm 31 */
return BNIL;}  else 
{ /* ./SawMill/gotos.scm 33 */
bool_t BgL_test3152z00_950;
{ /* ./SawMill/gotos.scm 33 */
obj_t BgL_auxz00_1630;
{ /* ./SawMill/gotos.scm 33 */
obj_t BgL_auxz00_1631;
BgL_auxz00_1631 = 
(((BgL_blockz00_bglt)CREF(BgL_bz00_4))->BgL_succsz00); 
BgL_auxz00_1630 = 
CDR(BgL_auxz00_1631); } 
BgL_test3152z00_950 = 
NULLP(BgL_auxz00_1630); } 
if(BgL_test3152z00_950)
{ /* ./SawMill/gotos.scm 33 */
{ /* ./SawMill/gotos.scm 34 */
obj_t BgL_sz00_951;
{ /* ./SawMill/gotos.scm 34 */
obj_t BgL_auxz00_1636;
BgL_auxz00_1636 = 
(((BgL_blockz00_bglt)CREF(BgL_bz00_4))->BgL_succsz00); 
BgL_sz00_951 = 
CAR(BgL_auxz00_1636); } 
{ /* ./SawMill/gotos.scm 35 */
bool_t BgL_test3153z00_952;
if(
NULLP(BgL_lz00_6))
{ /* ./SawMill/gotos.scm 35 */
BgL_test3153z00_952 = ((bool_t)1); }  else 
{ /* ./SawMill/gotos.scm 35 */
bool_t BgL_testz00_1641;
{ /* ./SawMill/gotos.scm 35 */
obj_t BgL_auxz00_1642;
BgL_auxz00_1642 = 
CAR(BgL_lz00_6); 
BgL_testz00_1641 = 
(BgL_auxz00_1642==BgL_sz00_951); } 
if(BgL_testz00_1641)
{ /* ./SawMill/gotos.scm 35 */
BgL_test3153z00_952 = ((bool_t)0); }  else 
{ /* ./SawMill/gotos.scm 35 */
BgL_test3153z00_952 = ((bool_t)1); } } 
if(BgL_test3153z00_952)
{ /* ./SawMill/gotos.scm 36 */
BgL_rtl_insz00_bglt BgL_arg3156z00_953;
BgL_arg3156z00_953 = 
BGl__gotoz00zzsaw_gotosz00(
(BgL_blockz00_bglt)(BgL_sz00_951)); 
{ /* ./SawMill/gotos.scm 36 */
obj_t BgL_auxz00_1648;
BgL_auxz00_1648 = 
(obj_t)(BgL_arg3156z00_953); 
return 
MAKE_PAIR(BgL_auxz00_1648, BNIL);} }  else 
{ /* ./SawMill/gotos.scm 35 */
return BNIL;} } } }  else 
{ /* ./SawMill/gotos.scm 33 */
{ /* ./SawMill/gotos.scm 41 */
bool_t BgL_test3171z00_960;
{ /* ./SawMill/gotos.scm 41 */
BgL_rtl_funz00_bglt BgL_arg3191z00_967;
{ /* ./SawMill/gotos.scm 41 */
BgL_rtl_insz00_bglt BgL_obj3070z00_1506;
BgL_obj3070z00_1506 = 
(BgL_rtl_insz00_bglt)(BgL_insz00_5); 
BgL_arg3191z00_967 = 
(((BgL_rtl_insz00_bglt)CREF(BgL_obj3070z00_1506))->BgL_funz00); } 
{ /* ./SawMill/gotos.scm 41 */
obj_t BgL_obj2730z00_1507;
BgL_obj2730z00_1507 = 
(obj_t)(BgL_arg3191z00_967); 
BgL_test3171z00_960 = 
BGl_iszd2azf3z21zz__objectz00(BgL_obj2730z00_1507, BGl_rtl_selectz00zzsaw_defsz00); } } 
if(BgL_test3171z00_960)
{ /* ./SawMill/gotos.scm 41 */
{ /* ./SawMill/gotos.scm 42 */
BgL_rtl_funz00_bglt BgL_arg3173z00_961;obj_t BgL_arg3174z00_962;
{ /* ./SawMill/gotos.scm 42 */
BgL_rtl_insz00_bglt BgL_obj3070z00_1508;
BgL_obj3070z00_1508 = 
(BgL_rtl_insz00_bglt)(BgL_insz00_5); 
BgL_arg3173z00_961 = 
(((BgL_rtl_insz00_bglt)CREF(BgL_obj3070z00_1508))->BgL_funz00); } 
BgL_arg3174z00_962 = 
(((BgL_blockz00_bglt)CREF(BgL_bz00_4))->BgL_succsz00); 
{ /* ./SawMill/gotos.scm 42 */
BgL_rtl_selectz00_bglt BgL_funz00_1510;BgL_rtl_insz00_bglt BgL_insz00_1511;
BgL_funz00_1510 = 
(BgL_rtl_selectz00_bglt)(BgL_arg3173z00_961); 
BgL_insz00_1511 = 
(BgL_rtl_insz00_bglt)(BgL_insz00_5); 
{ /* ./SawMill/gotos.scm 42 */
BgL_rtl_switchz00_bglt BgL_arg3214z00_1514;
{ /* ./SawMill/gotos.scm 42 */
BgL_typez00_bglt BgL_arg3217z00_1515;obj_t BgL_arg3218z00_1516;obj_t BgL_arg3219z00_1517;
BgL_arg3217z00_1515 = 
(((BgL_rtl_selectz00_bglt)CREF(BgL_funz00_1510))->BgL_typez00); 
BgL_arg3218z00_1516 = 
(((BgL_rtl_selectz00_bglt)CREF(BgL_funz00_1510))->BgL_patternsz00); 
BgL_arg3219z00_1517 = BgL_arg3174z00_962; 
BgL_arg3214z00_1514 = 
BGl_makezd2rtl_switchzd2zzsaw_defsz00(BgL_arg3217z00_1515, BgL_arg3218z00_1516, BgL_arg3219z00_1517); } 
{ /* ./SawMill/gotos.scm 42 */
BgL_rtl_insz00_bglt BgL_obj3072z00_1520;BgL_rtl_funz00_bglt BgL_val3071z00_1521;
BgL_obj3072z00_1520 = BgL_insz00_1511; 
BgL_val3071z00_1521 = 
(BgL_rtl_funz00_bglt)(BgL_arg3214z00_1514); 
((((BgL_rtl_insz00_bglt)CREF(BgL_obj3072z00_1520))->BgL_funz00) = ((BgL_rtl_funz00_bglt)BgL_val3071z00_1521), BUNSPEC); } } } } 
return BNIL;}  else 
{ /* ./SawMill/gotos.scm 44 */
bool_t BgL_test3178z00_963;
{ /* ./SawMill/gotos.scm 44 */
BgL_rtl_funz00_bglt BgL_arg3187z00_966;
{ /* ./SawMill/gotos.scm 44 */
BgL_rtl_insz00_bglt BgL_obj3070z00_1522;
BgL_obj3070z00_1522 = 
(BgL_rtl_insz00_bglt)(BgL_insz00_5); 
BgL_arg3187z00_966 = 
(((BgL_rtl_insz00_bglt)CREF(BgL_obj3070z00_1522))->BgL_funz00); } 
{ /* ./SawMill/gotos.scm 44 */
obj_t BgL_obj2713z00_1523;
BgL_obj2713z00_1523 = 
(obj_t)(BgL_arg3187z00_966); 
BgL_test3178z00_963 = 
BGl_iszd2azf3z21zz__objectz00(BgL_obj2713z00_1523, BGl_rtl_ifz00zzsaw_defsz00); } } 
if(BgL_test3178z00_963)
{ /* ./SawMill/gotos.scm 44 */
{ /* ./SawMill/gotos.scm 45 */
BgL_rtl_funz00_bglt BgL_arg3180z00_964;obj_t BgL_arg3181z00_965;
{ /* ./SawMill/gotos.scm 45 */
BgL_rtl_insz00_bglt BgL_obj3070z00_1524;
BgL_obj3070z00_1524 = 
(BgL_rtl_insz00_bglt)(BgL_insz00_5); 
BgL_arg3180z00_964 = 
(((BgL_rtl_insz00_bglt)CREF(BgL_obj3070z00_1524))->BgL_funz00); } 
BgL_arg3181z00_965 = 
(((BgL_blockz00_bglt)CREF(BgL_bz00_4))->BgL_succsz00); 
return 
BGl__ifz00zzsaw_gotosz00(
(BgL_rtl_ifz00_bglt)(BgL_arg3180z00_964), 
(BgL_rtl_insz00_bglt)(BgL_insz00_5), BgL_arg3181z00_965, BgL_lz00_6);} }  else 
{ /* ./SawMill/gotos.scm 44 */
{ /* ./SawMill/gotos.scm 46 */
obj_t BgL_procz00_1526;
BgL_procz00_1526 = 
CNST_TABLE_REF(((long)0)); 
FAILURE(BgL_procz00_1526,BGl_string3943z00zzsaw_gotosz00,BgL_insz00_5);} } } } } } } } 
}



/* _goto */
BgL_rtl_insz00_bglt BGl__gotoz00zzsaw_gotosz00(BgL_blockz00_bglt BgL_bz00_7)
{ AN_OBJECT;
{ /* ./SawMill/gotos.scm 49 */
{ /* ./SawMill/gotos.scm 50 */
bool_t BgL_arg3206z00_971;BgL_rtl_goz00_bglt BgL_arg3207z00_972;
BgL_arg3206z00_971 = ((bool_t)0); 
{ /* ./SawMill/gotos.scm 51 */
BgL_blockz00_bglt BgL_arg3211z00_974;
BgL_arg3211z00_974 = BgL_bz00_7; 
BgL_arg3207z00_972 = 
BGl_makezd2rtl_gozd2zzsaw_defsz00(BgL_arg3211z00_974); } 
return 
BGl_makezd2rtl_inszd2zzsaw_defsz00(BFALSE, 
BBOOL(BgL_arg3206z00_971), 
(BgL_rtl_funz00_bglt)(BgL_arg3207z00_972), BNIL);} } 
}



/* _if */
obj_t BGl__ifz00zzsaw_gotosz00(BgL_rtl_ifz00_bglt BgL_funz00_11, BgL_rtl_insz00_bglt BgL_insz00_12, obj_t BgL_succsz00_13, obj_t BgL_nextsz00_14)
{ AN_OBJECT;
{ /* ./SawMill/gotos.scm 64 */
{ /* ./SawMill/gotos.scm 65 */
obj_t BgL_thenz00_980;obj_t BgL_elsez00_981;
BgL_thenz00_980 = 
CAR(BgL_succsz00_13); 
{ /* ./SawMill/gotos.scm 65 */
obj_t BgL_auxz00_1684;
BgL_auxz00_1684 = 
CDR(BgL_succsz00_13); 
BgL_elsez00_981 = 
CAR(BgL_auxz00_1684); } 
{ /* ./SawMill/gotos.scm 66 */
bool_t BgL_test3223z00_982;
BgL_test3223z00_982 = 
NULLP(BgL_nextsz00_14); 
if(BgL_test3223z00_982)
{ /* ./SawMill/gotos.scm 66 */
{ /* ./SawMill/gotos.scm 67 */
BgL_blockz00_bglt BgL_thenz00_1545;
BgL_thenz00_1545 = 
(BgL_blockz00_bglt)(BgL_elsez00_981); 
{ /* ./SawMill/gotos.scm 67 */
BgL_rtl_ifeqz00_bglt BgL_arg3252z00_1546;
{ /* ./SawMill/gotos.scm 67 */
BgL_blockz00_bglt BgL_arg3255z00_1547;
BgL_arg3255z00_1547 = BgL_thenz00_1545; 
BgL_arg3252z00_1546 = 
BGl_makezd2rtl_ifeqzd2zzsaw_defsz00(BgL_arg3255z00_1547); } 
{ /* ./SawMill/gotos.scm 67 */
BgL_rtl_insz00_bglt BgL_obj3072z00_1548;BgL_rtl_funz00_bglt BgL_val3071z00_1549;
BgL_obj3072z00_1548 = BgL_insz00_12; 
BgL_val3071z00_1549 = 
(BgL_rtl_funz00_bglt)(BgL_arg3252z00_1546); 
((((BgL_rtl_insz00_bglt)CREF(BgL_obj3072z00_1548))->BgL_funz00) = ((BgL_rtl_funz00_bglt)BgL_val3071z00_1549), BUNSPEC); } } } 
{ /* ./SawMill/gotos.scm 68 */
BgL_rtl_insz00_bglt BgL_arg3226z00_983;
BgL_arg3226z00_983 = 
BGl__gotoz00zzsaw_gotosz00(
(BgL_blockz00_bglt)(BgL_thenz00_980)); 
{ /* ./SawMill/gotos.scm 68 */
obj_t BgL_auxz00_1695;
BgL_auxz00_1695 = 
(obj_t)(BgL_arg3226z00_983); 
return 
MAKE_PAIR(BgL_auxz00_1695, BNIL);} } }  else 
{ /* ./SawMill/gotos.scm 69 */
bool_t BgL_test3230z00_985;
{ /* ./SawMill/gotos.scm 69 */
obj_t BgL_auxz00_1698;
BgL_auxz00_1698 = 
CAR(BgL_nextsz00_14); 
BgL_test3230z00_985 = 
(BgL_thenz00_980==BgL_auxz00_1698); } 
if(BgL_test3230z00_985)
{ /* ./SawMill/gotos.scm 69 */
{ /* ./SawMill/gotos.scm 70 */
BgL_blockz00_bglt BgL_thenz00_1552;
BgL_thenz00_1552 = 
(BgL_blockz00_bglt)(BgL_elsez00_981); 
{ /* ./SawMill/gotos.scm 70 */
BgL_rtl_ifeqz00_bglt BgL_arg3252z00_1553;
{ /* ./SawMill/gotos.scm 70 */
BgL_blockz00_bglt BgL_arg3255z00_1554;
BgL_arg3255z00_1554 = BgL_thenz00_1552; 
BgL_arg3252z00_1553 = 
BGl_makezd2rtl_ifeqzd2zzsaw_defsz00(BgL_arg3255z00_1554); } 
{ /* ./SawMill/gotos.scm 70 */
BgL_rtl_insz00_bglt BgL_obj3072z00_1555;BgL_rtl_funz00_bglt BgL_val3071z00_1556;
BgL_obj3072z00_1555 = BgL_insz00_12; 
BgL_val3071z00_1556 = 
(BgL_rtl_funz00_bglt)(BgL_arg3252z00_1553); 
((((BgL_rtl_insz00_bglt)CREF(BgL_obj3072z00_1555))->BgL_funz00) = ((BgL_rtl_funz00_bglt)BgL_val3071z00_1556), BUNSPEC); } } } 
return BNIL;}  else 
{ /* ./SawMill/gotos.scm 72 */
bool_t BgL_test3232z00_986;
{ /* ./SawMill/gotos.scm 72 */
obj_t BgL_auxz00_1706;
BgL_auxz00_1706 = 
CAR(BgL_nextsz00_14); 
BgL_test3232z00_986 = 
(BgL_elsez00_981==BgL_auxz00_1706); } 
if(BgL_test3232z00_986)
{ /* ./SawMill/gotos.scm 72 */
{ /* ./SawMill/gotos.scm 73 */
BgL_blockz00_bglt BgL_thenz00_1559;
BgL_thenz00_1559 = 
(BgL_blockz00_bglt)(BgL_thenz00_980); 
{ /* ./SawMill/gotos.scm 73 */
BgL_rtl_ifnez00_bglt BgL_arg3259z00_1560;
{ /* ./SawMill/gotos.scm 73 */
BgL_blockz00_bglt BgL_arg3262z00_1561;
BgL_arg3262z00_1561 = BgL_thenz00_1559; 
BgL_arg3259z00_1560 = 
BGl_makezd2rtl_ifnezd2zzsaw_defsz00(BgL_arg3262z00_1561); } 
{ /* ./SawMill/gotos.scm 73 */
BgL_rtl_insz00_bglt BgL_obj3072z00_1562;BgL_rtl_funz00_bglt BgL_val3071z00_1563;
BgL_obj3072z00_1562 = BgL_insz00_12; 
BgL_val3071z00_1563 = 
(BgL_rtl_funz00_bglt)(BgL_arg3259z00_1560); 
((((BgL_rtl_insz00_bglt)CREF(BgL_obj3072z00_1562))->BgL_funz00) = ((BgL_rtl_funz00_bglt)BgL_val3071z00_1563), BUNSPEC); } } } 
return BNIL;}  else 
{ /* ./SawMill/gotos.scm 72 */
{ /* ./SawMill/gotos.scm 76 */
BgL_blockz00_bglt BgL_thenz00_1565;
BgL_thenz00_1565 = 
(BgL_blockz00_bglt)(BgL_elsez00_981); 
{ /* ./SawMill/gotos.scm 76 */
BgL_rtl_ifeqz00_bglt BgL_arg3252z00_1566;
{ /* ./SawMill/gotos.scm 76 */
BgL_blockz00_bglt BgL_arg3255z00_1567;
BgL_arg3255z00_1567 = BgL_thenz00_1565; 
BgL_arg3252z00_1566 = 
BGl_makezd2rtl_ifeqzd2zzsaw_defsz00(BgL_arg3255z00_1567); } 
{ /* ./SawMill/gotos.scm 76 */
BgL_rtl_insz00_bglt BgL_obj3072z00_1568;BgL_rtl_funz00_bglt BgL_val3071z00_1569;
BgL_obj3072z00_1568 = BgL_insz00_12; 
BgL_val3071z00_1569 = 
(BgL_rtl_funz00_bglt)(BgL_arg3252z00_1566); 
((((BgL_rtl_insz00_bglt)CREF(BgL_obj3072z00_1568))->BgL_funz00) = ((BgL_rtl_funz00_bglt)BgL_val3071z00_1569), BUNSPEC); } } } 
{ /* ./SawMill/gotos.scm 77 */
BgL_rtl_insz00_bglt BgL_arg3236z00_987;
BgL_arg3236z00_987 = 
BGl__gotoz00zzsaw_gotosz00(
(BgL_blockz00_bglt)(BgL_thenz00_980)); 
{ /* ./SawMill/gotos.scm 77 */
obj_t BgL_auxz00_1720;
BgL_auxz00_1720 = 
(obj_t)(BgL_arg3236z00_987); 
return 
MAKE_PAIR(BgL_auxz00_1720, BNIL);} } } } } } } } 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzsaw_gotosz00()
{ AN_OBJECT;
{ /* ./SawMill/gotos.scm 1 */
return BUNSPEC;} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzsaw_gotosz00()
{ AN_OBJECT;
{ /* ./SawMill/gotos.scm 1 */
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19090), "saw_gotos"); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)44246), "saw_gotos"); 
BGl_modulezd2initializa7ationz75zzast_nodez00(((long)50868), "saw_gotos"); 
return 
BGl_modulezd2initializa7ationz75zzsaw_defsz00(((long)12736), "saw_gotos");} 
}

