/*===========================================================================*/
/*   (SawMsil/names.scm)                                                     */
/*   Bigloo (2.6b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Dec 15 12:14:36 CET 2003        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc-2.95 -lib-dir /users/serrano/prgm/project/bigloo/lib/2.6b -unsafev -no-hello -O2 -rm -unsafe -s -indent SawMsil/names.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_effectz00;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_effectz00;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_effectz00;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;

typedef struct BgL_feffectz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_readz00;
   obj_t BgL_writez00;
} *BgL_feffectz00_bglt;

typedef struct BgL_nodez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
} *BgL_nodez00_bglt;

typedef struct BgL_nodezf2effectzf2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
} *BgL_nodezf2effectzf2_bglt;

typedef struct BgL_atomz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_atomz00_bglt;

typedef struct BgL_varz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_varz00_bglt;

typedef struct BgL_closurez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_closurez00_bglt;

typedef struct BgL_kwotez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_kwotez00_bglt;

typedef struct BgL_sequencez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_nodesz00;
} *BgL_sequencez00_bglt;

typedef struct BgL_appz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
} *BgL_appz00_bglt;

typedef struct BgL_appzd2lyzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_appzd2lyzd2_bglt;

typedef struct BgL_funcallz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
   obj_t BgL_strengthz00;
} *BgL_funcallz00_bglt;

typedef struct BgL_externz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
} *BgL_externz00_bglt;

typedef struct BgL_pragmaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   obj_t BgL_formatz00;
} *BgL_pragmaz00_bglt;

typedef struct BgL_getfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_getfieldz00_bglt;

typedef struct BgL_setfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_setfieldz00_bglt;

typedef struct BgL_newz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
} *BgL_newz00_bglt;

typedef struct BgL_vallocz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   obj_t BgL_czd2heapzd2formatz00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_vallocz00_bglt;

typedef struct BgL_vrefz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vrefz00_bglt;

typedef struct BgL_vsetz12z12_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vsetz12z12_bglt;

typedef struct BgL_vlengthz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vlengthz00_bglt;

typedef struct BgL_isaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   struct BgL_typez00_bgl * BgL_classz00;
} *BgL_isaz00_bglt;

typedef struct BgL_castz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_castz00_bglt;

typedef struct BgL_setqz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_setqz00_bglt;

typedef struct BgL_conditionalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   struct BgL_nodez00_bgl * BgL_truez00;
   struct BgL_nodez00_bgl * BgL_falsez00;
} *BgL_conditionalz00_bglt;

typedef struct BgL_failz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_procz00;
   struct BgL_nodez00_bgl * BgL_msgz00;
   struct BgL_nodez00_bgl * BgL_objz00;
} *BgL_failz00_bglt;

typedef struct BgL_selectz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   obj_t BgL_clausesz00;
   struct BgL_typez00_bgl * BgL_itemzd2typezd2;
} *BgL_selectz00_bglt;

typedef struct BgL_letzd2funzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_localsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_letzd2funzd2_bglt;

typedef struct BgL_letzd2varzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_bindingsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
   bool_t BgL_removablezf3zf3;
} *BgL_letzd2varzd2_bglt;

typedef struct BgL_setzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_setzd2exzd2itz00_bglt;

typedef struct BgL_jumpzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_exitz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_jumpzd2exzd2itz00_bglt;

typedef struct BgL_makezd2boxzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_makezd2boxzd2_bglt;

typedef struct BgL_boxzd2refzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_varz00;
} *BgL_boxzd2refzd2_bglt;

typedef struct BgL_boxzd2setz12zc0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_boxzd2setz12zc0_bglt;

typedef struct BgL_tclassz00_bgl {
   obj_t BgL_itszd2superzd2;
   obj_t BgL_slotsz00;
   struct BgL_globalz00_bgl * BgL_holderz00;
   obj_t BgL_wideningz00;
   long BgL_depthz00;
   bool_t BgL_finalzf3zf3;
   obj_t BgL_constructorz00;
   obj_t BgL_virtualzd2slotszd2numberz00;
   bool_t BgL_abstractzf3zf3;
   obj_t BgL_widezd2typezd2;
} *BgL_tclassz00_bglt;

typedef struct BgL_jclassz00_bgl {
   obj_t BgL_itszd2superzd2;
   obj_t BgL_slotsz00;
   obj_t BgL_packagez00;
} *BgL_jclassz00_bglt;

typedef struct BgL_wclassz00_bgl {
   obj_t BgL_itszd2classzd2;
} *BgL_wclassz00_bglt;

typedef struct BgL_slotz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_srcz00;
   obj_t BgL_classzd2ownerzd2;
   obj_t BgL_typez00;
   bool_t BgL_readzd2onlyzf3z21;
   obj_t BgL_defaultzd2valuezd2;
   obj_t BgL_virtualzd2numzd2;
   obj_t BgL_getterz00;
   obj_t BgL_setterz00;
   obj_t BgL_indexedz00;
   obj_t BgL_userzd2infozd2;
} *BgL_slotz00_bglt;

typedef struct BgL_tvecz00_bgl {
   struct BgL_typez00_bgl * BgL_itemzd2typezd2;
} *BgL_tvecz00_bglt;

typedef struct BgL_jarrayz00_bgl {
   struct BgL_typez00_bgl * BgL_itemzd2typezd2;
} *BgL_jarrayz00_bglt;


BGL_EXPORTED_DECL obj_t BGl_globalzd2fullnamezd2zzmsil_namesz00(BgL_globalz00_bglt);
static obj_t BGl_methodzd2initzd2zzmsil_namesz00();
BGL_IMPORT obj_t open_input_string(obj_t);
extern obj_t BGl_qualifiedzd2jclasszd2namez00zzbackend_cplibz00(BgL_jclassz00_bglt);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t);
BGL_IMPORT bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
extern obj_t BGl_wclassz00zzobject_classz00;
extern obj_t BGl_jarrayz00zzforeign_jtypez00;
extern obj_t BGl_tclassz00zzobject_classz00;
extern obj_t BGl_modulezd2ze3qualifiedzd2typeze3zzread_jvmz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_globalzd2simplenamezd2zzmsil_namesz00(BgL_globalz00_bglt);
BGL_IMPORT obj_t BGl_assqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
static obj_t BGl__globalzd2simplename3615zd2zzmsil_namesz00(obj_t, obj_t);
static obj_t BGl_cnstzd2initzd2zzmsil_namesz00();
extern obj_t BGl_qualifiedzd2wclasszd2namez00zzbackend_cplibz00(BgL_wclassz00_bglt);
BGL_IMPORT obj_t c_substring(obj_t, int, int);
BGL_IMPORT obj_t BGl_stringzd2appendzd2zz__r4_strings_6_7z00(obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zzmsil_namesz00();
static obj_t BGl__stdzd2typenamezd2zzmsil_namesz00(obj_t, obj_t);
static obj_t BGl_za2za2libzd2typeza2za2zd2zzmsil_namesz00 = BUNSPEC;
static obj_t BGl_toplevelzd2initzd2zzmsil_namesz00();
BGL_IMPORT obj_t string_append_3(obj_t, obj_t, obj_t);
extern obj_t BGl_jclassz00zzobject_classz00;
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzmsil_namesz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzobject_slotsz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztvector_tvectorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzforeign_jtypez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzread_jvmz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzbackend_cplibz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
BGL_EXPORTED_DECL obj_t BGl_stdzd2typenamezd2zzmsil_namesz00(obj_t);
BGL_IMPORT obj_t string_append(obj_t, obj_t);
static obj_t BGl_za2za2basiczd2typeza2za2zd2zzmsil_namesz00 = BUNSPEC;
BGL_EXPORTED_DECL obj_t BGl_msilzd2setzd2typezd2namesz12zc0zzmsil_namesz00(BgL_typez00_bglt);
static obj_t BGl_buildzd2typezd2namez00zzmsil_namesz00(BgL_typez00_bglt);
static obj_t BGl__msilzd2setzd2typezd2namesz123619zc0zzmsil_namesz00(obj_t, obj_t);
static obj_t BGl__globalzd2fullname3613zd2zzmsil_namesz00(obj_t, obj_t);
extern obj_t BGl_qualifiedzd2typezd2namez00zzbackend_cplibz00(BgL_typez00_bglt);
static obj_t BGl_requirezd2initializa7ationz75zzmsil_namesz00 = BUNSPEC;
extern obj_t BGl_tvecz00zztvector_tvectorz00;
BGL_EXPORTED_DECL obj_t BGl_msilzd2setzd2globalzd2namesz12zc0zzmsil_namesz00(obj_t);
static obj_t BGl_libraryzd2moduleszd2initz00zzmsil_namesz00();
static obj_t BGl__msilzd2setzd2globalzd2namesz12zc0zzmsil_namesz00(obj_t, obj_t);
extern obj_t BGl_qualifiedzd2tclasszd2namez00zzbackend_cplibz00(BgL_tclassz00_bglt);
static obj_t __cnst[ 3 ] ;


DEFINE_STRING( BGl_string3668z00zzmsil_namesz00, BgL_bgl_string3668za700za7za7msil_namesza7003696z00, "object ((exception . \"class System.Exception\") (bexception . \"class bigloo.bexception\") (exit . \"class 'bigloo.exit'\") (fstrings . \"class System.String[]\") (fstring . \"class System.String\") (belong . \"class bigloo.belong\") (bllong . \"class bigloo.bllong\")) ((bool . \"bool\") (char . \"unsigned int8\") (uchar . \"int32\") (ucs2 . \"char\") (void . \"void\") (short . \"int16\") (int . \"int32\") (long . \"int32\") (ulong . \"int32\") (elong . \"int64\") (llong . \"int64\") (float . \"float32\") (double . \"float64\") (magic . \"class System.Object\") (obj . \"class System.Object\") (pair-nil . \"class System.Object\") (vector . \"class System.Object[]\") (void* . \"class System.Object\") (cnst* . \"class System.Object[]\") (bstring . \"unsigned int8[]\") (ucs2string . \"char[]\") (string . \"unsigned int8[]\") (procedure-el . \"class System.Object[]\") (procedure-el1 . \"class System.Object\") (struct . \"class bigloo.bstruct\") (epair . \"class bigloo.extended_pair\") (output-port . \"class biglo"
"o.output_port\") (input-port . \"class bigloo.input_port\") (binary-port . \"class bigloo.binary_port\")) ", 1058 );
DEFINE_STRING( BGl_string3667z00zzmsil_namesz00, BgL_bgl_string3667za700za7za7msil_namesza7003697z00, "[]", 2 );
DEFINE_STRING( BGl_string3666z00zzmsil_namesz00, BgL_bgl_string3666za700za7za7msil_namesza7003698z00, "class '", 7 );
DEFINE_STRING( BGl_string3665z00zzmsil_namesz00, BgL_bgl_string3665za700za7za7msil_namesza7003699z00, "class bigloo.bobject", 20 );
DEFINE_STRING( BGl_string3664z00zzmsil_namesz00, BgL_bgl_string3664za700za7za7msil_namesza7003700z00, " '", 2 );
DEFINE_STRING( BGl_string3663z00zzmsil_namesz00, BgL_bgl_string3663za700za7za7msil_namesza7003701z00, "'::'", 4 );
DEFINE_STRING( BGl_string3662z00zzmsil_namesz00, BgL_bgl_string3662za700za7za7msil_namesza7003702z00, "'", 1 );
DEFINE_EXPORT_PROCEDURE( BGl_msilzd2setzd2globalzd2namesz12zd2envz12zzmsil_namesz00, BgL_bgl__msilza7d2setza7d2globalza7d2namesza712za7c0za7za7msil_namesza7003703z00, BGl__msilzd2setzd2globalzd2namesz12zc0zzmsil_namesz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_globalzd2simplenamezd2envz00zzmsil_namesz00, BgL_bgl__globalza7d2simplename3615za7d2za7za7msil_namesza7003704za7, BGl__globalzd2simplename3615zd2zzmsil_namesz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_msilzd2setzd2typezd2namesz12zd2envz12zzmsil_namesz00, BgL_bgl__msilza7d2setza7d2typeza7d2namesza7123619za7c0za7za7msil_namesza7003705z00, BGl__msilzd2setzd2typezd2namesz123619zc0zzmsil_namesz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_stdzd2typenamezd2envz00zzmsil_namesz00, BgL_bgl__stdza7d2typenameza7d2za7za7msil_namesza7003706za7, BGl__stdzd2typenamezd2zzmsil_namesz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_globalzd2fullnamezd2envz00zzmsil_namesz00, BgL_bgl__globalza7d2fullname3613za7d2za7za7msil_namesza7003707za7, BGl__globalzd2fullname3613zd2zzmsil_namesz00, 0L, 1 );



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzmsil_namesz00(long BgL_checksumz00_1287, char * BgL_fromz00_1288)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzmsil_namesz00))
{ 
BGl_requirezd2initializa7ationz75zzmsil_namesz00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzmsil_namesz00(); 
BGl_cnstzd2initzd2zzmsil_namesz00(); 
BGl_importedzd2moduleszd2initz00zzmsil_namesz00(); 
BGl_toplevelzd2initzd2zzmsil_namesz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzmsil_namesz00()
{ AN_OBJECT;
{ /* ./SawMsil/names.scm 1 */
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "msil_names"); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "msil_names"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "msil_names"); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long)0), "msil_names"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzmsil_namesz00()
{ AN_OBJECT;
{ /* ./SawMsil/names.scm 1 */
{ /* ./SawMsil/names.scm 1 */
obj_t BgL_cportz00_1280;
BgL_cportz00_1280 = 
open_input_string(BGl_string3668z00zzmsil_namesz00); 
{ 
long BgL_iz00_1281;
BgL_iz00_1281 = ((long)2); 
BgL_loopz00_1282:
{ /* ./SawMsil/names.scm 1 */
bool_t BgL_test3670z00_1283;
BgL_test3670z00_1283 = 
(BgL_iz00_1281==((long)-1)); 
if(BgL_test3670z00_1283)
{ /* ./SawMsil/names.scm 1 */
return BUNSPEC;}  else 
{ /* ./SawMsil/names.scm 1 */
{ /* ./SawMsil/names.scm 1 */
obj_t BgL_arg3672z00_1284;
{ /* ./SawMsil/names.scm 1 */
obj_t BgL_list3675z00_1285;
BgL_list3675z00_1285 = 
MAKE_PAIR(BgL_cportz00_1280, BNIL); 
BgL_arg3672z00_1284 = 
BGl_readz00zz__readerz00(BgL_list3675z00_1285); } 
{ /* ./SawMsil/names.scm 1 */
int BgL_auxz00_1305;
BgL_auxz00_1305 = 
(int)(BgL_iz00_1281); 
CNST_TABLE_SET(BgL_auxz00_1305, BgL_arg3672z00_1284); } } 
{ /* ./SawMsil/names.scm 1 */
int BgL_auxz00_1286;
{ /* ./SawMsil/names.scm 1 */
long BgL_auxz00_1308;
BgL_auxz00_1308 = 
(BgL_iz00_1281-((long)1)); 
BgL_auxz00_1286 = 
(int)(BgL_auxz00_1308); } 
{ 
long BgL_iz00_1311;
BgL_iz00_1311 = 
(long)(BgL_auxz00_1286); 
BgL_iz00_1281 = BgL_iz00_1311; 
goto BgL_loopz00_1282;} } } } } } } 
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zzmsil_namesz00()
{ AN_OBJECT;
{ /* ./SawMsil/names.scm 1 */
BGl_za2za2basiczd2typeza2za2zd2zzmsil_namesz00 = 
CNST_TABLE_REF(((long)0)); 
return ( 
BGl_za2za2libzd2typeza2za2zd2zzmsil_namesz00 = 
CNST_TABLE_REF(((long)1)), BUNSPEC) ;} 
}



/* global-fullname */
BGL_EXPORTED_DEF obj_t BGl_globalzd2fullnamezd2zzmsil_namesz00(BgL_globalz00_bglt BgL_varz00_1)
{ AN_OBJECT;
{ /* ./SawMsil/names.scm 19 */
{ /* ./SawMsil/names.scm 20 */
BgL_variablez00_bglt BgL_obj1094z00_1219;
BgL_obj1094z00_1219 = 
(BgL_variablez00_bglt)(BgL_varz00_1); 
return 
(((BgL_variablez00_bglt)CREF(BgL_obj1094z00_1219))->BgL_namez00);} } 
}



/* _global-fullname3613 */
obj_t BGl__globalzd2fullname3613zd2zzmsil_namesz00(obj_t BgL_envz00_1270, obj_t BgL_varz00_1271)
{ AN_OBJECT;
{ /* ./SawMsil/names.scm 19 */
return 
BGl_globalzd2fullnamezd2zzmsil_namesz00(
(BgL_globalz00_bglt)(BgL_varz00_1271));} 
}



/* global-simplename */
BGL_EXPORTED_DEF obj_t BGl_globalzd2simplenamezd2zzmsil_namesz00(BgL_globalz00_bglt BgL_varz00_2)
{ AN_OBJECT;
{ /* ./SawMsil/names.scm 22 */
{ /* ./SawMsil/names.scm 23 */
obj_t BgL_sz00_754;
{ /* ./SawMsil/names.scm 23 */
BgL_variablez00_bglt BgL_obj1094z00_1220;
BgL_obj1094z00_1220 = 
(BgL_variablez00_bglt)(BgL_varz00_2); 
BgL_sz00_754 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1094z00_1220))->BgL_namez00); } 
{ /* ./SawMsil/names.scm 24 */
int BgL_nz00_755;
BgL_nz00_755 = 
STRING_LENGTH(BgL_sz00_754); 
{ 
long BgL_iz00_756;
BgL_iz00_756 = ((long)0); 
BgL_loopz00_757:
{ /* ./SawMsil/names.scm 26 */
bool_t BgL_test3102z00_758;
{ /* ./SawMsil/names.scm 26 */
unsigned char BgL_auxz00_1322;
{ /* ./SawMsil/names.scm 26 */
int BgL_auxz00_1323;
BgL_auxz00_1323 = 
(int)(BgL_iz00_756); 
BgL_auxz00_1322 = 
STRING_REF(BgL_sz00_754, BgL_auxz00_1323); } 
BgL_test3102z00_758 = 
(BgL_auxz00_1322==((unsigned char)':')); } 
if(BgL_test3102z00_758)
{ /* ./SawMsil/names.scm 27 */
long BgL_arg3104z00_759;
BgL_arg3104z00_759 = 
(BgL_iz00_756+((long)2)); 
{ /* ./SawMsil/names.scm 27 */
int BgL_startz00_1229;
BgL_startz00_1229 = 
(int)(BgL_arg3104z00_759); 
return 
c_substring(BgL_sz00_754, BgL_startz00_1229, BgL_nz00_755);} }  else 
{ /* ./SawMsil/names.scm 28 */
long BgL_arg3108z00_760;
BgL_arg3108z00_760 = 
(BgL_iz00_756+((long)1)); 
{ 
long BgL_iz00_1332;
BgL_iz00_1332 = BgL_arg3108z00_760; 
BgL_iz00_756 = BgL_iz00_1332; 
goto BgL_loopz00_757;} } } } } } } 
}



/* _global-simplename3615 */
obj_t BGl__globalzd2simplename3615zd2zzmsil_namesz00(obj_t BgL_envz00_1272, obj_t BgL_varz00_1273)
{ AN_OBJECT;
{ /* ./SawMsil/names.scm 22 */
return 
BGl_globalzd2simplenamezd2zzmsil_namesz00(
(BgL_globalz00_bglt)(BgL_varz00_1273));} 
}



/* msil-set-global-names! */
BGL_EXPORTED_DEF obj_t BGl_msilzd2setzd2globalzd2namesz12zc0zzmsil_namesz00(obj_t BgL_varz00_3)
{ AN_OBJECT;
{ /* ./SawMsil/names.scm 30 */
{ /* ./SawMsil/names.scm 33 */
obj_t BgL_arg3118z00_763;
{ /* ./SawMsil/names.scm 33 */
obj_t BgL_arg3121z00_764;obj_t BgL_arg3123z00_766;obj_t BgL_arg3125z00_768;
{ /* ./SawMsil/names.scm 33 */
BgL_typez00_bglt BgL_arg3146z00_776;
{ /* ./SawMsil/names.scm 33 */
BgL_variablez00_bglt BgL_obj1097z00_1233;
BgL_obj1097z00_1233 = 
(BgL_variablez00_bglt)(BgL_varz00_3); 
BgL_arg3146z00_776 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1097z00_1233))->BgL_typez00); } 
BgL_arg3121z00_764 = 
(((BgL_typez00_bglt)CREF(BgL_arg3146z00_776))->BgL_namez00); } 
{ /* ./SawMsil/names.scm 34 */
obj_t BgL_arg3150z00_777;
{ /* ./SawMsil/names.scm 34 */
BgL_globalz00_bglt BgL_obj1165z00_1235;
BgL_obj1165z00_1235 = 
(BgL_globalz00_bglt)(BgL_varz00_3); 
BgL_arg3150z00_777 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1165z00_1235))->BgL_modulez00); } 
BgL_arg3123z00_766 = 
BGl_modulezd2ze3qualifiedzd2typeze3zzread_jvmz00(BgL_arg3150z00_777); } 
{ /* ./SawMsil/names.scm 33 */
BgL_variablez00_bglt BgL_obj1094z00_1236;
BgL_obj1094z00_1236 = 
(BgL_variablez00_bglt)(BgL_varz00_3); 
BgL_arg3125z00_768 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1094z00_1236))->BgL_namez00); } 
{ /* ./SawMsil/names.scm 33 */
obj_t BgL_list3128z00_770;
{ /* ./SawMsil/names.scm 33 */
obj_t BgL_arg3130z00_771;
{ /* ./SawMsil/names.scm 33 */
obj_t BgL_arg3133z00_772;
{ /* ./SawMsil/names.scm 33 */
obj_t BgL_arg3136z00_773;
{ /* ./SawMsil/names.scm 33 */
obj_t BgL_arg3139z00_774;
{ /* ./SawMsil/names.scm 33 */
obj_t BgL_arg3142z00_775;
BgL_arg3142z00_775 = 
MAKE_PAIR(BGl_string3662z00zzmsil_namesz00, BNIL); 
BgL_arg3139z00_774 = 
MAKE_PAIR(BgL_arg3125z00_768, BgL_arg3142z00_775); } 
BgL_arg3136z00_773 = 
MAKE_PAIR(BGl_string3663z00zzmsil_namesz00, BgL_arg3139z00_774); } 
BgL_arg3133z00_772 = 
MAKE_PAIR(BgL_arg3123z00_766, BgL_arg3136z00_773); } 
BgL_arg3130z00_771 = 
MAKE_PAIR(BGl_string3664z00zzmsil_namesz00, BgL_arg3133z00_772); } 
BgL_list3128z00_770 = 
MAKE_PAIR(BgL_arg3121z00_764, BgL_arg3130z00_771); } 
BgL_arg3118z00_763 = 
BGl_stringzd2appendzd2zz__r4_strings_6_7z00(BgL_list3128z00_770); } } 
{ /* ./SawMsil/names.scm 32 */
BgL_variablez00_bglt BgL_obj1096z00_1237;obj_t BgL_val1095z00_1238;
BgL_obj1096z00_1237 = 
(BgL_variablez00_bglt)(BgL_varz00_3); 
BgL_val1095z00_1238 = BgL_arg3118z00_763; 
return 
((((BgL_variablez00_bglt)CREF(BgL_obj1096z00_1237))->BgL_namez00) = ((obj_t)BgL_val1095z00_1238), BUNSPEC);} } } 
}



/* _msil-set-global-names! */
obj_t BGl__msilzd2setzd2globalzd2namesz12zc0zzmsil_namesz00(obj_t BgL_envz00_1274, obj_t BgL_varz00_1275)
{ AN_OBJECT;
{ /* ./SawMsil/names.scm 30 */
return 
BGl_msilzd2setzd2globalzd2namesz12zc0zzmsil_namesz00(BgL_varz00_1275);} 
}



/* std-typename */
BGL_EXPORTED_DEF obj_t BGl_stdzd2typenamezd2zzmsil_namesz00(obj_t BgL_idz00_4)
{ AN_OBJECT;
{ /* ./SawMsil/names.scm 84 */
{ /* ./SawMsil/names.scm 86 */
obj_t BgL_testzd2resultzd2_778;
BgL_testzd2resultzd2_778 = 
BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_idz00_4, BGl_za2za2basiczd2typeza2za2zd2zzmsil_namesz00); 
{ 

if(
CBOOL(BgL_testzd2resultzd2_778))
{ /* ./SawMsil/names.scm 86 */
return 
CDR(BgL_testzd2resultzd2_778);}  else 
{ /* ./SawMsil/names.scm 86 */
{ /* ./SawMsil/names.scm 87 */
obj_t BgL_testzd2resultzd2_784;
BgL_testzd2resultzd2_784 = 
BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_idz00_4, BGl_za2za2libzd2typeza2za2zd2zzmsil_namesz00); 
if(
CBOOL(BgL_testzd2resultzd2_784))
{ /* ./SawMsil/names.scm 87 */
return 
CDR(BgL_testzd2resultzd2_784);}  else 
{ /* ./SawMsil/names.scm 87 */
return BFALSE;} } } } } } 
}



/* _std-typename */
obj_t BGl__stdzd2typenamezd2zzmsil_namesz00(obj_t BgL_envz00_1276, obj_t BgL_idz00_1277)
{ AN_OBJECT;
{ /* ./SawMsil/names.scm 84 */
return 
BGl_stdzd2typenamezd2zzmsil_namesz00(BgL_idz00_1277);} 
}



/* msil-set-type-names! */
BGL_EXPORTED_DEF obj_t BGl_msilzd2setzd2typezd2namesz12zc0zzmsil_namesz00(BgL_typez00_bglt BgL_typez00_5)
{ AN_OBJECT;
{ /* ./SawMsil/names.scm 90 */
{ /* ./SawMsil/names.scm 91 */
obj_t BgL_arg3167z00_1245;
BgL_arg3167z00_1245 = 
BGl_buildzd2typezd2namez00zzmsil_namesz00(BgL_typez00_5); 
{ /* ./SawMsil/names.scm 91 */
BgL_typez00_bglt BgL_obj1006z00_1246;obj_t BgL_val1005z00_1247;
BgL_obj1006z00_1246 = BgL_typez00_5; 
BgL_val1005z00_1247 = BgL_arg3167z00_1245; 
return 
((((BgL_typez00_bglt)CREF(BgL_obj1006z00_1246))->BgL_namez00) = ((obj_t)BgL_val1005z00_1247), BUNSPEC);} } } 
}



/* _msil-set-type-names!3619 */
obj_t BGl__msilzd2setzd2typezd2namesz123619zc0zzmsil_namesz00(obj_t BgL_envz00_1278, obj_t BgL_typez00_1279)
{ AN_OBJECT;
{ /* ./SawMsil/names.scm 90 */
return 
BGl_msilzd2setzd2typezd2namesz12zc0zzmsil_namesz00(
(BgL_typez00_bglt)(BgL_typez00_1279));} 
}



/* build-type-name */
obj_t BGl_buildzd2typezd2namez00zzmsil_namesz00(BgL_typez00_bglt BgL_typez00_6)
{ AN_OBJECT;
{ /* ./SawMsil/names.scm 93 */
{ /* ./SawMsil/names.scm 97 */
bool_t BgL_test3170z00_797;
{ /* ./SawMsil/names.scm 97 */
obj_t BgL_obj2709z00_1248;
BgL_obj2709z00_1248 = 
(obj_t)(BgL_typez00_6); 
BgL_test3170z00_797 = 
BGl_iszd2azf3z21zz__objectz00(BgL_obj2709z00_1248, BGl_tclassz00zzobject_classz00); } 
if(BgL_test3170z00_797)
{ /* ./SawMsil/names.scm 97 */
{ /* ./SawMsil/names.scm 98 */
bool_t BgL_test3171z00_798;
{ /* ./SawMsil/names.scm 98 */
obj_t BgL_auxz00_1371;obj_t BgL_auxz00_1369;
BgL_auxz00_1371 = 
CNST_TABLE_REF(((long)2)); 
BgL_auxz00_1369 = 
(((BgL_typez00_bglt)CREF(BgL_typez00_6))->BgL_idz00); 
BgL_test3171z00_798 = 
(BgL_auxz00_1369==BgL_auxz00_1371); } 
if(BgL_test3171z00_798)
{ /* ./SawMsil/names.scm 98 */
return BGl_string3665z00zzmsil_namesz00;}  else 
{ /* ./SawMsil/names.scm 100 */
obj_t BgL_arg3173z00_799;
BgL_arg3173z00_799 = 
BGl_qualifiedzd2tclasszd2namez00zzbackend_cplibz00(
(BgL_tclassz00_bglt)(BgL_typez00_6)); 
return 
string_append_3(BGl_string3666z00zzmsil_namesz00, BgL_arg3173z00_799, BGl_string3662z00zzmsil_namesz00);} } }  else 
{ /* ./SawMsil/names.scm 101 */
bool_t BgL_test3181z00_802;
{ /* ./SawMsil/names.scm 101 */
obj_t BgL_obj2866z00_1251;
BgL_obj2866z00_1251 = 
(obj_t)(BgL_typez00_6); 
BgL_test3181z00_802 = 
BGl_iszd2azf3z21zz__objectz00(BgL_obj2866z00_1251, BGl_wclassz00zzobject_classz00); } 
if(BgL_test3181z00_802)
{ /* ./SawMsil/names.scm 101 */
{ /* ./SawMsil/names.scm 102 */
obj_t BgL_arg3183z00_803;
BgL_arg3183z00_803 = 
BGl_qualifiedzd2wclasszd2namez00zzbackend_cplibz00(
(BgL_wclassz00_bglt)(BgL_typez00_6)); 
return 
string_append_3(BGl_string3666z00zzmsil_namesz00, BgL_arg3183z00_803, BGl_string3662z00zzmsil_namesz00);} }  else 
{ /* ./SawMsil/names.scm 103 */
bool_t BgL_test3186z00_804;
{ /* ./SawMsil/names.scm 103 */
obj_t BgL_obj2798z00_1253;
BgL_obj2798z00_1253 = 
(obj_t)(BgL_typez00_6); 
BgL_test3186z00_804 = 
BGl_iszd2azf3z21zz__objectz00(BgL_obj2798z00_1253, BGl_jclassz00zzobject_classz00); } 
if(BgL_test3186z00_804)
{ /* ./SawMsil/names.scm 103 */
{ /* ./SawMsil/names.scm 104 */
obj_t BgL_arg3188z00_805;
BgL_arg3188z00_805 = 
BGl_qualifiedzd2jclasszd2namez00zzbackend_cplibz00(
(BgL_jclassz00_bglt)(BgL_typez00_6)); 
return 
string_append_3(BGl_string3666z00zzmsil_namesz00, BgL_arg3188z00_805, BGl_string3662z00zzmsil_namesz00);} }  else 
{ /* ./SawMsil/names.scm 105 */
bool_t BgL_test3191z00_806;
{ /* ./SawMsil/names.scm 105 */
obj_t BgL_obj2990z00_1255;
BgL_obj2990z00_1255 = 
(obj_t)(BgL_typez00_6); 
BgL_test3191z00_806 = 
BGl_iszd2azf3z21zz__objectz00(BgL_obj2990z00_1255, BGl_tvecz00zztvector_tvectorz00); } 
if(BgL_test3191z00_806)
{ /* ./SawMsil/names.scm 105 */
{ /* ./SawMsil/names.scm 106 */
BgL_typez00_bglt BgL_arg3193z00_807;
{ /* ./SawMsil/names.scm 106 */
BgL_tvecz00_bglt BgL_obj2991z00_1256;
BgL_obj2991z00_1256 = 
(BgL_tvecz00_bglt)(BgL_typez00_6); 
{ 
obj_t BgL_auxz00_1394;
{ /* ./SawMsil/names.scm 106 */
BgL_objectz00_bglt BgL_auxz00_1395;
BgL_auxz00_1395 = 
(BgL_objectz00_bglt)(BgL_obj2991z00_1256); 
BgL_auxz00_1394 = 
BGL_OBJECT_WIDENING(BgL_auxz00_1395); } 
BgL_arg3193z00_807 = 
(((BgL_tvecz00_bglt)CREF(BgL_auxz00_1394))->BgL_itemzd2typezd2); } } 
{ /* ./SawMsil/names.scm 106 */
obj_t BgL_arg3217z00_1258;
BgL_arg3217z00_1258 = 
BGl_buildzd2typezd2namez00zzmsil_namesz00(BgL_arg3193z00_807); 
return 
string_append(BgL_arg3217z00_1258, BGl_string3667z00zzmsil_namesz00);} } }  else 
{ /* ./SawMsil/names.scm 107 */
bool_t BgL_test3196z00_808;
{ /* ./SawMsil/names.scm 107 */
obj_t BgL_obj3053z00_1260;
BgL_obj3053z00_1260 = 
(obj_t)(BgL_typez00_6); 
BgL_test3196z00_808 = 
BGl_iszd2azf3z21zz__objectz00(BgL_obj3053z00_1260, BGl_jarrayz00zzforeign_jtypez00); } 
if(BgL_test3196z00_808)
{ /* ./SawMsil/names.scm 107 */
{ /* ./SawMsil/names.scm 108 */
BgL_typez00_bglt BgL_arg3198z00_809;
{ /* ./SawMsil/names.scm 108 */
BgL_jarrayz00_bglt BgL_obj3054z00_1261;
BgL_obj3054z00_1261 = 
(BgL_jarrayz00_bglt)(BgL_typez00_6); 
{ 
obj_t BgL_auxz00_1405;
{ /* ./SawMsil/names.scm 108 */
BgL_objectz00_bglt BgL_auxz00_1406;
BgL_auxz00_1406 = 
(BgL_objectz00_bglt)(BgL_obj3054z00_1261); 
BgL_auxz00_1405 = 
BGL_OBJECT_WIDENING(BgL_auxz00_1406); } 
BgL_arg3198z00_809 = 
(((BgL_jarrayz00_bglt)CREF(BgL_auxz00_1405))->BgL_itemzd2typezd2); } } 
{ /* ./SawMsil/names.scm 108 */
obj_t BgL_arg3217z00_1263;
BgL_arg3217z00_1263 = 
BGl_buildzd2typezd2namez00zzmsil_namesz00(BgL_arg3198z00_809); 
return 
string_append(BgL_arg3217z00_1263, BGl_string3667z00zzmsil_namesz00);} } }  else 
{ /* ./SawMsil/names.scm 107 */
{ /* ./SawMsil/names.scm 110 */
obj_t BgL_idz00_810;
BgL_idz00_810 = 
(((BgL_typez00_bglt)CREF(BgL_typez00_6))->BgL_idz00); 
{ /* ./SawMsil/names.scm 111 */
obj_t BgL_slotz00_811;
BgL_slotz00_811 = 
BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_idz00_810, BGl_za2za2basiczd2typeza2za2zd2zzmsil_namesz00); 
if(
CBOOL(BgL_slotz00_811))
{ /* ./SawMsil/names.scm 112 */
return 
CDR(BgL_slotz00_811);}  else 
{ /* ./SawMsil/names.scm 114 */
obj_t BgL_arg3203z00_812;
BgL_arg3203z00_812 = 
BGl_qualifiedzd2typezd2namez00zzbackend_cplibz00(BgL_typez00_6); 
return 
string_append_3(BGl_string3666z00zzmsil_namesz00, BgL_arg3203z00_812, BGl_string3662z00zzmsil_namesz00);} } } } } } } } } } 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzmsil_namesz00()
{ AN_OBJECT;
{ /* ./SawMsil/names.scm 1 */
return BUNSPEC;} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzmsil_namesz00()
{ AN_OBJECT;
{ /* ./SawMsil/names.scm 1 */
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19090), "msil_names"); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)44246), "msil_names"); 
BGl_modulezd2initializa7ationz75zzast_nodez00(((long)50868), "msil_names"); 
BGl_modulezd2initializa7ationz75zzobject_classz00(((long)30791), "msil_names"); 
BGl_modulezd2initializa7ationz75zzobject_slotsz00(((long)44183), "msil_names"); 
BGl_modulezd2initializa7ationz75zztvector_tvectorz00(((long)32501), "msil_names"); 
BGl_modulezd2initializa7ationz75zzforeign_jtypez00(((long)33635), "msil_names"); 
BGl_modulezd2initializa7ationz75zzread_jvmz00(((long)16338), "msil_names"); 
return 
BGl_modulezd2initializa7ationz75zzbackend_cplibz00(((long)26792), "msil_names");} 
}

