/*===========================================================================*/
/*   (Type/type.scm)                                                         */
/*   Bigloo (2.6b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Dec 15 12:14:36 CET 2003        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc-2.95 -lib-dir /users/serrano/prgm/project/bigloo/lib/2.6b -unsafev -no-hello -O2 -rm -unsafe -s -indent Type/type.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;


BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
static obj_t BGl_methodzd2initzd2zztype_typez00();
BGL_IMPORT obj_t open_input_string(obj_t);
BGL_EXPORTED_DECL BgL_typez00_bglt BGl_makezd2typezd2zztype_typez00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, bool_t, bool_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT long BGl_classzd2numzd2zz__objectz00(obj_t);
static obj_t BGl__makezd2type1318zd2zztype_typez00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t);
BGL_IMPORT bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_objectz00zz__objectz00;
BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL BgL_typez00_bglt BGl_allocatezd2typezd2zztype_typez00();
BGL_EXPORTED_DECL bool_t BGl_bigloozd2typezf3z21zztype_typez00(BgL_typez00_bglt);
BGL_EXPORTED_DECL bool_t BGl_typezf3zf3zztype_typez00(obj_t);
static obj_t BGl_objectzd2ze3structzd2type1151ze3zztype_typez00(obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_typez00zztype_typez00 = BUNSPEC;
static obj_t BGl__fillzd2typez121320zc0zztype_typez00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL BgL_typez00_bglt BGl_getzd2aliasedzd2typez00zztype_typez00(BgL_typez00_bglt);
static obj_t BGl_cnstzd2initzd2zztype_typez00();
static obj_t BGl_structzb2objectzd2ze3objectzd2type1153z51zztype_typez00(obj_t, obj_t, obj_t);
static obj_t BGl__bigloozd2typezf3z21zztype_typez00(obj_t, obj_t);
static obj_t BGl__getzd2aliasedzd2typez00zztype_typez00(obj_t, obj_t);
static obj_t BGl__typezf3zf3zztype_typez00(obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zztype_typez00();
static obj_t BGl_objectzd2initzd2zztype_typez00();
BGL_IMPORT obj_t make_struct(obj_t, int, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zztype_typez00 = BUNSPEC;
BGL_IMPORT obj_t BGl_addzd2methodz12zc0zz__objectz00(obj_t, obj_t, obj_t);
static obj_t BGl__allocatezd2typezd2zztype_typez00(obj_t);
static obj_t BGl_libraryzd2moduleszd2initz00zztype_typez00();
BGL_EXPORTED_DECL BgL_typez00_bglt BGl_fillzd2typez12zc0zztype_typez00(BgL_typez00_bglt, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, bool_t, bool_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t __cnst[ 2 ] ;


DEFINE_EXPORT_PROCEDURE( BGl_makezd2typezd2envz00zztype_typez00, BgL_bgl__makeza7d2type1318za7d2za7za7type_typeza7001430za7, BGl__makezd2type1318zd2zztype_typez00, 0L, 14 );
DEFINE_EXPORT_PROCEDURE( BGl_getzd2aliasedzd2typezd2envzd2zztype_typez00, BgL_bgl__getza7d2aliasedza7d2typeza700za7za7type_typeza7001431z00, BGl__getzd2aliasedzd2typez00zztype_typez00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc1400z00zztype_typez00, BgL_bgl_structza7b2objectza7d2za7e3objectza7d2type1153za751za7za7type_typeza7001432z00, BGl_structzb2objectzd2ze3objectzd2type1153z51zztype_typez00, 0L, 2 );
BGL_IMPORT obj_t BGl_objectzd2ze3structzd2envze3zz__objectz00;
DEFINE_STATIC_PROCEDURE( BGl_proc1399z00zztype_typez00, BgL_bgl_objectza7d2za7e3structza7d2type1151za7e3za7za7type_typeza7001433za7, BGl_objectzd2ze3structzd2type1151ze3zztype_typez00, 0L, 1 );
DEFINE_STRING( BGl_string1401z00zztype_typez00, BgL_bgl_string1401za700za7za7type_typeza7001434z00, "type bigloo ", 12 );
DEFINE_EXPORT_PROCEDURE( BGl_typezf3zd2envz21zztype_typez00, BgL_bgl__typeza7f3za7f3za7za7type_typeza7001435za7, BGl__typezf3zf3zztype_typez00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_bigloozd2typezf3zd2envzf3zztype_typez00, BgL_bgl__biglooza7d2typeza7f3za721za7za7type_typeza7001436z00, BGl__bigloozd2typezf3z21zztype_typez00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_allocatezd2typezd2envz00zztype_typez00, BgL_bgl__allocateza7d2typeza7d2za7za7type_typeza7001437za7, BGl__allocatezd2typezd2zztype_typez00, 0L, 0 );
DEFINE_EXPORT_PROCEDURE( BGl_fillzd2typez12zd2envz12zztype_typez00, BgL_bgl__fillza7d2typeza7121320za7c0za7za7type_typeza7001438z00, BGl__fillzd2typez121320zc0zztype_typez00, 0L, 15 );
BGL_IMPORT obj_t BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00;



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long BgL_checksumz00_427, char * BgL_fromz00_428)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zztype_typez00))
{ 
BGl_requirezd2initializa7ationz75zztype_typez00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zztype_typez00(); 
BGl_cnstzd2initzd2zztype_typez00(); 
BGl_importedzd2moduleszd2initz00zztype_typez00(); 
BGl_objectzd2initzd2zztype_typez00(); 
BGl_methodzd2initzd2zztype_typez00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zztype_typez00()
{ AN_OBJECT;
{ /* ./Type/type.scm 15 */
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "type_type"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "type_type"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zztype_typez00()
{ AN_OBJECT;
{ /* ./Type/type.scm 15 */
{ /* ./Type/type.scm 15 */
obj_t BgL_cportz00_366;
BgL_cportz00_366 = 
open_input_string(BGl_string1401z00zztype_typez00); 
{ 
long BgL_iz00_367;
BgL_iz00_367 = ((long)1); 
BgL_loopz00_368:
{ /* ./Type/type.scm 15 */
bool_t BgL_test1403z00_369;
BgL_test1403z00_369 = 
(BgL_iz00_367==((long)-1)); 
if(BgL_test1403z00_369)
{ /* ./Type/type.scm 15 */
return BUNSPEC;}  else 
{ /* ./Type/type.scm 15 */
{ /* ./Type/type.scm 15 */
obj_t BgL_arg1406z00_370;
{ /* ./Type/type.scm 15 */
obj_t BgL_list1409z00_371;
BgL_list1409z00_371 = 
MAKE_PAIR(BgL_cportz00_366, BNIL); 
BgL_arg1406z00_370 = 
BGl_readz00zz__readerz00(BgL_list1409z00_371); } 
{ /* ./Type/type.scm 15 */
int BgL_auxz00_444;
BgL_auxz00_444 = 
(int)(BgL_iz00_367); 
CNST_TABLE_SET(BgL_auxz00_444, BgL_arg1406z00_370); } } 
{ /* ./Type/type.scm 15 */
int BgL_auxz00_372;
{ /* ./Type/type.scm 15 */
long BgL_auxz00_447;
BgL_auxz00_447 = 
(BgL_iz00_367-((long)1)); 
BgL_auxz00_372 = 
(int)(BgL_auxz00_447); } 
{ 
long BgL_iz00_450;
BgL_iz00_450 = 
(long)(BgL_auxz00_372); 
BgL_iz00_367 = BgL_iz00_450; 
goto BgL_loopz00_368;} } } } } } } 
}



/* get-aliased-type */
BGL_EXPORTED_DEF BgL_typez00_bglt BGl_getzd2aliasedzd2typez00zztype_typez00(BgL_typez00_bglt BgL_typez00_1)
{ AN_OBJECT;
{ /* ./Type/type.scm 57 */
{ 
obj_t BgL_typez00_76;
{ /* ./Type/type.scm 58 */
obj_t BgL_auxz00_452;
BgL_typez00_76 = 
(obj_t)(BgL_typez00_1); 
BgL_loopz00_77:
{ /* ./Type/type.scm 59 */
bool_t BgL_test1155z00_78;
{ /* ./Type/type.scm 59 */
obj_t BgL_arg1162z00_80;
{ /* ./Type/type.scm 59 */
BgL_typez00_bglt BgL_obj1028z00_162;
BgL_obj1028z00_162 = 
(BgL_typez00_bglt)(BgL_typez00_76); 
BgL_arg1162z00_80 = 
(((BgL_typez00_bglt)CREF(BgL_obj1028z00_162))->BgL_aliasz00); } 
BgL_test1155z00_78 = 
BGl_iszd2azf3z21zz__objectz00(BgL_arg1162z00_80, BGl_typez00zztype_typez00); } 
if(BgL_test1155z00_78)
{ 
obj_t BgL_typez00_457;
{ /* ./Type/type.scm 60 */
BgL_typez00_bglt BgL_obj1028z00_164;
BgL_obj1028z00_164 = 
(BgL_typez00_bglt)(BgL_typez00_76); 
BgL_typez00_457 = 
(((BgL_typez00_bglt)CREF(BgL_obj1028z00_164))->BgL_aliasz00); } 
BgL_typez00_76 = BgL_typez00_457; 
goto BgL_loopz00_77;}  else 
{ /* ./Type/type.scm 59 */
BgL_auxz00_452 = BgL_typez00_76
; } } 
return 
(BgL_typez00_bglt)(BgL_auxz00_452);} } } 
}



/* _get-aliased-type */
obj_t BGl__getzd2aliasedzd2typez00zztype_typez00(obj_t BgL_envz00_316, obj_t BgL_typez00_317)
{ AN_OBJECT;
{ /* ./Type/type.scm 57 */
{ /* ./Type/type.scm 58 */
BgL_typez00_bglt BgL_auxz00_462;
BgL_auxz00_462 = 
BGl_getzd2aliasedzd2typez00zztype_typez00(
(BgL_typez00_bglt)(BgL_typez00_317)); 
return 
(obj_t)(BgL_auxz00_462);} } 
}



/* bigloo-type? */
BGL_EXPORTED_DEF bool_t BGl_bigloozd2typezf3z21zztype_typez00(BgL_typez00_bglt BgL_typez00_2)
{ AN_OBJECT;
{ /* ./Type/type.scm 66 */
{ /* ./Type/type.scm 67 */
obj_t BgL_auxz00_468;obj_t BgL_auxz00_466;
BgL_auxz00_468 = 
CNST_TABLE_REF(((long)0)); 
BgL_auxz00_466 = 
(((BgL_typez00_bglt)CREF(BgL_typez00_2))->BgL_classz00); 
return 
(BgL_auxz00_466==BgL_auxz00_468);} } 
}



/* _bigloo-type? */
obj_t BGl__bigloozd2typezf3z21zztype_typez00(obj_t BgL_envz00_318, obj_t BgL_typez00_319)
{ AN_OBJECT;
{ /* ./Type/type.scm 66 */
{ /* ./Type/type.scm 67 */
bool_t BgL_auxz00_471;
BgL_auxz00_471 = 
BGl_bigloozd2typezf3z21zztype_typez00(
(BgL_typez00_bglt)(BgL_typez00_319)); 
return 
BBOOL(BgL_auxz00_471);} } 
}



/* object-init */
obj_t BGl_objectzd2initzd2zztype_typez00()
{ AN_OBJECT;
{ /* ./Type/type.scm 15 */
{ /* ./Type/type.scm 19 */
obj_t BgL_arg1177z00_83;obj_t BgL_arg1178z00_84;obj_t BgL_arg1183z00_88;
BgL_arg1177z00_83 = 
CNST_TABLE_REF(((long)1)); 
BgL_arg1178z00_84 = BGl_objectz00zz__objectz00; 
{ /* ./Type/type.scm 19 */
obj_t BgL_v1149z00_89;
{ 
int BgL_auxz00_476;
BgL_auxz00_476 = 
(int)(((long)0)); 
BgL_v1149z00_89 = 
create_vector(BgL_auxz00_476); } 
BgL_arg1183z00_88 = BgL_v1149z00_89; } 
BGl_typez00zztype_typez00 = 
BGl_registerzd2classz12zc0zz__objectz00(BgL_arg1177z00_83, BgL_arg1178z00_84, BFALSE, BGl_allocatezd2typezd2envz00zztype_typez00, ((long)59092), BNIL, BFALSE, BgL_arg1183z00_88); } 
return BUNSPEC;} 
}



/* type? */
BGL_EXPORTED_DEF bool_t BGl_typezf3zf3zztype_typez00(obj_t BgL_obj1148z00_3)
{ AN_OBJECT;
{ /* ./Type/type.scm 19 */
return 
BGl_iszd2azf3z21zz__objectz00(BgL_obj1148z00_3, BGl_typez00zztype_typez00);} 
}



/* _type? */
obj_t BGl__typezf3zf3zztype_typez00(obj_t BgL_envz00_321, obj_t BgL_obj1148z00_322)
{ AN_OBJECT;
{ /* ./Type/type.scm 19 */
{ /* ./Type/type.scm 19 */
bool_t BgL_auxz00_481;
BgL_auxz00_481 = 
BGl_iszd2azf3z21zz__objectz00(BgL_obj1148z00_322, BGl_typez00zztype_typez00); 
return 
BBOOL(BgL_auxz00_481);} } 
}



/* make-type */
BGL_EXPORTED_DEF BgL_typez00_bglt BGl_makezd2typezd2zztype_typez00(obj_t BgL_id1043z00_7, obj_t BgL_name1044z00_8, obj_t BgL_siza7e1045za7_9, obj_t BgL_class1046z00_10, obj_t BgL_coercezd2to1047zd2_11, obj_t BgL_parents1048z00_12, bool_t BgL_initzf31049zf3_13, bool_t BgL_magiczf31050zf3_14, obj_t BgL_z421051z42_15, obj_t BgL_alias1052z00_16, obj_t BgL_pointedzd2tozd2by1053z00_17, obj_t BgL_tvector1054z00_18, obj_t BgL_location1055z00_19, obj_t BgL_importzd2location1056zd2_20)
{ AN_OBJECT;
{ /* ./Type/type.scm 19 */
{ /* ./Type/type.scm 19 */
BgL_typez00_bglt BgL_new1057z00_168;
{ /* ./Type/type.scm 19 */
BgL_typez00_bglt BgL_res1312z00_174;
{ /* ./Type/type.scm 19 */
BgL_typez00_bglt BgL_new1089z00_169;
BgL_new1089z00_169 = 
((BgL_typez00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_typez00_bgl) ))); 
{ /* ./Type/type.scm 19 */
long BgL_arg1191z00_170;
BgL_arg1191z00_170 = 
BGl_classzd2numzd2zz__objectz00(BGl_typez00zztype_typez00); 
{ /* ./Type/type.scm 19 */
BgL_objectz00_bglt BgL_objz00_171;
BgL_objz00_171 = 
(BgL_objectz00_bglt)(BgL_new1089z00_169); 
BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_171, BgL_arg1191z00_170); } } 
{ /* ./Type/type.scm 19 */
BgL_objectz00_bglt BgL_auxz00_488;
BgL_auxz00_488 = 
(BgL_objectz00_bglt)(BgL_new1089z00_169); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_488, BFALSE); } 
{ /* ./Type/type.scm 19 */
obj_t BgL_objz00_173;
BgL_objz00_173 = 
(obj_t)(BgL_new1089z00_169); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_objz00_173); BUNSPEC; } 
BgL_res1312z00_174 = BgL_new1089z00_169; } 
BgL_new1057z00_168 = BgL_res1312z00_174; } 
{ /* ./Type/type.scm 19 */
BgL_typez00_bglt BgL_res1313z00_204;
{ /* ./Type/type.scm 19 */
BgL_typez00_bglt BgL_new1073z00_175;
BgL_new1073z00_175 = BgL_new1057z00_168; 
{ /* ./Type/type.scm 19 */
obj_t BgL_id1059z00_190;obj_t BgL_name1060z00_191;obj_t BgL_siza7e1061za7_192;obj_t BgL_class1062z00_193;obj_t BgL_coercezd2to1063zd2_194;obj_t BgL_parents1064z00_195;bool_t BgL_initzf31065zf3_196;bool_t BgL_magiczf31066zf3_197;obj_t BgL_z421067z42_198;obj_t BgL_alias1068z00_199;obj_t BgL_pointedzd2tozd2by1069z00_200;obj_t BgL_tvector1070z00_201;obj_t BgL_location1071z00_202;obj_t BgL_importzd2location1072zd2_203;
BgL_id1059z00_190 = BgL_id1043z00_7; 
BgL_name1060z00_191 = BgL_name1044z00_8; 
BgL_siza7e1061za7_192 = BgL_siza7e1045za7_9; 
BgL_class1062z00_193 = BgL_class1046z00_10; 
BgL_coercezd2to1063zd2_194 = BgL_coercezd2to1047zd2_11; 
BgL_parents1064z00_195 = BgL_parents1048z00_12; 
BgL_initzf31065zf3_196 = BgL_initzf31049zf3_13; 
BgL_magiczf31066zf3_197 = BgL_magiczf31050zf3_14; 
BgL_z421067z42_198 = BgL_z421051z42_15; 
BgL_alias1068z00_199 = BgL_alias1052z00_16; 
BgL_pointedzd2tozd2by1069z00_200 = BgL_pointedzd2tozd2by1053z00_17; 
BgL_tvector1070z00_201 = BgL_tvector1054z00_18; 
BgL_location1071z00_202 = BgL_location1055z00_19; 
BgL_importzd2location1072zd2_203 = BgL_importzd2location1056zd2_20; 
((((BgL_typez00_bglt)CREF(BgL_new1073z00_175))->BgL_idz00) = ((obj_t)BgL_id1059z00_190), BUNSPEC); 
((((BgL_typez00_bglt)CREF(BgL_new1073z00_175))->BgL_namez00) = ((obj_t)BgL_name1060z00_191), BUNSPEC); 
((((BgL_typez00_bglt)CREF(BgL_new1073z00_175))->BgL_siza7eza7) = ((obj_t)BgL_siza7e1061za7_192), BUNSPEC); 
((((BgL_typez00_bglt)CREF(BgL_new1073z00_175))->BgL_classz00) = ((obj_t)BgL_class1062z00_193), BUNSPEC); 
((((BgL_typez00_bglt)CREF(BgL_new1073z00_175))->BgL_coercezd2tozd2) = ((obj_t)BgL_coercezd2to1063zd2_194), BUNSPEC); 
((((BgL_typez00_bglt)CREF(BgL_new1073z00_175))->BgL_parentsz00) = ((obj_t)BgL_parents1064z00_195), BUNSPEC); 
((((BgL_typez00_bglt)CREF(BgL_new1073z00_175))->BgL_initzf3zf3) = ((bool_t)BgL_initzf31065zf3_196), BUNSPEC); 
((((BgL_typez00_bglt)CREF(BgL_new1073z00_175))->BgL_magiczf3zf3) = ((bool_t)BgL_magiczf31066zf3_197), BUNSPEC); 
((((BgL_typez00_bglt)CREF(BgL_new1073z00_175))->BgL_z42z42) = ((obj_t)BgL_z421067z42_198), BUNSPEC); 
((((BgL_typez00_bglt)CREF(BgL_new1073z00_175))->BgL_aliasz00) = ((obj_t)BgL_alias1068z00_199), BUNSPEC); 
((((BgL_typez00_bglt)CREF(BgL_new1073z00_175))->BgL_pointedzd2tozd2byz00) = ((obj_t)BgL_pointedzd2tozd2by1069z00_200), BUNSPEC); 
((((BgL_typez00_bglt)CREF(BgL_new1073z00_175))->BgL_tvectorz00) = ((obj_t)BgL_tvector1070z00_201), BUNSPEC); 
((((BgL_typez00_bglt)CREF(BgL_new1073z00_175))->BgL_locationz00) = ((obj_t)BgL_location1071z00_202), BUNSPEC); 
((((BgL_typez00_bglt)CREF(BgL_new1073z00_175))->BgL_importzd2locationzd2) = ((obj_t)BgL_importzd2location1072zd2_203), BUNSPEC); 
BgL_res1313z00_204 = BgL_new1073z00_175; } } BgL_res1313z00_204; } 
return BgL_new1057z00_168;} } 
}



/* _make-type1318 */
obj_t BGl__makezd2type1318zd2zztype_typez00(obj_t BgL_envz00_323, obj_t BgL_id1043z00_324, obj_t BgL_name1044z00_325, obj_t BgL_siza7e1045za7_326, obj_t BgL_class1046z00_327, obj_t BgL_coercezd2to1047zd2_328, obj_t BgL_parents1048z00_329, obj_t BgL_initzf31049zf3_330, obj_t BgL_magiczf31050zf3_331, obj_t BgL_z421051z42_332, obj_t BgL_alias1052z00_333, obj_t BgL_pointedzd2tozd2by1053z00_334, obj_t BgL_tvector1054z00_335, obj_t BgL_location1055z00_336, obj_t BgL_importzd2location1056zd2_337)
{ AN_OBJECT;
{ /* ./Type/type.scm 19 */
{ /* ./Type/type.scm 19 */
BgL_typez00_bglt BgL_auxz00_507;
BgL_auxz00_507 = 
BGl_makezd2typezd2zztype_typez00(BgL_id1043z00_324, BgL_name1044z00_325, BgL_siza7e1045za7_326, BgL_class1046z00_327, BgL_coercezd2to1047zd2_328, BgL_parents1048z00_329, 
CBOOL(BgL_initzf31049zf3_330), 
CBOOL(BgL_magiczf31050zf3_331), BgL_z421051z42_332, BgL_alias1052z00_333, BgL_pointedzd2tozd2by1053z00_334, BgL_tvector1054z00_335, BgL_location1055z00_336, BgL_importzd2location1056zd2_337); 
return 
(obj_t)(BgL_auxz00_507);} } 
}



/* fill-type! */
BGL_EXPORTED_DEF BgL_typez00_bglt BGl_fillzd2typez12zc0zztype_typez00(BgL_typez00_bglt BgL_new1073z00_21, obj_t BgL_id1059z00_22, obj_t BgL_name1060z00_23, obj_t BgL_siza7e1061za7_24, obj_t BgL_class1062z00_25, obj_t BgL_coercezd2to1063zd2_26, obj_t BgL_parents1064z00_27, bool_t BgL_initzf31065zf3_28, bool_t BgL_magiczf31066zf3_29, obj_t BgL_z421067z42_30, obj_t BgL_alias1068z00_31, obj_t BgL_pointedzd2tozd2by1069z00_32, obj_t BgL_tvector1070z00_33, obj_t BgL_location1071z00_34, obj_t BgL_importzd2location1072zd2_35)
{ AN_OBJECT;
{ /* ./Type/type.scm 19 */
{ /* ./Type/type.scm 19 */
obj_t BgL_id1059z00_374;obj_t BgL_name1060z00_375;obj_t BgL_siza7e1061za7_376;obj_t BgL_class1062z00_377;obj_t BgL_coercezd2to1063zd2_378;obj_t BgL_parents1064z00_379;bool_t BgL_initzf31065zf3_380;bool_t BgL_magiczf31066zf3_381;obj_t BgL_z421067z42_382;obj_t BgL_alias1068z00_383;obj_t BgL_pointedzd2tozd2by1069z00_384;obj_t BgL_tvector1070z00_385;obj_t BgL_location1071z00_386;obj_t BgL_importzd2location1072zd2_387;
BgL_id1059z00_374 = BgL_id1059z00_22; 
BgL_name1060z00_375 = BgL_name1060z00_23; 
BgL_siza7e1061za7_376 = BgL_siza7e1061za7_24; 
BgL_class1062z00_377 = BgL_class1062z00_25; 
BgL_coercezd2to1063zd2_378 = BgL_coercezd2to1063zd2_26; 
BgL_parents1064z00_379 = BgL_parents1064z00_27; 
BgL_initzf31065zf3_380 = BgL_initzf31065zf3_28; 
BgL_magiczf31066zf3_381 = BgL_magiczf31066zf3_29; 
BgL_z421067z42_382 = BgL_z421067z42_30; 
BgL_alias1068z00_383 = BgL_alias1068z00_31; 
BgL_pointedzd2tozd2by1069z00_384 = BgL_pointedzd2tozd2by1069z00_32; 
BgL_tvector1070z00_385 = BgL_tvector1070z00_33; 
BgL_location1071z00_386 = BgL_location1071z00_34; 
BgL_importzd2location1072zd2_387 = BgL_importzd2location1072zd2_35; 
((((BgL_typez00_bglt)CREF(BgL_new1073z00_21))->BgL_idz00) = ((obj_t)BgL_id1059z00_374), BUNSPEC); 
((((BgL_typez00_bglt)CREF(BgL_new1073z00_21))->BgL_namez00) = ((obj_t)BgL_name1060z00_375), BUNSPEC); 
((((BgL_typez00_bglt)CREF(BgL_new1073z00_21))->BgL_siza7eza7) = ((obj_t)BgL_siza7e1061za7_376), BUNSPEC); 
((((BgL_typez00_bglt)CREF(BgL_new1073z00_21))->BgL_classz00) = ((obj_t)BgL_class1062z00_377), BUNSPEC); 
((((BgL_typez00_bglt)CREF(BgL_new1073z00_21))->BgL_coercezd2tozd2) = ((obj_t)BgL_coercezd2to1063zd2_378), BUNSPEC); 
((((BgL_typez00_bglt)CREF(BgL_new1073z00_21))->BgL_parentsz00) = ((obj_t)BgL_parents1064z00_379), BUNSPEC); 
((((BgL_typez00_bglt)CREF(BgL_new1073z00_21))->BgL_initzf3zf3) = ((bool_t)BgL_initzf31065zf3_380), BUNSPEC); 
((((BgL_typez00_bglt)CREF(BgL_new1073z00_21))->BgL_magiczf3zf3) = ((bool_t)BgL_magiczf31066zf3_381), BUNSPEC); 
((((BgL_typez00_bglt)CREF(BgL_new1073z00_21))->BgL_z42z42) = ((obj_t)BgL_z421067z42_382), BUNSPEC); 
((((BgL_typez00_bglt)CREF(BgL_new1073z00_21))->BgL_aliasz00) = ((obj_t)BgL_alias1068z00_383), BUNSPEC); 
((((BgL_typez00_bglt)CREF(BgL_new1073z00_21))->BgL_pointedzd2tozd2byz00) = ((obj_t)BgL_pointedzd2tozd2by1069z00_384), BUNSPEC); 
((((BgL_typez00_bglt)CREF(BgL_new1073z00_21))->BgL_tvectorz00) = ((obj_t)BgL_tvector1070z00_385), BUNSPEC); 
((((BgL_typez00_bglt)CREF(BgL_new1073z00_21))->BgL_locationz00) = ((obj_t)BgL_location1071z00_386), BUNSPEC); 
((((BgL_typez00_bglt)CREF(BgL_new1073z00_21))->BgL_importzd2locationzd2) = ((obj_t)BgL_importzd2location1072zd2_387), BUNSPEC); 
return BgL_new1073z00_21;} } 
}



/* _fill-type!1320 */
obj_t BGl__fillzd2typez121320zc0zztype_typez00(obj_t BgL_envz00_338, obj_t BgL_new1073z00_339, obj_t BgL_id1059z00_340, obj_t BgL_name1060z00_341, obj_t BgL_siza7e1061za7_342, obj_t BgL_class1062z00_343, obj_t BgL_coercezd2to1063zd2_344, obj_t BgL_parents1064z00_345, obj_t BgL_initzf31065zf3_346, obj_t BgL_magiczf31066zf3_347, obj_t BgL_z421067z42_348, obj_t BgL_alias1068z00_349, obj_t BgL_pointedzd2tozd2by1069z00_350, obj_t BgL_tvector1070z00_351, obj_t BgL_location1071z00_352, obj_t BgL_importzd2location1072zd2_353)
{ AN_OBJECT;
{ /* ./Type/type.scm 19 */
{ /* ./Type/type.scm 19 */
BgL_typez00_bglt BgL_auxz00_526;
{ /* ./Type/type.scm 19 */
BgL_typez00_bglt BgL_res1418z00_417;
{ /* ./Type/type.scm 19 */
BgL_typez00_bglt BgL_new1073z00_388;bool_t BgL_initzf31065zf3_395;bool_t BgL_magiczf31066zf3_396;
BgL_new1073z00_388 = 
(BgL_typez00_bglt)(BgL_new1073z00_339); 
BgL_initzf31065zf3_395 = 
CBOOL(BgL_initzf31065zf3_346); 
BgL_magiczf31066zf3_396 = 
CBOOL(BgL_magiczf31066zf3_347); 
{ /* ./Type/type.scm 19 */
obj_t BgL_id1059z00_403;obj_t BgL_name1060z00_404;obj_t BgL_siza7e1061za7_405;obj_t BgL_class1062z00_406;obj_t BgL_coercezd2to1063zd2_407;obj_t BgL_parents1064z00_408;bool_t BgL_initzf31065zf3_409;bool_t BgL_magiczf31066zf3_410;obj_t BgL_z421067z42_411;obj_t BgL_alias1068z00_412;obj_t BgL_pointedzd2tozd2by1069z00_413;obj_t BgL_tvector1070z00_414;obj_t BgL_location1071z00_415;obj_t BgL_importzd2location1072zd2_416;
BgL_id1059z00_403 = BgL_id1059z00_340; 
BgL_name1060z00_404 = BgL_name1060z00_341; 
BgL_siza7e1061za7_405 = BgL_siza7e1061za7_342; 
BgL_class1062z00_406 = BgL_class1062z00_343; 
BgL_coercezd2to1063zd2_407 = BgL_coercezd2to1063zd2_344; 
BgL_parents1064z00_408 = BgL_parents1064z00_345; 
BgL_initzf31065zf3_409 = BgL_initzf31065zf3_395; 
BgL_magiczf31066zf3_410 = BgL_magiczf31066zf3_396; 
BgL_z421067z42_411 = BgL_z421067z42_348; 
BgL_alias1068z00_412 = BgL_alias1068z00_349; 
BgL_pointedzd2tozd2by1069z00_413 = BgL_pointedzd2tozd2by1069z00_350; 
BgL_tvector1070z00_414 = BgL_tvector1070z00_351; 
BgL_location1071z00_415 = BgL_location1071z00_352; 
BgL_importzd2location1072zd2_416 = BgL_importzd2location1072zd2_353; 
((((BgL_typez00_bglt)CREF(BgL_new1073z00_388))->BgL_idz00) = ((obj_t)BgL_id1059z00_403), BUNSPEC); 
((((BgL_typez00_bglt)CREF(BgL_new1073z00_388))->BgL_namez00) = ((obj_t)BgL_name1060z00_404), BUNSPEC); 
((((BgL_typez00_bglt)CREF(BgL_new1073z00_388))->BgL_siza7eza7) = ((obj_t)BgL_siza7e1061za7_405), BUNSPEC); 
((((BgL_typez00_bglt)CREF(BgL_new1073z00_388))->BgL_classz00) = ((obj_t)BgL_class1062z00_406), BUNSPEC); 
((((BgL_typez00_bglt)CREF(BgL_new1073z00_388))->BgL_coercezd2tozd2) = ((obj_t)BgL_coercezd2to1063zd2_407), BUNSPEC); 
((((BgL_typez00_bglt)CREF(BgL_new1073z00_388))->BgL_parentsz00) = ((obj_t)BgL_parents1064z00_408), BUNSPEC); 
((((BgL_typez00_bglt)CREF(BgL_new1073z00_388))->BgL_initzf3zf3) = ((bool_t)BgL_initzf31065zf3_409), BUNSPEC); 
((((BgL_typez00_bglt)CREF(BgL_new1073z00_388))->BgL_magiczf3zf3) = ((bool_t)BgL_magiczf31066zf3_410), BUNSPEC); 
((((BgL_typez00_bglt)CREF(BgL_new1073z00_388))->BgL_z42z42) = ((obj_t)BgL_z421067z42_411), BUNSPEC); 
((((BgL_typez00_bglt)CREF(BgL_new1073z00_388))->BgL_aliasz00) = ((obj_t)BgL_alias1068z00_412), BUNSPEC); 
((((BgL_typez00_bglt)CREF(BgL_new1073z00_388))->BgL_pointedzd2tozd2byz00) = ((obj_t)BgL_pointedzd2tozd2by1069z00_413), BUNSPEC); 
((((BgL_typez00_bglt)CREF(BgL_new1073z00_388))->BgL_tvectorz00) = ((obj_t)BgL_tvector1070z00_414), BUNSPEC); 
((((BgL_typez00_bglt)CREF(BgL_new1073z00_388))->BgL_locationz00) = ((obj_t)BgL_location1071z00_415), BUNSPEC); 
((((BgL_typez00_bglt)CREF(BgL_new1073z00_388))->BgL_importzd2locationzd2) = ((obj_t)BgL_importzd2location1072zd2_416), BUNSPEC); 
BgL_res1418z00_417 = BgL_new1073z00_388; } } 
BgL_auxz00_526 = BgL_res1418z00_417; } 
return 
(obj_t)(BgL_auxz00_526);} } 
}



/* allocate-type */
BGL_EXPORTED_DEF BgL_typez00_bglt BGl_allocatezd2typezd2zztype_typez00()
{ AN_OBJECT;
{ /* ./Type/type.scm 19 */
{ /* ./Type/type.scm 19 */
BgL_typez00_bglt BgL_new1089z00_418;
BgL_new1089z00_418 = 
((BgL_typez00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_typez00_bgl) ))); 
{ /* ./Type/type.scm 19 */
long BgL_arg1191z00_419;
BgL_arg1191z00_419 = 
BGl_classzd2numzd2zz__objectz00(BGl_typez00zztype_typez00); 
{ /* ./Type/type.scm 19 */
BgL_objectz00_bglt BgL_objz00_420;
BgL_objz00_420 = 
(BgL_objectz00_bglt)(BgL_new1089z00_418); 
BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_420, BgL_arg1191z00_419); } } 
{ /* ./Type/type.scm 19 */
BgL_objectz00_bglt BgL_auxz00_549;
BgL_auxz00_549 = 
(BgL_objectz00_bglt)(BgL_new1089z00_418); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_549, BFALSE); } 
{ /* ./Type/type.scm 19 */
obj_t BgL_objz00_421;
BgL_objz00_421 = 
(obj_t)(BgL_new1089z00_418); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_objz00_421); BUNSPEC; } 
return BgL_new1089z00_418;} } 
}



/* _allocate-type */
obj_t BGl__allocatezd2typezd2zztype_typez00(obj_t BgL_envz00_320)
{ AN_OBJECT;
{ /* ./Type/type.scm 19 */
{ /* ./Type/type.scm 19 */
BgL_typez00_bglt BgL_auxz00_554;
{ /* ./Type/type.scm 19 */
BgL_typez00_bglt BgL_res1419z00_426;
{ /* ./Type/type.scm 19 */
BgL_typez00_bglt BgL_new1089z00_422;
BgL_new1089z00_422 = 
((BgL_typez00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_typez00_bgl) ))); 
{ /* ./Type/type.scm 19 */
long BgL_arg1191z00_423;
BgL_arg1191z00_423 = 
BGl_classzd2numzd2zz__objectz00(BGl_typez00zztype_typez00); 
{ /* ./Type/type.scm 19 */
BgL_objectz00_bglt BgL_objz00_424;
BgL_objz00_424 = 
(BgL_objectz00_bglt)(BgL_new1089z00_422); 
BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_424, BgL_arg1191z00_423); } } 
{ /* ./Type/type.scm 19 */
BgL_objectz00_bglt BgL_auxz00_559;
BgL_auxz00_559 = 
(BgL_objectz00_bglt)(BgL_new1089z00_422); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_559, BFALSE); } 
{ /* ./Type/type.scm 19 */
obj_t BgL_objz00_425;
BgL_objz00_425 = 
(obj_t)(BgL_new1089z00_422); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_objz00_425); BUNSPEC; } 
BgL_res1419z00_426 = BgL_new1089z00_422; } 
BgL_auxz00_554 = BgL_res1419z00_426; } 
return 
(obj_t)(BgL_auxz00_554);} } 
}



/* method-init */
obj_t BGl_methodzd2initzd2zztype_typez00()
{ AN_OBJECT;
{ /* ./Type/type.scm 15 */
BGl_addzd2methodz12zc0zz__objectz00(BGl_objectzd2ze3structzd2envze3zz__objectz00, BGl_typez00zztype_typez00, BGl_proc1399z00zztype_typez00); 
return 
BGl_addzd2methodz12zc0zz__objectz00(BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00, BGl_typez00zztype_typez00, BGl_proc1400z00zztype_typez00);} 
}



/* struct+object->object-type1153 */
obj_t BGl_structzb2objectzd2ze3objectzd2type1153z51zztype_typez00(obj_t BgL_envz00_356, obj_t BgL_oz00_357, obj_t BgL_sz00_358)
{ AN_OBJECT;
{ /* ./Type/type.scm 19 */
{ 
BgL_typez00_bglt BgL_oz00_141;obj_t BgL_sz00_142;
{ /* ./Type/type.scm 19 */
BgL_typez00_bglt BgL_auxz00_567;
BgL_oz00_141 = 
(BgL_typez00_bglt)(BgL_oz00_357); 
BgL_sz00_142 = BgL_sz00_358; 
{ /* ./Type/type.scm 19 */
obj_t BgL_arg1289z00_145;
{ /* ./Type/type.scm 19 */
int BgL_auxz00_568;
BgL_auxz00_568 = 
(int)(((long)0)); 
BgL_arg1289z00_145 = 
STRUCT_REF(BgL_sz00_142, BgL_auxz00_568); } 
{ /* ./Type/type.scm 19 */
BgL_objectz00_bglt BgL_auxz00_571;
BgL_auxz00_571 = 
(BgL_objectz00_bglt)(BgL_oz00_141); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_571, BgL_arg1289z00_145); } } 
{ /* ./Type/type.scm 19 */
obj_t BgL_v1094z00_146;
{ /* ./Type/type.scm 19 */
int BgL_auxz00_574;
BgL_auxz00_574 = 
(int)(((long)1)); 
BgL_v1094z00_146 = 
STRUCT_REF(BgL_sz00_142, BgL_auxz00_574); } 
((((BgL_typez00_bglt)CREF(BgL_oz00_141))->BgL_idz00) = ((obj_t)BgL_v1094z00_146), BUNSPEC); } 
{ /* ./Type/type.scm 19 */
obj_t BgL_v1098z00_147;
{ /* ./Type/type.scm 19 */
int BgL_auxz00_578;
BgL_auxz00_578 = 
(int)(((long)2)); 
BgL_v1098z00_147 = 
STRUCT_REF(BgL_sz00_142, BgL_auxz00_578); } 
((((BgL_typez00_bglt)CREF(BgL_oz00_141))->BgL_namez00) = ((obj_t)BgL_v1098z00_147), BUNSPEC); } 
{ /* ./Type/type.scm 19 */
obj_t BgL_v1102z00_148;
{ /* ./Type/type.scm 19 */
int BgL_auxz00_582;
BgL_auxz00_582 = 
(int)(((long)3)); 
BgL_v1102z00_148 = 
STRUCT_REF(BgL_sz00_142, BgL_auxz00_582); } 
((((BgL_typez00_bglt)CREF(BgL_oz00_141))->BgL_siza7eza7) = ((obj_t)BgL_v1102z00_148), BUNSPEC); } 
{ /* ./Type/type.scm 19 */
obj_t BgL_v1106z00_149;
{ /* ./Type/type.scm 19 */
int BgL_auxz00_586;
BgL_auxz00_586 = 
(int)(((long)4)); 
BgL_v1106z00_149 = 
STRUCT_REF(BgL_sz00_142, BgL_auxz00_586); } 
((((BgL_typez00_bglt)CREF(BgL_oz00_141))->BgL_classz00) = ((obj_t)BgL_v1106z00_149), BUNSPEC); } 
{ /* ./Type/type.scm 19 */
obj_t BgL_v1110z00_150;
{ /* ./Type/type.scm 19 */
int BgL_auxz00_590;
BgL_auxz00_590 = 
(int)(((long)5)); 
BgL_v1110z00_150 = 
STRUCT_REF(BgL_sz00_142, BgL_auxz00_590); } 
((((BgL_typez00_bglt)CREF(BgL_oz00_141))->BgL_coercezd2tozd2) = ((obj_t)BgL_v1110z00_150), BUNSPEC); } 
{ /* ./Type/type.scm 19 */
obj_t BgL_v1114z00_151;
{ /* ./Type/type.scm 19 */
int BgL_auxz00_594;
BgL_auxz00_594 = 
(int)(((long)6)); 
BgL_v1114z00_151 = 
STRUCT_REF(BgL_sz00_142, BgL_auxz00_594); } 
((((BgL_typez00_bglt)CREF(BgL_oz00_141))->BgL_parentsz00) = ((obj_t)BgL_v1114z00_151), BUNSPEC); } 
{ /* ./Type/type.scm 19 */
bool_t BgL_v1118z00_152;
{ /* ./Type/type.scm 19 */
obj_t BgL_auxz00_598;
{ /* ./Type/type.scm 19 */
int BgL_auxz00_599;
BgL_auxz00_599 = 
(int)(((long)7)); 
BgL_auxz00_598 = 
STRUCT_REF(BgL_sz00_142, BgL_auxz00_599); } 
BgL_v1118z00_152 = 
CBOOL(BgL_auxz00_598); } 
((((BgL_typez00_bglt)CREF(BgL_oz00_141))->BgL_initzf3zf3) = ((bool_t)BgL_v1118z00_152), BUNSPEC); } 
{ /* ./Type/type.scm 19 */
bool_t BgL_v1122z00_153;
{ /* ./Type/type.scm 19 */
obj_t BgL_auxz00_604;
{ /* ./Type/type.scm 19 */
int BgL_auxz00_605;
BgL_auxz00_605 = 
(int)(((long)8)); 
BgL_auxz00_604 = 
STRUCT_REF(BgL_sz00_142, BgL_auxz00_605); } 
BgL_v1122z00_153 = 
CBOOL(BgL_auxz00_604); } 
((((BgL_typez00_bglt)CREF(BgL_oz00_141))->BgL_magiczf3zf3) = ((bool_t)BgL_v1122z00_153), BUNSPEC); } 
{ /* ./Type/type.scm 19 */
obj_t BgL_v1126z00_154;
{ /* ./Type/type.scm 19 */
int BgL_auxz00_610;
BgL_auxz00_610 = 
(int)(((long)9)); 
BgL_v1126z00_154 = 
STRUCT_REF(BgL_sz00_142, BgL_auxz00_610); } 
((((BgL_typez00_bglt)CREF(BgL_oz00_141))->BgL_z42z42) = ((obj_t)BgL_v1126z00_154), BUNSPEC); } 
{ /* ./Type/type.scm 19 */
obj_t BgL_v1130z00_155;
{ /* ./Type/type.scm 19 */
int BgL_auxz00_614;
BgL_auxz00_614 = 
(int)(((long)10)); 
BgL_v1130z00_155 = 
STRUCT_REF(BgL_sz00_142, BgL_auxz00_614); } 
((((BgL_typez00_bglt)CREF(BgL_oz00_141))->BgL_aliasz00) = ((obj_t)BgL_v1130z00_155), BUNSPEC); } 
{ /* ./Type/type.scm 19 */
obj_t BgL_v1134z00_156;
{ /* ./Type/type.scm 19 */
int BgL_auxz00_618;
BgL_auxz00_618 = 
(int)(((long)11)); 
BgL_v1134z00_156 = 
STRUCT_REF(BgL_sz00_142, BgL_auxz00_618); } 
((((BgL_typez00_bglt)CREF(BgL_oz00_141))->BgL_pointedzd2tozd2byz00) = ((obj_t)BgL_v1134z00_156), BUNSPEC); } 
{ /* ./Type/type.scm 19 */
obj_t BgL_v1138z00_157;
{ /* ./Type/type.scm 19 */
int BgL_auxz00_622;
BgL_auxz00_622 = 
(int)(((long)12)); 
BgL_v1138z00_157 = 
STRUCT_REF(BgL_sz00_142, BgL_auxz00_622); } 
((((BgL_typez00_bglt)CREF(BgL_oz00_141))->BgL_tvectorz00) = ((obj_t)BgL_v1138z00_157), BUNSPEC); } 
{ /* ./Type/type.scm 19 */
obj_t BgL_v1142z00_158;
{ /* ./Type/type.scm 19 */
int BgL_auxz00_626;
BgL_auxz00_626 = 
(int)(((long)13)); 
BgL_v1142z00_158 = 
STRUCT_REF(BgL_sz00_142, BgL_auxz00_626); } 
((((BgL_typez00_bglt)CREF(BgL_oz00_141))->BgL_locationz00) = ((obj_t)BgL_v1142z00_158), BUNSPEC); } 
{ /* ./Type/type.scm 19 */
obj_t BgL_v1146z00_159;
{ /* ./Type/type.scm 19 */
int BgL_auxz00_630;
BgL_auxz00_630 = 
(int)(((long)14)); 
BgL_v1146z00_159 = 
STRUCT_REF(BgL_sz00_142, BgL_auxz00_630); } 
((((BgL_typez00_bglt)CREF(BgL_oz00_141))->BgL_importzd2locationzd2) = ((obj_t)BgL_v1146z00_159), BUNSPEC); } 
BgL_auxz00_567 = BgL_oz00_141; 
return 
(obj_t)(BgL_auxz00_567);} } } 
}



/* object->struct-type1151 */
obj_t BGl_objectzd2ze3structzd2type1151ze3zztype_typez00(obj_t BgL_envz00_359, obj_t BgL_obj1090z00_360)
{ AN_OBJECT;
{ /* ./Type/type.scm 19 */
{ 
BgL_typez00_bglt BgL_obj1090z00_107;
BgL_obj1090z00_107 = 
(BgL_typez00_bglt)(BgL_obj1090z00_360); 
{ /* ./Type/type.scm 19 */
obj_t BgL_res1091z00_110;
{ /* ./Type/type.scm 19 */
obj_t BgL_keyz00_224;int BgL_lenz00_225;
BgL_keyz00_224 = 
CNST_TABLE_REF(((long)1)); 
BgL_lenz00_225 = 
(int)(((long)15)); 
BgL_res1091z00_110 = 
make_struct(BgL_keyz00_224, BgL_lenz00_225, BUNSPEC); } 
{ /* ./Type/type.scm 19 */
int BgL_kz00_228;
BgL_kz00_228 = 
(int)(((long)0)); 
STRUCT_SET(BgL_res1091z00_110, BgL_kz00_228, BFALSE); } 
{ /* ./Type/type.scm 19 */
obj_t BgL_arg1200z00_112;
BgL_arg1200z00_112 = 
(((BgL_typez00_bglt)CREF(BgL_obj1090z00_107))->BgL_idz00); 
{ /* ./Type/type.scm 19 */
int BgL_kz00_232;
BgL_kz00_232 = 
(int)(((long)1)); 
STRUCT_SET(BgL_res1091z00_110, BgL_kz00_232, BgL_arg1200z00_112); } } 
{ /* ./Type/type.scm 19 */
obj_t BgL_arg1205z00_114;
BgL_arg1205z00_114 = 
(((BgL_typez00_bglt)CREF(BgL_obj1090z00_107))->BgL_namez00); 
{ /* ./Type/type.scm 19 */
int BgL_kz00_236;
BgL_kz00_236 = 
(int)(((long)2)); 
STRUCT_SET(BgL_res1091z00_110, BgL_kz00_236, BgL_arg1205z00_114); } } 
{ /* ./Type/type.scm 19 */
obj_t BgL_arg1211z00_116;
BgL_arg1211z00_116 = 
(((BgL_typez00_bglt)CREF(BgL_obj1090z00_107))->BgL_siza7eza7); 
{ /* ./Type/type.scm 19 */
int BgL_kz00_240;
BgL_kz00_240 = 
(int)(((long)3)); 
STRUCT_SET(BgL_res1091z00_110, BgL_kz00_240, BgL_arg1211z00_116); } } 
{ /* ./Type/type.scm 19 */
obj_t BgL_arg1216z00_118;
BgL_arg1216z00_118 = 
(((BgL_typez00_bglt)CREF(BgL_obj1090z00_107))->BgL_classz00); 
{ /* ./Type/type.scm 19 */
int BgL_kz00_244;
BgL_kz00_244 = 
(int)(((long)4)); 
STRUCT_SET(BgL_res1091z00_110, BgL_kz00_244, BgL_arg1216z00_118); } } 
{ /* ./Type/type.scm 19 */
obj_t BgL_arg1222z00_120;
BgL_arg1222z00_120 = 
(((BgL_typez00_bglt)CREF(BgL_obj1090z00_107))->BgL_coercezd2tozd2); 
{ /* ./Type/type.scm 19 */
int BgL_kz00_248;
BgL_kz00_248 = 
(int)(((long)5)); 
STRUCT_SET(BgL_res1091z00_110, BgL_kz00_248, BgL_arg1222z00_120); } } 
{ /* ./Type/type.scm 19 */
obj_t BgL_arg1229z00_122;
BgL_arg1229z00_122 = 
(((BgL_typez00_bglt)CREF(BgL_obj1090z00_107))->BgL_parentsz00); 
{ /* ./Type/type.scm 19 */
int BgL_kz00_252;
BgL_kz00_252 = 
(int)(((long)6)); 
STRUCT_SET(BgL_res1091z00_110, BgL_kz00_252, BgL_arg1229z00_122); } } 
{ /* ./Type/type.scm 19 */
bool_t BgL_arg1234z00_124;
BgL_arg1234z00_124 = 
(((BgL_typez00_bglt)CREF(BgL_obj1090z00_107))->BgL_initzf3zf3); 
{ /* ./Type/type.scm 19 */
int BgL_kz00_256;obj_t BgL_oz00_257;
BgL_kz00_256 = 
(int)(((long)7)); 
BgL_oz00_257 = 
BBOOL(BgL_arg1234z00_124); 
STRUCT_SET(BgL_res1091z00_110, BgL_kz00_256, BgL_oz00_257); } } 
{ /* ./Type/type.scm 19 */
bool_t BgL_arg1240z00_126;
BgL_arg1240z00_126 = 
(((BgL_typez00_bglt)CREF(BgL_obj1090z00_107))->BgL_magiczf3zf3); 
{ /* ./Type/type.scm 19 */
int BgL_kz00_260;obj_t BgL_oz00_261;
BgL_kz00_260 = 
(int)(((long)8)); 
BgL_oz00_261 = 
BBOOL(BgL_arg1240z00_126); 
STRUCT_SET(BgL_res1091z00_110, BgL_kz00_260, BgL_oz00_261); } } 
{ /* ./Type/type.scm 19 */
obj_t BgL_arg1245z00_128;
BgL_arg1245z00_128 = 
(((BgL_typez00_bglt)CREF(BgL_obj1090z00_107))->BgL_z42z42); 
{ /* ./Type/type.scm 19 */
int BgL_kz00_264;
BgL_kz00_264 = 
(int)(((long)9)); 
STRUCT_SET(BgL_res1091z00_110, BgL_kz00_264, BgL_arg1245z00_128); } } 
{ /* ./Type/type.scm 19 */
obj_t BgL_arg1250z00_130;
BgL_arg1250z00_130 = 
(((BgL_typez00_bglt)CREF(BgL_obj1090z00_107))->BgL_aliasz00); 
{ /* ./Type/type.scm 19 */
int BgL_kz00_268;
BgL_kz00_268 = 
(int)(((long)10)); 
STRUCT_SET(BgL_res1091z00_110, BgL_kz00_268, BgL_arg1250z00_130); } } 
{ /* ./Type/type.scm 19 */
obj_t BgL_arg1258z00_132;
BgL_arg1258z00_132 = 
(((BgL_typez00_bglt)CREF(BgL_obj1090z00_107))->BgL_pointedzd2tozd2byz00); 
{ /* ./Type/type.scm 19 */
int BgL_kz00_272;
BgL_kz00_272 = 
(int)(((long)11)); 
STRUCT_SET(BgL_res1091z00_110, BgL_kz00_272, BgL_arg1258z00_132); } } 
{ /* ./Type/type.scm 19 */
obj_t BgL_arg1266z00_134;
BgL_arg1266z00_134 = 
(((BgL_typez00_bglt)CREF(BgL_obj1090z00_107))->BgL_tvectorz00); 
{ /* ./Type/type.scm 19 */
int BgL_kz00_276;
BgL_kz00_276 = 
(int)(((long)12)); 
STRUCT_SET(BgL_res1091z00_110, BgL_kz00_276, BgL_arg1266z00_134); } } 
{ /* ./Type/type.scm 19 */
obj_t BgL_arg1273z00_136;
BgL_arg1273z00_136 = 
(((BgL_typez00_bglt)CREF(BgL_obj1090z00_107))->BgL_locationz00); 
{ /* ./Type/type.scm 19 */
int BgL_kz00_280;
BgL_kz00_280 = 
(int)(((long)13)); 
STRUCT_SET(BgL_res1091z00_110, BgL_kz00_280, BgL_arg1273z00_136); } } 
{ /* ./Type/type.scm 19 */
obj_t BgL_arg1278z00_138;
BgL_arg1278z00_138 = 
(((BgL_typez00_bglt)CREF(BgL_obj1090z00_107))->BgL_importzd2locationzd2); 
{ /* ./Type/type.scm 19 */
int BgL_kz00_284;
BgL_kz00_284 = 
(int)(((long)14)); 
STRUCT_SET(BgL_res1091z00_110, BgL_kz00_284, BgL_arg1278z00_138); } } 
return BgL_res1091z00_110;} } } 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zztype_typez00()
{ AN_OBJECT;
{ /* ./Type/type.scm 15 */
return 
BGl_modulezd2initializa7ationz75zztools_locationz00(((long)32118), "type_type");} 
}

