/*===========================================================================*/
/*   (Llib/tvector.scm)                                                      */
/*   Bigloo (2.6b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Dec 15 12:14:36 CET 2003        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -O3 -mklib -cc gcc-2.95 -fsharing -q -rm -s -unsafev -eval (set! *indent* 4) -copt -DBGL_NO_PIC -g -c Llib/tvector.scm -indent -o objs/obj_s/Llib/tvector.c)*/
/* GC selection */
#define THE_GC BOEHM_GC

/* debug mode */
#define BIGLOO_DEBUG 1

#include <bigloo.h>
#include <signal.h>

BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__tvectorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__hashz00(long, char *);
extern obj_t BGl_bigloozd2casezd2sensitivityz00zz__readerz00();
extern obj_t BGl_debugzd2errorzf2locationz20zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t create_struct(obj_t, int);
static obj_t BGl_list2583z00zz__tvectorz00 = BUNSPEC;
extern obj_t BGl_assqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
static obj_t BGl_symbol2614z00zz__tvectorz00 = BUNSPEC;
static obj_t BGl_list2588z00zz__tvectorz00 = BUNSPEC;
static obj_t BGl_symbol2613z00zz__tvectorz00 = BUNSPEC;
static obj_t BGl_list2601z00zz__tvectorz00 = BUNSPEC;
static obj_t BGl_symbol2610z00zz__tvectorz00 = BUNSPEC;
static obj_t BGl_symbol2609z00zz__tvectorz00 = BUNSPEC;
static obj_t BGl_symbol2597z00zz__tvectorz00 = BUNSPEC;
static obj_t BGl_symbol2606z00zz__tvectorz00 = BUNSPEC;
static obj_t BGl_symbol2596z00zz__tvectorz00 = BUNSPEC;
extern long bgl_list_length(obj_t);
static obj_t BGl_list2608z00zz__tvectorz00 = BUNSPEC;
static obj_t BGl_symbol2604z00zz__tvectorz00 = BUNSPEC;
static obj_t BGl_symbol2602z00zz__tvectorz00 = BUNSPEC;
static obj_t BGl_symbol2592z00zz__tvectorz00 = BUNSPEC;
static obj_t BGl_symbol2591z00zz__tvectorz00 = BUNSPEC;
static obj_t BGl_symbol2590z00zz__tvectorz00 = BUNSPEC;
static obj_t BGl_symbol2589z00zz__tvectorz00 = BUNSPEC;
static obj_t BGl_symbol2587z00zz__tvectorz00 = BUNSPEC;
static obj_t BGl_symbol2586z00zz__tvectorz00 = BUNSPEC;
static obj_t BGl_symbol2585z00zz__tvectorz00 = BUNSPEC;
static obj_t BGl_symbol2584z00zz__tvectorz00 = BUNSPEC;
static obj_t BGl_symbol2581z00zz__tvectorz00 = BUNSPEC;
static obj_t BGl_symbol2580z00zz__tvectorz00 = BUNSPEC;
static obj_t BGl_symbol2579z00zz__tvectorz00 = BUNSPEC;
static obj_t BGl_symbol2576z00zz__tvectorz00 = BUNSPEC;
static obj_t BGl__declarezd2tvectorz12zc0zz__tvectorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_symbol2574z00zz__tvectorz00 = BUNSPEC;
static obj_t BGl_symbol2573z00zz__tvectorz00 = BUNSPEC;
static obj_t BGl_symbol2572z00zz__tvectorz00 = BUNSPEC;
static obj_t BGl_cnstzd2initzd2zz__tvectorz00();
static obj_t BGl_symbol2571z00zz__tvectorz00 = BUNSPEC;
static obj_t BGl_symbol2568z00zz__tvectorz00 = BUNSPEC;
static obj_t BGl_symbol2567z00zz__tvectorz00 = BUNSPEC;
static obj_t BGl_symbol2564z00zz__tvectorz00 = BUNSPEC;
static obj_t BGl_symbol2561z00zz__tvectorz00 = BUNSPEC;
static obj_t BGl_symbol2558z00zz__tvectorz00 = BUNSPEC;
static obj_t BGl_symbol2557z00zz__tvectorz00 = BUNSPEC;
static obj_t BGl_symbol2556z00zz__tvectorz00 = BUNSPEC;
static obj_t BGl_symbol2555z00zz__tvectorz00 = BUNSPEC;
extern obj_t string_to_symbol(char *);
extern obj_t BGl_stringzd2downcasezd2zz__r4_strings_6_7z00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_declarezd2tvectorz12zc0zz__tvectorz00(char *, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_tvectorzd2ze3vectorz31zz__tvectorz00(obj_t);
extern obj_t BGl_stringzd2upcasezd2zz__r4_strings_6_7z00(obj_t);
static obj_t BGl__tvectorzd2refzd2zz__tvectorz00(obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zz__tvectorz00();
extern obj_t BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_vectorzd2ze3tvectorz31zz__tvectorz00(obj_t, obj_t);
BGL_EXPORTED_DECL bool_t BGl_tvectorzf3zf3zz__tvectorz00(obj_t);
static obj_t BGl_requirezd2initializa7ationz75zz__tvectorz00 = BUNSPEC;
extern obj_t BGl_errorzf2locationzf2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_errorzf2czd2locationz20zz__errorz00(obj_t, obj_t, obj_t, char *, long);
static obj_t BGl__tvectorzf3zf3zz__tvectorz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_tvectorzd2idzd2zz__tvectorz00(obj_t);
static obj_t BGl_za2tvectorzd2tableza2zd2zz__tvectorz00 = BUNSPEC;
extern obj_t string_to_bstring(char *);
BGL_EXPORTED_DECL obj_t BGl_listzd2ze3tvectorz31zz__tvectorz00(obj_t, obj_t);
static obj_t BGl__getzd2tvectorzd2descriptorz00zz__tvectorz00(obj_t, obj_t);
extern bool_t BGl_eqvzf3zf3zz__r4_equivalence_6_2z00(obj_t, obj_t);
static obj_t BGl__vectorzd2ze3tvectorz31zz__tvectorz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t get_tvector_descriptor(obj_t);
static obj_t BGl__listzd2ze3tvectorz31zz__tvectorz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_tvectorzd2refzd2zz__tvectorz00(obj_t);
static obj_t BGl__tvectorzd2idzd2zz__tvectorz00(obj_t, obj_t);
BGL_EXPORTED_DECL int BGl_tvectorzd2lengthzd2zz__tvectorz00(obj_t);
static obj_t BGl_toplevelzd2initzd2zz__tvectorz00();
static obj_t BGl__tvectorzd2lengthzd2zz__tvectorz00(obj_t, obj_t);
static obj_t BGl__tvectorzd2ze3vectorz31zz__tvectorz00(obj_t, obj_t);
static obj_t *__cnst;


DEFINE_EXPORT_PROCEDURE( BGl_tvectorzd2lengthzd2envz00zz__tvectorz00, BgL_bgl__tvectorza7d2lengthza7d2za7za7__tvectorza7002624za7, BGl__tvectorzd2lengthzd2zz__tvectorz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_tvectorzd2ze3vectorzd2envze3zz__tvectorz00, BgL_bgl__tvectorza7d2za7e3vectorza731za7za7__tvectorza7002625z00, BGl__tvectorzd2ze3vectorz31zz__tvectorz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_declarezd2tvectorz12zd2envz12zz__tvectorz00, BgL_bgl__declareza7d2tvectorza712za7c0za7za7__tvectorza7002626z00, BGl__declarezd2tvectorz12zc0zz__tvectorz00, 0L, 4 );
DEFINE_EXPORT_PROCEDURE( BGl_tvectorzd2refzd2envz00zz__tvectorz00, BgL_bgl__tvectorza7d2refza7d2za7za7__tvectorza7002627za7, BGl__tvectorzd2refzd2zz__tvectorz00, 0L, 1 );
DEFINE_STRING( BGl_string2612z00zz__tvectorz00, BgL_bgl_string2612za700za7za7__tvectorza7002628z00, "tvector->vector", 15 );
DEFINE_STRING( BGl_string2611z00zz__tvectorz00, BgL_bgl_string2611za700za7za7__tvectorza7002629z00, "vector-set!", 11 );
DEFINE_STRING( BGl_string2599z00zz__tvectorz00, BgL_bgl_string2599za700za7za7__tvectorza7002630z00, "vector-ref", 10 );
DEFINE_STRING( BGl_string2598z00zz__tvectorz00, BgL_bgl_string2598za700za7za7__tvectorza7002631z00, "vector->tvector:Wrong number of arguments", 41 );
DEFINE_STRING( BGl_string2607z00zz__tvectorz00, BgL_bgl_string2607za700za7za7__tvectorza7002632z00, "tvector->vector:Wrong number of arguments", 41 );
DEFINE_STRING( BGl_string2605z00zz__tvectorz00, BgL_bgl_string2605za700za7za7__tvectorza7002633z00, "vector", 6 );
DEFINE_STRING( BGl_string2595z00zz__tvectorz00, BgL_bgl_string2595za700za7za7__tvectorza7002634z00, "Undeclared tvector", 18 );
DEFINE_EXPORT_PROCEDURE( BGl_tvectorzf3zd2envz21zz__tvectorz00, BgL_bgl__tvectorza7f3za7f3za7za7__tvectorza7002635za7, BGl__tvectorzf3zf3zz__tvectorz00, 0L, 1 );
DEFINE_STRING( BGl_string2594z00zz__tvectorz00, BgL_bgl_string2594za700za7za7__tvectorza7002636z00, "Unable to convert to such tvector", 33 );
DEFINE_STRING( BGl_string2603z00zz__tvectorz00, BgL_bgl_string2603za700za7za7__tvectorza7002637z00, "vector->tvector", 15 );
DEFINE_STRING( BGl_string2593z00zz__tvectorz00, BgL_bgl_string2593za700za7za7__tvectorza7002638z00, "list->tvector", 13 );
DEFINE_STRING( BGl_string2600z00zz__tvectorz00, BgL_bgl_string2600za700za7za7__tvectorza7002639z00, "index out of range", 18 );
DEFINE_STRING( BGl_string2582z00zz__tvectorz00, BgL_bgl_string2582za700za7za7__tvectorza7002640z00, "list->tvector:Wrong number of arguments", 39 );
DEFINE_STRING( BGl_string2578z00zz__tvectorz00, BgL_bgl_string2578za700za7za7__tvectorza7002641z00, "procedure", 9 );
DEFINE_STRING( BGl_string2577z00zz__tvectorz00, BgL_bgl_string2577za700za7za7__tvectorza7002642z00, "string", 6 );
DEFINE_STRING( BGl_string2575z00zz__tvectorz00, BgL_bgl_string2575za700za7za7__tvectorza7002643z00, "struct-set!:not an instance of", 30 );
DEFINE_STRING( BGl_string2570z00zz__tvectorz00, BgL_bgl_string2570za700za7za7__tvectorza7002644z00, "pair", 4 );
DEFINE_STRING( BGl_string2569z00zz__tvectorz00, BgL_bgl_string2569za700za7za7__tvectorza7002645z00, "pair-nil", 8 );
DEFINE_STRING( BGl_string2566z00zz__tvectorz00, BgL_bgl_string2566za700za7za7__tvectorza7002646z00, "tvect-descr", 11 );
DEFINE_STRING( BGl_string2565z00zz__tvectorz00, BgL_bgl_string2565za700za7za7__tvectorza7002647z00, "struct-ref:not an instance of", 29 );
DEFINE_STRING( BGl_string2563z00zz__tvectorz00, BgL_bgl_string2563za700za7za7__tvectorza7002648z00, "symbol", 6 );
DEFINE_EXPORT_PROCEDURE( BGl_tvectorzd2idzd2envz00zz__tvectorz00, BgL_bgl__tvectorza7d2idza7d2za7za7__tvectorza7002649za7, BGl__tvectorzd2idzd2zz__tvectorz00, 0L, 1 );
DEFINE_STRING( BGl_string2562z00zz__tvectorz00, BgL_bgl_string2562za700za7za7__tvectorza7002650z00, "struct", 6 );
DEFINE_STRING( BGl_string2560z00zz__tvectorz00, BgL_bgl_string2560za700za7za7__tvectorza7002651z00, "/tmp/bigloo/runtime/./Llib/tvector.scm", 38 );
DEFINE_STRING( BGl_string2559z00zz__tvectorz00, BgL_bgl_string2559za700za7za7__tvectorza7002652z00, "tvector", 7 );
DEFINE_EXPORT_PROCEDURE( BGl_getzd2tvectorzd2descriptorzd2envzd2zz__tvectorz00, BgL_bgl__getza7d2tvectorza7d2descriptorza700za7za7__tvectorza7002653z00, BGl__getzd2tvectorzd2descriptorz00zz__tvectorz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_vectorzd2ze3tvectorzd2envze3zz__tvectorz00, BgL_bgl__vectorza7d2za7e3tvectorza731za7za7__tvectorza7002654z00, BGl__vectorzd2ze3tvectorz31zz__tvectorz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_listzd2ze3tvectorzd2envze3zz__tvectorz00, BgL_bgl__listza7d2za7e3tvectorza731za7za7__tvectorza7002655z00, BGl__listzd2ze3tvectorz31zz__tvectorz00, 0L, 2 );



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__tvectorz00(long BgL_checksumz00_1094, char * BgL_fromz00_1095)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__tvectorz00))
{ 
BGl_requirezd2initializa7ationz75zz__tvectorz00 = 
BBOOL(((bool_t)0)); 
BGl_cnstzd2initzd2zz__tvectorz00(); 
BGl_importedzd2moduleszd2initz00zz__tvectorz00(); 
BGl_toplevelzd2initzd2zz__tvectorz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__tvectorz00()
{ AN_OBJECT;
{ /* ./Llib/tvector.scm 14 */
BGl_symbol2555z00zz__tvectorz00 = 
string_to_symbol("%toplevel@__tvector"); 
BGl_symbol2556z00zz__tvectorz00 = 
string_to_symbol("tvector?"); 
BGl_symbol2557z00zz__tvectorz00 = 
string_to_symbol("tvector-length"); 
BGl_symbol2558z00zz__tvectorz00 = 
string_to_symbol("_tvector-length"); 
BGl_symbol2561z00zz__tvectorz00 = 
string_to_symbol("tvector-id"); 
BGl_symbol2564z00zz__tvectorz00 = 
string_to_symbol("tvect-descr"); 
BGl_symbol2567z00zz__tvectorz00 = 
string_to_symbol("_tvector-id"); 
BGl_symbol2568z00zz__tvectorz00 = 
string_to_symbol("get-tvector-descriptor"); 
BGl_symbol2571z00zz__tvectorz00 = 
string_to_symbol("_get-tvector-descriptor"); 
BGl_symbol2572z00zz__tvectorz00 = 
string_to_symbol("declare-tvector!"); 
BGl_symbol2573z00zz__tvectorz00 = 
string_to_symbol("upcase"); 
BGl_symbol2574z00zz__tvectorz00 = 
string_to_symbol("downcase"); 
BGl_symbol2576z00zz__tvectorz00 = 
string_to_symbol("_declare-tvector!"); 
BGl_symbol2579z00zz__tvectorz00 = 
string_to_symbol("tvector-ref"); 
BGl_symbol2580z00zz__tvectorz00 = 
string_to_symbol("_tvector-ref"); 
BGl_symbol2581z00zz__tvectorz00 = 
string_to_symbol("list->tvector"); 
BGl_symbol2584z00zz__tvectorz00 = 
string_to_symbol("funcall"); 
BGl_symbol2585z00zz__tvectorz00 = 
string_to_symbol("allocate"); 
BGl_symbol2586z00zz__tvectorz00 = 
string_to_symbol("len"); 
{ /* ./Llib/tvector.scm 169 */
obj_t BgL_auxz00_1121;
{ /* ./Llib/tvector.scm 169 */
obj_t BgL_auxz00_1122;
{ /* ./Llib/tvector.scm 169 */
obj_t BgL_auxz00_1123;
BgL_auxz00_1123 = 
MAKE_PAIR(BGl_symbol2586z00zz__tvectorz00, BNIL); 
BgL_auxz00_1122 = 
MAKE_PAIR(BGl_symbol2585z00zz__tvectorz00, BgL_auxz00_1123); } 
BgL_auxz00_1121 = 
MAKE_PAIR(BGl_symbol2585z00zz__tvectorz00, BgL_auxz00_1122); } 
BGl_list2583z00zz__tvectorz00 = 
MAKE_PAIR(BGl_symbol2584z00zz__tvectorz00, BgL_auxz00_1121); } 
BGl_symbol2587z00zz__tvectorz00 = 
string_to_symbol("_"); 
BGl_symbol2589z00zz__tvectorz00 = 
string_to_symbol("set"); 
BGl_symbol2590z00zz__tvectorz00 = 
string_to_symbol("tvec"); 
BGl_symbol2591z00zz__tvectorz00 = 
string_to_symbol("i"); 
BGl_symbol2592z00zz__tvectorz00 = 
string_to_symbol("arg1146"); 
{ /* ./Llib/tvector.scm 175 */
obj_t BgL_auxz00_1133;
{ /* ./Llib/tvector.scm 175 */
obj_t BgL_auxz00_1134;
{ /* ./Llib/tvector.scm 175 */
obj_t BgL_auxz00_1135;
{ /* ./Llib/tvector.scm 175 */
obj_t BgL_auxz00_1136;
{ /* ./Llib/tvector.scm 175 */
obj_t BgL_auxz00_1137;
BgL_auxz00_1137 = 
MAKE_PAIR(BGl_symbol2592z00zz__tvectorz00, BNIL); 
BgL_auxz00_1136 = 
MAKE_PAIR(BGl_symbol2591z00zz__tvectorz00, BgL_auxz00_1137); } 
BgL_auxz00_1135 = 
MAKE_PAIR(BGl_symbol2590z00zz__tvectorz00, BgL_auxz00_1136); } 
BgL_auxz00_1134 = 
MAKE_PAIR(BGl_symbol2589z00zz__tvectorz00, BgL_auxz00_1135); } 
BgL_auxz00_1133 = 
MAKE_PAIR(BGl_symbol2589z00zz__tvectorz00, BgL_auxz00_1134); } 
BGl_list2588z00zz__tvectorz00 = 
MAKE_PAIR(BGl_symbol2584z00zz__tvectorz00, BgL_auxz00_1133); } 
BGl_symbol2596z00zz__tvectorz00 = 
string_to_symbol("_list->tvector"); 
BGl_symbol2597z00zz__tvectorz00 = 
string_to_symbol("vector->tvector"); 
BGl_symbol2602z00zz__tvectorz00 = 
string_to_symbol("arg1174"); 
{ /* ./Llib/tvector.scm 197 */
obj_t BgL_auxz00_1147;
{ /* ./Llib/tvector.scm 197 */
obj_t BgL_auxz00_1148;
{ /* ./Llib/tvector.scm 197 */
obj_t BgL_auxz00_1149;
{ /* ./Llib/tvector.scm 197 */
obj_t BgL_auxz00_1150;
{ /* ./Llib/tvector.scm 197 */
obj_t BgL_auxz00_1151;
BgL_auxz00_1151 = 
MAKE_PAIR(BGl_symbol2602z00zz__tvectorz00, BNIL); 
BgL_auxz00_1150 = 
MAKE_PAIR(BGl_symbol2591z00zz__tvectorz00, BgL_auxz00_1151); } 
BgL_auxz00_1149 = 
MAKE_PAIR(BGl_symbol2590z00zz__tvectorz00, BgL_auxz00_1150); } 
BgL_auxz00_1148 = 
MAKE_PAIR(BGl_symbol2589z00zz__tvectorz00, BgL_auxz00_1149); } 
BgL_auxz00_1147 = 
MAKE_PAIR(BGl_symbol2589z00zz__tvectorz00, BgL_auxz00_1148); } 
BGl_list2601z00zz__tvectorz00 = 
MAKE_PAIR(BGl_symbol2584z00zz__tvectorz00, BgL_auxz00_1147); } 
BGl_symbol2604z00zz__tvectorz00 = 
string_to_symbol("_vector->tvector"); 
BGl_symbol2606z00zz__tvectorz00 = 
string_to_symbol("tvector->vector"); 
BGl_symbol2609z00zz__tvectorz00 = 
string_to_symbol("ref"); 
BGl_symbol2610z00zz__tvectorz00 = 
string_to_symbol("tv"); 
{ /* ./Llib/tvector.scm 217 */
obj_t BgL_auxz00_1162;
{ /* ./Llib/tvector.scm 217 */
obj_t BgL_auxz00_1163;
{ /* ./Llib/tvector.scm 217 */
obj_t BgL_auxz00_1164;
{ /* ./Llib/tvector.scm 217 */
obj_t BgL_auxz00_1165;
BgL_auxz00_1165 = 
MAKE_PAIR(BGl_symbol2591z00zz__tvectorz00, BNIL); 
BgL_auxz00_1164 = 
MAKE_PAIR(BGl_symbol2610z00zz__tvectorz00, BgL_auxz00_1165); } 
BgL_auxz00_1163 = 
MAKE_PAIR(BGl_symbol2609z00zz__tvectorz00, BgL_auxz00_1164); } 
BgL_auxz00_1162 = 
MAKE_PAIR(BGl_symbol2609z00zz__tvectorz00, BgL_auxz00_1163); } 
BGl_list2608z00zz__tvectorz00 = 
MAKE_PAIR(BGl_symbol2584z00zz__tvectorz00, BgL_auxz00_1162); } 
BGl_symbol2613z00zz__tvectorz00 = 
string_to_symbol("_tvector->vector"); 
return ( 
BGl_symbol2614z00zz__tvectorz00 = 
string_to_symbol("%import@__tvector"), BUNSPEC) ;} 
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__tvectorz00()
{ AN_OBJECT;
{ /* ./Llib/tvector.scm 14 */
{ /* ./Llib/tvector.scm 14 */
obj_t BgL_symbol1874z00_928;
BgL_symbol1874z00_928 = BGl_symbol2555z00zz__tvectorz00; 
{ /* ./Llib/tvector.scm 14 */

PUSH_TRACE(BgL_symbol1874z00_928); BUNSPEC; 
{ /* ./Llib/tvector.scm 14 */
obj_t BgL_aux1873z00_929;
BgL_aux1873z00_929 = ( 
BGl_za2tvectorzd2tableza2zd2zz__tvectorz00 = BNIL, BUNSPEC) ; 
POP_TRACE(); 
return BgL_aux1873z00_929;} } } } 
}



/* tvector? */
BGL_EXPORTED_DEF bool_t BGl_tvectorzf3zf3zz__tvectorz00(obj_t BgL_objz00_1)
{ AN_OBJECT;
{ /* ./Llib/tvector.scm 85 */
{ /* ./Llib/tvector.scm 86 */
obj_t BgL_symbol1878z00_1077;
BgL_symbol1878z00_1077 = BGl_symbol2556z00zz__tvectorz00; 
{ /* ./Llib/tvector.scm 86 */

PUSH_TRACE(BgL_symbol1878z00_1077); BUNSPEC; 
{ /* ./Llib/tvector.scm 86 */
bool_t BgL_aux1877z00_1078;
BgL_aux1877z00_1078 = 
TVECTORP(BgL_objz00_1); 
POP_TRACE(); 
return BgL_aux1877z00_1078;} } } } 
}



/* _tvector? */
obj_t BGl__tvectorzf3zf3zz__tvectorz00(obj_t BgL_envz00_950, obj_t BgL_objz00_951)
{ AN_OBJECT;
{ /* ./Llib/tvector.scm 85 */
{ /* ./Llib/tvector.scm 86 */
bool_t BgL_auxz00_1178;
{ /* ./Llib/tvector.scm 86 */
bool_t BgL_res2615z00_1082;
{ /* ./Llib/tvector.scm 86 */
obj_t BgL_symbol1878z00_1080;
BgL_symbol1878z00_1080 = BGl_symbol2556z00zz__tvectorz00; 
{ /* ./Llib/tvector.scm 86 */

PUSH_TRACE(BgL_symbol1878z00_1080); BUNSPEC; 
{ /* ./Llib/tvector.scm 86 */
bool_t BgL_aux1877z00_1081;
BgL_aux1877z00_1081 = 
TVECTORP(BgL_objz00_951); 
POP_TRACE(); 
BgL_res2615z00_1082 = BgL_aux1877z00_1081; } } } 
BgL_auxz00_1178 = BgL_res2615z00_1082; } 
return 
BBOOL(BgL_auxz00_1178);} } 
}



/* tvector-length */
BGL_EXPORTED_DEF int BGl_tvectorzd2lengthzd2zz__tvectorz00(obj_t BgL_objz00_2)
{ AN_OBJECT;
{ /* ./Llib/tvector.scm 91 */
{ /* ./Llib/tvector.scm 92 */
obj_t BgL_symbol1882z00_1083;
BgL_symbol1882z00_1083 = BGl_symbol2557z00zz__tvectorz00; 
{ /* ./Llib/tvector.scm 92 */

PUSH_TRACE(BgL_symbol1882z00_1083); BUNSPEC; 
{ /* ./Llib/tvector.scm 92 */
int BgL_aux1881z00_1084;
BgL_aux1881z00_1084 = 
TVECTOR_LENGTH(BgL_objz00_2); 
POP_TRACE(); 
return BgL_aux1881z00_1084;} } } } 
}



/* _tvector-length */
obj_t BGl__tvectorzd2lengthzd2zz__tvectorz00(obj_t BgL_envz00_952, obj_t BgL_objz00_953)
{ AN_OBJECT;
{ /* ./Llib/tvector.scm 91 */
{ /* ./Llib/tvector.scm 92 */
int BgL_auxz00_1186;
{ /* ./Llib/tvector.scm 92 */
int BgL_res2616z00_1088;
{ /* ./Llib/tvector.scm 92 */
obj_t BgL_objz00_1085;
if(
TVECTORP(BgL_objz00_953))
{ /* ./Llib/tvector.scm 92 */
BgL_objz00_1085 = BgL_objz00_953; }  else 
{ /* ./Llib/tvector.scm 92 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2558z00zz__tvectorz00, BGl_string2559z00zz__tvectorz00, BgL_objz00_953, BGl_string2560z00zz__tvectorz00, 
BINT(((long)3443))); 
exit( -1 );} 
{ /* ./Llib/tvector.scm 92 */
obj_t BgL_symbol1882z00_1086;
BgL_symbol1882z00_1086 = BGl_symbol2557z00zz__tvectorz00; 
{ /* ./Llib/tvector.scm 92 */

PUSH_TRACE(BgL_symbol1882z00_1086); BUNSPEC; 
{ /* ./Llib/tvector.scm 92 */
int BgL_aux1881z00_1087;
BgL_aux1881z00_1087 = 
TVECTOR_LENGTH(BgL_objz00_1085); 
POP_TRACE(); 
BgL_res2616z00_1088 = BgL_aux1881z00_1087; } } } } 
BgL_auxz00_1186 = BgL_res2616z00_1088; } 
return 
BINT(BgL_auxz00_1186);} } 
}



/* tvector-id */
BGL_EXPORTED_DEF obj_t BGl_tvectorzd2idzd2zz__tvectorz00(obj_t BgL_tvectz00_3)
{ AN_OBJECT;
{ /* ./Llib/tvector.scm 97 */
{ /* ./Llib/tvector.scm 98 */
obj_t BgL_symbol1886z00_934;
BgL_symbol1886z00_934 = BGl_symbol2561z00zz__tvectorz00; 
{ /* ./Llib/tvector.scm 98 */

PUSH_TRACE(BgL_symbol1886z00_934); BUNSPEC; 
{ /* ./Llib/tvector.scm 98 */
obj_t BgL_aux1885z00_935;
{ /* ./Llib/tvector.scm 98 */
obj_t BgL_arg1009z00_605;
BgL_arg1009z00_605 = 
TVECTOR_DESCR(BgL_tvectz00_3); 
{ /* ./Llib/tvector.scm 98 */
bool_t BgL_test1090z00_607;
{ /* ./Llib/tvector.scm 98 */
obj_t BgL_arg1094z00_608;obj_t BgL_arg1095z00_609;
{ /* ./Llib/tvector.scm 98 */
obj_t BgL_res1846z00_611;
{ /* ./Llib/tvector.scm 98 */
obj_t BgL_sz00_610;
if(
STRUCTP(BgL_arg1009z00_605))
{ /* ./Llib/tvector.scm 98 */
BgL_sz00_610 = BgL_arg1009z00_605; }  else 
{ /* ./Llib/tvector.scm 98 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2561z00zz__tvectorz00, BGl_string2562z00zz__tvectorz00, BgL_arg1009z00_605, BGl_string2560z00zz__tvectorz00, 
BINT(((long)3736))); 
exit( -1 );} 
{ /* ./Llib/tvector.scm 98 */
obj_t BgL_aux1968z00_978;
BgL_aux1968z00_978 = 
STRUCT_KEY(BgL_sz00_610); 
if(
SYMBOLP(BgL_aux1968z00_978))
{ /* ./Llib/tvector.scm 98 */
BgL_res1846z00_611 = BgL_aux1968z00_978; }  else 
{ /* ./Llib/tvector.scm 98 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2561z00zz__tvectorz00, BGl_string2563z00zz__tvectorz00, BgL_aux1968z00_978, BGl_string2560z00zz__tvectorz00, 
BINT(((long)3736))); 
exit( -1 );} } } 
BgL_arg1094z00_608 = BgL_res1846z00_611; } 
BgL_arg1095z00_609 = BGl_symbol2564z00zz__tvectorz00; 
BgL_test1090z00_607 = 
(BgL_arg1094z00_608==BgL_arg1095z00_609); } 
if(BgL_test1090z00_607)
{ /* ./Llib/tvector.scm 98 */
int BgL_auxz00_1211;
BgL_auxz00_1211 = 
(int)(((long)0)); 
BgL_aux1885z00_935 = 
STRUCT_REF(BgL_arg1009z00_605, BgL_auxz00_1211); }  else 
{ /* ./Llib/tvector.scm 98 */
BgL_aux1885z00_935 = 
BGl_debugzd2errorzf2locationz20zz__errorz00(BGl_string2565z00zz__tvectorz00, BGl_string2566z00zz__tvectorz00, BgL_arg1009z00_605, BGl_string2560z00zz__tvectorz00, 
BINT(((long)3736))); } } } 
POP_TRACE(); 
return BgL_aux1885z00_935;} } } } 
}



/* _tvector-id */
obj_t BGl__tvectorzd2idzd2zz__tvectorz00(obj_t BgL_envz00_954, obj_t BgL_tvectz00_955)
{ AN_OBJECT;
{ /* ./Llib/tvector.scm 97 */
{ /* ./Llib/tvector.scm 98 */
obj_t BgL_auxz00_1217;
if(
TVECTORP(BgL_tvectz00_955))
{ /* ./Llib/tvector.scm 98 */
BgL_auxz00_1217 = BgL_tvectz00_955
; }  else 
{ /* ./Llib/tvector.scm 98 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2567z00zz__tvectorz00, BGl_string2559z00zz__tvectorz00, BgL_tvectz00_955, BGl_string2560z00zz__tvectorz00, 
BINT(((long)3736))); 
exit( -1 );} 
return 
BGl_tvectorzd2idzd2zz__tvectorz00(BgL_auxz00_1217);} } 
}



/* get-tvector-descriptor */
BGL_EXPORTED_DEF obj_t get_tvector_descriptor(obj_t BgL_idz00_22)
{ AN_OBJECT;
{ /* ./Llib/tvector.scm 120 */
{ /* ./Llib/tvector.scm 121 */
obj_t BgL_symbol1890z00_936;
BgL_symbol1890z00_936 = BGl_symbol2568z00zz__tvectorz00; 
{ /* ./Llib/tvector.scm 121 */

PUSH_TRACE(BgL_symbol1890z00_936); BUNSPEC; 
{ /* ./Llib/tvector.scm 121 */
obj_t BgL_aux1889z00_937;
if(
PAIRP(BGl_za2tvectorzd2tableza2zd2zz__tvectorz00))
{ /* ./Llib/tvector.scm 122 */
obj_t BgL_cellz00_406;
{ /* ./Llib/tvector.scm 122 */
obj_t BgL_auxz00_1227;
{ /* ./Llib/tvector.scm 122 */
obj_t BgL_aux1993z00_982;
BgL_aux1993z00_982 = BGl_za2tvectorzd2tableza2zd2zz__tvectorz00; 
{ /* ./Llib/tvector.scm 122 */
bool_t BgL_testz00_1228;
if(
PAIRP(BgL_aux1993z00_982))
{ /* ./Llib/tvector.scm 122 */
BgL_testz00_1228 = ((bool_t)1)
; }  else 
{ /* ./Llib/tvector.scm 122 */
BgL_testz00_1228 = 
NULLP(BgL_aux1993z00_982)
; } 
if(BgL_testz00_1228)
{ /* ./Llib/tvector.scm 122 */
BgL_auxz00_1227 = BgL_aux1993z00_982
; }  else 
{ /* ./Llib/tvector.scm 122 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2568z00zz__tvectorz00, BGl_string2569z00zz__tvectorz00, BgL_aux1993z00_982, BGl_string2560z00zz__tvectorz00, 
BINT(((long)5046))); 
exit( -1 );} } } 
BgL_cellz00_406 = 
BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_idz00_22, BgL_auxz00_1227); } 
{ /* ./Llib/tvector.scm 123 */
bool_t BgL_test1106z00_407;
BgL_test1106z00_407 = 
PAIRP(BgL_cellz00_406); 
if(BgL_test1106z00_407)
{ /* ./Llib/tvector.scm 124 */
obj_t BgL_pairz00_728;
if(BgL_test1106z00_407)
{ /* ./Llib/tvector.scm 124 */
BgL_pairz00_728 = BgL_cellz00_406; }  else 
{ /* ./Llib/tvector.scm 124 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2568z00zz__tvectorz00, BGl_string2570z00zz__tvectorz00, BgL_cellz00_406, BGl_string2560z00zz__tvectorz00, 
BINT(((long)5088))); 
exit( -1 );} 
BgL_aux1889z00_937 = 
CDR(BgL_pairz00_728); }  else 
{ /* ./Llib/tvector.scm 123 */
BgL_aux1889z00_937 = BFALSE; } } }  else 
{ /* ./Llib/tvector.scm 121 */
BgL_aux1889z00_937 = BFALSE; } 
POP_TRACE(); 
return BgL_aux1889z00_937;} } } } 
}



/* _get-tvector-descriptor */
obj_t BGl__getzd2tvectorzd2descriptorz00zz__tvectorz00(obj_t BgL_envz00_956, obj_t BgL_idz00_957)
{ AN_OBJECT;
{ /* ./Llib/tvector.scm 120 */
{ /* ./Llib/tvector.scm 121 */
obj_t BgL_auxz00_1244;
if(
SYMBOLP(BgL_idz00_957))
{ /* ./Llib/tvector.scm 121 */
BgL_auxz00_1244 = BgL_idz00_957
; }  else 
{ /* ./Llib/tvector.scm 121 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2571z00zz__tvectorz00, BGl_string2563z00zz__tvectorz00, BgL_idz00_957, BGl_string2560z00zz__tvectorz00, 
BINT(((long)4986))); 
exit( -1 );} 
return 
get_tvector_descriptor(BgL_auxz00_1244);} } 
}



/* declare-tvector! */
BGL_EXPORTED_DEF obj_t BGl_declarezd2tvectorz12zc0zz__tvectorz00(char * BgL_idz00_23, obj_t BgL_allocatez00_24, obj_t BgL_refz00_25, obj_t BgL_setz00_26)
{ AN_OBJECT;
{ /* ./Llib/tvector.scm 134 */
{ /* ./Llib/tvector.scm 135 */
obj_t BgL_symbol1894z00_938;
BgL_symbol1894z00_938 = BGl_symbol2572z00zz__tvectorz00; 
{ /* ./Llib/tvector.scm 135 */

PUSH_TRACE(BgL_symbol1894z00_938); BUNSPEC; 
{ /* ./Llib/tvector.scm 135 */
obj_t BgL_aux1893z00_939;
{ /* ./Llib/tvector.scm 135 */
obj_t BgL_idz00_408;
{ /* ./Llib/tvector.scm 135 */
obj_t BgL_arg1120z00_413;
{ /* ./Llib/tvector.scm 135 */
obj_t BgL_casezd2valuezd2_414;
BgL_casezd2valuezd2_414 = 
BGl_bigloozd2casezd2sensitivityz00zz__readerz00(); 
if(
BGl_eqvzf3zf3zz__r4_equivalence_6_2z00(BgL_casezd2valuezd2_414, BGl_symbol2573z00zz__tvectorz00))
{ /* ./Llib/tvector.scm 135 */
BgL_arg1120z00_413 = 
BGl_stringzd2upcasezd2zz__r4_strings_6_7z00(
string_to_bstring(BgL_idz00_23)); }  else 
{ /* ./Llib/tvector.scm 135 */
if(
BGl_eqvzf3zf3zz__r4_equivalence_6_2z00(BgL_casezd2valuezd2_414, BGl_symbol2574z00zz__tvectorz00))
{ /* ./Llib/tvector.scm 135 */
BgL_arg1120z00_413 = 
BGl_stringzd2downcasezd2zz__r4_strings_6_7z00(
string_to_bstring(BgL_idz00_23)); }  else 
{ /* ./Llib/tvector.scm 135 */
BgL_arg1120z00_413 = 
string_to_bstring(BgL_idz00_23); } } } 
{ /* ./Llib/tvector.scm 135 */
char * BgL_auxz00_1262;
BgL_auxz00_1262 = 
BSTRING_TO_STRING(BgL_arg1120z00_413); 
BgL_idz00_408 = 
string_to_symbol(BgL_auxz00_1262); } } 
{ /* ./Llib/tvector.scm 135 */
obj_t BgL_oldz00_409;
BgL_oldz00_409 = 
get_tvector_descriptor(BgL_idz00_408); 
{ /* ./Llib/tvector.scm 142 */

{ /* ./Llib/tvector.scm 143 */
bool_t BgL_test1111z00_410;
{ /* ./Llib/tvector.scm 143 */
bool_t BgL_test1032z00_731;
BgL_test1032z00_731 = 
STRUCTP(BgL_oldz00_409); 
if(BgL_test1032z00_731)
{ /* ./Llib/tvector.scm 143 */
obj_t BgL_arg1034z00_732;obj_t BgL_arg1035z00_733;
{ /* ./Llib/tvector.scm 143 */
obj_t BgL_res1860z00_736;
{ /* ./Llib/tvector.scm 143 */
obj_t BgL_sz00_735;
if(BgL_test1032z00_731)
{ /* ./Llib/tvector.scm 143 */
BgL_sz00_735 = BgL_oldz00_409; }  else 
{ /* ./Llib/tvector.scm 143 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2572z00zz__tvectorz00, BGl_string2562z00zz__tvectorz00, BgL_oldz00_409, BGl_string2560z00zz__tvectorz00, 
BINT(((long)5958))); 
exit( -1 );} 
{ /* ./Llib/tvector.scm 143 */
obj_t BgL_aux2036z00_990;
BgL_aux2036z00_990 = 
STRUCT_KEY(BgL_sz00_735); 
if(
SYMBOLP(BgL_aux2036z00_990))
{ /* ./Llib/tvector.scm 143 */
BgL_res1860z00_736 = BgL_aux2036z00_990; }  else 
{ /* ./Llib/tvector.scm 143 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2572z00zz__tvectorz00, BGl_string2563z00zz__tvectorz00, BgL_aux2036z00_990, BGl_string2560z00zz__tvectorz00, 
BINT(((long)5958))); 
exit( -1 );} } } 
BgL_arg1034z00_732 = BgL_res1860z00_736; } 
BgL_arg1035z00_733 = BGl_symbol2564z00zz__tvectorz00; 
BgL_test1111z00_410 = 
(BgL_arg1034z00_732==BgL_arg1035z00_733); }  else 
{ /* ./Llib/tvector.scm 143 */
BgL_test1111z00_410 = ((bool_t)0); } } 
if(BgL_test1111z00_410)
{ /* ./Llib/tvector.scm 143 */
BgL_aux1893z00_939 = BgL_oldz00_409; }  else 
{ /* ./Llib/tvector.scm 144 */
obj_t BgL_newz00_411;
{ /* ./Llib/tvector.scm 144 */
obj_t BgL_newz00_741;
{ /* ./Llib/tvector.scm 144 */
int BgL_auxz00_1280;
BgL_auxz00_1280 = 
(int)(((long)4)); 
BgL_newz00_741 = 
create_struct(BGl_symbol2564z00zz__tvectorz00, BgL_auxz00_1280); } 
{ /* ./Llib/tvector.scm 144 */
bool_t BgL_test1047z00_744;
{ /* ./Llib/tvector.scm 144 */
obj_t BgL_arg1051z00_745;obj_t BgL_arg1052z00_746;
{ /* ./Llib/tvector.scm 144 */
obj_t BgL_res1861z00_748;
{ /* ./Llib/tvector.scm 144 */
obj_t BgL_aux2047z00_992;
BgL_aux2047z00_992 = 
STRUCT_KEY(BgL_newz00_741); 
if(
SYMBOLP(BgL_aux2047z00_992))
{ /* ./Llib/tvector.scm 144 */
BgL_res1861z00_748 = BgL_aux2047z00_992; }  else 
{ /* ./Llib/tvector.scm 144 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2572z00zz__tvectorz00, BGl_string2563z00zz__tvectorz00, BgL_aux2047z00_992, BGl_string2560z00zz__tvectorz00, 
BINT(((long)5992))); 
exit( -1 );} } 
BgL_arg1051z00_745 = BgL_res1861z00_748; } 
BgL_arg1052z00_746 = BGl_symbol2564z00zz__tvectorz00; 
BgL_test1047z00_744 = 
(BgL_arg1051z00_745==BgL_arg1052z00_746); } 
if(BgL_test1047z00_744)
{ /* ./Llib/tvector.scm 144 */
int BgL_auxz00_1291;
BgL_auxz00_1291 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_741, BgL_auxz00_1291, BgL_setz00_26); }  else 
{ /* ./Llib/tvector.scm 144 */
BGl_debugzd2errorzf2locationz20zz__errorz00(BGl_string2575z00zz__tvectorz00, BGl_string2566z00zz__tvectorz00, BgL_newz00_741, BGl_string2560z00zz__tvectorz00, 
BINT(((long)5992))); } } 
{ /* ./Llib/tvector.scm 144 */
bool_t BgL_test1064z00_754;
{ /* ./Llib/tvector.scm 144 */
obj_t BgL_arg1068z00_755;obj_t BgL_arg1069z00_756;
{ /* ./Llib/tvector.scm 144 */
obj_t BgL_res1862z00_758;
{ /* ./Llib/tvector.scm 144 */
obj_t BgL_aux2062z00_994;
BgL_aux2062z00_994 = 
STRUCT_KEY(BgL_newz00_741); 
if(
SYMBOLP(BgL_aux2062z00_994))
{ /* ./Llib/tvector.scm 144 */
BgL_res1862z00_758 = BgL_aux2062z00_994; }  else 
{ /* ./Llib/tvector.scm 144 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2572z00zz__tvectorz00, BGl_string2563z00zz__tvectorz00, BgL_aux2062z00_994, BGl_string2560z00zz__tvectorz00, 
BINT(((long)5992))); 
exit( -1 );} } 
BgL_arg1068z00_755 = BgL_res1862z00_758; } 
BgL_arg1069z00_756 = BGl_symbol2564z00zz__tvectorz00; 
BgL_test1064z00_754 = 
(BgL_arg1068z00_755==BgL_arg1069z00_756); } 
if(BgL_test1064z00_754)
{ /* ./Llib/tvector.scm 144 */
int BgL_auxz00_1304;
BgL_auxz00_1304 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_741, BgL_auxz00_1304, BgL_refz00_25); }  else 
{ /* ./Llib/tvector.scm 144 */
BGl_debugzd2errorzf2locationz20zz__errorz00(BGl_string2575z00zz__tvectorz00, BGl_string2566z00zz__tvectorz00, BgL_newz00_741, BGl_string2560z00zz__tvectorz00, 
BINT(((long)5992))); } } 
{ /* ./Llib/tvector.scm 144 */
bool_t BgL_test1082z00_764;
{ /* ./Llib/tvector.scm 144 */
obj_t BgL_arg1086z00_765;obj_t BgL_arg1087z00_766;
{ /* ./Llib/tvector.scm 144 */
obj_t BgL_res1863z00_768;
{ /* ./Llib/tvector.scm 144 */
obj_t BgL_aux2077z00_996;
BgL_aux2077z00_996 = 
STRUCT_KEY(BgL_newz00_741); 
if(
SYMBOLP(BgL_aux2077z00_996))
{ /* ./Llib/tvector.scm 144 */
BgL_res1863z00_768 = BgL_aux2077z00_996; }  else 
{ /* ./Llib/tvector.scm 144 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2572z00zz__tvectorz00, BGl_string2563z00zz__tvectorz00, BgL_aux2077z00_996, BGl_string2560z00zz__tvectorz00, 
BINT(((long)5992))); 
exit( -1 );} } 
BgL_arg1086z00_765 = BgL_res1863z00_768; } 
BgL_arg1087z00_766 = BGl_symbol2564z00zz__tvectorz00; 
BgL_test1082z00_764 = 
(BgL_arg1086z00_765==BgL_arg1087z00_766); } 
if(BgL_test1082z00_764)
{ /* ./Llib/tvector.scm 144 */
int BgL_auxz00_1317;
BgL_auxz00_1317 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_741, BgL_auxz00_1317, BgL_allocatez00_24); }  else 
{ /* ./Llib/tvector.scm 144 */
BGl_debugzd2errorzf2locationz20zz__errorz00(BGl_string2575z00zz__tvectorz00, BGl_string2566z00zz__tvectorz00, BgL_newz00_741, BGl_string2560z00zz__tvectorz00, 
BINT(((long)5992))); } } 
{ /* ./Llib/tvector.scm 144 */
bool_t BgL_test1098z00_774;
{ /* ./Llib/tvector.scm 144 */
obj_t BgL_arg1102z00_775;obj_t BgL_arg1103z00_776;
{ /* ./Llib/tvector.scm 144 */
obj_t BgL_res1864z00_778;
{ /* ./Llib/tvector.scm 144 */
obj_t BgL_aux2092z00_998;
BgL_aux2092z00_998 = 
STRUCT_KEY(BgL_newz00_741); 
if(
SYMBOLP(BgL_aux2092z00_998))
{ /* ./Llib/tvector.scm 144 */
BgL_res1864z00_778 = BgL_aux2092z00_998; }  else 
{ /* ./Llib/tvector.scm 144 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2572z00zz__tvectorz00, BGl_string2563z00zz__tvectorz00, BgL_aux2092z00_998, BGl_string2560z00zz__tvectorz00, 
BINT(((long)5992))); 
exit( -1 );} } 
BgL_arg1102z00_775 = BgL_res1864z00_778; } 
BgL_arg1103z00_776 = BGl_symbol2564z00zz__tvectorz00; 
BgL_test1098z00_774 = 
(BgL_arg1102z00_775==BgL_arg1103z00_776); } 
if(BgL_test1098z00_774)
{ /* ./Llib/tvector.scm 144 */
int BgL_auxz00_1330;
BgL_auxz00_1330 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_741, BgL_auxz00_1330, BgL_idz00_408); }  else 
{ /* ./Llib/tvector.scm 144 */
BGl_debugzd2errorzf2locationz20zz__errorz00(BGl_string2575z00zz__tvectorz00, BGl_string2566z00zz__tvectorz00, BgL_newz00_741, BGl_string2560z00zz__tvectorz00, 
BINT(((long)5992))); } } 
BgL_newz00_411 = BgL_newz00_741; } 
{ /* ./Llib/tvector.scm 145 */
obj_t BgL_arg1113z00_412;
BgL_arg1113z00_412 = 
MAKE_PAIR(BgL_idz00_408, BgL_newz00_411); 
BGl_za2tvectorzd2tableza2zd2zz__tvectorz00 = 
MAKE_PAIR(BgL_arg1113z00_412, BGl_za2tvectorzd2tableza2zd2zz__tvectorz00); } 
BgL_aux1893z00_939 = BgL_newz00_411; } } } } } 
POP_TRACE(); 
return BgL_aux1893z00_939;} } } } 
}



/* _declare-tvector! */
obj_t BGl__declarezd2tvectorz12zc0zz__tvectorz00(obj_t BgL_envz00_958, obj_t BgL_idz00_959, obj_t BgL_allocatez00_960, obj_t BgL_refz00_961, obj_t BgL_setz00_962)
{ AN_OBJECT;
{ /* ./Llib/tvector.scm 134 */
{ /* ./Llib/tvector.scm 135 */
obj_t BgL_auxz00_1346;char * BgL_auxz00_1338;
if(
PROCEDUREP(BgL_allocatez00_960))
{ /* ./Llib/tvector.scm 135 */
BgL_auxz00_1346 = BgL_allocatez00_960
; }  else 
{ /* ./Llib/tvector.scm 135 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2576z00zz__tvectorz00, BGl_string2578z00zz__tvectorz00, BgL_allocatez00_960, BGl_string2560z00zz__tvectorz00, 
BINT(((long)5675))); 
exit( -1 );} 
{ /* ./Llib/tvector.scm 135 */
obj_t BgL_auxz00_1339;
if(
STRINGP(BgL_idz00_959))
{ /* ./Llib/tvector.scm 135 */
BgL_auxz00_1339 = BgL_idz00_959
; }  else 
{ /* ./Llib/tvector.scm 135 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2576z00zz__tvectorz00, BGl_string2577z00zz__tvectorz00, BgL_idz00_959, BGl_string2560z00zz__tvectorz00, 
BINT(((long)5675))); 
exit( -1 );} 
BgL_auxz00_1338 = 
BSTRING_TO_STRING(BgL_auxz00_1339); } 
return 
BGl_declarezd2tvectorz12zc0zz__tvectorz00(BgL_auxz00_1338, BgL_auxz00_1346, BgL_refz00_961, BgL_setz00_962);} } 
}



/* tvector-ref */
BGL_EXPORTED_DEF obj_t BGl_tvectorzd2refzd2zz__tvectorz00(obj_t BgL_tvectorz00_27)
{ AN_OBJECT;
{ /* ./Llib/tvector.scm 152 */
{ /* ./Llib/tvector.scm 153 */
obj_t BgL_symbol1898z00_940;
BgL_symbol1898z00_940 = BGl_symbol2579z00zz__tvectorz00; 
{ /* ./Llib/tvector.scm 153 */

PUSH_TRACE(BgL_symbol1898z00_940); BUNSPEC; 
{ /* ./Llib/tvector.scm 153 */
obj_t BgL_aux1897z00_941;
{ /* ./Llib/tvector.scm 153 */
obj_t BgL_arg1138z00_782;
BgL_arg1138z00_782 = 
TVECTOR_DESCR(BgL_tvectorz00_27); 
{ /* ./Llib/tvector.scm 153 */
bool_t BgL_test1055z00_784;
{ /* ./Llib/tvector.scm 153 */
obj_t BgL_arg1059z00_785;obj_t BgL_arg1061z00_786;
{ /* ./Llib/tvector.scm 153 */
obj_t BgL_res1865z00_788;
{ /* ./Llib/tvector.scm 153 */
obj_t BgL_sz00_787;
if(
STRUCTP(BgL_arg1138z00_782))
{ /* ./Llib/tvector.scm 153 */
BgL_sz00_787 = BgL_arg1138z00_782; }  else 
{ /* ./Llib/tvector.scm 153 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2579z00zz__tvectorz00, BGl_string2562z00zz__tvectorz00, BgL_arg1138z00_782, BGl_string2560z00zz__tvectorz00, 
BINT(((long)6393))); 
exit( -1 );} 
{ /* ./Llib/tvector.scm 153 */
obj_t BgL_aux2138z00_1006;
BgL_aux2138z00_1006 = 
STRUCT_KEY(BgL_sz00_787); 
if(
SYMBOLP(BgL_aux2138z00_1006))
{ /* ./Llib/tvector.scm 153 */
BgL_res1865z00_788 = BgL_aux2138z00_1006; }  else 
{ /* ./Llib/tvector.scm 153 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2579z00zz__tvectorz00, BGl_string2563z00zz__tvectorz00, BgL_aux2138z00_1006, BGl_string2560z00zz__tvectorz00, 
BINT(((long)6393))); 
exit( -1 );} } } 
BgL_arg1059z00_785 = BgL_res1865z00_788; } 
BgL_arg1061z00_786 = BGl_symbol2564z00zz__tvectorz00; 
BgL_test1055z00_784 = 
(BgL_arg1059z00_785==BgL_arg1061z00_786); } 
if(BgL_test1055z00_784)
{ /* ./Llib/tvector.scm 153 */
int BgL_auxz00_1368;
BgL_auxz00_1368 = 
(int)(((long)2)); 
BgL_aux1897z00_941 = 
STRUCT_REF(BgL_arg1138z00_782, BgL_auxz00_1368); }  else 
{ /* ./Llib/tvector.scm 153 */
BgL_aux1897z00_941 = 
BGl_debugzd2errorzf2locationz20zz__errorz00(BGl_string2565z00zz__tvectorz00, BGl_string2566z00zz__tvectorz00, BgL_arg1138z00_782, BGl_string2560z00zz__tvectorz00, 
BINT(((long)6393))); } } } 
POP_TRACE(); 
return BgL_aux1897z00_941;} } } } 
}



/* _tvector-ref */
obj_t BGl__tvectorzd2refzd2zz__tvectorz00(obj_t BgL_envz00_963, obj_t BgL_tvectorz00_964)
{ AN_OBJECT;
{ /* ./Llib/tvector.scm 152 */
{ /* ./Llib/tvector.scm 153 */
obj_t BgL_auxz00_1374;
if(
TVECTORP(BgL_tvectorz00_964))
{ /* ./Llib/tvector.scm 153 */
BgL_auxz00_1374 = BgL_tvectorz00_964
; }  else 
{ /* ./Llib/tvector.scm 153 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2580z00zz__tvectorz00, BGl_string2559z00zz__tvectorz00, BgL_tvectorz00_964, BGl_string2560z00zz__tvectorz00, 
BINT(((long)6393))); 
exit( -1 );} 
return 
BGl_tvectorzd2refzd2zz__tvectorz00(BgL_auxz00_1374);} } 
}



/* list->tvector */
BGL_EXPORTED_DEF obj_t BGl_listzd2ze3tvectorz31zz__tvectorz00(obj_t BgL_idz00_28, obj_t BgL_lz00_29)
{ AN_OBJECT;
{ /* ./Llib/tvector.scm 158 */
{ /* ./Llib/tvector.scm 159 */
obj_t BgL_symbol1902z00_942;
BgL_symbol1902z00_942 = BGl_symbol2581z00zz__tvectorz00; 
{ /* ./Llib/tvector.scm 159 */

PUSH_TRACE(BgL_symbol1902z00_942); BUNSPEC; 
{ /* ./Llib/tvector.scm 159 */
obj_t BgL_aux1901z00_943;
{ /* ./Llib/tvector.scm 159 */
obj_t BgL_descrz00_420;
BgL_descrz00_420 = 
get_tvector_descriptor(BgL_idz00_28); 
if(
CBOOL(BgL_descrz00_420))
{ /* ./Llib/tvector.scm 162 */
obj_t BgL_allocatez00_421;obj_t BgL_setz00_422;
{ /* ./Llib/tvector.scm 162 */
bool_t BgL_test1072z00_793;
{ /* ./Llib/tvector.scm 162 */
obj_t BgL_arg1076z00_794;obj_t BgL_arg1079z00_795;
{ /* ./Llib/tvector.scm 162 */
obj_t BgL_res1866z00_797;
{ /* ./Llib/tvector.scm 162 */
obj_t BgL_sz00_796;
if(
STRUCTP(BgL_descrz00_420))
{ /* ./Llib/tvector.scm 162 */
BgL_sz00_796 = BgL_descrz00_420; }  else 
{ /* ./Llib/tvector.scm 162 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2581z00zz__tvectorz00, BGl_string2562z00zz__tvectorz00, BgL_descrz00_420, BGl_string2560z00zz__tvectorz00, 
BINT(((long)6824))); 
exit( -1 );} 
{ /* ./Llib/tvector.scm 162 */
obj_t BgL_aux2174z00_1012;
BgL_aux2174z00_1012 = 
STRUCT_KEY(BgL_sz00_796); 
if(
SYMBOLP(BgL_aux2174z00_1012))
{ /* ./Llib/tvector.scm 162 */
BgL_res1866z00_797 = BgL_aux2174z00_1012; }  else 
{ /* ./Llib/tvector.scm 162 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2581z00zz__tvectorz00, BGl_string2563z00zz__tvectorz00, BgL_aux2174z00_1012, BGl_string2560z00zz__tvectorz00, 
BINT(((long)6824))); 
exit( -1 );} } } 
BgL_arg1076z00_794 = BgL_res1866z00_797; } 
BgL_arg1079z00_795 = BGl_symbol2564z00zz__tvectorz00; 
BgL_test1072z00_793 = 
(BgL_arg1076z00_794==BgL_arg1079z00_795); } 
if(BgL_test1072z00_793)
{ /* ./Llib/tvector.scm 162 */
int BgL_auxz00_1398;
BgL_auxz00_1398 = 
(int)(((long)1)); 
BgL_allocatez00_421 = 
STRUCT_REF(BgL_descrz00_420, BgL_auxz00_1398); }  else 
{ /* ./Llib/tvector.scm 162 */
BgL_allocatez00_421 = 
BGl_debugzd2errorzf2locationz20zz__errorz00(BGl_string2565z00zz__tvectorz00, BGl_string2566z00zz__tvectorz00, BgL_descrz00_420, BGl_string2560z00zz__tvectorz00, 
BINT(((long)6824))); } } 
{ /* ./Llib/tvector.scm 163 */
bool_t BgL_test1039z00_802;
{ /* ./Llib/tvector.scm 163 */
obj_t BgL_arg1043z00_803;obj_t BgL_arg1044z00_804;
{ /* ./Llib/tvector.scm 163 */
obj_t BgL_res1867z00_806;
{ /* ./Llib/tvector.scm 163 */
obj_t BgL_sz00_805;
if(
STRUCTP(BgL_descrz00_420))
{ /* ./Llib/tvector.scm 163 */
BgL_sz00_805 = BgL_descrz00_420; }  else 
{ /* ./Llib/tvector.scm 163 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2581z00zz__tvectorz00, BGl_string2562z00zz__tvectorz00, BgL_descrz00_420, BGl_string2560z00zz__tvectorz00, 
BINT(((long)6866))); 
exit( -1 );} 
{ /* ./Llib/tvector.scm 163 */
obj_t BgL_aux2199z00_1016;
BgL_aux2199z00_1016 = 
STRUCT_KEY(BgL_sz00_805); 
if(
SYMBOLP(BgL_aux2199z00_1016))
{ /* ./Llib/tvector.scm 163 */
BgL_res1867z00_806 = BgL_aux2199z00_1016; }  else 
{ /* ./Llib/tvector.scm 163 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2581z00zz__tvectorz00, BGl_string2563z00zz__tvectorz00, BgL_aux2199z00_1016, BGl_string2560z00zz__tvectorz00, 
BINT(((long)6866))); 
exit( -1 );} } } 
BgL_arg1043z00_803 = BgL_res1867z00_806; } 
BgL_arg1044z00_804 = BGl_symbol2564z00zz__tvectorz00; 
BgL_test1039z00_802 = 
(BgL_arg1043z00_803==BgL_arg1044z00_804); } 
if(BgL_test1039z00_802)
{ /* ./Llib/tvector.scm 163 */
int BgL_auxz00_1416;
BgL_auxz00_1416 = 
(int)(((long)3)); 
BgL_setz00_422 = 
STRUCT_REF(BgL_descrz00_420, BgL_auxz00_1416); }  else 
{ /* ./Llib/tvector.scm 163 */
BgL_setz00_422 = 
BGl_debugzd2errorzf2locationz20zz__errorz00(BGl_string2565z00zz__tvectorz00, BGl_string2566z00zz__tvectorz00, BgL_descrz00_420, BGl_string2560z00zz__tvectorz00, 
BINT(((long)6866))); } } 
if(
PROCEDUREP(BgL_setz00_422))
{ /* ./Llib/tvector.scm 168 */
long BgL_lenz00_424;
BgL_lenz00_424 = 
bgl_list_length(BgL_lz00_29); 
{ /* ./Llib/tvector.scm 168 */
obj_t BgL_tvecz00_425;
{ /* ./Llib/tvector.scm 169 */
obj_t BgL_funz00_1020;
if(
PROCEDUREP(BgL_allocatez00_421))
{ /* ./Llib/tvector.scm 169 */
BgL_funz00_1020 = BgL_allocatez00_421; }  else 
{ /* ./Llib/tvector.scm 169 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2581z00zz__tvectorz00, BGl_string2578z00zz__tvectorz00, BgL_allocatez00_421, BGl_string2560z00zz__tvectorz00, 
BINT(((long)7034))); 
exit( -1 );} 
if(
PROCEDURE_CORRECT_ARITYP(BgL_funz00_1020, ((long)1)))
{ /* ./Llib/tvector.scm 169 */
BgL_tvecz00_425 = 
PROCEDURE_ENTRY(BgL_funz00_1020)(BgL_allocatez00_421, 
BINT(BgL_lenz00_424), BEOA); }  else 
{ /* ./Llib/tvector.scm 169 */
BGl_errorzf2locationzf2zz__errorz00(BGl_string2582z00zz__tvectorz00, BGl_list2583z00zz__tvectorz00, BgL_funz00_1020, BGl_string2560z00zz__tvectorz00, 
BINT(((long)7034))); 
FAILURE(BGl_symbol2587z00zz__tvectorz00,BGl_symbol2587z00zz__tvectorz00,BGl_symbol2587z00zz__tvectorz00);} } 
{ /* ./Llib/tvector.scm 169 */

{ 
obj_t BgL_lz00_426;long BgL_iz00_427;
BgL_lz00_426 = BgL_lz00_29; 
BgL_iz00_427 = ((long)0); 
BgL_loopz00_428:
if(
NULLP(BgL_lz00_426))
{ /* ./Llib/tvector.scm 172 */
BgL_aux1901z00_943 = BgL_tvecz00_425; }  else 
{ /* ./Llib/tvector.scm 172 */
{ /* ./Llib/tvector.scm 175 */
obj_t BgL_arg1146z00_430;
{ /* ./Llib/tvector.scm 175 */
obj_t BgL_pairz00_812;
if(
PAIRP(BgL_lz00_426))
{ /* ./Llib/tvector.scm 175 */
BgL_pairz00_812 = BgL_lz00_426; }  else 
{ /* ./Llib/tvector.scm 175 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2581z00zz__tvectorz00, BGl_string2570z00zz__tvectorz00, BgL_lz00_426, BGl_string2560z00zz__tvectorz00, 
BINT(((long)7164))); 
exit( -1 );} 
BgL_arg1146z00_430 = 
CAR(BgL_pairz00_812); } 
{ /* ./Llib/tvector.scm 175 */
obj_t BgL_funz00_1027;
if(
PROCEDUREP(BgL_setz00_422))
{ /* ./Llib/tvector.scm 175 */
BgL_funz00_1027 = BgL_setz00_422; }  else 
{ /* ./Llib/tvector.scm 175 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2581z00zz__tvectorz00, BGl_string2578z00zz__tvectorz00, BgL_setz00_422, BGl_string2560z00zz__tvectorz00, 
BINT(((long)7147))); 
exit( -1 );} 
if(
PROCEDURE_CORRECT_ARITYP(BgL_funz00_1027, ((long)3)))
{ /* ./Llib/tvector.scm 175 */
PROCEDURE_ENTRY(BgL_funz00_1027)(BgL_setz00_422, BgL_tvecz00_425, 
BINT(BgL_iz00_427), BgL_arg1146z00_430, BEOA); }  else 
{ /* ./Llib/tvector.scm 175 */
BGl_errorzf2locationzf2zz__errorz00(BGl_string2582z00zz__tvectorz00, BGl_list2588z00zz__tvectorz00, BgL_funz00_1027, BGl_string2560z00zz__tvectorz00, 
BINT(((long)7147))); 
FAILURE(BGl_symbol2587z00zz__tvectorz00,BGl_symbol2587z00zz__tvectorz00,BGl_symbol2587z00zz__tvectorz00);} } } 
{ /* ./Llib/tvector.scm 176 */
obj_t BgL_arg1150z00_431;long BgL_arg1151z00_432;
{ /* ./Llib/tvector.scm 176 */
obj_t BgL_pairz00_813;
if(
PAIRP(BgL_lz00_426))
{ /* ./Llib/tvector.scm 176 */
BgL_pairz00_813 = BgL_lz00_426; }  else 
{ /* ./Llib/tvector.scm 176 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2581z00zz__tvectorz00, BGl_string2570z00zz__tvectorz00, BgL_lz00_426, BGl_string2560z00zz__tvectorz00, 
BINT(((long)7188))); 
exit( -1 );} 
BgL_arg1150z00_431 = 
CDR(BgL_pairz00_813); } 
BgL_arg1151z00_432 = 
(BgL_iz00_427+((long)1)); 
{ 
long BgL_iz00_1466;obj_t BgL_lz00_1465;
BgL_lz00_1465 = BgL_arg1150z00_431; 
BgL_iz00_1466 = BgL_arg1151z00_432; 
BgL_iz00_427 = BgL_iz00_1466; 
BgL_lz00_426 = BgL_lz00_1465; 
goto BgL_loopz00_428;} } } } } } }  else 
{ /* ./Llib/tvector.scm 164 */
BGl_errorzf2czd2locationz20zz__errorz00(BGl_string2593z00zz__tvectorz00, BGl_string2594z00zz__tvectorz00, BgL_idz00_28, "./Llib/tvector.scm", ((long)6928)); 
BgL_aux1901z00_943 = 
BGl_debugzd2errorzf2locationz20zz__errorz00(BFALSE, BFALSE, BFALSE, BGl_string2560z00zz__tvectorz00, 
BINT(((long)6988))); } }  else 
{ /* ./Llib/tvector.scm 160 */
BGl_errorzf2czd2locationz20zz__errorz00(BGl_string2593z00zz__tvectorz00, BGl_string2595z00zz__tvectorz00, BgL_idz00_28, "./Llib/tvector.scm", ((long)6757)); 
BgL_aux1901z00_943 = 
BGl_debugzd2errorzf2locationz20zz__errorz00(BFALSE, BFALSE, BFALSE, BGl_string2560z00zz__tvectorz00, 
BINT(((long)6799))); } } 
POP_TRACE(); 
return BgL_aux1901z00_943;} } } } 
}



/* _list->tvector */
obj_t BGl__listzd2ze3tvectorz31zz__tvectorz00(obj_t BgL_envz00_965, obj_t BgL_idz00_966, obj_t BgL_lz00_967)
{ AN_OBJECT;
{ /* ./Llib/tvector.scm 158 */
{ /* ./Llib/tvector.scm 159 */
obj_t BgL_auxz00_1480;obj_t BgL_auxz00_1474;
if(
PAIRP(BgL_lz00_967))
{ /* ./Llib/tvector.scm 159 */
BgL_auxz00_1480 = BgL_lz00_967
; }  else 
{ /* ./Llib/tvector.scm 159 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2596z00zz__tvectorz00, BGl_string2570z00zz__tvectorz00, BgL_lz00_967, BGl_string2560z00zz__tvectorz00, 
BINT(((long)6689))); 
exit( -1 );} 
if(
SYMBOLP(BgL_idz00_966))
{ /* ./Llib/tvector.scm 159 */
BgL_auxz00_1474 = BgL_idz00_966
; }  else 
{ /* ./Llib/tvector.scm 159 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2596z00zz__tvectorz00, BGl_string2563z00zz__tvectorz00, BgL_idz00_966, BGl_string2560z00zz__tvectorz00, 
BINT(((long)6689))); 
exit( -1 );} 
return 
BGl_listzd2ze3tvectorz31zz__tvectorz00(BgL_auxz00_1474, BgL_auxz00_1480);} } 
}



/* vector->tvector */
BGL_EXPORTED_DEF obj_t BGl_vectorzd2ze3tvectorz31zz__tvectorz00(obj_t BgL_idz00_30, obj_t BgL_vz00_31)
{ AN_OBJECT;
{ /* ./Llib/tvector.scm 181 */
{ /* ./Llib/tvector.scm 182 */
obj_t BgL_symbol1906z00_944;
BgL_symbol1906z00_944 = BGl_symbol2597z00zz__tvectorz00; 
{ /* ./Llib/tvector.scm 182 */

PUSH_TRACE(BgL_symbol1906z00_944); BUNSPEC; 
{ /* ./Llib/tvector.scm 182 */
obj_t BgL_aux1905z00_945;
{ /* ./Llib/tvector.scm 182 */
obj_t BgL_descrz00_433;
BgL_descrz00_433 = 
get_tvector_descriptor(BgL_idz00_30); 
if(
CBOOL(BgL_descrz00_433))
{ /* ./Llib/tvector.scm 185 */
obj_t BgL_allocatez00_434;obj_t BgL_setz00_435;
{ /* ./Llib/tvector.scm 185 */
bool_t BgL_test1072z00_823;
{ /* ./Llib/tvector.scm 185 */
obj_t BgL_arg1076z00_824;obj_t BgL_arg1079z00_825;
{ /* ./Llib/tvector.scm 185 */
obj_t BgL_res1868z00_827;
{ /* ./Llib/tvector.scm 185 */
obj_t BgL_sz00_826;
if(
STRUCTP(BgL_descrz00_433))
{ /* ./Llib/tvector.scm 185 */
BgL_sz00_826 = BgL_descrz00_433; }  else 
{ /* ./Llib/tvector.scm 185 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2597z00zz__tvectorz00, BGl_string2562z00zz__tvectorz00, BgL_descrz00_433, BGl_string2560z00zz__tvectorz00, 
BINT(((long)7621))); 
exit( -1 );} 
{ /* ./Llib/tvector.scm 185 */
obj_t BgL_aux2315z00_1038;
BgL_aux2315z00_1038 = 
STRUCT_KEY(BgL_sz00_826); 
if(
SYMBOLP(BgL_aux2315z00_1038))
{ /* ./Llib/tvector.scm 185 */
BgL_res1868z00_827 = BgL_aux2315z00_1038; }  else 
{ /* ./Llib/tvector.scm 185 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2597z00zz__tvectorz00, BGl_string2563z00zz__tvectorz00, BgL_aux2315z00_1038, BGl_string2560z00zz__tvectorz00, 
BINT(((long)7621))); 
exit( -1 );} } } 
BgL_arg1076z00_824 = BgL_res1868z00_827; } 
BgL_arg1079z00_825 = BGl_symbol2564z00zz__tvectorz00; 
BgL_test1072z00_823 = 
(BgL_arg1076z00_824==BgL_arg1079z00_825); } 
if(BgL_test1072z00_823)
{ /* ./Llib/tvector.scm 185 */
int BgL_auxz00_1504;
BgL_auxz00_1504 = 
(int)(((long)1)); 
BgL_allocatez00_434 = 
STRUCT_REF(BgL_descrz00_433, BgL_auxz00_1504); }  else 
{ /* ./Llib/tvector.scm 185 */
BgL_allocatez00_434 = 
BGl_debugzd2errorzf2locationz20zz__errorz00(BGl_string2565z00zz__tvectorz00, BGl_string2566z00zz__tvectorz00, BgL_descrz00_433, BGl_string2560z00zz__tvectorz00, 
BINT(((long)7621))); } } 
{ /* ./Llib/tvector.scm 186 */
bool_t BgL_test1039z00_832;
{ /* ./Llib/tvector.scm 186 */
obj_t BgL_arg1043z00_833;obj_t BgL_arg1044z00_834;
{ /* ./Llib/tvector.scm 186 */
obj_t BgL_res1869z00_836;
{ /* ./Llib/tvector.scm 186 */
obj_t BgL_sz00_835;
if(
STRUCTP(BgL_descrz00_433))
{ /* ./Llib/tvector.scm 186 */
BgL_sz00_835 = BgL_descrz00_433; }  else 
{ /* ./Llib/tvector.scm 186 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2597z00zz__tvectorz00, BGl_string2562z00zz__tvectorz00, BgL_descrz00_433, BGl_string2560z00zz__tvectorz00, 
BINT(((long)7663))); 
exit( -1 );} 
{ /* ./Llib/tvector.scm 186 */
obj_t BgL_aux2340z00_1042;
BgL_aux2340z00_1042 = 
STRUCT_KEY(BgL_sz00_835); 
if(
SYMBOLP(BgL_aux2340z00_1042))
{ /* ./Llib/tvector.scm 186 */
BgL_res1869z00_836 = BgL_aux2340z00_1042; }  else 
{ /* ./Llib/tvector.scm 186 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2597z00zz__tvectorz00, BGl_string2563z00zz__tvectorz00, BgL_aux2340z00_1042, BGl_string2560z00zz__tvectorz00, 
BINT(((long)7663))); 
exit( -1 );} } } 
BgL_arg1043z00_833 = BgL_res1869z00_836; } 
BgL_arg1044z00_834 = BGl_symbol2564z00zz__tvectorz00; 
BgL_test1039z00_832 = 
(BgL_arg1043z00_833==BgL_arg1044z00_834); } 
if(BgL_test1039z00_832)
{ /* ./Llib/tvector.scm 186 */
int BgL_auxz00_1522;
BgL_auxz00_1522 = 
(int)(((long)3)); 
BgL_setz00_435 = 
STRUCT_REF(BgL_descrz00_433, BgL_auxz00_1522); }  else 
{ /* ./Llib/tvector.scm 186 */
BgL_setz00_435 = 
BGl_debugzd2errorzf2locationz20zz__errorz00(BGl_string2565z00zz__tvectorz00, BGl_string2566z00zz__tvectorz00, BgL_descrz00_433, BGl_string2560z00zz__tvectorz00, 
BINT(((long)7663))); } } 
if(
PROCEDUREP(BgL_setz00_435))
{ /* ./Llib/tvector.scm 191 */
int BgL_lenz00_437;
BgL_lenz00_437 = 
VECTOR_LENGTH(BgL_vz00_31); 
{ /* ./Llib/tvector.scm 191 */
obj_t BgL_tvecz00_438;
{ /* ./Llib/tvector.scm 192 */
obj_t BgL_funz00_1046;
if(
PROCEDUREP(BgL_allocatez00_434))
{ /* ./Llib/tvector.scm 192 */
BgL_funz00_1046 = BgL_allocatez00_434; }  else 
{ /* ./Llib/tvector.scm 192 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2597z00zz__tvectorz00, BGl_string2578z00zz__tvectorz00, BgL_allocatez00_434, BGl_string2560z00zz__tvectorz00, 
BINT(((long)7840))); 
exit( -1 );} 
if(
PROCEDURE_CORRECT_ARITYP(BgL_funz00_1046, ((long)1)))
{ /* ./Llib/tvector.scm 192 */
BgL_tvecz00_438 = 
PROCEDURE_ENTRY(BgL_funz00_1046)(BgL_allocatez00_434, 
BINT(BgL_lenz00_437), BEOA); }  else 
{ /* ./Llib/tvector.scm 192 */
BGl_errorzf2locationzf2zz__errorz00(BGl_string2598z00zz__tvectorz00, BGl_list2583z00zz__tvectorz00, BgL_funz00_1046, BGl_string2560z00zz__tvectorz00, 
BINT(((long)7840))); 
FAILURE(BGl_symbol2587z00zz__tvectorz00,BGl_symbol2587z00zz__tvectorz00,BGl_symbol2587z00zz__tvectorz00);} } 
{ /* ./Llib/tvector.scm 192 */

{ 
long BgL_iz00_439;
{ /* ./Llib/tvector.scm 193 */
long BgL_auxz00_1569;
BgL_auxz00_1569 = 
(long)(BgL_lenz00_437); 
BgL_iz00_439 = 
(BgL_auxz00_1569-((long)1)); } 
BgL_loopz00_440:
if(
(BgL_iz00_439==((long)-1)))
{ /* ./Llib/tvector.scm 194 */
BgL_aux1905z00_945 = BgL_tvecz00_438; }  else 
{ /* ./Llib/tvector.scm 194 */
{ /* ./Llib/tvector.scm 197 */
obj_t BgL_arg1174z00_443;
{ /* ./Llib/tvector.scm 197 */
int BgL_kz00_847;
BgL_kz00_847 = 
(int)(BgL_iz00_439); 
{ /* ./Llib/tvector.scm 197 */
bool_t BgL_test1648z00_848;
{ /* ./Llib/tvector.scm 197 */
int BgL_arg1653z00_849;
BgL_arg1653z00_849 = 
VECTOR_LENGTH(BgL_vz00_31); 
BgL_test1648z00_848 = 
BOUND_CHECK(BgL_kz00_847, BgL_arg1653z00_849); } 
if(BgL_test1648z00_848)
{ /* ./Llib/tvector.scm 197 */
BgL_arg1174z00_443 = 
VECTOR_REF(BgL_vz00_31,BgL_kz00_847); }  else 
{ /* ./Llib/tvector.scm 197 */
BGl_errorzf2czd2locationz20zz__errorz00(BGl_string2599z00zz__tvectorz00, BGl_string2600z00zz__tvectorz00, 
BINT(BgL_kz00_847), "./Ieee/vector.scm", ((long)5865)); 
BgL_arg1174z00_443 = 
BGl_debugzd2errorzf2locationz20zz__errorz00(BFALSE, BFALSE, BFALSE, BGl_string2560z00zz__tvectorz00, 
BINT(((long)7960))); } } } 
{ /* ./Llib/tvector.scm 197 */
obj_t BgL_funz00_1051;
if(
PROCEDUREP(BgL_setz00_435))
{ /* ./Llib/tvector.scm 197 */
BgL_funz00_1051 = BgL_setz00_435; }  else 
{ /* ./Llib/tvector.scm 197 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2597z00zz__tvectorz00, BGl_string2578z00zz__tvectorz00, BgL_setz00_435, BGl_string2560z00zz__tvectorz00, 
BINT(((long)7948))); 
exit( -1 );} 
if(
PROCEDURE_CORRECT_ARITYP(BgL_funz00_1051, ((long)3)))
{ /* ./Llib/tvector.scm 197 */
PROCEDURE_ENTRY(BgL_funz00_1051)(BgL_setz00_435, BgL_tvecz00_438, 
BINT(BgL_iz00_439), BgL_arg1174z00_443, BEOA); }  else 
{ /* ./Llib/tvector.scm 197 */
BGl_errorzf2locationzf2zz__errorz00(BGl_string2598z00zz__tvectorz00, BGl_list2601z00zz__tvectorz00, BgL_funz00_1051, BGl_string2560z00zz__tvectorz00, 
BINT(((long)7948))); 
FAILURE(BGl_symbol2587z00zz__tvectorz00,BGl_symbol2587z00zz__tvectorz00,BGl_symbol2587z00zz__tvectorz00);} } } 
{ 
long BgL_iz00_1567;
BgL_iz00_1567 = 
(BgL_iz00_439-((long)1)); 
BgL_iz00_439 = BgL_iz00_1567; 
goto BgL_loopz00_440;} } } } } }  else 
{ /* ./Llib/tvector.scm 187 */
BGl_errorzf2czd2locationz20zz__errorz00(BGl_string2603z00zz__tvectorz00, BGl_string2594z00zz__tvectorz00, BgL_idz00_30, "./Llib/tvector.scm", ((long)7725)); 
BgL_aux1905z00_945 = 
BGl_debugzd2errorzf2locationz20zz__errorz00(BFALSE, BFALSE, BFALSE, BGl_string2560z00zz__tvectorz00, 
BINT(((long)7787))); } }  else 
{ /* ./Llib/tvector.scm 183 */
BGl_errorzf2czd2locationz20zz__errorz00(BGl_string2603z00zz__tvectorz00, BGl_string2595z00zz__tvectorz00, BgL_idz00_30, "./Llib/tvector.scm", ((long)7552)); 
BgL_aux1905z00_945 = 
BGl_debugzd2errorzf2locationz20zz__errorz00(BFALSE, BFALSE, BFALSE, BGl_string2560z00zz__tvectorz00, 
BINT(((long)7596))); } } 
POP_TRACE(); 
return BgL_aux1905z00_945;} } } } 
}



/* _vector->tvector */
obj_t BGl__vectorzd2ze3tvectorz31zz__tvectorz00(obj_t BgL_envz00_968, obj_t BgL_idz00_969, obj_t BgL_vz00_970)
{ AN_OBJECT;
{ /* ./Llib/tvector.scm 181 */
{ /* ./Llib/tvector.scm 182 */
obj_t BgL_auxz00_1585;obj_t BgL_auxz00_1579;
if(
VECTORP(BgL_vz00_970))
{ /* ./Llib/tvector.scm 182 */
BgL_auxz00_1585 = BgL_vz00_970
; }  else 
{ /* ./Llib/tvector.scm 182 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2604z00zz__tvectorz00, BGl_string2605z00zz__tvectorz00, BgL_vz00_970, BGl_string2560z00zz__tvectorz00, 
BINT(((long)7484))); 
exit( -1 );} 
if(
SYMBOLP(BgL_idz00_969))
{ /* ./Llib/tvector.scm 182 */
BgL_auxz00_1579 = BgL_idz00_969
; }  else 
{ /* ./Llib/tvector.scm 182 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2604z00zz__tvectorz00, BGl_string2563z00zz__tvectorz00, BgL_idz00_969, BGl_string2560z00zz__tvectorz00, 
BINT(((long)7484))); 
exit( -1 );} 
return 
BGl_vectorzd2ze3tvectorz31zz__tvectorz00(BgL_auxz00_1579, BgL_auxz00_1585);} } 
}



/* tvector->vector */
BGL_EXPORTED_DEF obj_t BGl_tvectorzd2ze3vectorz31zz__tvectorz00(obj_t BgL_tvz00_32)
{ AN_OBJECT;
{ /* ./Llib/tvector.scm 203 */
{ /* ./Llib/tvector.scm 204 */
obj_t BgL_symbol1910z00_946;
BgL_symbol1910z00_946 = BGl_symbol2606z00zz__tvectorz00; 
{ /* ./Llib/tvector.scm 204 */

PUSH_TRACE(BgL_symbol1910z00_946); BUNSPEC; 
{ /* ./Llib/tvector.scm 204 */
obj_t BgL_aux1909z00_947;
{ /* ./Llib/tvector.scm 204 */
obj_t BgL_descrz00_445;
BgL_descrz00_445 = 
TVECTOR_DESCR(BgL_tvz00_32); 
{ /* ./Llib/tvector.scm 205 */
obj_t BgL_allocatez00_446;obj_t BgL_refz00_447;
{ /* ./Llib/tvector.scm 205 */
bool_t BgL_test1072z00_863;
{ /* ./Llib/tvector.scm 205 */
obj_t BgL_arg1076z00_864;obj_t BgL_arg1079z00_865;
{ /* ./Llib/tvector.scm 205 */
obj_t BgL_res1870z00_867;
{ /* ./Llib/tvector.scm 205 */
obj_t BgL_sz00_866;
if(
STRUCTP(BgL_descrz00_445))
{ /* ./Llib/tvector.scm 205 */
BgL_sz00_866 = BgL_descrz00_445; }  else 
{ /* ./Llib/tvector.scm 205 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2606z00zz__tvectorz00, BGl_string2562z00zz__tvectorz00, BgL_descrz00_445, BGl_string2560z00zz__tvectorz00, 
BINT(((long)8333))); 
exit( -1 );} 
{ /* ./Llib/tvector.scm 205 */
obj_t BgL_aux2445z00_1060;
BgL_aux2445z00_1060 = 
STRUCT_KEY(BgL_sz00_866); 
if(
SYMBOLP(BgL_aux2445z00_1060))
{ /* ./Llib/tvector.scm 205 */
BgL_res1870z00_867 = BgL_aux2445z00_1060; }  else 
{ /* ./Llib/tvector.scm 205 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2606z00zz__tvectorz00, BGl_string2563z00zz__tvectorz00, BgL_aux2445z00_1060, BGl_string2560z00zz__tvectorz00, 
BINT(((long)8333))); 
exit( -1 );} } } 
BgL_arg1076z00_864 = BgL_res1870z00_867; } 
BgL_arg1079z00_865 = BGl_symbol2564z00zz__tvectorz00; 
BgL_test1072z00_863 = 
(BgL_arg1076z00_864==BgL_arg1079z00_865); } 
if(BgL_test1072z00_863)
{ /* ./Llib/tvector.scm 205 */
int BgL_auxz00_1607;
BgL_auxz00_1607 = 
(int)(((long)1)); 
BgL_allocatez00_446 = 
STRUCT_REF(BgL_descrz00_445, BgL_auxz00_1607); }  else 
{ /* ./Llib/tvector.scm 205 */
BgL_allocatez00_446 = 
BGl_debugzd2errorzf2locationz20zz__errorz00(BGl_string2565z00zz__tvectorz00, BGl_string2566z00zz__tvectorz00, BgL_descrz00_445, BGl_string2560z00zz__tvectorz00, 
BINT(((long)8333))); } } 
{ /* ./Llib/tvector.scm 206 */
bool_t BgL_test1055z00_872;
{ /* ./Llib/tvector.scm 206 */
obj_t BgL_arg1059z00_873;obj_t BgL_arg1061z00_874;
{ /* ./Llib/tvector.scm 206 */
obj_t BgL_res1871z00_876;
{ /* ./Llib/tvector.scm 206 */
obj_t BgL_sz00_875;
if(
STRUCTP(BgL_descrz00_445))
{ /* ./Llib/tvector.scm 206 */
BgL_sz00_875 = BgL_descrz00_445; }  else 
{ /* ./Llib/tvector.scm 206 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2606z00zz__tvectorz00, BGl_string2562z00zz__tvectorz00, BgL_descrz00_445, BGl_string2560z00zz__tvectorz00, 
BINT(((long)8378))); 
exit( -1 );} 
{ /* ./Llib/tvector.scm 206 */
obj_t BgL_aux2470z00_1064;
BgL_aux2470z00_1064 = 
STRUCT_KEY(BgL_sz00_875); 
if(
SYMBOLP(BgL_aux2470z00_1064))
{ /* ./Llib/tvector.scm 206 */
BgL_res1871z00_876 = BgL_aux2470z00_1064; }  else 
{ /* ./Llib/tvector.scm 206 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2606z00zz__tvectorz00, BGl_string2563z00zz__tvectorz00, BgL_aux2470z00_1064, BGl_string2560z00zz__tvectorz00, 
BINT(((long)8378))); 
exit( -1 );} } } 
BgL_arg1059z00_873 = BgL_res1871z00_876; } 
BgL_arg1061z00_874 = BGl_symbol2564z00zz__tvectorz00; 
BgL_test1055z00_872 = 
(BgL_arg1059z00_873==BgL_arg1061z00_874); } 
if(BgL_test1055z00_872)
{ /* ./Llib/tvector.scm 206 */
int BgL_auxz00_1625;
BgL_auxz00_1625 = 
(int)(((long)2)); 
BgL_refz00_447 = 
STRUCT_REF(BgL_descrz00_445, BgL_auxz00_1625); }  else 
{ /* ./Llib/tvector.scm 206 */
BgL_refz00_447 = 
BGl_debugzd2errorzf2locationz20zz__errorz00(BGl_string2565z00zz__tvectorz00, BGl_string2566z00zz__tvectorz00, BgL_descrz00_445, BGl_string2560z00zz__tvectorz00, 
BINT(((long)8378))); } } 
if(
PROCEDUREP(BgL_refz00_447))
{ /* ./Llib/tvector.scm 211 */
int BgL_lenz00_449;
BgL_lenz00_449 = 
TVECTOR_LENGTH(BgL_tvz00_32); 
{ /* ./Llib/tvector.scm 211 */
obj_t BgL_vecz00_450;
BgL_vecz00_450 = 
create_vector(BgL_lenz00_449); 
{ /* ./Llib/tvector.scm 212 */

{ 
long BgL_iz00_451;
{ /* ./Llib/tvector.scm 213 */
long BgL_auxz00_1660;
BgL_auxz00_1660 = 
(long)(BgL_lenz00_449); 
BgL_iz00_451 = 
(BgL_auxz00_1660-((long)1)); } 
BgL_loopz00_452:
if(
(BgL_iz00_451==((long)-1)))
{ /* ./Llib/tvector.scm 214 */
BgL_aux1909z00_947 = BgL_vecz00_450; }  else 
{ /* ./Llib/tvector.scm 214 */
{ /* ./Llib/tvector.scm 217 */
obj_t BgL_arg1199z00_455;
{ /* ./Llib/tvector.scm 217 */
obj_t BgL_funz00_1068;
if(
PROCEDUREP(BgL_refz00_447))
{ /* ./Llib/tvector.scm 217 */
BgL_funz00_1068 = BgL_refz00_447; }  else 
{ /* ./Llib/tvector.scm 217 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2606z00zz__tvectorz00, BGl_string2578z00zz__tvectorz00, BgL_refz00_447, BGl_string2560z00zz__tvectorz00, 
BINT(((long)8708))); 
exit( -1 );} 
if(
PROCEDURE_CORRECT_ARITYP(BgL_funz00_1068, ((long)2)))
{ /* ./Llib/tvector.scm 217 */
BgL_arg1199z00_455 = 
PROCEDURE_ENTRY(BgL_funz00_1068)(BgL_refz00_447, BgL_tvz00_32, 
BINT(BgL_iz00_451), BEOA); }  else 
{ /* ./Llib/tvector.scm 217 */
BGl_errorzf2locationzf2zz__errorz00(BGl_string2607z00zz__tvectorz00, BGl_list2608z00zz__tvectorz00, BgL_funz00_1068, BGl_string2560z00zz__tvectorz00, 
BINT(((long)8708))); 
FAILURE(BGl_symbol2587z00zz__tvectorz00,BGl_symbol2587z00zz__tvectorz00,BGl_symbol2587z00zz__tvectorz00);} } 
{ /* ./Llib/tvector.scm 217 */
int BgL_kz00_887;
BgL_kz00_887 = 
(int)(BgL_iz00_451); 
{ /* ./Llib/tvector.scm 217 */
bool_t BgL_test1640z00_889;
{ /* ./Llib/tvector.scm 217 */
int BgL_arg1645z00_890;
BgL_arg1645z00_890 = 
VECTOR_LENGTH(BgL_vecz00_450); 
BgL_test1640z00_889 = 
BOUND_CHECK(BgL_kz00_887, BgL_arg1645z00_890); } 
if(BgL_test1640z00_889)
{ /* ./Llib/tvector.scm 217 */
VECTOR_SET(BgL_vecz00_450,BgL_kz00_887,BgL_arg1199z00_455); }  else 
{ /* ./Llib/tvector.scm 217 */
BGl_errorzf2czd2locationz20zz__errorz00(BGl_string2611z00zz__tvectorz00, BGl_string2600z00zz__tvectorz00, 
BINT(BgL_kz00_887), "./Ieee/vector.scm", ((long)6273)); 
BGl_debugzd2errorzf2locationz20zz__errorz00(BFALSE, BFALSE, BFALSE, BGl_string2560z00zz__tvectorz00, 
BINT(((long)8689))); } } } } 
{ 
long BgL_iz00_1658;
BgL_iz00_1658 = 
(BgL_iz00_451-((long)1)); 
BgL_iz00_451 = BgL_iz00_1658; 
goto BgL_loopz00_452;} } } } } }  else 
{ /* ./Llib/tvector.scm 207 */
{ /* ./Llib/tvector.scm 208 */
obj_t BgL_arg1212z00_459;
{ /* ./Llib/tvector.scm 210 */
obj_t BgL_arg1009z00_898;
BgL_arg1009z00_898 = 
TVECTOR_DESCR(BgL_tvz00_32); 
{ /* ./Llib/tvector.scm 210 */
bool_t BgL_test1090z00_900;
{ /* ./Llib/tvector.scm 210 */
obj_t BgL_arg1094z00_901;obj_t BgL_arg1095z00_902;
{ /* ./Llib/tvector.scm 210 */
obj_t BgL_res1872z00_904;
{ /* ./Llib/tvector.scm 210 */
obj_t BgL_sz00_903;
if(
STRUCTP(BgL_arg1009z00_898))
{ /* ./Llib/tvector.scm 210 */
BgL_sz00_903 = BgL_arg1009z00_898; }  else 
{ /* ./Llib/tvector.scm 210 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2606z00zz__tvectorz00, BGl_string2562z00zz__tvectorz00, BgL_arg1009z00_898, BGl_string2560z00zz__tvectorz00, 
BINT(((long)8512))); 
exit( -1 );} 
{ /* ./Llib/tvector.scm 210 */
obj_t BgL_aux2523z00_1073;
BgL_aux2523z00_1073 = 
STRUCT_KEY(BgL_sz00_903); 
if(
SYMBOLP(BgL_aux2523z00_1073))
{ /* ./Llib/tvector.scm 210 */
BgL_res1872z00_904 = BgL_aux2523z00_1073; }  else 
{ /* ./Llib/tvector.scm 210 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2606z00zz__tvectorz00, BGl_string2563z00zz__tvectorz00, BgL_aux2523z00_1073, BGl_string2560z00zz__tvectorz00, 
BINT(((long)8512))); 
exit( -1 );} } } 
BgL_arg1094z00_901 = BgL_res1872z00_904; } 
BgL_arg1095z00_902 = BGl_symbol2564z00zz__tvectorz00; 
BgL_test1090z00_900 = 
(BgL_arg1094z00_901==BgL_arg1095z00_902); } 
if(BgL_test1090z00_900)
{ /* ./Llib/tvector.scm 210 */
int BgL_auxz00_1677;
BgL_auxz00_1677 = 
(int)(((long)0)); 
BgL_arg1212z00_459 = 
STRUCT_REF(BgL_arg1009z00_898, BgL_auxz00_1677); }  else 
{ /* ./Llib/tvector.scm 210 */
BgL_arg1212z00_459 = 
BGl_debugzd2errorzf2locationz20zz__errorz00(BGl_string2565z00zz__tvectorz00, BGl_string2566z00zz__tvectorz00, BgL_arg1009z00_898, BGl_string2560z00zz__tvectorz00, 
BINT(((long)8512))); } } } 
BGl_errorzf2czd2locationz20zz__errorz00(BGl_string2612z00zz__tvectorz00, BGl_string2594z00zz__tvectorz00, BgL_arg1212z00_459, "./Llib/tvector.scm", ((long)8439)); } 
BgL_aux1909z00_947 = 
BGl_debugzd2errorzf2locationz20zz__errorz00(BFALSE, BFALSE, BFALSE, BGl_string2560z00zz__tvectorz00, 
BINT(((long)8504))); } } } 
POP_TRACE(); 
return BgL_aux1909z00_947;} } } } 
}



/* _tvector->vector */
obj_t BGl__tvectorzd2ze3vectorz31zz__tvectorz00(obj_t BgL_envz00_971, obj_t BgL_tvz00_972)
{ AN_OBJECT;
{ /* ./Llib/tvector.scm 203 */
{ /* ./Llib/tvector.scm 204 */
obj_t BgL_auxz00_1686;
if(
TVECTORP(BgL_tvz00_972))
{ /* ./Llib/tvector.scm 204 */
BgL_auxz00_1686 = BgL_tvz00_972
; }  else 
{ /* ./Llib/tvector.scm 204 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2613z00zz__tvectorz00, BGl_string2559z00zz__tvectorz00, BgL_tvz00_972, BGl_string2560z00zz__tvectorz00, 
BINT(((long)8277))); 
exit( -1 );} 
return 
BGl_tvectorzd2ze3vectorz31zz__tvectorz00(BgL_auxz00_1686);} } 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__tvectorz00()
{ AN_OBJECT;
{ /* ./Llib/tvector.scm 14 */
{ /* ./Llib/tvector.scm 14 */
obj_t BgL_symbol1914z00_948;
BgL_symbol1914z00_948 = BGl_symbol2614z00zz__tvectorz00; 
{ /* ./Llib/tvector.scm 14 */

PUSH_TRACE(BgL_symbol1914z00_948); BUNSPEC; 
{ /* ./Llib/tvector.scm 14 */
obj_t BgL_aux1913z00_949;
BGl_modulezd2initializa7ationz75zz__errorz00(((long)11084), "__tvector"); 
BgL_aux1913z00_949 = 
BGl_modulezd2initializa7ationz75zz__hashz00(((long)62825), "__tvector"); 
POP_TRACE(); 
return BgL_aux1913z00_949;} } } } 
}

