/*===========================================================================*/
/*   (Ast/check-init.scm)                                                    */
/*   Bigloo (2.6b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Dec 15 12:14:36 CET 2003        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc-2.95 -lib-dir /users/serrano/prgm/project/bigloo/lib/2.6b -unsafev -no-hello -O2 -rm -unsafe -s -indent Ast/check-init.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_effectz00;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_effectz00;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_effectz00;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;

typedef struct BgL_feffectz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_readz00;
   obj_t BgL_writez00;
} *BgL_feffectz00_bglt;

typedef struct BgL_nodez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
} *BgL_nodez00_bglt;

typedef struct BgL_nodezf2effectzf2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
} *BgL_nodezf2effectzf2_bglt;

typedef struct BgL_atomz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_atomz00_bglt;

typedef struct BgL_varz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_varz00_bglt;

typedef struct BgL_closurez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_closurez00_bglt;

typedef struct BgL_kwotez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_kwotez00_bglt;

typedef struct BgL_sequencez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_nodesz00;
} *BgL_sequencez00_bglt;

typedef struct BgL_appz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
} *BgL_appz00_bglt;

typedef struct BgL_appzd2lyzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_appzd2lyzd2_bglt;

typedef struct BgL_funcallz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
   obj_t BgL_strengthz00;
} *BgL_funcallz00_bglt;

typedef struct BgL_externz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
} *BgL_externz00_bglt;

typedef struct BgL_pragmaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   obj_t BgL_formatz00;
} *BgL_pragmaz00_bglt;

typedef struct BgL_getfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_getfieldz00_bglt;

typedef struct BgL_setfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_setfieldz00_bglt;

typedef struct BgL_newz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
} *BgL_newz00_bglt;

typedef struct BgL_vallocz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   obj_t BgL_czd2heapzd2formatz00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_vallocz00_bglt;

typedef struct BgL_vrefz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vrefz00_bglt;

typedef struct BgL_vsetz12z12_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vsetz12z12_bglt;

typedef struct BgL_vlengthz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vlengthz00_bglt;

typedef struct BgL_isaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   struct BgL_typez00_bgl * BgL_classz00;
} *BgL_isaz00_bglt;

typedef struct BgL_castz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_castz00_bglt;

typedef struct BgL_setqz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_setqz00_bglt;

typedef struct BgL_conditionalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   struct BgL_nodez00_bgl * BgL_truez00;
   struct BgL_nodez00_bgl * BgL_falsez00;
} *BgL_conditionalz00_bglt;

typedef struct BgL_failz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_procz00;
   struct BgL_nodez00_bgl * BgL_msgz00;
   struct BgL_nodez00_bgl * BgL_objz00;
} *BgL_failz00_bglt;

typedef struct BgL_selectz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   obj_t BgL_clausesz00;
   struct BgL_typez00_bgl * BgL_itemzd2typezd2;
} *BgL_selectz00_bglt;

typedef struct BgL_letzd2funzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_localsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_letzd2funzd2_bglt;

typedef struct BgL_letzd2varzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_bindingsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
   bool_t BgL_removablezf3zf3;
} *BgL_letzd2varzd2_bglt;

typedef struct BgL_setzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_setzd2exzd2itz00_bglt;

typedef struct BgL_jumpzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_exitz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_jumpzd2exzd2itz00_bglt;

typedef struct BgL_makezd2boxzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_makezd2boxzd2_bglt;

typedef struct BgL_boxzd2refzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_varz00;
} *BgL_boxzd2refzd2_bglt;

typedef struct BgL_boxzd2setz12zc0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_boxzd2setz12zc0_bglt;

typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_tclassz00_bgl {
   obj_t BgL_itszd2superzd2;
   obj_t BgL_slotsz00;
   struct BgL_globalz00_bgl * BgL_holderz00;
   obj_t BgL_wideningz00;
   long BgL_depthz00;
   bool_t BgL_finalzf3zf3;
   obj_t BgL_constructorz00;
   obj_t BgL_virtualzd2slotszd2numberz00;
   bool_t BgL_abstractzf3zf3;
   obj_t BgL_widezd2typezd2;
} *BgL_tclassz00_bglt;

typedef struct BgL_jclassz00_bgl {
   obj_t BgL_itszd2superzd2;
   obj_t BgL_slotsz00;
   obj_t BgL_packagez00;
} *BgL_jclassz00_bglt;

typedef struct BgL_wclassz00_bgl {
   obj_t BgL_itszd2classzd2;
} *BgL_wclassz00_bglt;

typedef struct BgL_ccompz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_producerz00;
   obj_t BgL_consumerz00;
   obj_t BgL_finaliza7erza7;
} *BgL_ccompz00_bglt;


static obj_t BGl_methodzd2initzd2zzast_checkzd2globalzd2initz00();
BGL_IMPORT obj_t open_input_string(obj_t);
extern obj_t BGl_letzd2funzd2zzast_nodez00;
extern obj_t BGl_sfunz00zzast_varz00;
static obj_t BGl_zc3anonymousza33046ze3z83zzast_checkzd2globalzd2initz00(obj_t);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t);
BGL_IMPORT bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
static obj_t BGl_checkzd2initzd2appzd2ly2971zd2zzast_checkzd2globalzd2initz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_addzd2genericz12zc0zz__objectz00(obj_t, obj_t);
extern obj_t BGl_letzd2varzd2zzast_nodez00;
extern obj_t BGl_za2moduleza2z00zzmodule_modulez00;
extern obj_t BGl_funz00zzast_varz00;
static obj_t BGl_checkzd2initzd2var2964z00zzast_checkzd2globalzd2initz00(obj_t, obj_t);
extern obj_t BGl_globalz00zzast_varz00;
static obj_t BGl_checkzd2initzd2cast2977z00zzast_checkzd2globalzd2initz00(obj_t, obj_t);
static obj_t BGl_checkzd2initzd2boxzd2setz123000zc0zzast_checkzd2globalzd2initz00(obj_t, obj_t);
static obj_t BGl_checkzd2initzd2funcall2973z00zzast_checkzd2globalzd2initz00(obj_t, obj_t);
static obj_t BGl_checkzd2initzd2sequence2967z00zzast_checkzd2globalzd2initz00(obj_t, obj_t);
extern obj_t BGl_castz00zzast_nodez00;
extern obj_t BGl_varz00zzast_nodez00;
static obj_t BGl_cnstzd2initzd2zzast_checkzd2globalzd2initz00();
extern obj_t BGl_failz00zzast_nodez00;
extern obj_t BGl_funcallz00zzast_nodez00;
static obj_t BGl__checkzd2initzd2zzast_checkzd2globalzd2initz00(obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zzast_checkzd2globalzd2initz00();
static obj_t BGl_checkzd2initzd2makezd2box2998zd2zzast_checkzd2globalzd2initz00(obj_t, obj_t);
extern obj_t BGl_makezd2boxzd2zzast_nodez00;
static bool_t BGl_checkzd2initza2z70zzast_checkzd2globalzd2initz00(obj_t);
static obj_t BGl_checkzd2initzd2conditional2982z00zzast_checkzd2globalzd2initz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_addzd2methodz12zc0zz__objectz00(obj_t, obj_t, obj_t);
extern obj_t BGl_selectz00zzast_nodez00;
static obj_t BGl_toplevelzd2initzd2zzast_checkzd2globalzd2initz00();
extern obj_t BGl_appzd2lyzd2zzast_nodez00;
extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
static obj_t BGl__checkzd2initzd2default2961z00zzast_checkzd2globalzd2initz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzast_checkzd2globalzd2initz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzmodule_includez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzmodule_classz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long, char *);
static obj_t BGl_checkzd2initzd2setq2979z00zzast_checkzd2globalzd2initz00(obj_t, obj_t);
extern obj_t BGl_findzd2globalzd2zzast_envz00(obj_t, obj_t);
static obj_t BGl_checkzd2initzd2setzd2exzd2it2993z00zzast_checkzd2globalzd2initz00(obj_t, obj_t);
extern obj_t BGl_nozd2warningzd2zztools_errorz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_checkzd2globalzd2initializa7ationza7zzast_checkzd2globalzd2initz00();
static obj_t BGl_checkzd2initzd2jumpzd2exzd2it2995z00zzast_checkzd2globalzd2initz00(obj_t, obj_t);
static obj_t BGl_za2globalsza2z00zzast_checkzd2globalzd2initz00 = BUNSPEC;
static obj_t BGl_checkzd2initzd2zzast_checkzd2globalzd2initz00(BgL_nodez00_bglt);
extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
static obj_t BGl_checkzd2initzd2select2987z00zzast_checkzd2globalzd2initz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
extern obj_t BGl_getzd2toplevelzd2unitz00zzmodule_includez00();
static obj_t BGl_checkzd2initzd2app2969z00zzast_checkzd2globalzd2initz00(obj_t, obj_t);
static obj_t BGl_checkzd2initzd2letzd2fun2989zd2zzast_checkzd2globalzd2initz00(obj_t, obj_t);
extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
extern obj_t BGl_externz00zzast_nodez00;
extern obj_t BGl_conditionalz00zzast_nodez00;
extern obj_t BGl_sequencez00zzast_nodez00;
extern obj_t BGl_appz00zzast_nodez00;
static obj_t BGl_checkzd2initzd2letzd2var2991zd2zzast_checkzd2globalzd2initz00(obj_t, obj_t);
extern obj_t BGl_valuez00zzast_varz00;
BGL_IMPORT obj_t BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(obj_t);
static obj_t BGl_requirezd2initializa7ationz75zzast_checkzd2globalzd2initz00 = BUNSPEC;
static obj_t BGl__checkzd2globalzd2initializa7ationza7zzast_checkzd2globalzd2initz00(obj_t);
extern obj_t BGl_getzd2objectzd2unitz00zzmodule_classz00();
static obj_t BGl_checkzd2initzd2extern2975z00zzast_checkzd2globalzd2initz00(obj_t, obj_t);
static obj_t BGl_checkzd2initzd2fail2985z00zzast_checkzd2globalzd2initz00(obj_t, obj_t);
static obj_t BGl_libraryzd2moduleszd2initz00zzast_checkzd2globalzd2initz00();
extern obj_t BGl_userzd2warningzf2locationz20zztools_errorz00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_setqz00zzast_nodez00;
static obj_t __cnst[ 3 ] ;


DEFINE_STATIC_GENERIC( BGl_checkzd2initzd2envz00zzast_checkzd2globalzd2initz00, BgL_bgl__checkza7d2initza7d2za7za7ast_checkza7d2globalza7d2initza7004227za7, BGl__checkzd2initzd2zzast_checkzd2globalzd2initz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc4180z00zzast_checkzd2globalzd2initz00, BgL_bgl_checkza7d2initza7d2sequence2967za700za7za7ast_checkza7d2globalza7d2initza7004228z00, BGl_checkzd2initzd2sequence2967z00zzast_checkzd2globalzd2initz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc4179z00zzast_checkzd2globalzd2initz00, BgL_bgl_checkza7d2initza7d2var2964za700za7za7ast_checkza7d2globalza7d2initza7004229z00, BGl_checkzd2initzd2var2964z00zzast_checkzd2globalzd2initz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc4181z00zzast_checkzd2globalzd2initz00, BgL_bgl_checkza7d2initza7d2app2969za700za7za7ast_checkza7d2globalza7d2initza7004230z00, BGl_checkzd2initzd2app2969z00zzast_checkzd2globalzd2initz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc4182z00zzast_checkzd2globalzd2initz00, BgL_bgl_checkza7d2initza7d2appza7d2ly2971za7d2za7za7ast_checkza7d2globalza7d2initza7004231za7, BGl_checkzd2initzd2appzd2ly2971zd2zzast_checkzd2globalzd2initz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc4183z00zzast_checkzd2globalzd2initz00, BgL_bgl_checkza7d2initza7d2funcall2973za700za7za7ast_checkza7d2globalza7d2initza7004232z00, BGl_checkzd2initzd2funcall2973z00zzast_checkzd2globalzd2initz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc4184z00zzast_checkzd2globalzd2initz00, BgL_bgl_checkza7d2initza7d2extern2975za700za7za7ast_checkza7d2globalza7d2initza7004233z00, BGl_checkzd2initzd2extern2975z00zzast_checkzd2globalzd2initz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc4185z00zzast_checkzd2globalzd2initz00, BgL_bgl_checkza7d2initza7d2cast2977za700za7za7ast_checkza7d2globalza7d2initza7004234z00, BGl_checkzd2initzd2cast2977z00zzast_checkzd2globalzd2initz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc4186z00zzast_checkzd2globalzd2initz00, BgL_bgl_checkza7d2initza7d2setq2979za700za7za7ast_checkza7d2globalza7d2initza7004235z00, BGl_checkzd2initzd2setq2979z00zzast_checkzd2globalzd2initz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc4187z00zzast_checkzd2globalzd2initz00, BgL_bgl_checkza7d2initza7d2conditional2982za700za7za7ast_checkza7d2globalza7d2initza7004236z00, BGl_checkzd2initzd2conditional2982z00zzast_checkzd2globalzd2initz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc4188z00zzast_checkzd2globalzd2initz00, BgL_bgl_checkza7d2initza7d2fail2985za700za7za7ast_checkza7d2globalza7d2initza7004237z00, BGl_checkzd2initzd2fail2985z00zzast_checkzd2globalzd2initz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc4190z00zzast_checkzd2globalzd2initz00, BgL_bgl_checkza7d2initza7d2letza7d2fun2989za7d2za7za7ast_checkza7d2globalza7d2initza7004238za7, BGl_checkzd2initzd2letzd2fun2989zd2zzast_checkzd2globalzd2initz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc4189z00zzast_checkzd2globalzd2initz00, BgL_bgl_checkza7d2initza7d2select2987za700za7za7ast_checkza7d2globalza7d2initza7004239z00, BGl_checkzd2initzd2select2987z00zzast_checkzd2globalzd2initz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc4191z00zzast_checkzd2globalzd2initz00, BgL_bgl_checkza7d2initza7d2letza7d2var2991za7d2za7za7ast_checkza7d2globalza7d2initza7004240za7, BGl_checkzd2initzd2letzd2var2991zd2zzast_checkzd2globalzd2initz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc4192z00zzast_checkzd2globalzd2initz00, BgL_bgl_checkza7d2initza7d2setza7d2exza7d2it2993za700za7za7ast_checkza7d2globalza7d2initza7004241z00, BGl_checkzd2initzd2setzd2exzd2it2993z00zzast_checkzd2globalzd2initz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc4193z00zzast_checkzd2globalzd2initz00, BgL_bgl_checkza7d2initza7d2jumpza7d2exza7d2it2995za700za7za7ast_checkza7d2globalza7d2initza7004242z00, BGl_checkzd2initzd2jumpzd2exzd2it2995z00zzast_checkzd2globalzd2initz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc4194z00zzast_checkzd2globalzd2initz00, BgL_bgl_checkza7d2initza7d2makeza7d2box2998za7d2za7za7ast_checkza7d2globalza7d2initza7004243za7, BGl_checkzd2initzd2makezd2box2998zd2zzast_checkzd2globalzd2initz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc4195z00zzast_checkzd2globalzd2initz00, BgL_bgl_checkza7d2initza7d2boxza7d2setza7123000za7c0za7za7ast_checkza7d2globalza7d2initza7004244z00, BGl_checkzd2initzd2boxzd2setz123000zc0zzast_checkzd2globalzd2initz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_checkzd2initzd2default2961zd2envzd2zzast_checkzd2globalzd2initz00, BgL_bgl__checkza7d2initza7d2default2961za700za7za7ast_checkza7d2globalza7d2initza7004245z00, BGl__checkzd2initzd2default2961z00zzast_checkzd2globalzd2initz00, 0L, 1 );
DEFINE_STRING( BGl_string4198z00zzast_checkzd2globalzd2initz00, BgL_bgl_string4198za700za7za7ast_checkza7d2globalza7d2initza7004246z00, "done unit -init ", 16 );
DEFINE_STRING( BGl_string4197z00zzast_checkzd2globalzd2initz00, BgL_bgl_string4197za700za7za7ast_checkza7d2globalza7d2initza7004247z00, "Variable used before initialized", 32 );
DEFINE_STRING( BGl_string4196z00zzast_checkzd2globalzd2initz00, BgL_bgl_string4196za700za7za7ast_checkza7d2globalza7d2initza7004248z00, "check-init", 10 );
DEFINE_EXPORT_PROCEDURE( BGl_checkzd2globalzd2initializa7ationzd2envz75zzast_checkzd2globalzd2initz00, BgL_bgl__checkza7d2globalza7d2initializa7a7ationza7a7za7za7ast_checkza7d2globalza7d2initza7004249za7, BGl__checkzd2globalzd2initializa7ationza7zzast_checkzd2globalzd2initz00, 0L, 0 );



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzast_checkzd2globalzd2initz00(long BgL_checksumz00_2156, char * BgL_fromz00_2157)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzast_checkzd2globalzd2initz00))
{ 
BGl_requirezd2initializa7ationz75zzast_checkzd2globalzd2initz00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzast_checkzd2globalzd2initz00(); 
BGl_cnstzd2initzd2zzast_checkzd2globalzd2initz00(); 
BGl_importedzd2moduleszd2initz00zzast_checkzd2globalzd2initz00(); 
BGl_methodzd2initzd2zzast_checkzd2globalzd2initz00(); 
BGl_toplevelzd2initzd2zzast_checkzd2globalzd2initz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzast_checkzd2globalzd2initz00()
{ AN_OBJECT;
{ /* ./Ast/check-init.scm 18 */
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "ast_check-global-init"); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "ast_check-global-init"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "ast_check-global-init"); 
BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long)0), "ast_check-global-init"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzast_checkzd2globalzd2initz00()
{ AN_OBJECT;
{ /* ./Ast/check-init.scm 18 */
{ /* ./Ast/check-init.scm 18 */
obj_t BgL_cportz00_2147;
BgL_cportz00_2147 = 
open_input_string(BGl_string4198z00zzast_checkzd2globalzd2initz00); 
{ 
long BgL_iz00_2148;
BgL_iz00_2148 = ((long)2); 
BgL_loopz00_2149:
{ /* ./Ast/check-init.scm 18 */
bool_t BgL_test4200z00_2150;
BgL_test4200z00_2150 = 
(BgL_iz00_2148==((long)-1)); 
if(BgL_test4200z00_2150)
{ /* ./Ast/check-init.scm 18 */
return BUNSPEC;}  else 
{ /* ./Ast/check-init.scm 18 */
{ /* ./Ast/check-init.scm 18 */
obj_t BgL_arg4202z00_2151;
{ /* ./Ast/check-init.scm 18 */
obj_t BgL_list4205z00_2152;
BgL_list4205z00_2152 = 
MAKE_PAIR(BgL_cportz00_2147, BNIL); 
BgL_arg4202z00_2151 = 
BGl_readz00zz__readerz00(BgL_list4205z00_2152); } 
{ /* ./Ast/check-init.scm 18 */
int BgL_auxz00_2175;
BgL_auxz00_2175 = 
(int)(BgL_iz00_2148); 
CNST_TABLE_SET(BgL_auxz00_2175, BgL_arg4202z00_2151); } } 
{ /* ./Ast/check-init.scm 18 */
int BgL_auxz00_2153;
{ /* ./Ast/check-init.scm 18 */
long BgL_auxz00_2178;
BgL_auxz00_2178 = 
(BgL_iz00_2148-((long)1)); 
BgL_auxz00_2153 = 
(int)(BgL_auxz00_2178); } 
{ 
long BgL_iz00_2181;
BgL_iz00_2181 = 
(long)(BgL_auxz00_2153); 
BgL_iz00_2148 = BgL_iz00_2181; 
goto BgL_loopz00_2149;} } } } } } } 
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zzast_checkzd2globalzd2initz00()
{ AN_OBJECT;
{ /* ./Ast/check-init.scm 18 */
BGl_za2globalsza2z00zzast_checkzd2globalzd2initz00 = BNIL; 
return BUNSPEC;} 
}



/* check-global-initialization */
BGL_EXPORTED_DEF obj_t BGl_checkzd2globalzd2initializa7ationza7zzast_checkzd2globalzd2initz00()
{ AN_OBJECT;
{ /* ./Ast/check-init.scm 34 */
{ /* ./Ast/check-init.scm 35 */
obj_t BgL_initzd2namezd2_768;
{ /* ./Ast/check-init.scm 35 */
obj_t BgL_arg3091z00_793;obj_t BgL_arg3092z00_794;
{ /* ./Ast/check-init.scm 35 */
obj_t BgL_arg3100z00_797;
BgL_arg3100z00_797 = 
BGl_getzd2toplevelzd2unitz00zzmodule_includez00(); 
{ /* ./Ast/check-init.scm 35 */
int BgL_auxz00_2184;
BgL_auxz00_2184 = 
(int)(((long)0)); 
BgL_arg3091z00_793 = 
STRUCT_REF(BgL_arg3100z00_797, BgL_auxz00_2184); } } 
BgL_arg3092z00_794 = 
CNST_TABLE_REF(((long)0)); 
{ /* ./Ast/check-init.scm 35 */
obj_t BgL_list3094z00_795;
{ /* ./Ast/check-init.scm 35 */
obj_t BgL_arg3096z00_796;
BgL_arg3096z00_796 = 
MAKE_PAIR(BgL_arg3092z00_794, BNIL); 
BgL_list3094z00_795 = 
MAKE_PAIR(BgL_arg3091z00_793, BgL_arg3096z00_796); } 
BgL_initzd2namezd2_768 = 
BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list3094z00_795); } } 
{ /* ./Ast/check-init.scm 35 */
obj_t BgL_globalz00_769;
BgL_globalz00_769 = 
BGl_findzd2globalzd2zzast_envz00(BgL_initzd2namezd2_768, BNIL); 
{ /* ./Ast/check-init.scm 36 */

{ /* ./Ast/check-init.scm 37 */
bool_t BgL_test3039z00_770;
{ /* ./Ast/check-init.scm 37 */
bool_t BgL_test3082z00_790;
BgL_test3082z00_790 = 
BGl_iszd2azf3z21zz__objectz00(BgL_globalz00_769, BGl_globalz00zzast_varz00); 
if(BgL_test3082z00_790)
{ /* ./Ast/check-init.scm 37 */
BgL_valuez00_bglt BgL_arg3084z00_791;
{ /* ./Ast/check-init.scm 37 */
BgL_variablez00_bglt BgL_obj1014z00_1358;
BgL_obj1014z00_1358 = 
(BgL_variablez00_bglt)(BgL_globalz00_769); 
BgL_arg3084z00_791 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1014z00_1358))->BgL_valuez00); } 
{ /* ./Ast/check-init.scm 37 */
obj_t BgL_obj1339z00_1359;
BgL_obj1339z00_1359 = 
(obj_t)(BgL_arg3084z00_791); 
BgL_test3039z00_770 = 
BGl_iszd2azf3z21zz__objectz00(BgL_obj1339z00_1359, BGl_sfunz00zzast_varz00); } }  else 
{ /* ./Ast/check-init.scm 37 */
BgL_test3039z00_770 = ((bool_t)0); } } 
if(BgL_test3039z00_770)
{ /* ./Ast/check-init.scm 37 */
BGl_za2globalsza2z00zzast_checkzd2globalzd2initz00 = BNIL; 
{ /* ./Ast/check-init.scm 41 */
obj_t BgL_unitz00_771;
BgL_unitz00_771 = 
BGl_getzd2objectzd2unitz00zzmodule_classz00(); 
{ /* ./Ast/check-init.scm 42 */
bool_t BgL_test3041z00_772;
if(
STRUCTP(BgL_unitz00_771))
{ /* ./Ast/check-init.scm 42 */
obj_t BgL_auxz00_2204;obj_t BgL_auxz00_2202;
BgL_auxz00_2204 = 
CNST_TABLE_REF(((long)1)); 
BgL_auxz00_2202 = 
STRUCT_KEY(BgL_unitz00_771); 
BgL_test3041z00_772 = 
(BgL_auxz00_2202==BgL_auxz00_2204); }  else 
{ /* ./Ast/check-init.scm 42 */
BgL_test3041z00_772 = ((bool_t)0); } 
if(BgL_test3041z00_772)
{ /* ./Ast/check-init.scm 43 */
obj_t BgL_objzd2namezd2_773;
{ /* ./Ast/check-init.scm 43 */
obj_t BgL_arg3063z00_784;obj_t BgL_arg3064z00_785;
{ /* ./Ast/check-init.scm 43 */
int BgL_auxz00_2208;
BgL_auxz00_2208 = 
(int)(((long)0)); 
BgL_arg3063z00_784 = 
STRUCT_REF(BgL_unitz00_771, BgL_auxz00_2208); } 
BgL_arg3064z00_785 = 
CNST_TABLE_REF(((long)0)); 
{ /* ./Ast/check-init.scm 43 */
obj_t BgL_list3066z00_786;
{ /* ./Ast/check-init.scm 43 */
obj_t BgL_arg3068z00_787;
BgL_arg3068z00_787 = 
MAKE_PAIR(BgL_arg3064z00_785, BNIL); 
BgL_list3066z00_786 = 
MAKE_PAIR(BgL_arg3063z00_784, BgL_arg3068z00_787); } 
BgL_objzd2namezd2_773 = 
BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list3066z00_786); } } 
{ /* ./Ast/check-init.scm 43 */
obj_t BgL_globalz00_774;
BgL_globalz00_774 = 
BGl_findzd2globalzd2zzast_envz00(BgL_objzd2namezd2_773, BNIL); 
{ /* ./Ast/check-init.scm 44 */

{ /* ./Ast/check-init.scm 45 */
bool_t BgL_test3042z00_775;
{ /* ./Ast/check-init.scm 45 */
bool_t BgL_test3054z00_781;
BgL_test3054z00_781 = 
BGl_iszd2azf3z21zz__objectz00(BgL_globalz00_774, BGl_globalz00zzast_varz00); 
if(BgL_test3054z00_781)
{ /* ./Ast/check-init.scm 45 */
BgL_valuez00_bglt BgL_arg3056z00_782;
{ /* ./Ast/check-init.scm 45 */
BgL_variablez00_bglt BgL_obj1014z00_1371;
BgL_obj1014z00_1371 = 
(BgL_variablez00_bglt)(BgL_globalz00_774); 
BgL_arg3056z00_782 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1014z00_1371))->BgL_valuez00); } 
{ /* ./Ast/check-init.scm 45 */
obj_t BgL_obj1339z00_1372;
BgL_obj1339z00_1372 = 
(obj_t)(BgL_arg3056z00_782); 
BgL_test3042z00_775 = 
BGl_iszd2azf3z21zz__objectz00(BgL_obj1339z00_1372, BGl_sfunz00zzast_varz00); } }  else 
{ /* ./Ast/check-init.scm 45 */
BgL_test3042z00_775 = ((bool_t)0); } } 
if(BgL_test3042z00_775)
{ /* ./Ast/check-init.scm 53 */
obj_t BgL_zc3anonymousza33046ze3z83_2087;
{ 
int BgL_auxz00_2225;int BgL_auxz00_2223;
BgL_auxz00_2225 = 
(int)(((long)1)); 
BgL_auxz00_2223 = 
(int)(((long)0)); 
BgL_zc3anonymousza33046ze3z83_2087 = 
make_fx_procedure(BGl_zc3anonymousza33046ze3z83zzast_checkzd2globalzd2initz00, BgL_auxz00_2223, BgL_auxz00_2225); } 
{ /* ./Ast/check-init.scm 53 */
int BgL_auxz00_2228;
BgL_auxz00_2228 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza33046ze3z83_2087, BgL_auxz00_2228, BgL_globalz00_774); } 
BGl_nozd2warningzd2zztools_errorz00(BgL_zc3anonymousza33046ze3z83_2087); }  else 
{ /* ./Ast/check-init.scm 45 */BFALSE; } } } } }  else 
{ /* ./Ast/check-init.scm 42 */BFALSE; } } } 
{ /* ./Ast/check-init.scm 55 */
obj_t BgL_arg3075z00_788;
{ /* ./Ast/check-init.scm 55 */
BgL_sfunz00_bglt BgL_obj1284z00_1402;
{ /* ./Ast/check-init.scm 55 */
BgL_valuez00_bglt BgL_auxz00_2232;
{ /* ./Ast/check-init.scm 55 */
BgL_variablez00_bglt BgL_obj1014z00_1401;
BgL_obj1014z00_1401 = 
(BgL_variablez00_bglt)(BgL_globalz00_769); 
BgL_auxz00_2232 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1014z00_1401))->BgL_valuez00); } 
BgL_obj1284z00_1402 = 
(BgL_sfunz00_bglt)(BgL_auxz00_2232); } 
BgL_arg3075z00_788 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1284z00_1402))->BgL_bodyz00); } 
{ /* ./Ast/check-init.scm 55 */
BgL_nodez00_bglt BgL_nodez00_1403;
BgL_nodez00_1403 = 
(BgL_nodez00_bglt)(BgL_arg3075z00_788); 
{ /* ./Ast/check-init.scm 55 */
obj_t BgL_method2962z00_1404;
{ /* ./Ast/check-init.scm 55 */
BgL_objectz00_bglt BgL_objz00_1405;
BgL_objz00_1405 = 
(BgL_objectz00_bglt)(BgL_nodez00_1403); 
{ /* ./Ast/check-init.scm 55 */
long BgL_objzd2classzd2numz00_1406;
BgL_objzd2classzd2numz00_1406 = 
BGL_OBJECT_CLASS_NUM(BgL_objz00_1405); 
{ /* ./Ast/check-init.scm 55 */
obj_t BgL_arg2017z00_1407;
{ /* ./Ast/check-init.scm 55 */
int BgL_auxz00_2240;
BgL_auxz00_2240 = 
(int)(((long)1)); 
BgL_arg2017z00_1407 = 
PROCEDURE_REF(BGl_checkzd2initzd2envz00zzast_checkzd2globalzd2initz00, BgL_auxz00_2240); } 
{ /* ./Ast/check-init.scm 55 */
int BgL_offsetz00_1410;
BgL_offsetz00_1410 = 
(int)(BgL_objzd2classzd2numz00_1406); 
{ /* ./Ast/check-init.scm 55 */
long BgL_offsetz00_1411;
{ /* ./Ast/check-init.scm 55 */
long BgL_auxz00_2244;
BgL_auxz00_2244 = 
(long)(BgL_offsetz00_1410); 
BgL_offsetz00_1411 = 
(BgL_auxz00_2244-OBJECT_TYPE); } 
{ /* ./Ast/check-init.scm 55 */
long BgL_modz00_1412;
{ /* ./Ast/check-init.scm 55 */
int BgL_arg2028z00_1413;
BgL_arg2028z00_1413 = 
(int)(((long)8)); 
{ /* ./Ast/check-init.scm 55 */
long BgL_n2z00_1421;
BgL_n2z00_1421 = 
(long)(BgL_arg2028z00_1413); 
BgL_modz00_1412 = 
(BgL_offsetz00_1411/BgL_n2z00_1421); } } 
{ /* ./Ast/check-init.scm 55 */
long BgL_restz00_1414;
{ /* ./Ast/check-init.scm 55 */
int BgL_arg2024z00_1415;
BgL_arg2024z00_1415 = 
(int)(((long)8)); 
{ /* ./Ast/check-init.scm 55 */
long BgL_n2z00_1424;
BgL_n2z00_1424 = 
(long)(BgL_arg2024z00_1415); 
BgL_restz00_1414 = 
(BgL_offsetz00_1411%BgL_n2z00_1424); } } 
{ /* ./Ast/check-init.scm 55 */

{ /* ./Ast/check-init.scm 55 */
obj_t BgL_bucketz00_1416;
{ /* ./Ast/check-init.scm 55 */
int BgL_kz00_1426;
BgL_kz00_1426 = 
(int)(BgL_modz00_1412); 
BgL_bucketz00_1416 = 
VECTOR_REF(BgL_arg2017z00_1407,BgL_kz00_1426); } 
{ /* ./Ast/check-init.scm 55 */
int BgL_kz00_1428;
BgL_kz00_1428 = 
(int)(BgL_restz00_1414); 
BgL_method2962z00_1404 = 
VECTOR_REF(BgL_bucketz00_1416,BgL_kz00_1428); } } } } } } } } } } 
PROCEDURE_ENTRY(BgL_method2962z00_1404)(BgL_method2962z00_1404, 
(obj_t)(BgL_nodez00_1403), BEOA); } } } 
return ( 
BGl_za2globalsza2z00zzast_checkzd2globalzd2initz00 = BNIL, BUNSPEC) ;}  else 
{ /* ./Ast/check-init.scm 37 */
return BFALSE;} } } } } } 
}



/* _check-global-initialization */
obj_t BGl__checkzd2globalzd2initializa7ationza7zzast_checkzd2globalzd2initz00(obj_t BgL_envz00_2090)
{ AN_OBJECT;
{ /* ./Ast/check-init.scm 34 */
return 
BGl_checkzd2globalzd2initializa7ationza7zzast_checkzd2globalzd2initz00();} 
}



/* <anonymous:3046> */
obj_t BGl_zc3anonymousza33046ze3z83zzast_checkzd2globalzd2initz00(obj_t BgL_envz00_2091)
{ AN_OBJECT;
{ /* ./Ast/check-init.scm 51 */
{ /* ./Ast/check-init.scm 53 */
obj_t BgL_globalz00_2092;
{ /* ./Ast/check-init.scm 53 */
int BgL_auxz00_2261;
BgL_auxz00_2261 = 
(int)(((long)0)); 
BgL_globalz00_2092 = 
PROCEDURE_REF(BgL_envz00_2091, BgL_auxz00_2261); } 
{ 

{ /* ./Ast/check-init.scm 53 */
obj_t BgL_arg3048z00_778;
{ /* ./Ast/check-init.scm 53 */
BgL_sfunz00_bglt BgL_obj1284z00_1374;
{ /* ./Ast/check-init.scm 53 */
BgL_valuez00_bglt BgL_auxz00_2264;
{ /* ./Ast/check-init.scm 53 */
BgL_variablez00_bglt BgL_obj1014z00_1373;
BgL_obj1014z00_1373 = 
(BgL_variablez00_bglt)(BgL_globalz00_2092); 
BgL_auxz00_2264 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1014z00_1373))->BgL_valuez00); } 
BgL_obj1284z00_1374 = 
(BgL_sfunz00_bglt)(BgL_auxz00_2264); } 
BgL_arg3048z00_778 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1284z00_1374))->BgL_bodyz00); } 
{ /* ./Ast/check-init.scm 52 */
BgL_nodez00_bglt BgL_nodez00_1375;
BgL_nodez00_1375 = 
(BgL_nodez00_bglt)(BgL_arg3048z00_778); 
{ /* ./Ast/check-init.scm 52 */
obj_t BgL_method2962z00_1376;
{ /* ./Ast/check-init.scm 52 */
BgL_objectz00_bglt BgL_objz00_1377;
BgL_objz00_1377 = 
(BgL_objectz00_bglt)(BgL_nodez00_1375); 
{ /* ./Ast/check-init.scm 52 */
long BgL_objzd2classzd2numz00_1378;
BgL_objzd2classzd2numz00_1378 = 
BGL_OBJECT_CLASS_NUM(BgL_objz00_1377); 
{ /* ./Ast/check-init.scm 52 */
obj_t BgL_arg2017z00_1379;
{ /* ./Ast/check-init.scm 52 */
int BgL_auxz00_2272;
BgL_auxz00_2272 = 
(int)(((long)1)); 
BgL_arg2017z00_1379 = 
PROCEDURE_REF(BGl_checkzd2initzd2envz00zzast_checkzd2globalzd2initz00, BgL_auxz00_2272); } 
{ /* ./Ast/check-init.scm 52 */
int BgL_offsetz00_1382;
BgL_offsetz00_1382 = 
(int)(BgL_objzd2classzd2numz00_1378); 
{ /* ./Ast/check-init.scm 52 */
long BgL_offsetz00_1383;
{ /* ./Ast/check-init.scm 52 */
long BgL_auxz00_2276;
BgL_auxz00_2276 = 
(long)(BgL_offsetz00_1382); 
BgL_offsetz00_1383 = 
(BgL_auxz00_2276-OBJECT_TYPE); } 
{ /* ./Ast/check-init.scm 52 */
long BgL_modz00_1384;
{ /* ./Ast/check-init.scm 52 */
int BgL_arg2028z00_1385;
BgL_arg2028z00_1385 = 
(int)(((long)8)); 
{ /* ./Ast/check-init.scm 52 */
long BgL_n2z00_1393;
BgL_n2z00_1393 = 
(long)(BgL_arg2028z00_1385); 
BgL_modz00_1384 = 
(BgL_offsetz00_1383/BgL_n2z00_1393); } } 
{ /* ./Ast/check-init.scm 52 */
long BgL_restz00_1386;
{ /* ./Ast/check-init.scm 52 */
int BgL_arg2024z00_1387;
BgL_arg2024z00_1387 = 
(int)(((long)8)); 
{ /* ./Ast/check-init.scm 52 */
long BgL_n2z00_1396;
BgL_n2z00_1396 = 
(long)(BgL_arg2024z00_1387); 
BgL_restz00_1386 = 
(BgL_offsetz00_1383%BgL_n2z00_1396); } } 
{ /* ./Ast/check-init.scm 52 */

{ /* ./Ast/check-init.scm 52 */
obj_t BgL_bucketz00_1388;
{ /* ./Ast/check-init.scm 52 */
int BgL_kz00_1398;
BgL_kz00_1398 = 
(int)(BgL_modz00_1384); 
BgL_bucketz00_1388 = 
VECTOR_REF(BgL_arg2017z00_1379,BgL_kz00_1398); } 
{ /* ./Ast/check-init.scm 52 */
int BgL_kz00_1400;
BgL_kz00_1400 = 
(int)(BgL_restz00_1386); 
BgL_method2962z00_1376 = 
VECTOR_REF(BgL_bucketz00_1388,BgL_kz00_1400); } } } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2962z00_1376)(BgL_method2962z00_1376, 
(obj_t)(BgL_nodez00_1375), BEOA);} } } } } } 
}



/* check-init* */
bool_t BGl_checkzd2initza2z70zzast_checkzd2globalzd2initz00(obj_t BgL_nodeza2za2_40)
{ AN_OBJECT;
{ /* ./Ast/check-init.scm 236 */
{ 
obj_t BgL_l2959z00_798;
BgL_l2959z00_798 = BgL_nodeza2za2_40; 
BgL_forzd2each2960zd2_799:
{ /* ./Ast/check-init.scm 237 */
bool_t BgL_test3106z00_800;
BgL_test3106z00_800 = 
PAIRP(BgL_l2959z00_798); 
if(BgL_test3106z00_800)
{ /* ./Ast/check-init.scm 237 */
{ /* ./Ast/check-init.scm 237 */
obj_t BgL_arg3108z00_801;
BgL_arg3108z00_801 = 
CAR(BgL_l2959z00_798); 
{ /* ./Ast/check-init.scm 237 */
BgL_nodez00_bglt BgL_nodez00_1431;
BgL_nodez00_1431 = 
(BgL_nodez00_bglt)(BgL_arg3108z00_801); 
{ /* ./Ast/check-init.scm 237 */
obj_t BgL_method2962z00_1432;
{ /* ./Ast/check-init.scm 237 */
BgL_objectz00_bglt BgL_objz00_1433;
BgL_objz00_1433 = 
(BgL_objectz00_bglt)(BgL_nodez00_1431); 
{ /* ./Ast/check-init.scm 237 */
long BgL_objzd2classzd2numz00_1434;
BgL_objzd2classzd2numz00_1434 = 
BGL_OBJECT_CLASS_NUM(BgL_objz00_1433); 
{ /* ./Ast/check-init.scm 237 */
obj_t BgL_arg2017z00_1435;
{ /* ./Ast/check-init.scm 237 */
int BgL_auxz00_2298;
BgL_auxz00_2298 = 
(int)(((long)1)); 
BgL_arg2017z00_1435 = 
PROCEDURE_REF(BGl_checkzd2initzd2envz00zzast_checkzd2globalzd2initz00, BgL_auxz00_2298); } 
{ /* ./Ast/check-init.scm 237 */
int BgL_offsetz00_1438;
BgL_offsetz00_1438 = 
(int)(BgL_objzd2classzd2numz00_1434); 
{ /* ./Ast/check-init.scm 237 */
long BgL_offsetz00_1439;
{ /* ./Ast/check-init.scm 237 */
long BgL_auxz00_2302;
BgL_auxz00_2302 = 
(long)(BgL_offsetz00_1438); 
BgL_offsetz00_1439 = 
(BgL_auxz00_2302-OBJECT_TYPE); } 
{ /* ./Ast/check-init.scm 237 */
long BgL_modz00_1440;
{ /* ./Ast/check-init.scm 237 */
int BgL_arg2028z00_1441;
BgL_arg2028z00_1441 = 
(int)(((long)8)); 
{ /* ./Ast/check-init.scm 237 */
long BgL_n2z00_1449;
BgL_n2z00_1449 = 
(long)(BgL_arg2028z00_1441); 
BgL_modz00_1440 = 
(BgL_offsetz00_1439/BgL_n2z00_1449); } } 
{ /* ./Ast/check-init.scm 237 */
long BgL_restz00_1442;
{ /* ./Ast/check-init.scm 237 */
int BgL_arg2024z00_1443;
BgL_arg2024z00_1443 = 
(int)(((long)8)); 
{ /* ./Ast/check-init.scm 237 */
long BgL_n2z00_1452;
BgL_n2z00_1452 = 
(long)(BgL_arg2024z00_1443); 
BgL_restz00_1442 = 
(BgL_offsetz00_1439%BgL_n2z00_1452); } } 
{ /* ./Ast/check-init.scm 237 */

{ /* ./Ast/check-init.scm 237 */
obj_t BgL_bucketz00_1444;
{ /* ./Ast/check-init.scm 237 */
int BgL_kz00_1454;
BgL_kz00_1454 = 
(int)(BgL_modz00_1440); 
BgL_bucketz00_1444 = 
VECTOR_REF(BgL_arg2017z00_1435,BgL_kz00_1454); } 
{ /* ./Ast/check-init.scm 237 */
int BgL_kz00_1456;
BgL_kz00_1456 = 
(int)(BgL_restz00_1442); 
BgL_method2962z00_1432 = 
VECTOR_REF(BgL_bucketz00_1444,BgL_kz00_1456); } } } } } } } } } } 
PROCEDURE_ENTRY(BgL_method2962z00_1432)(BgL_method2962z00_1432, 
(obj_t)(BgL_nodez00_1431), BEOA); } } } 
{ /* ./Ast/check-init.scm 237 */
obj_t BgL_arg3112z00_802;
BgL_arg3112z00_802 = 
CDR(BgL_l2959z00_798); 
{ 
obj_t BgL_l2959z00_2319;
BgL_l2959z00_2319 = BgL_arg3112z00_802; 
BgL_l2959z00_798 = BgL_l2959z00_2319; 
goto BgL_forzd2each2960zd2_799;} } }  else 
{ /* ./Ast/check-init.scm 237 */
return ((bool_t)1);} } } } 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzast_checkzd2globalzd2initz00()
{ AN_OBJECT;
{ /* ./Ast/check-init.scm 18 */
BGl_addzd2genericz12zc0zz__objectz00(BGl_checkzd2initzd2envz00zzast_checkzd2globalzd2initz00, BGl_checkzd2initzd2default2961zd2envzd2zzast_checkzd2globalzd2initz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_checkzd2initzd2envz00zzast_checkzd2globalzd2initz00, BGl_varz00zzast_nodez00, BGl_proc4179z00zzast_checkzd2globalzd2initz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_checkzd2initzd2envz00zzast_checkzd2globalzd2initz00, BGl_sequencez00zzast_nodez00, BGl_proc4180z00zzast_checkzd2globalzd2initz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_checkzd2initzd2envz00zzast_checkzd2globalzd2initz00, BGl_appz00zzast_nodez00, BGl_proc4181z00zzast_checkzd2globalzd2initz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_checkzd2initzd2envz00zzast_checkzd2globalzd2initz00, BGl_appzd2lyzd2zzast_nodez00, BGl_proc4182z00zzast_checkzd2globalzd2initz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_checkzd2initzd2envz00zzast_checkzd2globalzd2initz00, BGl_funcallz00zzast_nodez00, BGl_proc4183z00zzast_checkzd2globalzd2initz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_checkzd2initzd2envz00zzast_checkzd2globalzd2initz00, BGl_externz00zzast_nodez00, BGl_proc4184z00zzast_checkzd2globalzd2initz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_checkzd2initzd2envz00zzast_checkzd2globalzd2initz00, BGl_castz00zzast_nodez00, BGl_proc4185z00zzast_checkzd2globalzd2initz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_checkzd2initzd2envz00zzast_checkzd2globalzd2initz00, BGl_setqz00zzast_nodez00, BGl_proc4186z00zzast_checkzd2globalzd2initz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_checkzd2initzd2envz00zzast_checkzd2globalzd2initz00, BGl_conditionalz00zzast_nodez00, BGl_proc4187z00zzast_checkzd2globalzd2initz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_checkzd2initzd2envz00zzast_checkzd2globalzd2initz00, BGl_failz00zzast_nodez00, BGl_proc4188z00zzast_checkzd2globalzd2initz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_checkzd2initzd2envz00zzast_checkzd2globalzd2initz00, BGl_selectz00zzast_nodez00, BGl_proc4189z00zzast_checkzd2globalzd2initz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_checkzd2initzd2envz00zzast_checkzd2globalzd2initz00, BGl_letzd2funzd2zzast_nodez00, BGl_proc4190z00zzast_checkzd2globalzd2initz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_checkzd2initzd2envz00zzast_checkzd2globalzd2initz00, BGl_letzd2varzd2zzast_nodez00, BGl_proc4191z00zzast_checkzd2globalzd2initz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_checkzd2initzd2envz00zzast_checkzd2globalzd2initz00, BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc4192z00zzast_checkzd2globalzd2initz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_checkzd2initzd2envz00zzast_checkzd2globalzd2initz00, BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc4193z00zzast_checkzd2globalzd2initz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_checkzd2initzd2envz00zzast_checkzd2globalzd2initz00, BGl_makezd2boxzd2zzast_nodez00, BGl_proc4194z00zzast_checkzd2globalzd2initz00); 
return 
BGl_addzd2methodz12zc0zz__objectz00(BGl_checkzd2initzd2envz00zzast_checkzd2globalzd2initz00, BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc4195z00zzast_checkzd2globalzd2initz00);} 
}



/* check-init-box-set!3000 */
obj_t BGl_checkzd2initzd2boxzd2setz123000zc0zzast_checkzd2globalzd2initz00(obj_t BgL_envz00_2110, obj_t BgL_nodez00_2111)
{ AN_OBJECT;
{ /* ./Ast/check-init.scm 229 */
{ 
BgL_boxzd2setz12zc0_bglt BgL_nodez00_1325;
BgL_nodez00_1325 = 
(BgL_boxzd2setz12zc0_bglt)(BgL_nodez00_2111); 
{ /* ./Ast/check-init.scm 230 */
BgL_nodez00_bglt BgL_arg3733z00_2034;
BgL_arg3733z00_2034 = 
(((BgL_boxzd2setz12zc0_bglt)CREF(BgL_nodez00_1325))->BgL_valuez00); 
{ /* ./Ast/check-init.scm 230 */
obj_t BgL_method2962z00_2037;
{ /* ./Ast/check-init.scm 230 */
BgL_objectz00_bglt BgL_objz00_2038;
BgL_objz00_2038 = 
(BgL_objectz00_bglt)(BgL_arg3733z00_2034); 
{ /* ./Ast/check-init.scm 230 */
long BgL_objzd2classzd2numz00_2039;
BgL_objzd2classzd2numz00_2039 = 
BGL_OBJECT_CLASS_NUM(BgL_objz00_2038); 
{ /* ./Ast/check-init.scm 230 */
obj_t BgL_arg2017z00_2040;
{ /* ./Ast/check-init.scm 230 */
int BgL_auxz00_2341;
BgL_auxz00_2341 = 
(int)(((long)1)); 
BgL_arg2017z00_2040 = 
PROCEDURE_REF(BGl_checkzd2initzd2envz00zzast_checkzd2globalzd2initz00, BgL_auxz00_2341); } 
{ /* ./Ast/check-init.scm 230 */
int BgL_offsetz00_2043;
BgL_offsetz00_2043 = 
(int)(BgL_objzd2classzd2numz00_2039); 
{ /* ./Ast/check-init.scm 230 */
long BgL_offsetz00_2044;
{ /* ./Ast/check-init.scm 230 */
long BgL_auxz00_2345;
BgL_auxz00_2345 = 
(long)(BgL_offsetz00_2043); 
BgL_offsetz00_2044 = 
(BgL_auxz00_2345-OBJECT_TYPE); } 
{ /* ./Ast/check-init.scm 230 */
long BgL_modz00_2045;
{ /* ./Ast/check-init.scm 230 */
int BgL_arg2028z00_2046;
BgL_arg2028z00_2046 = 
(int)(((long)8)); 
{ /* ./Ast/check-init.scm 230 */
long BgL_n2z00_2054;
BgL_n2z00_2054 = 
(long)(BgL_arg2028z00_2046); 
BgL_modz00_2045 = 
(BgL_offsetz00_2044/BgL_n2z00_2054); } } 
{ /* ./Ast/check-init.scm 230 */
long BgL_restz00_2047;
{ /* ./Ast/check-init.scm 230 */
int BgL_arg2024z00_2048;
BgL_arg2024z00_2048 = 
(int)(((long)8)); 
{ /* ./Ast/check-init.scm 230 */
long BgL_n2z00_2057;
BgL_n2z00_2057 = 
(long)(BgL_arg2024z00_2048); 
BgL_restz00_2047 = 
(BgL_offsetz00_2044%BgL_n2z00_2057); } } 
{ /* ./Ast/check-init.scm 230 */

{ /* ./Ast/check-init.scm 230 */
obj_t BgL_bucketz00_2049;
{ /* ./Ast/check-init.scm 230 */
int BgL_kz00_2059;
BgL_kz00_2059 = 
(int)(BgL_modz00_2045); 
BgL_bucketz00_2049 = 
VECTOR_REF(BgL_arg2017z00_2040,BgL_kz00_2059); } 
{ /* ./Ast/check-init.scm 230 */
int BgL_kz00_2061;
BgL_kz00_2061 = 
(int)(BgL_restz00_2047); 
BgL_method2962z00_2037 = 
VECTOR_REF(BgL_bucketz00_2049,BgL_kz00_2061); } } } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2962z00_2037)(BgL_method2962z00_2037, 
(obj_t)(BgL_arg3733z00_2034), BEOA);} } } } 
}



/* check-init-make-box2998 */
obj_t BGl_checkzd2initzd2makezd2box2998zd2zzast_checkzd2globalzd2initz00(obj_t BgL_envz00_2112, obj_t BgL_nodez00_2113)
{ AN_OBJECT;
{ /* ./Ast/check-init.scm 223 */
{ 
BgL_makezd2boxzd2_bglt BgL_nodez00_1319;
BgL_nodez00_1319 = 
(BgL_makezd2boxzd2_bglt)(BgL_nodez00_2113); 
{ /* ./Ast/check-init.scm 224 */
BgL_nodez00_bglt BgL_arg3723z00_2005;
BgL_arg3723z00_2005 = 
(((BgL_makezd2boxzd2_bglt)CREF(BgL_nodez00_1319))->BgL_valuez00); 
{ /* ./Ast/check-init.scm 224 */
obj_t BgL_method2962z00_2008;
{ /* ./Ast/check-init.scm 224 */
BgL_objectz00_bglt BgL_objz00_2009;
BgL_objz00_2009 = 
(BgL_objectz00_bglt)(BgL_arg3723z00_2005); 
{ /* ./Ast/check-init.scm 224 */
long BgL_objzd2classzd2numz00_2010;
BgL_objzd2classzd2numz00_2010 = 
BGL_OBJECT_CLASS_NUM(BgL_objz00_2009); 
{ /* ./Ast/check-init.scm 224 */
obj_t BgL_arg2017z00_2011;
{ /* ./Ast/check-init.scm 224 */
int BgL_auxz00_2365;
BgL_auxz00_2365 = 
(int)(((long)1)); 
BgL_arg2017z00_2011 = 
PROCEDURE_REF(BGl_checkzd2initzd2envz00zzast_checkzd2globalzd2initz00, BgL_auxz00_2365); } 
{ /* ./Ast/check-init.scm 224 */
int BgL_offsetz00_2014;
BgL_offsetz00_2014 = 
(int)(BgL_objzd2classzd2numz00_2010); 
{ /* ./Ast/check-init.scm 224 */
long BgL_offsetz00_2015;
{ /* ./Ast/check-init.scm 224 */
long BgL_auxz00_2369;
BgL_auxz00_2369 = 
(long)(BgL_offsetz00_2014); 
BgL_offsetz00_2015 = 
(BgL_auxz00_2369-OBJECT_TYPE); } 
{ /* ./Ast/check-init.scm 224 */
long BgL_modz00_2016;
{ /* ./Ast/check-init.scm 224 */
int BgL_arg2028z00_2017;
BgL_arg2028z00_2017 = 
(int)(((long)8)); 
{ /* ./Ast/check-init.scm 224 */
long BgL_n2z00_2025;
BgL_n2z00_2025 = 
(long)(BgL_arg2028z00_2017); 
BgL_modz00_2016 = 
(BgL_offsetz00_2015/BgL_n2z00_2025); } } 
{ /* ./Ast/check-init.scm 224 */
long BgL_restz00_2018;
{ /* ./Ast/check-init.scm 224 */
int BgL_arg2024z00_2019;
BgL_arg2024z00_2019 = 
(int)(((long)8)); 
{ /* ./Ast/check-init.scm 224 */
long BgL_n2z00_2028;
BgL_n2z00_2028 = 
(long)(BgL_arg2024z00_2019); 
BgL_restz00_2018 = 
(BgL_offsetz00_2015%BgL_n2z00_2028); } } 
{ /* ./Ast/check-init.scm 224 */

{ /* ./Ast/check-init.scm 224 */
obj_t BgL_bucketz00_2020;
{ /* ./Ast/check-init.scm 224 */
int BgL_kz00_2030;
BgL_kz00_2030 = 
(int)(BgL_modz00_2016); 
BgL_bucketz00_2020 = 
VECTOR_REF(BgL_arg2017z00_2011,BgL_kz00_2030); } 
{ /* ./Ast/check-init.scm 224 */
int BgL_kz00_2032;
BgL_kz00_2032 = 
(int)(BgL_restz00_2018); 
BgL_method2962z00_2008 = 
VECTOR_REF(BgL_bucketz00_2020,BgL_kz00_2032); } } } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2962z00_2008)(BgL_method2962z00_2008, 
(obj_t)(BgL_arg3723z00_2005), BEOA);} } } } 
}



/* check-init-jump-ex-it2995 */
obj_t BGl_checkzd2initzd2jumpzd2exzd2it2995z00zzast_checkzd2globalzd2initz00(obj_t BgL_envz00_2114, obj_t BgL_nodez00_2115)
{ AN_OBJECT;
{ /* ./Ast/check-init.scm 215 */
{ 
BgL_jumpzd2exzd2itz00_bglt BgL_nodez00_1312;
BgL_nodez00_1312 = 
(BgL_jumpzd2exzd2itz00_bglt)(BgL_nodez00_2115); 
{ /* ./Ast/check-init.scm 216 */
BgL_nodez00_bglt BgL_arg3712z00_1951;
BgL_arg3712z00_1951 = 
(((BgL_jumpzd2exzd2itz00_bglt)CREF(BgL_nodez00_1312))->BgL_exitz00); 
{ /* ./Ast/check-init.scm 216 */
obj_t BgL_method2962z00_1954;
{ /* ./Ast/check-init.scm 216 */
BgL_objectz00_bglt BgL_objz00_1955;
BgL_objz00_1955 = 
(BgL_objectz00_bglt)(BgL_arg3712z00_1951); 
{ /* ./Ast/check-init.scm 216 */
long BgL_objzd2classzd2numz00_1956;
BgL_objzd2classzd2numz00_1956 = 
BGL_OBJECT_CLASS_NUM(BgL_objz00_1955); 
{ /* ./Ast/check-init.scm 216 */
obj_t BgL_arg2017z00_1957;
{ /* ./Ast/check-init.scm 216 */
int BgL_auxz00_2389;
BgL_auxz00_2389 = 
(int)(((long)1)); 
BgL_arg2017z00_1957 = 
PROCEDURE_REF(BGl_checkzd2initzd2envz00zzast_checkzd2globalzd2initz00, BgL_auxz00_2389); } 
{ /* ./Ast/check-init.scm 216 */
int BgL_offsetz00_1960;
BgL_offsetz00_1960 = 
(int)(BgL_objzd2classzd2numz00_1956); 
{ /* ./Ast/check-init.scm 216 */
long BgL_offsetz00_1961;
{ /* ./Ast/check-init.scm 216 */
long BgL_auxz00_2393;
BgL_auxz00_2393 = 
(long)(BgL_offsetz00_1960); 
BgL_offsetz00_1961 = 
(BgL_auxz00_2393-OBJECT_TYPE); } 
{ /* ./Ast/check-init.scm 216 */
long BgL_modz00_1962;
{ /* ./Ast/check-init.scm 216 */
int BgL_arg2028z00_1963;
BgL_arg2028z00_1963 = 
(int)(((long)8)); 
{ /* ./Ast/check-init.scm 216 */
long BgL_n2z00_1971;
BgL_n2z00_1971 = 
(long)(BgL_arg2028z00_1963); 
BgL_modz00_1962 = 
(BgL_offsetz00_1961/BgL_n2z00_1971); } } 
{ /* ./Ast/check-init.scm 216 */
long BgL_restz00_1964;
{ /* ./Ast/check-init.scm 216 */
int BgL_arg2024z00_1965;
BgL_arg2024z00_1965 = 
(int)(((long)8)); 
{ /* ./Ast/check-init.scm 216 */
long BgL_n2z00_1974;
BgL_n2z00_1974 = 
(long)(BgL_arg2024z00_1965); 
BgL_restz00_1964 = 
(BgL_offsetz00_1961%BgL_n2z00_1974); } } 
{ /* ./Ast/check-init.scm 216 */

{ /* ./Ast/check-init.scm 216 */
obj_t BgL_bucketz00_1966;
{ /* ./Ast/check-init.scm 216 */
int BgL_kz00_1976;
BgL_kz00_1976 = 
(int)(BgL_modz00_1962); 
BgL_bucketz00_1966 = 
VECTOR_REF(BgL_arg2017z00_1957,BgL_kz00_1976); } 
{ /* ./Ast/check-init.scm 216 */
int BgL_kz00_1978;
BgL_kz00_1978 = 
(int)(BgL_restz00_1964); 
BgL_method2962z00_1954 = 
VECTOR_REF(BgL_bucketz00_1966,BgL_kz00_1978); } } } } } } } } } } 
PROCEDURE_ENTRY(BgL_method2962z00_1954)(BgL_method2962z00_1954, 
(obj_t)(BgL_arg3712z00_1951), BEOA); } } 
{ /* ./Ast/check-init.scm 216 */
BgL_nodez00_bglt BgL_nodez00_1979;
BgL_nodez00_1979 = 
(BgL_nodez00_bglt)(BGl_valuez00zzast_varz00); 
{ /* ./Ast/check-init.scm 216 */
obj_t BgL_method2962z00_1980;
{ /* ./Ast/check-init.scm 216 */
BgL_objectz00_bglt BgL_objz00_1981;
BgL_objz00_1981 = 
(BgL_objectz00_bglt)(BgL_nodez00_1979); 
{ /* ./Ast/check-init.scm 216 */
long BgL_objzd2classzd2numz00_1982;
BgL_objzd2classzd2numz00_1982 = 
BGL_OBJECT_CLASS_NUM(BgL_objz00_1981); 
{ /* ./Ast/check-init.scm 216 */
obj_t BgL_arg2017z00_1983;
{ /* ./Ast/check-init.scm 216 */
int BgL_auxz00_2412;
BgL_auxz00_2412 = 
(int)(((long)1)); 
BgL_arg2017z00_1983 = 
PROCEDURE_REF(BGl_checkzd2initzd2envz00zzast_checkzd2globalzd2initz00, BgL_auxz00_2412); } 
{ /* ./Ast/check-init.scm 216 */
int BgL_offsetz00_1986;
BgL_offsetz00_1986 = 
(int)(BgL_objzd2classzd2numz00_1982); 
{ /* ./Ast/check-init.scm 216 */
long BgL_offsetz00_1987;
{ /* ./Ast/check-init.scm 216 */
long BgL_auxz00_2416;
BgL_auxz00_2416 = 
(long)(BgL_offsetz00_1986); 
BgL_offsetz00_1987 = 
(BgL_auxz00_2416-OBJECT_TYPE); } 
{ /* ./Ast/check-init.scm 216 */
long BgL_modz00_1988;
{ /* ./Ast/check-init.scm 216 */
int BgL_arg2028z00_1989;
BgL_arg2028z00_1989 = 
(int)(((long)8)); 
{ /* ./Ast/check-init.scm 216 */
long BgL_n2z00_1997;
BgL_n2z00_1997 = 
(long)(BgL_arg2028z00_1989); 
BgL_modz00_1988 = 
(BgL_offsetz00_1987/BgL_n2z00_1997); } } 
{ /* ./Ast/check-init.scm 216 */
long BgL_restz00_1990;
{ /* ./Ast/check-init.scm 216 */
int BgL_arg2024z00_1991;
BgL_arg2024z00_1991 = 
(int)(((long)8)); 
{ /* ./Ast/check-init.scm 216 */
long BgL_n2z00_2000;
BgL_n2z00_2000 = 
(long)(BgL_arg2024z00_1991); 
BgL_restz00_1990 = 
(BgL_offsetz00_1987%BgL_n2z00_2000); } } 
{ /* ./Ast/check-init.scm 216 */

{ /* ./Ast/check-init.scm 216 */
obj_t BgL_bucketz00_1992;
{ /* ./Ast/check-init.scm 216 */
int BgL_kz00_2002;
BgL_kz00_2002 = 
(int)(BgL_modz00_1988); 
BgL_bucketz00_1992 = 
VECTOR_REF(BgL_arg2017z00_1983,BgL_kz00_2002); } 
{ /* ./Ast/check-init.scm 216 */
int BgL_kz00_2004;
BgL_kz00_2004 = 
(int)(BgL_restz00_1990); 
BgL_method2962z00_1980 = 
VECTOR_REF(BgL_bucketz00_1992,BgL_kz00_2004); } } } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2962z00_1980)(BgL_method2962z00_1980, 
(obj_t)(BgL_nodez00_1979), BEOA);} } } } 
}



/* check-init-set-ex-it2993 */
obj_t BGl_checkzd2initzd2setzd2exzd2it2993z00zzast_checkzd2globalzd2initz00(obj_t BgL_envz00_2116, obj_t BgL_nodez00_2117)
{ AN_OBJECT;
{ /* ./Ast/check-init.scm 209 */
{ 
BgL_setzd2exzd2itz00_bglt BgL_nodez00_1306;
BgL_nodez00_1306 = 
(BgL_setzd2exzd2itz00_bglt)(BgL_nodez00_2117); 
{ /* ./Ast/check-init.scm 210 */
BgL_nodez00_bglt BgL_arg3702z00_1922;
BgL_arg3702z00_1922 = 
(((BgL_setzd2exzd2itz00_bglt)CREF(BgL_nodez00_1306))->BgL_bodyz00); 
{ /* ./Ast/check-init.scm 210 */
obj_t BgL_method2962z00_1925;
{ /* ./Ast/check-init.scm 210 */
BgL_objectz00_bglt BgL_objz00_1926;
BgL_objz00_1926 = 
(BgL_objectz00_bglt)(BgL_arg3702z00_1922); 
{ /* ./Ast/check-init.scm 210 */
long BgL_objzd2classzd2numz00_1927;
BgL_objzd2classzd2numz00_1927 = 
BGL_OBJECT_CLASS_NUM(BgL_objz00_1926); 
{ /* ./Ast/check-init.scm 210 */
obj_t BgL_arg2017z00_1928;
{ /* ./Ast/check-init.scm 210 */
int BgL_auxz00_2436;
BgL_auxz00_2436 = 
(int)(((long)1)); 
BgL_arg2017z00_1928 = 
PROCEDURE_REF(BGl_checkzd2initzd2envz00zzast_checkzd2globalzd2initz00, BgL_auxz00_2436); } 
{ /* ./Ast/check-init.scm 210 */
int BgL_offsetz00_1931;
BgL_offsetz00_1931 = 
(int)(BgL_objzd2classzd2numz00_1927); 
{ /* ./Ast/check-init.scm 210 */
long BgL_offsetz00_1932;
{ /* ./Ast/check-init.scm 210 */
long BgL_auxz00_2440;
BgL_auxz00_2440 = 
(long)(BgL_offsetz00_1931); 
BgL_offsetz00_1932 = 
(BgL_auxz00_2440-OBJECT_TYPE); } 
{ /* ./Ast/check-init.scm 210 */
long BgL_modz00_1933;
{ /* ./Ast/check-init.scm 210 */
int BgL_arg2028z00_1934;
BgL_arg2028z00_1934 = 
(int)(((long)8)); 
{ /* ./Ast/check-init.scm 210 */
long BgL_n2z00_1942;
BgL_n2z00_1942 = 
(long)(BgL_arg2028z00_1934); 
BgL_modz00_1933 = 
(BgL_offsetz00_1932/BgL_n2z00_1942); } } 
{ /* ./Ast/check-init.scm 210 */
long BgL_restz00_1935;
{ /* ./Ast/check-init.scm 210 */
int BgL_arg2024z00_1936;
BgL_arg2024z00_1936 = 
(int)(((long)8)); 
{ /* ./Ast/check-init.scm 210 */
long BgL_n2z00_1945;
BgL_n2z00_1945 = 
(long)(BgL_arg2024z00_1936); 
BgL_restz00_1935 = 
(BgL_offsetz00_1932%BgL_n2z00_1945); } } 
{ /* ./Ast/check-init.scm 210 */

{ /* ./Ast/check-init.scm 210 */
obj_t BgL_bucketz00_1937;
{ /* ./Ast/check-init.scm 210 */
int BgL_kz00_1947;
BgL_kz00_1947 = 
(int)(BgL_modz00_1933); 
BgL_bucketz00_1937 = 
VECTOR_REF(BgL_arg2017z00_1928,BgL_kz00_1947); } 
{ /* ./Ast/check-init.scm 210 */
int BgL_kz00_1949;
BgL_kz00_1949 = 
(int)(BgL_restz00_1935); 
BgL_method2962z00_1925 = 
VECTOR_REF(BgL_bucketz00_1937,BgL_kz00_1949); } } } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2962z00_1925)(BgL_method2962z00_1925, 
(obj_t)(BgL_arg3702z00_1922), BEOA);} } } } 
}



/* check-init-let-var2991 */
obj_t BGl_checkzd2initzd2letzd2var2991zd2zzast_checkzd2globalzd2initz00(obj_t BgL_envz00_2118, obj_t BgL_nodez00_2119)
{ AN_OBJECT;
{ /* ./Ast/check-init.scm 199 */
{ 
BgL_letzd2varzd2_bglt BgL_nodez00_1292;
{ /* ./Ast/check-init.scm 200 */
bool_t BgL_auxz00_2457;
BgL_nodez00_1292 = 
(BgL_letzd2varzd2_bglt)(BgL_nodez00_2119); 
{ /* ./Ast/check-init.scm 201 */
BgL_nodez00_bglt BgL_arg3676z00_1296;
BgL_arg3676z00_1296 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_nodez00_1292))->BgL_bodyz00); 
{ /* ./Ast/check-init.scm 201 */
obj_t BgL_method2962z00_1866;
{ /* ./Ast/check-init.scm 201 */
BgL_objectz00_bglt BgL_objz00_1867;
BgL_objz00_1867 = 
(BgL_objectz00_bglt)(BgL_arg3676z00_1296); 
{ /* ./Ast/check-init.scm 201 */
long BgL_objzd2classzd2numz00_1868;
BgL_objzd2classzd2numz00_1868 = 
BGL_OBJECT_CLASS_NUM(BgL_objz00_1867); 
{ /* ./Ast/check-init.scm 201 */
obj_t BgL_arg2017z00_1869;
{ /* ./Ast/check-init.scm 201 */
int BgL_auxz00_2461;
BgL_auxz00_2461 = 
(int)(((long)1)); 
BgL_arg2017z00_1869 = 
PROCEDURE_REF(BGl_checkzd2initzd2envz00zzast_checkzd2globalzd2initz00, BgL_auxz00_2461); } 
{ /* ./Ast/check-init.scm 201 */
int BgL_offsetz00_1872;
BgL_offsetz00_1872 = 
(int)(BgL_objzd2classzd2numz00_1868); 
{ /* ./Ast/check-init.scm 201 */
long BgL_offsetz00_1873;
{ /* ./Ast/check-init.scm 201 */
long BgL_auxz00_2465;
BgL_auxz00_2465 = 
(long)(BgL_offsetz00_1872); 
BgL_offsetz00_1873 = 
(BgL_auxz00_2465-OBJECT_TYPE); } 
{ /* ./Ast/check-init.scm 201 */
long BgL_modz00_1874;
{ /* ./Ast/check-init.scm 201 */
int BgL_arg2028z00_1875;
BgL_arg2028z00_1875 = 
(int)(((long)8)); 
{ /* ./Ast/check-init.scm 201 */
long BgL_n2z00_1883;
BgL_n2z00_1883 = 
(long)(BgL_arg2028z00_1875); 
BgL_modz00_1874 = 
(BgL_offsetz00_1873/BgL_n2z00_1883); } } 
{ /* ./Ast/check-init.scm 201 */
long BgL_restz00_1876;
{ /* ./Ast/check-init.scm 201 */
int BgL_arg2024z00_1877;
BgL_arg2024z00_1877 = 
(int)(((long)8)); 
{ /* ./Ast/check-init.scm 201 */
long BgL_n2z00_1886;
BgL_n2z00_1886 = 
(long)(BgL_arg2024z00_1877); 
BgL_restz00_1876 = 
(BgL_offsetz00_1873%BgL_n2z00_1886); } } 
{ /* ./Ast/check-init.scm 201 */

{ /* ./Ast/check-init.scm 201 */
obj_t BgL_bucketz00_1878;
{ /* ./Ast/check-init.scm 201 */
int BgL_kz00_1888;
BgL_kz00_1888 = 
(int)(BgL_modz00_1874); 
BgL_bucketz00_1878 = 
VECTOR_REF(BgL_arg2017z00_1869,BgL_kz00_1888); } 
{ /* ./Ast/check-init.scm 201 */
int BgL_kz00_1890;
BgL_kz00_1890 = 
(int)(BgL_restz00_1876); 
BgL_method2962z00_1866 = 
VECTOR_REF(BgL_bucketz00_1878,BgL_kz00_1890); } } } } } } } } } } 
PROCEDURE_ENTRY(BgL_method2962z00_1866)(BgL_method2962z00_1866, 
(obj_t)(BgL_arg3676z00_1296), BEOA); } } 
{ 
obj_t BgL_l2953z00_1297;
{ /* ./Ast/check-init.scm 202 */
obj_t BgL_arg3681z00_1299;
BgL_arg3681z00_1299 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_nodez00_1292))->BgL_bindingsz00); 
BgL_l2953z00_1297 = BgL_arg3681z00_1299; 
BgL_forzd2each2954zd2_1298:
{ /* ./Ast/check-init.scm 202 */
bool_t BgL_test3684z00_1300;
BgL_test3684z00_1300 = 
PAIRP(BgL_l2953z00_1297); 
if(BgL_test3684z00_1300)
{ /* ./Ast/check-init.scm 202 */
{ /* ./Ast/check-init.scm 203 */
obj_t BgL_bindingz00_1301;
BgL_bindingz00_1301 = 
CAR(BgL_l2953z00_1297); 
{ /* ./Ast/check-init.scm 203 */
obj_t BgL_arg3686z00_1302;
BgL_arg3686z00_1302 = 
CDR(BgL_bindingz00_1301); 
{ /* ./Ast/check-init.scm 203 */
BgL_nodez00_bglt BgL_nodez00_1895;
BgL_nodez00_1895 = 
(BgL_nodez00_bglt)(BgL_arg3686z00_1302); 
{ /* ./Ast/check-init.scm 203 */
obj_t BgL_method2962z00_1896;
{ /* ./Ast/check-init.scm 203 */
BgL_objectz00_bglt BgL_objz00_1897;
BgL_objz00_1897 = 
(BgL_objectz00_bglt)(BgL_nodez00_1895); 
{ /* ./Ast/check-init.scm 203 */
long BgL_objzd2classzd2numz00_1898;
BgL_objzd2classzd2numz00_1898 = 
BGL_OBJECT_CLASS_NUM(BgL_objz00_1897); 
{ /* ./Ast/check-init.scm 203 */
obj_t BgL_arg2017z00_1899;
{ /* ./Ast/check-init.scm 203 */
int BgL_auxz00_2489;
BgL_auxz00_2489 = 
(int)(((long)1)); 
BgL_arg2017z00_1899 = 
PROCEDURE_REF(BGl_checkzd2initzd2envz00zzast_checkzd2globalzd2initz00, BgL_auxz00_2489); } 
{ /* ./Ast/check-init.scm 203 */
int BgL_offsetz00_1902;
BgL_offsetz00_1902 = 
(int)(BgL_objzd2classzd2numz00_1898); 
{ /* ./Ast/check-init.scm 203 */
long BgL_offsetz00_1903;
{ /* ./Ast/check-init.scm 203 */
long BgL_auxz00_2493;
BgL_auxz00_2493 = 
(long)(BgL_offsetz00_1902); 
BgL_offsetz00_1903 = 
(BgL_auxz00_2493-OBJECT_TYPE); } 
{ /* ./Ast/check-init.scm 203 */
long BgL_modz00_1904;
{ /* ./Ast/check-init.scm 203 */
int BgL_arg2028z00_1905;
BgL_arg2028z00_1905 = 
(int)(((long)8)); 
{ /* ./Ast/check-init.scm 203 */
long BgL_n2z00_1913;
BgL_n2z00_1913 = 
(long)(BgL_arg2028z00_1905); 
BgL_modz00_1904 = 
(BgL_offsetz00_1903/BgL_n2z00_1913); } } 
{ /* ./Ast/check-init.scm 203 */
long BgL_restz00_1906;
{ /* ./Ast/check-init.scm 203 */
int BgL_arg2024z00_1907;
BgL_arg2024z00_1907 = 
(int)(((long)8)); 
{ /* ./Ast/check-init.scm 203 */
long BgL_n2z00_1916;
BgL_n2z00_1916 = 
(long)(BgL_arg2024z00_1907); 
BgL_restz00_1906 = 
(BgL_offsetz00_1903%BgL_n2z00_1916); } } 
{ /* ./Ast/check-init.scm 203 */

{ /* ./Ast/check-init.scm 203 */
obj_t BgL_bucketz00_1908;
{ /* ./Ast/check-init.scm 203 */
int BgL_kz00_1918;
BgL_kz00_1918 = 
(int)(BgL_modz00_1904); 
BgL_bucketz00_1908 = 
VECTOR_REF(BgL_arg2017z00_1899,BgL_kz00_1918); } 
{ /* ./Ast/check-init.scm 203 */
int BgL_kz00_1920;
BgL_kz00_1920 = 
(int)(BgL_restz00_1906); 
BgL_method2962z00_1896 = 
VECTOR_REF(BgL_bucketz00_1908,BgL_kz00_1920); } } } } } } } } } } 
PROCEDURE_ENTRY(BgL_method2962z00_1896)(BgL_method2962z00_1896, 
(obj_t)(BgL_nodez00_1895), BEOA); } } } } 
{ /* ./Ast/check-init.scm 202 */
obj_t BgL_arg3691z00_1303;
BgL_arg3691z00_1303 = 
CDR(BgL_l2953z00_1297); 
{ 
obj_t BgL_l2953z00_2510;
BgL_l2953z00_2510 = BgL_arg3691z00_1303; 
BgL_l2953z00_1297 = BgL_l2953z00_2510; 
goto BgL_forzd2each2954zd2_1298;} } }  else 
{ /* ./Ast/check-init.scm 202 */
BgL_auxz00_2457 = ((bool_t)1); } } } } 
return 
BBOOL(BgL_auxz00_2457);} } } 
}



/* check-init-let-fun2989 */
obj_t BGl_checkzd2initzd2letzd2fun2989zd2zzast_checkzd2globalzd2initz00(obj_t BgL_envz00_2120, obj_t BgL_nodez00_2121)
{ AN_OBJECT;
{ /* ./Ast/check-init.scm 192 */
{ 
BgL_letzd2funzd2_bglt BgL_nodez00_1285;
BgL_nodez00_1285 = 
(BgL_letzd2funzd2_bglt)(BgL_nodez00_2121); 
{ /* ./Ast/check-init.scm 193 */
BgL_nodez00_bglt BgL_arg3666z00_1836;
BgL_arg3666z00_1836 = 
(((BgL_letzd2funzd2_bglt)CREF(BgL_nodez00_1285))->BgL_bodyz00); 
{ /* ./Ast/check-init.scm 193 */
obj_t BgL_method2962z00_1839;
{ /* ./Ast/check-init.scm 193 */
BgL_objectz00_bglt BgL_objz00_1840;
BgL_objz00_1840 = 
(BgL_objectz00_bglt)(BgL_arg3666z00_1836); 
{ /* ./Ast/check-init.scm 193 */
long BgL_objzd2classzd2numz00_1841;
BgL_objzd2classzd2numz00_1841 = 
BGL_OBJECT_CLASS_NUM(BgL_objz00_1840); 
{ /* ./Ast/check-init.scm 193 */
obj_t BgL_arg2017z00_1842;
{ /* ./Ast/check-init.scm 193 */
int BgL_auxz00_2516;
BgL_auxz00_2516 = 
(int)(((long)1)); 
BgL_arg2017z00_1842 = 
PROCEDURE_REF(BGl_checkzd2initzd2envz00zzast_checkzd2globalzd2initz00, BgL_auxz00_2516); } 
{ /* ./Ast/check-init.scm 193 */
int BgL_offsetz00_1845;
BgL_offsetz00_1845 = 
(int)(BgL_objzd2classzd2numz00_1841); 
{ /* ./Ast/check-init.scm 193 */
long BgL_offsetz00_1846;
{ /* ./Ast/check-init.scm 193 */
long BgL_auxz00_2520;
BgL_auxz00_2520 = 
(long)(BgL_offsetz00_1845); 
BgL_offsetz00_1846 = 
(BgL_auxz00_2520-OBJECT_TYPE); } 
{ /* ./Ast/check-init.scm 193 */
long BgL_modz00_1847;
{ /* ./Ast/check-init.scm 193 */
int BgL_arg2028z00_1848;
BgL_arg2028z00_1848 = 
(int)(((long)8)); 
{ /* ./Ast/check-init.scm 193 */
long BgL_n2z00_1856;
BgL_n2z00_1856 = 
(long)(BgL_arg2028z00_1848); 
BgL_modz00_1847 = 
(BgL_offsetz00_1846/BgL_n2z00_1856); } } 
{ /* ./Ast/check-init.scm 193 */
long BgL_restz00_1849;
{ /* ./Ast/check-init.scm 193 */
int BgL_arg2024z00_1850;
BgL_arg2024z00_1850 = 
(int)(((long)8)); 
{ /* ./Ast/check-init.scm 193 */
long BgL_n2z00_1859;
BgL_n2z00_1859 = 
(long)(BgL_arg2024z00_1850); 
BgL_restz00_1849 = 
(BgL_offsetz00_1846%BgL_n2z00_1859); } } 
{ /* ./Ast/check-init.scm 193 */

{ /* ./Ast/check-init.scm 193 */
obj_t BgL_bucketz00_1851;
{ /* ./Ast/check-init.scm 193 */
int BgL_kz00_1861;
BgL_kz00_1861 = 
(int)(BgL_modz00_1847); 
BgL_bucketz00_1851 = 
VECTOR_REF(BgL_arg2017z00_1842,BgL_kz00_1861); } 
{ /* ./Ast/check-init.scm 193 */
int BgL_kz00_1863;
BgL_kz00_1863 = 
(int)(BgL_restz00_1849); 
BgL_method2962z00_1839 = 
VECTOR_REF(BgL_bucketz00_1851,BgL_kz00_1863); } } } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2962z00_1839)(BgL_method2962z00_1839, 
(obj_t)(BgL_arg3666z00_1836), BEOA);} } } } 
}



/* check-init-select2987 */
obj_t BGl_checkzd2initzd2select2987z00zzast_checkzd2globalzd2initz00(obj_t BgL_envz00_2122, obj_t BgL_nodez00_2123)
{ AN_OBJECT;
{ /* ./Ast/check-init.scm 179 */
{ 
BgL_selectz00_bglt BgL_nodez00_1271;
{ /* ./Ast/check-init.scm 180 */
bool_t BgL_auxz00_2537;
BgL_nodez00_1271 = 
(BgL_selectz00_bglt)(BgL_nodez00_2123); 
{ /* ./Ast/check-init.scm 181 */
BgL_nodez00_bglt BgL_arg3641z00_1275;
BgL_arg3641z00_1275 = 
(((BgL_selectz00_bglt)CREF(BgL_nodez00_1271))->BgL_testz00); 
{ /* ./Ast/check-init.scm 181 */
obj_t BgL_method2962z00_1779;
{ /* ./Ast/check-init.scm 181 */
BgL_objectz00_bglt BgL_objz00_1780;
BgL_objz00_1780 = 
(BgL_objectz00_bglt)(BgL_arg3641z00_1275); 
{ /* ./Ast/check-init.scm 181 */
long BgL_objzd2classzd2numz00_1781;
BgL_objzd2classzd2numz00_1781 = 
BGL_OBJECT_CLASS_NUM(BgL_objz00_1780); 
{ /* ./Ast/check-init.scm 181 */
obj_t BgL_arg2017z00_1782;
{ /* ./Ast/check-init.scm 181 */
int BgL_auxz00_2541;
BgL_auxz00_2541 = 
(int)(((long)1)); 
BgL_arg2017z00_1782 = 
PROCEDURE_REF(BGl_checkzd2initzd2envz00zzast_checkzd2globalzd2initz00, BgL_auxz00_2541); } 
{ /* ./Ast/check-init.scm 181 */
int BgL_offsetz00_1785;
BgL_offsetz00_1785 = 
(int)(BgL_objzd2classzd2numz00_1781); 
{ /* ./Ast/check-init.scm 181 */
long BgL_offsetz00_1786;
{ /* ./Ast/check-init.scm 181 */
long BgL_auxz00_2545;
BgL_auxz00_2545 = 
(long)(BgL_offsetz00_1785); 
BgL_offsetz00_1786 = 
(BgL_auxz00_2545-OBJECT_TYPE); } 
{ /* ./Ast/check-init.scm 181 */
long BgL_modz00_1787;
{ /* ./Ast/check-init.scm 181 */
int BgL_arg2028z00_1788;
BgL_arg2028z00_1788 = 
(int)(((long)8)); 
{ /* ./Ast/check-init.scm 181 */
long BgL_n2z00_1796;
BgL_n2z00_1796 = 
(long)(BgL_arg2028z00_1788); 
BgL_modz00_1787 = 
(BgL_offsetz00_1786/BgL_n2z00_1796); } } 
{ /* ./Ast/check-init.scm 181 */
long BgL_restz00_1789;
{ /* ./Ast/check-init.scm 181 */
int BgL_arg2024z00_1790;
BgL_arg2024z00_1790 = 
(int)(((long)8)); 
{ /* ./Ast/check-init.scm 181 */
long BgL_n2z00_1799;
BgL_n2z00_1799 = 
(long)(BgL_arg2024z00_1790); 
BgL_restz00_1789 = 
(BgL_offsetz00_1786%BgL_n2z00_1799); } } 
{ /* ./Ast/check-init.scm 181 */

{ /* ./Ast/check-init.scm 181 */
obj_t BgL_bucketz00_1791;
{ /* ./Ast/check-init.scm 181 */
int BgL_kz00_1801;
BgL_kz00_1801 = 
(int)(BgL_modz00_1787); 
BgL_bucketz00_1791 = 
VECTOR_REF(BgL_arg2017z00_1782,BgL_kz00_1801); } 
{ /* ./Ast/check-init.scm 181 */
int BgL_kz00_1803;
BgL_kz00_1803 = 
(int)(BgL_restz00_1789); 
BgL_method2962z00_1779 = 
VECTOR_REF(BgL_bucketz00_1791,BgL_kz00_1803); } } } } } } } } } } 
PROCEDURE_ENTRY(BgL_method2962z00_1779)(BgL_method2962z00_1779, 
(obj_t)(BgL_arg3641z00_1275), BEOA); } } 
{ 
obj_t BgL_l2947z00_1276;
{ /* ./Ast/check-init.scm 182 */
obj_t BgL_arg3645z00_1278;
BgL_arg3645z00_1278 = 
(((BgL_selectz00_bglt)CREF(BgL_nodez00_1271))->BgL_clausesz00); 
BgL_l2947z00_1276 = BgL_arg3645z00_1278; 
BgL_forzd2each2948zd2_1277:
{ /* ./Ast/check-init.scm 182 */
bool_t BgL_test3648z00_1279;
BgL_test3648z00_1279 = 
PAIRP(BgL_l2947z00_1276); 
if(BgL_test3648z00_1279)
{ /* ./Ast/check-init.scm 182 */
{ /* ./Ast/check-init.scm 183 */
obj_t BgL_clausez00_1280;
BgL_clausez00_1280 = 
CAR(BgL_l2947z00_1276); 
{ /* ./Ast/check-init.scm 183 */
obj_t BgL_arg3650z00_1281;
BgL_arg3650z00_1281 = 
CDR(BgL_clausez00_1280); 
{ /* ./Ast/check-init.scm 183 */
BgL_nodez00_bglt BgL_nodez00_1808;
BgL_nodez00_1808 = 
(BgL_nodez00_bglt)(BgL_arg3650z00_1281); 
{ /* ./Ast/check-init.scm 183 */
obj_t BgL_method2962z00_1809;
{ /* ./Ast/check-init.scm 183 */
BgL_objectz00_bglt BgL_objz00_1810;
BgL_objz00_1810 = 
(BgL_objectz00_bglt)(BgL_nodez00_1808); 
{ /* ./Ast/check-init.scm 183 */
long BgL_objzd2classzd2numz00_1811;
BgL_objzd2classzd2numz00_1811 = 
BGL_OBJECT_CLASS_NUM(BgL_objz00_1810); 
{ /* ./Ast/check-init.scm 183 */
obj_t BgL_arg2017z00_1812;
{ /* ./Ast/check-init.scm 183 */
int BgL_auxz00_2569;
BgL_auxz00_2569 = 
(int)(((long)1)); 
BgL_arg2017z00_1812 = 
PROCEDURE_REF(BGl_checkzd2initzd2envz00zzast_checkzd2globalzd2initz00, BgL_auxz00_2569); } 
{ /* ./Ast/check-init.scm 183 */
int BgL_offsetz00_1815;
BgL_offsetz00_1815 = 
(int)(BgL_objzd2classzd2numz00_1811); 
{ /* ./Ast/check-init.scm 183 */
long BgL_offsetz00_1816;
{ /* ./Ast/check-init.scm 183 */
long BgL_auxz00_2573;
BgL_auxz00_2573 = 
(long)(BgL_offsetz00_1815); 
BgL_offsetz00_1816 = 
(BgL_auxz00_2573-OBJECT_TYPE); } 
{ /* ./Ast/check-init.scm 183 */
long BgL_modz00_1817;
{ /* ./Ast/check-init.scm 183 */
int BgL_arg2028z00_1818;
BgL_arg2028z00_1818 = 
(int)(((long)8)); 
{ /* ./Ast/check-init.scm 183 */
long BgL_n2z00_1826;
BgL_n2z00_1826 = 
(long)(BgL_arg2028z00_1818); 
BgL_modz00_1817 = 
(BgL_offsetz00_1816/BgL_n2z00_1826); } } 
{ /* ./Ast/check-init.scm 183 */
long BgL_restz00_1819;
{ /* ./Ast/check-init.scm 183 */
int BgL_arg2024z00_1820;
BgL_arg2024z00_1820 = 
(int)(((long)8)); 
{ /* ./Ast/check-init.scm 183 */
long BgL_n2z00_1829;
BgL_n2z00_1829 = 
(long)(BgL_arg2024z00_1820); 
BgL_restz00_1819 = 
(BgL_offsetz00_1816%BgL_n2z00_1829); } } 
{ /* ./Ast/check-init.scm 183 */

{ /* ./Ast/check-init.scm 183 */
obj_t BgL_bucketz00_1821;
{ /* ./Ast/check-init.scm 183 */
int BgL_kz00_1831;
BgL_kz00_1831 = 
(int)(BgL_modz00_1817); 
BgL_bucketz00_1821 = 
VECTOR_REF(BgL_arg2017z00_1812,BgL_kz00_1831); } 
{ /* ./Ast/check-init.scm 183 */
int BgL_kz00_1833;
BgL_kz00_1833 = 
(int)(BgL_restz00_1819); 
BgL_method2962z00_1809 = 
VECTOR_REF(BgL_bucketz00_1821,BgL_kz00_1833); } } } } } } } } } } 
PROCEDURE_ENTRY(BgL_method2962z00_1809)(BgL_method2962z00_1809, 
(obj_t)(BgL_nodez00_1808), BEOA); } } } } 
{ /* ./Ast/check-init.scm 182 */
obj_t BgL_arg3655z00_1282;
BgL_arg3655z00_1282 = 
CDR(BgL_l2947z00_1276); 
{ 
obj_t BgL_l2947z00_2590;
BgL_l2947z00_2590 = BgL_arg3655z00_1282; 
BgL_l2947z00_1276 = BgL_l2947z00_2590; 
goto BgL_forzd2each2948zd2_1277;} } }  else 
{ /* ./Ast/check-init.scm 182 */
BgL_auxz00_2537 = ((bool_t)1); } } } } 
return 
BBOOL(BgL_auxz00_2537);} } } 
}



/* check-init-fail2985 */
obj_t BGl_checkzd2initzd2fail2985z00zzast_checkzd2globalzd2initz00(obj_t BgL_envz00_2124, obj_t BgL_nodez00_2125)
{ AN_OBJECT;
{ /* ./Ast/check-init.scm 170 */
{ 
BgL_failz00_bglt BgL_nodez00_1262;
BgL_nodez00_1262 = 
(BgL_failz00_bglt)(BgL_nodez00_2125); 
{ /* ./Ast/check-init.scm 172 */
BgL_nodez00_bglt BgL_arg3623z00_1266;
BgL_arg3623z00_1266 = 
(((BgL_failz00_bglt)CREF(BgL_nodez00_1262))->BgL_procz00); 
{ /* ./Ast/check-init.scm 172 */
obj_t BgL_method2962z00_1698;
{ /* ./Ast/check-init.scm 172 */
BgL_objectz00_bglt BgL_objz00_1699;
BgL_objz00_1699 = 
(BgL_objectz00_bglt)(BgL_arg3623z00_1266); 
{ /* ./Ast/check-init.scm 172 */
long BgL_objzd2classzd2numz00_1700;
BgL_objzd2classzd2numz00_1700 = 
BGL_OBJECT_CLASS_NUM(BgL_objz00_1699); 
{ /* ./Ast/check-init.scm 172 */
obj_t BgL_arg2017z00_1701;
{ /* ./Ast/check-init.scm 172 */
int BgL_auxz00_2596;
BgL_auxz00_2596 = 
(int)(((long)1)); 
BgL_arg2017z00_1701 = 
PROCEDURE_REF(BGl_checkzd2initzd2envz00zzast_checkzd2globalzd2initz00, BgL_auxz00_2596); } 
{ /* ./Ast/check-init.scm 172 */
int BgL_offsetz00_1704;
BgL_offsetz00_1704 = 
(int)(BgL_objzd2classzd2numz00_1700); 
{ /* ./Ast/check-init.scm 172 */
long BgL_offsetz00_1705;
{ /* ./Ast/check-init.scm 172 */
long BgL_auxz00_2600;
BgL_auxz00_2600 = 
(long)(BgL_offsetz00_1704); 
BgL_offsetz00_1705 = 
(BgL_auxz00_2600-OBJECT_TYPE); } 
{ /* ./Ast/check-init.scm 172 */
long BgL_modz00_1706;
{ /* ./Ast/check-init.scm 172 */
int BgL_arg2028z00_1707;
BgL_arg2028z00_1707 = 
(int)(((long)8)); 
{ /* ./Ast/check-init.scm 172 */
long BgL_n2z00_1715;
BgL_n2z00_1715 = 
(long)(BgL_arg2028z00_1707); 
BgL_modz00_1706 = 
(BgL_offsetz00_1705/BgL_n2z00_1715); } } 
{ /* ./Ast/check-init.scm 172 */
long BgL_restz00_1708;
{ /* ./Ast/check-init.scm 172 */
int BgL_arg2024z00_1709;
BgL_arg2024z00_1709 = 
(int)(((long)8)); 
{ /* ./Ast/check-init.scm 172 */
long BgL_n2z00_1718;
BgL_n2z00_1718 = 
(long)(BgL_arg2024z00_1709); 
BgL_restz00_1708 = 
(BgL_offsetz00_1705%BgL_n2z00_1718); } } 
{ /* ./Ast/check-init.scm 172 */

{ /* ./Ast/check-init.scm 172 */
obj_t BgL_bucketz00_1710;
{ /* ./Ast/check-init.scm 172 */
int BgL_kz00_1720;
BgL_kz00_1720 = 
(int)(BgL_modz00_1706); 
BgL_bucketz00_1710 = 
VECTOR_REF(BgL_arg2017z00_1701,BgL_kz00_1720); } 
{ /* ./Ast/check-init.scm 172 */
int BgL_kz00_1722;
BgL_kz00_1722 = 
(int)(BgL_restz00_1708); 
BgL_method2962z00_1698 = 
VECTOR_REF(BgL_bucketz00_1710,BgL_kz00_1722); } } } } } } } } } } 
PROCEDURE_ENTRY(BgL_method2962z00_1698)(BgL_method2962z00_1698, 
(obj_t)(BgL_arg3623z00_1266), BEOA); } } 
{ /* ./Ast/check-init.scm 173 */
BgL_nodez00_bglt BgL_arg3627z00_1267;
BgL_arg3627z00_1267 = 
(((BgL_failz00_bglt)CREF(BgL_nodez00_1262))->BgL_msgz00); 
{ /* ./Ast/check-init.scm 173 */
obj_t BgL_method2962z00_1725;
{ /* ./Ast/check-init.scm 173 */
BgL_objectz00_bglt BgL_objz00_1726;
BgL_objz00_1726 = 
(BgL_objectz00_bglt)(BgL_arg3627z00_1267); 
{ /* ./Ast/check-init.scm 173 */
long BgL_objzd2classzd2numz00_1727;
BgL_objzd2classzd2numz00_1727 = 
BGL_OBJECT_CLASS_NUM(BgL_objz00_1726); 
{ /* ./Ast/check-init.scm 173 */
obj_t BgL_arg2017z00_1728;
{ /* ./Ast/check-init.scm 173 */
int BgL_auxz00_2619;
BgL_auxz00_2619 = 
(int)(((long)1)); 
BgL_arg2017z00_1728 = 
PROCEDURE_REF(BGl_checkzd2initzd2envz00zzast_checkzd2globalzd2initz00, BgL_auxz00_2619); } 
{ /* ./Ast/check-init.scm 173 */
int BgL_offsetz00_1731;
BgL_offsetz00_1731 = 
(int)(BgL_objzd2classzd2numz00_1727); 
{ /* ./Ast/check-init.scm 173 */
long BgL_offsetz00_1732;
{ /* ./Ast/check-init.scm 173 */
long BgL_auxz00_2623;
BgL_auxz00_2623 = 
(long)(BgL_offsetz00_1731); 
BgL_offsetz00_1732 = 
(BgL_auxz00_2623-OBJECT_TYPE); } 
{ /* ./Ast/check-init.scm 173 */
long BgL_modz00_1733;
{ /* ./Ast/check-init.scm 173 */
int BgL_arg2028z00_1734;
BgL_arg2028z00_1734 = 
(int)(((long)8)); 
{ /* ./Ast/check-init.scm 173 */
long BgL_n2z00_1742;
BgL_n2z00_1742 = 
(long)(BgL_arg2028z00_1734); 
BgL_modz00_1733 = 
(BgL_offsetz00_1732/BgL_n2z00_1742); } } 
{ /* ./Ast/check-init.scm 173 */
long BgL_restz00_1735;
{ /* ./Ast/check-init.scm 173 */
int BgL_arg2024z00_1736;
BgL_arg2024z00_1736 = 
(int)(((long)8)); 
{ /* ./Ast/check-init.scm 173 */
long BgL_n2z00_1745;
BgL_n2z00_1745 = 
(long)(BgL_arg2024z00_1736); 
BgL_restz00_1735 = 
(BgL_offsetz00_1732%BgL_n2z00_1745); } } 
{ /* ./Ast/check-init.scm 173 */

{ /* ./Ast/check-init.scm 173 */
obj_t BgL_bucketz00_1737;
{ /* ./Ast/check-init.scm 173 */
int BgL_kz00_1747;
BgL_kz00_1747 = 
(int)(BgL_modz00_1733); 
BgL_bucketz00_1737 = 
VECTOR_REF(BgL_arg2017z00_1728,BgL_kz00_1747); } 
{ /* ./Ast/check-init.scm 173 */
int BgL_kz00_1749;
BgL_kz00_1749 = 
(int)(BgL_restz00_1735); 
BgL_method2962z00_1725 = 
VECTOR_REF(BgL_bucketz00_1737,BgL_kz00_1749); } } } } } } } } } } 
PROCEDURE_ENTRY(BgL_method2962z00_1725)(BgL_method2962z00_1725, 
(obj_t)(BgL_arg3627z00_1267), BEOA); } } 
{ /* ./Ast/check-init.scm 174 */
BgL_nodez00_bglt BgL_arg3631z00_1268;
BgL_arg3631z00_1268 = 
(((BgL_failz00_bglt)CREF(BgL_nodez00_1262))->BgL_objz00); 
{ /* ./Ast/check-init.scm 174 */
obj_t BgL_method2962z00_1752;
{ /* ./Ast/check-init.scm 174 */
BgL_objectz00_bglt BgL_objz00_1753;
BgL_objz00_1753 = 
(BgL_objectz00_bglt)(BgL_arg3631z00_1268); 
{ /* ./Ast/check-init.scm 174 */
long BgL_objzd2classzd2numz00_1754;
BgL_objzd2classzd2numz00_1754 = 
BGL_OBJECT_CLASS_NUM(BgL_objz00_1753); 
{ /* ./Ast/check-init.scm 174 */
obj_t BgL_arg2017z00_1755;
{ /* ./Ast/check-init.scm 174 */
int BgL_auxz00_2642;
BgL_auxz00_2642 = 
(int)(((long)1)); 
BgL_arg2017z00_1755 = 
PROCEDURE_REF(BGl_checkzd2initzd2envz00zzast_checkzd2globalzd2initz00, BgL_auxz00_2642); } 
{ /* ./Ast/check-init.scm 174 */
int BgL_offsetz00_1758;
BgL_offsetz00_1758 = 
(int)(BgL_objzd2classzd2numz00_1754); 
{ /* ./Ast/check-init.scm 174 */
long BgL_offsetz00_1759;
{ /* ./Ast/check-init.scm 174 */
long BgL_auxz00_2646;
BgL_auxz00_2646 = 
(long)(BgL_offsetz00_1758); 
BgL_offsetz00_1759 = 
(BgL_auxz00_2646-OBJECT_TYPE); } 
{ /* ./Ast/check-init.scm 174 */
long BgL_modz00_1760;
{ /* ./Ast/check-init.scm 174 */
int BgL_arg2028z00_1761;
BgL_arg2028z00_1761 = 
(int)(((long)8)); 
{ /* ./Ast/check-init.scm 174 */
long BgL_n2z00_1769;
BgL_n2z00_1769 = 
(long)(BgL_arg2028z00_1761); 
BgL_modz00_1760 = 
(BgL_offsetz00_1759/BgL_n2z00_1769); } } 
{ /* ./Ast/check-init.scm 174 */
long BgL_restz00_1762;
{ /* ./Ast/check-init.scm 174 */
int BgL_arg2024z00_1763;
BgL_arg2024z00_1763 = 
(int)(((long)8)); 
{ /* ./Ast/check-init.scm 174 */
long BgL_n2z00_1772;
BgL_n2z00_1772 = 
(long)(BgL_arg2024z00_1763); 
BgL_restz00_1762 = 
(BgL_offsetz00_1759%BgL_n2z00_1772); } } 
{ /* ./Ast/check-init.scm 174 */

{ /* ./Ast/check-init.scm 174 */
obj_t BgL_bucketz00_1764;
{ /* ./Ast/check-init.scm 174 */
int BgL_kz00_1774;
BgL_kz00_1774 = 
(int)(BgL_modz00_1760); 
BgL_bucketz00_1764 = 
VECTOR_REF(BgL_arg2017z00_1755,BgL_kz00_1774); } 
{ /* ./Ast/check-init.scm 174 */
int BgL_kz00_1776;
BgL_kz00_1776 = 
(int)(BgL_restz00_1762); 
BgL_method2962z00_1752 = 
VECTOR_REF(BgL_bucketz00_1764,BgL_kz00_1776); } } } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2962z00_1752)(BgL_method2962z00_1752, 
(obj_t)(BgL_arg3631z00_1268), BEOA);} } } } 
}



/* check-init-conditional2982 */
obj_t BGl_checkzd2initzd2conditional2982z00zzast_checkzd2globalzd2initz00(obj_t BgL_envz00_2126, obj_t BgL_nodez00_2127)
{ AN_OBJECT;
{ /* ./Ast/check-init.scm 161 */
{ 
BgL_conditionalz00_bglt BgL_nodez00_1253;
BgL_nodez00_1253 = 
(BgL_conditionalz00_bglt)(BgL_nodez00_2127); 
{ /* ./Ast/check-init.scm 163 */
BgL_nodez00_bglt BgL_arg3604z00_1257;
BgL_arg3604z00_1257 = 
(((BgL_conditionalz00_bglt)CREF(BgL_nodez00_1253))->BgL_testz00); 
{ /* ./Ast/check-init.scm 163 */
obj_t BgL_method2962z00_1617;
{ /* ./Ast/check-init.scm 163 */
BgL_objectz00_bglt BgL_objz00_1618;
BgL_objz00_1618 = 
(BgL_objectz00_bglt)(BgL_arg3604z00_1257); 
{ /* ./Ast/check-init.scm 163 */
long BgL_objzd2classzd2numz00_1619;
BgL_objzd2classzd2numz00_1619 = 
BGL_OBJECT_CLASS_NUM(BgL_objz00_1618); 
{ /* ./Ast/check-init.scm 163 */
obj_t BgL_arg2017z00_1620;
{ /* ./Ast/check-init.scm 163 */
int BgL_auxz00_2666;
BgL_auxz00_2666 = 
(int)(((long)1)); 
BgL_arg2017z00_1620 = 
PROCEDURE_REF(BGl_checkzd2initzd2envz00zzast_checkzd2globalzd2initz00, BgL_auxz00_2666); } 
{ /* ./Ast/check-init.scm 163 */
int BgL_offsetz00_1623;
BgL_offsetz00_1623 = 
(int)(BgL_objzd2classzd2numz00_1619); 
{ /* ./Ast/check-init.scm 163 */
long BgL_offsetz00_1624;
{ /* ./Ast/check-init.scm 163 */
long BgL_auxz00_2670;
BgL_auxz00_2670 = 
(long)(BgL_offsetz00_1623); 
BgL_offsetz00_1624 = 
(BgL_auxz00_2670-OBJECT_TYPE); } 
{ /* ./Ast/check-init.scm 163 */
long BgL_modz00_1625;
{ /* ./Ast/check-init.scm 163 */
int BgL_arg2028z00_1626;
BgL_arg2028z00_1626 = 
(int)(((long)8)); 
{ /* ./Ast/check-init.scm 163 */
long BgL_n2z00_1634;
BgL_n2z00_1634 = 
(long)(BgL_arg2028z00_1626); 
BgL_modz00_1625 = 
(BgL_offsetz00_1624/BgL_n2z00_1634); } } 
{ /* ./Ast/check-init.scm 163 */
long BgL_restz00_1627;
{ /* ./Ast/check-init.scm 163 */
int BgL_arg2024z00_1628;
BgL_arg2024z00_1628 = 
(int)(((long)8)); 
{ /* ./Ast/check-init.scm 163 */
long BgL_n2z00_1637;
BgL_n2z00_1637 = 
(long)(BgL_arg2024z00_1628); 
BgL_restz00_1627 = 
(BgL_offsetz00_1624%BgL_n2z00_1637); } } 
{ /* ./Ast/check-init.scm 163 */

{ /* ./Ast/check-init.scm 163 */
obj_t BgL_bucketz00_1629;
{ /* ./Ast/check-init.scm 163 */
int BgL_kz00_1639;
BgL_kz00_1639 = 
(int)(BgL_modz00_1625); 
BgL_bucketz00_1629 = 
VECTOR_REF(BgL_arg2017z00_1620,BgL_kz00_1639); } 
{ /* ./Ast/check-init.scm 163 */
int BgL_kz00_1641;
BgL_kz00_1641 = 
(int)(BgL_restz00_1627); 
BgL_method2962z00_1617 = 
VECTOR_REF(BgL_bucketz00_1629,BgL_kz00_1641); } } } } } } } } } } 
PROCEDURE_ENTRY(BgL_method2962z00_1617)(BgL_method2962z00_1617, 
(obj_t)(BgL_arg3604z00_1257), BEOA); } } 
{ /* ./Ast/check-init.scm 164 */
BgL_nodez00_bglt BgL_arg3608z00_1258;
BgL_arg3608z00_1258 = 
(((BgL_conditionalz00_bglt)CREF(BgL_nodez00_1253))->BgL_truez00); 
{ /* ./Ast/check-init.scm 164 */
obj_t BgL_method2962z00_1644;
{ /* ./Ast/check-init.scm 164 */
BgL_objectz00_bglt BgL_objz00_1645;
BgL_objz00_1645 = 
(BgL_objectz00_bglt)(BgL_arg3608z00_1258); 
{ /* ./Ast/check-init.scm 164 */
long BgL_objzd2classzd2numz00_1646;
BgL_objzd2classzd2numz00_1646 = 
BGL_OBJECT_CLASS_NUM(BgL_objz00_1645); 
{ /* ./Ast/check-init.scm 164 */
obj_t BgL_arg2017z00_1647;
{ /* ./Ast/check-init.scm 164 */
int BgL_auxz00_2689;
BgL_auxz00_2689 = 
(int)(((long)1)); 
BgL_arg2017z00_1647 = 
PROCEDURE_REF(BGl_checkzd2initzd2envz00zzast_checkzd2globalzd2initz00, BgL_auxz00_2689); } 
{ /* ./Ast/check-init.scm 164 */
int BgL_offsetz00_1650;
BgL_offsetz00_1650 = 
(int)(BgL_objzd2classzd2numz00_1646); 
{ /* ./Ast/check-init.scm 164 */
long BgL_offsetz00_1651;
{ /* ./Ast/check-init.scm 164 */
long BgL_auxz00_2693;
BgL_auxz00_2693 = 
(long)(BgL_offsetz00_1650); 
BgL_offsetz00_1651 = 
(BgL_auxz00_2693-OBJECT_TYPE); } 
{ /* ./Ast/check-init.scm 164 */
long BgL_modz00_1652;
{ /* ./Ast/check-init.scm 164 */
int BgL_arg2028z00_1653;
BgL_arg2028z00_1653 = 
(int)(((long)8)); 
{ /* ./Ast/check-init.scm 164 */
long BgL_n2z00_1661;
BgL_n2z00_1661 = 
(long)(BgL_arg2028z00_1653); 
BgL_modz00_1652 = 
(BgL_offsetz00_1651/BgL_n2z00_1661); } } 
{ /* ./Ast/check-init.scm 164 */
long BgL_restz00_1654;
{ /* ./Ast/check-init.scm 164 */
int BgL_arg2024z00_1655;
BgL_arg2024z00_1655 = 
(int)(((long)8)); 
{ /* ./Ast/check-init.scm 164 */
long BgL_n2z00_1664;
BgL_n2z00_1664 = 
(long)(BgL_arg2024z00_1655); 
BgL_restz00_1654 = 
(BgL_offsetz00_1651%BgL_n2z00_1664); } } 
{ /* ./Ast/check-init.scm 164 */

{ /* ./Ast/check-init.scm 164 */
obj_t BgL_bucketz00_1656;
{ /* ./Ast/check-init.scm 164 */
int BgL_kz00_1666;
BgL_kz00_1666 = 
(int)(BgL_modz00_1652); 
BgL_bucketz00_1656 = 
VECTOR_REF(BgL_arg2017z00_1647,BgL_kz00_1666); } 
{ /* ./Ast/check-init.scm 164 */
int BgL_kz00_1668;
BgL_kz00_1668 = 
(int)(BgL_restz00_1654); 
BgL_method2962z00_1644 = 
VECTOR_REF(BgL_bucketz00_1656,BgL_kz00_1668); } } } } } } } } } } 
PROCEDURE_ENTRY(BgL_method2962z00_1644)(BgL_method2962z00_1644, 
(obj_t)(BgL_arg3608z00_1258), BEOA); } } 
{ /* ./Ast/check-init.scm 165 */
BgL_nodez00_bglt BgL_arg3612z00_1259;
BgL_arg3612z00_1259 = 
(((BgL_conditionalz00_bglt)CREF(BgL_nodez00_1253))->BgL_falsez00); 
{ /* ./Ast/check-init.scm 165 */
obj_t BgL_method2962z00_1671;
{ /* ./Ast/check-init.scm 165 */
BgL_objectz00_bglt BgL_objz00_1672;
BgL_objz00_1672 = 
(BgL_objectz00_bglt)(BgL_arg3612z00_1259); 
{ /* ./Ast/check-init.scm 165 */
long BgL_objzd2classzd2numz00_1673;
BgL_objzd2classzd2numz00_1673 = 
BGL_OBJECT_CLASS_NUM(BgL_objz00_1672); 
{ /* ./Ast/check-init.scm 165 */
obj_t BgL_arg2017z00_1674;
{ /* ./Ast/check-init.scm 165 */
int BgL_auxz00_2712;
BgL_auxz00_2712 = 
(int)(((long)1)); 
BgL_arg2017z00_1674 = 
PROCEDURE_REF(BGl_checkzd2initzd2envz00zzast_checkzd2globalzd2initz00, BgL_auxz00_2712); } 
{ /* ./Ast/check-init.scm 165 */
int BgL_offsetz00_1677;
BgL_offsetz00_1677 = 
(int)(BgL_objzd2classzd2numz00_1673); 
{ /* ./Ast/check-init.scm 165 */
long BgL_offsetz00_1678;
{ /* ./Ast/check-init.scm 165 */
long BgL_auxz00_2716;
BgL_auxz00_2716 = 
(long)(BgL_offsetz00_1677); 
BgL_offsetz00_1678 = 
(BgL_auxz00_2716-OBJECT_TYPE); } 
{ /* ./Ast/check-init.scm 165 */
long BgL_modz00_1679;
{ /* ./Ast/check-init.scm 165 */
int BgL_arg2028z00_1680;
BgL_arg2028z00_1680 = 
(int)(((long)8)); 
{ /* ./Ast/check-init.scm 165 */
long BgL_n2z00_1688;
BgL_n2z00_1688 = 
(long)(BgL_arg2028z00_1680); 
BgL_modz00_1679 = 
(BgL_offsetz00_1678/BgL_n2z00_1688); } } 
{ /* ./Ast/check-init.scm 165 */
long BgL_restz00_1681;
{ /* ./Ast/check-init.scm 165 */
int BgL_arg2024z00_1682;
BgL_arg2024z00_1682 = 
(int)(((long)8)); 
{ /* ./Ast/check-init.scm 165 */
long BgL_n2z00_1691;
BgL_n2z00_1691 = 
(long)(BgL_arg2024z00_1682); 
BgL_restz00_1681 = 
(BgL_offsetz00_1678%BgL_n2z00_1691); } } 
{ /* ./Ast/check-init.scm 165 */

{ /* ./Ast/check-init.scm 165 */
obj_t BgL_bucketz00_1683;
{ /* ./Ast/check-init.scm 165 */
int BgL_kz00_1693;
BgL_kz00_1693 = 
(int)(BgL_modz00_1679); 
BgL_bucketz00_1683 = 
VECTOR_REF(BgL_arg2017z00_1674,BgL_kz00_1693); } 
{ /* ./Ast/check-init.scm 165 */
int BgL_kz00_1695;
BgL_kz00_1695 = 
(int)(BgL_restz00_1681); 
BgL_method2962z00_1671 = 
VECTOR_REF(BgL_bucketz00_1683,BgL_kz00_1695); } } } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2962z00_1671)(BgL_method2962z00_1671, 
(obj_t)(BgL_arg3612z00_1259), BEOA);} } } } 
}



/* check-init-setq2979 */
obj_t BGl_checkzd2initzd2setq2979z00zzast_checkzd2globalzd2initz00(obj_t BgL_envz00_2128, obj_t BgL_nodez00_2129)
{ AN_OBJECT;
{ /* ./Ast/check-init.scm 149 */
{ 
BgL_setqz00_bglt BgL_nodez00_1244;
BgL_nodez00_1244 = 
(BgL_setqz00_bglt)(BgL_nodez00_2129); 
{ /* ./Ast/check-init.scm 153 */
BgL_variablez00_bglt BgL_varz00_1247;
{ /* ./Ast/check-init.scm 153 */
BgL_varz00_bglt BgL_arg3589z00_1249;
BgL_arg3589z00_1249 = 
(((BgL_setqz00_bglt)CREF(BgL_nodez00_1244))->BgL_varz00); 
BgL_varz00_1247 = 
(((BgL_varz00_bglt)CREF(BgL_arg3589z00_1249))->BgL_variablez00); } 
{ /* ./Ast/check-init.scm 154 */
bool_t BgL_test3585z00_1248;
{ /* ./Ast/check-init.scm 154 */
obj_t BgL_obj1154z00_1586;
BgL_obj1154z00_1586 = 
(obj_t)(BgL_varz00_1247); 
BgL_test3585z00_1248 = 
BGl_iszd2azf3z21zz__objectz00(BgL_obj1154z00_1586, BGl_globalz00zzast_varz00); } 
if(BgL_test3585z00_1248)
{ /* ./Ast/check-init.scm 155 */
obj_t BgL_auxz00_2738;
BgL_auxz00_2738 = 
(obj_t)(BgL_varz00_1247); 
BGl_za2globalsza2z00zzast_checkzd2globalzd2initz00 = 
MAKE_PAIR(BgL_auxz00_2738, BGl_za2globalsza2z00zzast_checkzd2globalzd2initz00); }  else 
{ /* ./Ast/check-init.scm 154 */BFALSE; } } } 
{ /* ./Ast/check-init.scm 156 */
BgL_nodez00_bglt BgL_arg3593z00_1250;
BgL_arg3593z00_1250 = 
(((BgL_setqz00_bglt)CREF(BgL_nodez00_1244))->BgL_valuez00); 
{ /* ./Ast/check-init.scm 156 */
obj_t BgL_method2962z00_1590;
{ /* ./Ast/check-init.scm 156 */
BgL_objectz00_bglt BgL_objz00_1591;
BgL_objz00_1591 = 
(BgL_objectz00_bglt)(BgL_arg3593z00_1250); 
{ /* ./Ast/check-init.scm 156 */
long BgL_objzd2classzd2numz00_1592;
BgL_objzd2classzd2numz00_1592 = 
BGL_OBJECT_CLASS_NUM(BgL_objz00_1591); 
{ /* ./Ast/check-init.scm 156 */
obj_t BgL_arg2017z00_1593;
{ /* ./Ast/check-init.scm 156 */
int BgL_auxz00_2744;
BgL_auxz00_2744 = 
(int)(((long)1)); 
BgL_arg2017z00_1593 = 
PROCEDURE_REF(BGl_checkzd2initzd2envz00zzast_checkzd2globalzd2initz00, BgL_auxz00_2744); } 
{ /* ./Ast/check-init.scm 156 */
int BgL_offsetz00_1596;
BgL_offsetz00_1596 = 
(int)(BgL_objzd2classzd2numz00_1592); 
{ /* ./Ast/check-init.scm 156 */
long BgL_offsetz00_1597;
{ /* ./Ast/check-init.scm 156 */
long BgL_auxz00_2748;
BgL_auxz00_2748 = 
(long)(BgL_offsetz00_1596); 
BgL_offsetz00_1597 = 
(BgL_auxz00_2748-OBJECT_TYPE); } 
{ /* ./Ast/check-init.scm 156 */
long BgL_modz00_1598;
{ /* ./Ast/check-init.scm 156 */
int BgL_arg2028z00_1599;
BgL_arg2028z00_1599 = 
(int)(((long)8)); 
{ /* ./Ast/check-init.scm 156 */
long BgL_n2z00_1607;
BgL_n2z00_1607 = 
(long)(BgL_arg2028z00_1599); 
BgL_modz00_1598 = 
(BgL_offsetz00_1597/BgL_n2z00_1607); } } 
{ /* ./Ast/check-init.scm 156 */
long BgL_restz00_1600;
{ /* ./Ast/check-init.scm 156 */
int BgL_arg2024z00_1601;
BgL_arg2024z00_1601 = 
(int)(((long)8)); 
{ /* ./Ast/check-init.scm 156 */
long BgL_n2z00_1610;
BgL_n2z00_1610 = 
(long)(BgL_arg2024z00_1601); 
BgL_restz00_1600 = 
(BgL_offsetz00_1597%BgL_n2z00_1610); } } 
{ /* ./Ast/check-init.scm 156 */

{ /* ./Ast/check-init.scm 156 */
obj_t BgL_bucketz00_1602;
{ /* ./Ast/check-init.scm 156 */
int BgL_kz00_1612;
BgL_kz00_1612 = 
(int)(BgL_modz00_1598); 
BgL_bucketz00_1602 = 
VECTOR_REF(BgL_arg2017z00_1593,BgL_kz00_1612); } 
{ /* ./Ast/check-init.scm 156 */
int BgL_kz00_1614;
BgL_kz00_1614 = 
(int)(BgL_restz00_1600); 
BgL_method2962z00_1590 = 
VECTOR_REF(BgL_bucketz00_1602,BgL_kz00_1614); } } } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2962z00_1590)(BgL_method2962z00_1590, 
(obj_t)(BgL_arg3593z00_1250), BEOA);} } } } 
}



/* check-init-cast2977 */
obj_t BGl_checkzd2initzd2cast2977z00zzast_checkzd2globalzd2initz00(obj_t BgL_envz00_2130, obj_t BgL_nodez00_2131)
{ AN_OBJECT;
{ /* ./Ast/check-init.scm 143 */
{ 
BgL_castz00_bglt BgL_nodez00_1238;
BgL_nodez00_1238 = 
(BgL_castz00_bglt)(BgL_nodez00_2131); 
{ /* ./Ast/check-init.scm 144 */
BgL_nodez00_bglt BgL_arg3576z00_1556;
BgL_arg3576z00_1556 = 
(((BgL_castz00_bglt)CREF(BgL_nodez00_1238))->BgL_argz00); 
{ /* ./Ast/check-init.scm 144 */
obj_t BgL_method2962z00_1559;
{ /* ./Ast/check-init.scm 144 */
BgL_objectz00_bglt BgL_objz00_1560;
BgL_objz00_1560 = 
(BgL_objectz00_bglt)(BgL_arg3576z00_1556); 
{ /* ./Ast/check-init.scm 144 */
long BgL_objzd2classzd2numz00_1561;
BgL_objzd2classzd2numz00_1561 = 
BGL_OBJECT_CLASS_NUM(BgL_objz00_1560); 
{ /* ./Ast/check-init.scm 144 */
obj_t BgL_arg2017z00_1562;
{ /* ./Ast/check-init.scm 144 */
int BgL_auxz00_2768;
BgL_auxz00_2768 = 
(int)(((long)1)); 
BgL_arg2017z00_1562 = 
PROCEDURE_REF(BGl_checkzd2initzd2envz00zzast_checkzd2globalzd2initz00, BgL_auxz00_2768); } 
{ /* ./Ast/check-init.scm 144 */
int BgL_offsetz00_1565;
BgL_offsetz00_1565 = 
(int)(BgL_objzd2classzd2numz00_1561); 
{ /* ./Ast/check-init.scm 144 */
long BgL_offsetz00_1566;
{ /* ./Ast/check-init.scm 144 */
long BgL_auxz00_2772;
BgL_auxz00_2772 = 
(long)(BgL_offsetz00_1565); 
BgL_offsetz00_1566 = 
(BgL_auxz00_2772-OBJECT_TYPE); } 
{ /* ./Ast/check-init.scm 144 */
long BgL_modz00_1567;
{ /* ./Ast/check-init.scm 144 */
int BgL_arg2028z00_1568;
BgL_arg2028z00_1568 = 
(int)(((long)8)); 
{ /* ./Ast/check-init.scm 144 */
long BgL_n2z00_1576;
BgL_n2z00_1576 = 
(long)(BgL_arg2028z00_1568); 
BgL_modz00_1567 = 
(BgL_offsetz00_1566/BgL_n2z00_1576); } } 
{ /* ./Ast/check-init.scm 144 */
long BgL_restz00_1569;
{ /* ./Ast/check-init.scm 144 */
int BgL_arg2024z00_1570;
BgL_arg2024z00_1570 = 
(int)(((long)8)); 
{ /* ./Ast/check-init.scm 144 */
long BgL_n2z00_1579;
BgL_n2z00_1579 = 
(long)(BgL_arg2024z00_1570); 
BgL_restz00_1569 = 
(BgL_offsetz00_1566%BgL_n2z00_1579); } } 
{ /* ./Ast/check-init.scm 144 */

{ /* ./Ast/check-init.scm 144 */
obj_t BgL_bucketz00_1571;
{ /* ./Ast/check-init.scm 144 */
int BgL_kz00_1581;
BgL_kz00_1581 = 
(int)(BgL_modz00_1567); 
BgL_bucketz00_1571 = 
VECTOR_REF(BgL_arg2017z00_1562,BgL_kz00_1581); } 
{ /* ./Ast/check-init.scm 144 */
int BgL_kz00_1583;
BgL_kz00_1583 = 
(int)(BgL_restz00_1569); 
BgL_method2962z00_1559 = 
VECTOR_REF(BgL_bucketz00_1571,BgL_kz00_1583); } } } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2962z00_1559)(BgL_method2962z00_1559, 
(obj_t)(BgL_arg3576z00_1556), BEOA);} } } } 
}



/* check-init-extern2975 */
obj_t BGl_checkzd2initzd2extern2975z00zzast_checkzd2globalzd2initz00(obj_t BgL_envz00_2132, obj_t BgL_nodez00_2133)
{ AN_OBJECT;
{ /* ./Ast/check-init.scm 137 */
{ 
BgL_externz00_bglt BgL_nodez00_1232;
{ /* ./Ast/check-init.scm 138 */
bool_t BgL_auxz00_2789;
BgL_nodez00_1232 = 
(BgL_externz00_bglt)(BgL_nodez00_2133); 
{ /* ./Ast/check-init.scm 138 */
obj_t BgL_arg3566z00_1554;
BgL_arg3566z00_1554 = 
(((BgL_externz00_bglt)CREF(BgL_nodez00_1232))->BgL_exprza2za2); 
BgL_auxz00_2789 = 
BGl_checkzd2initza2z70zzast_checkzd2globalzd2initz00(BgL_arg3566z00_1554); } 
return 
BBOOL(BgL_auxz00_2789);} } } 
}



/* check-init-funcall2973 */
obj_t BGl_checkzd2initzd2funcall2973z00zzast_checkzd2globalzd2initz00(obj_t BgL_envz00_2134, obj_t BgL_nodez00_2135)
{ AN_OBJECT;
{ /* ./Ast/check-init.scm 129 */
{ 
BgL_funcallz00_bglt BgL_nodez00_1224;
{ /* ./Ast/check-init.scm 130 */
bool_t BgL_auxz00_2794;
BgL_nodez00_1224 = 
(BgL_funcallz00_bglt)(BgL_nodez00_2135); 
{ /* ./Ast/check-init.scm 131 */
BgL_nodez00_bglt BgL_arg3552z00_1228;
BgL_arg3552z00_1228 = 
(((BgL_funcallz00_bglt)CREF(BgL_nodez00_1224))->BgL_funz00); 
{ /* ./Ast/check-init.scm 131 */
obj_t BgL_method2962z00_1528;
{ /* ./Ast/check-init.scm 131 */
BgL_objectz00_bglt BgL_objz00_1529;
BgL_objz00_1529 = 
(BgL_objectz00_bglt)(BgL_arg3552z00_1228); 
{ /* ./Ast/check-init.scm 131 */
long BgL_objzd2classzd2numz00_1530;
BgL_objzd2classzd2numz00_1530 = 
BGL_OBJECT_CLASS_NUM(BgL_objz00_1529); 
{ /* ./Ast/check-init.scm 131 */
obj_t BgL_arg2017z00_1531;
{ /* ./Ast/check-init.scm 131 */
int BgL_auxz00_2798;
BgL_auxz00_2798 = 
(int)(((long)1)); 
BgL_arg2017z00_1531 = 
PROCEDURE_REF(BGl_checkzd2initzd2envz00zzast_checkzd2globalzd2initz00, BgL_auxz00_2798); } 
{ /* ./Ast/check-init.scm 131 */
int BgL_offsetz00_1534;
BgL_offsetz00_1534 = 
(int)(BgL_objzd2classzd2numz00_1530); 
{ /* ./Ast/check-init.scm 131 */
long BgL_offsetz00_1535;
{ /* ./Ast/check-init.scm 131 */
long BgL_auxz00_2802;
BgL_auxz00_2802 = 
(long)(BgL_offsetz00_1534); 
BgL_offsetz00_1535 = 
(BgL_auxz00_2802-OBJECT_TYPE); } 
{ /* ./Ast/check-init.scm 131 */
long BgL_modz00_1536;
{ /* ./Ast/check-init.scm 131 */
int BgL_arg2028z00_1537;
BgL_arg2028z00_1537 = 
(int)(((long)8)); 
{ /* ./Ast/check-init.scm 131 */
long BgL_n2z00_1545;
BgL_n2z00_1545 = 
(long)(BgL_arg2028z00_1537); 
BgL_modz00_1536 = 
(BgL_offsetz00_1535/BgL_n2z00_1545); } } 
{ /* ./Ast/check-init.scm 131 */
long BgL_restz00_1538;
{ /* ./Ast/check-init.scm 131 */
int BgL_arg2024z00_1539;
BgL_arg2024z00_1539 = 
(int)(((long)8)); 
{ /* ./Ast/check-init.scm 131 */
long BgL_n2z00_1548;
BgL_n2z00_1548 = 
(long)(BgL_arg2024z00_1539); 
BgL_restz00_1538 = 
(BgL_offsetz00_1535%BgL_n2z00_1548); } } 
{ /* ./Ast/check-init.scm 131 */

{ /* ./Ast/check-init.scm 131 */
obj_t BgL_bucketz00_1540;
{ /* ./Ast/check-init.scm 131 */
int BgL_kz00_1550;
BgL_kz00_1550 = 
(int)(BgL_modz00_1536); 
BgL_bucketz00_1540 = 
VECTOR_REF(BgL_arg2017z00_1531,BgL_kz00_1550); } 
{ /* ./Ast/check-init.scm 131 */
int BgL_kz00_1552;
BgL_kz00_1552 = 
(int)(BgL_restz00_1538); 
BgL_method2962z00_1528 = 
VECTOR_REF(BgL_bucketz00_1540,BgL_kz00_1552); } } } } } } } } } } 
PROCEDURE_ENTRY(BgL_method2962z00_1528)(BgL_method2962z00_1528, 
(obj_t)(BgL_arg3552z00_1228), BEOA); } } 
{ /* ./Ast/check-init.scm 132 */
obj_t BgL_arg3556z00_1229;
BgL_arg3556z00_1229 = 
(((BgL_funcallz00_bglt)CREF(BgL_nodez00_1224))->BgL_argsz00); 
BgL_auxz00_2794 = 
BGl_checkzd2initza2z70zzast_checkzd2globalzd2initz00(BgL_arg3556z00_1229); } 
return 
BBOOL(BgL_auxz00_2794);} } } 
}



/* check-init-app-ly2971 */
obj_t BGl_checkzd2initzd2appzd2ly2971zd2zzast_checkzd2globalzd2initz00(obj_t BgL_envz00_2136, obj_t BgL_nodez00_2137)
{ AN_OBJECT;
{ /* ./Ast/check-init.scm 121 */
{ 
BgL_appzd2lyzd2_bglt BgL_nodez00_1216;
BgL_nodez00_1216 = 
(BgL_appzd2lyzd2_bglt)(BgL_nodez00_2137); 
{ /* ./Ast/check-init.scm 123 */
BgL_nodez00_bglt BgL_arg3538z00_1220;
BgL_arg3538z00_1220 = 
(((BgL_appzd2lyzd2_bglt)CREF(BgL_nodez00_1216))->BgL_funz00); 
{ /* ./Ast/check-init.scm 123 */
obj_t BgL_method2962z00_1474;
{ /* ./Ast/check-init.scm 123 */
BgL_objectz00_bglt BgL_objz00_1475;
BgL_objz00_1475 = 
(BgL_objectz00_bglt)(BgL_arg3538z00_1220); 
{ /* ./Ast/check-init.scm 123 */
long BgL_objzd2classzd2numz00_1476;
BgL_objzd2classzd2numz00_1476 = 
BGL_OBJECT_CLASS_NUM(BgL_objz00_1475); 
{ /* ./Ast/check-init.scm 123 */
obj_t BgL_arg2017z00_1477;
{ /* ./Ast/check-init.scm 123 */
int BgL_auxz00_2825;
BgL_auxz00_2825 = 
(int)(((long)1)); 
BgL_arg2017z00_1477 = 
PROCEDURE_REF(BGl_checkzd2initzd2envz00zzast_checkzd2globalzd2initz00, BgL_auxz00_2825); } 
{ /* ./Ast/check-init.scm 123 */
int BgL_offsetz00_1480;
BgL_offsetz00_1480 = 
(int)(BgL_objzd2classzd2numz00_1476); 
{ /* ./Ast/check-init.scm 123 */
long BgL_offsetz00_1481;
{ /* ./Ast/check-init.scm 123 */
long BgL_auxz00_2829;
BgL_auxz00_2829 = 
(long)(BgL_offsetz00_1480); 
BgL_offsetz00_1481 = 
(BgL_auxz00_2829-OBJECT_TYPE); } 
{ /* ./Ast/check-init.scm 123 */
long BgL_modz00_1482;
{ /* ./Ast/check-init.scm 123 */
int BgL_arg2028z00_1483;
BgL_arg2028z00_1483 = 
(int)(((long)8)); 
{ /* ./Ast/check-init.scm 123 */
long BgL_n2z00_1491;
BgL_n2z00_1491 = 
(long)(BgL_arg2028z00_1483); 
BgL_modz00_1482 = 
(BgL_offsetz00_1481/BgL_n2z00_1491); } } 
{ /* ./Ast/check-init.scm 123 */
long BgL_restz00_1484;
{ /* ./Ast/check-init.scm 123 */
int BgL_arg2024z00_1485;
BgL_arg2024z00_1485 = 
(int)(((long)8)); 
{ /* ./Ast/check-init.scm 123 */
long BgL_n2z00_1494;
BgL_n2z00_1494 = 
(long)(BgL_arg2024z00_1485); 
BgL_restz00_1484 = 
(BgL_offsetz00_1481%BgL_n2z00_1494); } } 
{ /* ./Ast/check-init.scm 123 */

{ /* ./Ast/check-init.scm 123 */
obj_t BgL_bucketz00_1486;
{ /* ./Ast/check-init.scm 123 */
int BgL_kz00_1496;
BgL_kz00_1496 = 
(int)(BgL_modz00_1482); 
BgL_bucketz00_1486 = 
VECTOR_REF(BgL_arg2017z00_1477,BgL_kz00_1496); } 
{ /* ./Ast/check-init.scm 123 */
int BgL_kz00_1498;
BgL_kz00_1498 = 
(int)(BgL_restz00_1484); 
BgL_method2962z00_1474 = 
VECTOR_REF(BgL_bucketz00_1486,BgL_kz00_1498); } } } } } } } } } } 
PROCEDURE_ENTRY(BgL_method2962z00_1474)(BgL_method2962z00_1474, 
(obj_t)(BgL_arg3538z00_1220), BEOA); } } 
{ /* ./Ast/check-init.scm 124 */
BgL_nodez00_bglt BgL_arg3542z00_1221;
BgL_arg3542z00_1221 = 
(((BgL_appzd2lyzd2_bglt)CREF(BgL_nodez00_1216))->BgL_argz00); 
{ /* ./Ast/check-init.scm 124 */
obj_t BgL_method2962z00_1501;
{ /* ./Ast/check-init.scm 124 */
BgL_objectz00_bglt BgL_objz00_1502;
BgL_objz00_1502 = 
(BgL_objectz00_bglt)(BgL_arg3542z00_1221); 
{ /* ./Ast/check-init.scm 124 */
long BgL_objzd2classzd2numz00_1503;
BgL_objzd2classzd2numz00_1503 = 
BGL_OBJECT_CLASS_NUM(BgL_objz00_1502); 
{ /* ./Ast/check-init.scm 124 */
obj_t BgL_arg2017z00_1504;
{ /* ./Ast/check-init.scm 124 */
int BgL_auxz00_2848;
BgL_auxz00_2848 = 
(int)(((long)1)); 
BgL_arg2017z00_1504 = 
PROCEDURE_REF(BGl_checkzd2initzd2envz00zzast_checkzd2globalzd2initz00, BgL_auxz00_2848); } 
{ /* ./Ast/check-init.scm 124 */
int BgL_offsetz00_1507;
BgL_offsetz00_1507 = 
(int)(BgL_objzd2classzd2numz00_1503); 
{ /* ./Ast/check-init.scm 124 */
long BgL_offsetz00_1508;
{ /* ./Ast/check-init.scm 124 */
long BgL_auxz00_2852;
BgL_auxz00_2852 = 
(long)(BgL_offsetz00_1507); 
BgL_offsetz00_1508 = 
(BgL_auxz00_2852-OBJECT_TYPE); } 
{ /* ./Ast/check-init.scm 124 */
long BgL_modz00_1509;
{ /* ./Ast/check-init.scm 124 */
int BgL_arg2028z00_1510;
BgL_arg2028z00_1510 = 
(int)(((long)8)); 
{ /* ./Ast/check-init.scm 124 */
long BgL_n2z00_1518;
BgL_n2z00_1518 = 
(long)(BgL_arg2028z00_1510); 
BgL_modz00_1509 = 
(BgL_offsetz00_1508/BgL_n2z00_1518); } } 
{ /* ./Ast/check-init.scm 124 */
long BgL_restz00_1511;
{ /* ./Ast/check-init.scm 124 */
int BgL_arg2024z00_1512;
BgL_arg2024z00_1512 = 
(int)(((long)8)); 
{ /* ./Ast/check-init.scm 124 */
long BgL_n2z00_1521;
BgL_n2z00_1521 = 
(long)(BgL_arg2024z00_1512); 
BgL_restz00_1511 = 
(BgL_offsetz00_1508%BgL_n2z00_1521); } } 
{ /* ./Ast/check-init.scm 124 */

{ /* ./Ast/check-init.scm 124 */
obj_t BgL_bucketz00_1513;
{ /* ./Ast/check-init.scm 124 */
int BgL_kz00_1523;
BgL_kz00_1523 = 
(int)(BgL_modz00_1509); 
BgL_bucketz00_1513 = 
VECTOR_REF(BgL_arg2017z00_1504,BgL_kz00_1523); } 
{ /* ./Ast/check-init.scm 124 */
int BgL_kz00_1525;
BgL_kz00_1525 = 
(int)(BgL_restz00_1511); 
BgL_method2962z00_1501 = 
VECTOR_REF(BgL_bucketz00_1513,BgL_kz00_1525); } } } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2962z00_1501)(BgL_method2962z00_1501, 
(obj_t)(BgL_arg3542z00_1221), BEOA);} } } } 
}



/* check-init-app2969 */
obj_t BGl_checkzd2initzd2app2969z00zzast_checkzd2globalzd2initz00(obj_t BgL_envz00_2138, obj_t BgL_nodez00_2139)
{ AN_OBJECT;
{ /* ./Ast/check-init.scm 114 */
{ 
BgL_appz00_bglt BgL_nodez00_1209;
{ /* ./Ast/check-init.scm 115 */
bool_t BgL_auxz00_2869;
BgL_nodez00_1209 = 
(BgL_appz00_bglt)(BgL_nodez00_2139); 
{ /* ./Ast/check-init.scm 115 */
obj_t BgL_arg3528z00_1470;
BgL_arg3528z00_1470 = 
(((BgL_appz00_bglt)CREF(BgL_nodez00_1209))->BgL_argsz00); 
BgL_auxz00_2869 = 
BGl_checkzd2initza2z70zzast_checkzd2globalzd2initz00(BgL_arg3528z00_1470); } 
return 
BBOOL(BgL_auxz00_2869);} } } 
}



/* check-init-sequence2967 */
obj_t BGl_checkzd2initzd2sequence2967z00zzast_checkzd2globalzd2initz00(obj_t BgL_envz00_2140, obj_t BgL_nodez00_2141)
{ AN_OBJECT;
{ /* ./Ast/check-init.scm 108 */
{ 
BgL_sequencez00_bglt BgL_nodez00_1203;
{ /* ./Ast/check-init.scm 109 */
bool_t BgL_auxz00_2874;
BgL_nodez00_1203 = 
(BgL_sequencez00_bglt)(BgL_nodez00_2141); 
{ /* ./Ast/check-init.scm 109 */
obj_t BgL_arg3518z00_1467;
BgL_arg3518z00_1467 = 
(((BgL_sequencez00_bglt)CREF(BgL_nodez00_1203))->BgL_nodesz00); 
BgL_auxz00_2874 = 
BGl_checkzd2initza2z70zzast_checkzd2globalzd2initz00(BgL_arg3518z00_1467); } 
return 
BBOOL(BgL_auxz00_2874);} } } 
}



/* check-init-var2964 */
obj_t BGl_checkzd2initzd2var2964z00zzast_checkzd2globalzd2initz00(obj_t BgL_envz00_2142, obj_t BgL_nodez00_2143)
{ AN_OBJECT;
{ /* ./Ast/check-init.scm 92 */
{ 
BgL_varz00_bglt BgL_nodez00_1187;
BgL_nodez00_1187 = 
(BgL_varz00_bglt)(BgL_nodez00_2143); 
{ /* ./Ast/check-init.scm 93 */
BgL_variablez00_bglt BgL_varz00_1190;
BgL_varz00_1190 = 
(((BgL_varz00_bglt)CREF(BgL_nodez00_1187))->BgL_variablez00); 
{ /* ./Ast/check-init.scm 94 */
bool_t BgL_test3486z00_1191;
{ /* ./Ast/check-init.scm 94 */
bool_t BgL_test3496z00_1196;
{ /* ./Ast/check-init.scm 94 */
obj_t BgL_obj1154z00_1459;
BgL_obj1154z00_1459 = 
(obj_t)(BgL_varz00_1190); 
BgL_test3496z00_1196 = 
BGl_iszd2azf3z21zz__objectz00(BgL_obj1154z00_1459, BGl_globalz00zzast_varz00); } 
if(BgL_test3496z00_1196)
{ /* ./Ast/check-init.scm 95 */
bool_t BgL_test3497z00_1197;
{ /* ./Ast/check-init.scm 95 */
BgL_valuez00_bglt BgL_arg3506z00_1200;
BgL_arg3506z00_1200 = 
(((BgL_variablez00_bglt)CREF(BgL_varz00_1190))->BgL_valuez00); 
{ /* ./Ast/check-init.scm 95 */
obj_t BgL_obj1258z00_1461;
BgL_obj1258z00_1461 = 
(obj_t)(BgL_arg3506z00_1200); 
BgL_test3497z00_1197 = 
BGl_iszd2azf3z21zz__objectz00(BgL_obj1258z00_1461, BGl_funz00zzast_varz00); } } 
if(BgL_test3497z00_1197)
{ /* ./Ast/check-init.scm 95 */
BgL_test3486z00_1191 = ((bool_t)0); }  else 
{ /* ./Ast/check-init.scm 96 */
bool_t BgL_test3498z00_1198;
{ /* ./Ast/check-init.scm 96 */
obj_t BgL_auxz00_2887;
BgL_auxz00_2887 = 
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
(obj_t)(BgL_varz00_1190), BGl_za2globalsza2z00zzast_checkzd2globalzd2initz00); 
BgL_test3498z00_1198 = 
CBOOL(BgL_auxz00_2887); } 
if(BgL_test3498z00_1198)
{ /* ./Ast/check-init.scm 96 */
BgL_test3486z00_1191 = ((bool_t)0); }  else 
{ /* ./Ast/check-init.scm 97 */
obj_t BgL_arg3500z00_1199;
{ /* ./Ast/check-init.scm 97 */
BgL_globalz00_bglt BgL_obj1079z00_1463;
BgL_obj1079z00_1463 = 
(BgL_globalz00_bglt)(BgL_varz00_1190); 
BgL_arg3500z00_1199 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1079z00_1463))->BgL_modulez00); } 
BgL_test3486z00_1191 = 
(BgL_arg3500z00_1199==BGl_za2moduleza2z00zzmodule_modulez00); } } }  else 
{ /* ./Ast/check-init.scm 94 */
BgL_test3486z00_1191 = ((bool_t)0); } } 
if(BgL_test3486z00_1191)
{ /* ./Ast/check-init.scm 94 */
{ /* ./Ast/check-init.scm 99 */
obj_t BgL_arg3488z00_1192;obj_t BgL_arg3491z00_1195;
{ /* ./Ast/check-init.scm 99 */
BgL_nodez00_bglt BgL_obj1474z00_1464;
BgL_obj1474z00_1464 = 
(BgL_nodez00_bglt)(BgL_nodez00_1187); 
BgL_arg3488z00_1192 = 
(((BgL_nodez00_bglt)CREF(BgL_obj1474z00_1464))->BgL_locz00); } 
BgL_arg3491z00_1195 = 
(((BgL_variablez00_bglt)CREF(BgL_varz00_1190))->BgL_idz00); 
BGl_userzd2warningzf2locationz20zztools_errorz00(BgL_arg3488z00_1192, BGl_string4196z00zzast_checkzd2globalzd2initz00, BGl_string4197z00zzast_checkzd2globalzd2initz00, BgL_arg3491z00_1195); } 
{ /* ./Ast/check-init.scm 103 */
obj_t BgL_auxz00_2900;
BgL_auxz00_2900 = 
(obj_t)(BgL_varz00_1190); 
return ( 
BGl_za2globalsza2z00zzast_checkzd2globalzd2initz00 = 
MAKE_PAIR(BgL_auxz00_2900, BGl_za2globalsza2z00zzast_checkzd2globalzd2initz00), BUNSPEC) ;} }  else 
{ /* ./Ast/check-init.scm 94 */
return BFALSE;} } } } } 
}



/* check-init */
obj_t BGl_checkzd2initzd2zzast_checkzd2globalzd2initz00(BgL_nodez00_bglt BgL_nodez00_21)
{ AN_OBJECT;
{ /* ./Ast/check-init.scm 86 */
{ /* ./Ast/check-init.scm 86 */
obj_t BgL_method2962z00_2062;
{ /* ./Ast/check-init.scm 86 */
BgL_objectz00_bglt BgL_objz00_2063;
BgL_objz00_2063 = 
(BgL_objectz00_bglt)(BgL_nodez00_21); 
{ /* ./Ast/check-init.scm 86 */
long BgL_objzd2classzd2numz00_2064;
BgL_objzd2classzd2numz00_2064 = 
BGL_OBJECT_CLASS_NUM(BgL_objz00_2063); 
{ /* ./Ast/check-init.scm 86 */
obj_t BgL_arg2017z00_2065;
{ /* ./Ast/check-init.scm 86 */
int BgL_auxz00_2906;
BgL_auxz00_2906 = 
(int)(((long)1)); 
BgL_arg2017z00_2065 = 
PROCEDURE_REF(BGl_checkzd2initzd2envz00zzast_checkzd2globalzd2initz00, BgL_auxz00_2906); } 
{ /* ./Ast/check-init.scm 86 */
int BgL_offsetz00_2068;
BgL_offsetz00_2068 = 
(int)(BgL_objzd2classzd2numz00_2064); 
{ /* ./Ast/check-init.scm 86 */
long BgL_offsetz00_2069;
{ /* ./Ast/check-init.scm 86 */
long BgL_auxz00_2910;
BgL_auxz00_2910 = 
(long)(BgL_offsetz00_2068); 
BgL_offsetz00_2069 = 
(BgL_auxz00_2910-OBJECT_TYPE); } 
{ /* ./Ast/check-init.scm 86 */
long BgL_modz00_2070;
{ /* ./Ast/check-init.scm 86 */
int BgL_arg2028z00_2071;
BgL_arg2028z00_2071 = 
(int)(((long)8)); 
{ /* ./Ast/check-init.scm 86 */
long BgL_n2z00_2079;
BgL_n2z00_2079 = 
(long)(BgL_arg2028z00_2071); 
BgL_modz00_2070 = 
(BgL_offsetz00_2069/BgL_n2z00_2079); } } 
{ /* ./Ast/check-init.scm 86 */
long BgL_restz00_2072;
{ /* ./Ast/check-init.scm 86 */
int BgL_arg2024z00_2073;
BgL_arg2024z00_2073 = 
(int)(((long)8)); 
{ /* ./Ast/check-init.scm 86 */
long BgL_n2z00_2082;
BgL_n2z00_2082 = 
(long)(BgL_arg2024z00_2073); 
BgL_restz00_2072 = 
(BgL_offsetz00_2069%BgL_n2z00_2082); } } 
{ /* ./Ast/check-init.scm 86 */

{ /* ./Ast/check-init.scm 86 */
obj_t BgL_bucketz00_2074;
{ /* ./Ast/check-init.scm 86 */
int BgL_kz00_2084;
BgL_kz00_2084 = 
(int)(BgL_modz00_2070); 
BgL_bucketz00_2074 = 
VECTOR_REF(BgL_arg2017z00_2065,BgL_kz00_2084); } 
{ /* ./Ast/check-init.scm 86 */
int BgL_kz00_2086;
BgL_kz00_2086 = 
(int)(BgL_restz00_2072); 
BgL_method2962z00_2062 = 
VECTOR_REF(BgL_bucketz00_2074,BgL_kz00_2086); } } } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2962z00_2062)(BgL_method2962z00_2062, 
(obj_t)(BgL_nodez00_21), BEOA);} } 
}



/* _check-init */
obj_t BGl__checkzd2initzd2zzast_checkzd2globalzd2initz00(obj_t BgL_envz00_2088, obj_t BgL_nodez00_2089)
{ AN_OBJECT;
{ /* ./Ast/check-init.scm 86 */
return 
BGl_checkzd2initzd2zzast_checkzd2globalzd2initz00(
(BgL_nodez00_bglt)(BgL_nodez00_2089));} 
}



/* _check-init-default2961 */
obj_t BGl__checkzd2initzd2default2961z00zzast_checkzd2globalzd2initz00(obj_t BgL_envz00_2144, obj_t BgL_nodez00_2145)
{ AN_OBJECT;
{ /* ./Ast/check-init.scm 18 */
{ /* ./Ast/check-init.scm 87 */
obj_t BgL_res4214z00_2155;
BgL_res4214z00_2155 = 
CNST_TABLE_REF(((long)2)); 
return BgL_res4214z00_2155;} } 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzast_checkzd2globalzd2initz00()
{ AN_OBJECT;
{ /* ./Ast/check-init.scm 18 */
BGl_modulezd2initializa7ationz75zzast_envz00(((long)62031), "ast_check-global-init"); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)44246), "ast_check-global-init"); 
BGl_modulezd2initializa7ationz75zzast_nodez00(((long)50868), "ast_check-global-init"); 
BGl_modulezd2initializa7ationz75zztools_errorz00(((long)25566), "ast_check-global-init"); 
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19090), "ast_check-global-init"); 
BGl_modulezd2initializa7ationz75zzobject_classz00(((long)30791), "ast_check-global-init"); 
BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long)8699), "ast_check-global-init"); 
BGl_modulezd2initializa7ationz75zzmodule_includez00(((long)1783), "ast_check-global-init"); 
return 
BGl_modulezd2initializa7ationz75zzmodule_classz00(((long)34127), "ast_check-global-init");} 
}

