/*===========================================================================*/
/*   (Cfa/app.scm)                                                           */
/*   Bigloo (2.6b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Dec 15 12:14:36 CET 2003        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc-2.95 -lib-dir /users/serrano/prgm/project/bigloo/lib/2.6b -unsafev -no-hello -O2 -rm -unsafe -s -indent Cfa/app.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_effectz00;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_effectz00;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_effectz00;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;

typedef struct BgL_feffectz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_readz00;
   obj_t BgL_writez00;
} *BgL_feffectz00_bglt;

typedef struct BgL_nodez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
} *BgL_nodez00_bglt;

typedef struct BgL_nodezf2effectzf2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
} *BgL_nodezf2effectzf2_bglt;

typedef struct BgL_atomz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_atomz00_bglt;

typedef struct BgL_varz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_varz00_bglt;

typedef struct BgL_closurez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_closurez00_bglt;

typedef struct BgL_kwotez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_kwotez00_bglt;

typedef struct BgL_sequencez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_nodesz00;
} *BgL_sequencez00_bglt;

typedef struct BgL_appz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
} *BgL_appz00_bglt;

typedef struct BgL_appzd2lyzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_appzd2lyzd2_bglt;

typedef struct BgL_funcallz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
   obj_t BgL_strengthz00;
} *BgL_funcallz00_bglt;

typedef struct BgL_externz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
} *BgL_externz00_bglt;

typedef struct BgL_pragmaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   obj_t BgL_formatz00;
} *BgL_pragmaz00_bglt;

typedef struct BgL_getfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_getfieldz00_bglt;

typedef struct BgL_setfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_setfieldz00_bglt;

typedef struct BgL_newz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
} *BgL_newz00_bglt;

typedef struct BgL_vallocz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   obj_t BgL_czd2heapzd2formatz00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_vallocz00_bglt;

typedef struct BgL_vrefz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vrefz00_bglt;

typedef struct BgL_vsetz12z12_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vsetz12z12_bglt;

typedef struct BgL_vlengthz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vlengthz00_bglt;

typedef struct BgL_isaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   struct BgL_typez00_bgl * BgL_classz00;
} *BgL_isaz00_bglt;

typedef struct BgL_castz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_castz00_bglt;

typedef struct BgL_setqz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_setqz00_bglt;

typedef struct BgL_conditionalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   struct BgL_nodez00_bgl * BgL_truez00;
   struct BgL_nodez00_bgl * BgL_falsez00;
} *BgL_conditionalz00_bglt;

typedef struct BgL_failz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_procz00;
   struct BgL_nodez00_bgl * BgL_msgz00;
   struct BgL_nodez00_bgl * BgL_objz00;
} *BgL_failz00_bglt;

typedef struct BgL_selectz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   obj_t BgL_clausesz00;
   struct BgL_typez00_bgl * BgL_itemzd2typezd2;
} *BgL_selectz00_bglt;

typedef struct BgL_letzd2funzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_localsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_letzd2funzd2_bglt;

typedef struct BgL_letzd2varzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_bindingsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
   bool_t BgL_removablezf3zf3;
} *BgL_letzd2varzd2_bglt;

typedef struct BgL_setzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_setzd2exzd2itz00_bglt;

typedef struct BgL_jumpzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_exitz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_jumpzd2exzd2itz00_bglt;

typedef struct BgL_makezd2boxzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_makezd2boxzd2_bglt;

typedef struct BgL_boxzd2refzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_varz00;
} *BgL_boxzd2refzd2_bglt;

typedef struct BgL_boxzd2setz12zc0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_boxzd2setz12zc0_bglt;

typedef struct BgL_approxz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_typez00_bgl * BgL_typez00;
   bool_t BgL_typezd2lockedzf3z21;
   obj_t BgL_allocsz00;
   bool_t BgL_topzf3zf3;
   long BgL_lostzd2stampzd2;
} *BgL_approxz00_bglt;

typedef struct BgL_cfunzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_cfunzf2cinfozf2_bglt;

typedef struct BgL_externzd2sfunzf2cinfoz20_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_externzd2sfunzf2cinfoz20_bglt;

typedef struct BgL_internzd2sfunzf2cinfoz20_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
   long BgL_stampz00;
} *BgL_internzd2sfunzf2cinfoz20_bglt;

typedef struct BgL_scnstzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_scnstzf2cinfozf2_bglt;

typedef struct BgL_prezd2clozd2envz00_bgl {
   char dummy;
} *BgL_prezd2clozd2envz00_bglt;

typedef struct BgL_svarzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
   bool_t BgL_clozd2envzf3z21;
} *BgL_svarzf2cinfozf2_bglt;

typedef struct BgL_cvarzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_cvarzf2cinfozf2_bglt;

typedef struct BgL_sexitzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_sexitzf2cinfozf2_bglt;

typedef struct BgL_reshapedzd2localzd2_bgl {
   obj_t BgL_bindingzd2valuezd2;
} *BgL_reshapedzd2localzd2_bglt;

typedef struct BgL_reshapedzd2globalzd2_bgl {
   char dummy;
} *BgL_reshapedzd2globalzd2_bglt;

typedef struct BgL_atomzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_atomzf2cinfozf2_bglt;

typedef struct BgL_kwotezf2nodezf2_bgl {
   struct BgL_nodez00_bgl * BgL_nodez00;
} *BgL_kwotezf2nodezf2_bglt;

typedef struct BgL_kwotezf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_kwotezf2cinfozf2_bglt;

typedef struct BgL_appzd2lyzf2cinfoz20_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_appzd2lyzf2cinfoz20_bglt;

typedef struct BgL_funcallzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
   struct BgL_approxz00_bgl * BgL_vazd2approxzd2;
   bool_t BgL_arityzd2errorzd2noticedzf3zf3;
   bool_t BgL_typezd2errorzd2noticedzf3zf3;
} *BgL_funcallzf2cinfozf2_bglt;

typedef struct BgL_setqzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_setqzf2cinfozf2_bglt;

typedef struct BgL_conditionalzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_conditionalzf2cinfozf2_bglt;

typedef struct BgL_failzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_failzf2cinfozf2_bglt;

typedef struct BgL_selectzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_selectzf2cinfozf2_bglt;

typedef struct BgL_setzd2exzd2itzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_setzd2exzd2itzf2cinfozf2_bglt;

typedef struct BgL_jumpzd2exzd2itzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_jumpzd2exzd2itzf2cinfozf2_bglt;

typedef struct BgL_prezd2makezd2boxz00_bgl {
   char dummy;
} *BgL_prezd2makezd2boxz00_bglt;

typedef struct BgL_makezd2boxzf2cinfoz20_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_makezd2boxzf2cinfoz20_bglt;

typedef struct BgL_makezd2boxzf2ozd2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
   struct BgL_approxz00_bgl * BgL_valuezd2approxzd2;
} *BgL_makezd2boxzf2ozd2cinfozf2_bglt;

typedef struct BgL_boxzd2setz12zf2cinfoz32_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_boxzd2setz12zf2cinfoz32_bglt;

typedef struct BgL_boxzd2refzf2cinfoz20_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_boxzd2refzf2cinfoz20_bglt;

typedef struct BgL_boxzd2setz12zf2ozd2cinfoze0_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_boxzd2setz12zf2ozd2cinfoze0_bglt;

typedef struct BgL_boxzd2refzf2ozd2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_boxzd2refzf2ozd2cinfozf2_bglt;

typedef struct BgL_prezd2arithmeticzd2appz00_bgl {
   obj_t BgL_speczd2typeszd2;
} *BgL_prezd2arithmeticzd2appz00_bglt;

typedef struct BgL_arithmeticzd2appzd2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
   obj_t BgL_speczd2typeszd2;
} *BgL_arithmeticzd2appzd2_bglt;

typedef struct BgL_prezd2makezd2procedurezd2appzd2_bgl {
   struct BgL_variablez00_bgl * BgL_ownerz00;
} *BgL_prezd2makezd2procedurezd2appzd2_bglt;

typedef struct BgL_prezd2procedurezd2refzd2appzd2_bgl {
   char dummy;
} *BgL_prezd2procedurezd2refzd2appzd2_bglt;

typedef struct BgL_prezd2procedurezd2setz12zd2appzc0_bgl {
   char dummy;
} *BgL_prezd2procedurezd2setz12zd2appzc0_bglt;

typedef struct BgL_makezd2procedurezd2appz00_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
   obj_t BgL_valueszd2approxzd2;
   long BgL_lostzd2stampzd2;
   bool_t BgL_xzd2tzf3z21;
   bool_t BgL_xz00;
   bool_t BgL_tz00;
   struct BgL_variablez00_bgl * BgL_ownerz00;
   obj_t BgL_stackzd2stampzd2;
} *BgL_makezd2procedurezd2appz00_bglt;

typedef struct BgL_procedurezd2refzd2appz00_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_procedurezd2refzd2appz00_bglt;

typedef struct BgL_procedurezd2setz12zd2appz12_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_procedurezd2setz12zd2appz12_bglt;

typedef struct BgL_prezd2makezd2vectorzd2appzd2_bgl {
   struct BgL_variablez00_bgl * BgL_ownerz00;
} *BgL_prezd2makezd2vectorzd2appzd2_bglt;

typedef struct BgL_makezd2vectorzd2appz00_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
   struct BgL_approxz00_bgl * BgL_valuezd2approxzd2;
   long BgL_lostzd2stampzd2;
   struct BgL_variablez00_bgl * BgL_ownerz00;
   obj_t BgL_stackzd2stampzd2;
   bool_t BgL_seenzf3zf3;
} *BgL_makezd2vectorzd2appz00_bglt;

typedef struct BgL_prezd2makezd2structzd2appzd2_bgl {
   struct BgL_variablez00_bgl * BgL_ownerz00;
} *BgL_prezd2makezd2structzd2appzd2_bglt;

typedef struct BgL_prezd2structzd2refzd2appzd2_bgl {
   char dummy;
} *BgL_prezd2structzd2refzd2appzd2_bglt;

typedef struct BgL_prezd2structzd2setz12zd2appzc0_bgl {
   char dummy;
} *BgL_prezd2structzd2setz12zd2appzc0_bglt;

typedef struct BgL_makezd2structzd2appz00_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
   struct BgL_approxz00_bgl * BgL_valuezd2approxzd2;
   long BgL_lostzd2stampzd2;
   struct BgL_variablez00_bgl * BgL_ownerz00;
   obj_t BgL_stackzd2stampzd2;
} *BgL_makezd2structzd2appz00_bglt;

typedef struct BgL_structzd2refzd2appz00_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_structzd2refzd2appz00_bglt;

typedef struct BgL_structzd2setz12zd2appz12_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_structzd2setz12zd2appz12_bglt;


static obj_t BGl_methodzd2initzd2zzcfa_appz00();
BGL_IMPORT obj_t open_input_string(obj_t);
extern BgL_approxz00_bglt BGl_loosez12z12zzcfa_loosez00(BgL_approxz00_bglt, obj_t);
extern obj_t BGl_externzd2sfunzf2Cinfoz20zzcfa_infoz00;
extern BgL_approxz00_bglt BGl_unionzd2approxz12zc0zzcfa_approxz00(BgL_approxz00_bglt, BgL_approxz00_bglt);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t);
BGL_IMPORT bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_addzd2genericz12zc0zz__objectz00(obj_t, obj_t);
extern obj_t BGl_globalz00zzast_varz00;
extern obj_t BGl_cfazd2exportzd2varz12z12zzcfa_iteratez00(BgL_valuez00_bglt, obj_t);
static obj_t BGl__appz12zd2default4105zc0zzcfa_appz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_cnstzd2initzd2zzcfa_appz00();
static obj_t BGl_importedzd2moduleszd2initz00zzcfa_appz00();
extern obj_t BGl_internzd2sfunzf2Cinfoz20zzcfa_infoz00;
BGL_IMPORT obj_t BGl_addzd2methodz12zc0zz__objectz00(obj_t, obj_t, obj_t);
extern BgL_approxz00_bglt BGl_cfaz12z12zzcfa_cfaz00(BgL_nodez00_bglt);
static obj_t BGl_cfaz12zd2app4104zc0zzcfa_appz00(obj_t, obj_t);
static obj_t BGl_toplevelzd2initzd2zzcfa_appz00();
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzcfa_appz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcfa_infoz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcfa_info2z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcfa_cfaz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcfa_iteratez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcfa_loosez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcfa_approxz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
static obj_t BGl__appz12z12zzcfa_appz00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_shapez00zztools_shapez00(obj_t);
extern obj_t BGl_cfunzf2Cinfozf2zzcfa_infoz00;
extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
static BgL_approxz00_bglt BGl_appz12zd2default4105zc0zzcfa_appz00(BgL_funz00_bglt, BgL_varz00_bglt, obj_t);
extern obj_t BGl_appz00zzast_nodez00;
static obj_t BGl_appz12zd2externzd2sfunzf2Cinfo4110ze0zzcfa_appz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zzcfa_appz00 = BUNSPEC;
static obj_t BGl_appz12zd2internzd2sfunzf2Cinfo4108ze0zzcfa_appz00(obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL BgL_approxz00_bglt BGl_appz12z12zzcfa_appz00(BgL_funz00_bglt, BgL_varz00_bglt, obj_t);
static obj_t BGl_appz12zd2cfunzf2Cinfo4112z32zzcfa_appz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_libraryzd2moduleszd2initz00zzcfa_appz00();
extern BgL_approxz00_bglt BGl_cfazd2internzd2sfunz12z12zzcfa_iteratez00(BgL_internzd2sfunzf2cinfoz20_bglt, obj_t);
static obj_t __cnst[ 2 ] ;


DEFINE_STATIC_PROCEDURE( BGl_appz12zd2default4105zd2envz12zzcfa_appz00, BgL_bgl__appza712za7d2default4105za7c0za7za7cfa_appza7005110z00, BGl__appz12zd2default4105zc0zzcfa_appz00, 0L, 3 );
DEFINE_STRING( BGl_string5084z00zzcfa_appz00, BgL_bgl_string5084za700za7za7cfa_appza7005111z00, "static all ", 11 );
DEFINE_STRING( BGl_string5083z00zzcfa_appz00, BgL_bgl_string5083za700za7za7cfa_appza7005112z00, "No method for this function", 27 );
DEFINE_STRING( BGl_string5082z00zzcfa_appz00, BgL_bgl_string5082za700za7za7cfa_appza7005113z00, "app!", 4 );
extern obj_t BGl_cfaz12zd2envzc0zzcfa_cfaz00;
DEFINE_EXPORT_GENERIC( BGl_appz12zd2envzc0zzcfa_appz00, BgL_bgl__appza712za712za7za7cfa_appza7005114za7, BGl__appz12z12zzcfa_appz00, 0L, 3 );
DEFINE_STATIC_PROCEDURE( BGl_proc5078z00zzcfa_appz00, BgL_bgl_cfaza712za7d2app4104za7c0za7za7cfa_appza7005115z00, BGl_cfaz12zd2app4104zc0zzcfa_appz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc5080z00zzcfa_appz00, BgL_bgl_appza712za7d2externza7d2sfunza7f2cinfo4110za7e0za7za7cfa_appza7005116z00, BGl_appz12zd2externzd2sfunzf2Cinfo4110ze0zzcfa_appz00, 0L, 3 );
DEFINE_STATIC_PROCEDURE( BGl_proc5079z00zzcfa_appz00, BgL_bgl_appza712za7d2internza7d2sfunza7f2cinfo4108za7e0za7za7cfa_appza7005117z00, BGl_appz12zd2internzd2sfunzf2Cinfo4108ze0zzcfa_appz00, 0L, 3 );
DEFINE_STATIC_PROCEDURE( BGl_proc5081z00zzcfa_appz00, BgL_bgl_appza712za7d2cfunza7f2cinfo4112za732za7za7cfa_appza7005118za7, BGl_appz12zd2cfunzf2Cinfo4112z32zzcfa_appz00, 0L, 3 );



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzcfa_appz00(long BgL_checksumz00_1679, char * BgL_fromz00_1680)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzcfa_appz00))
{ 
BGl_requirezd2initializa7ationz75zzcfa_appz00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzcfa_appz00(); 
BGl_cnstzd2initzd2zzcfa_appz00(); 
BGl_importedzd2moduleszd2initz00zzcfa_appz00(); 
BGl_methodzd2initzd2zzcfa_appz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzcfa_appz00()
{ AN_OBJECT;
{ /* ./Cfa/app.scm 15 */
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "cfa_app"); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "cfa_app"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzcfa_appz00()
{ AN_OBJECT;
{ /* ./Cfa/app.scm 15 */
{ /* ./Cfa/app.scm 15 */
obj_t BgL_cportz00_1672;
BgL_cportz00_1672 = 
open_input_string(BGl_string5084z00zzcfa_appz00); 
{ 
long BgL_iz00_1673;
BgL_iz00_1673 = ((long)1); 
BgL_loopz00_1674:
{ /* ./Cfa/app.scm 15 */
bool_t BgL_test5086z00_1675;
BgL_test5086z00_1675 = 
(BgL_iz00_1673==((long)-1)); 
if(BgL_test5086z00_1675)
{ /* ./Cfa/app.scm 15 */
return BUNSPEC;}  else 
{ /* ./Cfa/app.scm 15 */
{ /* ./Cfa/app.scm 15 */
obj_t BgL_arg5088z00_1676;
{ /* ./Cfa/app.scm 15 */
obj_t BgL_list5091z00_1677;
BgL_list5091z00_1677 = 
MAKE_PAIR(BgL_cportz00_1672, BNIL); 
BgL_arg5088z00_1676 = 
BGl_readz00zz__readerz00(BgL_list5091z00_1677); } 
{ /* ./Cfa/app.scm 15 */
int BgL_auxz00_1695;
BgL_auxz00_1695 = 
(int)(BgL_iz00_1673); 
CNST_TABLE_SET(BgL_auxz00_1695, BgL_arg5088z00_1676); } } 
{ /* ./Cfa/app.scm 15 */
int BgL_auxz00_1678;
{ /* ./Cfa/app.scm 15 */
long BgL_auxz00_1698;
BgL_auxz00_1698 = 
(BgL_iz00_1673-((long)1)); 
BgL_auxz00_1678 = 
(int)(BgL_auxz00_1698); } 
{ 
long BgL_iz00_1701;
BgL_iz00_1701 = 
(long)(BgL_auxz00_1678); 
BgL_iz00_1673 = BgL_iz00_1701; 
goto BgL_loopz00_1674;} } } } } } } 
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zzcfa_appz00()
{ AN_OBJECT;
{ /* ./Cfa/app.scm 15 */
return BUNSPEC;} 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzcfa_appz00()
{ AN_OBJECT;
{ /* ./Cfa/app.scm 15 */
BGl_addzd2methodz12zc0zz__objectz00(BGl_cfaz12zd2envzc0zzcfa_cfaz00, BGl_appz00zzast_nodez00, BGl_proc5078z00zzcfa_appz00); 
BGl_addzd2genericz12zc0zz__objectz00(BGl_appz12zd2envzc0zzcfa_appz00, BGl_appz12zd2default4105zd2envz12zzcfa_appz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_appz12zd2envzc0zzcfa_appz00, BGl_internzd2sfunzf2Cinfoz20zzcfa_infoz00, BGl_proc5079z00zzcfa_appz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_appz12zd2envzc0zzcfa_appz00, BGl_externzd2sfunzf2Cinfoz20zzcfa_infoz00, BGl_proc5080z00zzcfa_appz00); 
return 
BGl_addzd2methodz12zc0zz__objectz00(BGl_appz12zd2envzc0zzcfa_appz00, BGl_cfunzf2Cinfozf2zzcfa_infoz00, BGl_proc5081z00zzcfa_appz00);} 
}



/* app!-cfun/Cinfo4112 */
obj_t BGl_appz12zd2cfunzf2Cinfo4112z32zzcfa_appz00(obj_t BgL_envz00_1652, obj_t BgL_funz00_1653, obj_t BgL_varz00_1654, obj_t BgL_argszd2approxzd2_1655)
{ AN_OBJECT;
{ /* ./Cfa/app.scm 83 */
{ 
BgL_cfunzf2cinfozf2_bglt BgL_funz00_1524;BgL_varz00_bglt BgL_varz00_1525;obj_t BgL_argszd2approxzd2_1526;
{ /* ./Tools/trace.sch 42 */
BgL_approxz00_bglt BgL_auxz00_1708;
BgL_funz00_1524 = 
(BgL_cfunzf2cinfozf2_bglt)(BgL_funz00_1653); 
BgL_varz00_1525 = 
(BgL_varz00_bglt)(BgL_varz00_1654); 
BgL_argszd2approxzd2_1526 = BgL_argszd2approxzd2_1655; 
{ /* ./Cfa/app.scm 87 */
bool_t BgL_test4948z00_1530;
{ /* ./Cfa/app.scm 87 */
BgL_funz00_bglt BgL_obj1311z00_1610;
BgL_obj1311z00_1610 = 
(BgL_funz00_bglt)(BgL_funz00_1524); 
BgL_test4948z00_1530 = 
(((BgL_funz00_bglt)CREF(BgL_obj1311z00_1610))->BgL_topzf3zf3); } 
if(BgL_test4948z00_1530)
{ 
obj_t BgL_l4101z00_1531;
BgL_l4101z00_1531 = BgL_argszd2approxzd2_1526; 
BgL_forzd2each4102zd2_1532:
{ /* ./Cfa/app.scm 87 */
bool_t BgL_test4950z00_1533;
BgL_test4950z00_1533 = 
PAIRP(BgL_l4101z00_1531); 
if(BgL_test4950z00_1533)
{ /* ./Cfa/app.scm 87 */
{ /* ./Cfa/app.scm 87 */
obj_t BgL_az00_1534;
BgL_az00_1534 = 
CAR(BgL_l4101z00_1531); 
BGl_loosez12z12zzcfa_loosez00(
(BgL_approxz00_bglt)(BgL_az00_1534), 
CNST_TABLE_REF(((long)0))); } 
{ /* ./Cfa/app.scm 87 */
obj_t BgL_arg4954z00_1535;
BgL_arg4954z00_1535 = 
CDR(BgL_l4101z00_1531); 
{ 
obj_t BgL_l4101z00_1719;
BgL_l4101z00_1719 = BgL_arg4954z00_1535; 
BgL_l4101z00_1531 = BgL_l4101z00_1719; 
goto BgL_forzd2each4102zd2_1532;} } }  else 
{ /* ./Cfa/app.scm 87 */((bool_t)1); } } }  else 
{ /* ./Cfa/app.scm 87 */((bool_t)0); } } 
{ 
obj_t BgL_auxz00_1720;
{ /* ./Cfa/app.scm 89 */
BgL_objectz00_bglt BgL_auxz00_1721;
BgL_auxz00_1721 = 
(BgL_objectz00_bglt)(BgL_funz00_1524); 
BgL_auxz00_1720 = 
BGL_OBJECT_WIDENING(BgL_auxz00_1721); } 
BgL_auxz00_1708 = 
(((BgL_cfunzf2cinfozf2_bglt)CREF(BgL_auxz00_1720))->BgL_approxz00); } 
return 
(obj_t)(BgL_auxz00_1708);} } } 
}



/* app!-extern-sfun/Cinfo4110 */
obj_t BGl_appz12zd2externzd2sfunzf2Cinfo4110ze0zzcfa_appz00(obj_t BgL_envz00_1656, obj_t BgL_funz00_1657, obj_t BgL_varz00_1658, obj_t BgL_argszd2approxzd2_1659)
{ AN_OBJECT;
{ /* ./Cfa/app.scm 71 */
{ 
BgL_externzd2sfunzf2cinfoz20_bglt BgL_funz00_1510;BgL_varz00_bglt BgL_varz00_1511;obj_t BgL_argszd2approxzd2_1512;
{ /* ./Tools/trace.sch 42 */
BgL_approxz00_bglt BgL_auxz00_1728;
BgL_funz00_1510 = 
(BgL_externzd2sfunzf2cinfoz20_bglt)(BgL_funz00_1657); 
BgL_varz00_1511 = 
(BgL_varz00_bglt)(BgL_varz00_1658); 
BgL_argszd2approxzd2_1512 = BgL_argszd2approxzd2_1659; 
{ /* ./Cfa/app.scm 76 */
bool_t BgL_test4930z00_1516;
{ /* ./Cfa/app.scm 76 */
BgL_funz00_bglt BgL_obj1311z00_1605;
BgL_obj1311z00_1605 = 
(BgL_funz00_bglt)(BgL_funz00_1510); 
BgL_test4930z00_1516 = 
(((BgL_funz00_bglt)CREF(BgL_obj1311z00_1605))->BgL_topzf3zf3); } 
if(BgL_test4930z00_1516)
{ 
obj_t BgL_l4097z00_1517;
BgL_l4097z00_1517 = BgL_argszd2approxzd2_1512; 
BgL_forzd2each4098zd2_1518:
{ /* ./Cfa/app.scm 76 */
bool_t BgL_test4932z00_1519;
BgL_test4932z00_1519 = 
PAIRP(BgL_l4097z00_1517); 
if(BgL_test4932z00_1519)
{ /* ./Cfa/app.scm 76 */
{ /* ./Cfa/app.scm 76 */
obj_t BgL_az00_1520;
BgL_az00_1520 = 
CAR(BgL_l4097z00_1517); 
BGl_loosez12z12zzcfa_loosez00(
(BgL_approxz00_bglt)(BgL_az00_1520), 
CNST_TABLE_REF(((long)0))); } 
{ /* ./Cfa/app.scm 76 */
obj_t BgL_arg4936z00_1521;
BgL_arg4936z00_1521 = 
CDR(BgL_l4097z00_1517); 
{ 
obj_t BgL_l4097z00_1739;
BgL_l4097z00_1739 = BgL_arg4936z00_1521; 
BgL_l4097z00_1517 = BgL_l4097z00_1739; 
goto BgL_forzd2each4098zd2_1518;} } }  else 
{ /* ./Cfa/app.scm 76 */((bool_t)1); } } }  else 
{ /* ./Cfa/app.scm 76 */((bool_t)0); } } 
{ 
obj_t BgL_auxz00_1740;
{ /* ./Cfa/app.scm 78 */
BgL_objectz00_bglt BgL_auxz00_1741;
BgL_auxz00_1741 = 
(BgL_objectz00_bglt)(BgL_funz00_1510); 
BgL_auxz00_1740 = 
BGL_OBJECT_WIDENING(BgL_auxz00_1741); } 
BgL_auxz00_1728 = 
(((BgL_externzd2sfunzf2cinfoz20_bglt)CREF(BgL_auxz00_1740))->BgL_approxz00); } 
return 
(obj_t)(BgL_auxz00_1728);} } } 
}



/* app!-intern-sfun/Cinfo4108 */
obj_t BGl_appz12zd2internzd2sfunzf2Cinfo4108ze0zzcfa_appz00(obj_t BgL_envz00_1660, obj_t BgL_funz00_1661, obj_t BgL_varz00_1662, obj_t BgL_argszd2approxzd2_1663)
{ AN_OBJECT;
{ /* ./Cfa/app.scm 49 */
{ 
BgL_internzd2sfunzf2cinfoz20_bglt BgL_funz00_1481;BgL_varz00_bglt BgL_varz00_1482;obj_t BgL_argszd2approxzd2_1483;
BgL_funz00_1481 = 
(BgL_internzd2sfunzf2cinfoz20_bglt)(BgL_funz00_1661); 
BgL_varz00_1482 = 
(BgL_varz00_bglt)(BgL_varz00_1662); 
BgL_argszd2approxzd2_1483 = BgL_argszd2approxzd2_1663; 
{ 
obj_t BgL_ll4091z00_1487;obj_t BgL_ll4092z00_1488;
{ /* ./Cfa/app.scm 54 */
obj_t BgL_arg4878z00_1490;
{ /* ./Cfa/app.scm 54 */
BgL_sfunz00_bglt BgL_obj1367z00_1589;
BgL_obj1367z00_1589 = 
(BgL_sfunz00_bglt)(BgL_funz00_1481); 
BgL_arg4878z00_1490 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1367z00_1589))->BgL_argsz00); } 
BgL_ll4091z00_1487 = BgL_arg4878z00_1490; 
BgL_ll4092z00_1488 = BgL_argszd2approxzd2_1483; 
BgL_forzd2each4093zd2_1489:
{ /* ./Cfa/app.scm 54 */
bool_t BgL_test4881z00_1491;
BgL_test4881z00_1491 = 
NULLP(BgL_ll4091z00_1487); 
if(BgL_test4881z00_1491)
{ /* ./Cfa/app.scm 54 */((bool_t)1); }  else 
{ /* ./Cfa/app.scm 54 */
{ /* ./Cfa/app.scm 55 */
obj_t BgL_formalz00_1492;obj_t BgL_approxz00_1493;
BgL_formalz00_1492 = 
CAR(BgL_ll4091z00_1487); 
BgL_approxz00_1493 = 
CAR(BgL_ll4092z00_1488); 
{ /* ./Cfa/app.scm 55 */
BgL_approxz00_bglt BgL_arg4883z00_1494;
{ /* ./Cfa/app.scm 55 */
BgL_svarzf2cinfozf2_bglt BgL_obj2902z00_1594;
{ /* ./Cfa/app.scm 55 */
BgL_valuez00_bglt BgL_auxz00_1754;
{ /* ./Cfa/app.scm 55 */
BgL_variablez00_bglt BgL_obj1100z00_1593;
BgL_obj1100z00_1593 = 
(BgL_variablez00_bglt)(BgL_formalz00_1492); 
BgL_auxz00_1754 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1100z00_1593))->BgL_valuez00); } 
BgL_obj2902z00_1594 = 
(BgL_svarzf2cinfozf2_bglt)(BgL_auxz00_1754); } 
{ 
obj_t BgL_auxz00_1758;
{ /* ./Cfa/app.scm 55 */
BgL_objectz00_bglt BgL_auxz00_1759;
BgL_auxz00_1759 = 
(BgL_objectz00_bglt)(BgL_obj2902z00_1594); 
BgL_auxz00_1758 = 
BGL_OBJECT_WIDENING(BgL_auxz00_1759); } 
BgL_arg4883z00_1494 = 
(((BgL_svarzf2cinfozf2_bglt)CREF(BgL_auxz00_1758))->BgL_approxz00); } } 
BGl_unionzd2approxz12zc0zzcfa_approxz00(BgL_arg4883z00_1494, 
(BgL_approxz00_bglt)(BgL_approxz00_1493)); } } 
{ /* ./Cfa/app.scm 54 */
obj_t BgL_arg4892z00_1496;obj_t BgL_arg4893z00_1497;
BgL_arg4892z00_1496 = 
CDR(BgL_ll4091z00_1487); 
BgL_arg4893z00_1497 = 
CDR(BgL_ll4092z00_1488); 
{ 
obj_t BgL_ll4092z00_1768;obj_t BgL_ll4091z00_1767;
BgL_ll4091z00_1767 = BgL_arg4892z00_1496; 
BgL_ll4092z00_1768 = BgL_arg4893z00_1497; 
BgL_ll4092z00_1488 = BgL_ll4092z00_1768; 
BgL_ll4091z00_1487 = BgL_ll4091z00_1767; 
goto BgL_forzd2each4093zd2_1489;} } } } } } 
{ /* ./Cfa/app.scm 60 */
bool_t BgL_test4898z00_1498;
{ /* ./Cfa/app.scm 60 */
bool_t BgL_test4907z00_1501;
{ /* ./Cfa/app.scm 60 */
BgL_variablez00_bglt BgL_arg4921z00_1507;
BgL_arg4921z00_1507 = 
(((BgL_varz00_bglt)CREF(BgL_varz00_1482))->BgL_variablez00); 
{ /* ./Cfa/app.scm 60 */
obj_t BgL_obj1240z00_1598;
BgL_obj1240z00_1598 = 
(obj_t)(BgL_arg4921z00_1507); 
BgL_test4907z00_1501 = 
BGl_iszd2azf3z21zz__objectz00(BgL_obj1240z00_1598, BGl_globalz00zzast_varz00); } } 
if(BgL_test4907z00_1501)
{ /* ./Cfa/app.scm 61 */
bool_t BgL__andtest_4094z00_1502;
{ /* ./Cfa/app.scm 61 */
BgL_variablez00_bglt BgL_arg4917z00_1506;
BgL_arg4917z00_1506 = 
(((BgL_varz00_bglt)CREF(BgL_varz00_1482))->BgL_variablez00); 
{ /* ./Cfa/app.scm 61 */
obj_t BgL_obj1240z00_1600;
BgL_obj1240z00_1600 = 
(obj_t)(BgL_arg4917z00_1506); 
BgL__andtest_4094z00_1502 = 
BGl_iszd2azf3z21zz__objectz00(BgL_obj1240z00_1600, BGl_globalz00zzast_varz00); } } 
if(BgL__andtest_4094z00_1502)
{ /* ./Cfa/app.scm 62 */
obj_t BgL_auxz00_1782;obj_t BgL_auxz00_1777;
BgL_auxz00_1782 = 
CNST_TABLE_REF(((long)1)); 
{ /* ./Cfa/app.scm 62 */
BgL_globalz00_bglt BgL_obj1168z00_1602;
{ /* ./Cfa/app.scm 62 */
BgL_variablez00_bglt BgL_auxz00_1778;
BgL_auxz00_1778 = 
(((BgL_varz00_bglt)CREF(BgL_varz00_1482))->BgL_variablez00); 
BgL_obj1168z00_1602 = 
(BgL_globalz00_bglt)(BgL_auxz00_1778); } 
BgL_auxz00_1777 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1168z00_1602))->BgL_importz00); } 
BgL_test4898z00_1498 = 
(BgL_auxz00_1777==BgL_auxz00_1782); }  else 
{ /* ./Cfa/app.scm 61 */
BgL_test4898z00_1498 = ((bool_t)0); } }  else 
{ /* ./Cfa/app.scm 60 */
BgL_test4898z00_1498 = ((bool_t)1); } } 
if(BgL_test4898z00_1498)
{ /* ./Cfa/app.scm 64 */
BgL_variablez00_bglt BgL_arg4900z00_1499;
BgL_arg4900z00_1499 = 
(((BgL_varz00_bglt)CREF(BgL_varz00_1482))->BgL_variablez00); 
{ /* ./Cfa/app.scm 64 */
BgL_approxz00_bglt BgL_auxz00_1787;
BgL_auxz00_1787 = 
BGl_cfazd2internzd2sfunz12z12zzcfa_iteratez00(BgL_funz00_1481, 
(obj_t)(BgL_arg4900z00_1499)); 
return 
(obj_t)(BgL_auxz00_1787);} }  else 
{ /* ./Cfa/app.scm 66 */
BgL_variablez00_bglt BgL_arg4904z00_1500;
BgL_arg4904z00_1500 = 
(((BgL_varz00_bglt)CREF(BgL_varz00_1482))->BgL_variablez00); 
return 
BGl_cfazd2exportzd2varz12z12zzcfa_iteratez00(
(BgL_valuez00_bglt)(BgL_funz00_1481), 
(obj_t)(BgL_arg4904z00_1500));} } } } 
}



/* cfa!-app4104 */
obj_t BGl_cfaz12zd2app4104zc0zzcfa_appz00(obj_t BgL_envz00_1664, obj_t BgL_nodez00_1665)
{ AN_OBJECT;
{ /* ./Cfa/app.scm 33 */
{ 
BgL_appz00_bglt BgL_nodez00_1454;
{ /* ./Tools/trace.sch 42 */
BgL_approxz00_bglt BgL_auxz00_1797;
BgL_nodez00_1454 = 
(BgL_appz00_bglt)(BgL_nodez00_1665); 
{ /* ./Cfa/app.scm 36 */
BgL_valuez00_bglt BgL_arg4827z00_1458;BgL_varz00_bglt BgL_arg4828z00_1459;obj_t BgL_arg4829z00_1460;
{ /* ./Cfa/app.scm 36 */
BgL_variablez00_bglt BgL_arg4832z00_1461;
{ /* ./Cfa/app.scm 36 */
BgL_varz00_bglt BgL_arg4835z00_1462;
BgL_arg4835z00_1462 = 
(((BgL_appz00_bglt)CREF(BgL_nodez00_1454))->BgL_funz00); 
BgL_arg4832z00_1461 = 
(((BgL_varz00_bglt)CREF(BgL_arg4835z00_1462))->BgL_variablez00); } 
BgL_arg4827z00_1458 = 
(((BgL_variablez00_bglt)CREF(BgL_arg4832z00_1461))->BgL_valuez00); } 
BgL_arg4828z00_1459 = 
(((BgL_appz00_bglt)CREF(BgL_nodez00_1454))->BgL_funz00); 
{ /* ./Cfa/app.scm 36 */
obj_t BgL_l4084z00_1463;
BgL_l4084z00_1463 = 
(((BgL_appz00_bglt)CREF(BgL_nodez00_1454))->BgL_argsz00); 
{ /* ./Cfa/app.scm 36 */
bool_t BgL_test4839z00_1464;
BgL_test4839z00_1464 = 
NULLP(BgL_l4084z00_1463); 
if(BgL_test4839z00_1464)
{ /* ./Cfa/app.scm 36 */
BgL_arg4829z00_1460 = BNIL; }  else 
{ /* ./Cfa/app.scm 36 */
obj_t BgL_head4086z00_1465;
{ /* ./Cfa/app.scm 36 */
BgL_approxz00_bglt BgL_arg4861z00_1476;
{ /* ./Cfa/app.scm 36 */
obj_t BgL_arg4865z00_1478;
BgL_arg4865z00_1478 = 
CAR(BgL_l4084z00_1463); 
BgL_arg4861z00_1476 = 
BGl_cfaz12z12zzcfa_cfaz00(
(BgL_nodez00_bglt)(BgL_arg4865z00_1478)); } 
{ /* ./Cfa/app.scm 36 */
obj_t BgL_obj1z00_1550;
BgL_obj1z00_1550 = 
(obj_t)(BgL_arg4861z00_1476); 
BgL_head4086z00_1465 = 
MAKE_PAIR(BgL_obj1z00_1550, BNIL); } } 
{ 
obj_t BgL_l4084z00_1466;obj_t BgL_tail4087z00_1467;
{ /* ./Cfa/app.scm 36 */
obj_t BgL_arg4842z00_1469;
BgL_arg4842z00_1469 = 
CDR(BgL_l4084z00_1463); 
BgL_l4084z00_1466 = BgL_arg4842z00_1469; 
BgL_tail4087z00_1467 = BgL_head4086z00_1465; 
BgL_map4085z00_1468:
{ /* ./Cfa/app.scm 36 */
bool_t BgL_test4845z00_1470;
BgL_test4845z00_1470 = 
NULLP(BgL_l4084z00_1466); 
if(BgL_test4845z00_1470)
{ /* ./Cfa/app.scm 36 */
BgL_arg4829z00_1460 = BgL_head4086z00_1465; }  else 
{ /* ./Cfa/app.scm 36 */
obj_t BgL_newtail4088z00_1471;
{ /* ./Cfa/app.scm 36 */
BgL_approxz00_bglt BgL_arg4852z00_1473;
{ /* ./Cfa/app.scm 36 */
obj_t BgL_arg4856z00_1475;
BgL_arg4856z00_1475 = 
CAR(BgL_l4084z00_1466); 
BgL_arg4852z00_1473 = 
BGl_cfaz12z12zzcfa_cfaz00(
(BgL_nodez00_bglt)(BgL_arg4856z00_1475)); } 
{ /* ./Cfa/app.scm 36 */
obj_t BgL_obj1z00_1555;
BgL_obj1z00_1555 = 
(obj_t)(BgL_arg4852z00_1473); 
BgL_newtail4088z00_1471 = 
MAKE_PAIR(BgL_obj1z00_1555, BNIL); } } 
SET_CDR(BgL_tail4087z00_1467, BgL_newtail4088z00_1471); 
{ /* ./Cfa/app.scm 36 */
obj_t BgL_arg4848z00_1472;
BgL_arg4848z00_1472 = 
CDR(BgL_l4084z00_1466); 
{ 
obj_t BgL_tail4087z00_1821;obj_t BgL_l4084z00_1820;
BgL_l4084z00_1820 = BgL_arg4848z00_1472; 
BgL_tail4087z00_1821 = BgL_newtail4088z00_1471; 
BgL_tail4087z00_1467 = BgL_tail4087z00_1821; 
BgL_l4084z00_1466 = BgL_l4084z00_1820; 
goto BgL_map4085z00_1468;} } } } } } } } } 
{ /* ./Cfa/app.scm 36 */
BgL_approxz00_bglt BgL_res4992z00_1588;
{ /* ./Cfa/app.scm 36 */
BgL_funz00_bglt BgL_funz00_1560;
BgL_funz00_1560 = 
(BgL_funz00_bglt)(BgL_arg4827z00_1458); 
{ /* ./Cfa/app.scm 36 */
obj_t BgL_method4106z00_1563;
{ /* ./Cfa/app.scm 36 */
BgL_objectz00_bglt BgL_objz00_1564;
BgL_objz00_1564 = 
(BgL_objectz00_bglt)(BgL_funz00_1560); 
{ /* ./Cfa/app.scm 36 */
long BgL_objzd2classzd2numz00_1565;
BgL_objzd2classzd2numz00_1565 = 
BGL_OBJECT_CLASS_NUM(BgL_objz00_1564); 
{ /* ./Cfa/app.scm 36 */
obj_t BgL_arg2017z00_1566;
{ /* ./Cfa/app.scm 36 */
int BgL_auxz00_1825;
BgL_auxz00_1825 = 
(int)(((long)1)); 
BgL_arg2017z00_1566 = 
PROCEDURE_REF(BGl_appz12zd2envzc0zzcfa_appz00, BgL_auxz00_1825); } 
{ /* ./Cfa/app.scm 36 */
int BgL_offsetz00_1569;
BgL_offsetz00_1569 = 
(int)(BgL_objzd2classzd2numz00_1565); 
{ /* ./Cfa/app.scm 36 */
long BgL_offsetz00_1570;
{ /* ./Cfa/app.scm 36 */
long BgL_auxz00_1829;
BgL_auxz00_1829 = 
(long)(BgL_offsetz00_1569); 
BgL_offsetz00_1570 = 
(BgL_auxz00_1829-OBJECT_TYPE); } 
{ /* ./Cfa/app.scm 36 */
long BgL_modz00_1571;
{ /* ./Cfa/app.scm 36 */
int BgL_arg2028z00_1572;
BgL_arg2028z00_1572 = 
(int)(((long)8)); 
{ /* ./Cfa/app.scm 36 */
long BgL_n2z00_1580;
BgL_n2z00_1580 = 
(long)(BgL_arg2028z00_1572); 
BgL_modz00_1571 = 
(BgL_offsetz00_1570/BgL_n2z00_1580); } } 
{ /* ./Cfa/app.scm 36 */
long BgL_restz00_1573;
{ /* ./Cfa/app.scm 36 */
int BgL_arg2024z00_1574;
BgL_arg2024z00_1574 = 
(int)(((long)8)); 
{ /* ./Cfa/app.scm 36 */
long BgL_n2z00_1583;
BgL_n2z00_1583 = 
(long)(BgL_arg2024z00_1574); 
BgL_restz00_1573 = 
(BgL_offsetz00_1570%BgL_n2z00_1583); } } 
{ /* ./Cfa/app.scm 36 */

{ /* ./Cfa/app.scm 36 */
obj_t BgL_bucketz00_1575;
{ /* ./Cfa/app.scm 36 */
int BgL_kz00_1585;
BgL_kz00_1585 = 
(int)(BgL_modz00_1571); 
BgL_bucketz00_1575 = 
VECTOR_REF(BgL_arg2017z00_1566,BgL_kz00_1585); } 
{ /* ./Cfa/app.scm 36 */
int BgL_kz00_1587;
BgL_kz00_1587 = 
(int)(BgL_restz00_1573); 
BgL_method4106z00_1563 = 
VECTOR_REF(BgL_bucketz00_1575,BgL_kz00_1587); } } } } } } } } } } 
{ /* ./Cfa/app.scm 36 */
obj_t BgL_auxz00_1842;
BgL_auxz00_1842 = 
PROCEDURE_ENTRY(BgL_method4106z00_1563)(BgL_method4106z00_1563, 
(obj_t)(BgL_funz00_1560), 
(obj_t)(BgL_arg4828z00_1459), BgL_arg4829z00_1460, BEOA); 
BgL_res4992z00_1588 = 
(BgL_approxz00_bglt)(BgL_auxz00_1842); } } } 
BgL_auxz00_1797 = BgL_res4992z00_1588; } } 
return 
(obj_t)(BgL_auxz00_1797);} } } 
}



/* app! */
BGL_EXPORTED_DEF BgL_approxz00_bglt BGl_appz12z12zzcfa_appz00(BgL_funz00_bglt BgL_funz00_2, BgL_varz00_bglt BgL_varz00_3, obj_t BgL_argszd2approxzd2_4)
{ AN_OBJECT;
{ /* ./Cfa/app.scm 41 */
{ /* ./Cfa/app.scm 41 */
obj_t BgL_method4106z00_1615;
{ /* ./Cfa/app.scm 41 */
BgL_objectz00_bglt BgL_objz00_1616;
BgL_objz00_1616 = 
(BgL_objectz00_bglt)(BgL_funz00_2); 
{ /* ./Cfa/app.scm 41 */
long BgL_objzd2classzd2numz00_1617;
BgL_objzd2classzd2numz00_1617 = 
BGL_OBJECT_CLASS_NUM(BgL_objz00_1616); 
{ /* ./Cfa/app.scm 41 */
obj_t BgL_arg2017z00_1618;
{ /* ./Cfa/app.scm 41 */
int BgL_auxz00_1852;
BgL_auxz00_1852 = 
(int)(((long)1)); 
BgL_arg2017z00_1618 = 
PROCEDURE_REF(BGl_appz12zd2envzc0zzcfa_appz00, BgL_auxz00_1852); } 
{ /* ./Cfa/app.scm 41 */
int BgL_offsetz00_1621;
BgL_offsetz00_1621 = 
(int)(BgL_objzd2classzd2numz00_1617); 
{ /* ./Cfa/app.scm 41 */
long BgL_offsetz00_1622;
{ /* ./Cfa/app.scm 41 */
long BgL_auxz00_1856;
BgL_auxz00_1856 = 
(long)(BgL_offsetz00_1621); 
BgL_offsetz00_1622 = 
(BgL_auxz00_1856-OBJECT_TYPE); } 
{ /* ./Cfa/app.scm 41 */
long BgL_modz00_1623;
{ /* ./Cfa/app.scm 41 */
int BgL_arg2028z00_1624;
BgL_arg2028z00_1624 = 
(int)(((long)8)); 
{ /* ./Cfa/app.scm 41 */
long BgL_n2z00_1632;
BgL_n2z00_1632 = 
(long)(BgL_arg2028z00_1624); 
BgL_modz00_1623 = 
(BgL_offsetz00_1622/BgL_n2z00_1632); } } 
{ /* ./Cfa/app.scm 41 */
long BgL_restz00_1625;
{ /* ./Cfa/app.scm 41 */
int BgL_arg2024z00_1626;
BgL_arg2024z00_1626 = 
(int)(((long)8)); 
{ /* ./Cfa/app.scm 41 */
long BgL_n2z00_1635;
BgL_n2z00_1635 = 
(long)(BgL_arg2024z00_1626); 
BgL_restz00_1625 = 
(BgL_offsetz00_1622%BgL_n2z00_1635); } } 
{ /* ./Cfa/app.scm 41 */

{ /* ./Cfa/app.scm 41 */
obj_t BgL_bucketz00_1627;
{ /* ./Cfa/app.scm 41 */
int BgL_kz00_1637;
BgL_kz00_1637 = 
(int)(BgL_modz00_1623); 
BgL_bucketz00_1627 = 
VECTOR_REF(BgL_arg2017z00_1618,BgL_kz00_1637); } 
{ /* ./Cfa/app.scm 41 */
int BgL_kz00_1639;
BgL_kz00_1639 = 
(int)(BgL_restz00_1625); 
BgL_method4106z00_1615 = 
VECTOR_REF(BgL_bucketz00_1627,BgL_kz00_1639); } } } } } } } } } } 
{ /* ./Cfa/app.scm 41 */
obj_t BgL_auxz00_1869;
BgL_auxz00_1869 = 
PROCEDURE_ENTRY(BgL_method4106z00_1615)(BgL_method4106z00_1615, 
(obj_t)(BgL_funz00_2), 
(obj_t)(BgL_varz00_3), BgL_argszd2approxzd2_4, BEOA); 
return 
(BgL_approxz00_bglt)(BgL_auxz00_1869);} } } 
}



/* _app! */
obj_t BGl__appz12z12zzcfa_appz00(obj_t BgL_envz00_1648, obj_t BgL_funz00_1649, obj_t BgL_varz00_1650, obj_t BgL_argszd2approxzd2_1651)
{ AN_OBJECT;
{ /* ./Cfa/app.scm 41 */
{ /* ./Cfa/app.scm 41 */
BgL_approxz00_bglt BgL_auxz00_1875;
BgL_auxz00_1875 = 
BGl_appz12z12zzcfa_appz00(
(BgL_funz00_bglt)(BgL_funz00_1649), 
(BgL_varz00_bglt)(BgL_varz00_1650), BgL_argszd2approxzd2_1651); 
return 
(obj_t)(BgL_auxz00_1875);} } 
}



/* app!-default4105 */
BgL_approxz00_bglt BGl_appz12zd2default4105zc0zzcfa_appz00(BgL_funz00_bglt BgL_funz00_5, BgL_varz00_bglt BgL_varz00_6, obj_t BgL_argszd2approxzd2_7)
{ AN_OBJECT;
{ /* ./Cfa/app.scm 15 */
{ /* ./Cfa/app.scm 44 */
obj_t BgL_arg4970z00_1642;
{ /* ./Cfa/app.scm 44 */
obj_t BgL_arg4973z00_1643;
BgL_arg4973z00_1643 = 
BGl_shapez00zztools_shapez00(
(obj_t)(BgL_varz00_6)); 
{ /* ./Cfa/app.scm 44 */
obj_t BgL_auxz00_1882;
BgL_auxz00_1882 = 
(obj_t)(BgL_funz00_5); 
BgL_arg4970z00_1642 = 
MAKE_PAIR(BgL_auxz00_1882, BgL_arg4973z00_1643); } } 
{ /* ./Cfa/app.scm 44 */
obj_t BgL_auxz00_1885;
BgL_auxz00_1885 = 
BGl_internalzd2errorzd2zztools_errorz00(BGl_string5082z00zzcfa_appz00, BGl_string5083z00zzcfa_appz00, BgL_arg4970z00_1642); 
return 
(BgL_approxz00_bglt)(BgL_auxz00_1885);} } } 
}



/* _app!-default4105 */
obj_t BGl__appz12zd2default4105zc0zzcfa_appz00(obj_t BgL_envz00_1668, obj_t BgL_funz00_1669, obj_t BgL_varz00_1670, obj_t BgL_argszd2approxzd2_1671)
{ AN_OBJECT;
{ /* ./Cfa/app.scm 15 */
{ /* ./Cfa/app.scm 44 */
BgL_approxz00_bglt BgL_auxz00_1888;
BgL_auxz00_1888 = 
BGl_appz12zd2default4105zc0zzcfa_appz00(
(BgL_funz00_bglt)(BgL_funz00_1669), 
(BgL_varz00_bglt)(BgL_varz00_1670), BgL_argszd2approxzd2_1671); 
return 
(obj_t)(BgL_auxz00_1888);} } 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzcfa_appz00()
{ AN_OBJECT;
{ /* ./Cfa/app.scm 15 */
BGl_modulezd2initializa7ationz75zztools_tracez00(((long)59211), "cfa_app"); 
BGl_modulezd2initializa7ationz75zztools_shapez00(((long)30833), "cfa_app"); 
BGl_modulezd2initializa7ationz75zztools_errorz00(((long)25566), "cfa_app"); 
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19090), "cfa_app"); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)44246), "cfa_app"); 
BGl_modulezd2initializa7ationz75zzast_nodez00(((long)50868), "cfa_app"); 
BGl_modulezd2initializa7ationz75zzcfa_infoz00(((long)2565), "cfa_app"); 
BGl_modulezd2initializa7ationz75zzcfa_info2z00(((long)0), "cfa_app"); 
BGl_modulezd2initializa7ationz75zzcfa_cfaz00(((long)65191), "cfa_app"); 
BGl_modulezd2initializa7ationz75zzcfa_iteratez00(((long)17824), "cfa_app"); 
BGl_modulezd2initializa7ationz75zzcfa_loosez00(((long)78579), "cfa_app"); 
return 
BGl_modulezd2initializa7ationz75zzcfa_approxz00(((long)43477), "cfa_app");} 
}

