/*===========================================================================*/
/*   (DotNet/extern.scm)                                                     */
/*   Bigloo (2.6b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Dec 15 12:14:36 CET 2003        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc-2.95 -lib-dir /users/serrano/prgm/project/bigloo/lib/2.6b -unsafev -no-hello -O2 -rm -unsafe -s -indent DotNet/extern.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_effectz00;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_effectz00;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_effectz00;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;

typedef struct BgL_feffectz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_readz00;
   obj_t BgL_writez00;
} *BgL_feffectz00_bglt;

typedef struct BgL_nodez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
} *BgL_nodez00_bglt;

typedef struct BgL_nodezf2effectzf2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
} *BgL_nodezf2effectzf2_bglt;

typedef struct BgL_atomz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_atomz00_bglt;

typedef struct BgL_varz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_varz00_bglt;

typedef struct BgL_closurez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_closurez00_bglt;

typedef struct BgL_kwotez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_kwotez00_bglt;

typedef struct BgL_sequencez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_nodesz00;
} *BgL_sequencez00_bglt;

typedef struct BgL_appz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
} *BgL_appz00_bglt;

typedef struct BgL_appzd2lyzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_appzd2lyzd2_bglt;

typedef struct BgL_funcallz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
   obj_t BgL_strengthz00;
} *BgL_funcallz00_bglt;

typedef struct BgL_externz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
} *BgL_externz00_bglt;

typedef struct BgL_pragmaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   obj_t BgL_formatz00;
} *BgL_pragmaz00_bglt;

typedef struct BgL_getfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_getfieldz00_bglt;

typedef struct BgL_setfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_setfieldz00_bglt;

typedef struct BgL_newz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
} *BgL_newz00_bglt;

typedef struct BgL_vallocz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   obj_t BgL_czd2heapzd2formatz00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_vallocz00_bglt;

typedef struct BgL_vrefz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vrefz00_bglt;

typedef struct BgL_vsetz12z12_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vsetz12z12_bglt;

typedef struct BgL_vlengthz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vlengthz00_bglt;

typedef struct BgL_isaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   struct BgL_typez00_bgl * BgL_classz00;
} *BgL_isaz00_bglt;

typedef struct BgL_castz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_castz00_bglt;

typedef struct BgL_setqz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_setqz00_bglt;

typedef struct BgL_conditionalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   struct BgL_nodez00_bgl * BgL_truez00;
   struct BgL_nodez00_bgl * BgL_falsez00;
} *BgL_conditionalz00_bglt;

typedef struct BgL_failz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_procz00;
   struct BgL_nodez00_bgl * BgL_msgz00;
   struct BgL_nodez00_bgl * BgL_objz00;
} *BgL_failz00_bglt;

typedef struct BgL_selectz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   obj_t BgL_clausesz00;
   struct BgL_typez00_bgl * BgL_itemzd2typezd2;
} *BgL_selectz00_bglt;

typedef struct BgL_letzd2funzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_localsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_letzd2funzd2_bglt;

typedef struct BgL_letzd2varzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_bindingsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
   bool_t BgL_removablezf3zf3;
} *BgL_letzd2varzd2_bglt;

typedef struct BgL_setzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_setzd2exzd2itz00_bglt;

typedef struct BgL_jumpzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_exitz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_jumpzd2exzd2itz00_bglt;

typedef struct BgL_makezd2boxzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_makezd2boxzd2_bglt;

typedef struct BgL_boxzd2refzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_varz00;
} *BgL_boxzd2refzd2_bglt;

typedef struct BgL_boxzd2setz12zc0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_boxzd2setz12zc0_bglt;

typedef struct BgL_tclassz00_bgl {
   obj_t BgL_itszd2superzd2;
   obj_t BgL_slotsz00;
   struct BgL_globalz00_bgl * BgL_holderz00;
   obj_t BgL_wideningz00;
   long BgL_depthz00;
   bool_t BgL_finalzf3zf3;
   obj_t BgL_constructorz00;
   obj_t BgL_virtualzd2slotszd2numberz00;
   bool_t BgL_abstractzf3zf3;
   obj_t BgL_widezd2typezd2;
} *BgL_tclassz00_bglt;

typedef struct BgL_jclassz00_bgl {
   obj_t BgL_itszd2superzd2;
   obj_t BgL_slotsz00;
   obj_t BgL_packagez00;
} *BgL_jclassz00_bglt;

typedef struct BgL_wclassz00_bgl {
   obj_t BgL_itszd2classzd2;
} *BgL_wclassz00_bglt;

typedef struct BgL_slotz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_srcz00;
   obj_t BgL_classzd2ownerzd2;
   obj_t BgL_typez00;
   bool_t BgL_readzd2onlyzf3z21;
   obj_t BgL_defaultzd2valuezd2;
   obj_t BgL_virtualzd2numzd2;
   obj_t BgL_getterz00;
   obj_t BgL_setterz00;
   obj_t BgL_indexedz00;
   obj_t BgL_userzd2infozd2;
} *BgL_slotz00_bglt;

typedef struct BgL_ccompz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_producerz00;
   obj_t BgL_consumerz00;
   obj_t BgL_finaliza7erza7;
} *BgL_ccompz00_bglt;

typedef struct BgL_tvecz00_bgl {
   struct BgL_typez00_bgl * BgL_itemzd2typezd2;
} *BgL_tvecz00_bglt;

typedef struct BgL_envz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_declarationsz00;
   obj_t BgL_declaredtypez00;
   obj_t BgL_declaredclassz00;
   obj_t BgL_declaredmodulez00;
   obj_t BgL_currentzd2modulezd2;
   obj_t BgL_declaredfieldsz00;
   obj_t BgL_declaredglobalz00;
   obj_t BgL_libdeclaredz00;
   obj_t BgL_proceduresz00;
   obj_t BgL_clinitzd2codezd2;
   obj_t BgL_currentzd2methodzd2;
   obj_t BgL_vcountz00;
   obj_t BgL_localsz00;
   obj_t BgL_freelocalsz00;
   obj_t BgL_maplocalsz00;
   obj_t BgL_stackz00;
   obj_t BgL_codez00;
} *BgL_envz00_bglt;


extern obj_t BGl_addzd2qualifiedzd2typez12z12zzread_jvmz00(obj_t, obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zzdotnet_externz00();
BGL_IMPORT obj_t open_input_string(obj_t);
extern obj_t BGl_za2srczd2filesza2zd2zzengine_paramz00;
BGL_EXPORTED_DECL obj_t BGl_getzd2classeszd2tozd2bezd2compiledz00zzdotnet_externz00();
extern bool_t BGl_requirezd2prototypezf3z21zzbackend_c_prototypez00(BgL_globalz00_bglt);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_tclasszd2idzd2manglingz00zzdotnet_externz00(BgL_tclassz00_bglt);
BGL_IMPORT bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
extern obj_t BGl_getzd2objectzd2typez00zztype_cachez00();
BGL_IMPORT obj_t bigloo_mangle(obj_t);
extern obj_t BGl_scnstz00zzast_varz00;
extern obj_t BGl_tclassz00zzobject_classz00;
BGL_EXPORTED_DECL obj_t BGl_manuzd2tuzd2fixeszd2globalzd2tvectorz00zzdotnet_externz00(obj_t);
extern obj_t BGl_za2moduleza2z00zzmodule_modulez00;
extern obj_t BGl_compilezd2typezd2zzdotnet_envz00(obj_t, BgL_envz00_bglt);
extern obj_t BGl_modulezd2ze3qualifiedzd2typeze3zzread_jvmz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_getzd2linezd2numberz00zzdotnet_externz00(BgL_nodez00_bglt);
BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00;
BGL_EXPORTED_DECL obj_t BGl_debugzd2declarezd2varzd2fromzd2zzdotnet_externz00(BgL_envz00_bglt, BgL_localz00_bglt, obj_t, obj_t);
extern obj_t BGl_globalz00zzast_varz00;
static obj_t BGl__qualifiedzd2modulezd2name4027z00zzdotnet_externz00(obj_t, obj_t);
static obj_t BGl_onzd2packagezd2zzdotnet_externz00(obj_t, obj_t);
extern obj_t BGl_classzd2idzd2ze3typezd2namez31zzbackend_cplibz00(obj_t, obj_t);
static obj_t BGl_superzd2packagezd2zzdotnet_externz00(BgL_tclassz00_bglt);
static obj_t BGl__getzd2sourcefilezd2zzdotnet_externz00(obj_t);
static obj_t BGl_cnstzd2initzd2zzdotnet_externz00();
static obj_t BGl__packagedzd2typezd2namez00zzdotnet_externz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_basenamez00zz__osz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_qualifiedzd2classzd2namez00zzdotnet_externz00(BgL_tclassz00_bglt);
BGL_IMPORT obj_t BGl_findzd2runtimezd2typez00zz__errorz00(obj_t);
static obj_t BGl__debugzd2declarezd2var4023z00zzdotnet_externz00(obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_debugzd2forzd2declarezd2varzf3z21zzdotnet_externz00(BgL_envz00_bglt);
BGL_EXPORTED_DECL obj_t BGl_globalzd2tozd2bezd2declaredzd2zzdotnet_externz00(BgL_globalz00_bglt);
static obj_t BGl_importedzd2moduleszd2initz00zzdotnet_externz00();
static obj_t BGl__realzd2cfunzd2name4038z00zzdotnet_externz00(obj_t, obj_t);
static obj_t BGl__globalzd2tozd2bezd2declared4041zd2zzdotnet_externz00(obj_t, obj_t);
static obj_t BGl_toplevelzd2initzd2zzdotnet_externz00();
BGL_IMPORT obj_t string_append_3(obj_t, obj_t, obj_t);
extern obj_t BGl_jclassz00zzobject_classz00;
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzdotnet_externz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzobject_slotsz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzmodule_classz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzmodule_javaz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztvector_tvectorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztvector_cnstz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcnst_allocz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzread_jvmz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzbackend_c_prototypez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzdotnet_envz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzdotnet_instrz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzbackend_cplibz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long, char *);
static obj_t BGl_classzd2packagezd2zzdotnet_externz00(obj_t);
static obj_t BGl__getzd2linezd2number4019z00zzdotnet_externz00(obj_t, obj_t);
BGL_IMPORT obj_t string_to_symbol(char *);
static obj_t BGl__manuzd2tuzd2fixeszd2globalzd2tvectorz00zzdotnet_externz00(obj_t, obj_t);
BGL_IMPORT obj_t string_append(obj_t, obj_t);
extern obj_t BGl_shapez00zztools_shapez00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_realzd2cfunzd2namez00zzdotnet_externz00(BgL_globalz00_bglt);
BGL_EXPORTED_DECL obj_t BGl_realzd2sfunzd2namez00zzdotnet_externz00(BgL_globalz00_bglt);
extern obj_t BGl_findzd2javazd2classz00zzmodule_javaz00(obj_t);
static obj_t BGl__qualifiedzd2classzd2name4030z00zzdotnet_externz00(obj_t, obj_t);
extern obj_t BGl_cfunz00zzast_varz00;
static obj_t BGl__debugzd2declarezd2varzd2from4025zd2zzdotnet_externz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl__realzd2fieldzd2name4034z00zzdotnet_externz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_qualifiedzd2modulezd2namez00zzdotnet_externz00(obj_t);
BGL_IMPORT obj_t display_string(obj_t, obj_t);
extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_packagedzd2typezd2namez00zzdotnet_externz00(obj_t);
static obj_t BGl_patchz00zzdotnet_externz00(BgL_globalz00_bglt);
BGL_IMPORT bool_t bigloo_strcmp(obj_t, obj_t);
extern obj_t BGl_za2jvmzd2foreignzd2classzd2nameza2zd2zzengine_paramz00;
static obj_t BGl__tclasszd2idzd2mangling4032z00zzdotnet_externz00(obj_t, obj_t);
static obj_t BGl__getzd2classeszd2tozd2bezd2compiledz00zzdotnet_externz00(obj_t);
extern obj_t BGl_getzd2classzd2listz00zzobject_classz00();
static obj_t BGl_requirezd2initializa7ationz75zzdotnet_externz00 = BUNSPEC;
BGL_EXPORTED_DECL obj_t BGl_debugzd2declarezd2varz00zzdotnet_externz00(BgL_envz00_bglt, BgL_localz00_bglt, obj_t);
static obj_t BGl__realzd2sfunzd2name4036z00zzdotnet_externz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_realzd2fieldzd2namez00zzdotnet_externz00(BgL_globalz00_bglt);
BGL_IMPORT bool_t BGl_bigloozd2needzd2manglingzf3zf3zz__biglooz00(obj_t);
BGL_IMPORT obj_t BGl_prefixz00zz__osz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_getzd2sourcefilezd2zzdotnet_externz00();
extern obj_t BGl_za2jvmzd2debugza2zd2zzengine_paramz00;
extern obj_t BGl__localvarz00zzdotnet_instrz00(BgL_envz00_bglt, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_libraryzd2moduleszd2initz00zzdotnet_externz00();
extern obj_t BGl__labelz00zzdotnet_instrz00(BgL_envz00_bglt, obj_t);
static obj_t BGl__debugzd2forzd2declarezd2varzf34021z21zzdotnet_externz00(obj_t, obj_t);
static obj_t __cnst[ 13 ] ;


DEFINE_EXPORT_PROCEDURE( BGl_realzd2sfunzd2namezd2envzd2zzdotnet_externz00, BgL_bgl__realza7d2sfunza7d2name4036za700za7za7dotnet_externza7004167z00, BGl__realzd2sfunzd2name4036z00zzdotnet_externz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_debugzd2forzd2declarezd2varzf3zd2envzf3zzdotnet_externz00, BgL_bgl__debugza7d2forza7d2declareza7d2varza7f34021za721za7za7dotnet_externza7004168z00, BGl__debugzd2forzd2declarezd2varzf34021z21zzdotnet_externz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_getzd2sourcefilezd2envz00zzdotnet_externz00, BgL_bgl__getza7d2sourcefileza7d2za7za7dotnet_externza7004169za7, BGl__getzd2sourcefilezd2zzdotnet_externz00, 0L, 0 );
DEFINE_EXPORT_PROCEDURE( BGl_debugzd2declarezd2varzd2envzd2zzdotnet_externz00, BgL_bgl__debugza7d2declareza7d2var4023za700za7za7dotnet_externza7004170z00, BGl__debugzd2declarezd2var4023z00zzdotnet_externz00, 0L, 3 );
DEFINE_EXPORT_PROCEDURE( BGl_globalzd2tozd2bezd2declaredzd2envz00zzdotnet_externz00, BgL_bgl__globalza7d2toza7d2beza7d2declared4041za7d2za7za7dotnet_externza7004171za7, BGl__globalzd2tozd2bezd2declared4041zd2zzdotnet_externz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_realzd2fieldzd2namezd2envzd2zzdotnet_externz00, BgL_bgl__realza7d2fieldza7d2name4034za700za7za7dotnet_externza7004172z00, BGl__realzd2fieldzd2name4034z00zzdotnet_externz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_realzd2cfunzd2namezd2envzd2zzdotnet_externz00, BgL_bgl__realza7d2cfunza7d2name4038za700za7za7dotnet_externza7004173z00, BGl__realzd2cfunzd2name4038z00zzdotnet_externz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_qualifiedzd2classzd2namezd2envzd2zzdotnet_externz00, BgL_bgl__qualifiedza7d2classza7d2name4030za700za7za7dotnet_externza7004174z00, BGl__qualifiedzd2classzd2name4030z00zzdotnet_externz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_packagedzd2typezd2namezd2envzd2zzdotnet_externz00, BgL_bgl__packagedza7d2typeza7d2nameza700za7za7dotnet_externza7004175z00, BGl__packagedzd2typezd2namez00zzdotnet_externz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_tclasszd2idzd2manglingzd2envzd2zzdotnet_externz00, BgL_bgl__tclassza7d2idza7d2mangling4032za700za7za7dotnet_externza7004176z00, BGl__tclasszd2idzd2mangling4032z00zzdotnet_externz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_qualifiedzd2modulezd2namezd2envzd2zzdotnet_externz00, BgL_bgl__qualifiedza7d2moduleza7d2name4027za700za7za7dotnet_externza7004177z00, BGl__qualifiedzd2modulezd2name4027z00zzdotnet_externz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_manuzd2tuzd2fixeszd2globalzd2tvectorzd2envzd2zzdotnet_externz00, BgL_bgl__manuza7d2tuza7d2fixesza7d2globalza7d2tvectorza700za7za7dotnet_externza7004178z00, BGl__manuzd2tuzd2fixeszd2globalzd2tvectorz00zzdotnet_externz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_getzd2linezd2numberzd2envzd2zzdotnet_externz00, BgL_bgl__getza7d2lineza7d2number4019za700za7za7dotnet_externza7004179z00, BGl__getzd2linezd2number4019z00zzdotnet_externz00, 0L, 1 );
DEFINE_STRING( BGl_string4137z00zzdotnet_externz00, BgL_bgl_string4137za700za7za7dotnet_externza7004180z00, "(print \"OCCURRENCE0 \" id) __cnsts_table %exit bigloo-exit eval %exit-env bigloo-exit-env foreign (jclass-package super) object import location stvector ", 152 );
DEFINE_STRING( BGl_string4136z00zzdotnet_externz00, BgL_bgl_string4136za700za7za7dotnet_externza7004181z00, "bigloo.", 7 );
DEFINE_STRING( BGl_string4135z00zzdotnet_externz00, BgL_bgl_string4135za700za7za7dotnet_externza7004182z00, "BIGLOO_EXIT_ENV", 15 );
DEFINE_STRING( BGl_string4134z00zzdotnet_externz00, BgL_bgl_string4134za700za7za7dotnet_externza7004183z00, "Illegal super class", 19 );
DEFINE_STRING( BGl_string4133z00zzdotnet_externz00, BgL_bgl_string4133za700za7za7dotnet_externza7004184z00, "super-package", 13 );
DEFINE_STRING( BGl_string4132z00zzdotnet_externz00, BgL_bgl_string4132za700za7za7dotnet_externza7004185z00, "jclass", 6 );
DEFINE_STRING( BGl_string4131z00zzdotnet_externz00, BgL_bgl_string4131za700za7za7dotnet_externza7004186z00, "where do you got a jclass?", 26 );
DEFINE_STRING( BGl_string4130z00zzdotnet_externz00, BgL_bgl_string4130za700za7za7dotnet_externza7004187z00, "bigloo", 6 );
DEFINE_STRING( BGl_string4129z00zzdotnet_externz00, BgL_bgl_string4129za700za7za7dotnet_externza7004188z00, ".", 1 );
DEFINE_STRING( BGl_string4128z00zzdotnet_externz00, BgL_bgl_string4128za700za7za7dotnet_externza7004189z00, "", 0 );
DEFINE_STRING( BGl_string4127z00zzdotnet_externz00, BgL_bgl_string4127za700za7za7dotnet_externza7004190z00, "qualified-class-name:not a tclass", 33 );
DEFINE_STRING( BGl_string4126z00zzdotnet_externz00, BgL_bgl_string4126za700za7za7dotnet_externza7004191z00, "F", 1 );
DEFINE_EXPORT_PROCEDURE( BGl_getzd2classeszd2tozd2bezd2compiledzd2envzd2zzdotnet_externz00, BgL_bgl__getza7d2classesza7d2toza7d2beza7d2compiledza700za7za7dotnet_externza7004192z00, BGl__getzd2classeszd2tozd2bezd2compiledz00zzdotnet_externz00, 0L, 0 );
DEFINE_EXPORT_PROCEDURE( BGl_debugzd2declarezd2varzd2fromzd2envz00zzdotnet_externz00, BgL_bgl__debugza7d2declareza7d2varza7d2from4025za7d2za7za7dotnet_externza7004193za7, BGl__debugzd2declarezd2varzd2from4025zd2zzdotnet_externz00, 0L, 4 );



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzdotnet_externz00(long BgL_checksumz00_1664, char * BgL_fromz00_1665)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzdotnet_externz00))
{ 
BGl_requirezd2initializa7ationz75zzdotnet_externz00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzdotnet_externz00(); 
BGl_cnstzd2initzd2zzdotnet_externz00(); 
BGl_importedzd2moduleszd2initz00zzdotnet_externz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzdotnet_externz00()
{ AN_OBJECT;
{ /* ./DotNet/extern.scm 3 */
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "dotnet_extern"); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "dotnet_extern"); 
BGl_modulezd2initializa7ationz75zz__biglooz00(((long)0), "dotnet_extern"); 
BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long)0), "dotnet_extern"); 
BGl_modulezd2initializa7ationz75zz__osz00(((long)0), "dotnet_extern"); 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)0), "dotnet_extern"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzdotnet_externz00()
{ AN_OBJECT;
{ /* ./DotNet/extern.scm 3 */
{ /* ./DotNet/extern.scm 3 */
obj_t BgL_cportz00_1655;
BgL_cportz00_1655 = 
open_input_string(BGl_string4137z00zzdotnet_externz00); 
{ 
long BgL_iz00_1656;
BgL_iz00_1656 = ((long)12); 
BgL_loopz00_1657:
{ /* ./DotNet/extern.scm 3 */
bool_t BgL_test4139z00_1658;
BgL_test4139z00_1658 = 
(BgL_iz00_1656==((long)-1)); 
if(BgL_test4139z00_1658)
{ /* ./DotNet/extern.scm 3 */
return BUNSPEC;}  else 
{ /* ./DotNet/extern.scm 3 */
{ /* ./DotNet/extern.scm 3 */
obj_t BgL_arg4141z00_1659;
{ /* ./DotNet/extern.scm 3 */
obj_t BgL_list4144z00_1660;
BgL_list4144z00_1660 = 
MAKE_PAIR(BgL_cportz00_1655, BNIL); 
BgL_arg4141z00_1659 = 
BGl_readz00zz__readerz00(BgL_list4144z00_1660); } 
{ /* ./DotNet/extern.scm 3 */
int BgL_auxz00_1683;
BgL_auxz00_1683 = 
(int)(BgL_iz00_1656); 
CNST_TABLE_SET(BgL_auxz00_1683, BgL_arg4141z00_1659); } } 
{ /* ./DotNet/extern.scm 3 */
int BgL_auxz00_1661;
{ /* ./DotNet/extern.scm 3 */
long BgL_auxz00_1686;
BgL_auxz00_1686 = 
(BgL_iz00_1656-((long)1)); 
BgL_auxz00_1661 = 
(int)(BgL_auxz00_1686); } 
{ 
long BgL_iz00_1689;
BgL_iz00_1689 = 
(long)(BgL_auxz00_1661); 
BgL_iz00_1656 = BgL_iz00_1689; 
goto BgL_loopz00_1657;} } } } } } } 
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zzdotnet_externz00()
{ AN_OBJECT;
{ /* ./DotNet/extern.scm 3 */
return BUNSPEC;} 
}



/* manu-tu-fixes-global-tvector */
BGL_EXPORTED_DEF obj_t BGl_manuzd2tuzd2fixeszd2globalzd2tvectorz00zzdotnet_externz00(obj_t BgL_vz00_43)
{ AN_OBJECT;
{ /* ./DotNet/extern.scm 43 */
{ /* ./DotNet/extern.scm 44 */
bool_t BgL_test3292z00_921;
BgL_test3292z00_921 = 
BGl_iszd2azf3z21zz__objectz00(BgL_vz00_43, BGl_globalz00zzast_varz00); 
if(BgL_test3292z00_921)
{ /* ./DotNet/extern.scm 45 */
BgL_valuez00_bglt BgL_valuez00_922;
{ /* ./DotNet/extern.scm 45 */
BgL_variablez00_bglt BgL_obj1100z00_1529;
BgL_obj1100z00_1529 = 
(BgL_variablez00_bglt)(BgL_vz00_43); 
BgL_valuez00_922 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1100z00_1529))->BgL_valuez00); } 
{ /* ./DotNet/extern.scm 46 */
bool_t BgL_test3293z00_923;
{ /* ./DotNet/extern.scm 46 */
obj_t BgL_obj1519z00_1530;
BgL_obj1519z00_1530 = 
(obj_t)(BgL_valuez00_922); 
BgL_test3293z00_923 = 
BGl_iszd2azf3z21zz__objectz00(BgL_obj1519z00_1530, BGl_scnstz00zzast_varz00); } 
if(BgL_test3293z00_923)
{ /* ./DotNet/extern.scm 47 */
bool_t BgL_testz00_1698;
{ /* ./DotNet/extern.scm 47 */
obj_t BgL_auxz00_1702;obj_t BgL_auxz00_1699;
BgL_auxz00_1702 = 
CNST_TABLE_REF(((long)0)); 
{ /* ./DotNet/extern.scm 47 */
BgL_scnstz00_bglt BgL_obj1501z00_1531;
BgL_obj1501z00_1531 = 
(BgL_scnstz00_bglt)(BgL_valuez00_922); 
BgL_auxz00_1699 = 
(((BgL_scnstz00_bglt)CREF(BgL_obj1501z00_1531))->BgL_classz00); } 
BgL_testz00_1698 = 
(BgL_auxz00_1699==BgL_auxz00_1702); } 
if(BgL_testz00_1698)
{ /* ./DotNet/extern.scm 48 */
BgL_tvecz00_bglt BgL_obj3012z00_1536;
{ /* ./DotNet/extern.scm 50 */
obj_t BgL_auxz00_1705;
{ /* ./DotNet/extern.scm 49 */
int BgL_auxz00_1709;obj_t BgL_auxz00_1706;
BgL_auxz00_1709 = 
(int)(((long)0)); 
{ /* ./DotNet/extern.scm 50 */
BgL_scnstz00_bglt BgL_obj1500z00_1532;
BgL_obj1500z00_1532 = 
(BgL_scnstz00_bglt)(BgL_valuez00_922); 
BgL_auxz00_1706 = 
(((BgL_scnstz00_bglt)CREF(BgL_obj1500z00_1532))->BgL_nodez00); } 
BgL_auxz00_1705 = 
STRUCT_REF(BgL_auxz00_1706, BgL_auxz00_1709); } 
BgL_obj3012z00_1536 = 
(BgL_tvecz00_bglt)(BgL_auxz00_1705); } 
{ /* ./DotNet/extern.scm 48 */
BgL_typez00_bglt BgL_auxz00_1713;
{ 
obj_t BgL_auxz00_1714;
{ /* ./DotNet/extern.scm 48 */
BgL_objectz00_bglt BgL_auxz00_1715;
BgL_auxz00_1715 = 
(BgL_objectz00_bglt)(BgL_obj3012z00_1536); 
BgL_auxz00_1714 = 
BGL_OBJECT_WIDENING(BgL_auxz00_1715); } 
BgL_auxz00_1713 = 
(((BgL_tvecz00_bglt)CREF(BgL_auxz00_1714))->BgL_itemzd2typezd2); } 
return 
(obj_t)(BgL_auxz00_1713);} }  else 
{ /* ./DotNet/extern.scm 47 */
return BFALSE;} }  else 
{ /* ./DotNet/extern.scm 46 */
return BFALSE;} } }  else 
{ /* ./DotNet/extern.scm 44 */
return BFALSE;} } } 
}



/* _manu-tu-fixes-global-tvector */
obj_t BGl__manuzd2tuzd2fixeszd2globalzd2tvectorz00zzdotnet_externz00(obj_t BgL_envz00_1619, obj_t BgL_vz00_1620)
{ AN_OBJECT;
{ /* ./DotNet/extern.scm 43 */
return 
BGl_manuzd2tuzd2fixeszd2globalzd2tvectorz00zzdotnet_externz00(BgL_vz00_1620);} 
}



/* get-sourcefile */
BGL_EXPORTED_DEF obj_t BGl_getzd2sourcefilezd2zzdotnet_externz00()
{ AN_OBJECT;
{ /* ./DotNet/extern.scm 58 */
{ /* ./DotNet/extern.scm 59 */
obj_t BgL_arg3311z00_929;
{ /* ./DotNet/extern.scm 59 */
obj_t BgL_pairz00_1537;
BgL_pairz00_1537 = BGl_za2srczd2filesza2zd2zzengine_paramz00; 
BgL_arg3311z00_929 = 
CAR(BgL_pairz00_1537); } 
return 
BGl_basenamez00zz__osz00(BgL_arg3311z00_929);} } 
}



/* _get-sourcefile */
obj_t BGl__getzd2sourcefilezd2zzdotnet_externz00(obj_t BgL_envz00_1621)
{ AN_OBJECT;
{ /* ./DotNet/extern.scm 58 */
return 
BGl_getzd2sourcefilezd2zzdotnet_externz00();} 
}



/* get-line-number */
BGL_EXPORTED_DEF obj_t BGl_getzd2linezd2numberz00zzdotnet_externz00(BgL_nodez00_bglt BgL_nodez00_44)
{ AN_OBJECT;
{ /* ./DotNet/extern.scm 61 */
{ /* ./DotNet/extern.scm 62 */
obj_t BgL_locz00_930;
BgL_locz00_930 = 
(((BgL_nodez00_bglt)CREF(BgL_nodez00_44))->BgL_locz00); 
{ /* ./DotNet/extern.scm 63 */
bool_t BgL_test3314z00_931;
if(
CBOOL(BGl_za2jvmzd2debugza2zd2zzengine_paramz00))
{ /* ./DotNet/extern.scm 63 */
if(
STRUCTP(BgL_locz00_930))
{ /* ./DotNet/extern.scm 63 */
obj_t BgL_auxz00_1731;obj_t BgL_auxz00_1729;
BgL_auxz00_1731 = 
CNST_TABLE_REF(((long)1)); 
BgL_auxz00_1729 = 
STRUCT_KEY(BgL_locz00_930); 
BgL_test3314z00_931 = 
(BgL_auxz00_1729==BgL_auxz00_1731); }  else 
{ /* ./DotNet/extern.scm 63 */
BgL_test3314z00_931 = ((bool_t)0); } }  else 
{ /* ./DotNet/extern.scm 63 */
BgL_test3314z00_931 = ((bool_t)0); } 
if(BgL_test3314z00_931)
{ /* ./DotNet/extern.scm 64 */
int BgL_auxz00_1735;
BgL_auxz00_1735 = 
(int)(((long)2)); 
return 
STRUCT_REF(BgL_locz00_930, BgL_auxz00_1735);}  else 
{ /* ./DotNet/extern.scm 63 */
return BFALSE;} } } } 
}



/* _get-line-number4019 */
obj_t BGl__getzd2linezd2number4019z00zzdotnet_externz00(obj_t BgL_envz00_1622, obj_t BgL_nodez00_1623)
{ AN_OBJECT;
{ /* ./DotNet/extern.scm 61 */
return 
BGl_getzd2linezd2numberz00zzdotnet_externz00(
(BgL_nodez00_bglt)(BgL_nodez00_1623));} 
}



/* debug-for-declare-var? */
BGL_EXPORTED_DEF obj_t BGl_debugzd2forzd2declarezd2varzf3z21zzdotnet_externz00(BgL_envz00_bglt BgL_envz00_45)
{ AN_OBJECT;
{ /* ./DotNet/extern.scm 67 */
return BGl_za2jvmzd2debugza2zd2zzengine_paramz00;} 
}



/* _debug-for-declare-var?4021 */
obj_t BGl__debugzd2forzd2declarezd2varzf34021z21zzdotnet_externz00(obj_t BgL_envz00_1624, obj_t BgL_envz00_1625)
{ AN_OBJECT;
{ /* ./DotNet/extern.scm 67 */
return BGl_za2jvmzd2debugza2zd2zzengine_paramz00;} 
}



/* debug-declare-var */
BGL_EXPORTED_DEF obj_t BGl_debugzd2declarezd2varz00zzdotnet_externz00(BgL_envz00_bglt BgL_envz00_46, BgL_localz00_bglt BgL_varz00_47, obj_t BgL_toz00_48)
{ AN_OBJECT;
{ /* ./DotNet/extern.scm 70 */
{ /* ./DotNet/extern.scm 71 */
bool_t BgL_test3318z00_932;
{ /* ./DotNet/extern.scm 71 */
bool_t BgL_test3322z00_934;
BgL_test3322z00_934 = 
CBOOL(BGl_za2jvmzd2debugza2zd2zzengine_paramz00); 
if(BgL_test3322z00_934)
{ /* ./DotNet/extern.scm 71 */
BgL_test3318z00_932 = 
(((BgL_localz00_bglt)CREF(BgL_varz00_47))->BgL_userzf3zf3); }  else 
{ /* ./DotNet/extern.scm 71 */
BgL_test3318z00_932 = ((bool_t)0); } } 
if(BgL_test3318z00_932)
{ /* ./DotNet/extern.scm 72 */
obj_t BgL_fromz00_933;
BgL_fromz00_933 = 
PROCEDURE_ENTRY(BGl_gensymz00zz__r4_symbols_6_4z00)(BGl_gensymz00zz__r4_symbols_6_4z00, BGl_string4126z00zzdotnet_externz00, BEOA); 
BGl__labelz00zzdotnet_instrz00(BgL_envz00_46, BgL_fromz00_933); 
return 
BGl_debugzd2declarezd2varzd2fromzd2zzdotnet_externz00(BgL_envz00_46, BgL_varz00_47, BgL_fromz00_933, BgL_toz00_48);}  else 
{ /* ./DotNet/extern.scm 71 */
return BFALSE;} } } 
}



/* _debug-declare-var4023 */
obj_t BGl__debugzd2declarezd2var4023z00zzdotnet_externz00(obj_t BgL_envz00_1626, obj_t BgL_envz00_1627, obj_t BgL_varz00_1628, obj_t BgL_toz00_1629)
{ AN_OBJECT;
{ /* ./DotNet/extern.scm 70 */
return 
BGl_debugzd2declarezd2varz00zzdotnet_externz00(
(BgL_envz00_bglt)(BgL_envz00_1627), 
(BgL_localz00_bglt)(BgL_varz00_1628), BgL_toz00_1629);} 
}



/* debug-declare-var-from */
BGL_EXPORTED_DEF obj_t BGl_debugzd2declarezd2varzd2fromzd2zzdotnet_externz00(BgL_envz00_bglt BgL_envz00_49, BgL_localz00_bglt BgL_varz00_50, obj_t BgL_fromz00_51, obj_t BgL_toz00_52)
{ AN_OBJECT;
{ /* ./DotNet/extern.scm 76 */
{ /* ./DotNet/extern.scm 77 */
bool_t BgL_test3325z00_935;
{ /* ./DotNet/extern.scm 77 */
bool_t BgL_test3336z00_941;
BgL_test3336z00_941 = 
CBOOL(BGl_za2jvmzd2debugza2zd2zzengine_paramz00); 
if(BgL_test3336z00_941)
{ /* ./DotNet/extern.scm 77 */
BgL_test3325z00_935 = 
(((BgL_localz00_bglt)CREF(BgL_varz00_50))->BgL_userzf3zf3); }  else 
{ /* ./DotNet/extern.scm 77 */
BgL_test3325z00_935 = ((bool_t)0); } } 
if(BgL_test3325z00_935)
{ /* ./DotNet/extern.scm 78 */
obj_t BgL_typez00_936;obj_t BgL_userzd2namezd2_937;obj_t BgL_namez00_938;
BgL_typez00_936 = 
BGl_compilezd2typezd2zzdotnet_envz00(
(obj_t)(BgL_varz00_50), BgL_envz00_49); 
{ /* ./DotNet/extern.scm 79 */
obj_t BgL_arg3329z00_939;
{ /* ./DotNet/extern.scm 79 */
obj_t BgL_arg3332z00_940;
{ /* ./DotNet/extern.scm 79 */
BgL_variablez00_bglt BgL_obj1093z00_1553;
BgL_obj1093z00_1553 = 
(BgL_variablez00_bglt)(BgL_varz00_50); 
BgL_arg3332z00_940 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1093z00_1553))->BgL_idz00); } 
BgL_arg3329z00_939 = 
SYMBOL_TO_STRING(BgL_arg3332z00_940); } 
{ /* ./DotNet/extern.scm 79 */
bool_t BgL_test3387z00_1556;
BgL_test3387z00_1556 = 
BGl_bigloozd2needzd2manglingzf3zf3zz__biglooz00(BgL_arg3329z00_939); 
if(BgL_test3387z00_1556)
{ /* ./DotNet/extern.scm 79 */
BgL_userzd2namezd2_937 = 
bigloo_mangle(BgL_arg3329z00_939); }  else 
{ /* ./DotNet/extern.scm 79 */
BgL_userzd2namezd2_937 = BgL_arg3329z00_939; } } } 
{ /* ./DotNet/extern.scm 80 */
BgL_variablez00_bglt BgL_obj1094z00_1557;
BgL_obj1094z00_1557 = 
(BgL_variablez00_bglt)(BgL_varz00_50); 
BgL_namez00_938 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1094z00_1557))->BgL_namez00); } 
return 
BGl__localvarz00zzdotnet_instrz00(BgL_envz00_49, BgL_fromz00_51, BgL_toz00_52, BgL_userzd2namezd2_937, BgL_typez00_936, BgL_namez00_938);}  else 
{ /* ./DotNet/extern.scm 77 */
return BFALSE;} } } 
}



/* _debug-declare-var-from4025 */
obj_t BGl__debugzd2declarezd2varzd2from4025zd2zzdotnet_externz00(obj_t BgL_envz00_1630, obj_t BgL_envz00_1631, obj_t BgL_varz00_1632, obj_t BgL_fromz00_1633, obj_t BgL_toz00_1634)
{ AN_OBJECT;
{ /* ./DotNet/extern.scm 76 */
return 
BGl_debugzd2declarezd2varzd2fromzd2zzdotnet_externz00(
(BgL_envz00_bglt)(BgL_envz00_1631), 
(BgL_localz00_bglt)(BgL_varz00_1632), BgL_fromz00_1633, BgL_toz00_1634);} 
}



/* qualified-module-name */
BGL_EXPORTED_DEF obj_t BGl_qualifiedzd2modulezd2namez00zzdotnet_externz00(obj_t BgL_modulez00_53)
{ AN_OBJECT;
{ /* ./DotNet/extern.scm 86 */
return 
BGl_modulezd2ze3qualifiedzd2typeze3zzread_jvmz00(BgL_modulez00_53);} 
}



/* _qualified-module-name4027 */
obj_t BGl__qualifiedzd2modulezd2name4027z00zzdotnet_externz00(obj_t BgL_envz00_1635, obj_t BgL_modulez00_1636)
{ AN_OBJECT;
{ /* ./DotNet/extern.scm 86 */
return 
BGl_modulezd2ze3qualifiedzd2typeze3zzread_jvmz00(BgL_modulez00_1636);} 
}



/* get-classes-to-be-compiled */
BGL_EXPORTED_DEF obj_t BGl_getzd2classeszd2tozd2bezd2compiledz00zzdotnet_externz00()
{ AN_OBJECT;
{ /* ./DotNet/extern.scm 92 */
{ /* ./DotNet/extern.scm 94 */
obj_t BgL_rz00_942;
BgL_rz00_942 = BNIL; 
{ 
obj_t BgL_l3161z00_943;
{ /* ./DotNet/extern.scm 101 */
obj_t BgL_arg3341z00_945;
BgL_arg3341z00_945 = 
BGl_getzd2classzd2listz00zzobject_classz00(); 
BgL_l3161z00_943 = BgL_arg3341z00_945; 
BgL_forzd2each3162zd2_944:
{ /* ./DotNet/extern.scm 95 */
bool_t BgL_test3344z00_946;
BgL_test3344z00_946 = 
PAIRP(BgL_l3161z00_943); 
if(BgL_test3344z00_946)
{ /* ./DotNet/extern.scm 95 */
{ /* ./DotNet/extern.scm 97 */
obj_t BgL_classz00_947;
BgL_classz00_947 = 
CAR(BgL_l3161z00_943); 
{ /* ./DotNet/extern.scm 97 */
bool_t BgL_test3345z00_948;
{ /* ./DotNet/extern.scm 97 */
obj_t BgL_arg3358z00_954;
BgL_arg3358z00_954 = 
BGl_getzd2objectzd2typez00zztype_cachez00(); 
BgL_test3345z00_948 = 
(BgL_classz00_947==BgL_arg3358z00_954); } 
if(BgL_test3345z00_948)
{ /* ./DotNet/extern.scm 97 */BFALSE; }  else 
{ /* ./DotNet/extern.scm 99 */
bool_t BgL_test3346z00_950;
{ /* ./DotNet/extern.scm 99 */
obj_t BgL_auxz00_1786;obj_t BgL_auxz00_1778;
BgL_auxz00_1786 = 
CNST_TABLE_REF(((long)2)); 
{ /* ./DotNet/extern.scm 99 */
BgL_globalz00_bglt BgL_arg3354z00_953;
{ /* ./DotNet/extern.scm 99 */
BgL_tclassz00_bglt BgL_obj2716z00_1560;
BgL_obj2716z00_1560 = 
(BgL_tclassz00_bglt)(BgL_classz00_947); 
{ 
obj_t BgL_auxz00_1780;
{ /* ./DotNet/extern.scm 99 */
BgL_objectz00_bglt BgL_auxz00_1781;
BgL_auxz00_1781 = 
(BgL_objectz00_bglt)(BgL_obj2716z00_1560); 
BgL_auxz00_1780 = 
BGL_OBJECT_WIDENING(BgL_auxz00_1781); } 
BgL_arg3354z00_953 = 
(((BgL_tclassz00_bglt)CREF(BgL_auxz00_1780))->BgL_holderz00); } } 
BgL_auxz00_1778 = 
(((BgL_globalz00_bglt)CREF(BgL_arg3354z00_953))->BgL_importz00); } 
BgL_test3346z00_950 = 
(BgL_auxz00_1778==BgL_auxz00_1786); } 
if(BgL_test3346z00_950)
{ /* ./DotNet/extern.scm 99 */BFALSE; }  else 
{ /* ./DotNet/extern.scm 99 */
BgL_rz00_942 = 
MAKE_PAIR(BgL_classz00_947, BgL_rz00_942); } } } } 
{ /* ./DotNet/extern.scm 95 */
obj_t BgL_arg3363z00_955;
BgL_arg3363z00_955 = 
CDR(BgL_l3161z00_943); 
{ 
obj_t BgL_l3161z00_1792;
BgL_l3161z00_1792 = BgL_arg3363z00_955; 
BgL_l3161z00_943 = BgL_l3161z00_1792; 
goto BgL_forzd2each3162zd2_944;} } }  else 
{ /* ./DotNet/extern.scm 95 */((bool_t)1); } } } } 
return BgL_rz00_942;} } 
}



/* _get-classes-to-be-compiled */
obj_t BGl__getzd2classeszd2tozd2bezd2compiledz00zzdotnet_externz00(obj_t BgL_envz00_1637)
{ AN_OBJECT;
{ /* ./DotNet/extern.scm 92 */
return 
BGl_getzd2classeszd2tozd2bezd2compiledz00zzdotnet_externz00();} 
}



/* qualified-class-name */
BGL_EXPORTED_DEF obj_t BGl_qualifiedzd2classzd2namez00zzdotnet_externz00(BgL_tclassz00_bglt BgL_classz00_54)
{ AN_OBJECT;
{ /* ./DotNet/extern.scm 104 */
{ /* ./DotNet/extern.scm 105 */
bool_t BgL_test3367z00_956;
{ /* ./DotNet/extern.scm 105 */
obj_t BgL_obj2709z00_1563;
BgL_obj2709z00_1563 = 
(obj_t)(BgL_classz00_54); 
BgL_test3367z00_956 = 
BGl_iszd2azf3z21zz__objectz00(BgL_obj2709z00_1563, BGl_tclassz00zzobject_classz00); } 
if(BgL_test3367z00_956)
{ /* ./DotNet/extern.scm 105 */BFALSE; }  else 
{ /* ./DotNet/extern.scm 106 */
obj_t BgL_arg3370z00_958;obj_t BgL_arg3371z00_959;
BgL_arg3370z00_958 = 
BGl_shapez00zztools_shapez00(
(obj_t)(BgL_classz00_54)); 
BgL_arg3371z00_959 = 
BGl_findzd2runtimezd2typez00zz__errorz00(
(obj_t)(BgL_classz00_54)); 
BGl_internalzd2errorzd2zztools_errorz00(BGl_string4127z00zzdotnet_externz00, BgL_arg3370z00_958, BgL_arg3371z00_959); } } 
{ /* ./DotNet/extern.scm 110 */
obj_t BgL_arg3377z00_960;obj_t BgL_arg3378z00_961;
BgL_arg3377z00_960 = 
BGl_superzd2packagezd2zzdotnet_externz00(BgL_classz00_54); 
BgL_arg3378z00_961 = 
BGl_tclasszd2idzd2manglingz00zzdotnet_externz00(BgL_classz00_54); 
return 
BGl_onzd2packagezd2zzdotnet_externz00(BgL_arg3377z00_960, BgL_arg3378z00_961);} } 
}



/* _qualified-class-name4030 */
obj_t BGl__qualifiedzd2classzd2name4030z00zzdotnet_externz00(obj_t BgL_envz00_1638, obj_t BgL_classz00_1639)
{ AN_OBJECT;
{ /* ./DotNet/extern.scm 104 */
return 
BGl_qualifiedzd2classzd2namez00zzdotnet_externz00(
(BgL_tclassz00_bglt)(BgL_classz00_1639));} 
}



/* on-package */
obj_t BGl_onzd2packagezd2zzdotnet_externz00(obj_t BgL_pkgcz00_55, obj_t BgL_namez00_56)
{ AN_OBJECT;
{ /* ./DotNet/extern.scm 112 */
{ /* ./DotNet/extern.scm 113 */
obj_t BgL_snamez00_962;
BgL_snamez00_962 = 
SYMBOL_TO_STRING(BgL_namez00_56); 
{ /* ./DotNet/extern.scm 113 */
obj_t BgL_bsnamez00_963;
{ /* ./DotNet/extern.scm 114 */
bool_t BgL_test3387z00_1566;
BgL_test3387z00_1566 = 
BGl_bigloozd2needzd2manglingzf3zf3zz__biglooz00(BgL_snamez00_962); 
if(BgL_test3387z00_1566)
{ /* ./DotNet/extern.scm 114 */
BgL_bsnamez00_963 = 
bigloo_mangle(BgL_snamez00_962); }  else 
{ /* ./DotNet/extern.scm 114 */
BgL_bsnamez00_963 = BgL_snamez00_962; } } 
{ /* ./DotNet/extern.scm 114 */

{ /* ./DotNet/extern.scm 115 */
bool_t BgL_test3382z00_964;
BgL_test3382z00_964 = 
bigloo_strcmp(BgL_pkgcz00_55, BGl_string4128z00zzdotnet_externz00); 
if(BgL_test3382z00_964)
{ /* ./DotNet/extern.scm 115 */
return BgL_bsnamez00_963;}  else 
{ /* ./DotNet/extern.scm 115 */
return 
string_append_3(BgL_pkgcz00_55, BGl_string4129z00zzdotnet_externz00, BgL_bsnamez00_963);} } } } } } 
}



/* tclass-id-mangling */
BGL_EXPORTED_DEF obj_t BGl_tclasszd2idzd2manglingz00zzdotnet_externz00(BgL_tclassz00_bglt BgL_classz00_58)
{ AN_OBJECT;
{ /* ./DotNet/extern.scm 124 */
{ /* ./DotNet/extern.scm 126 */
bool_t BgL_test3390z00_966;
{ /* ./DotNet/extern.scm 126 */
obj_t BgL_arg3403z00_972;
BgL_arg3403z00_972 = 
BGl_getzd2objectzd2typez00zztype_cachez00(); 
{ /* ./DotNet/extern.scm 126 */
obj_t BgL_auxz00_1815;
BgL_auxz00_1815 = 
(obj_t)(BgL_classz00_58); 
BgL_test3390z00_966 = 
(BgL_auxz00_1815==BgL_arg3403z00_972); } } 
if(BgL_test3390z00_966)
{ /* ./DotNet/extern.scm 126 */
return 
CNST_TABLE_REF(((long)3));}  else 
{ /* ./DotNet/extern.scm 129 */
obj_t BgL_modz00_968;
{ /* ./DotNet/extern.scm 129 */
BgL_globalz00_bglt BgL_arg3399z00_971;
{ 
obj_t BgL_auxz00_1820;
{ /* ./DotNet/extern.scm 129 */
BgL_objectz00_bglt BgL_auxz00_1821;
BgL_auxz00_1821 = 
(BgL_objectz00_bglt)(BgL_classz00_58); 
BgL_auxz00_1820 = 
BGL_OBJECT_WIDENING(BgL_auxz00_1821); } 
BgL_arg3399z00_971 = 
(((BgL_tclassz00_bglt)CREF(BgL_auxz00_1820))->BgL_holderz00); } 
BgL_modz00_968 = 
(((BgL_globalz00_bglt)CREF(BgL_arg3399z00_971))->BgL_modulez00); } 
{ /* ./DotNet/extern.scm 130 */
obj_t BgL_arg3392z00_969;
{ /* ./DotNet/extern.scm 130 */
obj_t BgL_arg3395z00_970;
{ /* ./DotNet/extern.scm 130 */
BgL_typez00_bglt BgL_obj1003z00_1572;
BgL_obj1003z00_1572 = 
(BgL_typez00_bglt)(BgL_classz00_58); 
BgL_arg3395z00_970 = 
(((BgL_typez00_bglt)CREF(BgL_obj1003z00_1572))->BgL_idz00); } 
BgL_arg3392z00_969 = 
BGl_classzd2idzd2ze3typezd2namez31zzbackend_cplibz00(BgL_arg3395z00_970, BgL_modz00_968); } 
{ /* ./DotNet/extern.scm 130 */
char * BgL_auxz00_1829;
BgL_auxz00_1829 = 
BSTRING_TO_STRING(BgL_arg3392z00_969); 
return 
string_to_symbol(BgL_auxz00_1829);} } } } } 
}



/* _tclass-id-mangling4032 */
obj_t BGl__tclasszd2idzd2mangling4032z00zzdotnet_externz00(obj_t BgL_envz00_1640, obj_t BgL_classz00_1641)
{ AN_OBJECT;
{ /* ./DotNet/extern.scm 124 */
return 
BGl_tclasszd2idzd2manglingz00zzdotnet_externz00(
(BgL_tclassz00_bglt)(BgL_classz00_1641));} 
}



/* super-package */
obj_t BGl_superzd2packagezd2zzdotnet_externz00(BgL_tclassz00_bglt BgL_superz00_59)
{ AN_OBJECT;
{ /* ./DotNet/extern.scm 132 */
{ /* ./DotNet/extern.scm 135 */
bool_t BgL_test3406z00_973;
{ /* ./DotNet/extern.scm 135 */
obj_t BgL_obj2709z00_1574;
BgL_obj2709z00_1574 = 
(obj_t)(BgL_superz00_59); 
BgL_test3406z00_973 = 
BGl_iszd2azf3z21zz__objectz00(BgL_obj2709z00_1574, BGl_tclassz00zzobject_classz00); } 
if(BgL_test3406z00_973)
{ /* ./DotNet/extern.scm 135 */
{ /* ./DotNet/extern.scm 137 */
bool_t BgL_test3407z00_975;
{ /* ./DotNet/extern.scm 137 */
bool_t BgL_test3420z00_981;
{ /* ./DotNet/extern.scm 137 */
obj_t BgL_auxz00_1839;obj_t BgL_auxz00_1837;
{ 
obj_t BgL_auxz00_1840;
{ /* ./DotNet/extern.scm 137 */
BgL_objectz00_bglt BgL_auxz00_1841;
BgL_auxz00_1841 = 
(BgL_objectz00_bglt)(BgL_superz00_59); 
BgL_auxz00_1840 = 
BGL_OBJECT_WIDENING(BgL_auxz00_1841); } 
BgL_auxz00_1839 = 
(((BgL_tclassz00_bglt)CREF(BgL_auxz00_1840))->BgL_itszd2superzd2); } 
BgL_auxz00_1837 = 
(obj_t)(BgL_superz00_59); 
BgL_test3420z00_981 = 
(BgL_auxz00_1837==BgL_auxz00_1839); } 
if(BgL_test3420z00_981)
{ /* ./DotNet/extern.scm 137 */
BgL_test3407z00_975 = ((bool_t)1); }  else 
{ /* ./DotNet/extern.scm 137 */
bool_t BgL_test3421z00_982;
{ /* ./DotNet/extern.scm 137 */
obj_t BgL_arg3423z00_983;
{ 
obj_t BgL_auxz00_1847;
{ /* ./DotNet/extern.scm 137 */
BgL_objectz00_bglt BgL_auxz00_1848;
BgL_auxz00_1848 = 
(BgL_objectz00_bglt)(BgL_superz00_59); 
BgL_auxz00_1847 = 
BGL_OBJECT_WIDENING(BgL_auxz00_1848); } 
BgL_arg3423z00_983 = 
(((BgL_tclassz00_bglt)CREF(BgL_auxz00_1847))->BgL_itszd2superzd2); } 
BgL_test3421z00_982 = 
BGl_iszd2azf3z21zz__objectz00(BgL_arg3423z00_983, BGl_tclassz00zzobject_classz00); } 
if(BgL_test3421z00_982)
{ /* ./DotNet/extern.scm 137 */
BgL_test3407z00_975 = ((bool_t)0); }  else 
{ /* ./DotNet/extern.scm 137 */
BgL_test3407z00_975 = ((bool_t)1); } } } 
if(BgL_test3407z00_975)
{ /* ./DotNet/extern.scm 137 */
return BGl_string4130z00zzdotnet_externz00;}  else 
{ /* ./DotNet/extern.scm 140 */
BgL_globalz00_bglt BgL_holderz00_976;
{ 
obj_t BgL_auxz00_1855;
{ /* ./DotNet/extern.scm 140 */
BgL_objectz00_bglt BgL_auxz00_1856;
BgL_auxz00_1856 = 
(BgL_objectz00_bglt)(BgL_superz00_59); 
BgL_auxz00_1855 = 
BGL_OBJECT_WIDENING(BgL_auxz00_1856); } 
BgL_holderz00_976 = 
(((BgL_tclassz00_bglt)CREF(BgL_auxz00_1855))->BgL_holderz00); } 
{ /* ./DotNet/extern.scm 141 */
obj_t BgL_arg3409z00_977;obj_t BgL_arg3410z00_978;
BgL_arg3409z00_977 = 
(((BgL_globalz00_bglt)CREF(BgL_holderz00_976))->BgL_modulez00); 
BgL_arg3410z00_978 = 
(((BgL_globalz00_bglt)CREF(BgL_holderz00_976))->BgL_jvmzd2typezd2namez00); 
BGl_addzd2qualifiedzd2typez12z12zzread_jvmz00(BgL_arg3409z00_977, BgL_arg3410z00_978, BNIL); } 
{ /* ./DotNet/extern.scm 143 */
obj_t BgL_arg3416z00_980;
BgL_arg3416z00_980 = 
(((BgL_globalz00_bglt)CREF(BgL_holderz00_976))->BgL_modulez00); 
return 
BGl_classzd2packagezd2zzdotnet_externz00(BgL_arg3416z00_980);} } } }  else 
{ /* ./DotNet/extern.scm 144 */
bool_t BgL_test3430z00_985;
{ /* ./DotNet/extern.scm 144 */
obj_t BgL_obj2798z00_1582;
BgL_obj2798z00_1582 = 
(obj_t)(BgL_superz00_59); 
BgL_test3430z00_985 = 
BGl_iszd2azf3z21zz__objectz00(BgL_obj2798z00_1582, BGl_jclassz00zzobject_classz00); } 
if(BgL_test3430z00_985)
{ /* ./DotNet/extern.scm 144 */
CNST_TABLE_REF(((long)4)); 
{ /* ./DotNet/extern.scm 146 */
obj_t BgL_port3169z00_986;
BgL_port3169z00_986 = 
BGL_CURRENT_OUTPUT_PORT(); 
display_string(BGl_string4131z00zzdotnet_externz00, BgL_port3169z00_986); 
WRITE_CHAR(((unsigned char)'\n'), BgL_port3169z00_986); } 
return BGl_string4132z00zzdotnet_externz00;}  else 
{ /* ./DotNet/extern.scm 144 */
{ /* ./DotNet/extern.scm 149 */
obj_t BgL_objectz00_1586;
BgL_objectz00_1586 = 
(obj_t)(BgL_superz00_59); 
FAILURE(BGl_string4133z00zzdotnet_externz00,BGl_string4134z00zzdotnet_externz00,BgL_objectz00_1586);} } } } } 
}



/* class-package */
obj_t BGl_classzd2packagezd2zzdotnet_externz00(obj_t BgL_namez00_60)
{ AN_OBJECT;
{ /* ./DotNet/extern.scm 151 */
{ /* ./DotNet/extern.scm 152 */
obj_t BgL_sz00_987;
BgL_sz00_987 = 
BGl_modulezd2ze3qualifiedzd2typeze3zzread_jvmz00(BgL_namez00_60); 
{ /* ./DotNet/extern.scm 152 */
obj_t BgL_prefz00_988;
BgL_prefz00_988 = 
BGl_prefixz00zz__osz00(BgL_sz00_987); 
{ /* ./DotNet/extern.scm 153 */

{ /* ./DotNet/extern.scm 154 */
bool_t BgL_test3437z00_989;
BgL_test3437z00_989 = 
bigloo_strcmp(BgL_prefz00_988, BgL_sz00_987); 
if(BgL_test3437z00_989)
{ /* ./DotNet/extern.scm 154 */
return BGl_string4128z00zzdotnet_externz00;}  else 
{ /* ./DotNet/extern.scm 154 */
return BgL_prefz00_988;} } } } } } 
}



/* real-field-name */
BGL_EXPORTED_DEF obj_t BGl_realzd2fieldzd2namez00zzdotnet_externz00(BgL_globalz00_bglt BgL_globalz00_61)
{ AN_OBJECT;
{ /* ./DotNet/extern.scm 161 */
{ /* ./DotNet/extern.scm 166 */
bool_t BgL_test3441z00_991;
{ /* ./DotNet/extern.scm 166 */
obj_t BgL_auxz00_1880;obj_t BgL_auxz00_1878;
BgL_auxz00_1880 = 
CNST_TABLE_REF(((long)5)); 
BgL_auxz00_1878 = 
(((BgL_globalz00_bglt)CREF(BgL_globalz00_61))->BgL_modulez00); 
BgL_test3441z00_991 = 
(BgL_auxz00_1878==BgL_auxz00_1880); } 
if(BgL_test3441z00_991)
{ /* ./DotNet/extern.scm 166 */
return 
BGl_patchz00zzdotnet_externz00(BgL_globalz00_61);}  else 
{ /* ./DotNet/extern.scm 168 */
bool_t BgL_test3443z00_992;
{ /* ./DotNet/extern.scm 168 */
obj_t BgL_auxz00_1885;
{ /* ./DotNet/extern.scm 168 */
BgL_variablez00_bglt BgL_obj1094z00_1590;
BgL_obj1094z00_1590 = 
(BgL_variablez00_bglt)(BgL_globalz00_61); 
BgL_auxz00_1885 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1094z00_1590))->BgL_namez00); } 
BgL_test3443z00_992 = 
STRINGP(BgL_auxz00_1885); } 
if(BgL_test3443z00_992)
{ /* ./DotNet/extern.scm 169 */
BgL_variablez00_bglt BgL_obj1094z00_1592;
BgL_obj1094z00_1592 = 
(BgL_variablez00_bglt)(BgL_globalz00_61); 
return 
(((BgL_variablez00_bglt)CREF(BgL_obj1094z00_1592))->BgL_namez00);}  else 
{ /* ./DotNet/extern.scm 170 */
obj_t BgL_arg3446z00_993;
{ /* ./DotNet/extern.scm 170 */
obj_t BgL_arg3449z00_994;
{ /* ./DotNet/extern.scm 170 */
BgL_variablez00_bglt BgL_obj1093z00_1593;
BgL_obj1093z00_1593 = 
(BgL_variablez00_bglt)(BgL_globalz00_61); 
BgL_arg3449z00_994 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1093z00_1593))->BgL_idz00); } 
BgL_arg3446z00_993 = 
SYMBOL_TO_STRING(BgL_arg3449z00_994); } 
{ /* ./DotNet/extern.scm 170 */
bool_t BgL_test3387z00_1596;
BgL_test3387z00_1596 = 
BGl_bigloozd2needzd2manglingzf3zf3zz__biglooz00(BgL_arg3446z00_993); 
if(BgL_test3387z00_1596)
{ /* ./DotNet/extern.scm 170 */
return 
bigloo_mangle(BgL_arg3446z00_993);}  else 
{ /* ./DotNet/extern.scm 170 */
return BgL_arg3446z00_993;} } } } } } 
}



/* _real-field-name4034 */
obj_t BGl__realzd2fieldzd2name4034z00zzdotnet_externz00(obj_t BgL_envz00_1642, obj_t BgL_globalz00_1643)
{ AN_OBJECT;
{ /* ./DotNet/extern.scm 161 */
return 
BGl_realzd2fieldzd2namez00zzdotnet_externz00(
(BgL_globalz00_bglt)(BgL_globalz00_1643));} 
}



/* real-sfun-name */
BGL_EXPORTED_DEF obj_t BGl_realzd2sfunzd2namez00zzdotnet_externz00(BgL_globalz00_bglt BgL_globalz00_62)
{ AN_OBJECT;
{ /* ./DotNet/extern.scm 172 */
{ /* ./DotNet/extern.scm 174 */
bool_t BgL_test3461z00_999;
{ /* ./DotNet/extern.scm 174 */
obj_t BgL_auxz00_1902;obj_t BgL_auxz00_1900;
BgL_auxz00_1902 = 
CNST_TABLE_REF(((long)5)); 
BgL_auxz00_1900 = 
(((BgL_globalz00_bglt)CREF(BgL_globalz00_62))->BgL_modulez00); 
BgL_test3461z00_999 = 
(BgL_auxz00_1900==BgL_auxz00_1902); } 
if(BgL_test3461z00_999)
{ /* ./DotNet/extern.scm 174 */
return 
BGl_patchz00zzdotnet_externz00(BgL_globalz00_62);}  else 
{ /* ./DotNet/extern.scm 176 */
bool_t BgL_test3463z00_1000;
{ /* ./DotNet/extern.scm 176 */
obj_t BgL_auxz00_1907;
{ /* ./DotNet/extern.scm 176 */
BgL_variablez00_bglt BgL_obj1094z00_1598;
BgL_obj1094z00_1598 = 
(BgL_variablez00_bglt)(BgL_globalz00_62); 
BgL_auxz00_1907 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1094z00_1598))->BgL_namez00); } 
BgL_test3463z00_1000 = 
STRINGP(BgL_auxz00_1907); } 
if(BgL_test3463z00_1000)
{ /* ./DotNet/extern.scm 177 */
BgL_variablez00_bglt BgL_obj1094z00_1600;
BgL_obj1094z00_1600 = 
(BgL_variablez00_bglt)(BgL_globalz00_62); 
return 
(((BgL_variablez00_bglt)CREF(BgL_obj1094z00_1600))->BgL_namez00);}  else 
{ /* ./DotNet/extern.scm 179 */
obj_t BgL_arg3466z00_1001;
{ /* ./DotNet/extern.scm 179 */
obj_t BgL_arg3469z00_1002;
{ /* ./DotNet/extern.scm 179 */
BgL_variablez00_bglt BgL_obj1093z00_1601;
BgL_obj1093z00_1601 = 
(BgL_variablez00_bglt)(BgL_globalz00_62); 
BgL_arg3469z00_1002 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1093z00_1601))->BgL_idz00); } 
BgL_arg3466z00_1001 = 
SYMBOL_TO_STRING(BgL_arg3469z00_1002); } 
{ /* ./DotNet/extern.scm 179 */
bool_t BgL_test3387z00_1604;
BgL_test3387z00_1604 = 
BGl_bigloozd2needzd2manglingzf3zf3zz__biglooz00(BgL_arg3466z00_1001); 
if(BgL_test3387z00_1604)
{ /* ./DotNet/extern.scm 179 */
return 
bigloo_mangle(BgL_arg3466z00_1001);}  else 
{ /* ./DotNet/extern.scm 179 */
return BgL_arg3466z00_1001;} } } } } } 
}



/* _real-sfun-name4036 */
obj_t BGl__realzd2sfunzd2name4036z00zzdotnet_externz00(obj_t BgL_envz00_1644, obj_t BgL_globalz00_1645)
{ AN_OBJECT;
{ /* ./DotNet/extern.scm 172 */
return 
BGl_realzd2sfunzd2namez00zzdotnet_externz00(
(BgL_globalz00_bglt)(BgL_globalz00_1645));} 
}



/* real-cfun-name */
BGL_EXPORTED_DEF obj_t BGl_realzd2cfunzd2namez00zzdotnet_externz00(BgL_globalz00_bglt BgL_globalz00_63)
{ AN_OBJECT;
{ /* ./DotNet/extern.scm 181 */
{ /* ./DotNet/extern.scm 182 */
BgL_variablez00_bglt BgL_obj1094z00_1606;
BgL_obj1094z00_1606 = 
(BgL_variablez00_bglt)(BgL_globalz00_63); 
return 
(((BgL_variablez00_bglt)CREF(BgL_obj1094z00_1606))->BgL_namez00);} } 
}



/* _real-cfun-name4038 */
obj_t BGl__realzd2cfunzd2name4038z00zzdotnet_externz00(obj_t BgL_envz00_1646, obj_t BgL_globalz00_1647)
{ AN_OBJECT;
{ /* ./DotNet/extern.scm 181 */
return 
BGl_realzd2cfunzd2namez00zzdotnet_externz00(
(BgL_globalz00_bglt)(BgL_globalz00_1647));} 
}



/* patch */
obj_t BGl_patchz00zzdotnet_externz00(BgL_globalz00_bglt BgL_globalz00_64)
{ AN_OBJECT;
{ /* ./DotNet/extern.scm 186 */
{ /* ./DotNet/extern.scm 189 */
bool_t BgL_testz00_1926;
{ /* ./DotNet/extern.scm 189 */
obj_t BgL_auxz00_1930;obj_t BgL_auxz00_1927;
BgL_auxz00_1930 = 
CNST_TABLE_REF(((long)6)); 
{ /* ./DotNet/extern.scm 189 */
BgL_variablez00_bglt BgL_obj1093z00_1607;
BgL_obj1093z00_1607 = 
(BgL_variablez00_bglt)(BgL_globalz00_64); 
BgL_auxz00_1927 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1093z00_1607))->BgL_idz00); } 
BgL_testz00_1926 = 
(BgL_auxz00_1927==BgL_auxz00_1930); } 
if(BgL_testz00_1926)
{ /* ./DotNet/extern.scm 189 */
return BGl_string4135z00zzdotnet_externz00;}  else 
{ /* ./DotNet/extern.scm 190 */
bool_t BgL_testz00_1933;
{ /* ./DotNet/extern.scm 190 */
obj_t BgL_auxz00_1937;obj_t BgL_auxz00_1934;
BgL_auxz00_1937 = 
CNST_TABLE_REF(((long)7)); 
{ /* ./DotNet/extern.scm 190 */
BgL_variablez00_bglt BgL_obj1093z00_1608;
BgL_obj1093z00_1608 = 
(BgL_variablez00_bglt)(BgL_globalz00_64); 
BgL_auxz00_1934 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1093z00_1608))->BgL_idz00); } 
BgL_testz00_1933 = 
(BgL_auxz00_1934==BgL_auxz00_1937); } 
if(BgL_testz00_1933)
{ /* ./DotNet/extern.scm 190 */
return BGl_string4135z00zzdotnet_externz00;}  else 
{ /* ./DotNet/extern.scm 190 */
{ /* ./DotNet/extern.scm 191 */
BgL_variablez00_bglt BgL_obj1094z00_1609;
BgL_obj1094z00_1609 = 
(BgL_variablez00_bglt)(BgL_globalz00_64); 
return 
(((BgL_variablez00_bglt)CREF(BgL_obj1094z00_1609))->BgL_namez00);} } } } } 
}



/* packaged-type-name */
BGL_EXPORTED_DEF obj_t BGl_packagedzd2typezd2namez00zzdotnet_externz00(obj_t BgL_typez00_65)
{ AN_OBJECT;
{ /* ./DotNet/extern.scm 196 */
{ /* ./DotNet/extern.scm 197 */
bool_t BgL_test3495z00_1014;
{ /* ./DotNet/extern.scm 197 */
obj_t BgL_auxz00_1942;
BgL_auxz00_1942 = 
CNST_TABLE_REF(((long)5)); 
BgL_test3495z00_1014 = 
(BgL_typez00_65==BgL_auxz00_1942); } 
if(BgL_test3495z00_1014)
{ /* ./DotNet/extern.scm 197 */
return BGl_za2jvmzd2foreignzd2classzd2nameza2zd2zzengine_paramz00;}  else 
{ /* ./DotNet/extern.scm 199 */
obj_t BgL_javazd2classzd2_1015;
BgL_javazd2classzd2_1015 = 
BGl_findzd2javazd2classz00zzmodule_javaz00(BgL_typez00_65); 
{ /* ./DotNet/extern.scm 200 */
bool_t BgL_test3496z00_1016;
BgL_test3496z00_1016 = 
STRINGP(BgL_javazd2classzd2_1015); 
if(BgL_test3496z00_1016)
{ /* ./DotNet/extern.scm 200 */
return BgL_javazd2classzd2_1015;}  else 
{ /* ./DotNet/extern.scm 202 */
obj_t BgL_arg3499z00_1018;
BgL_arg3499z00_1018 = 
SYMBOL_TO_STRING(BgL_typez00_65); 
return 
string_append(BGl_string4136z00zzdotnet_externz00, BgL_arg3499z00_1018);} } } } } 
}



/* _packaged-type-name */
obj_t BGl__packagedzd2typezd2namez00zzdotnet_externz00(obj_t BgL_envz00_1648, obj_t BgL_typez00_1649)
{ AN_OBJECT;
{ /* ./DotNet/extern.scm 196 */
return 
BGl_packagedzd2typezd2namez00zzdotnet_externz00(BgL_typez00_1649);} 
}



/* global-to-be-declared */
BGL_EXPORTED_DEF obj_t BGl_globalzd2tozd2bezd2declaredzd2zzdotnet_externz00(BgL_globalz00_bglt BgL_globalz00_66)
{ AN_OBJECT;
{ /* ./DotNet/extern.scm 205 */
{ /* ./DotNet/extern.scm 207 */
bool_t BgL_test3505z00_1020;
{ /* ./DotNet/extern.scm 207 */
bool_t BgL_test3518z00_1027;
{ /* ./DotNet/extern.scm 207 */
obj_t BgL_auxz00_1954;obj_t BgL_auxz00_1952;
BgL_auxz00_1954 = 
CNST_TABLE_REF(((long)8)); 
BgL_auxz00_1952 = 
(((BgL_globalz00_bglt)CREF(BgL_globalz00_66))->BgL_importz00); 
BgL_test3518z00_1027 = 
(BgL_auxz00_1952==BgL_auxz00_1954); } 
if(BgL_test3518z00_1027)
{ /* ./DotNet/extern.scm 207 */
BgL_test3505z00_1020 = ((bool_t)0); }  else 
{ /* ./DotNet/extern.scm 208 */
bool_t BgL__ortest_3180z00_1028;
BgL__ortest_3180z00_1028 = 
BGl_requirezd2prototypezf3z21zzbackend_c_prototypez00(BgL_globalz00_66); 
if(BgL__ortest_3180z00_1028)
{ /* ./DotNet/extern.scm 209 */
BgL_test3505z00_1020 = BgL__ortest_3180z00_1028; }  else 
{ /* ./DotNet/extern.scm 209 */
bool_t BgL__andtest_3181z00_1029;
{ /* ./DotNet/extern.scm 209 */
bool_t BgL__ortest_3182z00_1031;
{ /* ./DotNet/extern.scm 209 */
obj_t BgL_auxz00_1963;obj_t BgL_auxz00_1960;
BgL_auxz00_1963 = 
CNST_TABLE_REF(((long)9)); 
{ /* ./DotNet/extern.scm 209 */
BgL_variablez00_bglt BgL_obj1093z00_1613;
BgL_obj1093z00_1613 = 
(BgL_variablez00_bglt)(BgL_globalz00_66); 
BgL_auxz00_1960 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1093z00_1613))->BgL_idz00); } 
BgL__ortest_3182z00_1031 = 
(BgL_auxz00_1960==BgL_auxz00_1963); } 
if(BgL__ortest_3182z00_1031)
{ /* ./DotNet/extern.scm 209 */
BgL__andtest_3181z00_1029 = BgL__ortest_3182z00_1031; }  else 
{ /* ./DotNet/extern.scm 210 */
obj_t BgL_auxz00_1970;obj_t BgL_auxz00_1967;
BgL_auxz00_1970 = 
CNST_TABLE_REF(((long)10)); 
{ /* ./DotNet/extern.scm 210 */
BgL_variablez00_bglt BgL_obj1093z00_1614;
BgL_obj1093z00_1614 = 
(BgL_variablez00_bglt)(BgL_globalz00_66); 
BgL_auxz00_1967 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1093z00_1614))->BgL_idz00); } 
BgL__andtest_3181z00_1029 = 
(BgL_auxz00_1967==BgL_auxz00_1970); } } 
if(BgL__andtest_3181z00_1029)
{ /* ./DotNet/extern.scm 211 */
BgL_valuez00_bglt BgL_arg3520z00_1030;
{ /* ./DotNet/extern.scm 211 */
BgL_variablez00_bglt BgL_obj1100z00_1615;
BgL_obj1100z00_1615 = 
(BgL_variablez00_bglt)(BgL_globalz00_66); 
BgL_arg3520z00_1030 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1100z00_1615))->BgL_valuez00); } 
{ /* ./DotNet/extern.scm 211 */
obj_t BgL_obj1489z00_1616;
BgL_obj1489z00_1616 = 
(obj_t)(BgL_arg3520z00_1030); 
BgL_test3505z00_1020 = 
BGl_iszd2azf3z21zz__objectz00(BgL_obj1489z00_1616, BGl_cfunz00zzast_varz00); } }  else 
{ /* ./DotNet/extern.scm 209 */
BgL_test3505z00_1020 = ((bool_t)0); } } } } 
if(BgL_test3505z00_1020)
{ /* ./DotNet/extern.scm 207 */
return BTRUE;}  else 
{ /* ./DotNet/extern.scm 207 */
{ /* ./DotNet/extern.scm 214 */
bool_t BgL_test3506z00_1021;
{ /* ./DotNet/extern.scm 214 */
bool_t BgL_test3507z00_1022;
{ /* ./DotNet/extern.scm 214 */
obj_t BgL_arg3515z00_1026;
BgL_arg3515z00_1026 = 
(((BgL_globalz00_bglt)CREF(BgL_globalz00_66))->BgL_modulez00); 
BgL_test3507z00_1022 = 
(BgL_arg3515z00_1026==BGl_za2moduleza2z00zzmodule_modulez00); } 
if(BgL_test3507z00_1022)
{ /* ./DotNet/extern.scm 214 */
bool_t BgL_testz00_1982;
{ /* ./DotNet/extern.scm 214 */
obj_t BgL_auxz00_1986;obj_t BgL_auxz00_1983;
BgL_auxz00_1986 = 
CNST_TABLE_REF(((long)11)); 
{ /* ./DotNet/extern.scm 214 */
BgL_variablez00_bglt BgL_obj1093z00_1618;
BgL_obj1093z00_1618 = 
(BgL_variablez00_bglt)(BgL_globalz00_66); 
BgL_auxz00_1983 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1093z00_1618))->BgL_idz00); } 
BgL_testz00_1982 = 
(BgL_auxz00_1983==BgL_auxz00_1986); } 
if(BgL_testz00_1982)
{ /* ./DotNet/extern.scm 214 */
BgL_test3506z00_1021 = ((bool_t)0); }  else 
{ /* ./DotNet/extern.scm 214 */
BgL_test3506z00_1021 = ((bool_t)1); } }  else 
{ /* ./DotNet/extern.scm 214 */
BgL_test3506z00_1021 = ((bool_t)0); } } 
if(BgL_test3506z00_1021)
{ /* ./DotNet/extern.scm 214 */
CNST_TABLE_REF(((long)12)); }  else 
{ /* ./DotNet/extern.scm 214 */BFALSE; } } 
return BFALSE;} } } 
}



/* _global-to-be-declared4041 */
obj_t BGl__globalzd2tozd2bezd2declared4041zd2zzdotnet_externz00(obj_t BgL_envz00_1650, obj_t BgL_globalz00_1651)
{ AN_OBJECT;
{ /* ./DotNet/extern.scm 205 */
return 
BGl_globalzd2tozd2bezd2declaredzd2zzdotnet_externz00(
(BgL_globalz00_bglt)(BgL_globalz00_1651));} 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzdotnet_externz00()
{ AN_OBJECT;
{ /* ./DotNet/extern.scm 3 */
return BUNSPEC;} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzdotnet_externz00()
{ AN_OBJECT;
{ /* ./DotNet/extern.scm 3 */
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19090), "dotnet_extern"); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)44246), "dotnet_extern"); 
BGl_modulezd2initializa7ationz75zzast_nodez00(((long)50868), "dotnet_extern"); 
BGl_modulezd2initializa7ationz75zztype_envz00(((long)25186), "dotnet_extern"); 
BGl_modulezd2initializa7ationz75zztools_shapez00(((long)30833), "dotnet_extern"); 
BGl_modulezd2initializa7ationz75zztype_cachez00(((long)25848), "dotnet_extern"); 
BGl_modulezd2initializa7ationz75zzobject_classz00(((long)30791), "dotnet_extern"); 
BGl_modulezd2initializa7ationz75zzobject_slotsz00(((long)44183), "dotnet_extern"); 
BGl_modulezd2initializa7ationz75zzengine_paramz00(((long)14260), "dotnet_extern"); 
BGl_modulezd2initializa7ationz75zzast_envz00(((long)62031), "dotnet_extern"); 
BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long)8699), "dotnet_extern"); 
BGl_modulezd2initializa7ationz75zzmodule_classz00(((long)34127), "dotnet_extern"); 
BGl_modulezd2initializa7ationz75zzmodule_javaz00(((long)4304), "dotnet_extern"); 
BGl_modulezd2initializa7ationz75zztvector_tvectorz00(((long)32501), "dotnet_extern"); 
BGl_modulezd2initializa7ationz75zztvector_cnstz00(((long)21355), "dotnet_extern"); 
BGl_modulezd2initializa7ationz75zzcnst_allocz00(((long)26410), "dotnet_extern"); 
BGl_modulezd2initializa7ationz75zzread_jvmz00(((long)16338), "dotnet_extern"); 
BGl_modulezd2initializa7ationz75zztools_errorz00(((long)25566), "dotnet_extern"); 
BGl_modulezd2initializa7ationz75zzbackend_c_prototypez00(((long)34740), "dotnet_extern"); 
BGl_modulezd2initializa7ationz75zzdotnet_envz00(((long)58889), "dotnet_extern"); 
BGl_modulezd2initializa7ationz75zzdotnet_instrz00(((long)2441), "dotnet_extern"); 
return 
BGl_modulezd2initializa7ationz75zzbackend_cplibz00(((long)26792), "dotnet_extern");} 
}

