/*===========================================================================*/
/*   (Globalize/gloclo.scm)                                                  */
/*   Bigloo (2.6b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Dec 15 12:14:36 CET 2003        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc-2.95 -lib-dir /users/serrano/prgm/project/bigloo/lib/2.6b -unsafev -no-hello -O2 -rm -unsafe -s -indent Globalize/gloclo.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_effectz00;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_effectz00;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_effectz00;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;

typedef struct BgL_feffectz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_readz00;
   obj_t BgL_writez00;
} *BgL_feffectz00_bglt;

typedef struct BgL_nodez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
} *BgL_nodez00_bglt;

typedef struct BgL_nodezf2effectzf2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
} *BgL_nodezf2effectzf2_bglt;

typedef struct BgL_atomz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_atomz00_bglt;

typedef struct BgL_varz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_varz00_bglt;

typedef struct BgL_closurez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_closurez00_bglt;

typedef struct BgL_kwotez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_kwotez00_bglt;

typedef struct BgL_sequencez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_nodesz00;
} *BgL_sequencez00_bglt;

typedef struct BgL_appz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
} *BgL_appz00_bglt;

typedef struct BgL_appzd2lyzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_appzd2lyzd2_bglt;

typedef struct BgL_funcallz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
   obj_t BgL_strengthz00;
} *BgL_funcallz00_bglt;

typedef struct BgL_externz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
} *BgL_externz00_bglt;

typedef struct BgL_pragmaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   obj_t BgL_formatz00;
} *BgL_pragmaz00_bglt;

typedef struct BgL_getfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_getfieldz00_bglt;

typedef struct BgL_setfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_setfieldz00_bglt;

typedef struct BgL_newz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
} *BgL_newz00_bglt;

typedef struct BgL_vallocz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   obj_t BgL_czd2heapzd2formatz00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_vallocz00_bglt;

typedef struct BgL_vrefz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vrefz00_bglt;

typedef struct BgL_vsetz12z12_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vsetz12z12_bglt;

typedef struct BgL_vlengthz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vlengthz00_bglt;

typedef struct BgL_isaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   struct BgL_typez00_bgl * BgL_classz00;
} *BgL_isaz00_bglt;

typedef struct BgL_castz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_castz00_bglt;

typedef struct BgL_setqz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_setqz00_bglt;

typedef struct BgL_conditionalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   struct BgL_nodez00_bgl * BgL_truez00;
   struct BgL_nodez00_bgl * BgL_falsez00;
} *BgL_conditionalz00_bglt;

typedef struct BgL_failz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_procz00;
   struct BgL_nodez00_bgl * BgL_msgz00;
   struct BgL_nodez00_bgl * BgL_objz00;
} *BgL_failz00_bglt;

typedef struct BgL_selectz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   obj_t BgL_clausesz00;
   struct BgL_typez00_bgl * BgL_itemzd2typezd2;
} *BgL_selectz00_bglt;

typedef struct BgL_letzd2funzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_localsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_letzd2funzd2_bglt;

typedef struct BgL_letzd2varzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_bindingsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
   bool_t BgL_removablezf3zf3;
} *BgL_letzd2varzd2_bglt;

typedef struct BgL_setzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_setzd2exzd2itz00_bglt;

typedef struct BgL_jumpzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_exitz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_jumpzd2exzd2itz00_bglt;

typedef struct BgL_makezd2boxzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_makezd2boxzd2_bglt;

typedef struct BgL_boxzd2refzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_varz00;
} *BgL_boxzd2refzd2_bglt;

typedef struct BgL_boxzd2setz12zc0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_boxzd2setz12zc0_bglt;

typedef struct BgL_ccompz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_producerz00;
   obj_t BgL_consumerz00;
   obj_t BgL_finaliza7erza7;
} *BgL_ccompz00_bglt;

typedef struct BgL_sfunzf2ginfozf2_bgl {
   bool_t BgL_gzf3zf3;
   obj_t BgL_cfromz00;
   obj_t BgL_cfromza2za2;
   obj_t BgL_ctoz00;
   obj_t BgL_ctoza2za2;
   obj_t BgL_cfunctionz00;
   obj_t BgL_integratorz00;
   obj_t BgL_imarkz00;
   obj_t BgL_ownerz00;
   obj_t BgL_integratedz00;
   obj_t BgL_pluggedzd2inzd2;
   long BgL_markz00;
   obj_t BgL_freezd2markzd2;
   obj_t BgL_thezd2globalzd2;
   obj_t BgL_kapturedz00;
   obj_t BgL_newzd2bodyzd2;
   long BgL_bmarkz00;
   long BgL_umarkz00;
   obj_t BgL_freez00;
   obj_t BgL_boundz00;
} *BgL_sfunzf2ginfozf2_bglt;

typedef struct BgL_svarzf2ginfozf2_bgl {
   bool_t BgL_kapturedzf3zf3;
   long BgL_freezd2markzd2;
   long BgL_markz00;
   bool_t BgL_celledzf3zf3;
} *BgL_svarzf2ginfozf2_bglt;

typedef struct BgL_sexitzf2ginfozf2_bgl {
   bool_t BgL_gzf3zf3;
   bool_t BgL_kapturedzf3zf3;
   long BgL_freezd2markzd2;
   long BgL_markz00;
} *BgL_sexitzf2ginfozf2_bglt;

typedef struct BgL_localzf2ginfozf2_bgl {
   bool_t BgL_escapezf3zf3;
} *BgL_localzf2ginfozf2_bglt;

typedef struct BgL_globalzf2ginfozf2_bgl {
   bool_t BgL_escapezf3zf3;
   obj_t BgL_globalzd2closurezd2;
} *BgL_globalzf2ginfozf2_bglt;


static obj_t BGl_methodzd2initzd2zzglobaliza7e_globalzd2closurez75();
BGL_IMPORT obj_t open_input_string(obj_t);
BGL_IMPORT long BGl_classzd2numzd2zz__objectz00(obj_t);
extern obj_t BGl_nodez00zzast_nodez00;
extern obj_t BGl_sfunz00zzast_varz00;
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t);
BGL_IMPORT bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
extern BgL_globalz00_bglt BGl_defzd2globalzd2sfunzd2nozd2warningz12z12zzast_glozd2defzd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_thezd2globalzd2closurez00zzglobaliza7e_freeza7(BgL_globalz00_bglt, obj_t);
BGL_IMPORT bool_t symbol_exists_p(char *);
extern obj_t BGl_za2moduleza2z00zzmodule_modulez00;
static obj_t BGl__globalzd2closurezd2zzglobaliza7e_globalzd2closurez75(obj_t, obj_t, obj_t);
extern obj_t BGl_za2_za2z00zztype_cachez00;
BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00;
extern obj_t BGl_globalz00zzast_varz00;
extern obj_t BGl_za2procedureza2z00zztype_cachez00;
static obj_t BGl__makezd2globalzd2closurez00zzglobaliza7e_globalzd2closurez75(obj_t, obj_t);
extern obj_t BGl_localzf2Ginfozf2zzglobaliza7e_ginfoza7;
extern obj_t BGl_makezd2nzd2protoz00zztools_argsz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_foreignzd2closureszd2zzglobaliza7e_globalzd2closurez75();
extern BgL_appz00_bglt BGl_makezd2appzd2zzast_nodez00(obj_t, BgL_typez00_bglt, obj_t, obj_t, BgL_varz00_bglt, obj_t);
static obj_t BGl_cnstzd2initzd2zzglobaliza7e_globalzd2closurez75();
static obj_t BGl_za2foreignzd2closuresza2zd2zzglobaliza7e_globalzd2closurez75 = BUNSPEC;
static obj_t BGl_importedzd2moduleszd2initz00zzglobaliza7e_globalzd2closurez75();
static obj_t BGl_glocloz00zzglobaliza7e_globalzd2closurez75(BgL_globalz00_bglt, BgL_localz00_bglt, obj_t);
BGL_EXPORTED_DECL BgL_globalz00_bglt BGl_globalzd2closurezd2zzglobaliza7e_globalzd2closurez75(BgL_globalz00_bglt, obj_t);
extern obj_t BGl_zb2zd2arityz60zztools_argsz00(obj_t, obj_t);
extern obj_t BGl_globalzf2Ginfozf2zzglobaliza7e_ginfoza7;
extern obj_t BGl_makezd2typedzd2identz00zzast_identz00(obj_t, obj_t);
static obj_t BGl_toplevelzd2initzd2zzglobaliza7e_globalzd2closurez75();
extern obj_t BGl_wideningzd2svarzf2Ginfoz20zzglobaliza7e_ginfoza7(bool_t, long, long, bool_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzglobaliza7e_globalzd2closurez75(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_argsz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_localz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_glozd2defzd2(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzglobaliza7e_ginfoza7(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzglobaliza7e_nodeza7(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzglobaliza7e_freeza7(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long, char *);
BGL_IMPORT obj_t string_append(obj_t, obj_t);
extern obj_t BGl_cfunz00zzast_varz00;
extern obj_t BGl_wideningzd2localzf2Ginfoz20zzglobaliza7e_ginfoza7(bool_t);
extern BgL_localz00_bglt BGl_makezd2localzd2svarz00zzast_localz00(obj_t, BgL_typez00_bglt);
BGL_EXPORTED_DECL BgL_globalz00_bglt BGl_makezd2globalzd2closurez00zzglobaliza7e_globalzd2closurez75(BgL_globalz00_bglt);
extern obj_t BGl_wideningzd2globalzf2Ginfoz20zzglobaliza7e_ginfoza7(bool_t, obj_t);
extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
static obj_t BGl__foreignzd2closureszd2zzglobaliza7e_globalzd2closurez75(obj_t);
extern obj_t BGl_localz00zzast_varz00;
BGL_IMPORT obj_t BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(obj_t);
extern BgL_varz00_bglt BGl_makezd2varzd2zzast_nodez00(obj_t, BgL_typez00_bglt, BgL_variablez00_bglt);
extern obj_t BGl_za2objza2z00zztype_cachez00;
extern obj_t BGl_svarzf2Ginfozf2zzglobaliza7e_ginfoza7;
static obj_t BGl_requirezd2initializa7ationz75zzglobaliza7e_globalzd2closurez75 = BUNSPEC;
static obj_t BGl_libraryzd2moduleszd2initz00zzglobaliza7e_globalzd2closurez75();
static obj_t __cnst[ 8 ] ;


DEFINE_EXPORT_PROCEDURE( BGl_globalzd2closurezd2envz00zzglobaliza7e_globalzd2closurez75, BgL_bgl__globalza7d2closureza7d2za7za7globaliza7a7e_globalza7d2closureza7753899za7, BGl__globalzd2closurezd2zzglobaliza7e_globalzd2closurez75, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_foreignzd2closureszd2envz00zzglobaliza7e_globalzd2closurez75, BgL_bgl__foreignza7d2closuresza7d2za7za7globaliza7a7e_globalza7d2closureza7753900za7, BGl__foreignzd2closureszd2zzglobaliza7e_globalzd2closurez75, 0L, 0 );
DEFINE_STRING( BGl_string3872z00zzglobaliza7e_globalzd2closurez75, BgL_bgl_string3872za700za7za7globaliza7a7e_globalza7d2closureza7753901z00, "static never now sfun foreign obj _ env ", 40 );
DEFINE_STRING( BGl_string3871z00zzglobaliza7e_globalzd2closurez75, BgL_bgl_string3871za700za7za7globaliza7a7e_globalza7d2closureza7753902z00, "Can't allocate global closure", 29 );
DEFINE_STRING( BGl_string3870z00zzglobaliza7e_globalzd2closurez75, BgL_bgl_string3870za700za7za7globaliza7a7e_globalza7d2closureza7753903z00, "global-closure", 14 );
DEFINE_STRING( BGl_string3869z00zzglobaliza7e_globalzd2closurez75, BgL_bgl_string3869za700za7za7globaliza7a7e_globalza7d2closureza7753904z00, "_", 1 );
DEFINE_STRING( BGl_string3868z00zzglobaliza7e_globalzd2closurez75, BgL_bgl_string3868za700za7za7globaliza7a7e_globalza7d2closureza7753905z00, "Unexpected value", 16 );
DEFINE_STRING( BGl_string3867z00zzglobaliza7e_globalzd2closurez75, BgL_bgl_string3867za700za7za7globaliza7a7e_globalza7d2closureza7753906z00, "make-global-closure", 19 );
DEFINE_EXPORT_PROCEDURE( BGl_makezd2globalzd2closurezd2envzd2zzglobaliza7e_globalzd2closurez75, BgL_bgl__makeza7d2globalza7d2closureza700za7za7globaliza7a7e_globalza7d2closureza7753907z00, BGl__makezd2globalzd2closurez00zzglobaliza7e_globalzd2closurez75, 0L, 1 );



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzglobaliza7e_globalzd2closurez75(long BgL_checksumz00_1444, char * BgL_fromz00_1445)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzglobaliza7e_globalzd2closurez75))
{ 
BGl_requirezd2initializa7ationz75zzglobaliza7e_globalzd2closurez75 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzglobaliza7e_globalzd2closurez75(); 
BGl_cnstzd2initzd2zzglobaliza7e_globalzd2closurez75(); 
BGl_importedzd2moduleszd2initz00zzglobaliza7e_globalzd2closurez75(); 
BGl_toplevelzd2initzd2zzglobaliza7e_globalzd2closurez75(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzglobaliza7e_globalzd2closurez75()
{ AN_OBJECT;
{ /* ./Globalize/gloclo.scm 15 */
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "globalize_global-closure"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "globalize_global-closure"); 
BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long)0), "globalize_global-closure"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzglobaliza7e_globalzd2closurez75()
{ AN_OBJECT;
{ /* ./Globalize/gloclo.scm 15 */
{ /* ./Globalize/gloclo.scm 15 */
obj_t BgL_cportz00_1435;
BgL_cportz00_1435 = 
open_input_string(BGl_string3872z00zzglobaliza7e_globalzd2closurez75); 
{ 
long BgL_iz00_1436;
BgL_iz00_1436 = ((long)7); 
BgL_loopz00_1437:
{ /* ./Globalize/gloclo.scm 15 */
bool_t BgL_test3874z00_1438;
BgL_test3874z00_1438 = 
(BgL_iz00_1436==((long)-1)); 
if(BgL_test3874z00_1438)
{ /* ./Globalize/gloclo.scm 15 */
return BUNSPEC;}  else 
{ /* ./Globalize/gloclo.scm 15 */
{ /* ./Globalize/gloclo.scm 15 */
obj_t BgL_arg3876z00_1439;
{ /* ./Globalize/gloclo.scm 15 */
obj_t BgL_list3879z00_1440;
BgL_list3879z00_1440 = 
MAKE_PAIR(BgL_cportz00_1435, BNIL); 
BgL_arg3876z00_1439 = 
BGl_readz00zz__readerz00(BgL_list3879z00_1440); } 
{ /* ./Globalize/gloclo.scm 15 */
int BgL_auxz00_1461;
BgL_auxz00_1461 = 
(int)(BgL_iz00_1436); 
CNST_TABLE_SET(BgL_auxz00_1461, BgL_arg3876z00_1439); } } 
{ /* ./Globalize/gloclo.scm 15 */
int BgL_auxz00_1441;
{ /* ./Globalize/gloclo.scm 15 */
long BgL_auxz00_1464;
BgL_auxz00_1464 = 
(BgL_iz00_1436-((long)1)); 
BgL_auxz00_1441 = 
(int)(BgL_auxz00_1464); } 
{ 
long BgL_iz00_1467;
BgL_iz00_1467 = 
(long)(BgL_auxz00_1441); 
BgL_iz00_1436 = BgL_iz00_1467; 
goto BgL_loopz00_1437;} } } } } } } 
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zzglobaliza7e_globalzd2closurez75()
{ AN_OBJECT;
{ /* ./Globalize/gloclo.scm 15 */
return ( 
BGl_za2foreignzd2closuresza2zd2zzglobaliza7e_globalzd2closurez75 = BNIL, BUNSPEC) ;} 
}



/* global-closure */
BGL_EXPORTED_DEF BgL_globalz00_bglt BGl_globalzd2closurezd2zzglobaliza7e_globalzd2closurez75(BgL_globalz00_bglt BgL_globalz00_1, obj_t BgL_locz00_2)
{ AN_OBJECT;
{ /* ./Globalize/gloclo.scm 40 */
BGl_thezd2globalzd2closurez00zzglobaliza7e_freeza7(BgL_globalz00_1, BgL_locz00_2); 
return 
BGl_makezd2globalzd2closurez00zzglobaliza7e_globalzd2closurez75(BgL_globalz00_1);} 
}



/* _global-closure */
obj_t BGl__globalzd2closurezd2zzglobaliza7e_globalzd2closurez75(obj_t BgL_envz00_1429, obj_t BgL_globalz00_1430, obj_t BgL_locz00_1431)
{ AN_OBJECT;
{ /* ./Globalize/gloclo.scm 40 */
{ /* ./Globalize/gloclo.scm 41 */
BgL_globalz00_bglt BgL_auxz00_1471;
BgL_auxz00_1471 = 
BGl_globalzd2closurezd2zzglobaliza7e_globalzd2closurez75(
(BgL_globalz00_bglt)(BgL_globalz00_1430), BgL_locz00_1431); 
return 
(obj_t)(BgL_auxz00_1471);} } 
}



/* make-global-closure */
BGL_EXPORTED_DEF BgL_globalz00_bglt BGl_makezd2globalzd2closurez00zzglobaliza7e_globalzd2closurez75(BgL_globalz00_bglt BgL_globalz00_3)
{ AN_OBJECT;
{ /* ./Globalize/gloclo.scm 47 */
{ /* ./Globalize/gloclo.scm 48 */
obj_t BgL_gloz00_808;
{ /* ./Globalize/gloclo.scm 48 */
BgL_globalzf2ginfozf2_bglt BgL_obj3003z00_1332;
BgL_obj3003z00_1332 = 
(BgL_globalzf2ginfozf2_bglt)(BgL_globalz00_3); 
{ 
obj_t BgL_auxz00_1476;
{ /* ./Globalize/gloclo.scm 48 */
BgL_objectz00_bglt BgL_auxz00_1477;
BgL_auxz00_1477 = 
(BgL_objectz00_bglt)(BgL_obj3003z00_1332); 
BgL_auxz00_1476 = 
BGL_OBJECT_WIDENING(BgL_auxz00_1477); } 
BgL_gloz00_808 = 
(((BgL_globalzf2ginfozf2_bglt)CREF(BgL_auxz00_1476))->BgL_globalzd2closurezd2); } } 
{ /* ./Globalize/gloclo.scm 49 */
bool_t BgL_test3074z00_809;
BgL_test3074z00_809 = 
BGl_iszd2azf3z21zz__objectz00(BgL_gloz00_808, BGl_globalz00zzast_varz00); 
if(BgL_test3074z00_809)
{ /* ./Globalize/gloclo.scm 49 */
return 
(BgL_globalz00_bglt)(BgL_gloz00_808);}  else 
{ /* ./Globalize/gloclo.scm 51 */
BgL_valuez00_bglt BgL_oldzd2funzd2_810;
{ /* ./Globalize/gloclo.scm 51 */
BgL_variablez00_bglt BgL_obj1100z00_1334;
BgL_obj1100z00_1334 = 
(BgL_variablez00_bglt)(BgL_globalz00_3); 
BgL_oldzd2funzd2_810 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1100z00_1334))->BgL_valuez00); } 
{ /* ./Globalize/gloclo.scm 51 */
BgL_localz00_bglt BgL_envz00_811;
{ /* ./Globalize/gloclo.scm 52 */
BgL_localz00_bglt BgL_varz00_878;
BgL_varz00_878 = 
BGl_makezd2localzd2svarz00zzast_localz00(
CNST_TABLE_REF(((long)0)), 
(BgL_typez00_bglt)(BGl_za2procedureza2z00zztype_cachez00)); 
{ /* ./Globalize/gloclo.scm 53 */
BgL_localz00_bglt BgL_obj3054z00_879;
BgL_obj3054z00_879 = 
((BgL_localz00_bglt)BgL_varz00_878); 
{ /* ./Globalize/gloclo.scm 53 */
obj_t BgL_arg3210z00_880;
BgL_arg3210z00_880 = 
BGl_wideningzd2localzf2Ginfoz20zzglobaliza7e_ginfoza7(((bool_t)0)); 
{ /* ./Globalize/gloclo.scm 53 */
BgL_objectz00_bglt BgL_auxz00_1491;
BgL_auxz00_1491 = 
(BgL_objectz00_bglt)(BgL_obj3054z00_879); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_1491, BgL_arg3210z00_880); } } 
{ /* ./Globalize/gloclo.scm 53 */
long BgL_arg3214z00_881;
BgL_arg3214z00_881 = 
BGl_classzd2numzd2zz__objectz00(BGl_localzf2Ginfozf2zzglobaliza7e_ginfoza7); 
{ /* ./Globalize/gloclo.scm 53 */
BgL_objectz00_bglt BgL_objz00_1335;
BgL_objz00_1335 = 
(BgL_objectz00_bglt)(BgL_obj3054z00_879); 
BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_1335, BgL_arg3214z00_881); } } 
{ /* ./Globalize/gloclo.scm 53 */
obj_t BgL_objz00_1337;
BgL_objz00_1337 = 
(obj_t)(BgL_obj3054z00_879); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_objz00_1337); BUNSPEC; } BgL_obj3054z00_879; } 
BgL_envz00_811 = BgL_varz00_878; } 
{ /* ./Globalize/gloclo.scm 52 */
obj_t BgL_newzd2argszd2_812;
{ /* ./Globalize/gloclo.scm 55 */
obj_t BgL_l3055z00_853;
{ /* ./Globalize/gloclo.scm 67 */
bool_t BgL_test3202z00_876;
{ /* ./Globalize/gloclo.scm 67 */
obj_t BgL_obj1425z00_1338;
BgL_obj1425z00_1338 = 
(obj_t)(BgL_oldzd2funzd2_810); 
BgL_test3202z00_876 = 
BGl_iszd2azf3z21zz__objectz00(BgL_obj1425z00_1338, BGl_sfunz00zzast_varz00); } 
if(BgL_test3202z00_876)
{ /* ./Globalize/gloclo.scm 68 */
BgL_sfunz00_bglt BgL_obj1367z00_1339;
BgL_obj1367z00_1339 = 
(BgL_sfunz00_bglt)(BgL_oldzd2funzd2_810); 
BgL_l3055z00_853 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1367z00_1339))->BgL_argsz00); }  else 
{ /* ./Globalize/gloclo.scm 69 */
bool_t BgL_test3204z00_877;
{ /* ./Globalize/gloclo.scm 69 */
obj_t BgL_obj1489z00_1340;
BgL_obj1489z00_1340 = 
(obj_t)(BgL_oldzd2funzd2_810); 
BgL_test3204z00_877 = 
BGl_iszd2azf3z21zz__objectz00(BgL_obj1489z00_1340, BGl_cfunz00zzast_varz00); } 
if(BgL_test3204z00_877)
{ /* ./Globalize/gloclo.scm 74 */
BgL_cfunz00_bglt BgL_obj1445z00_1341;
BgL_obj1445z00_1341 = 
(BgL_cfunz00_bglt)(BgL_oldzd2funzd2_810); 
BgL_l3055z00_853 = 
(((BgL_cfunz00_bglt)CREF(BgL_obj1445z00_1341))->BgL_argszd2typezd2); }  else 
{ /* ./Globalize/gloclo.scm 69 */
BgL_l3055z00_853 = 
BGl_internalzd2errorzd2zztools_errorz00(BGl_string3867z00zzglobaliza7e_globalzd2closurez75, BGl_string3868z00zzglobaliza7e_globalzd2closurez75, 
(obj_t)(BgL_oldzd2funzd2_810)); } } } 
{ /* ./Globalize/gloclo.scm 55 */
bool_t BgL_test3153z00_854;
BgL_test3153z00_854 = 
NULLP(BgL_l3055z00_853); 
if(BgL_test3153z00_854)
{ /* ./Globalize/gloclo.scm 55 */
BgL_newzd2argszd2_812 = BNIL; }  else 
{ /* ./Globalize/gloclo.scm 55 */
obj_t BgL_head3057z00_855;
BgL_head3057z00_855 = 
MAKE_PAIR(BNIL, BNIL); 
{ 
obj_t BgL_l3055z00_856;obj_t BgL_tail3058z00_857;
BgL_l3055z00_856 = BgL_l3055z00_853; 
BgL_tail3058z00_857 = BgL_head3057z00_855; 
BgL_map3056z00_858:
{ /* ./Globalize/gloclo.scm 55 */
bool_t BgL_test3155z00_859;
BgL_test3155z00_859 = 
NULLP(BgL_l3055z00_856); 
if(BgL_test3155z00_859)
{ /* ./Globalize/gloclo.scm 55 */
BgL_newzd2argszd2_812 = 
CDR(BgL_head3057z00_855); }  else 
{ /* ./Globalize/gloclo.scm 56 */
obj_t BgL_newtail3059z00_860;
{ /* ./Globalize/gloclo.scm 56 */
BgL_localz00_bglt BgL_arg3163z00_862;
{ /* ./Globalize/gloclo.scm 56 */
obj_t BgL_oldz00_864;
BgL_oldz00_864 = 
CAR(BgL_l3055z00_856); 
{ /* ./Globalize/gloclo.scm 56 */
BgL_localz00_bglt BgL_newz00_865;
{ /* ./Globalize/gloclo.scm 57 */
obj_t BgL_arg3192z00_874;
{ /* ./Globalize/gloclo.scm 57 */
bool_t BgL_test3194z00_875;
BgL_test3194z00_875 = 
BGl_iszd2azf3z21zz__objectz00(BgL_oldz00_864, BGl_localz00zzast_varz00); 
if(BgL_test3194z00_875)
{ /* ./Globalize/gloclo.scm 58 */
BgL_variablez00_bglt BgL_obj1093z00_1349;
BgL_obj1093z00_1349 = 
(BgL_variablez00_bglt)(BgL_oldz00_864); 
BgL_arg3192z00_874 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1093z00_1349))->BgL_idz00); }  else 
{ /* ./Globalize/gloclo.scm 57 */
BgL_arg3192z00_874 = 
PROCEDURE_ENTRY(BGl_gensymz00zz__r4_symbols_6_4z00)(BGl_gensymz00zz__r4_symbols_6_4z00, BEOA); } } 
BgL_newz00_865 = 
BGl_makezd2localzd2svarz00zzast_localz00(BgL_arg3192z00_874, 
(BgL_typez00_bglt)(BGl_za2objza2z00zztype_cachez00)); } 
{ /* ./Globalize/gloclo.scm 61 */
bool_t BgL_test3166z00_866;
BgL_test3166z00_866 = 
BGl_iszd2azf3z21zz__objectz00(BgL_oldz00_864, BGl_localz00zzast_varz00); 
if(BgL_test3166z00_866)
{ /* ./Globalize/gloclo.scm 63 */
bool_t BgL_arg3168z00_867;
{ /* ./Globalize/gloclo.scm 63 */
BgL_localz00_bglt BgL_obj1263z00_1351;
BgL_obj1263z00_1351 = 
(BgL_localz00_bglt)(BgL_oldz00_864); 
BgL_arg3168z00_867 = 
(((BgL_localz00_bglt)CREF(BgL_obj1263z00_1351))->BgL_userzf3zf3); } 
{ /* ./Globalize/gloclo.scm 62 */
BgL_localz00_bglt BgL_obj1265z00_1352;bool_t BgL_val1264z00_1353;
BgL_obj1265z00_1352 = BgL_newz00_865; 
BgL_val1264z00_1353 = BgL_arg3168z00_867; 
((((BgL_localz00_bglt)CREF(BgL_obj1265z00_1352))->BgL_userzf3zf3) = ((bool_t)BgL_val1264z00_1353), BUNSPEC); } }  else 
{ /* ./Globalize/gloclo.scm 61 */BFALSE; } } 
{ /* ./Globalize/gloclo.scm 64 */
BgL_svarz00_bglt BgL_obj3060z00_868;
{ 
BgL_svarz00_bglt BgL_auxz00_1531;
{ /* ./Globalize/gloclo.scm 64 */
BgL_valuez00_bglt BgL_auxz00_1532;
{ /* ./Globalize/gloclo.scm 64 */
BgL_variablez00_bglt BgL_obj1100z00_1442;
BgL_obj1100z00_1442 = 
(BgL_variablez00_bglt)(BgL_newz00_865); 
BgL_auxz00_1532 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1100z00_1442))->BgL_valuez00); } 
BgL_auxz00_1531 = 
(BgL_svarz00_bglt)(BgL_auxz00_1532); } 
BgL_obj3060z00_868 = 
((BgL_svarz00_bglt)BgL_auxz00_1531); } 
{ /* ./Globalize/gloclo.scm 64 */
obj_t BgL_arg3173z00_869;
BgL_arg3173z00_869 = 
BGl_wideningzd2svarzf2Ginfoz20zzglobaliza7e_ginfoza7(((bool_t)0), ((long)-10), ((long)-10), ((bool_t)0)); 
{ /* ./Globalize/gloclo.scm 64 */
BgL_objectz00_bglt BgL_auxz00_1538;
BgL_auxz00_1538 = 
(BgL_objectz00_bglt)(BgL_obj3060z00_868); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_1538, BgL_arg3173z00_869); } } 
{ /* ./Globalize/gloclo.scm 64 */
long BgL_arg3177z00_870;
BgL_arg3177z00_870 = 
BGl_classzd2numzd2zz__objectz00(BGl_svarzf2Ginfozf2zzglobaliza7e_ginfoza7); 
{ /* ./Globalize/gloclo.scm 64 */
BgL_objectz00_bglt BgL_objz00_1355;
BgL_objz00_1355 = 
(BgL_objectz00_bglt)(BgL_obj3060z00_868); 
BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_1355, BgL_arg3177z00_870); } } 
{ /* ./Globalize/gloclo.scm 64 */
obj_t BgL_objz00_1357;
BgL_objz00_1357 = 
(obj_t)(BgL_obj3060z00_868); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_objz00_1357); BUNSPEC; } BgL_obj3060z00_868; } 
{ /* ./Globalize/gloclo.scm 65 */
BgL_localz00_bglt BgL_obj3061z00_871;
BgL_obj3061z00_871 = 
((BgL_localz00_bglt)BgL_newz00_865); 
{ /* ./Globalize/gloclo.scm 65 */
obj_t BgL_arg3183z00_872;
BgL_arg3183z00_872 = 
BGl_wideningzd2localzf2Ginfoz20zzglobaliza7e_ginfoza7(((bool_t)0)); 
{ /* ./Globalize/gloclo.scm 65 */
BgL_objectz00_bglt BgL_auxz00_1548;
BgL_auxz00_1548 = 
(BgL_objectz00_bglt)(BgL_obj3061z00_871); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_1548, BgL_arg3183z00_872); } } 
{ /* ./Globalize/gloclo.scm 65 */
long BgL_arg3187z00_873;
BgL_arg3187z00_873 = 
BGl_classzd2numzd2zz__objectz00(BGl_localzf2Ginfozf2zzglobaliza7e_ginfoza7); 
{ /* ./Globalize/gloclo.scm 65 */
BgL_objectz00_bglt BgL_objz00_1358;
BgL_objz00_1358 = 
(BgL_objectz00_bglt)(BgL_obj3061z00_871); 
BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_1358, BgL_arg3187z00_873); } } 
{ /* ./Globalize/gloclo.scm 65 */
obj_t BgL_objz00_1360;
BgL_objz00_1360 = 
(obj_t)(BgL_obj3061z00_871); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_objz00_1360); BUNSPEC; } BgL_obj3061z00_871; } 
BgL_arg3163z00_862 = BgL_newz00_865; } } 
{ /* ./Globalize/gloclo.scm 55 */
obj_t BgL_obj1z00_1361;
BgL_obj1z00_1361 = 
(obj_t)(BgL_arg3163z00_862); 
BgL_newtail3059z00_860 = 
MAKE_PAIR(BgL_obj1z00_1361, BNIL); } } 
SET_CDR(BgL_tail3058z00_857, BgL_newtail3059z00_860); 
{ /* ./Globalize/gloclo.scm 55 */
obj_t BgL_arg3159z00_861;
BgL_arg3159z00_861 = 
CDR(BgL_l3055z00_856); 
{ 
obj_t BgL_tail3058z00_1561;obj_t BgL_l3055z00_1560;
BgL_l3055z00_1560 = BgL_arg3159z00_861; 
BgL_tail3058z00_1561 = BgL_newtail3059z00_860; 
BgL_tail3058z00_857 = BgL_tail3058z00_1561; 
BgL_l3055z00_856 = BgL_l3055z00_1560; 
goto BgL_map3056z00_858;} } } } } } } } 
{ /* ./Globalize/gloclo.scm 55 */
obj_t BgL_locz00_813;
{ /* ./Globalize/gloclo.scm 78 */
bool_t BgL_test3136z00_847;
{ /* ./Globalize/gloclo.scm 78 */
obj_t BgL_obj1425z00_1366;
BgL_obj1425z00_1366 = 
(obj_t)(BgL_oldzd2funzd2_810); 
BgL_test3136z00_847 = 
BGl_iszd2azf3z21zz__objectz00(BgL_obj1425z00_1366, BGl_sfunz00zzast_varz00); } 
if(BgL_test3136z00_847)
{ /* ./Globalize/gloclo.scm 79 */
bool_t BgL_test3137z00_848;
{ /* ./Globalize/gloclo.scm 79 */
bool_t BgL_test3143z00_850;
{ /* ./Globalize/gloclo.scm 79 */
obj_t BgL_arg3149z00_852;
{ /* ./Globalize/gloclo.scm 79 */
BgL_sfunz00_bglt BgL_obj1370z00_1367;
BgL_obj1370z00_1367 = 
(BgL_sfunz00_bglt)(BgL_oldzd2funzd2_810); 
BgL_arg3149z00_852 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1370z00_1367))->BgL_bodyz00); } 
BgL_test3143z00_850 = 
BGl_iszd2azf3z21zz__objectz00(BgL_arg3149z00_852, BGl_nodez00zzast_nodez00); } 
if(BgL_test3143z00_850)
{ /* ./Globalize/gloclo.scm 80 */
BgL_nodez00_bglt BgL_obj1560z00_1370;
{ /* ./Globalize/gloclo.scm 80 */
obj_t BgL_auxz00_1569;
{ /* ./Globalize/gloclo.scm 80 */
BgL_sfunz00_bglt BgL_obj1370z00_1369;
BgL_obj1370z00_1369 = 
(BgL_sfunz00_bglt)(BgL_oldzd2funzd2_810); 
BgL_auxz00_1569 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1370z00_1369))->BgL_bodyz00); } 
BgL_obj1560z00_1370 = 
(BgL_nodez00_bglt)(BgL_auxz00_1569); } 
{ /* ./Globalize/gloclo.scm 80 */
obj_t BgL_auxz00_1573;
BgL_auxz00_1573 = 
(((BgL_nodez00_bglt)CREF(BgL_obj1560z00_1370))->BgL_locz00); 
BgL_test3137z00_848 = 
CBOOL(BgL_auxz00_1573); } }  else 
{ /* ./Globalize/gloclo.scm 79 */
BgL_test3137z00_848 = ((bool_t)0); } } 
if(BgL_test3137z00_848)
{ /* ./Globalize/gloclo.scm 81 */
BgL_nodez00_bglt BgL_obj1560z00_1372;
{ /* ./Globalize/gloclo.scm 81 */
obj_t BgL_auxz00_1577;
{ /* ./Globalize/gloclo.scm 81 */
BgL_sfunz00_bglt BgL_obj1370z00_1371;
BgL_obj1370z00_1371 = 
(BgL_sfunz00_bglt)(BgL_oldzd2funzd2_810); 
BgL_auxz00_1577 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1370z00_1371))->BgL_bodyz00); } 
BgL_obj1560z00_1372 = 
(BgL_nodez00_bglt)(BgL_auxz00_1577); } 
BgL_locz00_813 = 
(((BgL_nodez00_bglt)CREF(BgL_obj1560z00_1372))->BgL_locz00); }  else 
{ /* ./Globalize/gloclo.scm 82 */
BgL_sfunz00_bglt BgL_obj1380z00_1373;
BgL_obj1380z00_1373 = 
(BgL_sfunz00_bglt)(BgL_oldzd2funzd2_810); 
BgL_locz00_813 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1380z00_1373))->BgL_locz00); } }  else 
{ /* ./Globalize/gloclo.scm 78 */
BgL_locz00_813 = BFALSE; } } 
{ /* ./Globalize/gloclo.scm 78 */
obj_t BgL_glocloz00_814;
BgL_glocloz00_814 = 
BGl_glocloz00zzglobaliza7e_globalzd2closurez75(BgL_globalz00_3, BgL_envz00_811, BgL_newzd2argszd2_812); 
{ /* ./Globalize/gloclo.scm 83 */
BgL_valuez00_bglt BgL_newzd2funzd2_815;
{ /* ./Globalize/gloclo.scm 84 */
BgL_variablez00_bglt BgL_obj1100z00_1374;
BgL_obj1100z00_1374 = 
(BgL_variablez00_bglt)(BgL_glocloz00_814); 
BgL_newzd2funzd2_815 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1100z00_1374))->BgL_valuez00); } 
{ /* ./Globalize/gloclo.scm 84 */

{ /* ./Globalize/gloclo.scm 86 */
BgL_svarz00_bglt BgL_obj3062z00_816;
{ 
BgL_svarz00_bglt BgL_auxz00_1587;
{ /* ./Globalize/gloclo.scm 86 */
BgL_valuez00_bglt BgL_auxz00_1588;
{ /* ./Globalize/gloclo.scm 86 */
BgL_variablez00_bglt BgL_obj1100z00_1443;
BgL_obj1100z00_1443 = 
(BgL_variablez00_bglt)(BgL_envz00_811); 
BgL_auxz00_1588 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1100z00_1443))->BgL_valuez00); } 
BgL_auxz00_1587 = 
(BgL_svarz00_bglt)(BgL_auxz00_1588); } 
BgL_obj3062z00_816 = 
((BgL_svarz00_bglt)BgL_auxz00_1587); } 
{ /* ./Globalize/gloclo.scm 86 */
obj_t BgL_arg3076z00_817;
BgL_arg3076z00_817 = 
BGl_wideningzd2svarzf2Ginfoz20zzglobaliza7e_ginfoza7(((bool_t)0), ((long)-10), ((long)-10), ((bool_t)0)); 
{ /* ./Globalize/gloclo.scm 86 */
BgL_objectz00_bglt BgL_auxz00_1594;
BgL_auxz00_1594 = 
(BgL_objectz00_bglt)(BgL_obj3062z00_816); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_1594, BgL_arg3076z00_817); } } 
{ /* ./Globalize/gloclo.scm 86 */
long BgL_arg3080z00_818;
BgL_arg3080z00_818 = 
BGl_classzd2numzd2zz__objectz00(BGl_svarzf2Ginfozf2zzglobaliza7e_ginfoza7); 
{ /* ./Globalize/gloclo.scm 86 */
BgL_objectz00_bglt BgL_objz00_1376;
BgL_objz00_1376 = 
(BgL_objectz00_bglt)(BgL_obj3062z00_816); 
BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_1376, BgL_arg3080z00_818); } } 
{ /* ./Globalize/gloclo.scm 86 */
obj_t BgL_objz00_1378;
BgL_objz00_1378 = 
(obj_t)(BgL_obj3062z00_816); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_objz00_1378); BUNSPEC; } BgL_obj3062z00_816; } 
{ /* ./Globalize/gloclo.scm 88 */
BgL_globalz00_bglt BgL_obj3063z00_819;
{ 
BgL_globalz00_bglt BgL_auxz00_1602;
BgL_auxz00_1602 = 
(BgL_globalz00_bglt)(BgL_glocloz00_814); 
BgL_obj3063z00_819 = 
((BgL_globalz00_bglt)BgL_auxz00_1602); } 
{ /* ./Globalize/gloclo.scm 88 */
obj_t BgL_arg3086z00_820;
{ /* ./Globalize/gloclo.scm 88 */
bool_t BgL_arg3089z00_821;
BgL_arg3089z00_821 = ((bool_t)1); 
BgL_arg3086z00_820 = 
BGl_wideningzd2globalzf2Ginfoz20zzglobaliza7e_ginfoza7(BgL_arg3089z00_821, BFALSE); } 
{ /* ./Globalize/gloclo.scm 88 */
BgL_objectz00_bglt BgL_auxz00_1606;
BgL_auxz00_1606 = 
(BgL_objectz00_bglt)(BgL_obj3063z00_819); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_1606, BgL_arg3086z00_820); } } 
{ /* ./Globalize/gloclo.scm 88 */
long BgL_arg3092z00_822;
BgL_arg3092z00_822 = 
BGl_classzd2numzd2zz__objectz00(BGl_globalzf2Ginfozf2zzglobaliza7e_ginfoza7); 
{ /* ./Globalize/gloclo.scm 88 */
BgL_objectz00_bglt BgL_objz00_1379;
BgL_objz00_1379 = 
(BgL_objectz00_bglt)(BgL_obj3063z00_819); 
BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_1379, BgL_arg3092z00_822); } } 
{ /* ./Globalize/gloclo.scm 88 */
obj_t BgL_objz00_1381;
BgL_objz00_1381 = 
(obj_t)(BgL_obj3063z00_819); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_objz00_1381); BUNSPEC; } BgL_obj3063z00_819; } 
{ /* ./Globalize/gloclo.scm 91 */
BgL_appz00_bglt BgL_arg3097z00_823;
{ /* ./Globalize/gloclo.scm 91 */
obj_t BgL_arg3100z00_824;obj_t BgL_arg3101z00_825;BgL_varz00_bglt BgL_arg3103z00_827;obj_t BgL_arg3104z00_828;
BgL_arg3100z00_824 = BgL_locz00_813; 
BgL_arg3101z00_825 = BGl_za2objza2z00zztype_cachez00; 
{ /* ./Globalize/gloclo.scm 94 */
obj_t BgL_arg3107z00_829;obj_t BgL_arg3108z00_830;BgL_globalz00_bglt BgL_arg3109z00_831;
BgL_arg3107z00_829 = BgL_locz00_813; 
BgL_arg3108z00_830 = BGl_za2_za2z00zztype_cachez00; 
BgL_arg3109z00_831 = BgL_globalz00_3; 
BgL_arg3103z00_827 = 
BGl_makezd2varzd2zzast_nodez00(BgL_arg3107z00_829, 
(BgL_typez00_bglt)(BgL_arg3108z00_830), 
(BgL_variablez00_bglt)(BgL_arg3109z00_831)); } 
{ /* ./Globalize/gloclo.scm 100 */
bool_t BgL_test3111z00_833;
BgL_test3111z00_833 = 
NULLP(BgL_newzd2argszd2_812); 
if(BgL_test3111z00_833)
{ /* ./Globalize/gloclo.scm 100 */
BgL_arg3104z00_828 = BNIL; }  else 
{ /* ./Globalize/gloclo.scm 100 */
obj_t BgL_head3068z00_834;
BgL_head3068z00_834 = 
MAKE_PAIR(BNIL, BNIL); 
{ 
obj_t BgL_l3066z00_835;obj_t BgL_tail3069z00_836;
BgL_l3066z00_835 = BgL_newzd2argszd2_812; 
BgL_tail3069z00_836 = BgL_head3068z00_834; 
BgL_map3067z00_837:
{ /* ./Globalize/gloclo.scm 100 */
bool_t BgL_test3113z00_838;
BgL_test3113z00_838 = 
NULLP(BgL_l3066z00_835); 
if(BgL_test3113z00_838)
{ /* ./Globalize/gloclo.scm 100 */
BgL_arg3104z00_828 = 
CDR(BgL_head3068z00_834); }  else 
{ /* ./Globalize/gloclo.scm 101 */
obj_t BgL_newtail3070z00_839;
{ /* ./Globalize/gloclo.scm 101 */
BgL_varz00_bglt BgL_arg3121z00_841;
{ /* ./Globalize/gloclo.scm 101 */
obj_t BgL_vz00_843;
BgL_vz00_843 = 
CAR(BgL_l3066z00_835); 
{ /* ./Globalize/gloclo.scm 102 */
obj_t BgL_arg3125z00_844;obj_t BgL_arg3126z00_845;obj_t BgL_arg3128z00_846;
BgL_arg3125z00_844 = BgL_locz00_813; 
BgL_arg3126z00_845 = BGl_za2objza2z00zztype_cachez00; 
BgL_arg3128z00_846 = BgL_vz00_843; 
BgL_arg3121z00_841 = 
BGl_makezd2varzd2zzast_nodez00(BgL_arg3125z00_844, 
(BgL_typez00_bglt)(BgL_arg3126z00_845), 
(BgL_variablez00_bglt)(BgL_arg3128z00_846)); } } 
{ /* ./Globalize/gloclo.scm 100 */
obj_t BgL_obj1z00_1388;
BgL_obj1z00_1388 = 
(obj_t)(BgL_arg3121z00_841); 
BgL_newtail3070z00_839 = 
MAKE_PAIR(BgL_obj1z00_1388, BNIL); } } 
SET_CDR(BgL_tail3069z00_836, BgL_newtail3070z00_839); 
{ /* ./Globalize/gloclo.scm 100 */
obj_t BgL_arg3117z00_840;
BgL_arg3117z00_840 = 
CDR(BgL_l3066z00_835); 
{ 
obj_t BgL_tail3069z00_1632;obj_t BgL_l3066z00_1631;
BgL_l3066z00_1631 = BgL_arg3117z00_840; 
BgL_tail3069z00_1632 = BgL_newtail3070z00_839; 
BgL_tail3069z00_836 = BgL_tail3069z00_1632; 
BgL_l3066z00_835 = BgL_l3066z00_1631; 
goto BgL_map3067z00_837;} } } } } } } 
BgL_arg3097z00_823 = 
BGl_makezd2appzd2zzast_nodez00(BgL_arg3100z00_824, 
(BgL_typez00_bglt)(BgL_arg3101z00_825), BUNSPEC, 
BINT(((long)-1)), BgL_arg3103z00_827, BgL_arg3104z00_828); } 
{ /* ./Globalize/gloclo.scm 89 */
BgL_sfunz00_bglt BgL_obj1373z00_1393;obj_t BgL_val1371z00_1394;
BgL_obj1373z00_1393 = 
(BgL_sfunz00_bglt)(BgL_newzd2funzd2_815); 
BgL_val1371z00_1394 = 
(obj_t)(BgL_arg3097z00_823); 
((((BgL_sfunz00_bglt)CREF(BgL_obj1373z00_1393))->BgL_bodyz00) = ((obj_t)BgL_val1371z00_1394), BUNSPEC); } } 
return 
(BgL_globalz00_bglt)(BgL_glocloz00_814);} } } } } } } } } } 
}



/* _make-global-closure */
obj_t BGl__makezd2globalzd2closurez00zzglobaliza7e_globalzd2closurez75(obj_t BgL_envz00_1432, obj_t BgL_globalz00_1433)
{ AN_OBJECT;
{ /* ./Globalize/gloclo.scm 47 */
{ /* ./Globalize/gloclo.scm 48 */
BgL_globalz00_bglt BgL_auxz00_1640;
BgL_auxz00_1640 = 
BGl_makezd2globalzd2closurez00zzglobaliza7e_globalzd2closurez75(
(BgL_globalz00_bglt)(BgL_globalz00_1433)); 
return 
(obj_t)(BgL_auxz00_1640);} } 
}



/* foreign-closures */
BGL_EXPORTED_DEF obj_t BGl_foreignzd2closureszd2zzglobaliza7e_globalzd2closurez75()
{ AN_OBJECT;
{ /* ./Globalize/gloclo.scm 119 */
{ /* ./Globalize/gloclo.scm 120 */
obj_t BgL_resz00_882;
BgL_resz00_882 = BGl_za2foreignzd2closuresza2zd2zzglobaliza7e_globalzd2closurez75; 
BGl_za2foreignzd2closuresza2zd2zzglobaliza7e_globalzd2closurez75 = BNIL; 
return BgL_resz00_882;} } 
}



/* _foreign-closures */
obj_t BGl__foreignzd2closureszd2zzglobaliza7e_globalzd2closurez75(obj_t BgL_envz00_1434)
{ AN_OBJECT;
{ /* ./Globalize/gloclo.scm 119 */
return 
BGl_foreignzd2closureszd2zzglobaliza7e_globalzd2closurez75();} 
}



/* gloclo */
obj_t BGl_glocloz00zzglobaliza7e_globalzd2closurez75(BgL_globalz00_bglt BgL_globalz00_4, BgL_localz00_bglt BgL_envz00_5, obj_t BgL_argsz00_6)
{ AN_OBJECT;
{ /* ./Globalize/gloclo.scm 127 */
{ /* ./Globalize/gloclo.scm 128 */
long BgL_arityz00_883;
{ /* ./Globalize/gloclo.scm 128 */
BgL_funz00_bglt BgL_obj1301z00_1396;
{ /* ./Globalize/gloclo.scm 128 */
BgL_valuez00_bglt BgL_auxz00_1645;
{ /* ./Globalize/gloclo.scm 128 */
BgL_variablez00_bglt BgL_obj1100z00_1395;
BgL_obj1100z00_1395 = 
(BgL_variablez00_bglt)(BgL_globalz00_4); 
BgL_auxz00_1645 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1100z00_1395))->BgL_valuez00); } 
BgL_obj1301z00_1396 = 
(BgL_funz00_bglt)(BgL_auxz00_1645); } 
BgL_arityz00_883 = 
(((BgL_funz00_bglt)CREF(BgL_obj1301z00_1396))->BgL_arityz00); } 
{ /* ./Globalize/gloclo.scm 128 */
obj_t BgL_idz00_884;
{ /* ./Globalize/gloclo.scm 129 */
obj_t BgL_strz00_912;
{ /* ./Globalize/gloclo.scm 129 */
obj_t BgL_arg3320z00_924;
{ /* ./Globalize/gloclo.scm 131 */
obj_t BgL_arg3323z00_925;
{ /* ./Globalize/gloclo.scm 131 */
BgL_variablez00_bglt BgL_obj1093z00_1397;
BgL_obj1093z00_1397 = 
(BgL_variablez00_bglt)(BgL_globalz00_4); 
BgL_arg3323z00_925 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1093z00_1397))->BgL_idz00); } 
BgL_arg3320z00_924 = 
SYMBOL_TO_STRING(BgL_arg3323z00_925); } 
BgL_strz00_912 = 
string_append(BGl_string3869z00zzglobaliza7e_globalzd2closurez75, BgL_arg3320z00_924); } 
{ /* ./Globalize/gloclo.scm 132 */
bool_t BgL_test3293z00_913;
{ /* ./Globalize/gloclo.scm 132 */
char * BgL_auxz00_1654;
BgL_auxz00_1654 = 
BSTRING_TO_STRING(BgL_strz00_912); 
BgL_test3293z00_913 = 
symbol_exists_p(BgL_auxz00_1654); } 
if(BgL_test3293z00_913)
{ /* ./Globalize/gloclo.scm 133 */
obj_t BgL_arg3295z00_914;
{ /* ./Globalize/gloclo.scm 133 */
obj_t BgL_arg3298z00_915;obj_t BgL_arg3299z00_916;
BgL_arg3298z00_915 = 
CNST_TABLE_REF(((long)1)); 
{ /* ./Globalize/gloclo.scm 133 */
BgL_variablez00_bglt BgL_obj1093z00_1399;
BgL_obj1093z00_1399 = 
(BgL_variablez00_bglt)(BgL_globalz00_4); 
BgL_arg3299z00_916 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1093z00_1399))->BgL_idz00); } 
{ /* ./Globalize/gloclo.scm 133 */
obj_t BgL_list3301z00_917;
{ /* ./Globalize/gloclo.scm 133 */
obj_t BgL_arg3303z00_918;
BgL_arg3303z00_918 = 
MAKE_PAIR(BgL_arg3299z00_916, BNIL); 
BgL_list3301z00_917 = 
MAKE_PAIR(BgL_arg3298z00_915, BgL_arg3303z00_918); } 
BgL_arg3295z00_914 = 
BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list3301z00_917); } } 
BgL_idz00_884 = 
PROCEDURE_ENTRY(BGl_gensymz00zz__r4_symbols_6_4z00)(BGl_gensymz00zz__r4_symbols_6_4z00, BgL_arg3295z00_914, BEOA); }  else 
{ /* ./Globalize/gloclo.scm 134 */
obj_t BgL_arg3308z00_919;obj_t BgL_arg3309z00_920;
BgL_arg3308z00_919 = 
CNST_TABLE_REF(((long)1)); 
{ /* ./Globalize/gloclo.scm 134 */
BgL_variablez00_bglt BgL_obj1093z00_1400;
BgL_obj1093z00_1400 = 
(BgL_variablez00_bglt)(BgL_globalz00_4); 
BgL_arg3309z00_920 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1093z00_1400))->BgL_idz00); } 
{ /* ./Globalize/gloclo.scm 134 */
obj_t BgL_list3311z00_921;
{ /* ./Globalize/gloclo.scm 134 */
obj_t BgL_arg3313z00_922;
BgL_arg3313z00_922 = 
MAKE_PAIR(BgL_arg3309z00_920, BNIL); 
BgL_list3311z00_921 = 
MAKE_PAIR(BgL_arg3308z00_919, BgL_arg3313z00_922); } 
BgL_idz00_884 = 
BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list3311z00_921); } } } } 
{ /* ./Globalize/gloclo.scm 129 */
BgL_globalz00_bglt BgL_glocloz00_885;
{ /* ./Globalize/gloclo.scm 135 */
obj_t BgL_arg3270z00_901;obj_t BgL_arg3272z00_902;obj_t BgL_arg3273z00_903;obj_t BgL_arg3274z00_904;obj_t BgL_arg3275z00_905;obj_t BgL_arg3276z00_906;obj_t BgL_arg3277z00_907;
BgL_arg3270z00_901 = 
BGl_makezd2typedzd2identz00zzast_identz00(BgL_idz00_884, 
CNST_TABLE_REF(((long)2))); 
{ /* ./Globalize/gloclo.scm 136 */
obj_t BgL_arg3281z00_908;
BgL_arg3281z00_908 = 
BGl_zb2zd2arityz60zztools_argsz00(
BINT(BgL_arityz00_883), 
BINT(((long)1))); 
BgL_arg3272z00_902 = 
BGl_makezd2nzd2protoz00zztools_argsz00(BgL_arg3281z00_908); } 
{ /* ./Globalize/gloclo.scm 137 */
obj_t BgL_auxz00_1678;
BgL_auxz00_1678 = 
(obj_t)(BgL_envz00_5); 
BgL_arg3273z00_903 = 
MAKE_PAIR(BgL_auxz00_1678, BgL_argsz00_6); } 
{ /* ./Globalize/gloclo.scm 138 */
bool_t BgL_test3285z00_909;
{ /* ./Globalize/gloclo.scm 138 */
obj_t BgL_auxz00_1683;obj_t BgL_auxz00_1681;
BgL_auxz00_1683 = 
CNST_TABLE_REF(((long)3)); 
BgL_auxz00_1681 = 
(((BgL_globalz00_bglt)CREF(BgL_globalz00_4))->BgL_importz00); 
BgL_test3285z00_909 = 
(BgL_auxz00_1681==BgL_auxz00_1683); } 
if(BgL_test3285z00_909)
{ /* ./Globalize/gloclo.scm 138 */
BgL_arg3274z00_904 = BGl_za2moduleza2z00zzmodule_modulez00; }  else 
{ /* ./Globalize/gloclo.scm 138 */
BgL_arg3274z00_904 = 
(((BgL_globalz00_bglt)CREF(BgL_globalz00_4))->BgL_modulez00); } } 
BgL_arg3275z00_905 = 
(((BgL_globalz00_bglt)CREF(BgL_globalz00_4))->BgL_importz00); 
BgL_arg3276z00_906 = 
CNST_TABLE_REF(((long)4)); 
BgL_arg3277z00_907 = 
CNST_TABLE_REF(((long)5)); 
BgL_glocloz00_885 = 
BGl_defzd2globalzd2sfunzd2nozd2warningz12z12zzast_glozd2defzd2(BgL_arg3270z00_901, BgL_arg3272z00_902, BgL_arg3273z00_903, BgL_arg3274z00_904, BgL_arg3275z00_905, BgL_arg3276z00_906, BgL_arg3277z00_907, BUNSPEC); } 
{ /* ./Globalize/gloclo.scm 135 */

{ /* ./Globalize/gloclo.scm 145 */
BgL_globalzf2ginfozf2_bglt BgL_obj3005z00_1404;obj_t BgL_val3004z00_1405;
BgL_obj3005z00_1404 = 
(BgL_globalzf2ginfozf2_bglt)(BgL_globalz00_4); 
BgL_val3004z00_1405 = 
(obj_t)(BgL_glocloz00_885); 
{ 
obj_t BgL_auxz00_1694;
{ /* ./Globalize/gloclo.scm 145 */
BgL_objectz00_bglt BgL_auxz00_1695;
BgL_auxz00_1695 = 
(BgL_objectz00_bglt)(BgL_obj3005z00_1404); 
BgL_auxz00_1694 = 
BGL_OBJECT_WIDENING(BgL_auxz00_1695); } 
((((BgL_globalzf2ginfozf2_bglt)CREF(BgL_auxz00_1694))->BgL_globalzd2closurezd2) = ((obj_t)BgL_val3004z00_1405), BUNSPEC); } } 
{ /* ./Globalize/gloclo.scm 148 */
bool_t BgL_test3223z00_886;
{ /* ./Globalize/gloclo.scm 148 */
BgL_valuez00_bglt BgL_arg3234z00_890;
{ /* ./Globalize/gloclo.scm 148 */
BgL_variablez00_bglt BgL_obj1100z00_1406;
BgL_obj1100z00_1406 = 
(BgL_variablez00_bglt)(BgL_globalz00_4); 
BgL_arg3234z00_890 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1100z00_1406))->BgL_valuez00); } 
{ /* ./Globalize/gloclo.scm 148 */
obj_t BgL_obj1425z00_1407;
BgL_obj1425z00_1407 = 
(obj_t)(BgL_arg3234z00_890); 
BgL_test3223z00_886 = 
BGl_iszd2azf3z21zz__objectz00(BgL_obj1425z00_1407, BGl_sfunz00zzast_varz00); } } 
if(BgL_test3223z00_886)
{ /* ./Globalize/gloclo.scm 149 */
BgL_valuez00_bglt BgL_arg3225z00_887;obj_t BgL_arg3226z00_888;
{ /* ./Globalize/gloclo.scm 149 */
BgL_variablez00_bglt BgL_obj1100z00_1408;
BgL_obj1100z00_1408 = 
(BgL_variablez00_bglt)(BgL_glocloz00_885); 
BgL_arg3225z00_887 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1100z00_1408))->BgL_valuez00); } 
{ /* ./Globalize/gloclo.scm 150 */
BgL_sfunz00_bglt BgL_obj1380z00_1410;
{ /* ./Globalize/gloclo.scm 150 */
BgL_valuez00_bglt BgL_auxz00_1706;
{ /* ./Globalize/gloclo.scm 150 */
BgL_variablez00_bglt BgL_obj1100z00_1409;
BgL_obj1100z00_1409 = 
(BgL_variablez00_bglt)(BgL_globalz00_4); 
BgL_auxz00_1706 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1100z00_1409))->BgL_valuez00); } 
BgL_obj1380z00_1410 = 
(BgL_sfunz00_bglt)(BgL_auxz00_1706); } 
BgL_arg3226z00_888 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1380z00_1410))->BgL_locz00); } 
{ /* ./Globalize/gloclo.scm 149 */
BgL_sfunz00_bglt BgL_obj1382z00_1411;obj_t BgL_val1381z00_1412;
BgL_obj1382z00_1411 = 
(BgL_sfunz00_bglt)(BgL_arg3225z00_887); 
BgL_val1381z00_1412 = BgL_arg3226z00_888; 
((((BgL_sfunz00_bglt)CREF(BgL_obj1382z00_1411))->BgL_locz00) = ((obj_t)BgL_val1381z00_1412), BUNSPEC); } }  else 
{ /* ./Globalize/gloclo.scm 148 */BFALSE; } } 
{ /* ./Globalize/gloclo.scm 160 */
bool_t BgL_test3237z00_891;
{ /* ./Globalize/gloclo.scm 160 */
obj_t BgL_auxz00_1715;obj_t BgL_auxz00_1713;
BgL_auxz00_1715 = 
CNST_TABLE_REF(((long)3)); 
BgL_auxz00_1713 = 
(((BgL_globalz00_bglt)CREF(BgL_globalz00_4))->BgL_importz00); 
BgL_test3237z00_891 = 
(BgL_auxz00_1713==BgL_auxz00_1715); } 
if(BgL_test3237z00_891)
{ /* ./Globalize/gloclo.scm 160 */
{ /* ./Globalize/gloclo.scm 162 */
obj_t BgL_auxz00_1719;
BgL_auxz00_1719 = 
(obj_t)(BgL_glocloz00_885); 
BGl_za2foreignzd2closuresza2zd2zzglobaliza7e_globalzd2closurez75 = 
MAKE_PAIR(BgL_auxz00_1719, BGl_za2foreignzd2closuresza2zd2zzglobaliza7e_globalzd2closurez75); } 
{ /* ./Globalize/gloclo.scm 163 */
BgL_variablez00_bglt BgL_obj1111z00_1414;obj_t BgL_val1110z00_1415;
BgL_obj1111z00_1414 = 
(BgL_variablez00_bglt)(BgL_glocloz00_885); 
BgL_val1110z00_1415 = 
CNST_TABLE_REF(((long)6)); 
((((BgL_variablez00_bglt)CREF(BgL_obj1111z00_1414))->BgL_removablez00) = ((obj_t)BgL_val1110z00_1415), BUNSPEC); } 
{ /* ./Globalize/gloclo.scm 164 */
BgL_globalz00_bglt BgL_obj1170z00_1416;obj_t BgL_val1169z00_1417;
BgL_obj1170z00_1416 = BgL_glocloz00_885; 
BgL_val1169z00_1417 = 
CNST_TABLE_REF(((long)7)); 
((((BgL_globalz00_bglt)CREF(BgL_obj1170z00_1416))->BgL_importz00) = ((obj_t)BgL_val1169z00_1417), BUNSPEC); } }  else 
{ /* ./Globalize/gloclo.scm 160 */
{ /* ./Globalize/gloclo.scm 166 */
bool_t BgL_test3241z00_892;
{ /* ./Globalize/gloclo.scm 166 */
obj_t BgL_auxz00_1729;obj_t BgL_auxz00_1727;
BgL_auxz00_1729 = 
CNST_TABLE_REF(((long)7)); 
BgL_auxz00_1727 = 
(((BgL_globalz00_bglt)CREF(BgL_globalz00_4))->BgL_importz00); 
BgL_test3241z00_892 = 
(BgL_auxz00_1727==BgL_auxz00_1729); } 
if(BgL_test3241z00_892)
{ /* ./Globalize/gloclo.scm 166 */BFALSE; }  else 
{ /* ./Globalize/gloclo.scm 167 */
BgL_variablez00_bglt BgL_obj1111z00_1419;obj_t BgL_val1110z00_1420;
BgL_obj1111z00_1419 = 
(BgL_variablez00_bglt)(BgL_glocloz00_885); 
BgL_val1110z00_1420 = 
CNST_TABLE_REF(((long)6)); 
((((BgL_variablez00_bglt)CREF(BgL_obj1111z00_1419))->BgL_removablez00) = ((obj_t)BgL_val1110z00_1420), BUNSPEC); } } 
{ /* ./Globalize/gloclo.scm 168 */
BgL_globalz00_bglt BgL_obj1170z00_1421;obj_t BgL_val1169z00_1422;
BgL_obj1170z00_1421 = BgL_glocloz00_885; 
BgL_val1169z00_1422 = 
CNST_TABLE_REF(((long)7)); 
((((BgL_globalz00_bglt)CREF(BgL_obj1170z00_1421))->BgL_importz00) = ((obj_t)BgL_val1169z00_1422), BUNSPEC); } } } 
{ /* ./Globalize/gloclo.scm 169 */
BgL_valuez00_bglt BgL_arg3257z00_897;obj_t BgL_arg3259z00_898;
{ /* ./Globalize/gloclo.scm 169 */
BgL_variablez00_bglt BgL_obj1100z00_1423;
BgL_obj1100z00_1423 = 
(BgL_variablez00_bglt)(BgL_glocloz00_885); 
BgL_arg3257z00_897 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1100z00_1423))->BgL_valuez00); } 
{ /* ./Globalize/gloclo.scm 170 */
BgL_funz00_bglt BgL_obj1302z00_1425;
{ /* ./Globalize/gloclo.scm 170 */
BgL_valuez00_bglt BgL_auxz00_1740;
{ /* ./Globalize/gloclo.scm 170 */
BgL_variablez00_bglt BgL_obj1100z00_1424;
BgL_obj1100z00_1424 = 
(BgL_variablez00_bglt)(BgL_globalz00_4); 
BgL_auxz00_1740 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1100z00_1424))->BgL_valuez00); } 
BgL_obj1302z00_1425 = 
(BgL_funz00_bglt)(BgL_auxz00_1740); } 
BgL_arg3259z00_898 = 
(((BgL_funz00_bglt)CREF(BgL_obj1302z00_1425))->BgL_sidezd2effectzf3z21); } 
{ /* ./Globalize/gloclo.scm 169 */
BgL_funz00_bglt BgL_obj1304z00_1426;obj_t BgL_val1303z00_1427;
BgL_obj1304z00_1426 = 
(BgL_funz00_bglt)(BgL_arg3257z00_897); 
BgL_val1303z00_1427 = BgL_arg3259z00_898; 
((((BgL_funz00_bglt)CREF(BgL_obj1304z00_1426))->BgL_sidezd2effectzf3z21) = ((obj_t)BgL_val1303z00_1427), BUNSPEC); } } 
{ /* ./Globalize/gloclo.scm 171 */
bool_t BgL_test3266z00_900;
{ /* ./Globalize/gloclo.scm 171 */
obj_t BgL_obj1240z00_1428;
BgL_obj1240z00_1428 = 
(obj_t)(BgL_glocloz00_885); 
BgL_test3266z00_900 = 
BGl_iszd2azf3z21zz__objectz00(BgL_obj1240z00_1428, BGl_globalz00zzast_varz00); } 
if(BgL_test3266z00_900)
{ /* ./Globalize/gloclo.scm 171 */
return 
(obj_t)(BgL_glocloz00_885);}  else 
{ /* ./Globalize/gloclo.scm 171 */
return 
BGl_internalzd2errorzd2zztools_errorz00(BGl_string3870z00zzglobaliza7e_globalzd2closurez75, BGl_string3871z00zzglobaliza7e_globalzd2closurez75, 
(obj_t)(BgL_glocloz00_885));} } } } } } } 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzglobaliza7e_globalzd2closurez75()
{ AN_OBJECT;
{ /* ./Globalize/gloclo.scm 15 */
return BUNSPEC;} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzglobaliza7e_globalzd2closurez75()
{ AN_OBJECT;
{ /* ./Globalize/gloclo.scm 15 */
BGl_modulezd2initializa7ationz75zztools_tracez00(((long)59211), "globalize_global-closure"); 
BGl_modulezd2initializa7ationz75zztools_shapez00(((long)30833), "globalize_global-closure"); 
BGl_modulezd2initializa7ationz75zztools_argsz00(((long)42726), "globalize_global-closure"); 
BGl_modulezd2initializa7ationz75zztools_errorz00(((long)25566), "globalize_global-closure"); 
BGl_modulezd2initializa7ationz75zzengine_paramz00(((long)14260), "globalize_global-closure"); 
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19090), "globalize_global-closure"); 
BGl_modulezd2initializa7ationz75zztype_cachez00(((long)25848), "globalize_global-closure"); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)44246), "globalize_global-closure"); 
BGl_modulezd2initializa7ationz75zzast_nodez00(((long)50868), "globalize_global-closure"); 
BGl_modulezd2initializa7ationz75zzast_sexpz00(((long)15705), "globalize_global-closure"); 
BGl_modulezd2initializa7ationz75zzast_localz00(((long)28959), "globalize_global-closure"); 
BGl_modulezd2initializa7ationz75zzast_glozd2defzd2(((long)4795), "globalize_global-closure"); 
BGl_modulezd2initializa7ationz75zzast_identz00(((long)51504), "globalize_global-closure"); 
BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long)8699), "globalize_global-closure"); 
BGl_modulezd2initializa7ationz75zzglobaliza7e_ginfoza7(((long)0), "globalize_global-closure"); 
BGl_modulezd2initializa7ationz75zzglobaliza7e_nodeza7(((long)60835), "globalize_global-closure"); 
return 
BGl_modulezd2initializa7ationz75zzglobaliza7e_freeza7(((long)30276), "globalize_global-closure");} 
}

