/*===========================================================================*/
/*   (Heap/restore.scm)                                                      */
/*   Bigloo (2.6b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Dec 15 12:14:36 CET 2003        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc-2.95 -lib-dir /users/serrano/prgm/project/bigloo/lib/2.6b -unsafev -no-hello -O2 -rm -unsafe -s -indent Heap/restore.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_effectz00;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_effectz00;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_effectz00;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;

typedef struct BgL_feffectz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_readz00;
   obj_t BgL_writez00;
} *BgL_feffectz00_bglt;


BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzheap_restorez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_passz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_enginez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzinit_mainz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzread_jvmz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__hashz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long, char *);
extern obj_t BGl_addzd2qualifiedzd2typez12z12zzread_jvmz00(obj_t, obj_t, obj_t);
static obj_t BGl_escape_2231z00zzheap_restorez00(obj_t, obj_t);
static obj_t BGl_handlerz00zzheap_restorez00(obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_za2heapzd2dumpzd2namesza2z00zzengine_paramz00;
static obj_t BGl_methodzd2initzd2zzheap_restorez00();
extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_findzd2filezf2pathz20zz__osz00(obj_t, obj_t);
static obj_t BGl_za2heapzd2markza2zd2zzheap_restorez00 = BUNSPEC;
BGL_IMPORT obj_t open_input_string(obj_t);
extern obj_t BGl_za2additionalzd2includezd2foreignza2z00zzengine_paramz00;
static obj_t BGl_zc3anonymousza31857ze3z83zzheap_restorez00(obj_t);
extern obj_t BGl_za2libzd2dirza2zd2zzengine_paramz00;
static obj_t BGl_zc3anonymousza31859ze3z83zzheap_restorez00(obj_t);
extern obj_t BGl_sfunz00zzast_varz00;
extern obj_t BGl_za2heapzd2nameza2zd2zzengine_paramz00;
extern obj_t BGl_setzd2genvz12zc0zzast_envz00(obj_t);
BGL_IMPORT obj_t BGl_dynamiczd2windzd2zz__r4_control_features_6_9z00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t bgl_reverse(obj_t);
extern obj_t BGl_findzd2globalzf2modulez20zzast_envz00(obj_t, obj_t);
static obj_t BGl_zc3exitza31849ze3z83zzheap_restorez00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_addzd2tenvz12zc0zztype_envz00(obj_t);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t);
static obj_t BGl_zc3anonymousza31863ze3z83zzheap_restorez00(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_restorezd2additionalzd2heapsz00zzheap_restorez00();
static obj_t BGl_dumpzd2heapzd2zzheap_restorez00(obj_t, obj_t, obj_t);
extern obj_t BGl_shapez00zztools_shapez00(obj_t);
static obj_t BGl_zc3anonymousza31866ze3z83zzheap_restorez00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_dumpzd2additionalzd2heapsz00zzheap_restorez00();
static obj_t BGl_zc3anonymousza31660ze3z83zzheap_restorez00(obj_t);
BGL_IMPORT obj_t BGl_unwindzd2untilz12zc0zz__bexitz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
static obj_t BGl_zc3anonymousza31662ze3z83zzheap_restorez00(obj_t);
BGL_IMPORT obj_t input_obj(obj_t);
BGL_EXPORTED_DECL obj_t BGl_restorezd2heapzd2zzheap_restorez00();
static obj_t BGl_zc3exitza31651ze3z83zzheap_restorez00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_modulezd2ze3qualifiedzd2typeze3zzread_jvmz00(obj_t);
extern obj_t BGl_cfunz00zzast_varz00;
extern obj_t BGl_forzd2eachzd2globalz12z12zzast_envz00(obj_t);
static obj_t BGl_unbindzd2callzf2ccz12z32zzheap_restorez00();
static obj_t BGl_zc3anonymousza31666ze3z83zzheap_restorez00(obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_za2targetzd2languageza2zd2zzengine_paramz00;
static obj_t BGl_zc3anonymousza31949ze3z83zzheap_restorez00(obj_t);
extern obj_t BGl_za2additionalzd2heapzd2namesza2z00zzengine_paramz00;
static obj_t BGl_zc3anonymousza31669ze3z83zzheap_restorez00(obj_t);
BGL_IMPORT obj_t BGl_putpropz12z12zz__r4_symbols_6_4z00(obj_t, obj_t, obj_t);
static obj_t BGl_za2heapzd2modulezd2listza2z00zzheap_restorez00 = BUNSPEC;
static obj_t BGl_escapez00zzheap_restorez00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_getpropz00zz__r4_symbols_6_4z00(obj_t, obj_t);
BGL_IMPORT obj_t display_string(obj_t, obj_t);
extern obj_t BGl_unbindzd2globalz12zc0zzast_envz00(obj_t, obj_t);
extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_removezd2errorzd2handlerz12z12zz__errorz00();
static obj_t BGl__restorezd2additionalzd2heapsz00zzheap_restorez00(obj_t);
static obj_t BGl_restorezd2additionalzd2heapz00zzheap_restorez00(obj_t);
static obj_t BGl_zc3anonymousza31886ze3z83zzheap_restorez00(obj_t, obj_t, obj_t);
static obj_t BGl_zc3anonymousza32060ze3z83zzheap_restorez00(obj_t, obj_t, obj_t);
static obj_t BGl_zc3anonymousza31960ze3z83zzheap_restorez00(obj_t, obj_t, obj_t);
static obj_t BGl__restorezd2heapzd2zzheap_restorez00(obj_t);
extern obj_t BGl_addzd2genvz12zc0zzast_envz00(obj_t);
static obj_t BGl_cnstzd2initzd2zzheap_restorez00();
extern obj_t BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00;
BGL_IMPORT obj_t bgl_append2(obj_t, obj_t);
BGL_IMPORT obj_t BGl_withzd2outputzd2tozd2portzd2zz__r4_ports_6_10_1z00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_displayzd22zd2zz__r4_output_6_10_3z00(obj_t, obj_t);
extern obj_t BGl_za2currentzd2passza2zd2zzengine_passz00;
static obj_t BGl__heapzd2modulezd2listz00zzheap_restorez00(obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zzheap_restorez00();
extern obj_t BGl_setzd2tenvz12zc0zztype_envz00(obj_t);
static obj_t BGl_requirezd2initializa7ationz75zzheap_restorez00 = BUNSPEC;
BGL_EXPORTED_DECL obj_t BGl_heapzd2modulezd2listz00zzheap_restorez00(obj_t);
static obj_t BGl__dumpzd2additionalzd2heapsz00zzheap_restorez00(obj_t);
BGL_IMPORT obj_t open_input_binary_file(obj_t);
static obj_t BGl_zc3anonymousza31694ze3z83zzheap_restorez00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_notifyzd2errorzd2zz__errorz00(obj_t, obj_t, obj_t);
static obj_t BGl_libraryzd2moduleszd2initz00zzheap_restorez00();
static obj_t BGl_handler_2235z00zzheap_restorez00(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_hashtablezd2forzd2eachz00zz__hashz00(obj_t, obj_t);
extern obj_t BGl_exitzd2bigloozd2zzinit_mainz00(obj_t);
BGL_IMPORT obj_t close_binary_port(obj_t);
BGL_IMPORT obj_t BGl_addzd2errorzd2handlerz12z12zz__errorz00(obj_t, obj_t);
static obj_t BGl_zc3anonymousza31709ze3z83zzheap_restorez00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_memberz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
extern obj_t BGl_za2callzf2cczf3za2z01zzengine_paramz00;
static obj_t BGl_toplevelzd2initzd2zzheap_restorez00();
BGL_IMPORT obj_t string_append_3(obj_t, obj_t, obj_t);
static obj_t __cnst[ 16 ] ;


DEFINE_EXPORT_PROCEDURE( BGl_dumpzd2additionalzd2heapszd2envzd2zzheap_restorez00, BgL_bgl__dumpza7d2additionalza7d2heapsza700za7za7heap_restoreza7002501z00, BGl__dumpzd2additionalzd2heapsz00zzheap_restorez00, 0L, 0 );
DEFINE_EXPORT_PROCEDURE( BGl_restorezd2heapzd2envz00zzheap_restorez00, BgL_bgl__restoreza7d2heapza7d2za7za7heap_restoreza7002502za7, BGl__restorezd2heapzd2zzheap_restorez00, 0L, 0 );
DEFINE_STRING( BGl_string2466z00zzheap_restorez00, BgL_bgl_string2466za700za7za7heap_restoreza7002503z00, "qualified-type module id variable native function name type call-with-current-continuation __r4_control_features_6_9 call/cc (jvm .net) .net jvm pass-started heap-mark ", 168 );
DEFINE_STRING( BGl_string2465z00zzheap_restorez00, BgL_bgl_string2465za700za7za7heap_restoreza7002504z00, "   ", 3 );
DEFINE_STRING( BGl_string2464z00zzheap_restorez00, BgL_bgl_string2464za700za7za7heap_restoreza7002505z00, " ))\n", 4 );
DEFINE_STRING( BGl_string2462z00zzheap_restorez00, BgL_bgl_string2462za700za7za7heap_restoreza7002506z00, " (types", 7 );
DEFINE_STRING( BGl_string2461z00zzheap_restorez00, BgL_bgl_string2461za700za7za7heap_restoreza7002507z00, " )\n", 3 );
DEFINE_STATIC_PROCEDURE( BGl_proc2453z00zzheap_restorez00, BgL_bgl_za7c3anonymousza7a31694za7e3za783za7za7heap_restoreza7002508za7, BGl_zc3anonymousza31694ze3z83zzheap_restorez00, 0L, 1 );
DEFINE_STRING( BGl_string2459z00zzheap_restorez00, BgL_bgl_string2459za700za7za7heap_restoreza7002509z00, " (variables", 11 );
DEFINE_STATIC_PROCEDURE( BGl_proc2454z00zzheap_restorez00, BgL_bgl_za7c3anonymousza7a31709za7e3za783za7za7heap_restoreza7002510za7, BGl_zc3anonymousza31709ze3z83zzheap_restorez00, 0L, 1 );
DEFINE_STRING( BGl_string2458z00zzheap_restorez00, BgL_bgl_string2458za700za7za7heap_restoreza7002511z00, "(heap heap", 10 );
DEFINE_STATIC_PROCEDURE( BGl_proc2457z00zzheap_restorez00, BgL_bgl_za7c3anonymousza7a31886za7e3za783za7za7heap_restoreza7002512za7, BGl_zc3anonymousza31886ze3z83zzheap_restorez00, 0L, 2 );
DEFINE_STRING( BGl_string2456z00zzheap_restorez00, BgL_bgl_string2456za700za7za7heap_restoreza7002513z00, "restore-additional-heap", 23 );
DEFINE_EXPORT_PROCEDURE( BGl_heapzd2modulezd2listzd2envzd2zzheap_restorez00, BgL_bgl__heapza7d2moduleza7d2listza700za7za7heap_restoreza7002514z00, va_generic_entry, BGl__heapzd2modulezd2listz00zzheap_restorez00, -1 );
DEFINE_STRING( BGl_string2455z00zzheap_restorez00, BgL_bgl_string2455za700za7za7heap_restoreza7002515z00, "Library", 7 );
DEFINE_STATIC_PROCEDURE( BGl_proc2460z00zzheap_restorez00, BgL_bgl_za7c3anonymousza7a31960za7e3za783za7za7heap_restoreza7002516za7, BGl_zc3anonymousza31960ze3z83zzheap_restorez00, 0L, 2 );
DEFINE_STRING( BGl_string2452z00zzheap_restorez00, BgL_bgl_string2452za700za7za7heap_restoreza7002517z00, "Target language mismatch", 24 );
DEFINE_STATIC_PROCEDURE( BGl_proc2463z00zzheap_restorez00, BgL_bgl_za7c3anonymousza7a32060za7e3za783za7za7heap_restoreza7002518za7, BGl_zc3anonymousza32060ze3z83zzheap_restorez00, 0L, 2 );
DEFINE_STRING( BGl_string2451z00zzheap_restorez00, BgL_bgl_string2451za700za7za7heap_restoreza7002519z00, "Corrupted heap", 14 );
DEFINE_STRING( BGl_string2450z00zzheap_restorez00, BgL_bgl_string2450za700za7za7heap_restoreza7002520z00, "restore-heap", 12 );
DEFINE_STRING( BGl_string2449z00zzheap_restorez00, BgL_bgl_string2449za700za7za7heap_restoreza7002521z00, "\"", 1 );
DEFINE_STRING( BGl_string2448z00zzheap_restorez00, BgL_bgl_string2448za700za7za7heap_restoreza7002522z00, "Cannot open heap file \"", 23 );
DEFINE_STRING( BGl_string2447z00zzheap_restorez00, BgL_bgl_string2447za700za7za7heap_restoreza7002523z00, "      [reading ", 15 );
DEFINE_STRING( BGl_string2446z00zzheap_restorez00, BgL_bgl_string2446za700za7za7heap_restoreza7002524z00, "]", 1 );
DEFINE_STRING( BGl_string2445z00zzheap_restorez00, BgL_bgl_string2445za700za7za7heap_restoreza7002525z00, "failure during prelude hook", 27 );
DEFINE_STRING( BGl_string2444z00zzheap_restorez00, BgL_bgl_string2444za700za7za7heap_restoreza7002526z00, "   . ", 5 );
DEFINE_STRING( BGl_string2443z00zzheap_restorez00, BgL_bgl_string2443za700za7za7heap_restoreza7002527z00, "Heap", 4 );
DEFINE_EXPORT_PROCEDURE( BGl_restorezd2additionalzd2heapszd2envzd2zzheap_restorez00, BgL_bgl__restoreza7d2additionalza7d2heapsza700za7za7heap_restoreza7002528z00, BGl__restorezd2additionalzd2heapsz00zzheap_restorez00, 0L, 0 );



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzheap_restorez00(long BgL_checksumz00_914, char * BgL_fromz00_915)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzheap_restorez00))
{ 
BGl_requirezd2initializa7ationz75zzheap_restorez00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzheap_restorez00(); 
BGl_cnstzd2initzd2zzheap_restorez00(); 
BGl_importedzd2moduleszd2initz00zzheap_restorez00(); 
BGl_toplevelzd2initzd2zzheap_restorez00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzheap_restorez00()
{ AN_OBJECT;
{ /* ./Heap/restore.scm 15 */
BGl_modulezd2initializa7ationz75zz__osz00(((long)0), "heap_restore"); 
BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long)0), "heap_restore"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "heap_restore"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "heap_restore"); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "heap_restore"); 
BGl_modulezd2initializa7ationz75zz__bexitz00(((long)0), "heap_restore"); 
BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long)0), "heap_restore"); 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)0), "heap_restore"); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long)0), "heap_restore"); 
BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)0), "heap_restore"); 
BGl_modulezd2initializa7ationz75zz__hashz00(((long)0), "heap_restore"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzheap_restorez00()
{ AN_OBJECT;
{ /* ./Heap/restore.scm 15 */
{ /* ./Heap/restore.scm 15 */
obj_t BgL_cportz00_907;
BgL_cportz00_907 = 
open_input_string(BGl_string2466z00zzheap_restorez00); 
{ 
long BgL_iz00_908;
BgL_iz00_908 = ((long)15); 
BgL_loopz00_909:
{ /* ./Heap/restore.scm 15 */
bool_t BgL_test2468z00_910;
BgL_test2468z00_910 = 
(BgL_iz00_908==((long)-1)); 
if(BgL_test2468z00_910)
{ /* ./Heap/restore.scm 15 */
return BUNSPEC;}  else 
{ /* ./Heap/restore.scm 15 */
{ /* ./Heap/restore.scm 15 */
obj_t BgL_arg2470z00_911;
{ /* ./Heap/restore.scm 15 */
obj_t BgL_list2473z00_912;
BgL_list2473z00_912 = 
MAKE_PAIR(BgL_cportz00_907, BNIL); 
BgL_arg2470z00_911 = 
BGl_readz00zz__readerz00(BgL_list2473z00_912); } 
{ /* ./Heap/restore.scm 15 */
int BgL_auxz00_939;
BgL_auxz00_939 = 
(int)(BgL_iz00_908); 
CNST_TABLE_SET(BgL_auxz00_939, BgL_arg2470z00_911); } } 
{ /* ./Heap/restore.scm 15 */
int BgL_auxz00_913;
{ /* ./Heap/restore.scm 15 */
long BgL_auxz00_942;
BgL_auxz00_942 = 
(BgL_iz00_908-((long)1)); 
BgL_auxz00_913 = 
(int)(BgL_auxz00_942); } 
{ 
long BgL_iz00_945;
BgL_iz00_945 = 
(long)(BgL_auxz00_913); 
BgL_iz00_908 = BgL_iz00_945; 
goto BgL_loopz00_909;} } } } } } } 
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zzheap_restorez00()
{ AN_OBJECT;
{ /* ./Heap/restore.scm 15 */
BGl_za2heapzd2modulezd2listza2z00zzheap_restorez00 = BNIL; 
return ( 
BGl_za2heapzd2markza2zd2zzheap_restorez00 = 
CNST_TABLE_REF(((long)0)), BUNSPEC) ;} 
}



/* restore-heap */
BGL_EXPORTED_DEF obj_t BGl_restorezd2heapzd2zzheap_restorez00()
{ AN_OBJECT;
{ /* ./Heap/restore.scm 35 */
{ /* ./Heap/restore.scm 36 */
bool_t BgL_test1592z00_278;
{ /* ./Heap/restore.scm 36 */
obj_t BgL_objz00_676;
BgL_objz00_676 = BGl_za2heapzd2nameza2zd2zzengine_paramz00; 
BgL_test1592z00_278 = 
STRINGP(BgL_objz00_676); } 
if(BgL_test1592z00_278)
{ /* ./Heap/restore.scm 36 */
{ /* ./Heap/restore.scm 38 */
obj_t BgL_list1594z00_279;
{ /* ./Heap/restore.scm 38 */
obj_t BgL_arg1597z00_281;
{ /* ./Heap/restore.scm 38 */
obj_t BgL_arg1601z00_283;
{ /* ./Heap/restore.scm 38 */
obj_t BgL_auxz00_950;
BgL_auxz00_950 = 
BCHAR(((unsigned char)'\n')); 
BgL_arg1601z00_283 = 
MAKE_PAIR(BgL_auxz00_950, BNIL); } 
BgL_arg1597z00_281 = 
MAKE_PAIR(BGl_string2443z00zzheap_restorez00, BgL_arg1601z00_283); } 
BgL_list1594z00_279 = 
MAKE_PAIR(BGl_string2444z00zzheap_restorez00, BgL_arg1597z00_281); } 
BGl_verbosez00zztools_speekz00(
BINT(((long)1)), BgL_list1594z00_279); } 
BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00 = 
BINT(((long)0)); 
BGl_za2currentzd2passza2zd2zzengine_passz00 = BGl_string2443z00zzheap_restorez00; 
{ 
obj_t BgL_hooksz00_284;obj_t BgL_hnamesz00_285;
{ /* ./Heap/restore.scm 38 */
obj_t BgL_arg1606z00_287;
BgL_arg1606z00_287 = BNIL; 
BgL_hooksz00_284 = BgL_arg1606z00_287; 
BgL_hnamesz00_285 = BNIL; 
BgL_loopz00_286:
{ /* ./Heap/restore.scm 38 */
bool_t BgL_test1611z00_290;
BgL_test1611z00_290 = 
NULLP(BgL_hooksz00_284); 
if(BgL_test1611z00_290)
{ /* ./Heap/restore.scm 38 */
CNST_TABLE_REF(((long)1)); }  else 
{ /* ./Heap/restore.scm 38 */
bool_t BgL_test1612z00_291;
{ /* ./Heap/restore.scm 38 */
obj_t BgL_fun1627z00_297;
BgL_fun1627z00_297 = 
CAR(BgL_hooksz00_284); 
{ /* ./Heap/restore.scm 38 */
obj_t BgL_auxz00_962;
BgL_auxz00_962 = 
PROCEDURE_ENTRY(BgL_fun1627z00_297)(BgL_fun1627z00_297, BEOA); 
BgL_test1612z00_291 = 
CBOOL(BgL_auxz00_962); } } 
if(BgL_test1612z00_291)
{ /* ./Heap/restore.scm 38 */
{ /* ./Heap/restore.scm 38 */
obj_t BgL_arg1614z00_292;obj_t BgL_arg1615z00_293;
BgL_arg1614z00_292 = 
CDR(BgL_hooksz00_284); 
BgL_arg1615z00_293 = 
CDR(BgL_hnamesz00_285); 
{ 
obj_t BgL_hnamesz00_970;obj_t BgL_hooksz00_969;
BgL_hooksz00_969 = BgL_arg1614z00_292; 
BgL_hnamesz00_970 = BgL_arg1615z00_293; 
BgL_hnamesz00_285 = BgL_hnamesz00_970; 
BgL_hooksz00_284 = BgL_hooksz00_969; 
goto BgL_loopz00_286;} } }  else 
{ /* ./Heap/restore.scm 38 */
{ /* ./Heap/restore.scm 38 */
obj_t BgL_arg1622z00_296;
BgL_arg1622z00_296 = 
CAR(BgL_hnamesz00_285); 
BGl_internalzd2errorzd2zztools_errorz00(BGl_string2443z00zzheap_restorez00, BGl_string2445z00zzheap_restorez00, BgL_arg1622z00_296); } } } } } } 
{ /* ./Heap/restore.scm 39 */
obj_t BgL_fnamez00_298;
BgL_fnamez00_298 = 
BGl_findzd2filezf2pathz20zz__osz00(BGl_za2heapzd2nameza2zd2zzengine_paramz00, BGl_za2libzd2dirza2zd2zzengine_paramz00); 
{ /* ./Heap/restore.scm 40 */
bool_t BgL_test1630z00_299;
BgL_test1630z00_299 = 
STRINGP(BgL_fnamez00_298); 
if(BgL_test1630z00_299)
{ /* ./Heap/restore.scm 41 */
obj_t BgL_portz00_300;
BgL_portz00_300 = 
open_input_binary_file(BgL_fnamez00_298); 
{ /* ./Heap/restore.scm 43 */
obj_t BgL_handlerz00_805;
{ 
int BgL_auxz00_979;int BgL_auxz00_977;
BgL_auxz00_979 = 
(int)(((long)1)); 
BgL_auxz00_977 = 
(int)(((long)4)); 
BgL_handlerz00_805 = 
make_fx_procedure(BGl_handlerz00zzheap_restorez00, BgL_auxz00_977, BgL_auxz00_979); } 
{ /* ./Heap/restore.scm 43 */
int BgL_auxz00_982;
BgL_auxz00_982 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_handlerz00_805, BgL_auxz00_982, BgL_portz00_300); } 
{ /* ./Heap/restore.scm 42 */

{ /* ./Heap/restore.scm 46 */
bool_t BgL_test1631z00_302;
BgL_test1631z00_302 = 
BINARY_PORTP(BgL_portz00_300); 
if(BgL_test1631z00_302)
{ /* ./Heap/restore.scm 46 */
{ /* ./Heap/restore.scm 54 */
obj_t BgL_list1633z00_303;
{ /* ./Heap/restore.scm 54 */
obj_t BgL_arg1636z00_305;
{ /* ./Heap/restore.scm 54 */
obj_t BgL_arg1641z00_306;
{ /* ./Heap/restore.scm 54 */
obj_t BgL_arg1648z00_308;
{ /* ./Heap/restore.scm 54 */
obj_t BgL_auxz00_987;
BgL_auxz00_987 = 
BCHAR(((unsigned char)'\n')); 
BgL_arg1648z00_308 = 
MAKE_PAIR(BgL_auxz00_987, BNIL); } 
BgL_arg1641z00_306 = 
MAKE_PAIR(BGl_string2446z00zzheap_restorez00, BgL_arg1648z00_308); } 
BgL_arg1636z00_305 = 
MAKE_PAIR(BgL_fnamez00_298, BgL_arg1641z00_306); } 
BgL_list1633z00_303 = 
MAKE_PAIR(BGl_string2447z00zzheap_restorez00, BgL_arg1636z00_305); } 
BGl_verbosez00zztools_speekz00(
BINT(((long)2)), BgL_list1633z00_303); } 
{ /* ./Heap/restore.scm 57 */
obj_t BgL_armed1563z00_309;obj_t BgL_handler1560z00_310;
BgL_armed1563z00_309 = 
MAKE_CELL(BUNSPEC); 
BgL_handler1560z00_310 = 
MAKE_CELL(BUNSPEC); 
{ /* ./Heap/restore.scm 57 */
obj_t BgL_zc3anonymousza31669ze3z83_801;obj_t BgL_zc3anonymousza31666ze3z83_803;
{ 
int BgL_auxz00_997;int BgL_auxz00_995;
BgL_auxz00_997 = 
(int)(((long)1)); 
BgL_auxz00_995 = 
(int)(((long)0)); 
BgL_zc3anonymousza31669ze3z83_801 = 
make_fx_procedure(BGl_zc3anonymousza31669ze3z83zzheap_restorez00, BgL_auxz00_995, BgL_auxz00_997); } 
{ 
int BgL_auxz00_1002;int BgL_auxz00_1000;
BgL_auxz00_1002 = 
(int)(((long)2)); 
BgL_auxz00_1000 = 
(int)(((long)4)); 
BgL_zc3anonymousza31666ze3z83_803 = 
make_fx_procedure(BGl_zc3anonymousza31666ze3z83zzheap_restorez00, BgL_auxz00_1000, BgL_auxz00_1002); } 
{ /* ./Heap/restore.scm 57 */
int BgL_auxz00_1005;
BgL_auxz00_1005 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza31669ze3z83_801, BgL_auxz00_1005, BgL_portz00_300); } 
{ /* ./Heap/restore.scm 57 */
int BgL_auxz00_1008;
BgL_auxz00_1008 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza31666ze3z83_803, BgL_auxz00_1008, BgL_armed1563z00_309); } 
{ /* ./Heap/restore.scm 57 */
int BgL_auxz00_1011;
BgL_auxz00_1011 = 
(int)(((long)1)); 
PROCEDURE_SET(BgL_zc3anonymousza31666ze3z83_803, BgL_auxz00_1011, BgL_handler1560z00_310); } 
CELL_SET(BgL_handler1560z00_310, BgL_handlerz00_805); 
CELL_SET(BgL_armed1563z00_309, BTRUE); 
return 
BGl_zc3exitza31651ze3z83zzheap_restorez00(BgL_zc3anonymousza31669ze3z83_801, BgL_zc3anonymousza31666ze3z83_803, BgL_handler1560z00_310, BgL_armed1563z00_309);} } }  else 
{ /* ./Heap/restore.scm 46 */
{ /* ./Heap/restore.scm 48 */
obj_t BgL_arg1735z00_367;
BgL_arg1735z00_367 = 
string_append_3(BGl_string2448z00zzheap_restorez00, BgL_fnamez00_298, BGl_string2449z00zzheap_restorez00); 
{ /* ./Heap/restore.scm 48 */
obj_t BgL_objectz00_712;
BgL_objectz00_712 = BGl_za2libzd2dirza2zd2zzengine_paramz00; 
FAILURE(BGl_string2450z00zzheap_restorez00,BgL_arg1735z00_367,BgL_objectz00_712);} } 
return 
BGl_exitzd2bigloozd2zzinit_mainz00(
BINT(((long)5)));} } } } }  else 
{ /* ./Heap/restore.scm 40 */
{ /* ./Heap/restore.scm 102 */
obj_t BgL_arg1749z00_375;
BgL_arg1749z00_375 = 
string_append_3(BGl_string2448z00zzheap_restorez00, BGl_za2heapzd2nameza2zd2zzengine_paramz00, BGl_string2449z00zzheap_restorez00); 
{ /* ./Heap/restore.scm 102 */
obj_t BgL_objectz00_716;
BgL_objectz00_716 = BGl_za2libzd2dirza2zd2zzengine_paramz00; 
FAILURE(BGl_string2450z00zzheap_restorez00,BgL_arg1749z00_375,BgL_objectz00_716);} } 
return 
BGl_exitzd2bigloozd2zzinit_mainz00(
BINT(((long)5)));} } } }  else 
{ /* ./Heap/restore.scm 36 */
return BFALSE;} } } 
}



/* <exit:1651> */
obj_t BGl_zc3exitza31651ze3z83zzheap_restorez00(obj_t BgL_zc3anonymousza31669ze3z83_905, obj_t BgL_zc3anonymousza31666ze3z83_904, obj_t BgL_handler1560z00_903, obj_t BgL_armed1563z00_902)
{ AN_OBJECT;
{ /* ./Heap/restore.scm 57 */
jmp_buf jmpbuf; 
obj_t BgL_an_exit1564z00_314;
if( SET_EXIT(BgL_an_exit1564z00_314) ) { 
return 
_exit_value_;
} else {
BgL_an_exit1564z00_314 = 
(obj_t)jmpbuf; 
{ /* ./Heap/restore.scm 57 */

PUSH_EXIT(BgL_an_exit1564z00_314, ((bool_t)1)); 
{ /* ./Heap/restore.scm 57 */
obj_t BgL_an_exitd1565z00_315;
BgL_an_exitd1565z00_315 = 
BGL_EXITD_TOP(); 
{ /* ./Heap/restore.scm 57 */
obj_t BgL_escapez00_802;
{ 
int BgL_auxz00_1029;int BgL_auxz00_1027;
BgL_auxz00_1029 = 
(int)(((long)1)); 
BgL_auxz00_1027 = 
(int)(((long)1)); 
BgL_escapez00_802 = 
make_fx_procedure(BGl_escapez00zzheap_restorez00, BgL_auxz00_1027, BgL_auxz00_1029); } 
{ /* ./Heap/restore.scm 57 */
int BgL_auxz00_1032;
BgL_auxz00_1032 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_escapez00_802, BgL_auxz00_1032, BgL_an_exitd1565z00_315); } 
{ /* ./Heap/restore.scm 57 */
obj_t BgL_res1567z00_318;
{ /* ./Heap/restore.scm 57 */
obj_t BgL_zc3anonymousza31662ze3z83_798;obj_t BgL_zc3anonymousza31660ze3z83_804;
{ 
int BgL_auxz00_1037;int BgL_auxz00_1035;
BgL_auxz00_1037 = 
(int)(((long)1)); 
BgL_auxz00_1035 = 
(int)(((long)0)); 
BgL_zc3anonymousza31662ze3z83_798 = 
make_fx_procedure(BGl_zc3anonymousza31662ze3z83zzheap_restorez00, BgL_auxz00_1035, BgL_auxz00_1037); } 
{ 
int BgL_auxz00_1042;int BgL_auxz00_1040;
BgL_auxz00_1042 = 
(int)(((long)5)); 
BgL_auxz00_1040 = 
(int)(((long)0)); 
BgL_zc3anonymousza31660ze3z83_804 = 
make_fx_procedure(BGl_zc3anonymousza31660ze3z83zzheap_restorez00, BgL_auxz00_1040, BgL_auxz00_1042); } 
{ /* ./Heap/restore.scm 57 */
int BgL_auxz00_1045;
BgL_auxz00_1045 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza31662ze3z83_798, BgL_auxz00_1045, BgL_armed1563z00_902); } 
{ /* ./Heap/restore.scm 57 */
int BgL_auxz00_1048;
BgL_auxz00_1048 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza31660ze3z83_804, BgL_auxz00_1048, BgL_an_exitd1565z00_315); } 
{ /* ./Heap/restore.scm 57 */
int BgL_auxz00_1051;
BgL_auxz00_1051 = 
(int)(((long)1)); 
PROCEDURE_SET(BgL_zc3anonymousza31660ze3z83_804, BgL_auxz00_1051, BgL_armed1563z00_902); } 
{ /* ./Heap/restore.scm 57 */
int BgL_auxz00_1054;
BgL_auxz00_1054 = 
(int)(((long)2)); 
PROCEDURE_SET(BgL_zc3anonymousza31660ze3z83_804, BgL_auxz00_1054, BgL_handler1560z00_903); } 
{ /* ./Heap/restore.scm 57 */
int BgL_auxz00_1057;
BgL_auxz00_1057 = 
(int)(((long)3)); 
PROCEDURE_SET(BgL_zc3anonymousza31660ze3z83_804, BgL_auxz00_1057, BgL_zc3anonymousza31666ze3z83_904); } 
{ /* ./Heap/restore.scm 57 */
int BgL_auxz00_1060;
BgL_auxz00_1060 = 
(int)(((long)4)); 
PROCEDURE_SET(BgL_zc3anonymousza31660ze3z83_804, BgL_auxz00_1060, BgL_escapez00_802); } 
BgL_res1567z00_318 = 
BGl_dynamiczd2windzd2zz__r4_control_features_6_9z00(BgL_zc3anonymousza31660ze3z83_804, BgL_zc3anonymousza31669ze3z83_905, BgL_zc3anonymousza31662ze3z83_798); } 
POP_EXIT(); 
return BgL_res1567z00_318;} } } } 
} } 
}



/* _restore-heap */
obj_t BGl__restorezd2heapzd2zzheap_restorez00(obj_t BgL_envz00_806)
{ AN_OBJECT;
{ /* ./Heap/restore.scm 35 */
return 
BGl_restorezd2heapzd2zzheap_restorez00();} 
}



/* <anonymous:1662> */
obj_t BGl_zc3anonymousza31662ze3z83zzheap_restorez00(obj_t BgL_envz00_807)
{ AN_OBJECT;
{ /* ./Heap/restore.scm 57 */
{ /* ./Heap/restore.scm 57 */
obj_t BgL_armed1563z00_808;
{ /* ./Heap/restore.scm 57 */
int BgL_auxz00_1066;
BgL_auxz00_1066 = 
(int)(((long)0)); 
BgL_armed1563z00_808 = 
PROCEDURE_REF(BgL_envz00_807, BgL_auxz00_1066); } 
{ 

{ /* ./Heap/restore.scm 57 */
bool_t BgL_testz00_1069;
{ /* ./Heap/restore.scm 57 */
obj_t BgL_auxz00_1070;
BgL_auxz00_1070 = 
CELL_REF(BgL_armed1563z00_808); 
BgL_testz00_1069 = 
CBOOL(BgL_auxz00_1070); } 
if(BgL_testz00_1069)
{ /* ./Heap/restore.scm 57 */
CELL_SET(BgL_armed1563z00_808, BFALSE); 
return 
BGl_removezd2errorzd2handlerz12z12zz__errorz00();}  else 
{ /* ./Heap/restore.scm 57 */
return BFALSE;} } } } } 
}



/* <anonymous:1669> */
obj_t BGl_zc3anonymousza31669ze3z83zzheap_restorez00(obj_t BgL_envz00_810)
{ AN_OBJECT;
{ /* ./Heap/restore.scm 57 */
{ /* ./Heap/restore.scm 57 */
obj_t BgL_portz00_811;
{ /* ./Heap/restore.scm 57 */
int BgL_auxz00_1073;
BgL_auxz00_1073 = 
(int)(((long)0)); 
BgL_portz00_811 = 
PROCEDURE_REF(BgL_envz00_810, BgL_auxz00_1073); } 
{ 

{ /* ./Heap/restore.scm 57 */
bool_t BgL_auxz00_1076;
{ /* ./Heap/restore.scm 57 */
obj_t BgL_envsz00_331;
BgL_envsz00_331 = 
input_obj(BgL_portz00_811); 
{ /* ./Heap/restore.scm 57 */
obj_t BgL_dummyz00_332;
{ /* ./Heap/restore.scm 58 */
bool_t BgL_test1723z00_360;
{ /* ./Heap/restore.scm 58 */
bool_t BgL_test1725z00_361;
BgL_test1725z00_361 = 
VECTORP(BgL_envsz00_331); 
if(BgL_test1725z00_361)
{ /* ./Heap/restore.scm 59 */
int BgL_arg1727z00_362;
BgL_arg1727z00_362 = 
VECTOR_LENGTH(BgL_envsz00_331); 
{ /* ./Heap/restore.scm 59 */
long BgL_auxz00_1081;
BgL_auxz00_1081 = 
(long)(BgL_arg1727z00_362); 
BgL_test1723z00_360 = 
(BgL_auxz00_1081==((long)3)); } }  else 
{ /* ./Heap/restore.scm 58 */
BgL_test1723z00_360 = ((bool_t)0); } } 
if(BgL_test1723z00_360)
{ /* ./Heap/restore.scm 58 */
BgL_dummyz00_332 = BFALSE; }  else 
{ /* ./Heap/restore.scm 60 */
obj_t BgL_procz00_692;
BgL_procz00_692 = BGl_za2heapzd2nameza2zd2zzengine_paramz00; 
FAILURE(BgL_procz00_692,BGl_string2451z00zzheap_restorez00,BgL_envsz00_331);} } 
{ /* ./Heap/restore.scm 58 */
obj_t BgL_targetz00_333;
{ /* ./Heap/restore.scm 63 */
int BgL_kz00_696;
BgL_kz00_696 = 
(int)(((long)0)); 
BgL_targetz00_333 = 
VECTOR_REF(BgL_envsz00_331,BgL_kz00_696); } 
{ /* ./Heap/restore.scm 63 */
obj_t BgL_genvz00_334;
{ /* ./Heap/restore.scm 64 */
int BgL_kz00_698;
BgL_kz00_698 = 
(int)(((long)1)); 
BgL_genvz00_334 = 
VECTOR_REF(BgL_envsz00_331,BgL_kz00_698); } 
{ /* ./Heap/restore.scm 64 */
obj_t BgL_tenvz00_335;
{ /* ./Heap/restore.scm 65 */
int BgL_kz00_700;
BgL_kz00_700 = 
(int)(((long)2)); 
BgL_tenvz00_335 = 
VECTOR_REF(BgL_envsz00_331,BgL_kz00_700); } 
{ /* ./Heap/restore.scm 65 */

{ /* ./Heap/restore.scm 67 */
bool_t BgL_test1670z00_336;
{ /* ./Heap/restore.scm 67 */
bool_t BgL_test1677z00_339;
BgL_test1677z00_339 = 
(BgL_targetz00_333==BGl_za2targetzd2languageza2zd2zzengine_paramz00); 
if(BgL_test1677z00_339)
{ /* ./Heap/restore.scm 67 */
BgL_test1670z00_336 = ((bool_t)0); }  else 
{ /* ./Heap/restore.scm 68 */
bool_t BgL_test1678z00_340;
{ /* ./Heap/restore.scm 68 */
bool_t BgL_test1679z00_341;
{ /* ./Heap/restore.scm 68 */
obj_t BgL_auxz00_1094;
BgL_auxz00_1094 = 
CNST_TABLE_REF(((long)2)); 
BgL_test1679z00_341 = 
(BgL_targetz00_333==BgL_auxz00_1094); } 
if(BgL_test1679z00_341)
{ /* ./Heap/restore.scm 69 */
obj_t BgL_auxz00_1098;
BgL_auxz00_1098 = 
CNST_TABLE_REF(((long)3)); 
BgL_test1678z00_340 = 
(BGl_za2targetzd2languageza2zd2zzengine_paramz00==BgL_auxz00_1098); }  else 
{ /* ./Heap/restore.scm 68 */
BgL_test1678z00_340 = ((bool_t)0); } } 
if(BgL_test1678z00_340)
{ /* ./Heap/restore.scm 68 */
BgL_test1670z00_336 = ((bool_t)0); }  else 
{ /* ./Heap/restore.scm 68 */
BgL_test1670z00_336 = ((bool_t)1); } } } 
if(BgL_test1670z00_336)
{ /* ./Heap/restore.scm 70 */
obj_t BgL_arg1674z00_338;
BgL_arg1674z00_338 = 
MAKE_PAIR(BgL_targetz00_333, BGl_za2targetzd2languageza2zd2zzengine_paramz00); 
{ /* ./Heap/restore.scm 70 */
obj_t BgL_procz00_701;
BgL_procz00_701 = BGl_za2heapzd2nameza2zd2zzengine_paramz00; 
FAILURE(BgL_procz00_701,BGl_string2452z00zzheap_restorez00,BgL_arg1674z00_338);} }  else 
{ /* ./Heap/restore.scm 67 */((bool_t)0); } } 
close_binary_port(BgL_portz00_811); 
BGl_setzd2genvz12zc0zzast_envz00(BgL_genvz00_334); 
BGl_setzd2tenvz12zc0zztype_envz00(BgL_tenvz00_335); 
{ /* ./Heap/restore.scm 79 */
bool_t BgL_test1686z00_342;
if(
CBOOL(BGl_za2callzf2cczf3za2z01zzengine_paramz00))
{ /* ./Heap/restore.scm 79 */
BgL_test1686z00_342 = ((bool_t)0); }  else 
{ /* ./Heap/restore.scm 80 */
bool_t BgL_test1688z00_343;
{ /* ./Heap/restore.scm 80 */
obj_t BgL_auxz00_1110;
BgL_auxz00_1110 = 
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BGl_za2targetzd2languageza2zd2zzengine_paramz00, 
CNST_TABLE_REF(((long)4))); 
BgL_test1688z00_343 = 
CBOOL(BgL_auxz00_1110); } 
if(BgL_test1688z00_343)
{ /* ./Heap/restore.scm 80 */
BgL_test1686z00_342 = ((bool_t)0); }  else 
{ /* ./Heap/restore.scm 80 */
BgL_test1686z00_342 = ((bool_t)1); } } 
if(BgL_test1686z00_342)
{ /* ./Heap/restore.scm 79 */
BGl_unbindzd2callzf2ccz12z32zzheap_restorez00(); }  else 
{ /* ./Heap/restore.scm 79 */BFALSE; } } 
{ /* ./Heap/restore.scm 84 */
bool_t BgL_test1690z00_344;
{ /* ./Heap/restore.scm 84 */
obj_t BgL_auxz00_1117;
BgL_auxz00_1117 = 
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BGl_za2targetzd2languageza2zd2zzengine_paramz00, 
CNST_TABLE_REF(((long)4))); 
BgL_test1690z00_344 = 
CBOOL(BgL_auxz00_1117); } 
if(BgL_test1690z00_344)
{ /* ./Heap/restore.scm 84 */
BGl_forzd2eachzd2globalz12z12zzast_envz00(BGl_proc2453z00zzheap_restorez00); }  else 
{ /* ./Heap/restore.scm 84 */BFALSE; } } 
BGl_forzd2eachzd2globalz12z12zzast_envz00(BGl_proc2454z00zzheap_restorez00); 
{ /* ./Heap/restore.scm 97 */
bool_t BgL_test1716z00_359;
{ /* ./Heap/restore.scm 97 */
obj_t BgL_auxz00_1124;
BgL_auxz00_1124 = 
BGl_memberz00zz__r4_pairs_and_lists_6_3z00(BGl_za2heapzd2nameza2zd2zzengine_paramz00, BGl_za2heapzd2dumpzd2namesza2z00zzengine_paramz00); 
BgL_test1716z00_359 = 
CBOOL(BgL_auxz00_1124); } 
if(BgL_test1716z00_359)
{ /* ./Heap/restore.scm 97 */
BGl_dumpzd2heapzd2zzheap_restorez00(BGl_za2heapzd2nameza2zd2zzengine_paramz00, BgL_genvz00_334, BgL_tenvz00_335); }  else 
{ /* ./Heap/restore.scm 97 */BFALSE; } } 
BgL_auxz00_1076 = ((bool_t)1); } } } } } } 
return 
BBOOL(BgL_auxz00_1076);} } } } 
}



/* <anonymous:1660> */
obj_t BGl_zc3anonymousza31660ze3z83zzheap_restorez00(obj_t BgL_envz00_812)
{ AN_OBJECT;
{ /* ./Heap/restore.scm 57 */
{ /* ./Heap/restore.scm 57 */
obj_t BgL_zc3anonymousza31666ze3z83_816;obj_t BgL_escapez00_817;
{ /* ./Heap/restore.scm 57 */
int BgL_auxz00_1130;
BgL_auxz00_1130 = 
(int)(((long)3)); 
BgL_zc3anonymousza31666ze3z83_816 = 
PROCEDURE_REF(BgL_envz00_812, BgL_auxz00_1130); } 
{ /* ./Heap/restore.scm 57 */
int BgL_auxz00_1133;
BgL_auxz00_1133 = 
(int)(((long)4)); 
BgL_escapez00_817 = 
PROCEDURE_REF(BgL_envz00_812, BgL_auxz00_1133); } 
{ 

return 
BGl_addzd2errorzd2handlerz12z12zz__errorz00(BgL_zc3anonymousza31666ze3z83_816, BgL_escapez00_817);} } } 
}



/* escape */
obj_t BGl_escapez00zzheap_restorez00(obj_t BgL_envz00_818, obj_t BgL_val1566z00_820)
{ AN_OBJECT;
{ /* ./Heap/restore.scm 57 */
{ /* ./Heap/restore.scm 57 */
obj_t BgL_an_exitd1565z00_819;
{ /* ./Heap/restore.scm 57 */
int BgL_auxz00_1137;
BgL_auxz00_1137 = 
(int)(((long)0)); 
BgL_an_exitd1565z00_819 = 
PROCEDURE_REF(BgL_envz00_818, BgL_auxz00_1137); } 
{ 
obj_t BgL_val1566z00_316;
BgL_val1566z00_316 = BgL_val1566z00_820; 
return 
BGl_unwindzd2untilz12zc0zz__bexitz00(BgL_an_exitd1565z00_819, BgL_val1566z00_316);} } } 
}



/* <anonymous:1666> */
obj_t BGl_zc3anonymousza31666ze3z83zzheap_restorez00(obj_t BgL_envz00_821, obj_t BgL_escz00_824, obj_t BgL_objz00_825, obj_t BgL_procz00_826, obj_t BgL_msgz00_827)
{ AN_OBJECT;
{ /* ./Heap/restore.scm 57 */
{ /* ./Heap/restore.scm 57 */
obj_t BgL_armed1563z00_822;obj_t BgL_handler1560z00_823;
{ /* ./Heap/restore.scm 57 */
int BgL_auxz00_1141;
BgL_auxz00_1141 = 
(int)(((long)0)); 
BgL_armed1563z00_822 = 
PROCEDURE_REF(BgL_envz00_821, BgL_auxz00_1141); } 
{ /* ./Heap/restore.scm 57 */
int BgL_auxz00_1144;
BgL_auxz00_1144 = 
(int)(((long)1)); 
BgL_handler1560z00_823 = 
PROCEDURE_REF(BgL_envz00_821, BgL_auxz00_1144); } 
{ 
obj_t BgL_escz00_325;obj_t BgL_objz00_326;obj_t BgL_procz00_327;obj_t BgL_msgz00_328;
BgL_escz00_325 = BgL_escz00_824; 
BgL_objz00_326 = BgL_objz00_825; 
BgL_procz00_327 = BgL_procz00_826; 
BgL_msgz00_328 = BgL_msgz00_827; 
CELL_SET(BgL_armed1563z00_822, BFALSE); 
BGl_removezd2errorzd2handlerz12z12zz__errorz00(); 
{ /* ./Heap/restore.scm 57 */
obj_t BgL_auxz00_1149;
BgL_auxz00_1149 = 
CELL_REF(BgL_handler1560z00_823); 
return 
PROCEDURE_ENTRY(BgL_auxz00_1149)(
CELL_REF(BgL_handler1560z00_823), BgL_escz00_325, BgL_objz00_326, BgL_procz00_327, BgL_msgz00_328, BEOA);} } } } 
}



/* handler */
obj_t BGl_handlerz00zzheap_restorez00(obj_t BgL_envz00_829, obj_t BgL_escapez00_831, obj_t BgL_procz00_832, obj_t BgL_mesz00_833, obj_t BgL_objz00_834)
{ AN_OBJECT;
{ /* ./Heap/restore.scm 42 */
{ /* ./Heap/restore.scm 43 */
obj_t BgL_portz00_830;
{ /* ./Heap/restore.scm 43 */
int BgL_auxz00_1150;
BgL_auxz00_1150 = 
(int)(((long)0)); 
BgL_portz00_830 = 
PROCEDURE_REF(BgL_envz00_829, BgL_auxz00_1150); } 
{ 
obj_t BgL_escapez00_368;obj_t BgL_procz00_369;obj_t BgL_mesz00_370;obj_t BgL_objz00_371;
BgL_escapez00_368 = BgL_escapez00_831; 
BgL_procz00_369 = BgL_procz00_832; 
BgL_mesz00_370 = BgL_mesz00_833; 
BgL_objz00_371 = BgL_objz00_834; 
BGl_notifyzd2errorzd2zz__errorz00(BgL_procz00_369, BgL_mesz00_370, BgL_objz00_371); 
close_binary_port(BgL_portz00_830); 
return 
BGl_exitzd2bigloozd2zzinit_mainz00(
BINT(((long)5)));} } } 
}



/* <anonymous:1709> */
obj_t BGl_zc3anonymousza31709ze3z83zzheap_restorez00(obj_t BgL_envz00_835, obj_t BgL_newz00_836)
{ AN_OBJECT;
{ /* ./Heap/restore.scm 93 */
{ 
obj_t BgL_newz00_354;
BgL_newz00_354 = BgL_newz00_836; 
{ /* ./Heap/restore.scm 94 */
obj_t BgL_arg1711z00_707;
{ /* ./Heap/restore.scm 94 */
BgL_globalz00_bglt BgL_obj1165z00_709;
BgL_obj1165z00_709 = 
(BgL_globalz00_bglt)(BgL_newz00_354); 
BgL_arg1711z00_707 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1165z00_709))->BgL_modulez00); } 
{ /* ./Heap/restore.scm 94 */
obj_t BgL_list1713z00_708;
BgL_list1713z00_708 = 
MAKE_PAIR(BgL_arg1711z00_707, BNIL); 
return 
BGl_heapzd2modulezd2listz00zzheap_restorez00(BgL_list1713z00_708);} } } } 
}



/* <anonymous:1694> */
obj_t BGl_zc3anonymousza31694ze3z83zzheap_restorez00(obj_t BgL_envz00_837, obj_t BgL_newz00_838)
{ AN_OBJECT;
{ /* ./Heap/restore.scm 86 */
{ 
obj_t BgL_newz00_346;
BgL_newz00_346 = BgL_newz00_838; 
{ /* ./Heap/restore.scm 88 */
obj_t BgL_arg1696z00_348;obj_t BgL_arg1697z00_349;obj_t BgL_arg1698z00_350;
{ /* ./Heap/restore.scm 88 */
BgL_globalz00_bglt BgL_obj1165z00_705;
BgL_obj1165z00_705 = 
(BgL_globalz00_bglt)(BgL_newz00_346); 
BgL_arg1696z00_348 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1165z00_705))->BgL_modulez00); } 
{ /* ./Heap/restore.scm 89 */
BgL_globalz00_bglt BgL_obj1186z00_706;
BgL_obj1186z00_706 = 
(BgL_globalz00_bglt)(BgL_newz00_346); 
BgL_arg1697z00_349 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1186z00_706))->BgL_jvmzd2typezd2namez00); } 
BgL_arg1698z00_350 = 
BGl_shapez00zztools_shapez00(BgL_newz00_346); 
{ /* ./Heap/restore.scm 87 */
obj_t BgL_list1700z00_351;
BgL_list1700z00_351 = 
MAKE_PAIR(BgL_arg1698z00_350, BNIL); 
return 
BGl_addzd2qualifiedzd2typez12z12zzread_jvmz00(BgL_arg1696z00_348, BgL_arg1697z00_349, BgL_list1700z00_351);} } } } 
}



/* unbind-call/cc! */
obj_t BGl_unbindzd2callzf2ccz12z32zzheap_restorez00()
{ AN_OBJECT;
{ /* ./Heap/restore.scm 112 */
{ /* ./Heap/restore.scm 113 */
bool_t BgL_test1756z00_376;
{ /* ./Heap/restore.scm 113 */
obj_t BgL_auxz00_1168;
BgL_auxz00_1168 = 
BGl_findzd2globalzf2modulez20zzast_envz00(
CNST_TABLE_REF(((long)5)), 
CNST_TABLE_REF(((long)6))); 
BgL_test1756z00_376 = 
CBOOL(BgL_auxz00_1168); } 
if(BgL_test1756z00_376)
{ /* ./Heap/restore.scm 113 */
BGl_unbindzd2globalz12zc0zzast_envz00(
CNST_TABLE_REF(((long)5)), 
CNST_TABLE_REF(((long)6))); }  else 
{ /* ./Heap/restore.scm 113 */BFALSE; } } 
{ /* ./Heap/restore.scm 115 */
bool_t BgL_test1759z00_377;
{ /* ./Heap/restore.scm 115 */
obj_t BgL_auxz00_1177;
BgL_auxz00_1177 = 
BGl_findzd2globalzf2modulez20zzast_envz00(
CNST_TABLE_REF(((long)7)), 
CNST_TABLE_REF(((long)6))); 
BgL_test1759z00_377 = 
CBOOL(BgL_auxz00_1177); } 
if(BgL_test1759z00_377)
{ /* ./Heap/restore.scm 115 */
return 
BGl_unbindzd2globalz12zc0zzast_envz00(
CNST_TABLE_REF(((long)7)), 
CNST_TABLE_REF(((long)6)));}  else 
{ /* ./Heap/restore.scm 115 */
return BFALSE;} } } 
}



/* restore-additional-heaps */
BGL_EXPORTED_DEF obj_t BGl_restorezd2additionalzd2heapsz00zzheap_restorez00()
{ AN_OBJECT;
{ /* ./Heap/restore.scm 123 */
{ /* ./Heap/restore.scm 124 */
bool_t BgL_test1762z00_378;
{ /* ./Heap/restore.scm 124 */
obj_t BgL_objz00_717;
BgL_objz00_717 = BGl_za2additionalzd2heapzd2namesza2z00zzengine_paramz00; 
BgL_test1762z00_378 = 
PAIRP(BgL_objz00_717); } 
if(BgL_test1762z00_378)
{ /* ./Heap/restore.scm 124 */
{ /* ./Heap/restore.scm 126 */
obj_t BgL_list1764z00_379;
{ /* ./Heap/restore.scm 126 */
obj_t BgL_arg1767z00_381;
{ /* ./Heap/restore.scm 126 */
obj_t BgL_arg1772z00_383;
{ /* ./Heap/restore.scm 126 */
obj_t BgL_auxz00_1188;
BgL_auxz00_1188 = 
BCHAR(((unsigned char)'\n')); 
BgL_arg1772z00_383 = 
MAKE_PAIR(BgL_auxz00_1188, BNIL); } 
BgL_arg1767z00_381 = 
MAKE_PAIR(BGl_string2455z00zzheap_restorez00, BgL_arg1772z00_383); } 
BgL_list1764z00_379 = 
MAKE_PAIR(BGl_string2444z00zzheap_restorez00, BgL_arg1767z00_381); } 
BGl_verbosez00zztools_speekz00(
BINT(((long)1)), BgL_list1764z00_379); } 
BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00 = 
BINT(((long)0)); 
BGl_za2currentzd2passza2zd2zzengine_passz00 = BGl_string2455z00zzheap_restorez00; 
{ 
obj_t BgL_hooksz00_384;obj_t BgL_hnamesz00_385;
{ /* ./Heap/restore.scm 126 */
obj_t BgL_arg1776z00_387;
BgL_arg1776z00_387 = BNIL; 
BgL_hooksz00_384 = BgL_arg1776z00_387; 
BgL_hnamesz00_385 = BNIL; 
BgL_loopz00_386:
{ /* ./Heap/restore.scm 126 */
bool_t BgL_test1781z00_390;
BgL_test1781z00_390 = 
NULLP(BgL_hooksz00_384); 
if(BgL_test1781z00_390)
{ /* ./Heap/restore.scm 126 */
CNST_TABLE_REF(((long)1)); }  else 
{ /* ./Heap/restore.scm 126 */
bool_t BgL_test1782z00_391;
{ /* ./Heap/restore.scm 126 */
obj_t BgL_fun1797z00_397;
BgL_fun1797z00_397 = 
CAR(BgL_hooksz00_384); 
{ /* ./Heap/restore.scm 126 */
obj_t BgL_auxz00_1200;
BgL_auxz00_1200 = 
PROCEDURE_ENTRY(BgL_fun1797z00_397)(BgL_fun1797z00_397, BEOA); 
BgL_test1782z00_391 = 
CBOOL(BgL_auxz00_1200); } } 
if(BgL_test1782z00_391)
{ /* ./Heap/restore.scm 126 */
{ /* ./Heap/restore.scm 126 */
obj_t BgL_arg1784z00_392;obj_t BgL_arg1785z00_393;
BgL_arg1784z00_392 = 
CDR(BgL_hooksz00_384); 
BgL_arg1785z00_393 = 
CDR(BgL_hnamesz00_385); 
{ 
obj_t BgL_hnamesz00_1208;obj_t BgL_hooksz00_1207;
BgL_hooksz00_1207 = BgL_arg1784z00_392; 
BgL_hnamesz00_1208 = BgL_arg1785z00_393; 
BgL_hnamesz00_385 = BgL_hnamesz00_1208; 
BgL_hooksz00_384 = BgL_hooksz00_1207; 
goto BgL_loopz00_386;} } }  else 
{ /* ./Heap/restore.scm 126 */
{ /* ./Heap/restore.scm 126 */
obj_t BgL_arg1792z00_396;
BgL_arg1792z00_396 = 
CAR(BgL_hnamesz00_385); 
BGl_internalzd2errorzd2zztools_errorz00(BGl_string2455z00zzheap_restorez00, BGl_string2445z00zzheap_restorez00, BgL_arg1792z00_396); } } } } } } 
{ 
obj_t BgL_l1568z00_398;
{ /* ./Heap/restore.scm 128 */
obj_t BgL_arg1801z00_400;
BgL_arg1801z00_400 = 
bgl_reverse(BGl_za2additionalzd2heapzd2namesza2z00zzengine_paramz00); 
{ /* ./Heap/restore.scm 127 */
bool_t BgL_auxz00_1212;
BgL_l1568z00_398 = BgL_arg1801z00_400; 
BgL_forzd2each1569zd2_399:
{ /* ./Heap/restore.scm 127 */
bool_t BgL_test1804z00_401;
BgL_test1804z00_401 = 
PAIRP(BgL_l1568z00_398); 
if(BgL_test1804z00_401)
{ /* ./Heap/restore.scm 127 */
{ /* ./Heap/restore.scm 127 */
obj_t BgL_arg1806z00_402;
BgL_arg1806z00_402 = 
CAR(BgL_l1568z00_398); 
BGl_restorezd2additionalzd2heapz00zzheap_restorez00(BgL_arg1806z00_402); } 
{ /* ./Heap/restore.scm 127 */
obj_t BgL_arg1810z00_403;
BgL_arg1810z00_403 = 
CDR(BgL_l1568z00_398); 
{ 
obj_t BgL_l1568z00_1218;
BgL_l1568z00_1218 = BgL_arg1810z00_403; 
BgL_l1568z00_398 = BgL_l1568z00_1218; 
goto BgL_forzd2each1569zd2_399;} } }  else 
{ /* ./Heap/restore.scm 127 */
BgL_auxz00_1212 = ((bool_t)1); } } 
return 
BBOOL(BgL_auxz00_1212);} } } }  else 
{ /* ./Heap/restore.scm 124 */
return BFALSE;} } } 
}



/* _restore-additional-heaps */
obj_t BGl__restorezd2additionalzd2heapsz00zzheap_restorez00(obj_t BgL_envz00_841)
{ AN_OBJECT;
{ /* ./Heap/restore.scm 123 */
return 
BGl_restorezd2additionalzd2heapsz00zzheap_restorez00();} 
}



/* dump-additional-heaps */
BGL_EXPORTED_DEF obj_t BGl_dumpzd2additionalzd2heapsz00zzheap_restorez00()
{ AN_OBJECT;
{ /* ./Heap/restore.scm 133 */
{ 
obj_t BgL_l1570z00_404;
{ /* ./Heap/restore.scm 134 */
bool_t BgL_auxz00_1221;
BgL_l1570z00_404 = BGl_za2additionalzd2heapzd2namesza2z00zzengine_paramz00; 
BgL_forzd2each1571zd2_405:
{ /* ./Heap/restore.scm 134 */
bool_t BgL_test1816z00_406;
BgL_test1816z00_406 = 
PAIRP(BgL_l1570z00_404); 
if(BgL_test1816z00_406)
{ /* ./Heap/restore.scm 134 */
{ /* ./Heap/restore.scm 135 */
obj_t BgL_heapz00_407;
BgL_heapz00_407 = 
CAR(BgL_l1570z00_404); 
{ /* ./Heap/restore.scm 135 */
bool_t BgL_test1817z00_408;
{ /* ./Heap/restore.scm 135 */
obj_t BgL_auxz00_1225;
BgL_auxz00_1225 = 
BGl_memberz00zz__r4_pairs_and_lists_6_3z00(BgL_heapz00_407, BGl_za2heapzd2dumpzd2namesza2z00zzengine_paramz00); 
BgL_test1817z00_408 = 
CBOOL(BgL_auxz00_1225); } 
if(BgL_test1817z00_408)
{ /* ./Heap/restore.scm 136 */
obj_t BgL_fnamez00_409;
BgL_fnamez00_409 = 
BGl_findzd2filezf2pathz20zz__osz00(BgL_heapz00_407, BGl_za2libzd2dirza2zd2zzengine_paramz00); 
{ /* ./Heap/restore.scm 137 */
obj_t BgL_portz00_410;
BgL_portz00_410 = 
open_input_binary_file(BgL_fnamez00_409); 
{ /* ./Heap/restore.scm 138 */
obj_t BgL_envsz00_411;
BgL_envsz00_411 = 
input_obj(BgL_portz00_410); 
{ /* ./Heap/restore.scm 138 */
obj_t BgL_genvz00_412;
{ /* ./Heap/restore.scm 139 */
int BgL_kz00_733;
BgL_kz00_733 = 
(int)(((long)1)); 
BgL_genvz00_412 = 
VECTOR_REF(BgL_envsz00_411,BgL_kz00_733); } 
{ /* ./Heap/restore.scm 139 */
obj_t BgL_tenvz00_413;
{ /* ./Heap/restore.scm 140 */
int BgL_kz00_735;
BgL_kz00_735 = 
(int)(((long)2)); 
BgL_tenvz00_413 = 
VECTOR_REF(BgL_envsz00_411,BgL_kz00_735); } 
{ /* ./Heap/restore.scm 140 */

BGl_dumpzd2heapzd2zzheap_restorez00(BgL_heapz00_407, BgL_genvz00_412, BgL_tenvz00_413); } } } } } }  else 
{ /* ./Heap/restore.scm 135 */BFALSE; } } } 
{ /* ./Heap/restore.scm 134 */
obj_t BgL_arg1829z00_414;
BgL_arg1829z00_414 = 
CDR(BgL_l1570z00_404); 
{ 
obj_t BgL_l1570z00_1238;
BgL_l1570z00_1238 = BgL_arg1829z00_414; 
BgL_l1570z00_404 = BgL_l1570z00_1238; 
goto BgL_forzd2each1571zd2_405;} } }  else 
{ /* ./Heap/restore.scm 134 */
BgL_auxz00_1221 = ((bool_t)1); } } 
return 
BBOOL(BgL_auxz00_1221);} } } 
}



/* _dump-additional-heaps */
obj_t BGl__dumpzd2additionalzd2heapsz00zzheap_restorez00(obj_t BgL_envz00_842)
{ AN_OBJECT;
{ /* ./Heap/restore.scm 133 */
return 
BGl_dumpzd2additionalzd2heapsz00zzheap_restorez00();} 
}



/* restore-additional-heap */
obj_t BGl_restorezd2additionalzd2heapz00zzheap_restorez00(obj_t BgL_heapz00_1)
{ AN_OBJECT;
{ /* ./Heap/restore.scm 147 */
{ /* ./Heap/restore.scm 148 */
obj_t BgL_fnamez00_415;
BgL_fnamez00_415 = 
BGl_findzd2filezf2pathz20zz__osz00(BgL_heapz00_1, BGl_za2libzd2dirza2zd2zzengine_paramz00); 
{ /* ./Heap/restore.scm 149 */
bool_t BgL_test1833z00_416;
BgL_test1833z00_416 = 
STRINGP(BgL_fnamez00_415); 
if(BgL_test1833z00_416)
{ /* ./Heap/restore.scm 150 */
obj_t BgL_portz00_417;
BgL_portz00_417 = 
open_input_binary_file(BgL_fnamez00_415); 
{ /* ./Heap/restore.scm 152 */
obj_t BgL_handlerz00_849;
{ 
int BgL_auxz00_1247;int BgL_auxz00_1245;
BgL_auxz00_1247 = 
(int)(((long)1)); 
BgL_auxz00_1245 = 
(int)(((long)4)); 
BgL_handlerz00_849 = 
make_fx_procedure(BGl_handler_2235z00zzheap_restorez00, BgL_auxz00_1245, BgL_auxz00_1247); } 
{ /* ./Heap/restore.scm 152 */
int BgL_auxz00_1250;
BgL_auxz00_1250 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_handlerz00_849, BgL_auxz00_1250, BgL_portz00_417); } 
{ /* ./Heap/restore.scm 151 */

{ /* ./Heap/restore.scm 155 */
bool_t BgL_test1834z00_419;
BgL_test1834z00_419 = 
BINARY_PORTP(BgL_portz00_417); 
if(BgL_test1834z00_419)
{ /* ./Heap/restore.scm 155 */
{ /* ./Heap/restore.scm 163 */
obj_t BgL_list1836z00_420;
{ /* ./Heap/restore.scm 163 */
obj_t BgL_arg1839z00_422;
{ /* ./Heap/restore.scm 163 */
obj_t BgL_arg1842z00_423;
{ /* ./Heap/restore.scm 163 */
obj_t BgL_arg1846z00_425;
{ /* ./Heap/restore.scm 163 */
obj_t BgL_auxz00_1255;
BgL_auxz00_1255 = 
BCHAR(((unsigned char)'\n')); 
BgL_arg1846z00_425 = 
MAKE_PAIR(BgL_auxz00_1255, BNIL); } 
BgL_arg1842z00_423 = 
MAKE_PAIR(BGl_string2446z00zzheap_restorez00, BgL_arg1846z00_425); } 
BgL_arg1839z00_422 = 
MAKE_PAIR(BgL_fnamez00_415, BgL_arg1842z00_423); } 
BgL_list1836z00_420 = 
MAKE_PAIR(BGl_string2447z00zzheap_restorez00, BgL_arg1839z00_422); } 
BGl_verbosez00zztools_speekz00(
BINT(((long)2)), BgL_list1836z00_420); } 
{ /* ./Heap/restore.scm 166 */
obj_t BgL_armed1575z00_426;obj_t BgL_handler1572z00_427;
BgL_armed1575z00_426 = 
MAKE_CELL(BUNSPEC); 
BgL_handler1572z00_427 = 
MAKE_CELL(BUNSPEC); 
{ /* ./Heap/restore.scm 166 */
obj_t BgL_zc3anonymousza31866ze3z83_845;obj_t BgL_zc3anonymousza31863ze3z83_847;
{ 
int BgL_auxz00_1265;int BgL_auxz00_1263;
BgL_auxz00_1265 = 
(int)(((long)2)); 
BgL_auxz00_1263 = 
(int)(((long)0)); 
BgL_zc3anonymousza31866ze3z83_845 = 
make_fx_procedure(BGl_zc3anonymousza31866ze3z83zzheap_restorez00, BgL_auxz00_1263, BgL_auxz00_1265); } 
{ 
int BgL_auxz00_1270;int BgL_auxz00_1268;
BgL_auxz00_1270 = 
(int)(((long)2)); 
BgL_auxz00_1268 = 
(int)(((long)4)); 
BgL_zc3anonymousza31863ze3z83_847 = 
make_fx_procedure(BGl_zc3anonymousza31863ze3z83zzheap_restorez00, BgL_auxz00_1268, BgL_auxz00_1270); } 
{ /* ./Heap/restore.scm 166 */
int BgL_auxz00_1273;
BgL_auxz00_1273 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza31866ze3z83_845, BgL_auxz00_1273, BgL_portz00_417); } 
{ /* ./Heap/restore.scm 166 */
int BgL_auxz00_1276;
BgL_auxz00_1276 = 
(int)(((long)1)); 
PROCEDURE_SET(BgL_zc3anonymousza31866ze3z83_845, BgL_auxz00_1276, BgL_heapz00_1); } 
{ /* ./Heap/restore.scm 166 */
int BgL_auxz00_1279;
BgL_auxz00_1279 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza31863ze3z83_847, BgL_auxz00_1279, BgL_armed1575z00_426); } 
{ /* ./Heap/restore.scm 166 */
int BgL_auxz00_1282;
BgL_auxz00_1282 = 
(int)(((long)1)); 
PROCEDURE_SET(BgL_zc3anonymousza31863ze3z83_847, BgL_auxz00_1282, BgL_handler1572z00_427); } 
CELL_SET(BgL_handler1572z00_427, BgL_handlerz00_849); 
CELL_SET(BgL_armed1575z00_426, BTRUE); 
return 
BGl_zc3exitza31849ze3z83zzheap_restorez00(BgL_zc3anonymousza31866ze3z83_845, BgL_zc3anonymousza31863ze3z83_847, BgL_handler1572z00_427, BgL_armed1575z00_426);} } }  else 
{ /* ./Heap/restore.scm 155 */
{ /* ./Heap/restore.scm 157 */
obj_t BgL_arg1925z00_481;
BgL_arg1925z00_481 = 
string_append_3(BGl_string2448z00zzheap_restorez00, BgL_fnamez00_415, BGl_string2449z00zzheap_restorez00); 
{ /* ./Heap/restore.scm 157 */
obj_t BgL_objectz00_769;
BgL_objectz00_769 = BGl_za2libzd2dirza2zd2zzengine_paramz00; 
FAILURE(BGl_string2456z00zzheap_restorez00,BgL_arg1925z00_481,BgL_objectz00_769);} } 
return 
BGl_exitzd2bigloozd2zzinit_mainz00(
BINT(((long)6)));} } } } }  else 
{ /* ./Heap/restore.scm 149 */
{ /* ./Heap/restore.scm 211 */
obj_t BgL_arg1938z00_489;
BgL_arg1938z00_489 = 
string_append_3(BGl_string2448z00zzheap_restorez00, BgL_heapz00_1, BGl_string2449z00zzheap_restorez00); 
{ /* ./Heap/restore.scm 211 */
obj_t BgL_objectz00_773;
BgL_objectz00_773 = BGl_za2libzd2dirza2zd2zzengine_paramz00; 
FAILURE(BGl_string2456z00zzheap_restorez00,BgL_arg1938z00_489,BgL_objectz00_773);} } 
return 
BGl_exitzd2bigloozd2zzinit_mainz00(
BINT(((long)6)));} } } } 
}



/* <exit:1849> */
obj_t BGl_zc3exitza31849ze3z83zzheap_restorez00(obj_t BgL_zc3anonymousza31866ze3z83_901, obj_t BgL_zc3anonymousza31863ze3z83_900, obj_t BgL_handler1572z00_899, obj_t BgL_armed1575z00_898)
{ AN_OBJECT;
{ /* ./Heap/restore.scm 166 */
jmp_buf jmpbuf; 
obj_t BgL_an_exit1579z00_431;
if( SET_EXIT(BgL_an_exit1579z00_431) ) { 
return 
_exit_value_;
} else {
BgL_an_exit1579z00_431 = 
(obj_t)jmpbuf; 
{ /* ./Heap/restore.scm 166 */

PUSH_EXIT(BgL_an_exit1579z00_431, ((bool_t)1)); 
{ /* ./Heap/restore.scm 166 */
obj_t BgL_an_exitd1580z00_432;
BgL_an_exitd1580z00_432 = 
BGL_EXITD_TOP(); 
{ /* ./Heap/restore.scm 166 */
obj_t BgL_escapez00_846;
{ 
int BgL_auxz00_1300;int BgL_auxz00_1298;
BgL_auxz00_1300 = 
(int)(((long)1)); 
BgL_auxz00_1298 = 
(int)(((long)1)); 
BgL_escapez00_846 = 
make_fx_procedure(BGl_escape_2231z00zzheap_restorez00, BgL_auxz00_1298, BgL_auxz00_1300); } 
{ /* ./Heap/restore.scm 166 */
int BgL_auxz00_1303;
BgL_auxz00_1303 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_escapez00_846, BgL_auxz00_1303, BgL_an_exitd1580z00_432); } 
{ /* ./Heap/restore.scm 166 */
obj_t BgL_res1582z00_435;
{ /* ./Heap/restore.scm 166 */
obj_t BgL_zc3anonymousza31859ze3z83_843;obj_t BgL_zc3anonymousza31857ze3z83_848;
{ 
int BgL_auxz00_1308;int BgL_auxz00_1306;
BgL_auxz00_1308 = 
(int)(((long)1)); 
BgL_auxz00_1306 = 
(int)(((long)0)); 
BgL_zc3anonymousza31859ze3z83_843 = 
make_fx_procedure(BGl_zc3anonymousza31859ze3z83zzheap_restorez00, BgL_auxz00_1306, BgL_auxz00_1308); } 
{ 
int BgL_auxz00_1313;int BgL_auxz00_1311;
BgL_auxz00_1313 = 
(int)(((long)5)); 
BgL_auxz00_1311 = 
(int)(((long)0)); 
BgL_zc3anonymousza31857ze3z83_848 = 
make_fx_procedure(BGl_zc3anonymousza31857ze3z83zzheap_restorez00, BgL_auxz00_1311, BgL_auxz00_1313); } 
{ /* ./Heap/restore.scm 166 */
int BgL_auxz00_1316;
BgL_auxz00_1316 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza31859ze3z83_843, BgL_auxz00_1316, BgL_armed1575z00_898); } 
{ /* ./Heap/restore.scm 166 */
int BgL_auxz00_1319;
BgL_auxz00_1319 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza31857ze3z83_848, BgL_auxz00_1319, BgL_an_exitd1580z00_432); } 
{ /* ./Heap/restore.scm 166 */
int BgL_auxz00_1322;
BgL_auxz00_1322 = 
(int)(((long)1)); 
PROCEDURE_SET(BgL_zc3anonymousza31857ze3z83_848, BgL_auxz00_1322, BgL_armed1575z00_898); } 
{ /* ./Heap/restore.scm 166 */
int BgL_auxz00_1325;
BgL_auxz00_1325 = 
(int)(((long)2)); 
PROCEDURE_SET(BgL_zc3anonymousza31857ze3z83_848, BgL_auxz00_1325, BgL_handler1572z00_899); } 
{ /* ./Heap/restore.scm 166 */
int BgL_auxz00_1328;
BgL_auxz00_1328 = 
(int)(((long)3)); 
PROCEDURE_SET(BgL_zc3anonymousza31857ze3z83_848, BgL_auxz00_1328, BgL_zc3anonymousza31863ze3z83_900); } 
{ /* ./Heap/restore.scm 166 */
int BgL_auxz00_1331;
BgL_auxz00_1331 = 
(int)(((long)4)); 
PROCEDURE_SET(BgL_zc3anonymousza31857ze3z83_848, BgL_auxz00_1331, BgL_escapez00_846); } 
BgL_res1582z00_435 = 
BGl_dynamiczd2windzd2zz__r4_control_features_6_9z00(BgL_zc3anonymousza31857ze3z83_848, BgL_zc3anonymousza31866ze3z83_901, BgL_zc3anonymousza31859ze3z83_843); } 
POP_EXIT(); 
return BgL_res1582z00_435;} } } } 
} } 
}



/* <anonymous:1859> */
obj_t BGl_zc3anonymousza31859ze3z83zzheap_restorez00(obj_t BgL_envz00_850)
{ AN_OBJECT;
{ /* ./Heap/restore.scm 166 */
{ /* ./Heap/restore.scm 166 */
obj_t BgL_armed1575z00_851;
{ /* ./Heap/restore.scm 166 */
int BgL_auxz00_1336;
BgL_auxz00_1336 = 
(int)(((long)0)); 
BgL_armed1575z00_851 = 
PROCEDURE_REF(BgL_envz00_850, BgL_auxz00_1336); } 
{ 

{ /* ./Heap/restore.scm 166 */
bool_t BgL_testz00_1339;
{ /* ./Heap/restore.scm 166 */
obj_t BgL_auxz00_1340;
BgL_auxz00_1340 = 
CELL_REF(BgL_armed1575z00_851); 
BgL_testz00_1339 = 
CBOOL(BgL_auxz00_1340); } 
if(BgL_testz00_1339)
{ /* ./Heap/restore.scm 166 */
CELL_SET(BgL_armed1575z00_851, BFALSE); 
return 
BGl_removezd2errorzd2handlerz12z12zz__errorz00();}  else 
{ /* ./Heap/restore.scm 166 */
return BFALSE;} } } } } 
}



/* <anonymous:1866> */
obj_t BGl_zc3anonymousza31866ze3z83zzheap_restorez00(obj_t BgL_envz00_853)
{ AN_OBJECT;
{ /* ./Heap/restore.scm 166 */
{ /* ./Heap/restore.scm 166 */
obj_t BgL_portz00_854;obj_t BgL_heapz00_855;
{ /* ./Heap/restore.scm 166 */
int BgL_auxz00_1343;
BgL_auxz00_1343 = 
(int)(((long)0)); 
BgL_portz00_854 = 
PROCEDURE_REF(BgL_envz00_853, BgL_auxz00_1343); } 
{ /* ./Heap/restore.scm 166 */
int BgL_auxz00_1346;
BgL_auxz00_1346 = 
(int)(((long)1)); 
BgL_heapz00_855 = 
PROCEDURE_REF(BgL_envz00_853, BgL_auxz00_1346); } 
{ 

{ /* ./Heap/restore.scm 166 */
bool_t BgL_auxz00_1349;
{ /* ./Heap/restore.scm 166 */
obj_t BgL_envsz00_448;
BgL_envsz00_448 = 
input_obj(BgL_portz00_854); 
{ /* ./Heap/restore.scm 166 */
obj_t BgL_dummyz00_449;
{ /* ./Heap/restore.scm 167 */
bool_t BgL_test1911z00_473;
{ /* ./Heap/restore.scm 167 */
bool_t BgL_test1913z00_474;
{ /* ./Heap/restore.scm 167 */
obj_t BgL_v1576z00_477;
{ 
int BgL_auxz00_1351;
BgL_auxz00_1351 = 
(int)(((long)1)); 
BgL_v1576z00_477 = 
create_vector(BgL_auxz00_1351); } 
{ /* ./Heap/restore.scm 167 */
int BgL_kz00_742;
BgL_kz00_742 = 
(int)(((long)0)); 
VECTOR_SET(BgL_v1576z00_477,BgL_kz00_742,BgL_envsz00_448); } 
BgL_test1913z00_474 = ((bool_t)1); } 
if(BgL_test1913z00_474)
{ /* ./Heap/restore.scm 168 */
int BgL_arg1915z00_475;
BgL_arg1915z00_475 = 
VECTOR_LENGTH(BgL_envsz00_448); 
{ /* ./Heap/restore.scm 168 */
long BgL_auxz00_1358;
BgL_auxz00_1358 = 
(long)(BgL_arg1915z00_475); 
BgL_test1911z00_473 = 
(BgL_auxz00_1358==((long)4)); } }  else 
{ /* ./Heap/restore.scm 167 */
BgL_test1911z00_473 = ((bool_t)0); } } 
if(BgL_test1911z00_473)
{ /* ./Heap/restore.scm 167 */
BgL_dummyz00_449 = BFALSE; }  else 
{ /* ./Heap/restore.scm 167 */
FAILURE(BgL_heapz00_855,BGl_string2451z00zzheap_restorez00,BgL_envsz00_448);} } 
{ /* ./Heap/restore.scm 167 */
obj_t BgL_targetz00_450;
{ /* ./Heap/restore.scm 173 */
int BgL_kz00_751;
BgL_kz00_751 = 
(int)(((long)0)); 
BgL_targetz00_450 = 
VECTOR_REF(BgL_envsz00_448,BgL_kz00_751); } 
{ /* ./Heap/restore.scm 173 */
obj_t BgL_genvz00_451;
{ /* ./Heap/restore.scm 174 */
int BgL_kz00_753;
BgL_kz00_753 = 
(int)(((long)1)); 
BgL_genvz00_451 = 
VECTOR_REF(BgL_envsz00_448,BgL_kz00_753); } 
{ /* ./Heap/restore.scm 174 */
obj_t BgL_tenvz00_452;
{ /* ./Heap/restore.scm 175 */
int BgL_kz00_755;
BgL_kz00_755 = 
(int)(((long)2)); 
BgL_tenvz00_452 = 
VECTOR_REF(BgL_envsz00_448,BgL_kz00_755); } 
{ /* ./Heap/restore.scm 175 */
obj_t BgL_includesz00_453;
{ /* ./Heap/restore.scm 176 */
int BgL_kz00_757;
BgL_kz00_757 = 
(int)(((long)3)); 
BgL_includesz00_453 = 
VECTOR_REF(BgL_envsz00_448,BgL_kz00_757); } 
{ /* ./Heap/restore.scm 176 */

{ /* ./Heap/restore.scm 178 */
bool_t BgL_test1867z00_454;
{ /* ./Heap/restore.scm 178 */
bool_t BgL_test1873z00_457;
BgL_test1873z00_457 = 
(BgL_targetz00_450==BGl_za2targetzd2languageza2zd2zzengine_paramz00); 
if(BgL_test1873z00_457)
{ /* ./Heap/restore.scm 178 */
BgL_test1867z00_454 = ((bool_t)0); }  else 
{ /* ./Heap/restore.scm 179 */
bool_t BgL_test1874z00_458;
{ /* ./Heap/restore.scm 179 */
bool_t BgL_test1875z00_459;
{ /* ./Heap/restore.scm 179 */
obj_t BgL_auxz00_1373;
BgL_auxz00_1373 = 
CNST_TABLE_REF(((long)2)); 
BgL_test1875z00_459 = 
(BgL_targetz00_450==BgL_auxz00_1373); } 
if(BgL_test1875z00_459)
{ /* ./Heap/restore.scm 180 */
obj_t BgL_auxz00_1377;
BgL_auxz00_1377 = 
CNST_TABLE_REF(((long)3)); 
BgL_test1874z00_458 = 
(BGl_za2targetzd2languageza2zd2zzengine_paramz00==BgL_auxz00_1377); }  else 
{ /* ./Heap/restore.scm 179 */
BgL_test1874z00_458 = ((bool_t)0); } } 
if(BgL_test1874z00_458)
{ /* ./Heap/restore.scm 179 */
BgL_test1867z00_454 = ((bool_t)0); }  else 
{ /* ./Heap/restore.scm 179 */
BgL_test1867z00_454 = ((bool_t)1); } } } 
if(BgL_test1867z00_454)
{ /* ./Heap/restore.scm 181 */
obj_t BgL_arg1870z00_456;
BgL_arg1870z00_456 = 
MAKE_PAIR(BgL_targetz00_450, BGl_za2targetzd2languageza2zd2zzengine_paramz00); 
FAILURE(BgL_heapz00_855,BGl_string2452z00zzheap_restorez00,BgL_arg1870z00_456);}  else 
{ /* ./Heap/restore.scm 178 */((bool_t)0); } } 
close_binary_port(BgL_portz00_854); 
BGl_addzd2tenvz12zc0zztype_envz00(BgL_tenvz00_452); 
BGl_addzd2genvz12zc0zzast_envz00(BgL_genvz00_451); 
BGl_hashtablezd2forzd2eachz00zz__hashz00(BgL_genvz00_451, BGl_proc2457z00zzheap_restorez00); 
BGl_za2additionalzd2includezd2foreignza2z00zzengine_paramz00 = 
bgl_append2(BGl_za2additionalzd2includezd2foreignza2z00zzengine_paramz00, BgL_includesz00_453); 
BgL_auxz00_1349 = ((bool_t)1); } } } } } } } 
return 
BBOOL(BgL_auxz00_1349);} } } } 
}



/* <anonymous:1857> */
obj_t BGl_zc3anonymousza31857ze3z83zzheap_restorez00(obj_t BgL_envz00_856)
{ AN_OBJECT;
{ /* ./Heap/restore.scm 166 */
{ /* ./Heap/restore.scm 166 */
obj_t BgL_zc3anonymousza31863ze3z83_860;obj_t BgL_escapez00_861;
{ /* ./Heap/restore.scm 166 */
int BgL_auxz00_1390;
BgL_auxz00_1390 = 
(int)(((long)3)); 
BgL_zc3anonymousza31863ze3z83_860 = 
PROCEDURE_REF(BgL_envz00_856, BgL_auxz00_1390); } 
{ /* ./Heap/restore.scm 166 */
int BgL_auxz00_1393;
BgL_auxz00_1393 = 
(int)(((long)4)); 
BgL_escapez00_861 = 
PROCEDURE_REF(BgL_envz00_856, BgL_auxz00_1393); } 
{ 

return 
BGl_addzd2errorzd2handlerz12z12zz__errorz00(BgL_zc3anonymousza31863ze3z83_860, BgL_escapez00_861);} } } 
}



/* escape_2231 */
obj_t BGl_escape_2231z00zzheap_restorez00(obj_t BgL_envz00_862, obj_t BgL_val1581z00_864)
{ AN_OBJECT;
{ /* ./Heap/restore.scm 166 */
{ /* ./Heap/restore.scm 166 */
obj_t BgL_an_exitd1580z00_863;
{ /* ./Heap/restore.scm 166 */
int BgL_auxz00_1397;
BgL_auxz00_1397 = 
(int)(((long)0)); 
BgL_an_exitd1580z00_863 = 
PROCEDURE_REF(BgL_envz00_862, BgL_auxz00_1397); } 
{ 
obj_t BgL_val1581z00_433;
BgL_val1581z00_433 = BgL_val1581z00_864; 
return 
BGl_unwindzd2untilz12zc0zz__bexitz00(BgL_an_exitd1580z00_863, BgL_val1581z00_433);} } } 
}



/* <anonymous:1863> */
obj_t BGl_zc3anonymousza31863ze3z83zzheap_restorez00(obj_t BgL_envz00_865, obj_t BgL_escz00_868, obj_t BgL_objz00_869, obj_t BgL_procz00_870, obj_t BgL_msgz00_871)
{ AN_OBJECT;
{ /* ./Heap/restore.scm 166 */
{ /* ./Heap/restore.scm 166 */
obj_t BgL_armed1575z00_866;obj_t BgL_handler1572z00_867;
{ /* ./Heap/restore.scm 166 */
int BgL_auxz00_1401;
BgL_auxz00_1401 = 
(int)(((long)0)); 
BgL_armed1575z00_866 = 
PROCEDURE_REF(BgL_envz00_865, BgL_auxz00_1401); } 
{ /* ./Heap/restore.scm 166 */
int BgL_auxz00_1404;
BgL_auxz00_1404 = 
(int)(((long)1)); 
BgL_handler1572z00_867 = 
PROCEDURE_REF(BgL_envz00_865, BgL_auxz00_1404); } 
{ 
obj_t BgL_escz00_442;obj_t BgL_objz00_443;obj_t BgL_procz00_444;obj_t BgL_msgz00_445;
BgL_escz00_442 = BgL_escz00_868; 
BgL_objz00_443 = BgL_objz00_869; 
BgL_procz00_444 = BgL_procz00_870; 
BgL_msgz00_445 = BgL_msgz00_871; 
CELL_SET(BgL_armed1575z00_866, BFALSE); 
BGl_removezd2errorzd2handlerz12z12zz__errorz00(); 
{ /* ./Heap/restore.scm 166 */
obj_t BgL_auxz00_1409;
BgL_auxz00_1409 = 
CELL_REF(BgL_handler1572z00_867); 
return 
PROCEDURE_ENTRY(BgL_auxz00_1409)(
CELL_REF(BgL_handler1572z00_867), BgL_escz00_442, BgL_objz00_443, BgL_procz00_444, BgL_msgz00_445, BEOA);} } } } 
}



/* handler_2235 */
obj_t BGl_handler_2235z00zzheap_restorez00(obj_t BgL_envz00_873, obj_t BgL_escapez00_875, obj_t BgL_procz00_876, obj_t BgL_mesz00_877, obj_t BgL_objz00_878)
{ AN_OBJECT;
{ /* ./Heap/restore.scm 151 */
{ /* ./Heap/restore.scm 152 */
obj_t BgL_portz00_874;
{ /* ./Heap/restore.scm 152 */
int BgL_auxz00_1410;
BgL_auxz00_1410 = 
(int)(((long)0)); 
BgL_portz00_874 = 
PROCEDURE_REF(BgL_envz00_873, BgL_auxz00_1410); } 
{ 
obj_t BgL_escapez00_482;obj_t BgL_procz00_483;obj_t BgL_mesz00_484;obj_t BgL_objz00_485;
BgL_escapez00_482 = BgL_escapez00_875; 
BgL_procz00_483 = BgL_procz00_876; 
BgL_mesz00_484 = BgL_mesz00_877; 
BgL_objz00_485 = BgL_objz00_878; 
BGl_notifyzd2errorzd2zz__errorz00(BgL_procz00_483, BgL_mesz00_484, BgL_objz00_485); 
close_binary_port(BgL_portz00_874); 
return 
BGl_exitzd2bigloozd2zzinit_mainz00(
BINT(((long)6)));} } } 
}



/* <anonymous:1886> */
obj_t BGl_zc3anonymousza31886ze3z83zzheap_restorez00(obj_t BgL_envz00_879, obj_t BgL_kz00_880, obj_t BgL_bucketz00_881)
{ AN_OBJECT;
{ /* ./Heap/restore.scm 199 */
{ 
obj_t BgL_kz00_461;obj_t BgL_bucketz00_462;
{ /* ./Heap/restore.scm 200 */
bool_t BgL_auxz00_1417;
BgL_kz00_461 = BgL_kz00_880; 
BgL_bucketz00_462 = BgL_bucketz00_881; 
{ 
obj_t BgL_l1577z00_464;
{ /* ./Heap/restore.scm 203 */
obj_t BgL_arg1888z00_466;
BgL_arg1888z00_466 = 
CDR(BgL_bucketz00_462); 
BgL_l1577z00_464 = BgL_arg1888z00_466; 
BgL_forzd2each1578zd2_465:
{ /* ./Heap/restore.scm 200 */
bool_t BgL_test1891z00_467;
BgL_test1891z00_467 = 
PAIRP(BgL_l1577z00_464); 
if(BgL_test1891z00_467)
{ /* ./Heap/restore.scm 200 */
{ /* ./Heap/restore.scm 201 */
obj_t BgL_newz00_468;
BgL_newz00_468 = 
CAR(BgL_l1577z00_464); 
{ /* ./Heap/restore.scm 202 */
obj_t BgL_arg1893z00_469;
{ /* ./Heap/restore.scm 202 */
BgL_globalz00_bglt BgL_obj1165z00_765;
BgL_obj1165z00_765 = 
(BgL_globalz00_bglt)(BgL_newz00_468); 
BgL_arg1893z00_469 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1165z00_765))->BgL_modulez00); } 
{ /* ./Heap/restore.scm 201 */
obj_t BgL_list1895z00_470;
BgL_list1895z00_470 = 
MAKE_PAIR(BgL_arg1893z00_469, BNIL); 
BGl_heapzd2modulezd2listz00zzheap_restorez00(BgL_list1895z00_470); } } } 
{ /* ./Heap/restore.scm 200 */
obj_t BgL_arg1902z00_471;
BgL_arg1902z00_471 = 
CDR(BgL_l1577z00_464); 
{ 
obj_t BgL_l1577z00_1427;
BgL_l1577z00_1427 = BgL_arg1902z00_471; 
BgL_l1577z00_464 = BgL_l1577z00_1427; 
goto BgL_forzd2each1578zd2_465;} } }  else 
{ /* ./Heap/restore.scm 200 */
BgL_auxz00_1417 = ((bool_t)1); } } } } 
return 
BBOOL(BgL_auxz00_1417);} } } 
}



/* dump-heap */
obj_t BGl_dumpzd2heapzd2zzheap_restorez00(obj_t BgL_heapz00_2, obj_t BgL_genvz00_3, obj_t BgL_tenvz00_4)
{ AN_OBJECT;
{ /* ./Heap/restore.scm 221 */
{ /* ./Heap/restore.scm 222 */
obj_t BgL_arg1945z00_490;
BgL_arg1945z00_490 = 
BGL_CURRENT_ERROR_PORT(); 
{ /* ./Heap/restore.scm 224 */
obj_t BgL_zc3anonymousza31949ze3z83_886;
{ 
int BgL_auxz00_1432;int BgL_auxz00_1430;
BgL_auxz00_1432 = 
(int)(((long)2)); 
BgL_auxz00_1430 = 
(int)(((long)0)); 
BgL_zc3anonymousza31949ze3z83_886 = 
make_fx_procedure(BGl_zc3anonymousza31949ze3z83zzheap_restorez00, BgL_auxz00_1430, BgL_auxz00_1432); } 
{ /* ./Heap/restore.scm 224 */
int BgL_auxz00_1435;
BgL_auxz00_1435 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza31949ze3z83_886, BgL_auxz00_1435, BgL_genvz00_3); } 
{ /* ./Heap/restore.scm 224 */
int BgL_auxz00_1438;
BgL_auxz00_1438 = 
(int)(((long)1)); 
PROCEDURE_SET(BgL_zc3anonymousza31949ze3z83_886, BgL_auxz00_1438, BgL_tenvz00_4); } 
return 
BGl_withzd2outputzd2tozd2portzd2zz__r4_ports_6_10_1z00(BgL_arg1945z00_490, BgL_zc3anonymousza31949ze3z83_886);} } } 
}



/* <anonymous:1949> */
obj_t BGl_zc3anonymousza31949ze3z83zzheap_restorez00(obj_t BgL_envz00_887)
{ AN_OBJECT;
{ /* ./Heap/restore.scm 223 */
{ /* ./Heap/restore.scm 224 */
obj_t BgL_genvz00_888;obj_t BgL_tenvz00_889;
{ /* ./Heap/restore.scm 224 */
int BgL_auxz00_1442;
BgL_auxz00_1442 = 
(int)(((long)0)); 
BgL_genvz00_888 = 
PROCEDURE_REF(BgL_envz00_887, BgL_auxz00_1442); } 
{ /* ./Heap/restore.scm 224 */
int BgL_auxz00_1445;
BgL_auxz00_1445 = 
(int)(((long)1)); 
BgL_tenvz00_889 = 
PROCEDURE_REF(BgL_envz00_887, BgL_auxz00_1445); } 
{ 

{ /* ./Heap/restore.scm 224 */
obj_t BgL_port1583z00_493;
BgL_port1583z00_493 = 
BGL_CURRENT_OUTPUT_PORT(); 
display_string(BGl_string2458z00zzheap_restorez00, BgL_port1583z00_493); 
WRITE_CHAR(((unsigned char)'\n'), BgL_port1583z00_493); } 
{ /* ./Heap/restore.scm 225 */
obj_t BgL_port1584z00_494;
BgL_port1584z00_494 = 
BGL_CURRENT_OUTPUT_PORT(); 
display_string(BGl_string2459z00zzheap_restorez00, BgL_port1584z00_494); 
WRITE_CHAR(((unsigned char)'\n'), BgL_port1584z00_494); } 
BGl_hashtablezd2forzd2eachz00zz__hashz00(BgL_genvz00_888, BGl_proc2460z00zzheap_restorez00); 
{ /* ./Heap/restore.scm 246 */
obj_t BgL_port1588z00_537;
BgL_port1588z00_537 = 
BGL_CURRENT_OUTPUT_PORT(); 
display_string(BGl_string2461z00zzheap_restorez00, BgL_port1588z00_537); 
WRITE_CHAR(((unsigned char)'\n'), BgL_port1588z00_537); } 
{ /* ./Heap/restore.scm 247 */
obj_t BgL_port1589z00_538;
BgL_port1589z00_538 = 
BGL_CURRENT_OUTPUT_PORT(); 
display_string(BGl_string2462z00zzheap_restorez00, BgL_port1589z00_538); 
WRITE_CHAR(((unsigned char)'\n'), BgL_port1589z00_538); } 
BGl_hashtablezd2forzd2eachz00zz__hashz00(BgL_tenvz00_889, BGl_proc2463z00zzheap_restorez00); 
{ /* ./Heap/restore.scm 254 */
obj_t BgL_port1591z00_555;
BgL_port1591z00_555 = 
BGL_CURRENT_OUTPUT_PORT(); 
display_string(BGl_string2464z00zzheap_restorez00, BgL_port1591z00_555); 
return 
WRITE_CHAR(((unsigned char)'\n'), BgL_port1591z00_555);} } } } 
}



/* <anonymous:2060> */
obj_t BGl_zc3anonymousza32060ze3z83zzheap_restorez00(obj_t BgL_envz00_890, obj_t BgL_kz00_891, obj_t BgL_newz00_892)
{ AN_OBJECT;
{ /* ./Heap/restore.scm 250 */
{ 
obj_t BgL_kz00_540;obj_t BgL_newz00_541;
BgL_kz00_540 = BgL_kz00_891; 
BgL_newz00_541 = BgL_newz00_892; 
{ /* ./Heap/restore.scm 251 */
obj_t BgL_idz00_543;
{ /* ./Heap/restore.scm 251 */
BgL_typez00_bglt BgL_obj1003z00_790;
BgL_obj1003z00_790 = 
(BgL_typez00_bglt)(BgL_newz00_541); 
BgL_idz00_543 = 
(((BgL_typez00_bglt)CREF(BgL_obj1003z00_790))->BgL_idz00); } 
{ /* ./Heap/restore.scm 251 */
obj_t BgL_namez00_544;
{ /* ./Heap/restore.scm 252 */
BgL_typez00_bglt BgL_obj1004z00_791;
BgL_obj1004z00_791 = 
(BgL_typez00_bglt)(BgL_newz00_541); 
BgL_namez00_544 = 
(((BgL_typez00_bglt)CREF(BgL_obj1004z00_791))->BgL_namez00); } 
{ /* ./Heap/restore.scm 252 */

{ /* ./Heap/restore.scm 253 */
obj_t BgL_port1590z00_545;
BgL_port1590z00_545 = 
BGL_CURRENT_OUTPUT_PORT(); 
display_string(BGl_string2465z00zzheap_restorez00, BgL_port1590z00_545); 
{ /* ./Heap/restore.scm 253 */
obj_t BgL_arg2063z00_546;
{ /* ./Heap/restore.scm 253 */
obj_t BgL_arg2066z00_547;obj_t BgL_arg2067z00_548;
BgL_arg2066z00_547 = 
CNST_TABLE_REF(((long)8)); 
{ /* ./Heap/restore.scm 253 */
obj_t BgL_arg2070z00_549;
{ /* ./Heap/restore.scm 253 */
obj_t BgL_arg2073z00_550;
{ /* ./Heap/restore.scm 253 */
obj_t BgL_arg2077z00_552;obj_t BgL_arg2078z00_553;
BgL_arg2077z00_552 = 
CNST_TABLE_REF(((long)9)); 
BgL_arg2078z00_553 = 
MAKE_PAIR(BgL_namez00_544, BNIL); 
BgL_arg2073z00_550 = 
MAKE_PAIR(BgL_arg2077z00_552, BgL_arg2078z00_553); } 
BgL_arg2070z00_549 = 
MAKE_PAIR(BgL_arg2073z00_550, BNIL); } 
BgL_arg2067z00_548 = 
MAKE_PAIR(BgL_idz00_543, BgL_arg2070z00_549); } 
BgL_arg2063z00_546 = 
MAKE_PAIR(BgL_arg2066z00_547, BgL_arg2067z00_548); } 
BGl_displayzd22zd2zz__r4_output_6_10_3z00(BgL_arg2063z00_546, BgL_port1590z00_545); } 
return 
WRITE_CHAR(((unsigned char)'\n'), BgL_port1590z00_545);} } } } } } 
}



/* <anonymous:1960> */
obj_t BGl_zc3anonymousza31960ze3z83zzheap_restorez00(obj_t BgL_envz00_893, obj_t BgL_kz00_894, obj_t BgL_bucketz00_895)
{ AN_OBJECT;
{ /* ./Heap/restore.scm 228 */
{ 
obj_t BgL_kz00_496;obj_t BgL_bucketz00_497;
{ /* ./Heap/restore.scm 229 */
bool_t BgL_auxz00_1480;
BgL_kz00_496 = BgL_kz00_894; 
BgL_bucketz00_497 = BgL_bucketz00_895; 
{ 
obj_t BgL_l1585z00_499;
{ /* ./Heap/restore.scm 245 */
obj_t BgL_arg1962z00_501;
BgL_arg1962z00_501 = 
CDR(BgL_bucketz00_497); 
BgL_l1585z00_499 = BgL_arg1962z00_501; 
BgL_forzd2each1586zd2_500:
{ /* ./Heap/restore.scm 229 */
bool_t BgL_test1965z00_502;
BgL_test1965z00_502 = 
PAIRP(BgL_l1585z00_499); 
if(BgL_test1965z00_502)
{ /* ./Heap/restore.scm 229 */
{ /* ./Heap/restore.scm 230 */
obj_t BgL_newz00_503;
BgL_newz00_503 = 
CAR(BgL_l1585z00_499); 
{ /* ./Heap/restore.scm 230 */
obj_t BgL_modulez00_504;
{ /* ./Heap/restore.scm 230 */
BgL_globalz00_bglt BgL_obj1165z00_779;
BgL_obj1165z00_779 = 
(BgL_globalz00_bglt)(BgL_newz00_503); 
BgL_modulez00_504 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1165z00_779))->BgL_modulez00); } 
{ /* ./Heap/restore.scm 230 */
obj_t BgL_idz00_505;
{ /* ./Heap/restore.scm 231 */
BgL_variablez00_bglt BgL_obj1093z00_780;
BgL_obj1093z00_780 = 
(BgL_variablez00_bglt)(BgL_newz00_503); 
BgL_idz00_505 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1093z00_780))->BgL_idz00); } 
{ /* ./Heap/restore.scm 231 */
obj_t BgL_qtz00_506;
BgL_qtz00_506 = 
BGl_modulezd2ze3qualifiedzd2typeze3zzread_jvmz00(BgL_modulez00_504); 
{ /* ./Heap/restore.scm 232 */

{ /* ./Heap/restore.scm 233 */
obj_t BgL_port1587z00_507;
BgL_port1587z00_507 = 
BGL_CURRENT_OUTPUT_PORT(); 
display_string(BGl_string2465z00zzheap_restorez00, BgL_port1587z00_507); 
{ /* ./Heap/restore.scm 234 */
obj_t BgL_arg1968z00_508;
{ /* ./Heap/restore.scm 234 */
obj_t BgL_arg1971z00_509;obj_t BgL_arg1973z00_510;
{ /* ./Heap/restore.scm 234 */
bool_t BgL_test1975z00_511;
{ /* ./Heap/restore.scm 234 */
BgL_valuez00_bglt BgL_arg1982z00_514;
{ /* ./Heap/restore.scm 234 */
BgL_variablez00_bglt BgL_obj1100z00_781;
BgL_obj1100z00_781 = 
(BgL_variablez00_bglt)(BgL_newz00_503); 
BgL_arg1982z00_514 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1100z00_781))->BgL_valuez00); } 
{ /* ./Heap/restore.scm 234 */
obj_t BgL_obj1425z00_782;
BgL_obj1425z00_782 = 
(obj_t)(BgL_arg1982z00_514); 
BgL_test1975z00_511 = 
BGl_iszd2azf3z21zz__objectz00(BgL_obj1425z00_782, BGl_sfunz00zzast_varz00); } } 
if(BgL_test1975z00_511)
{ /* ./Heap/restore.scm 234 */
BgL_arg1971z00_509 = 
CNST_TABLE_REF(((long)10)); }  else 
{ /* ./Heap/restore.scm 236 */
bool_t BgL_test1976z00_512;
{ /* ./Heap/restore.scm 236 */
BgL_valuez00_bglt BgL_arg1978z00_513;
{ /* ./Heap/restore.scm 236 */
BgL_variablez00_bglt BgL_obj1100z00_783;
BgL_obj1100z00_783 = 
(BgL_variablez00_bglt)(BgL_newz00_503); 
BgL_arg1978z00_513 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1100z00_783))->BgL_valuez00); } 
{ /* ./Heap/restore.scm 236 */
obj_t BgL_obj1489z00_784;
BgL_obj1489z00_784 = 
(obj_t)(BgL_arg1978z00_513); 
BgL_test1976z00_512 = 
BGl_iszd2azf3z21zz__objectz00(BgL_obj1489z00_784, BGl_cfunz00zzast_varz00); } } 
if(BgL_test1976z00_512)
{ /* ./Heap/restore.scm 236 */
BgL_arg1971z00_509 = 
CNST_TABLE_REF(((long)11)); }  else 
{ /* ./Heap/restore.scm 236 */
BgL_arg1971z00_509 = 
CNST_TABLE_REF(((long)12)); } } } 
{ /* ./Heap/restore.scm 240 */
obj_t BgL_arg1987z00_515;obj_t BgL_arg1988z00_516;
BgL_arg1987z00_515 = 
BGl_shapez00zztools_shapez00(BgL_newz00_503); 
{ /* ./Heap/restore.scm 241 */
obj_t BgL_arg1993z00_517;obj_t BgL_arg1994z00_518;
{ /* ./Heap/restore.scm 241 */
obj_t BgL_arg2000z00_519;obj_t BgL_arg2001z00_520;
BgL_arg2000z00_519 = 
CNST_TABLE_REF(((long)13)); 
BgL_arg2001z00_520 = 
MAKE_PAIR(BgL_idz00_505, BNIL); 
BgL_arg1993z00_517 = 
MAKE_PAIR(BgL_arg2000z00_519, BgL_arg2001z00_520); } 
{ /* ./Heap/restore.scm 242 */
obj_t BgL_arg2005z00_521;obj_t BgL_arg2006z00_522;
{ /* ./Heap/restore.scm 242 */
obj_t BgL_arg2010z00_523;obj_t BgL_arg2011z00_524;
BgL_arg2010z00_523 = 
CNST_TABLE_REF(((long)14)); 
BgL_arg2011z00_524 = 
MAKE_PAIR(BgL_modulez00_504, BNIL); 
BgL_arg2005z00_521 = 
MAKE_PAIR(BgL_arg2010z00_523, BgL_arg2011z00_524); } 
{ /* ./Heap/restore.scm 243 */
obj_t BgL_arg2015z00_525;obj_t BgL_arg2016z00_526;
{ /* ./Heap/restore.scm 243 */
obj_t BgL_arg2019z00_527;obj_t BgL_arg2021z00_528;
BgL_arg2019z00_527 = 
CNST_TABLE_REF(((long)9)); 
{ /* ./Heap/restore.scm 243 */
obj_t BgL_arg2025z00_529;
{ /* ./Heap/restore.scm 243 */
BgL_variablez00_bglt BgL_obj1094z00_785;
BgL_obj1094z00_785 = 
(BgL_variablez00_bglt)(BgL_newz00_503); 
BgL_arg2025z00_529 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1094z00_785))->BgL_namez00); } 
BgL_arg2021z00_528 = 
MAKE_PAIR(BgL_arg2025z00_529, BNIL); } 
BgL_arg2015z00_525 = 
MAKE_PAIR(BgL_arg2019z00_527, BgL_arg2021z00_528); } 
{ /* ./Heap/restore.scm 244 */
obj_t BgL_arg2030z00_531;
{ /* ./Heap/restore.scm 244 */
obj_t BgL_arg2035z00_533;obj_t BgL_arg2037z00_534;
BgL_arg2035z00_533 = 
CNST_TABLE_REF(((long)15)); 
BgL_arg2037z00_534 = 
MAKE_PAIR(BgL_qtz00_506, BNIL); 
BgL_arg2030z00_531 = 
MAKE_PAIR(BgL_arg2035z00_533, BgL_arg2037z00_534); } 
BgL_arg2016z00_526 = 
MAKE_PAIR(BgL_arg2030z00_531, BNIL); } 
BgL_arg2006z00_522 = 
MAKE_PAIR(BgL_arg2015z00_525, BgL_arg2016z00_526); } 
BgL_arg1994z00_518 = 
MAKE_PAIR(BgL_arg2005z00_521, BgL_arg2006z00_522); } 
BgL_arg1988z00_516 = 
MAKE_PAIR(BgL_arg1993z00_517, BgL_arg1994z00_518); } 
BgL_arg1973z00_510 = 
MAKE_PAIR(BgL_arg1987z00_515, BgL_arg1988z00_516); } 
BgL_arg1968z00_508 = 
MAKE_PAIR(BgL_arg1971z00_509, BgL_arg1973z00_510); } 
BGl_displayzd22zd2zz__r4_output_6_10_3z00(BgL_arg1968z00_508, BgL_port1587z00_507); } 
WRITE_CHAR(((unsigned char)'\n'), BgL_port1587z00_507); } } } } } } 
{ /* ./Heap/restore.scm 229 */
obj_t BgL_arg2047z00_535;
BgL_arg2047z00_535 = 
CDR(BgL_l1585z00_499); 
{ 
obj_t BgL_l1585z00_1529;
BgL_l1585z00_1529 = BgL_arg2047z00_535; 
BgL_l1585z00_499 = BgL_l1585z00_1529; 
goto BgL_forzd2each1586zd2_500;} } }  else 
{ /* ./Heap/restore.scm 229 */
BgL_auxz00_1480 = ((bool_t)1); } } } } 
return 
BBOOL(BgL_auxz00_1480);} } } 
}



/* heap-module-list */
BGL_EXPORTED_DEF obj_t BGl_heapzd2modulezd2listz00zzheap_restorez00(obj_t BgL_argsz00_5)
{ AN_OBJECT;
{ /* ./Heap/restore.scm 272 */
{ /* ./Heap/restore.scm 274 */
bool_t BgL_test2088z00_557;
BgL_test2088z00_557 = 
NULLP(BgL_argsz00_5); 
if(BgL_test2088z00_557)
{ /* ./Heap/restore.scm 274 */
return BGl_za2heapzd2modulezd2listza2z00zzheap_restorez00;}  else 
{ /* ./Heap/restore.scm 276 */
bool_t BgL_test2089z00_558;
{ /* ./Heap/restore.scm 276 */
obj_t BgL_auxz00_1533;
BgL_auxz00_1533 = 
BGl_getpropz00zz__r4_symbols_6_4z00(
CAR(BgL_argsz00_5), BGl_za2heapzd2markza2zd2zzheap_restorez00); 
BgL_test2089z00_558 = 
CBOOL(BgL_auxz00_1533); } 
if(BgL_test2089z00_558)
{ /* ./Heap/restore.scm 276 */
return BFALSE;}  else 
{ /* ./Heap/restore.scm 276 */
{ /* ./Heap/restore.scm 277 */
obj_t BgL_arg2091z00_559;
BgL_arg2091z00_559 = 
CAR(BgL_argsz00_5); 
BGl_putpropz12z12zz__r4_symbols_6_4z00(BgL_arg2091z00_559, BGl_za2heapzd2markza2zd2zzheap_restorez00, BTRUE); } 
{ /* ./Heap/restore.scm 278 */
obj_t BgL_arg2095z00_560;
BgL_arg2095z00_560 = 
CAR(BgL_argsz00_5); 
return ( 
BGl_za2heapzd2modulezd2listza2z00zzheap_restorez00 = 
MAKE_PAIR(BgL_arg2095z00_560, BGl_za2heapzd2modulezd2listza2z00zzheap_restorez00), BUNSPEC) ;} } } } } 
}



/* _heap-module-list */
obj_t BGl__heapzd2modulezd2listz00zzheap_restorez00(obj_t BgL_envz00_896, obj_t BgL_argsz00_897)
{ AN_OBJECT;
{ /* ./Heap/restore.scm 272 */
return 
BGl_heapzd2modulezd2listz00zzheap_restorez00(BgL_argsz00_897);} 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzheap_restorez00()
{ AN_OBJECT;
{ /* ./Heap/restore.scm 15 */
return BUNSPEC;} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzheap_restorez00()
{ AN_OBJECT;
{ /* ./Heap/restore.scm 15 */
BGl_modulezd2initializa7ationz75zztools_speekz00(((long)23537), "heap_restore"); 
BGl_modulezd2initializa7ationz75zztools_errorz00(((long)25566), "heap_restore"); 
BGl_modulezd2initializa7ationz75zzengine_passz00(((long)10268), "heap_restore"); 
BGl_modulezd2initializa7ationz75zzengine_paramz00(((long)14260), "heap_restore"); 
BGl_modulezd2initializa7ationz75zzengine_enginez00(((long)46992), "heap_restore"); 
BGl_modulezd2initializa7ationz75zzinit_mainz00(((long)6610), "heap_restore"); 
BGl_modulezd2initializa7ationz75zzast_envz00(((long)62031), "heap_restore"); 
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19090), "heap_restore"); 
BGl_modulezd2initializa7ationz75zztype_envz00(((long)25186), "heap_restore"); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)44246), "heap_restore"); 
BGl_modulezd2initializa7ationz75zzread_jvmz00(((long)16338), "heap_restore"); 
return 
BGl_modulezd2initializa7ationz75zztools_shapez00(((long)30833), "heap_restore");} 
}

