/*===========================================================================*/
/*   (Jvm/effect.scm)                                                        */
/*   Bigloo (2.6b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Dec 15 12:14:36 CET 2003        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc-2.95 -lib-dir /users/serrano/prgm/project/bigloo/lib/2.6b -unsafev -no-hello -O2 -rm -unsafe -s -indent Jvm/effect.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_effectz00;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_effectz00;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_effectz00;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;

typedef struct BgL_feffectz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_readz00;
   obj_t BgL_writez00;
} *BgL_feffectz00_bglt;

typedef struct BgL_nodez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
} *BgL_nodez00_bglt;

typedef struct BgL_nodezf2effectzf2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
} *BgL_nodezf2effectzf2_bglt;

typedef struct BgL_atomz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_atomz00_bglt;

typedef struct BgL_varz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_varz00_bglt;

typedef struct BgL_closurez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_closurez00_bglt;

typedef struct BgL_kwotez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_kwotez00_bglt;

typedef struct BgL_sequencez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_nodesz00;
} *BgL_sequencez00_bglt;

typedef struct BgL_appz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
} *BgL_appz00_bglt;

typedef struct BgL_appzd2lyzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_appzd2lyzd2_bglt;

typedef struct BgL_funcallz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
   obj_t BgL_strengthz00;
} *BgL_funcallz00_bglt;

typedef struct BgL_externz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
} *BgL_externz00_bglt;

typedef struct BgL_pragmaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   obj_t BgL_formatz00;
} *BgL_pragmaz00_bglt;

typedef struct BgL_getfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_getfieldz00_bglt;

typedef struct BgL_setfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_setfieldz00_bglt;

typedef struct BgL_newz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
} *BgL_newz00_bglt;

typedef struct BgL_vallocz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   obj_t BgL_czd2heapzd2formatz00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_vallocz00_bglt;

typedef struct BgL_vrefz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vrefz00_bglt;

typedef struct BgL_vsetz12z12_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vsetz12z12_bglt;

typedef struct BgL_vlengthz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vlengthz00_bglt;

typedef struct BgL_isaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   struct BgL_typez00_bgl * BgL_classz00;
} *BgL_isaz00_bglt;

typedef struct BgL_castz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_castz00_bglt;

typedef struct BgL_setqz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_setqz00_bglt;

typedef struct BgL_conditionalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   struct BgL_nodez00_bgl * BgL_truez00;
   struct BgL_nodez00_bgl * BgL_falsez00;
} *BgL_conditionalz00_bglt;

typedef struct BgL_failz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_procz00;
   struct BgL_nodez00_bgl * BgL_msgz00;
   struct BgL_nodez00_bgl * BgL_objz00;
} *BgL_failz00_bglt;

typedef struct BgL_selectz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   obj_t BgL_clausesz00;
   struct BgL_typez00_bgl * BgL_itemzd2typezd2;
} *BgL_selectz00_bglt;

typedef struct BgL_letzd2funzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_localsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_letzd2funzd2_bglt;

typedef struct BgL_letzd2varzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_bindingsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
   bool_t BgL_removablezf3zf3;
} *BgL_letzd2varzd2_bglt;

typedef struct BgL_setzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_setzd2exzd2itz00_bglt;

typedef struct BgL_jumpzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_exitz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_jumpzd2exzd2itz00_bglt;

typedef struct BgL_makezd2boxzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_makezd2boxzd2_bglt;

typedef struct BgL_boxzd2refzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_varz00;
} *BgL_boxzd2refzd2_bglt;

typedef struct BgL_boxzd2setz12zc0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_boxzd2setz12zc0_bglt;

typedef struct BgL_tclassz00_bgl {
   obj_t BgL_itszd2superzd2;
   obj_t BgL_slotsz00;
   struct BgL_globalz00_bgl * BgL_holderz00;
   obj_t BgL_wideningz00;
   long BgL_depthz00;
   bool_t BgL_finalzf3zf3;
   obj_t BgL_constructorz00;
   obj_t BgL_virtualzd2slotszd2numberz00;
   bool_t BgL_abstractzf3zf3;
   obj_t BgL_widezd2typezd2;
} *BgL_tclassz00_bglt;

typedef struct BgL_jclassz00_bgl {
   obj_t BgL_itszd2superzd2;
   obj_t BgL_slotsz00;
   obj_t BgL_packagez00;
} *BgL_jclassz00_bglt;

typedef struct BgL_wclassz00_bgl {
   obj_t BgL_itszd2classzd2;
} *BgL_wclassz00_bglt;

typedef struct BgL_envz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_declarationsz00;
   obj_t BgL_declaredtypez00;
   obj_t BgL_declaredclassz00;
   obj_t BgL_declaredmodulez00;
   obj_t BgL_currentzd2modulezd2;
   obj_t BgL_declaredfieldsz00;
   obj_t BgL_declaredglobalz00;
   obj_t BgL_libdeclaredz00;
   obj_t BgL_proceduresz00;
   obj_t BgL_clinitzd2codezd2;
   obj_t BgL_currentzd2methodzd2;
   obj_t BgL_vcountz00;
   obj_t BgL_localsz00;
   obj_t BgL_freelocalsz00;
   obj_t BgL_maplocalsz00;
   obj_t BgL_stackz00;
   obj_t BgL_codez00;
} *BgL_envz00_bglt;


extern obj_t BGl_compilerzd2ifzd2zzjvm_compilerz00(BgL_conditionalz00_bglt, BgL_envz00_bglt, obj_t);
extern obj_t BGl_vrefz00zzast_nodez00;
static obj_t BGl_compilezd2effectzd2vref3056z00zzjvm_effectz00(obj_t, obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zzjvm_effectz00();
static obj_t BGl_compilezd2effectzd2setq3030z00zzjvm_effectz00(obj_t, obj_t, obj_t);
extern obj_t BGl_compilerzd2boxzd2setz12z12zzjvm_compilerz00(BgL_boxzd2setz12zc0_bglt, BgL_envz00_bglt);
BGL_IMPORT obj_t open_input_string(obj_t);
extern obj_t BGl_letzd2funzd2zzast_nodez00;
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t);
static obj_t BGl_compilezd2effectzd2setfield3050z00zzjvm_effectz00(obj_t, obj_t, obj_t);
extern obj_t BGl_compilerzd2labelszd2zzjvm_compilerz00(BgL_letzd2funzd2_bglt, BgL_envz00_bglt, obj_t);
static obj_t BGl_compilezd2effectzd2conditional3034z00zzjvm_effectz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_addzd2genericz12zc0zz__objectz00(obj_t, obj_t);
static obj_t BGl_compilezd2effectzd2sequence3032z00zzjvm_effectz00(obj_t, obj_t, obj_t);
extern obj_t BGl_letzd2varzd2zzast_nodez00;
extern obj_t BGl_pragmaz00zzast_nodez00;
static obj_t BGl_compilezd2effectzd2isa3062z00zzjvm_effectz00(obj_t, obj_t, obj_t);
extern obj_t BGl_compilezd2typezd2zzjvm_envz00(obj_t, BgL_envz00_bglt);
static obj_t BGl_compilezd2effectzd2getfield3048z00zzjvm_effectz00(obj_t, obj_t, obj_t);
static obj_t BGl_compilezd2effectzd2valloc3054z00zzjvm_effectz00(obj_t, obj_t, obj_t);
static obj_t BGl_compilezd2effectzd2vsetz123058z12zzjvm_effectz00(obj_t, obj_t, obj_t);
static obj_t BGl_compilezd2effectzd2atom3024z00zzjvm_effectz00(obj_t, obj_t, obj_t);
static obj_t BGl_compilezd2effectzd2letzd2fun3038zd2zzjvm_effectz00(obj_t, obj_t, obj_t);
extern obj_t BGl_compilerzd2castzd2zzjvm_compilerz00(BgL_castz00_bglt, BgL_envz00_bglt, obj_t);
extern obj_t BGl_castz00zzast_nodez00;
extern obj_t BGl_boxzd2refzd2zzast_nodez00;
extern obj_t BGl_varz00zzast_nodez00;
static obj_t BGl_cnstzd2initzd2zzjvm_effectz00();
static obj_t BGl_compilezd2effectzd2funcall3044z00zzjvm_effectz00(obj_t, obj_t, obj_t);
extern obj_t BGl_atomz00zzast_nodez00;
extern obj_t BGl_failz00zzast_nodez00;
extern obj_t BGl_funcallz00zzast_nodez00;
static obj_t BGl_compilezd2effectzd2letzd2var3028zd2zzjvm_effectz00(obj_t, obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zzjvm_effectz00();
extern obj_t BGl_makezd2boxzd2zzast_nodez00;
static obj_t BGl_compilezd2effectzd2app3040z00zzjvm_effectz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_compilezd2effectzd2zzjvm_effectz00(BgL_nodez00_bglt, BgL_envz00_bglt);
extern obj_t BGl_getfieldz00zzast_nodez00;
extern obj_t BGl_isaz00zzast_nodez00;
extern obj_t BGl_compilerzd2vsetzd2zzjvm_compilerz00(BgL_vsetz12z12_bglt, BgL_envz00_bglt);
BGL_IMPORT obj_t BGl_addzd2methodz12zc0zz__objectz00(obj_t, obj_t, obj_t);
extern obj_t BGl_compilerzd2selectzd2zzjvm_compilerz00(BgL_selectz00_bglt, BgL_envz00_bglt, obj_t);
extern obj_t BGl_selectz00zzast_nodez00;
static obj_t BGl_compilezd2effectzd2setzd2exzd2it3066z00zzjvm_effectz00(obj_t, obj_t, obj_t);
extern obj_t BGl_vallocz00zzast_nodez00;
static obj_t BGl_toplevelzd2initzd2zzjvm_effectz00();
extern obj_t BGl_appzd2lyzd2zzast_nodez00;
static obj_t BGl_compilezd2effectzd2fail3070z00zzjvm_effectz00(obj_t, obj_t, obj_t);
extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzjvm_effectz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzjvm_envz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzjvm_instrz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzjvm_exprz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzjvm_compilerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
static obj_t BGl_compilezd2effectzd2vlength3060z00zzjvm_effectz00(obj_t, obj_t, obj_t);
extern obj_t BGl_compilerzd2setqzd2zzjvm_compilerz00(BgL_setqz00_bglt, BgL_envz00_bglt);
extern obj_t BGl__popz00zzjvm_instrz00(BgL_envz00_bglt, obj_t);
static obj_t BGl_compilezd2effectzd2appzd2ly3042zd2zzjvm_effectz00(obj_t, obj_t, obj_t);
extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
extern obj_t BGl_compilerzd2setfieldzd2zzjvm_compilerz00(BgL_setfieldz00_bglt, BgL_envz00_bglt);
extern obj_t BGl_newz00zzast_nodez00;
extern obj_t BGl_conditionalz00zzast_nodez00;
extern obj_t BGl_sequencez00zzast_nodez00;
static obj_t BGl_compilezd2effectzd2boxzd2setz123076zc0zzjvm_effectz00(obj_t, obj_t, obj_t);
extern obj_t BGl_compilerzd2letzd2zzjvm_compilerz00(BgL_letzd2varzd2_bglt, BgL_envz00_bglt, obj_t);
static obj_t BGl_compilezd2effectzd2new3052z00zzjvm_effectz00(obj_t, obj_t, obj_t);
static obj_t BGl_compilezd2effectzd2boxzd2ref3074zd2zzjvm_effectz00(obj_t, obj_t, obj_t);
extern obj_t BGl_appz00zzast_nodez00;
static obj_t BGl_compilezd2effectzd2cast3064z00zzjvm_effectz00(obj_t, obj_t, obj_t);
extern obj_t BGl_compilerzd2sequencezd2zzjvm_compilerz00(BgL_sequencez00_bglt, BgL_envz00_bglt, obj_t);
static obj_t BGl_compilezd2effectzd2makezd2box3072zd2zzjvm_effectz00(obj_t, obj_t, obj_t);
extern obj_t BGl_vlengthz00zzast_nodez00;
extern obj_t BGl_setfieldz00zzast_nodez00;
static obj_t BGl__compilezd2effectzd2default3021z00zzjvm_effectz00(obj_t, obj_t, obj_t);
static obj_t BGl__compilezd2effect3709zd2zzjvm_effectz00(obj_t, obj_t, obj_t);
static obj_t BGl_compilezd2effectzd2select3036z00zzjvm_effectz00(obj_t, obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zzjvm_effectz00 = BUNSPEC;
static obj_t BGl_compilezd2effectzd2var3026z00zzjvm_effectz00(obj_t, obj_t, obj_t);
static obj_t BGl_compilezd2effectzd2default3021z00zzjvm_effectz00(BgL_nodez00_bglt, BgL_envz00_bglt);
extern obj_t BGl_compilezd2exprzd2zzjvm_exprz00(BgL_nodez00_bglt, BgL_envz00_bglt);
static obj_t BGl_compilezd2effectzd2pragma3046z00zzjvm_effectz00(obj_t, obj_t, obj_t);
static obj_t BGl_libraryzd2moduleszd2initz00zzjvm_effectz00();
extern obj_t BGl_vsetz12z12zzast_nodez00;
static obj_t BGl_compilezd2effectzd2jumpzd2exzd2it3068z00zzjvm_effectz00(obj_t, obj_t, obj_t);
extern obj_t BGl_setqz00zzast_nodez00;
static obj_t __cnst[ 2 ] ;


DEFINE_STATIC_PROCEDURE( BGl_proc3948z00zzjvm_effectz00, BgL_bgl_compileza7d2effectza7d2atom3024za700za7za7jvm_effectza7004006z00, BGl_compilezd2effectzd2atom3024z00zzjvm_effectz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3950z00zzjvm_effectz00, BgL_bgl_compileza7d2effectza7d2letza7d2var3028za7d2za7za7jvm_effectza7004007za7, BGl_compilezd2effectzd2letzd2var3028zd2zzjvm_effectz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3949z00zzjvm_effectz00, BgL_bgl_compileza7d2effectza7d2var3026za700za7za7jvm_effectza7004008z00, BGl_compilezd2effectzd2var3026z00zzjvm_effectz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3951z00zzjvm_effectz00, BgL_bgl_compileza7d2effectza7d2setq3030za700za7za7jvm_effectza7004009z00, BGl_compilezd2effectzd2setq3030z00zzjvm_effectz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3952z00zzjvm_effectz00, BgL_bgl_compileza7d2effectza7d2sequence3032za700za7za7jvm_effectza7004010z00, BGl_compilezd2effectzd2sequence3032z00zzjvm_effectz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3953z00zzjvm_effectz00, BgL_bgl_compileza7d2effectza7d2conditional3034za700za7za7jvm_effectza7004011z00, BGl_compilezd2effectzd2conditional3034z00zzjvm_effectz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3954z00zzjvm_effectz00, BgL_bgl_compileza7d2effectza7d2select3036za700za7za7jvm_effectza7004012z00, BGl_compilezd2effectzd2select3036z00zzjvm_effectz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3955z00zzjvm_effectz00, BgL_bgl_compileza7d2effectza7d2letza7d2fun3038za7d2za7za7jvm_effectza7004013za7, BGl_compilezd2effectzd2letzd2fun3038zd2zzjvm_effectz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3956z00zzjvm_effectz00, BgL_bgl_compileza7d2effectza7d2app3040za700za7za7jvm_effectza7004014z00, BGl_compilezd2effectzd2app3040z00zzjvm_effectz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3957z00zzjvm_effectz00, BgL_bgl_compileza7d2effectza7d2appza7d2ly3042za7d2za7za7jvm_effectza7004015za7, BGl_compilezd2effectzd2appzd2ly3042zd2zzjvm_effectz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3958z00zzjvm_effectz00, BgL_bgl_compileza7d2effectza7d2funcall3044za700za7za7jvm_effectza7004016z00, BGl_compilezd2effectzd2funcall3044z00zzjvm_effectz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3960z00zzjvm_effectz00, BgL_bgl_compileza7d2effectza7d2getfield3048za700za7za7jvm_effectza7004017z00, BGl_compilezd2effectzd2getfield3048z00zzjvm_effectz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3959z00zzjvm_effectz00, BgL_bgl_compileza7d2effectza7d2pragma3046za700za7za7jvm_effectza7004018z00, BGl_compilezd2effectzd2pragma3046z00zzjvm_effectz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3961z00zzjvm_effectz00, BgL_bgl_compileza7d2effectza7d2setfield3050za700za7za7jvm_effectza7004019z00, BGl_compilezd2effectzd2setfield3050z00zzjvm_effectz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3962z00zzjvm_effectz00, BgL_bgl_compileza7d2effectza7d2new3052za700za7za7jvm_effectza7004020z00, BGl_compilezd2effectzd2new3052z00zzjvm_effectz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3963z00zzjvm_effectz00, BgL_bgl_compileza7d2effectza7d2valloc3054za700za7za7jvm_effectza7004021z00, BGl_compilezd2effectzd2valloc3054z00zzjvm_effectz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3964z00zzjvm_effectz00, BgL_bgl_compileza7d2effectza7d2vref3056za700za7za7jvm_effectza7004022z00, BGl_compilezd2effectzd2vref3056z00zzjvm_effectz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3965z00zzjvm_effectz00, BgL_bgl_compileza7d2effectza7d2vsetza7123058za712za7za7jvm_effectza7004023za7, BGl_compilezd2effectzd2vsetz123058z12zzjvm_effectz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3966z00zzjvm_effectz00, BgL_bgl_compileza7d2effectza7d2vlength3060za700za7za7jvm_effectza7004024z00, BGl_compilezd2effectzd2vlength3060z00zzjvm_effectz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3967z00zzjvm_effectz00, BgL_bgl_compileza7d2effectza7d2isa3062za700za7za7jvm_effectza7004025z00, BGl_compilezd2effectzd2isa3062z00zzjvm_effectz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3968z00zzjvm_effectz00, BgL_bgl_compileza7d2effectza7d2cast3064za700za7za7jvm_effectza7004026z00, BGl_compilezd2effectzd2cast3064z00zzjvm_effectz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3970z00zzjvm_effectz00, BgL_bgl_compileza7d2effectza7d2jumpza7d2exza7d2it3068za700za7za7jvm_effectza7004027z00, BGl_compilezd2effectzd2jumpzd2exzd2it3068z00zzjvm_effectz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3969z00zzjvm_effectz00, BgL_bgl_compileza7d2effectza7d2setza7d2exza7d2it3066za700za7za7jvm_effectza7004028z00, BGl_compilezd2effectzd2setzd2exzd2it3066z00zzjvm_effectz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3971z00zzjvm_effectz00, BgL_bgl_compileza7d2effectza7d2fail3070za700za7za7jvm_effectza7004029z00, BGl_compilezd2effectzd2fail3070z00zzjvm_effectz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3972z00zzjvm_effectz00, BgL_bgl_compileza7d2effectza7d2makeza7d2box3072za7d2za7za7jvm_effectza7004030za7, BGl_compilezd2effectzd2makezd2box3072zd2zzjvm_effectz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3973z00zzjvm_effectz00, BgL_bgl_compileza7d2effectza7d2boxza7d2ref3074za7d2za7za7jvm_effectza7004031za7, BGl_compilezd2effectzd2boxzd2ref3074zd2zzjvm_effectz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3974z00zzjvm_effectz00, BgL_bgl_compileza7d2effectza7d2boxza7d2setza7123076za7c0za7za7jvm_effectza7004032z00, BGl_compilezd2effectzd2boxzd2setz123076zc0zzjvm_effectz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_compilezd2effectzd2default3021zd2envzd2zzjvm_effectz00, BgL_bgl__compileza7d2effectza7d2default3021za700za7za7jvm_effectza7004033z00, BGl__compilezd2effectzd2default3021z00zzjvm_effectz00, 0L, 2 );
DEFINE_STRING( BGl_string3976z00zzjvm_effectz00, BgL_bgl_string3976za700za7za7jvm_effectza7004034z00, "compile-effect-default3021 ok ", 30 );
DEFINE_STRING( BGl_string3975z00zzjvm_effectz00, BgL_bgl_string3975za700za7za7jvm_effectza7004035z00, "No method for this object", 25 );
DEFINE_EXPORT_GENERIC( BGl_compilezd2effectzd2envz00zzjvm_effectz00, BgL_bgl__compileza7d2effect3709za7d2za7za7jvm_effectza7004036za7, BGl__compilezd2effect3709zd2zzjvm_effectz00, 0L, 2 );



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzjvm_effectz00(long BgL_checksumz00_1818, char * BgL_fromz00_1819)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzjvm_effectz00))
{ 
BGl_requirezd2initializa7ationz75zzjvm_effectz00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzjvm_effectz00(); 
BGl_cnstzd2initzd2zzjvm_effectz00(); 
BGl_importedzd2moduleszd2initz00zzjvm_effectz00(); 
BGl_methodzd2initzd2zzjvm_effectz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzjvm_effectz00()
{ AN_OBJECT;
{ /* ./Jvm/effect.scm 2 */
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "jvm_effect"); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "jvm_effect"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzjvm_effectz00()
{ AN_OBJECT;
{ /* ./Jvm/effect.scm 2 */
{ /* ./Jvm/effect.scm 2 */
obj_t BgL_cportz00_1791;
BgL_cportz00_1791 = 
open_input_string(BGl_string3976z00zzjvm_effectz00); 
{ 
long BgL_iz00_1792;
BgL_iz00_1792 = ((long)1); 
BgL_loopz00_1793:
{ /* ./Jvm/effect.scm 2 */
bool_t BgL_test3978z00_1794;
BgL_test3978z00_1794 = 
(BgL_iz00_1792==((long)-1)); 
if(BgL_test3978z00_1794)
{ /* ./Jvm/effect.scm 2 */
return BUNSPEC;}  else 
{ /* ./Jvm/effect.scm 2 */
{ /* ./Jvm/effect.scm 2 */
obj_t BgL_arg3980z00_1795;
{ /* ./Jvm/effect.scm 2 */
obj_t BgL_list3983z00_1796;
BgL_list3983z00_1796 = 
MAKE_PAIR(BgL_cportz00_1791, BNIL); 
BgL_arg3980z00_1795 = 
BGl_readz00zz__readerz00(BgL_list3983z00_1796); } 
{ /* ./Jvm/effect.scm 2 */
int BgL_auxz00_1834;
BgL_auxz00_1834 = 
(int)(BgL_iz00_1792); 
CNST_TABLE_SET(BgL_auxz00_1834, BgL_arg3980z00_1795); } } 
{ /* ./Jvm/effect.scm 2 */
int BgL_auxz00_1797;
{ /* ./Jvm/effect.scm 2 */
long BgL_auxz00_1837;
BgL_auxz00_1837 = 
(BgL_iz00_1792-((long)1)); 
BgL_auxz00_1797 = 
(int)(BgL_auxz00_1837); } 
{ 
long BgL_iz00_1840;
BgL_iz00_1840 = 
(long)(BgL_auxz00_1797); 
BgL_iz00_1792 = BgL_iz00_1840; 
goto BgL_loopz00_1793;} } } } } } } 
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zzjvm_effectz00()
{ AN_OBJECT;
{ /* ./Jvm/effect.scm 2 */
return BUNSPEC;} 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzjvm_effectz00()
{ AN_OBJECT;
{ /* ./Jvm/effect.scm 2 */
BGl_addzd2genericz12zc0zz__objectz00(BGl_compilezd2effectzd2envz00zzjvm_effectz00, BGl_compilezd2effectzd2default3021zd2envzd2zzjvm_effectz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2effectzd2envz00zzjvm_effectz00, BGl_atomz00zzast_nodez00, BGl_proc3948z00zzjvm_effectz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2effectzd2envz00zzjvm_effectz00, BGl_varz00zzast_nodez00, BGl_proc3949z00zzjvm_effectz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2effectzd2envz00zzjvm_effectz00, BGl_letzd2varzd2zzast_nodez00, BGl_proc3950z00zzjvm_effectz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2effectzd2envz00zzjvm_effectz00, BGl_setqz00zzast_nodez00, BGl_proc3951z00zzjvm_effectz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2effectzd2envz00zzjvm_effectz00, BGl_sequencez00zzast_nodez00, BGl_proc3952z00zzjvm_effectz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2effectzd2envz00zzjvm_effectz00, BGl_conditionalz00zzast_nodez00, BGl_proc3953z00zzjvm_effectz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2effectzd2envz00zzjvm_effectz00, BGl_selectz00zzast_nodez00, BGl_proc3954z00zzjvm_effectz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2effectzd2envz00zzjvm_effectz00, BGl_letzd2funzd2zzast_nodez00, BGl_proc3955z00zzjvm_effectz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2effectzd2envz00zzjvm_effectz00, BGl_appz00zzast_nodez00, BGl_proc3956z00zzjvm_effectz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2effectzd2envz00zzjvm_effectz00, BGl_appzd2lyzd2zzast_nodez00, BGl_proc3957z00zzjvm_effectz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2effectzd2envz00zzjvm_effectz00, BGl_funcallz00zzast_nodez00, BGl_proc3958z00zzjvm_effectz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2effectzd2envz00zzjvm_effectz00, BGl_pragmaz00zzast_nodez00, BGl_proc3959z00zzjvm_effectz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2effectzd2envz00zzjvm_effectz00, BGl_getfieldz00zzast_nodez00, BGl_proc3960z00zzjvm_effectz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2effectzd2envz00zzjvm_effectz00, BGl_setfieldz00zzast_nodez00, BGl_proc3961z00zzjvm_effectz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2effectzd2envz00zzjvm_effectz00, BGl_newz00zzast_nodez00, BGl_proc3962z00zzjvm_effectz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2effectzd2envz00zzjvm_effectz00, BGl_vallocz00zzast_nodez00, BGl_proc3963z00zzjvm_effectz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2effectzd2envz00zzjvm_effectz00, BGl_vrefz00zzast_nodez00, BGl_proc3964z00zzjvm_effectz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2effectzd2envz00zzjvm_effectz00, BGl_vsetz12z12zzast_nodez00, BGl_proc3965z00zzjvm_effectz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2effectzd2envz00zzjvm_effectz00, BGl_vlengthz00zzast_nodez00, BGl_proc3966z00zzjvm_effectz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2effectzd2envz00zzjvm_effectz00, BGl_isaz00zzast_nodez00, BGl_proc3967z00zzjvm_effectz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2effectzd2envz00zzjvm_effectz00, BGl_castz00zzast_nodez00, BGl_proc3968z00zzjvm_effectz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2effectzd2envz00zzjvm_effectz00, BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc3969z00zzjvm_effectz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2effectzd2envz00zzjvm_effectz00, BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc3970z00zzjvm_effectz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2effectzd2envz00zzjvm_effectz00, BGl_failz00zzast_nodez00, BGl_proc3971z00zzjvm_effectz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2effectzd2envz00zzjvm_effectz00, BGl_makezd2boxzd2zzast_nodez00, BGl_proc3972z00zzjvm_effectz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2effectzd2envz00zzjvm_effectz00, BGl_boxzd2refzd2zzast_nodez00, BGl_proc3973z00zzjvm_effectz00); 
return 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2effectzd2envz00zzjvm_effectz00, BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc3974z00zzjvm_effectz00);} 
}



/* compile-effect-box-set!3076 */
obj_t BGl_compilezd2effectzd2boxzd2setz123076zc0zzjvm_effectz00(obj_t BgL_envz00_1707, obj_t BgL_ez00_1708, obj_t BgL_envz00_1709)
{ AN_OBJECT;
{ /* ./Jvm/effect.scm 96 */
{ /* ./Jvm/effect.scm 97 */
BgL_boxzd2setz12zc0_bglt BgL_ez00_1798;BgL_envz00_bglt BgL_envz00_1799;
BgL_ez00_1798 = 
(BgL_boxzd2setz12zc0_bglt)(BgL_ez00_1708); 
BgL_envz00_1799 = 
(BgL_envz00_bglt)(BgL_envz00_1709); 
return 
BGl_compilerzd2boxzd2setz12z12zzjvm_compilerz00(BgL_ez00_1798, BgL_envz00_1799);} } 
}



/* compile-effect-box-ref3074 */
obj_t BGl_compilezd2effectzd2boxzd2ref3074zd2zzjvm_effectz00(obj_t BgL_envz00_1710, obj_t BgL_ez00_1711, obj_t BgL_envz00_1712)
{ AN_OBJECT;
{ /* ./Jvm/effect.scm 93 */
{ /* ./Jvm/effect.scm 94 */
obj_t BgL_res3992z00_1802;
BgL_res3992z00_1802 = 
CNST_TABLE_REF(((long)0)); 
return BgL_res3992z00_1802;} } 
}



/* compile-effect-make-box3072 */
obj_t BGl_compilezd2effectzd2makezd2box3072zd2zzjvm_effectz00(obj_t BgL_envz00_1713, obj_t BgL_ez00_1714, obj_t BgL_envz00_1715)
{ AN_OBJECT;
{ /* ./Jvm/effect.scm 90 */
{ 
BgL_makezd2boxzd2_bglt BgL_ez00_1393;BgL_envz00_bglt BgL_envz00_1394;
BgL_ez00_1393 = 
(BgL_makezd2boxzd2_bglt)(BgL_ez00_1714); 
BgL_envz00_1394 = 
(BgL_envz00_bglt)(BgL_envz00_1715); 
{ /* ./Jvm/effect.scm 91 */
BgL_nodez00_bglt BgL_arg3661z00_1620;
BgL_arg3661z00_1620 = 
(((BgL_makezd2boxzd2_bglt)CREF(BgL_ez00_1393))->BgL_valuez00); 
{ /* ./Jvm/effect.scm 91 */
obj_t BgL_method3022z00_1624;
{ /* ./Jvm/effect.scm 91 */
BgL_objectz00_bglt BgL_objz00_1625;
BgL_objz00_1625 = 
(BgL_objectz00_bglt)(BgL_arg3661z00_1620); 
{ /* ./Jvm/effect.scm 91 */
long BgL_objzd2classzd2numz00_1626;
BgL_objzd2classzd2numz00_1626 = 
BGL_OBJECT_CLASS_NUM(BgL_objz00_1625); 
{ /* ./Jvm/effect.scm 91 */
obj_t BgL_arg2017z00_1627;
{ /* ./Jvm/effect.scm 91 */
int BgL_auxz00_1877;
BgL_auxz00_1877 = 
(int)(((long)1)); 
BgL_arg2017z00_1627 = 
PROCEDURE_REF(BGl_compilezd2effectzd2envz00zzjvm_effectz00, BgL_auxz00_1877); } 
{ /* ./Jvm/effect.scm 91 */
int BgL_offsetz00_1630;
BgL_offsetz00_1630 = 
(int)(BgL_objzd2classzd2numz00_1626); 
{ /* ./Jvm/effect.scm 91 */
long BgL_offsetz00_1631;
{ /* ./Jvm/effect.scm 91 */
long BgL_auxz00_1881;
BgL_auxz00_1881 = 
(long)(BgL_offsetz00_1630); 
BgL_offsetz00_1631 = 
(BgL_auxz00_1881-OBJECT_TYPE); } 
{ /* ./Jvm/effect.scm 91 */
long BgL_modz00_1632;
{ /* ./Jvm/effect.scm 91 */
int BgL_arg2028z00_1633;
BgL_arg2028z00_1633 = 
(int)(((long)8)); 
{ /* ./Jvm/effect.scm 91 */
long BgL_n2z00_1641;
BgL_n2z00_1641 = 
(long)(BgL_arg2028z00_1633); 
BgL_modz00_1632 = 
(BgL_offsetz00_1631/BgL_n2z00_1641); } } 
{ /* ./Jvm/effect.scm 91 */
long BgL_restz00_1634;
{ /* ./Jvm/effect.scm 91 */
int BgL_arg2024z00_1635;
BgL_arg2024z00_1635 = 
(int)(((long)8)); 
{ /* ./Jvm/effect.scm 91 */
long BgL_n2z00_1644;
BgL_n2z00_1644 = 
(long)(BgL_arg2024z00_1635); 
BgL_restz00_1634 = 
(BgL_offsetz00_1631%BgL_n2z00_1644); } } 
{ /* ./Jvm/effect.scm 91 */

{ /* ./Jvm/effect.scm 91 */
obj_t BgL_bucketz00_1636;
{ /* ./Jvm/effect.scm 91 */
int BgL_kz00_1646;
BgL_kz00_1646 = 
(int)(BgL_modz00_1632); 
BgL_bucketz00_1636 = 
VECTOR_REF(BgL_arg2017z00_1627,BgL_kz00_1646); } 
{ /* ./Jvm/effect.scm 91 */
int BgL_kz00_1648;
BgL_kz00_1648 = 
(int)(BgL_restz00_1634); 
BgL_method3022z00_1624 = 
VECTOR_REF(BgL_bucketz00_1636,BgL_kz00_1648); } } } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method3022z00_1624)(BgL_method3022z00_1624, 
(obj_t)(BgL_arg3661z00_1620), 
(obj_t)(BgL_envz00_1394), BEOA);} } } } 
}



/* compile-effect-fail3070 */
obj_t BGl_compilezd2effectzd2fail3070z00zzjvm_effectz00(obj_t BgL_envz00_1716, obj_t BgL_ez00_1717, obj_t BgL_envz00_1718)
{ AN_OBJECT;
{ /* ./Jvm/effect.scm 87 */
{ 
BgL_failz00_bglt BgL_ez00_1387;BgL_envz00_bglt BgL_envz00_1388;
BgL_ez00_1387 = 
(BgL_failz00_bglt)(BgL_ez00_1717); 
BgL_envz00_1388 = 
(BgL_envz00_bglt)(BgL_envz00_1718); 
{ /* ./Jvm/effect.scm 88 */
BgL_nodez00_bglt BgL_ez00_1617;
BgL_ez00_1617 = 
(BgL_nodez00_bglt)(BgL_ez00_1387); 
BGl_compilezd2exprzd2zzjvm_exprz00(BgL_ez00_1617, BgL_envz00_1388); 
{ /* ./Jvm/effect.scm 88 */
obj_t BgL_arg3079z00_1619;
BgL_arg3079z00_1619 = 
BGl_compilezd2typezd2zzjvm_envz00(
(obj_t)(BgL_ez00_1617), BgL_envz00_1388); 
return 
BGl__popz00zzjvm_instrz00(BgL_envz00_1388, BgL_arg3079z00_1619);} } } } 
}



/* compile-effect-jump-ex-it3068 */
obj_t BGl_compilezd2effectzd2jumpzd2exzd2it3068z00zzjvm_effectz00(obj_t BgL_envz00_1719, obj_t BgL_ez00_1720, obj_t BgL_envz00_1721)
{ AN_OBJECT;
{ /* ./Jvm/effect.scm 84 */
{ 
BgL_jumpzd2exzd2itz00_bglt BgL_ez00_1381;BgL_envz00_bglt BgL_envz00_1382;
BgL_ez00_1381 = 
(BgL_jumpzd2exzd2itz00_bglt)(BgL_ez00_1720); 
BgL_envz00_1382 = 
(BgL_envz00_bglt)(BgL_envz00_1721); 
{ /* ./Jvm/effect.scm 85 */
BgL_nodez00_bglt BgL_ez00_1614;
BgL_ez00_1614 = 
(BgL_nodez00_bglt)(BgL_ez00_1381); 
BGl_compilezd2exprzd2zzjvm_exprz00(BgL_ez00_1614, BgL_envz00_1382); 
{ /* ./Jvm/effect.scm 85 */
obj_t BgL_arg3079z00_1616;
BgL_arg3079z00_1616 = 
BGl_compilezd2typezd2zzjvm_envz00(
(obj_t)(BgL_ez00_1614), BgL_envz00_1382); 
return 
BGl__popz00zzjvm_instrz00(BgL_envz00_1382, BgL_arg3079z00_1616);} } } } 
}



/* compile-effect-set-ex-it3066 */
obj_t BGl_compilezd2effectzd2setzd2exzd2it3066z00zzjvm_effectz00(obj_t BgL_envz00_1722, obj_t BgL_ez00_1723, obj_t BgL_envz00_1724)
{ AN_OBJECT;
{ /* ./Jvm/effect.scm 81 */
{ 
BgL_setzd2exzd2itz00_bglt BgL_ez00_1375;BgL_envz00_bglt BgL_envz00_1376;
BgL_ez00_1375 = 
(BgL_setzd2exzd2itz00_bglt)(BgL_ez00_1723); 
BgL_envz00_1376 = 
(BgL_envz00_bglt)(BgL_envz00_1724); 
{ /* ./Jvm/effect.scm 82 */
BgL_nodez00_bglt BgL_ez00_1611;
BgL_ez00_1611 = 
(BgL_nodez00_bglt)(BgL_ez00_1375); 
BGl_compilezd2exprzd2zzjvm_exprz00(BgL_ez00_1611, BgL_envz00_1376); 
{ /* ./Jvm/effect.scm 82 */
obj_t BgL_arg3079z00_1613;
BgL_arg3079z00_1613 = 
BGl_compilezd2typezd2zzjvm_envz00(
(obj_t)(BgL_ez00_1611), BgL_envz00_1376); 
return 
BGl__popz00zzjvm_instrz00(BgL_envz00_1376, BgL_arg3079z00_1613);} } } } 
}



/* compile-effect-cast3064 */
obj_t BGl_compilezd2effectzd2cast3064z00zzjvm_effectz00(obj_t BgL_envz00_1725, obj_t BgL_ez00_1726, obj_t BgL_envz00_1727)
{ AN_OBJECT;
{ /* ./Jvm/effect.scm 78 */
{ 
BgL_castz00_bglt BgL_ez00_1369;BgL_envz00_bglt BgL_envz00_1370;
BgL_ez00_1369 = 
(BgL_castz00_bglt)(BgL_ez00_1726); 
BgL_envz00_1370 = 
(BgL_envz00_bglt)(BgL_envz00_1727); 
return 
BGl_compilerzd2castzd2zzjvm_compilerz00(BgL_ez00_1369, BgL_envz00_1370, BGl_compilezd2effectzd2envz00zzjvm_effectz00);} } 
}



/* compile-effect-isa3062 */
obj_t BGl_compilezd2effectzd2isa3062z00zzjvm_effectz00(obj_t BgL_envz00_1728, obj_t BgL_ez00_1729, obj_t BgL_envz00_1730)
{ AN_OBJECT;
{ /* ./Jvm/effect.scm 75 */
{ 
BgL_isaz00_bglt BgL_ez00_1361;BgL_envz00_bglt BgL_envz00_1362;
BgL_ez00_1361 = 
(BgL_isaz00_bglt)(BgL_ez00_1729); 
BgL_envz00_1362 = 
(BgL_envz00_bglt)(BgL_envz00_1730); 
{ /* ./Jvm/effect.scm 76 */
obj_t BgL_arg3619z00_1580;
{ /* ./Jvm/effect.scm 76 */
obj_t BgL_auxz00_1924;
{ /* ./Jvm/effect.scm 76 */
BgL_externz00_bglt BgL_obj1817z00_1582;
BgL_obj1817z00_1582 = 
(BgL_externz00_bglt)(BgL_ez00_1361); 
BgL_auxz00_1924 = 
(((BgL_externz00_bglt)CREF(BgL_obj1817z00_1582))->BgL_exprza2za2); } 
BgL_arg3619z00_1580 = 
CAR(BgL_auxz00_1924); } 
{ /* ./Jvm/effect.scm 76 */
BgL_nodez00_bglt BgL_ez00_1584;
BgL_ez00_1584 = 
(BgL_nodez00_bglt)(BgL_arg3619z00_1580); 
{ /* ./Jvm/effect.scm 76 */
obj_t BgL_method3022z00_1586;
{ /* ./Jvm/effect.scm 76 */
BgL_objectz00_bglt BgL_objz00_1587;
BgL_objz00_1587 = 
(BgL_objectz00_bglt)(BgL_ez00_1584); 
{ /* ./Jvm/effect.scm 76 */
long BgL_objzd2classzd2numz00_1588;
BgL_objzd2classzd2numz00_1588 = 
BGL_OBJECT_CLASS_NUM(BgL_objz00_1587); 
{ /* ./Jvm/effect.scm 76 */
obj_t BgL_arg2017z00_1589;
{ /* ./Jvm/effect.scm 76 */
int BgL_auxz00_1931;
BgL_auxz00_1931 = 
(int)(((long)1)); 
BgL_arg2017z00_1589 = 
PROCEDURE_REF(BGl_compilezd2effectzd2envz00zzjvm_effectz00, BgL_auxz00_1931); } 
{ /* ./Jvm/effect.scm 76 */
int BgL_offsetz00_1592;
BgL_offsetz00_1592 = 
(int)(BgL_objzd2classzd2numz00_1588); 
{ /* ./Jvm/effect.scm 76 */
long BgL_offsetz00_1593;
{ /* ./Jvm/effect.scm 76 */
long BgL_auxz00_1935;
BgL_auxz00_1935 = 
(long)(BgL_offsetz00_1592); 
BgL_offsetz00_1593 = 
(BgL_auxz00_1935-OBJECT_TYPE); } 
{ /* ./Jvm/effect.scm 76 */
long BgL_modz00_1594;
{ /* ./Jvm/effect.scm 76 */
int BgL_arg2028z00_1595;
BgL_arg2028z00_1595 = 
(int)(((long)8)); 
{ /* ./Jvm/effect.scm 76 */
long BgL_n2z00_1603;
BgL_n2z00_1603 = 
(long)(BgL_arg2028z00_1595); 
BgL_modz00_1594 = 
(BgL_offsetz00_1593/BgL_n2z00_1603); } } 
{ /* ./Jvm/effect.scm 76 */
long BgL_restz00_1596;
{ /* ./Jvm/effect.scm 76 */
int BgL_arg2024z00_1597;
BgL_arg2024z00_1597 = 
(int)(((long)8)); 
{ /* ./Jvm/effect.scm 76 */
long BgL_n2z00_1606;
BgL_n2z00_1606 = 
(long)(BgL_arg2024z00_1597); 
BgL_restz00_1596 = 
(BgL_offsetz00_1593%BgL_n2z00_1606); } } 
{ /* ./Jvm/effect.scm 76 */

{ /* ./Jvm/effect.scm 76 */
obj_t BgL_bucketz00_1598;
{ /* ./Jvm/effect.scm 76 */
int BgL_kz00_1608;
BgL_kz00_1608 = 
(int)(BgL_modz00_1594); 
BgL_bucketz00_1598 = 
VECTOR_REF(BgL_arg2017z00_1589,BgL_kz00_1608); } 
{ /* ./Jvm/effect.scm 76 */
int BgL_kz00_1610;
BgL_kz00_1610 = 
(int)(BgL_restz00_1596); 
BgL_method3022z00_1586 = 
VECTOR_REF(BgL_bucketz00_1598,BgL_kz00_1610); } } } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method3022z00_1586)(BgL_method3022z00_1586, 
(obj_t)(BgL_ez00_1584), 
(obj_t)(BgL_envz00_1362), BEOA);} } } } } 
}



/* compile-effect-vlength3060 */
obj_t BGl_compilezd2effectzd2vlength3060z00zzjvm_effectz00(obj_t BgL_envz00_1731, obj_t BgL_ez00_1732, obj_t BgL_envz00_1733)
{ AN_OBJECT;
{ /* ./Jvm/effect.scm 72 */
{ 
BgL_vlengthz00_bglt BgL_ez00_1353;BgL_envz00_bglt BgL_envz00_1354;
BgL_ez00_1353 = 
(BgL_vlengthz00_bglt)(BgL_ez00_1732); 
BgL_envz00_1354 = 
(BgL_envz00_bglt)(BgL_envz00_1733); 
{ /* ./Jvm/effect.scm 73 */
obj_t BgL_arg3606z00_1549;
{ /* ./Jvm/effect.scm 73 */
obj_t BgL_auxz00_1954;
{ /* ./Jvm/effect.scm 73 */
BgL_externz00_bglt BgL_obj1817z00_1551;
BgL_obj1817z00_1551 = 
(BgL_externz00_bglt)(BgL_ez00_1353); 
BgL_auxz00_1954 = 
(((BgL_externz00_bglt)CREF(BgL_obj1817z00_1551))->BgL_exprza2za2); } 
BgL_arg3606z00_1549 = 
CAR(BgL_auxz00_1954); } 
{ /* ./Jvm/effect.scm 73 */
BgL_nodez00_bglt BgL_ez00_1553;
BgL_ez00_1553 = 
(BgL_nodez00_bglt)(BgL_arg3606z00_1549); 
{ /* ./Jvm/effect.scm 73 */
obj_t BgL_method3022z00_1555;
{ /* ./Jvm/effect.scm 73 */
BgL_objectz00_bglt BgL_objz00_1556;
BgL_objz00_1556 = 
(BgL_objectz00_bglt)(BgL_ez00_1553); 
{ /* ./Jvm/effect.scm 73 */
long BgL_objzd2classzd2numz00_1557;
BgL_objzd2classzd2numz00_1557 = 
BGL_OBJECT_CLASS_NUM(BgL_objz00_1556); 
{ /* ./Jvm/effect.scm 73 */
obj_t BgL_arg2017z00_1558;
{ /* ./Jvm/effect.scm 73 */
int BgL_auxz00_1961;
BgL_auxz00_1961 = 
(int)(((long)1)); 
BgL_arg2017z00_1558 = 
PROCEDURE_REF(BGl_compilezd2effectzd2envz00zzjvm_effectz00, BgL_auxz00_1961); } 
{ /* ./Jvm/effect.scm 73 */
int BgL_offsetz00_1561;
BgL_offsetz00_1561 = 
(int)(BgL_objzd2classzd2numz00_1557); 
{ /* ./Jvm/effect.scm 73 */
long BgL_offsetz00_1562;
{ /* ./Jvm/effect.scm 73 */
long BgL_auxz00_1965;
BgL_auxz00_1965 = 
(long)(BgL_offsetz00_1561); 
BgL_offsetz00_1562 = 
(BgL_auxz00_1965-OBJECT_TYPE); } 
{ /* ./Jvm/effect.scm 73 */
long BgL_modz00_1563;
{ /* ./Jvm/effect.scm 73 */
int BgL_arg2028z00_1564;
BgL_arg2028z00_1564 = 
(int)(((long)8)); 
{ /* ./Jvm/effect.scm 73 */
long BgL_n2z00_1572;
BgL_n2z00_1572 = 
(long)(BgL_arg2028z00_1564); 
BgL_modz00_1563 = 
(BgL_offsetz00_1562/BgL_n2z00_1572); } } 
{ /* ./Jvm/effect.scm 73 */
long BgL_restz00_1565;
{ /* ./Jvm/effect.scm 73 */
int BgL_arg2024z00_1566;
BgL_arg2024z00_1566 = 
(int)(((long)8)); 
{ /* ./Jvm/effect.scm 73 */
long BgL_n2z00_1575;
BgL_n2z00_1575 = 
(long)(BgL_arg2024z00_1566); 
BgL_restz00_1565 = 
(BgL_offsetz00_1562%BgL_n2z00_1575); } } 
{ /* ./Jvm/effect.scm 73 */

{ /* ./Jvm/effect.scm 73 */
obj_t BgL_bucketz00_1567;
{ /* ./Jvm/effect.scm 73 */
int BgL_kz00_1577;
BgL_kz00_1577 = 
(int)(BgL_modz00_1563); 
BgL_bucketz00_1567 = 
VECTOR_REF(BgL_arg2017z00_1558,BgL_kz00_1577); } 
{ /* ./Jvm/effect.scm 73 */
int BgL_kz00_1579;
BgL_kz00_1579 = 
(int)(BgL_restz00_1565); 
BgL_method3022z00_1555 = 
VECTOR_REF(BgL_bucketz00_1567,BgL_kz00_1579); } } } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method3022z00_1555)(BgL_method3022z00_1555, 
(obj_t)(BgL_ez00_1553), 
(obj_t)(BgL_envz00_1354), BEOA);} } } } } 
}



/* compile-effect-vset!3058 */
obj_t BGl_compilezd2effectzd2vsetz123058z12zzjvm_effectz00(obj_t BgL_envz00_1734, obj_t BgL_ez00_1735, obj_t BgL_envz00_1736)
{ AN_OBJECT;
{ /* ./Jvm/effect.scm 69 */
{ /* ./Jvm/effect.scm 70 */
BgL_vsetz12z12_bglt BgL_ez00_1803;BgL_envz00_bglt BgL_envz00_1804;
BgL_ez00_1803 = 
(BgL_vsetz12z12_bglt)(BgL_ez00_1735); 
BgL_envz00_1804 = 
(BgL_envz00_bglt)(BgL_envz00_1736); 
return 
BGl_compilerzd2vsetzd2zzjvm_compilerz00(BgL_ez00_1803, BgL_envz00_1804);} } 
}



/* compile-effect-vref3056 */
obj_t BGl_compilezd2effectzd2vref3056z00zzjvm_effectz00(obj_t BgL_envz00_1737, obj_t BgL_ez00_1738, obj_t BgL_envz00_1739)
{ AN_OBJECT;
{ /* ./Jvm/effect.scm 64 */
{ 
BgL_vrefz00_bglt BgL_ez00_1336;BgL_envz00_bglt BgL_envz00_1337;
BgL_ez00_1336 = 
(BgL_vrefz00_bglt)(BgL_ez00_1738); 
BgL_envz00_1337 = 
(BgL_envz00_bglt)(BgL_envz00_1739); 
{ /* ./Jvm/effect.scm 66 */
obj_t BgL_arg3577z00_1341;
{ /* ./Jvm/effect.scm 66 */
obj_t BgL_auxz00_1987;
{ /* ./Jvm/effect.scm 66 */
BgL_externz00_bglt BgL_obj1817z00_1488;
BgL_obj1817z00_1488 = 
(BgL_externz00_bglt)(BgL_ez00_1336); 
BgL_auxz00_1987 = 
(((BgL_externz00_bglt)CREF(BgL_obj1817z00_1488))->BgL_exprza2za2); } 
BgL_arg3577z00_1341 = 
CAR(BgL_auxz00_1987); } 
{ /* ./Jvm/effect.scm 66 */
BgL_nodez00_bglt BgL_ez00_1490;
BgL_ez00_1490 = 
(BgL_nodez00_bglt)(BgL_arg3577z00_1341); 
{ /* ./Jvm/effect.scm 66 */
obj_t BgL_method3022z00_1492;
{ /* ./Jvm/effect.scm 66 */
BgL_objectz00_bglt BgL_objz00_1493;
BgL_objz00_1493 = 
(BgL_objectz00_bglt)(BgL_ez00_1490); 
{ /* ./Jvm/effect.scm 66 */
long BgL_objzd2classzd2numz00_1494;
BgL_objzd2classzd2numz00_1494 = 
BGL_OBJECT_CLASS_NUM(BgL_objz00_1493); 
{ /* ./Jvm/effect.scm 66 */
obj_t BgL_arg2017z00_1495;
{ /* ./Jvm/effect.scm 66 */
int BgL_auxz00_1994;
BgL_auxz00_1994 = 
(int)(((long)1)); 
BgL_arg2017z00_1495 = 
PROCEDURE_REF(BGl_compilezd2effectzd2envz00zzjvm_effectz00, BgL_auxz00_1994); } 
{ /* ./Jvm/effect.scm 66 */
int BgL_offsetz00_1498;
BgL_offsetz00_1498 = 
(int)(BgL_objzd2classzd2numz00_1494); 
{ /* ./Jvm/effect.scm 66 */
long BgL_offsetz00_1499;
{ /* ./Jvm/effect.scm 66 */
long BgL_auxz00_1998;
BgL_auxz00_1998 = 
(long)(BgL_offsetz00_1498); 
BgL_offsetz00_1499 = 
(BgL_auxz00_1998-OBJECT_TYPE); } 
{ /* ./Jvm/effect.scm 66 */
long BgL_modz00_1500;
{ /* ./Jvm/effect.scm 66 */
int BgL_arg2028z00_1501;
BgL_arg2028z00_1501 = 
(int)(((long)8)); 
{ /* ./Jvm/effect.scm 66 */
long BgL_n2z00_1509;
BgL_n2z00_1509 = 
(long)(BgL_arg2028z00_1501); 
BgL_modz00_1500 = 
(BgL_offsetz00_1499/BgL_n2z00_1509); } } 
{ /* ./Jvm/effect.scm 66 */
long BgL_restz00_1502;
{ /* ./Jvm/effect.scm 66 */
int BgL_arg2024z00_1503;
BgL_arg2024z00_1503 = 
(int)(((long)8)); 
{ /* ./Jvm/effect.scm 66 */
long BgL_n2z00_1512;
BgL_n2z00_1512 = 
(long)(BgL_arg2024z00_1503); 
BgL_restz00_1502 = 
(BgL_offsetz00_1499%BgL_n2z00_1512); } } 
{ /* ./Jvm/effect.scm 66 */

{ /* ./Jvm/effect.scm 66 */
obj_t BgL_bucketz00_1504;
{ /* ./Jvm/effect.scm 66 */
int BgL_kz00_1514;
BgL_kz00_1514 = 
(int)(BgL_modz00_1500); 
BgL_bucketz00_1504 = 
VECTOR_REF(BgL_arg2017z00_1495,BgL_kz00_1514); } 
{ /* ./Jvm/effect.scm 66 */
int BgL_kz00_1516;
BgL_kz00_1516 = 
(int)(BgL_restz00_1502); 
BgL_method3022z00_1492 = 
VECTOR_REF(BgL_bucketz00_1504,BgL_kz00_1516); } } } } } } } } } } 
PROCEDURE_ENTRY(BgL_method3022z00_1492)(BgL_method3022z00_1492, 
(obj_t)(BgL_ez00_1490), 
(obj_t)(BgL_envz00_1337), BEOA); } } } 
{ /* ./Jvm/effect.scm 67 */
obj_t BgL_arg3585z00_1343;
{ /* ./Jvm/effect.scm 67 */
obj_t BgL_auxz00_2015;
{ /* ./Jvm/effect.scm 67 */
obj_t BgL_auxz00_2016;
{ /* ./Jvm/effect.scm 67 */
BgL_externz00_bglt BgL_obj1817z00_1517;
BgL_obj1817z00_1517 = 
(BgL_externz00_bglt)(BgL_ez00_1336); 
BgL_auxz00_2016 = 
(((BgL_externz00_bglt)CREF(BgL_obj1817z00_1517))->BgL_exprza2za2); } 
BgL_auxz00_2015 = 
CDR(BgL_auxz00_2016); } 
BgL_arg3585z00_1343 = 
CAR(BgL_auxz00_2015); } 
{ /* ./Jvm/effect.scm 67 */
BgL_nodez00_bglt BgL_ez00_1522;
BgL_ez00_1522 = 
(BgL_nodez00_bglt)(BgL_arg3585z00_1343); 
{ /* ./Jvm/effect.scm 67 */
obj_t BgL_method3022z00_1524;
{ /* ./Jvm/effect.scm 67 */
BgL_objectz00_bglt BgL_objz00_1525;
BgL_objz00_1525 = 
(BgL_objectz00_bglt)(BgL_ez00_1522); 
{ /* ./Jvm/effect.scm 67 */
long BgL_objzd2classzd2numz00_1526;
BgL_objzd2classzd2numz00_1526 = 
BGL_OBJECT_CLASS_NUM(BgL_objz00_1525); 
{ /* ./Jvm/effect.scm 67 */
obj_t BgL_arg2017z00_1527;
{ /* ./Jvm/effect.scm 67 */
int BgL_auxz00_2024;
BgL_auxz00_2024 = 
(int)(((long)1)); 
BgL_arg2017z00_1527 = 
PROCEDURE_REF(BGl_compilezd2effectzd2envz00zzjvm_effectz00, BgL_auxz00_2024); } 
{ /* ./Jvm/effect.scm 67 */
int BgL_offsetz00_1530;
BgL_offsetz00_1530 = 
(int)(BgL_objzd2classzd2numz00_1526); 
{ /* ./Jvm/effect.scm 67 */
long BgL_offsetz00_1531;
{ /* ./Jvm/effect.scm 67 */
long BgL_auxz00_2028;
BgL_auxz00_2028 = 
(long)(BgL_offsetz00_1530); 
BgL_offsetz00_1531 = 
(BgL_auxz00_2028-OBJECT_TYPE); } 
{ /* ./Jvm/effect.scm 67 */
long BgL_modz00_1532;
{ /* ./Jvm/effect.scm 67 */
int BgL_arg2028z00_1533;
BgL_arg2028z00_1533 = 
(int)(((long)8)); 
{ /* ./Jvm/effect.scm 67 */
long BgL_n2z00_1541;
BgL_n2z00_1541 = 
(long)(BgL_arg2028z00_1533); 
BgL_modz00_1532 = 
(BgL_offsetz00_1531/BgL_n2z00_1541); } } 
{ /* ./Jvm/effect.scm 67 */
long BgL_restz00_1534;
{ /* ./Jvm/effect.scm 67 */
int BgL_arg2024z00_1535;
BgL_arg2024z00_1535 = 
(int)(((long)8)); 
{ /* ./Jvm/effect.scm 67 */
long BgL_n2z00_1544;
BgL_n2z00_1544 = 
(long)(BgL_arg2024z00_1535); 
BgL_restz00_1534 = 
(BgL_offsetz00_1531%BgL_n2z00_1544); } } 
{ /* ./Jvm/effect.scm 67 */

{ /* ./Jvm/effect.scm 67 */
obj_t BgL_bucketz00_1536;
{ /* ./Jvm/effect.scm 67 */
int BgL_kz00_1546;
BgL_kz00_1546 = 
(int)(BgL_modz00_1532); 
BgL_bucketz00_1536 = 
VECTOR_REF(BgL_arg2017z00_1527,BgL_kz00_1546); } 
{ /* ./Jvm/effect.scm 67 */
int BgL_kz00_1548;
BgL_kz00_1548 = 
(int)(BgL_restz00_1534); 
BgL_method3022z00_1524 = 
VECTOR_REF(BgL_bucketz00_1536,BgL_kz00_1548); } } } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method3022z00_1524)(BgL_method3022z00_1524, 
(obj_t)(BgL_ez00_1522), 
(obj_t)(BgL_envz00_1337), BEOA);} } } } } 
}



/* compile-effect-valloc3054 */
obj_t BGl_compilezd2effectzd2valloc3054z00zzjvm_effectz00(obj_t BgL_envz00_1740, obj_t BgL_ez00_1741, obj_t BgL_envz00_1742)
{ AN_OBJECT;
{ /* ./Jvm/effect.scm 61 */
{ 
BgL_vallocz00_bglt BgL_ez00_1328;BgL_envz00_bglt BgL_envz00_1329;
BgL_ez00_1328 = 
(BgL_vallocz00_bglt)(BgL_ez00_1741); 
BgL_envz00_1329 = 
(BgL_envz00_bglt)(BgL_envz00_1742); 
{ /* ./Jvm/effect.scm 62 */
obj_t BgL_arg3564z00_1457;
{ /* ./Jvm/effect.scm 62 */
obj_t BgL_auxz00_2047;
{ /* ./Jvm/effect.scm 62 */
BgL_externz00_bglt BgL_obj1817z00_1459;
BgL_obj1817z00_1459 = 
(BgL_externz00_bglt)(BgL_ez00_1328); 
BgL_auxz00_2047 = 
(((BgL_externz00_bglt)CREF(BgL_obj1817z00_1459))->BgL_exprza2za2); } 
BgL_arg3564z00_1457 = 
CAR(BgL_auxz00_2047); } 
{ /* ./Jvm/effect.scm 62 */
BgL_nodez00_bglt BgL_ez00_1461;
BgL_ez00_1461 = 
(BgL_nodez00_bglt)(BgL_arg3564z00_1457); 
{ /* ./Jvm/effect.scm 62 */
obj_t BgL_method3022z00_1463;
{ /* ./Jvm/effect.scm 62 */
BgL_objectz00_bglt BgL_objz00_1464;
BgL_objz00_1464 = 
(BgL_objectz00_bglt)(BgL_ez00_1461); 
{ /* ./Jvm/effect.scm 62 */
long BgL_objzd2classzd2numz00_1465;
BgL_objzd2classzd2numz00_1465 = 
BGL_OBJECT_CLASS_NUM(BgL_objz00_1464); 
{ /* ./Jvm/effect.scm 62 */
obj_t BgL_arg2017z00_1466;
{ /* ./Jvm/effect.scm 62 */
int BgL_auxz00_2054;
BgL_auxz00_2054 = 
(int)(((long)1)); 
BgL_arg2017z00_1466 = 
PROCEDURE_REF(BGl_compilezd2effectzd2envz00zzjvm_effectz00, BgL_auxz00_2054); } 
{ /* ./Jvm/effect.scm 62 */
int BgL_offsetz00_1469;
BgL_offsetz00_1469 = 
(int)(BgL_objzd2classzd2numz00_1465); 
{ /* ./Jvm/effect.scm 62 */
long BgL_offsetz00_1470;
{ /* ./Jvm/effect.scm 62 */
long BgL_auxz00_2058;
BgL_auxz00_2058 = 
(long)(BgL_offsetz00_1469); 
BgL_offsetz00_1470 = 
(BgL_auxz00_2058-OBJECT_TYPE); } 
{ /* ./Jvm/effect.scm 62 */
long BgL_modz00_1471;
{ /* ./Jvm/effect.scm 62 */
int BgL_arg2028z00_1472;
BgL_arg2028z00_1472 = 
(int)(((long)8)); 
{ /* ./Jvm/effect.scm 62 */
long BgL_n2z00_1480;
BgL_n2z00_1480 = 
(long)(BgL_arg2028z00_1472); 
BgL_modz00_1471 = 
(BgL_offsetz00_1470/BgL_n2z00_1480); } } 
{ /* ./Jvm/effect.scm 62 */
long BgL_restz00_1473;
{ /* ./Jvm/effect.scm 62 */
int BgL_arg2024z00_1474;
BgL_arg2024z00_1474 = 
(int)(((long)8)); 
{ /* ./Jvm/effect.scm 62 */
long BgL_n2z00_1483;
BgL_n2z00_1483 = 
(long)(BgL_arg2024z00_1474); 
BgL_restz00_1473 = 
(BgL_offsetz00_1470%BgL_n2z00_1483); } } 
{ /* ./Jvm/effect.scm 62 */

{ /* ./Jvm/effect.scm 62 */
obj_t BgL_bucketz00_1475;
{ /* ./Jvm/effect.scm 62 */
int BgL_kz00_1485;
BgL_kz00_1485 = 
(int)(BgL_modz00_1471); 
BgL_bucketz00_1475 = 
VECTOR_REF(BgL_arg2017z00_1466,BgL_kz00_1485); } 
{ /* ./Jvm/effect.scm 62 */
int BgL_kz00_1487;
BgL_kz00_1487 = 
(int)(BgL_restz00_1473); 
BgL_method3022z00_1463 = 
VECTOR_REF(BgL_bucketz00_1475,BgL_kz00_1487); } } } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method3022z00_1463)(BgL_method3022z00_1463, 
(obj_t)(BgL_ez00_1461), 
(obj_t)(BgL_envz00_1329), BEOA);} } } } } 
}



/* compile-effect-new3052 */
obj_t BGl_compilezd2effectzd2new3052z00zzjvm_effectz00(obj_t BgL_envz00_1743, obj_t BgL_ez00_1744, obj_t BgL_envz00_1745)
{ AN_OBJECT;
{ /* ./Jvm/effect.scm 58 */
{ /* ./Jvm/effect.scm 59 */
obj_t BgL_res3993z00_1807;
BgL_res3993z00_1807 = 
CNST_TABLE_REF(((long)0)); 
return BgL_res3993z00_1807;} } 
}



/* compile-effect-setfield3050 */
obj_t BGl_compilezd2effectzd2setfield3050z00zzjvm_effectz00(obj_t BgL_envz00_1746, obj_t BgL_ez00_1747, obj_t BgL_envz00_1748)
{ AN_OBJECT;
{ /* ./Jvm/effect.scm 55 */
{ /* ./Jvm/effect.scm 56 */
BgL_setfieldz00_bglt BgL_ez00_1808;BgL_envz00_bglt BgL_envz00_1809;
BgL_ez00_1808 = 
(BgL_setfieldz00_bglt)(BgL_ez00_1747); 
BgL_envz00_1809 = 
(BgL_envz00_bglt)(BgL_envz00_1748); 
return 
BGl_compilerzd2setfieldzd2zzjvm_compilerz00(BgL_ez00_1808, BgL_envz00_1809);} } 
}



/* compile-effect-getfield3048 */
obj_t BGl_compilezd2effectzd2getfield3048z00zzjvm_effectz00(obj_t BgL_envz00_1749, obj_t BgL_ez00_1750, obj_t BgL_envz00_1751)
{ AN_OBJECT;
{ /* ./Jvm/effect.scm 52 */
{ 
BgL_getfieldz00_bglt BgL_ez00_1308;BgL_envz00_bglt BgL_envz00_1309;
BgL_ez00_1308 = 
(BgL_getfieldz00_bglt)(BgL_ez00_1750); 
BgL_envz00_1309 = 
(BgL_envz00_bglt)(BgL_envz00_1751); 
{ /* ./Jvm/effect.scm 53 */
obj_t BgL_arg3536z00_1426;
{ /* ./Jvm/effect.scm 53 */
obj_t BgL_auxz00_2081;
{ /* ./Jvm/effect.scm 53 */
BgL_externz00_bglt BgL_obj1817z00_1428;
BgL_obj1817z00_1428 = 
(BgL_externz00_bglt)(BgL_ez00_1308); 
BgL_auxz00_2081 = 
(((BgL_externz00_bglt)CREF(BgL_obj1817z00_1428))->BgL_exprza2za2); } 
BgL_arg3536z00_1426 = 
CAR(BgL_auxz00_2081); } 
{ /* ./Jvm/effect.scm 53 */
BgL_nodez00_bglt BgL_ez00_1430;
BgL_ez00_1430 = 
(BgL_nodez00_bglt)(BgL_arg3536z00_1426); 
{ /* ./Jvm/effect.scm 53 */
obj_t BgL_method3022z00_1432;
{ /* ./Jvm/effect.scm 53 */
BgL_objectz00_bglt BgL_objz00_1433;
BgL_objz00_1433 = 
(BgL_objectz00_bglt)(BgL_ez00_1430); 
{ /* ./Jvm/effect.scm 53 */
long BgL_objzd2classzd2numz00_1434;
BgL_objzd2classzd2numz00_1434 = 
BGL_OBJECT_CLASS_NUM(BgL_objz00_1433); 
{ /* ./Jvm/effect.scm 53 */
obj_t BgL_arg2017z00_1435;
{ /* ./Jvm/effect.scm 53 */
int BgL_auxz00_2088;
BgL_auxz00_2088 = 
(int)(((long)1)); 
BgL_arg2017z00_1435 = 
PROCEDURE_REF(BGl_compilezd2effectzd2envz00zzjvm_effectz00, BgL_auxz00_2088); } 
{ /* ./Jvm/effect.scm 53 */
int BgL_offsetz00_1438;
BgL_offsetz00_1438 = 
(int)(BgL_objzd2classzd2numz00_1434); 
{ /* ./Jvm/effect.scm 53 */
long BgL_offsetz00_1439;
{ /* ./Jvm/effect.scm 53 */
long BgL_auxz00_2092;
BgL_auxz00_2092 = 
(long)(BgL_offsetz00_1438); 
BgL_offsetz00_1439 = 
(BgL_auxz00_2092-OBJECT_TYPE); } 
{ /* ./Jvm/effect.scm 53 */
long BgL_modz00_1440;
{ /* ./Jvm/effect.scm 53 */
int BgL_arg2028z00_1441;
BgL_arg2028z00_1441 = 
(int)(((long)8)); 
{ /* ./Jvm/effect.scm 53 */
long BgL_n2z00_1449;
BgL_n2z00_1449 = 
(long)(BgL_arg2028z00_1441); 
BgL_modz00_1440 = 
(BgL_offsetz00_1439/BgL_n2z00_1449); } } 
{ /* ./Jvm/effect.scm 53 */
long BgL_restz00_1442;
{ /* ./Jvm/effect.scm 53 */
int BgL_arg2024z00_1443;
BgL_arg2024z00_1443 = 
(int)(((long)8)); 
{ /* ./Jvm/effect.scm 53 */
long BgL_n2z00_1452;
BgL_n2z00_1452 = 
(long)(BgL_arg2024z00_1443); 
BgL_restz00_1442 = 
(BgL_offsetz00_1439%BgL_n2z00_1452); } } 
{ /* ./Jvm/effect.scm 53 */

{ /* ./Jvm/effect.scm 53 */
obj_t BgL_bucketz00_1444;
{ /* ./Jvm/effect.scm 53 */
int BgL_kz00_1454;
BgL_kz00_1454 = 
(int)(BgL_modz00_1440); 
BgL_bucketz00_1444 = 
VECTOR_REF(BgL_arg2017z00_1435,BgL_kz00_1454); } 
{ /* ./Jvm/effect.scm 53 */
int BgL_kz00_1456;
BgL_kz00_1456 = 
(int)(BgL_restz00_1442); 
BgL_method3022z00_1432 = 
VECTOR_REF(BgL_bucketz00_1444,BgL_kz00_1456); } } } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method3022z00_1432)(BgL_method3022z00_1432, 
(obj_t)(BgL_ez00_1430), 
(obj_t)(BgL_envz00_1309), BEOA);} } } } } 
}



/* compile-effect-pragma3046 */
obj_t BGl_compilezd2effectzd2pragma3046z00zzjvm_effectz00(obj_t BgL_envz00_1752, obj_t BgL_ez00_1753, obj_t BgL_envz00_1754)
{ AN_OBJECT;
{ /* ./Jvm/effect.scm 49 */
{ 
BgL_pragmaz00_bglt BgL_ez00_1302;BgL_envz00_bglt BgL_envz00_1303;
BgL_ez00_1302 = 
(BgL_pragmaz00_bglt)(BgL_ez00_1753); 
BgL_envz00_1303 = 
(BgL_envz00_bglt)(BgL_envz00_1754); 
{ /* ./Jvm/effect.scm 50 */
BgL_nodez00_bglt BgL_ez00_1423;
BgL_ez00_1423 = 
(BgL_nodez00_bglt)(BgL_ez00_1302); 
BGl_compilezd2exprzd2zzjvm_exprz00(BgL_ez00_1423, BgL_envz00_1303); 
{ /* ./Jvm/effect.scm 50 */
obj_t BgL_arg3079z00_1425;
BgL_arg3079z00_1425 = 
BGl_compilezd2typezd2zzjvm_envz00(
(obj_t)(BgL_ez00_1423), BgL_envz00_1303); 
return 
BGl__popz00zzjvm_instrz00(BgL_envz00_1303, BgL_arg3079z00_1425);} } } } 
}



/* compile-effect-funcall3044 */
obj_t BGl_compilezd2effectzd2funcall3044z00zzjvm_effectz00(obj_t BgL_envz00_1755, obj_t BgL_ez00_1756, obj_t BgL_envz00_1757)
{ AN_OBJECT;
{ /* ./Jvm/effect.scm 46 */
{ 
BgL_funcallz00_bglt BgL_ez00_1296;BgL_envz00_bglt BgL_envz00_1297;
BgL_ez00_1296 = 
(BgL_funcallz00_bglt)(BgL_ez00_1756); 
BgL_envz00_1297 = 
(BgL_envz00_bglt)(BgL_envz00_1757); 
{ /* ./Jvm/effect.scm 47 */
BgL_nodez00_bglt BgL_ez00_1420;
BgL_ez00_1420 = 
(BgL_nodez00_bglt)(BgL_ez00_1296); 
BGl_compilezd2exprzd2zzjvm_exprz00(BgL_ez00_1420, BgL_envz00_1297); 
{ /* ./Jvm/effect.scm 47 */
obj_t BgL_arg3079z00_1422;
BgL_arg3079z00_1422 = 
BGl_compilezd2typezd2zzjvm_envz00(
(obj_t)(BgL_ez00_1420), BgL_envz00_1297); 
return 
BGl__popz00zzjvm_instrz00(BgL_envz00_1297, BgL_arg3079z00_1422);} } } } 
}



/* compile-effect-app-ly3042 */
obj_t BGl_compilezd2effectzd2appzd2ly3042zd2zzjvm_effectz00(obj_t BgL_envz00_1758, obj_t BgL_ez00_1759, obj_t BgL_envz00_1760)
{ AN_OBJECT;
{ /* ./Jvm/effect.scm 43 */
{ 
BgL_appzd2lyzd2_bglt BgL_ez00_1290;BgL_envz00_bglt BgL_envz00_1291;
BgL_ez00_1290 = 
(BgL_appzd2lyzd2_bglt)(BgL_ez00_1759); 
BgL_envz00_1291 = 
(BgL_envz00_bglt)(BgL_envz00_1760); 
{ /* ./Jvm/effect.scm 44 */
BgL_nodez00_bglt BgL_ez00_1417;
BgL_ez00_1417 = 
(BgL_nodez00_bglt)(BgL_ez00_1290); 
BGl_compilezd2exprzd2zzjvm_exprz00(BgL_ez00_1417, BgL_envz00_1291); 
{ /* ./Jvm/effect.scm 44 */
obj_t BgL_arg3079z00_1419;
BgL_arg3079z00_1419 = 
BGl_compilezd2typezd2zzjvm_envz00(
(obj_t)(BgL_ez00_1417), BgL_envz00_1291); 
return 
BGl__popz00zzjvm_instrz00(BgL_envz00_1291, BgL_arg3079z00_1419);} } } } 
}



/* compile-effect-app3040 */
obj_t BGl_compilezd2effectzd2app3040z00zzjvm_effectz00(obj_t BgL_envz00_1761, obj_t BgL_ez00_1762, obj_t BgL_envz00_1763)
{ AN_OBJECT;
{ /* ./Jvm/effect.scm 39 */
{ 
BgL_appz00_bglt BgL_ez00_1284;BgL_envz00_bglt BgL_envz00_1285;
BgL_ez00_1284 = 
(BgL_appz00_bglt)(BgL_ez00_1762); 
BgL_envz00_1285 = 
(BgL_envz00_bglt)(BgL_envz00_1763); 
{ /* ./Jvm/effect.scm 41 */
BgL_nodez00_bglt BgL_ez00_1414;
BgL_ez00_1414 = 
(BgL_nodez00_bglt)(BgL_ez00_1284); 
BGl_compilezd2exprzd2zzjvm_exprz00(BgL_ez00_1414, BgL_envz00_1285); 
{ /* ./Jvm/effect.scm 41 */
obj_t BgL_arg3079z00_1416;
BgL_arg3079z00_1416 = 
BGl_compilezd2typezd2zzjvm_envz00(
(obj_t)(BgL_ez00_1414), BgL_envz00_1285); 
return 
BGl__popz00zzjvm_instrz00(BgL_envz00_1285, BgL_arg3079z00_1416);} } } } 
}



/* compile-effect-let-fun3038 */
obj_t BGl_compilezd2effectzd2letzd2fun3038zd2zzjvm_effectz00(obj_t BgL_envz00_1764, obj_t BgL_ez00_1765, obj_t BgL_envz00_1766)
{ AN_OBJECT;
{ /* ./Jvm/effect.scm 36 */
{ 
BgL_letzd2funzd2_bglt BgL_ez00_1278;BgL_envz00_bglt BgL_envz00_1279;
BgL_ez00_1278 = 
(BgL_letzd2funzd2_bglt)(BgL_ez00_1765); 
BgL_envz00_1279 = 
(BgL_envz00_bglt)(BgL_envz00_1766); 
return 
BGl_compilerzd2labelszd2zzjvm_compilerz00(BgL_ez00_1278, BgL_envz00_1279, BGl_compilezd2effectzd2envz00zzjvm_effectz00);} } 
}



/* compile-effect-select3036 */
obj_t BGl_compilezd2effectzd2select3036z00zzjvm_effectz00(obj_t BgL_envz00_1767, obj_t BgL_ez00_1768, obj_t BgL_envz00_1769)
{ AN_OBJECT;
{ /* ./Jvm/effect.scm 33 */
{ 
BgL_selectz00_bglt BgL_ez00_1272;BgL_envz00_bglt BgL_envz00_1273;
BgL_ez00_1272 = 
(BgL_selectz00_bglt)(BgL_ez00_1768); 
BgL_envz00_1273 = 
(BgL_envz00_bglt)(BgL_envz00_1769); 
return 
BGl_compilerzd2selectzd2zzjvm_compilerz00(BgL_ez00_1272, BgL_envz00_1273, BGl_compilezd2effectzd2envz00zzjvm_effectz00);} } 
}



/* compile-effect-conditional3034 */
obj_t BGl_compilezd2effectzd2conditional3034z00zzjvm_effectz00(obj_t BgL_envz00_1770, obj_t BgL_ez00_1771, obj_t BgL_envz00_1772)
{ AN_OBJECT;
{ /* ./Jvm/effect.scm 30 */
{ 
BgL_conditionalz00_bglt BgL_ez00_1266;BgL_envz00_bglt BgL_envz00_1267;
BgL_ez00_1266 = 
(BgL_conditionalz00_bglt)(BgL_ez00_1771); 
BgL_envz00_1267 = 
(BgL_envz00_bglt)(BgL_envz00_1772); 
return 
BGl_compilerzd2ifzd2zzjvm_compilerz00(BgL_ez00_1266, BgL_envz00_1267, BGl_compilezd2effectzd2envz00zzjvm_effectz00);} } 
}



/* compile-effect-sequence3032 */
obj_t BGl_compilezd2effectzd2sequence3032z00zzjvm_effectz00(obj_t BgL_envz00_1773, obj_t BgL_ez00_1774, obj_t BgL_envz00_1775)
{ AN_OBJECT;
{ /* ./Jvm/effect.scm 27 */
{ 
BgL_sequencez00_bglt BgL_ez00_1260;BgL_envz00_bglt BgL_envz00_1261;
BgL_ez00_1260 = 
(BgL_sequencez00_bglt)(BgL_ez00_1774); 
BgL_envz00_1261 = 
(BgL_envz00_bglt)(BgL_envz00_1775); 
return 
BGl_compilerzd2sequencezd2zzjvm_compilerz00(BgL_ez00_1260, BgL_envz00_1261, BGl_compilezd2effectzd2envz00zzjvm_effectz00);} } 
}



/* compile-effect-setq3030 */
obj_t BGl_compilezd2effectzd2setq3030z00zzjvm_effectz00(obj_t BgL_envz00_1776, obj_t BgL_ez00_1777, obj_t BgL_envz00_1778)
{ AN_OBJECT;
{ /* ./Jvm/effect.scm 24 */
{ /* ./Jvm/effect.scm 25 */
BgL_setqz00_bglt BgL_ez00_1810;BgL_envz00_bglt BgL_envz00_1811;
BgL_ez00_1810 = 
(BgL_setqz00_bglt)(BgL_ez00_1777); 
BgL_envz00_1811 = 
(BgL_envz00_bglt)(BgL_envz00_1778); 
return 
BGl_compilerzd2setqzd2zzjvm_compilerz00(BgL_ez00_1810, BgL_envz00_1811);} } 
}



/* compile-effect-let-var3028 */
obj_t BGl_compilezd2effectzd2letzd2var3028zd2zzjvm_effectz00(obj_t BgL_envz00_1779, obj_t BgL_ez00_1780, obj_t BgL_envz00_1781)
{ AN_OBJECT;
{ /* ./Jvm/effect.scm 21 */
{ 
BgL_letzd2varzd2_bglt BgL_ez00_1248;BgL_envz00_bglt BgL_envz00_1249;
BgL_ez00_1248 = 
(BgL_letzd2varzd2_bglt)(BgL_ez00_1780); 
BgL_envz00_1249 = 
(BgL_envz00_bglt)(BgL_envz00_1781); 
return 
BGl_compilerzd2letzd2zzjvm_compilerz00(BgL_ez00_1248, BgL_envz00_1249, BGl_compilezd2effectzd2envz00zzjvm_effectz00);} } 
}



/* compile-effect-var3026 */
obj_t BGl_compilezd2effectzd2var3026z00zzjvm_effectz00(obj_t BgL_envz00_1782, obj_t BgL_ez00_1783, obj_t BgL_envz00_1784)
{ AN_OBJECT;
{ /* ./Jvm/effect.scm 18 */
{ /* ./Jvm/effect.scm 19 */
obj_t BgL_res3994z00_1814;
BgL_res3994z00_1814 = 
CNST_TABLE_REF(((long)0)); 
return BgL_res3994z00_1814;} } 
}



/* compile-effect-atom3024 */
obj_t BGl_compilezd2effectzd2atom3024z00zzjvm_effectz00(obj_t BgL_envz00_1785, obj_t BgL_ez00_1786, obj_t BgL_envz00_1787)
{ AN_OBJECT;
{ /* ./Jvm/effect.scm 15 */
{ /* ./Jvm/effect.scm 16 */
obj_t BgL_res3995z00_1817;
BgL_res3995z00_1817 = 
CNST_TABLE_REF(((long)0)); 
return BgL_res3995z00_1817;} } 
}



/* compile-effect */
BGL_EXPORTED_DEF obj_t BGl_compilezd2effectzd2zzjvm_effectz00(BgL_nodez00_bglt BgL_ez00_3, BgL_envz00_bglt BgL_envz00_4)
{ AN_OBJECT;
{ /* ./Jvm/effect.scm 13 */
{ /* ./Jvm/effect.scm 13 */
obj_t BgL_method3022z00_1649;
{ /* ./Jvm/effect.scm 13 */
BgL_objectz00_bglt BgL_objz00_1650;
BgL_objz00_1650 = 
(BgL_objectz00_bglt)(BgL_ez00_3); 
{ /* ./Jvm/effect.scm 13 */
long BgL_objzd2classzd2numz00_1651;
BgL_objzd2classzd2numz00_1651 = 
BGL_OBJECT_CLASS_NUM(BgL_objz00_1650); 
{ /* ./Jvm/effect.scm 13 */
obj_t BgL_arg2017z00_1652;
{ /* ./Jvm/effect.scm 13 */
int BgL_auxz00_2161;
BgL_auxz00_2161 = 
(int)(((long)1)); 
BgL_arg2017z00_1652 = 
PROCEDURE_REF(BGl_compilezd2effectzd2envz00zzjvm_effectz00, BgL_auxz00_2161); } 
{ /* ./Jvm/effect.scm 13 */
int BgL_offsetz00_1655;
BgL_offsetz00_1655 = 
(int)(BgL_objzd2classzd2numz00_1651); 
{ /* ./Jvm/effect.scm 13 */
long BgL_offsetz00_1656;
{ /* ./Jvm/effect.scm 13 */
long BgL_auxz00_2165;
BgL_auxz00_2165 = 
(long)(BgL_offsetz00_1655); 
BgL_offsetz00_1656 = 
(BgL_auxz00_2165-OBJECT_TYPE); } 
{ /* ./Jvm/effect.scm 13 */
long BgL_modz00_1657;
{ /* ./Jvm/effect.scm 13 */
int BgL_arg2028z00_1658;
BgL_arg2028z00_1658 = 
(int)(((long)8)); 
{ /* ./Jvm/effect.scm 13 */
long BgL_n2z00_1666;
BgL_n2z00_1666 = 
(long)(BgL_arg2028z00_1658); 
BgL_modz00_1657 = 
(BgL_offsetz00_1656/BgL_n2z00_1666); } } 
{ /* ./Jvm/effect.scm 13 */
long BgL_restz00_1659;
{ /* ./Jvm/effect.scm 13 */
int BgL_arg2024z00_1660;
BgL_arg2024z00_1660 = 
(int)(((long)8)); 
{ /* ./Jvm/effect.scm 13 */
long BgL_n2z00_1669;
BgL_n2z00_1669 = 
(long)(BgL_arg2024z00_1660); 
BgL_restz00_1659 = 
(BgL_offsetz00_1656%BgL_n2z00_1669); } } 
{ /* ./Jvm/effect.scm 13 */

{ /* ./Jvm/effect.scm 13 */
obj_t BgL_bucketz00_1661;
{ /* ./Jvm/effect.scm 13 */
int BgL_kz00_1671;
BgL_kz00_1671 = 
(int)(BgL_modz00_1657); 
BgL_bucketz00_1661 = 
VECTOR_REF(BgL_arg2017z00_1652,BgL_kz00_1671); } 
{ /* ./Jvm/effect.scm 13 */
int BgL_kz00_1673;
BgL_kz00_1673 = 
(int)(BgL_restz00_1659); 
BgL_method3022z00_1649 = 
VECTOR_REF(BgL_bucketz00_1661,BgL_kz00_1673); } } } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method3022z00_1649)(BgL_method3022z00_1649, 
(obj_t)(BgL_ez00_3), 
(obj_t)(BgL_envz00_4), BEOA);} } 
}



/* _compile-effect3709 */
obj_t BGl__compilezd2effect3709zd2zzjvm_effectz00(obj_t BgL_envz00_1680, obj_t BgL_ez00_1681, obj_t BgL_envz00_1682)
{ AN_OBJECT;
{ /* ./Jvm/effect.scm 13 */
return 
BGl_compilezd2effectzd2zzjvm_effectz00(
(BgL_nodez00_bglt)(BgL_ez00_1681), 
(BgL_envz00_bglt)(BgL_envz00_1682));} 
}



/* compile-effect-default3021 */
obj_t BGl_compilezd2effectzd2default3021z00zzjvm_effectz00(BgL_nodez00_bglt BgL_ez00_5, BgL_envz00_bglt BgL_envz00_6)
{ AN_OBJECT;
{ /* ./Jvm/effect.scm 2 */
{ /* ./Jvm/effect.scm 2 */
obj_t BgL_procz00_1674;obj_t BgL_objectz00_1676;
BgL_procz00_1674 = 
CNST_TABLE_REF(((long)1)); 
BgL_objectz00_1676 = 
(obj_t)(BgL_ez00_5); 
FAILURE(BgL_procz00_1674,BGl_string3975z00zzjvm_effectz00,BgL_objectz00_1676);} } 
}



/* _compile-effect-default3021 */
obj_t BGl__compilezd2effectzd2default3021z00zzjvm_effectz00(obj_t BgL_envz00_1788, obj_t BgL_ez00_1789, obj_t BgL_envz00_1790)
{ AN_OBJECT;
{ /* ./Jvm/effect.scm 2 */
return 
BGl_compilezd2effectzd2default3021z00zzjvm_effectz00(
(BgL_nodez00_bglt)(BgL_ez00_1789), 
(BgL_envz00_bglt)(BgL_envz00_1790));} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzjvm_effectz00()
{ AN_OBJECT;
{ /* ./Jvm/effect.scm 2 */
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19090), "jvm_effect"); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)44246), "jvm_effect"); 
BGl_modulezd2initializa7ationz75zzast_nodez00(((long)50868), "jvm_effect"); 
BGl_modulezd2initializa7ationz75zzobject_classz00(((long)30791), "jvm_effect"); 
BGl_modulezd2initializa7ationz75zzjvm_envz00(((long)58889), "jvm_effect"); 
BGl_modulezd2initializa7ationz75zzjvm_instrz00(((long)18045), "jvm_effect"); 
BGl_modulezd2initializa7ationz75zzjvm_exprz00(((long)25872), "jvm_effect"); 
return 
BGl_modulezd2initializa7ationz75zzjvm_compilerz00(((long)61602), "jvm_effect");} 
}

