/*===========================================================================*/
/*   (Jvm/init.scm)                                                          */
/*   Bigloo (2.6b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Dec 15 12:14:36 CET 2003        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc-2.95 -lib-dir /users/serrano/prgm/project/bigloo/lib/2.6b -unsafev -no-hello -O2 -rm -unsafe -s -indent Jvm/init.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_effectz00;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_effectz00;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_effectz00;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;

typedef struct BgL_feffectz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_readz00;
   obj_t BgL_writez00;
} *BgL_feffectz00_bglt;

typedef struct BgL_nodez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
} *BgL_nodez00_bglt;

typedef struct BgL_nodezf2effectzf2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
} *BgL_nodezf2effectzf2_bglt;

typedef struct BgL_atomz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_atomz00_bglt;

typedef struct BgL_varz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_varz00_bglt;

typedef struct BgL_closurez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_closurez00_bglt;

typedef struct BgL_kwotez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_kwotez00_bglt;

typedef struct BgL_sequencez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_nodesz00;
} *BgL_sequencez00_bglt;

typedef struct BgL_appz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
} *BgL_appz00_bglt;

typedef struct BgL_appzd2lyzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_appzd2lyzd2_bglt;

typedef struct BgL_funcallz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
   obj_t BgL_strengthz00;
} *BgL_funcallz00_bglt;

typedef struct BgL_externz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
} *BgL_externz00_bglt;

typedef struct BgL_pragmaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   obj_t BgL_formatz00;
} *BgL_pragmaz00_bglt;

typedef struct BgL_getfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_getfieldz00_bglt;

typedef struct BgL_setfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_setfieldz00_bglt;

typedef struct BgL_newz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
} *BgL_newz00_bglt;

typedef struct BgL_vallocz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   obj_t BgL_czd2heapzd2formatz00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_vallocz00_bglt;

typedef struct BgL_vrefz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vrefz00_bglt;

typedef struct BgL_vsetz12z12_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vsetz12z12_bglt;

typedef struct BgL_vlengthz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vlengthz00_bglt;

typedef struct BgL_isaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   struct BgL_typez00_bgl * BgL_classz00;
} *BgL_isaz00_bglt;

typedef struct BgL_castz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_castz00_bglt;

typedef struct BgL_setqz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_setqz00_bglt;

typedef struct BgL_conditionalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   struct BgL_nodez00_bgl * BgL_truez00;
   struct BgL_nodez00_bgl * BgL_falsez00;
} *BgL_conditionalz00_bglt;

typedef struct BgL_failz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_procz00;
   struct BgL_nodez00_bgl * BgL_msgz00;
   struct BgL_nodez00_bgl * BgL_objz00;
} *BgL_failz00_bglt;

typedef struct BgL_selectz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   obj_t BgL_clausesz00;
   struct BgL_typez00_bgl * BgL_itemzd2typezd2;
} *BgL_selectz00_bglt;

typedef struct BgL_letzd2funzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_localsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_letzd2funzd2_bglt;

typedef struct BgL_letzd2varzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_bindingsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
   bool_t BgL_removablezf3zf3;
} *BgL_letzd2varzd2_bglt;

typedef struct BgL_setzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_setzd2exzd2itz00_bglt;

typedef struct BgL_jumpzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_exitz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_jumpzd2exzd2itz00_bglt;

typedef struct BgL_makezd2boxzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_makezd2boxzd2_bglt;

typedef struct BgL_boxzd2refzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_varz00;
} *BgL_boxzd2refzd2_bglt;

typedef struct BgL_boxzd2setz12zc0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_boxzd2setz12zc0_bglt;

typedef struct BgL_tclassz00_bgl {
   obj_t BgL_itszd2superzd2;
   obj_t BgL_slotsz00;
   struct BgL_globalz00_bgl * BgL_holderz00;
   obj_t BgL_wideningz00;
   long BgL_depthz00;
   bool_t BgL_finalzf3zf3;
   obj_t BgL_constructorz00;
   obj_t BgL_virtualzd2slotszd2numberz00;
   bool_t BgL_abstractzf3zf3;
   obj_t BgL_widezd2typezd2;
} *BgL_tclassz00_bglt;

typedef struct BgL_jclassz00_bgl {
   obj_t BgL_itszd2superzd2;
   obj_t BgL_slotsz00;
   obj_t BgL_packagez00;
} *BgL_jclassz00_bglt;

typedef struct BgL_wclassz00_bgl {
   obj_t BgL_itszd2classzd2;
} *BgL_wclassz00_bglt;

typedef struct BgL_ccompz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_producerz00;
   obj_t BgL_consumerz00;
   obj_t BgL_finaliza7erza7;
} *BgL_ccompz00_bglt;

typedef struct BgL_tvecz00_bgl {
   struct BgL_typez00_bgl * BgL_itemzd2typezd2;
} *BgL_tvecz00_bglt;

typedef struct BgL_envz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_declarationsz00;
   obj_t BgL_declaredtypez00;
   obj_t BgL_declaredclassz00;
   obj_t BgL_declaredmodulez00;
   obj_t BgL_currentzd2modulezd2;
   obj_t BgL_declaredfieldsz00;
   obj_t BgL_declaredglobalz00;
   obj_t BgL_libdeclaredz00;
   obj_t BgL_proceduresz00;
   obj_t BgL_clinitzd2codezd2;
   obj_t BgL_currentzd2methodzd2;
   obj_t BgL_vcountz00;
   obj_t BgL_localsz00;
   obj_t BgL_freelocalsz00;
   obj_t BgL_maplocalsz00;
   obj_t BgL_stackz00;
   obj_t BgL_codez00;
} *BgL_envz00_bglt;


BGL_IMPORT obj_t BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zzjvm_initz00();
static obj_t BGl_emitzd2cnstzd2sfunz00zzjvm_initz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t open_input_string(obj_t);
static obj_t BGl_declarezd2fieldzd2modifiersz00zzjvm_initz00(obj_t);
extern obj_t BGl_sfunz00zzast_varz00;
extern obj_t BGl__newarrayz00zzjvm_instrz00(BgL_envz00_bglt, obj_t);
static obj_t BGl_emitzd2cnstzd2stvectorz00zzjvm_initz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t);
BGL_IMPORT bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
extern obj_t BGl__invokespecialz00zzjvm_instrz00(BgL_envz00_bglt, obj_t, obj_t, obj_t);
extern obj_t BGl__invokestaticz00zzjvm_instrz00(BgL_envz00_bglt, obj_t, obj_t, obj_t);
static obj_t BGl_emitzd2cnstzd2sgfunz00zzjvm_initz00(obj_t, obj_t, obj_t);
extern obj_t BGl_scnstz00zzast_varz00;
extern obj_t BGl_svarz00zzast_varz00;
extern obj_t BGl__aconst_nullz00zzjvm_instrz00(BgL_envz00_bglt);
extern obj_t BGl_za2moduleza2z00zzmodule_modulez00;
extern obj_t BGl_compilezd2typezd2zzjvm_envz00(obj_t, BgL_envz00_bglt);
extern obj_t BGl_getzd2cnstzd2offsetz00zzcnst_allocz00();
BGL_IMPORT obj_t BGl_assqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
static obj_t BGl_cnstzd2initzd2zzjvm_initz00();
extern obj_t BGl__newz00zzjvm_instrz00(BgL_envz00_bglt, obj_t);
BGL_IMPORT obj_t BGl_displayzd22zd2zz__r4_output_6_10_3z00(obj_t, obj_t);
extern obj_t BGl_globalzd2tozd2bezd2declaredzd2zzjvm_externz00(BgL_globalz00_bglt);
static obj_t BGl_importedzd2moduleszd2initz00zzjvm_initz00();
extern obj_t BGl_createzd2stringzd2zzjvm_instrz00(obj_t, obj_t);
extern obj_t BGl_envzd2newzd2procedurez00zzjvm_envz00(BgL_envz00_bglt, obj_t, obj_t);
extern obj_t BGl__astorez00zzjvm_instrz00(BgL_envz00_bglt, obj_t);
static obj_t BGl_toplevelzd2initzd2zzjvm_initz00();
BGL_IMPORT bool_t BGl_2ze3ze3zz__r4_numbers_6_5z00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzjvm_initz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztvector_tvectorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcnst_allocz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcnst_nodez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzjvm_externz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzjvm_envz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzjvm_instrz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long, char *);
extern obj_t BGl__putstaticz00zzjvm_instrz00(BgL_envz00_bglt, obj_t);
static obj_t BGl_globalzd2declarationzd2zzjvm_initz00(obj_t, obj_t);
extern BgL_envz00_bglt BGl_makezd2envzd2zzjvm_envz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_globalzd2cfunzd2declarationz00zzjvm_initz00(obj_t, obj_t);
extern obj_t BGl_realzd2cfunzd2namez00zzjvm_externz00(BgL_globalz00_bglt);
BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
extern obj_t BGl_realzd2sfunzd2namez00zzjvm_externz00(BgL_globalz00_bglt);
BGL_IMPORT obj_t BGl_memvz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
static obj_t BGl_zc3anonymousza33129ze3z83zzjvm_initz00(obj_t, obj_t);
extern obj_t BGl__dupz00zzjvm_instrz00(BgL_envz00_bglt);
extern obj_t BGl_cfunz00zzast_varz00;
extern obj_t BGl_forzd2eachzd2globalz12z12zzast_envz00(obj_t);
static obj_t BGl_globalzd2sfunzd2declarationz00zzjvm_initz00(obj_t, obj_t);
BGL_IMPORT obj_t display_string(obj_t, obj_t);
static obj_t BGl_zc3anonymousza33142ze3z83zzjvm_initz00(obj_t, obj_t);
extern obj_t BGl_cvarz00zzast_varz00;
extern obj_t BGl__pushz00zzjvm_instrz00(BgL_envz00_bglt, obj_t, obj_t);
BGL_IMPORT obj_t BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(obj_t);
extern bool_t BGl_subzd2typezf3z21zztype_envz00(BgL_typez00_bglt, BgL_typez00_bglt);
static obj_t BGl_zc3anonymousza33147ze3z83zzjvm_initz00(obj_t, obj_t);
extern obj_t BGl_envzd2declarezd2currentzd2modulezd2zzjvm_envz00(BgL_envz00_bglt);
static obj_t BGl_analysezd2initzd2zzjvm_initz00(obj_t, obj_t);
extern obj_t BGl_getzd2globalzd2namez00zzjvm_envz00(BgL_envz00_bglt, BgL_globalz00_bglt);
extern obj_t BGl_za2objza2z00zztype_cachez00;
static obj_t BGl_globalzd2varzd2declarationz00zzjvm_initz00(obj_t, obj_t);
extern obj_t BGl_envzd2declarezd2modulez00zzjvm_envz00(BgL_envz00_bglt, obj_t);
extern obj_t BGl_getzd2nodezd2atomzd2valuezd2zzcnst_nodez00(BgL_nodez00_bglt);
static obj_t BGl_envzd2declarezd2globalz00zzjvm_initz00(obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zzjvm_initz00 = BUNSPEC;
extern obj_t BGl_jlibzd2declarezd2zzjvm_envz00(BgL_envz00_bglt, obj_t);
extern obj_t BGl_realzd2fieldzd2namez00zzjvm_externz00(BgL_globalz00_bglt);
BGL_EXPORTED_DEF obj_t BGl_compilezd2initzd2zzjvm_initz00 = BUNSPEC;
BGL_IMPORT bool_t BGl_eqvzf3zf3zz__r4_equivalence_6_2z00(obj_t, obj_t);
static obj_t BGl_libraryzd2moduleszd2initz00zzjvm_initz00();
static obj_t BGl_stvectorzd2initzd2zzjvm_initz00(obj_t, obj_t, obj_t, long, int);
static obj_t __cnst[ 40 ] ;


DEFINE_STATIC_PROCEDURE( BGl_proc4192z00zzjvm_initz00, BgL_bgl_za7c3anonymousza7a33129za7e3za783za7za7jvm_initza7004234za7, BGl_zc3anonymousza33129ze3z83zzjvm_initz00, 0L, 1 );
DEFINE_STRING( BGl_string4199z00zzjvm_initz00, BgL_bgl_string4199za700za7za7jvm_initza7004235z00, "unknown modifier", 16 );
DEFINE_STRING( BGl_string4198z00zzjvm_initz00, BgL_bgl_string4198za700za7za7jvm_initza7004236z00, "declaration", 11 );
DEFINE_STRING( BGl_string4197z00zzjvm_initz00, BgL_bgl_string4197za700za7za7jvm_initza7004237z00, " : unknown declaration : ", 25 );
DEFINE_STRING( BGl_string4196z00zzjvm_initz00, BgL_bgl_string4196za700za7za7jvm_initza7004238z00, "declare-modifiers", 17 );
DEFINE_STRING( BGl_string4195z00zzjvm_initz00, BgL_bgl_string4195za700za7za7jvm_initza7004239z00, "bad value", 9 );
DEFINE_STRING( BGl_string4194z00zzjvm_initz00, BgL_bgl_string4194za700za7za7jvm_initza7004240z00, "global-declaration", 18 );
DEFINE_STRING( BGl_string4203z00zzjvm_initz00, BgL_bgl_string4203za700za7za7jvm_initza7004241z00, "(int int int) init3 void (int int) init2 stvector sgfun sfun ad (double) double_to_real double sreal sstring never constants int __cnsts_table (public) plain method (public static) export (private static) static (static) (import foreign) field ok _ g_ compiler cdr car procindex cons nil j_foreign jstring jobject ", 314 );
DEFINE_STRING( BGl_string4193z00zzjvm_initz00, BgL_bgl_string4193za700za7za7jvm_initza7004242z00, "global variable reclaration", 27 );
DEFINE_STRING( BGl_string4202z00zzjvm_initz00, BgL_bgl_string4202za700za7za7jvm_initza7004243z00, "unknown value type", 18 );
DEFINE_STRING( BGl_string4201z00zzjvm_initz00, BgL_bgl_string4201za700za7za7jvm_initza7004244z00, "Unknown cnst class", 18 );
DEFINE_STRING( BGl_string4200z00zzjvm_initz00, BgL_bgl_string4200za700za7za7jvm_initza7004245z00, "analyse-init", 12 );



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzjvm_initz00(long BgL_checksumz00_1634, char * BgL_fromz00_1635)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzjvm_initz00))
{ 
BGl_requirezd2initializa7ationz75zzjvm_initz00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzjvm_initz00(); 
BGl_cnstzd2initzd2zzjvm_initz00(); 
BGl_importedzd2moduleszd2initz00zzjvm_initz00(); 
BGl_toplevelzd2initzd2zzjvm_initz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzjvm_initz00()
{ AN_OBJECT;
{ /* ./Jvm/init.scm 1 */
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "jvm_init"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "jvm_init"); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "jvm_init"); 
BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)0), "jvm_init"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long)0), "jvm_init"); 
BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long)0), "jvm_init"); 
BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)0), "jvm_init"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzjvm_initz00()
{ AN_OBJECT;
{ /* ./Jvm/init.scm 1 */
{ /* ./Jvm/init.scm 1 */
obj_t BgL_cportz00_1625;
BgL_cportz00_1625 = 
open_input_string(BGl_string4203z00zzjvm_initz00); 
{ 
long BgL_iz00_1626;
BgL_iz00_1626 = ((long)39); 
BgL_loopz00_1627:
{ /* ./Jvm/init.scm 1 */
bool_t BgL_test4205z00_1628;
BgL_test4205z00_1628 = 
(BgL_iz00_1626==((long)-1)); 
if(BgL_test4205z00_1628)
{ /* ./Jvm/init.scm 1 */
return BUNSPEC;}  else 
{ /* ./Jvm/init.scm 1 */
{ /* ./Jvm/init.scm 1 */
obj_t BgL_arg4207z00_1629;
{ /* ./Jvm/init.scm 1 */
obj_t BgL_list4210z00_1630;
BgL_list4210z00_1630 = 
MAKE_PAIR(BgL_cportz00_1625, BNIL); 
BgL_arg4207z00_1629 = 
BGl_readz00zz__readerz00(BgL_list4210z00_1630); } 
{ /* ./Jvm/init.scm 1 */
int BgL_auxz00_1655;
BgL_auxz00_1655 = 
(int)(BgL_iz00_1626); 
CNST_TABLE_SET(BgL_auxz00_1655, BgL_arg4207z00_1629); } } 
{ /* ./Jvm/init.scm 1 */
int BgL_auxz00_1631;
{ /* ./Jvm/init.scm 1 */
long BgL_auxz00_1658;
BgL_auxz00_1658 = 
(BgL_iz00_1626-((long)1)); 
BgL_auxz00_1631 = 
(int)(BgL_auxz00_1658); } 
{ 
long BgL_iz00_1661;
BgL_iz00_1661 = 
(long)(BgL_auxz00_1631); 
BgL_iz00_1626 = BgL_iz00_1661; 
goto BgL_loopz00_1627;} } } } } } } 
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zzjvm_initz00()
{ AN_OBJECT;
{ /* ./Jvm/init.scm 1 */
return ( 
BGl_compilezd2initzd2zzjvm_initz00 = BGl_proc4192z00zzjvm_initz00, BUNSPEC) ;} 
}



/* <anonymous:3129> */
obj_t BGl_zc3anonymousza33129ze3z83zzjvm_initz00(obj_t BgL_envz00_1616, obj_t BgL_globalsz00_1617)
{ AN_OBJECT;
{ /* ./Jvm/init.scm 16 */
{ 
obj_t BgL_globalsz00_835;
{ /* ./Jvm/init.scm 17 */
BgL_envz00_bglt BgL_auxz00_1663;
BgL_globalsz00_835 = BgL_globalsz00_1617; 
{ /* ./Jvm/init.scm 17 */
BgL_envz00_bglt BgL_envz00_837;
BgL_envz00_837 = 
BGl_makezd2envzd2zzjvm_envz00(BNIL, BNIL, BNIL, BNIL, BNIL, BNIL, BNIL, BNIL, BNIL, BNIL, BNIL, 
BINT(((long)0)), BNIL, BNIL, BNIL, BNIL, BNIL); 
BGl_envzd2declarezd2currentzd2modulezd2zzjvm_envz00(BgL_envz00_837); 
BGl_jlibzd2declarezd2zzjvm_envz00(BgL_envz00_837, 
CNST_TABLE_REF(((long)0))); 
BGl_jlibzd2declarezd2zzjvm_envz00(BgL_envz00_837, 
CNST_TABLE_REF(((long)1))); 
BGl_jlibzd2declarezd2zzjvm_envz00(BgL_envz00_837, 
CNST_TABLE_REF(((long)2))); 
BGl_jlibzd2declarezd2zzjvm_envz00(BgL_envz00_837, 
CNST_TABLE_REF(((long)3))); 
BGl_jlibzd2declarezd2zzjvm_envz00(BgL_envz00_837, 
CNST_TABLE_REF(((long)4))); 
BGl_jlibzd2declarezd2zzjvm_envz00(BgL_envz00_837, 
CNST_TABLE_REF(((long)5))); 
BGl_jlibzd2declarezd2zzjvm_envz00(BgL_envz00_837, 
CNST_TABLE_REF(((long)6))); 
BGl_jlibzd2declarezd2zzjvm_envz00(BgL_envz00_837, 
CNST_TABLE_REF(((long)7))); 
{ /* ./Jvm/init.scm 27 */
obj_t BgL_zc3anonymousza33142ze3z83_1614;
{ 
int BgL_auxz00_1685;int BgL_auxz00_1683;
BgL_auxz00_1685 = 
(int)(((long)1)); 
BgL_auxz00_1683 = 
(int)(((long)1)); 
BgL_zc3anonymousza33142ze3z83_1614 = 
make_fx_procedure(BGl_zc3anonymousza33142ze3z83zzjvm_initz00, BgL_auxz00_1683, BgL_auxz00_1685); } 
{ /* ./Jvm/init.scm 27 */
obj_t BgL_auxz00_1690;int BgL_auxz00_1688;
BgL_auxz00_1690 = 
(obj_t)(BgL_envz00_837); 
BgL_auxz00_1688 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza33142ze3z83_1614, BgL_auxz00_1688, BgL_auxz00_1690); } 
BGl_forzd2eachzd2globalz12z12zzast_envz00(BgL_zc3anonymousza33142ze3z83_1614); } 
{ /* ./Jvm/init.scm 28 */
obj_t BgL_zc3anonymousza33147ze3z83_1613;
{ 
int BgL_auxz00_1696;int BgL_auxz00_1694;
BgL_auxz00_1696 = 
(int)(((long)1)); 
BgL_auxz00_1694 = 
(int)(((long)1)); 
BgL_zc3anonymousza33147ze3z83_1613 = 
make_fx_procedure(BGl_zc3anonymousza33147ze3z83zzjvm_initz00, BgL_auxz00_1694, BgL_auxz00_1696); } 
{ /* ./Jvm/init.scm 28 */
obj_t BgL_auxz00_1701;int BgL_auxz00_1699;
BgL_auxz00_1701 = 
(obj_t)(BgL_envz00_837); 
BgL_auxz00_1699 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza33147ze3z83_1613, BgL_auxz00_1699, BgL_auxz00_1701); } 
BGl_forzd2eachzd2globalz12z12zzast_envz00(BgL_zc3anonymousza33147ze3z83_1613); } 
{ /* ./Jvm/init.scm 29 */
obj_t BgL_arg3150z00_846;
BgL_arg3150z00_846 = 
(((BgL_envz00_bglt)CREF(BgL_envz00_837))->BgL_codez00); 
{ /* ./Jvm/init.scm 29 */
BgL_envz00_bglt BgL_obj3024z00_1461;obj_t BgL_val3023z00_1462;
BgL_obj3024z00_1461 = BgL_envz00_837; 
BgL_val3023z00_1462 = BgL_arg3150z00_846; 
((((BgL_envz00_bglt)CREF(BgL_obj3024z00_1461))->BgL_clinitzd2codezd2) = ((obj_t)BgL_val3023z00_1462), BUNSPEC); } } 
BgL_auxz00_1663 = BgL_envz00_837; } 
return 
(obj_t)(BgL_auxz00_1663);} } } 
}



/* <anonymous:3147> */
obj_t BGl_zc3anonymousza33147ze3z83zzjvm_initz00(obj_t BgL_envz00_1618, obj_t BgL_globalz00_1620)
{ AN_OBJECT;
{ /* ./Jvm/init.scm 28 */
{ /* ./Jvm/init.scm 28 */
obj_t BgL_envz00_1619;
{ /* ./Jvm/init.scm 28 */
int BgL_auxz00_1708;
BgL_auxz00_1708 = 
(int)(((long)0)); 
BgL_envz00_1619 = 
PROCEDURE_REF(BgL_envz00_1618, BgL_auxz00_1708); } 
{ 
obj_t BgL_globalz00_843;
BgL_globalz00_843 = BgL_globalz00_1620; 
return 
BGl_analysezd2initzd2zzjvm_initz00(BgL_envz00_1619, BgL_globalz00_843);} } } 
}



/* <anonymous:3142> */
obj_t BGl_zc3anonymousza33142ze3z83zzjvm_initz00(obj_t BgL_envz00_1621, obj_t BgL_globalz00_1623)
{ AN_OBJECT;
{ /* ./Jvm/init.scm 27 */
{ /* ./Jvm/init.scm 27 */
obj_t BgL_envz00_1622;
{ /* ./Jvm/init.scm 27 */
int BgL_auxz00_1712;
BgL_auxz00_1712 = 
(int)(((long)0)); 
BgL_envz00_1622 = 
PROCEDURE_REF(BgL_envz00_1621, BgL_auxz00_1712); } 
{ 
obj_t BgL_globalz00_839;
BgL_globalz00_839 = BgL_globalz00_1623; 
return 
BGl_envzd2declarezd2globalz00zzjvm_initz00(BgL_envz00_1622, BgL_globalz00_839);} } } 
}



/* env-declare-global */
obj_t BGl_envzd2declarezd2globalz00zzjvm_initz00(obj_t BgL_envz00_11, obj_t BgL_globalz00_12)
{ AN_OBJECT;
{ /* ./Jvm/init.scm 35 */
{ /* ./Jvm/init.scm 36 */
bool_t BgL_test3183z00_857;
{ /* ./Jvm/init.scm 36 */
obj_t BgL_auxz00_1716;
BgL_auxz00_1716 = 
BGl_globalzd2tozd2bezd2declaredzd2zzjvm_externz00(
(BgL_globalz00_bglt)(BgL_globalz00_12)); 
BgL_test3183z00_857 = 
CBOOL(BgL_auxz00_1716); } 
if(BgL_test3183z00_857)
{ /* ./Jvm/init.scm 36 */
{ /* ./Jvm/init.scm 38 */
bool_t BgL_test3184z00_859;
{ /* ./Jvm/init.scm 38 */
obj_t BgL_auxz00_1721;
{ /* ./Jvm/init.scm 38 */
obj_t BgL_auxz00_1722;
{ /* ./Jvm/init.scm 38 */
BgL_envz00_bglt BgL_obj3013z00_1473;
BgL_obj3013z00_1473 = 
(BgL_envz00_bglt)(BgL_envz00_11); 
BgL_auxz00_1722 = 
(((BgL_envz00_bglt)CREF(BgL_obj3013z00_1473))->BgL_declaredglobalz00); } 
BgL_auxz00_1721 = 
BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_globalz00_12, BgL_auxz00_1722); } 
BgL_test3184z00_859 = 
CBOOL(BgL_auxz00_1721); } 
if(BgL_test3184z00_859)
{ /* ./Jvm/init.scm 39 */
obj_t BgL_procz00_1474;
BgL_procz00_1474 = 
CNST_TABLE_REF(((long)8)); 
FAILURE(BgL_procz00_1474,BGl_string4193z00zzjvm_initz00,BgL_globalz00_12);}  else 
{ /* ./Jvm/init.scm 38 */((bool_t)0); } } 
{ /* ./Jvm/init.scm 41 */
obj_t BgL_namez00_862;
{ /* ./Jvm/init.scm 41 */
obj_t BgL_arg3216z00_872;obj_t BgL_arg3217z00_873;obj_t BgL_arg3218z00_874;obj_t BgL_arg3219z00_875;
BgL_arg3216z00_872 = 
CNST_TABLE_REF(((long)9)); 
{ /* ./Jvm/init.scm 41 */
BgL_globalz00_bglt BgL_obj1165z00_1477;
BgL_obj1165z00_1477 = 
(BgL_globalz00_bglt)(BgL_globalz00_12); 
BgL_arg3217z00_873 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1165z00_1477))->BgL_modulez00); } 
BgL_arg3218z00_874 = 
CNST_TABLE_REF(((long)10)); 
{ /* ./Jvm/init.scm 41 */
BgL_variablez00_bglt BgL_obj1093z00_1478;
BgL_obj1093z00_1478 = 
(BgL_variablez00_bglt)(BgL_globalz00_12); 
BgL_arg3219z00_875 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1093z00_1478))->BgL_idz00); } 
{ /* ./Jvm/init.scm 41 */
obj_t BgL_list3221z00_876;
{ /* ./Jvm/init.scm 41 */
obj_t BgL_arg3223z00_877;
{ /* ./Jvm/init.scm 41 */
obj_t BgL_arg3226z00_878;
{ /* ./Jvm/init.scm 41 */
obj_t BgL_arg3229z00_879;
BgL_arg3229z00_879 = 
MAKE_PAIR(BgL_arg3219z00_875, BNIL); 
BgL_arg3226z00_878 = 
MAKE_PAIR(BgL_arg3218z00_874, BgL_arg3229z00_879); } 
BgL_arg3223z00_877 = 
MAKE_PAIR(BgL_arg3217z00_873, BgL_arg3226z00_878); } 
BgL_list3221z00_876 = 
MAKE_PAIR(BgL_arg3216z00_872, BgL_arg3223z00_877); } 
BgL_namez00_862 = 
BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list3221z00_876); } } 
{ /* ./Jvm/init.scm 43 */
obj_t BgL_arg3191z00_863;
{ /* ./Jvm/init.scm 43 */
obj_t BgL_arg3194z00_864;obj_t BgL_arg3195z00_865;
{ /* ./Jvm/init.scm 43 */
obj_t BgL_arg3198z00_866;
{ /* ./Jvm/init.scm 43 */
obj_t BgL_arg3201z00_867;
BgL_arg3201z00_867 = 
BGl_globalzd2declarationzd2zzjvm_initz00(BgL_envz00_11, BgL_globalz00_12); 
BgL_arg3198z00_866 = 
MAKE_PAIR(BgL_arg3201z00_867, BNIL); } 
BgL_arg3194z00_864 = 
MAKE_PAIR(BgL_namez00_862, BgL_arg3198z00_866); } 
{ /* ./Jvm/init.scm 43 */
BgL_envz00_bglt BgL_obj2995z00_1479;
BgL_obj2995z00_1479 = 
(BgL_envz00_bglt)(BgL_envz00_11); 
BgL_arg3195z00_865 = 
(((BgL_envz00_bglt)CREF(BgL_obj2995z00_1479))->BgL_declarationsz00); } 
BgL_arg3191z00_863 = 
MAKE_PAIR(BgL_arg3194z00_864, BgL_arg3195z00_865); } 
{ /* ./Jvm/init.scm 42 */
BgL_envz00_bglt BgL_obj2997z00_1480;obj_t BgL_val2996z00_1481;
BgL_obj2997z00_1480 = 
(BgL_envz00_bglt)(BgL_envz00_11); 
BgL_val2996z00_1481 = BgL_arg3191z00_863; 
((((BgL_envz00_bglt)CREF(BgL_obj2997z00_1480))->BgL_declarationsz00) = ((obj_t)BgL_val2996z00_1481), BUNSPEC); } } 
{ /* ./Jvm/init.scm 46 */
obj_t BgL_arg3207z00_869;
{ /* ./Jvm/init.scm 46 */
obj_t BgL_arg3210z00_870;obj_t BgL_arg3211z00_871;
BgL_arg3210z00_870 = 
MAKE_PAIR(BgL_globalz00_12, BgL_namez00_862); 
{ /* ./Jvm/init.scm 46 */
BgL_envz00_bglt BgL_obj3013z00_1482;
BgL_obj3013z00_1482 = 
(BgL_envz00_bglt)(BgL_envz00_11); 
BgL_arg3211z00_871 = 
(((BgL_envz00_bglt)CREF(BgL_obj3013z00_1482))->BgL_declaredglobalz00); } 
BgL_arg3207z00_869 = 
MAKE_PAIR(BgL_arg3210z00_870, BgL_arg3211z00_871); } 
{ /* ./Jvm/init.scm 45 */
BgL_envz00_bglt BgL_obj3015z00_1483;obj_t BgL_val3014z00_1484;
BgL_obj3015z00_1483 = 
(BgL_envz00_bglt)(BgL_envz00_11); 
BgL_val3014z00_1484 = BgL_arg3207z00_869; 
return 
((((BgL_envz00_bglt)CREF(BgL_obj3015z00_1483))->BgL_declaredglobalz00) = ((obj_t)BgL_val3014z00_1484), BUNSPEC);} } } }  else 
{ /* ./Jvm/init.scm 36 */
return 
CNST_TABLE_REF(((long)11));} } } 
}



/* global-declaration */
obj_t BGl_globalzd2declarationzd2zzjvm_initz00(obj_t BgL_envz00_13, obj_t BgL_globalz00_14)
{ AN_OBJECT;
{ /* ./Jvm/init.scm 49 */
{ /* ./Jvm/init.scm 50 */
BgL_valuez00_bglt BgL_valuez00_880;
{ /* ./Jvm/init.scm 50 */
BgL_variablez00_bglt BgL_obj1100z00_1485;
BgL_obj1100z00_1485 = 
(BgL_variablez00_bglt)(BgL_globalz00_14); 
BgL_valuez00_880 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1100z00_1485))->BgL_valuez00); } 
{ /* ./Jvm/init.scm 52 */
bool_t BgL_test3235z00_881;
{ /* ./Jvm/init.scm 52 */
bool_t BgL_test3244z00_884;
{ /* ./Jvm/init.scm 52 */
obj_t BgL_obj1499z00_1486;
BgL_obj1499z00_1486 = 
(obj_t)(BgL_valuez00_880); 
BgL_test3244z00_884 = 
BGl_iszd2azf3z21zz__objectz00(BgL_obj1499z00_1486, BGl_svarz00zzast_varz00); } 
if(BgL_test3244z00_884)
{ /* ./Jvm/init.scm 52 */
BgL_test3235z00_881 = ((bool_t)1); }  else 
{ /* ./Jvm/init.scm 52 */
bool_t BgL_test3245z00_885;
{ /* ./Jvm/init.scm 52 */
obj_t BgL_obj1527z00_1487;
BgL_obj1527z00_1487 = 
(obj_t)(BgL_valuez00_880); 
BgL_test3245z00_885 = 
BGl_iszd2azf3z21zz__objectz00(BgL_obj1527z00_1487, BGl_cvarz00zzast_varz00); } 
if(BgL_test3245z00_885)
{ /* ./Jvm/init.scm 52 */
BgL_test3235z00_881 = ((bool_t)1); }  else 
{ /* ./Jvm/init.scm 52 */
obj_t BgL_obj1519z00_1488;
BgL_obj1519z00_1488 = 
(obj_t)(BgL_valuez00_880); 
BgL_test3235z00_881 = 
BGl_iszd2azf3z21zz__objectz00(BgL_obj1519z00_1488, BGl_scnstz00zzast_varz00); } } } 
if(BgL_test3235z00_881)
{ /* ./Jvm/init.scm 52 */
return 
BGl_globalzd2varzd2declarationz00zzjvm_initz00(BgL_envz00_13, BgL_globalz00_14);}  else 
{ /* ./Jvm/init.scm 54 */
bool_t BgL_test3237z00_882;
{ /* ./Jvm/init.scm 54 */
obj_t BgL_obj1425z00_1489;
BgL_obj1425z00_1489 = 
(obj_t)(BgL_valuez00_880); 
BgL_test3237z00_882 = 
BGl_iszd2azf3z21zz__objectz00(BgL_obj1425z00_1489, BGl_sfunz00zzast_varz00); } 
if(BgL_test3237z00_882)
{ /* ./Jvm/init.scm 54 */
return 
BGl_globalzd2sfunzd2declarationz00zzjvm_initz00(BgL_envz00_13, BgL_globalz00_14);}  else 
{ /* ./Jvm/init.scm 56 */
bool_t BgL_test3239z00_883;
{ /* ./Jvm/init.scm 56 */
obj_t BgL_obj1489z00_1490;
BgL_obj1489z00_1490 = 
(obj_t)(BgL_valuez00_880); 
BgL_test3239z00_883 = 
BGl_iszd2azf3z21zz__objectz00(BgL_obj1489z00_1490, BGl_cfunz00zzast_varz00); } 
if(BgL_test3239z00_883)
{ /* ./Jvm/init.scm 56 */
return 
BGl_globalzd2cfunzd2declarationz00zzjvm_initz00(BgL_envz00_13, BgL_globalz00_14);}  else 
{ /* ./Jvm/init.scm 56 */
{ /* ./Jvm/init.scm 58 */
obj_t BgL_objectz00_1493;
BgL_objectz00_1493 = 
(obj_t)(BgL_valuez00_880); 
FAILURE(BGl_string4194z00zzjvm_initz00,BGl_string4195z00zzjvm_initz00,BgL_objectz00_1493);} } } } } } } 
}



/* global-var-declaration */
obj_t BGl_globalzd2varzd2declarationz00zzjvm_initz00(obj_t BgL_envz00_15, obj_t BgL_globalz00_16)
{ AN_OBJECT;
{ /* ./Jvm/init.scm 61 */
{ /* ./Jvm/init.scm 63 */
obj_t BgL_arg3251z00_887;obj_t BgL_arg3252z00_888;
BgL_arg3251z00_887 = 
CNST_TABLE_REF(((long)12)); 
{ /* ./Jvm/init.scm 64 */
obj_t BgL_arg3255z00_889;obj_t BgL_arg3257z00_890;
{ /* ./Jvm/init.scm 64 */
obj_t BgL_arg3260z00_891;
{ /* ./Jvm/init.scm 64 */
BgL_globalz00_bglt BgL_obj1165z00_1494;
BgL_obj1165z00_1494 = 
(BgL_globalz00_bglt)(BgL_globalz00_16); 
BgL_arg3260z00_891 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1165z00_1494))->BgL_modulez00); } 
BgL_arg3255z00_889 = 
BGl_envzd2declarezd2modulez00zzjvm_envz00(
(BgL_envz00_bglt)(BgL_envz00_15), BgL_arg3260z00_891); } 
{ /* ./Jvm/init.scm 65 */
obj_t BgL_arg3264z00_892;obj_t BgL_arg3265z00_893;
{ /* ./Jvm/init.scm 65 */
obj_t BgL_arg3268z00_894;
{ /* ./Jvm/init.scm 65 */
BgL_globalz00_bglt BgL_obj1168z00_1495;
BgL_obj1168z00_1495 = 
(BgL_globalz00_bglt)(BgL_globalz00_16); 
BgL_arg3268z00_894 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1168z00_1495))->BgL_importz00); } 
BgL_arg3264z00_892 = 
BGl_declarezd2fieldzd2modifiersz00zzjvm_initz00(BgL_arg3268z00_894); } 
{ /* ./Jvm/init.scm 67 */
obj_t BgL_arg3272z00_895;obj_t BgL_arg3273z00_896;
BgL_arg3272z00_895 = 
BGl_compilezd2typezd2zzjvm_envz00(BgL_globalz00_16, 
(BgL_envz00_bglt)(BgL_envz00_15)); 
{ /* ./Jvm/init.scm 68 */
obj_t BgL_arg3277z00_897;
BgL_arg3277z00_897 = 
BGl_realzd2fieldzd2namez00zzjvm_externz00(
(BgL_globalz00_bglt)(BgL_globalz00_16)); 
BgL_arg3273z00_896 = 
MAKE_PAIR(BgL_arg3277z00_897, BNIL); } 
BgL_arg3265z00_893 = 
MAKE_PAIR(BgL_arg3272z00_895, BgL_arg3273z00_896); } 
BgL_arg3257z00_890 = 
MAKE_PAIR(BgL_arg3264z00_892, BgL_arg3265z00_893); } 
BgL_arg3252z00_888 = 
MAKE_PAIR(BgL_arg3255z00_889, BgL_arg3257z00_890); } 
return 
MAKE_PAIR(BgL_arg3251z00_887, BgL_arg3252z00_888);} } 
}



/* declare-field-modifiers */
obj_t BGl_declarezd2fieldzd2modifiersz00zzjvm_initz00(obj_t BgL_declz00_17)
{ AN_OBJECT;
{ /* ./Jvm/init.scm 70 */
{ /* ./Jvm/init.scm 71 */
bool_t BgL_test3281z00_900;
{ /* ./Jvm/init.scm 71 */
obj_t BgL_auxz00_1795;
BgL_auxz00_1795 = 
BGl_memvz00zz__r4_pairs_and_lists_6_3z00(BgL_declz00_17, 
CNST_TABLE_REF(((long)13))); 
BgL_test3281z00_900 = 
CBOOL(BgL_auxz00_1795); } 
if(BgL_test3281z00_900)
{ /* ./Jvm/init.scm 71 */
return 
CNST_TABLE_REF(((long)14));}  else 
{ /* ./Jvm/init.scm 71 */
bool_t BgL_test3282z00_901;
BgL_test3282z00_901 = 
BGl_eqvzf3zf3zz__r4_equivalence_6_2z00(BgL_declz00_17, 
CNST_TABLE_REF(((long)15))); 
if(BgL_test3282z00_901)
{ /* ./Jvm/init.scm 71 */
return 
CNST_TABLE_REF(((long)16));}  else 
{ /* ./Jvm/init.scm 71 */
bool_t BgL_test3283z00_902;
BgL_test3283z00_902 = 
BGl_eqvzf3zf3zz__r4_equivalence_6_2z00(BgL_declz00_17, 
CNST_TABLE_REF(((long)17))); 
if(BgL_test3283z00_902)
{ /* ./Jvm/init.scm 71 */
return 
CNST_TABLE_REF(((long)18));}  else 
{ /* ./Jvm/init.scm 71 */
{ /* ./Jvm/init.scm 75 */
obj_t BgL_port3109z00_903;
BgL_port3109z00_903 = 
BGL_CURRENT_OUTPUT_PORT(); 
display_string(BGl_string4196z00zzjvm_initz00, BgL_port3109z00_903); 
display_string(BGl_string4197z00zzjvm_initz00, BgL_port3109z00_903); 
BGl_displayzd22zd2zz__r4_output_6_10_3z00(BgL_declz00_17, BgL_port3109z00_903); 
WRITE_CHAR(((unsigned char)'\n'), BgL_port3109z00_903); } 
return BNIL;} } } } } 
}



/* global-sfun-declaration */
obj_t BGl_globalzd2sfunzd2declarationz00zzjvm_initz00(obj_t BgL_envz00_18, obj_t BgL_globalz00_19)
{ AN_OBJECT;
{ /* ./Jvm/init.scm 79 */
{ /* ./Jvm/init.scm 81 */
obj_t BgL_arg3293z00_905;obj_t BgL_arg3294z00_906;
BgL_arg3293z00_905 = 
CNST_TABLE_REF(((long)19)); 
{ /* ./Jvm/init.scm 82 */
obj_t BgL_arg3297z00_907;obj_t BgL_arg3298z00_908;
{ /* ./Jvm/init.scm 82 */
obj_t BgL_arg3301z00_909;
{ /* ./Jvm/init.scm 82 */
BgL_globalz00_bglt BgL_obj1165z00_1497;
BgL_obj1165z00_1497 = 
(BgL_globalz00_bglt)(BgL_globalz00_19); 
BgL_arg3301z00_909 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1165z00_1497))->BgL_modulez00); } 
BgL_arg3297z00_907 = 
BGl_envzd2declarezd2modulez00zzjvm_envz00(
(BgL_envz00_bglt)(BgL_envz00_18), BgL_arg3301z00_909); } 
{ /* ./Jvm/init.scm 83 */
obj_t BgL_arg3305z00_910;obj_t BgL_arg3306z00_911;
{ /* ./Jvm/init.scm 83 */
obj_t BgL_casezd2valuezd2_912;
{ /* ./Jvm/init.scm 83 */
BgL_globalz00_bglt BgL_obj1168z00_1498;
BgL_obj1168z00_1498 = 
(BgL_globalz00_bglt)(BgL_globalz00_19); 
BgL_casezd2valuezd2_912 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1168z00_1498))->BgL_importz00); } 
{ /* ./Jvm/init.scm 83 */
bool_t BgL_test3308z00_913;
{ /* ./Jvm/init.scm 83 */
obj_t BgL_auxz00_1821;
BgL_auxz00_1821 = 
BGl_memvz00zz__r4_pairs_and_lists_6_3z00(BgL_casezd2valuezd2_912, 
CNST_TABLE_REF(((long)13))); 
BgL_test3308z00_913 = 
CBOOL(BgL_auxz00_1821); } 
if(BgL_test3308z00_913)
{ /* ./Jvm/init.scm 83 */
BgL_arg3305z00_910 = 
CNST_TABLE_REF(((long)14)); }  else 
{ /* ./Jvm/init.scm 83 */
bool_t BgL_test3309z00_914;
BgL_test3309z00_914 = 
BGl_eqvzf3zf3zz__r4_equivalence_6_2z00(BgL_casezd2valuezd2_912, 
CNST_TABLE_REF(((long)15))); 
if(BgL_test3309z00_914)
{ /* ./Jvm/init.scm 83 */
BgL_arg3305z00_910 = 
CNST_TABLE_REF(((long)16)); }  else 
{ /* ./Jvm/init.scm 83 */
bool_t BgL_test3310z00_915;
BgL_test3310z00_915 = 
BGl_eqvzf3zf3zz__r4_equivalence_6_2z00(BgL_casezd2valuezd2_912, 
CNST_TABLE_REF(((long)17))); 
if(BgL_test3310z00_915)
{ /* ./Jvm/init.scm 83 */
BgL_arg3305z00_910 = 
CNST_TABLE_REF(((long)18)); }  else 
{ /* ./Jvm/init.scm 83 */
FAILURE(BGl_string4198z00zzjvm_initz00,BGl_string4199z00zzjvm_initz00,BgL_casezd2valuezd2_912);} } } } } 
{ /* ./Jvm/init.scm 88 */
obj_t BgL_arg3322z00_919;obj_t BgL_arg3323z00_920;
{ /* ./Jvm/init.scm 88 */
BgL_typez00_bglt BgL_arg3326z00_921;
{ /* ./Jvm/init.scm 88 */
BgL_variablez00_bglt BgL_obj1097z00_1503;
BgL_obj1097z00_1503 = 
(BgL_variablez00_bglt)(BgL_globalz00_19); 
BgL_arg3326z00_921 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1097z00_1503))->BgL_typez00); } 
BgL_arg3322z00_919 = 
BGl_compilezd2typezd2zzjvm_envz00(
(obj_t)(BgL_arg3326z00_921), 
(BgL_envz00_bglt)(BgL_envz00_18)); } 
{ /* ./Jvm/init.scm 89 */
obj_t BgL_arg3330z00_922;obj_t BgL_arg3331z00_923;
BgL_arg3330z00_922 = 
BGl_realzd2sfunzd2namez00zzjvm_externz00(
(BgL_globalz00_bglt)(BgL_globalz00_19)); 
{ /* ./Jvm/init.scm 90 */
obj_t BgL_arg3335z00_924;
{ /* ./Jvm/init.scm 90 */
obj_t BgL_l3112z00_926;
{ /* ./Jvm/init.scm 90 */
BgL_sfunz00_bglt BgL_obj1367z00_1505;
{ /* ./Jvm/init.scm 90 */
BgL_valuez00_bglt BgL_auxz00_1843;
{ /* ./Jvm/init.scm 90 */
BgL_variablez00_bglt BgL_obj1100z00_1504;
BgL_obj1100z00_1504 = 
(BgL_variablez00_bglt)(BgL_globalz00_19); 
BgL_auxz00_1843 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1100z00_1504))->BgL_valuez00); } 
BgL_obj1367z00_1505 = 
(BgL_sfunz00_bglt)(BgL_auxz00_1843); } 
BgL_l3112z00_926 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1367z00_1505))->BgL_argsz00); } 
{ /* ./Jvm/init.scm 90 */
bool_t BgL_test3338z00_927;
BgL_test3338z00_927 = 
NULLP(BgL_l3112z00_926); 
if(BgL_test3338z00_927)
{ /* ./Jvm/init.scm 90 */
BgL_arg3335z00_924 = BNIL; }  else 
{ /* ./Jvm/init.scm 90 */
obj_t BgL_head3114z00_928;
BgL_head3114z00_928 = 
MAKE_PAIR(BNIL, BNIL); 
{ 
obj_t BgL_l3112z00_929;obj_t BgL_tail3115z00_930;
BgL_l3112z00_929 = BgL_l3112z00_926; 
BgL_tail3115z00_930 = BgL_head3114z00_928; 
BgL_map3113z00_931:
{ /* ./Jvm/init.scm 90 */
bool_t BgL_test3340z00_932;
BgL_test3340z00_932 = 
NULLP(BgL_l3112z00_929); 
if(BgL_test3340z00_932)
{ /* ./Jvm/init.scm 90 */
BgL_arg3335z00_924 = 
CDR(BgL_head3114z00_928); }  else 
{ /* ./Jvm/init.scm 90 */
obj_t BgL_newtail3116z00_933;
{ /* ./Jvm/init.scm 90 */
obj_t BgL_arg3348z00_935;
{ /* ./Jvm/init.scm 90 */
obj_t BgL_xz00_937;
BgL_xz00_937 = 
CAR(BgL_l3112z00_929); 
BgL_arg3348z00_935 = 
BGl_compilezd2typezd2zzjvm_envz00(BgL_xz00_937, 
(BgL_envz00_bglt)(BgL_envz00_18)); } 
BgL_newtail3116z00_933 = 
MAKE_PAIR(BgL_arg3348z00_935, BNIL); } 
SET_CDR(BgL_tail3115z00_930, BgL_newtail3116z00_933); 
{ /* ./Jvm/init.scm 90 */
obj_t BgL_arg3344z00_934;
BgL_arg3344z00_934 = 
CDR(BgL_l3112z00_929); 
{ 
obj_t BgL_tail3115z00_1861;obj_t BgL_l3112z00_1860;
BgL_l3112z00_1860 = BgL_arg3344z00_934; 
BgL_tail3115z00_1861 = BgL_newtail3116z00_933; 
BgL_tail3115z00_930 = BgL_tail3115z00_1861; 
BgL_l3112z00_929 = BgL_l3112z00_1860; 
goto BgL_map3113z00_931;} } } } } } } } 
BgL_arg3331z00_923 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_arg3335z00_924, BNIL); } 
BgL_arg3323z00_920 = 
MAKE_PAIR(BgL_arg3330z00_922, BgL_arg3331z00_923); } 
BgL_arg3306z00_911 = 
MAKE_PAIR(BgL_arg3322z00_919, BgL_arg3323z00_920); } 
BgL_arg3298z00_908 = 
MAKE_PAIR(BgL_arg3305z00_910, BgL_arg3306z00_911); } 
BgL_arg3294z00_906 = 
MAKE_PAIR(BgL_arg3297z00_907, BgL_arg3298z00_908); } 
return 
MAKE_PAIR(BgL_arg3293z00_905, BgL_arg3294z00_906);} } 
}



/* global-cfun-declaration */
obj_t BGl_globalzd2cfunzd2declarationz00zzjvm_initz00(obj_t BgL_envz00_20, obj_t BgL_globalz00_21)
{ AN_OBJECT;
{ /* ./Jvm/init.scm 93 */
{ /* ./Jvm/init.scm 95 */
obj_t BgL_modifiersz00_940;obj_t BgL_argsz00_941;
{ /* ./Jvm/init.scm 95 */
BgL_cfunz00_bglt BgL_obj1450z00_1518;
{ /* ./Jvm/init.scm 95 */
BgL_valuez00_bglt BgL_auxz00_1868;
{ /* ./Jvm/init.scm 95 */
BgL_variablez00_bglt BgL_obj1100z00_1517;
BgL_obj1100z00_1517 = 
(BgL_variablez00_bglt)(BgL_globalz00_21); 
BgL_auxz00_1868 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1100z00_1517))->BgL_valuez00); } 
BgL_obj1450z00_1518 = 
(BgL_cfunz00_bglt)(BgL_auxz00_1868); } 
BgL_modifiersz00_940 = 
(((BgL_cfunz00_bglt)CREF(BgL_obj1450z00_1518))->BgL_methodz00); } 
{ /* ./Jvm/init.scm 96 */
obj_t BgL_l3119z00_960;
{ /* ./Jvm/init.scm 97 */
BgL_cfunz00_bglt BgL_obj1445z00_1520;
{ /* ./Jvm/init.scm 97 */
BgL_valuez00_bglt BgL_auxz00_1873;
{ /* ./Jvm/init.scm 97 */
BgL_variablez00_bglt BgL_obj1100z00_1519;
BgL_obj1100z00_1519 = 
(BgL_variablez00_bglt)(BgL_globalz00_21); 
BgL_auxz00_1873 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1100z00_1519))->BgL_valuez00); } 
BgL_obj1445z00_1520 = 
(BgL_cfunz00_bglt)(BgL_auxz00_1873); } 
BgL_l3119z00_960 = 
(((BgL_cfunz00_bglt)CREF(BgL_obj1445z00_1520))->BgL_argszd2typezd2); } 
{ /* ./Jvm/init.scm 96 */
bool_t BgL_test3406z00_961;
BgL_test3406z00_961 = 
NULLP(BgL_l3119z00_960); 
if(BgL_test3406z00_961)
{ /* ./Jvm/init.scm 96 */
BgL_argsz00_941 = BNIL; }  else 
{ /* ./Jvm/init.scm 96 */
obj_t BgL_head3121z00_962;
BgL_head3121z00_962 = 
MAKE_PAIR(BNIL, BNIL); 
{ 
obj_t BgL_l3119z00_963;obj_t BgL_tail3122z00_964;
BgL_l3119z00_963 = BgL_l3119z00_960; 
BgL_tail3122z00_964 = BgL_head3121z00_962; 
BgL_map3120z00_965:
{ /* ./Jvm/init.scm 96 */
bool_t BgL_test3408z00_966;
BgL_test3408z00_966 = 
NULLP(BgL_l3119z00_963); 
if(BgL_test3408z00_966)
{ /* ./Jvm/init.scm 96 */
BgL_argsz00_941 = 
CDR(BgL_head3121z00_962); }  else 
{ /* ./Jvm/init.scm 96 */
obj_t BgL_newtail3123z00_967;
{ /* ./Jvm/init.scm 96 */
obj_t BgL_arg3416z00_969;
{ /* ./Jvm/init.scm 96 */
obj_t BgL_xz00_971;
BgL_xz00_971 = 
CAR(BgL_l3119z00_963); 
BgL_arg3416z00_969 = 
BGl_compilezd2typezd2zzjvm_envz00(BgL_xz00_971, 
(BgL_envz00_bglt)(BgL_envz00_20)); } 
BgL_newtail3123z00_967 = 
MAKE_PAIR(BgL_arg3416z00_969, BNIL); } 
SET_CDR(BgL_tail3122z00_964, BgL_newtail3123z00_967); 
{ /* ./Jvm/init.scm 96 */
obj_t BgL_arg3412z00_968;
BgL_arg3412z00_968 = 
CDR(BgL_l3119z00_963); 
{ 
obj_t BgL_tail3122z00_1891;obj_t BgL_l3119z00_1890;
BgL_l3119z00_1890 = BgL_arg3412z00_968; 
BgL_tail3122z00_1891 = BgL_newtail3123z00_967; 
BgL_tail3122z00_964 = BgL_tail3122z00_1891; 
BgL_l3119z00_963 = BgL_l3119z00_1890; 
goto BgL_map3120z00_965;} } } } } } } } 
{ /* ./Jvm/init.scm 98 */
obj_t BgL_arg3362z00_942;obj_t BgL_arg3363z00_943;
BgL_arg3362z00_942 = 
CNST_TABLE_REF(((long)19)); 
{ /* ./Jvm/init.scm 100 */
obj_t BgL_arg3366z00_944;obj_t BgL_arg3367z00_945;
{ /* ./Jvm/init.scm 100 */
bool_t BgL_test3369z00_946;
{ /* ./Jvm/init.scm 100 */
obj_t BgL_auxz00_1893;
BgL_auxz00_1893 = 
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
CNST_TABLE_REF(((long)15)), BgL_modifiersz00_940); 
BgL_test3369z00_946 = 
CBOOL(BgL_auxz00_1893); } 
if(BgL_test3369z00_946)
{ /* ./Jvm/init.scm 100 */
{ /* ./Jvm/init.scm 100 */
obj_t BgL_arg3371z00_947;
{ /* ./Jvm/init.scm 100 */
BgL_globalz00_bglt BgL_obj1165z00_1532;
BgL_obj1165z00_1532 = 
(BgL_globalz00_bglt)(BgL_globalz00_21); 
BgL_arg3371z00_947 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1165z00_1532))->BgL_modulez00); } 
BgL_arg3366z00_944 = 
BGl_envzd2declarezd2modulez00zzjvm_envz00(
(BgL_envz00_bglt)(BgL_envz00_20), BgL_arg3371z00_947); } }  else 
{ /* ./Jvm/init.scm 100 */
BgL_arg3366z00_944 = 
CAR(BgL_argsz00_941); } } 
{ /* ./Jvm/init.scm 102 */
obj_t BgL_arg3377z00_948;obj_t BgL_arg3378z00_949;
{ /* ./Jvm/init.scm 102 */
bool_t BgL_testz00_1903;
{ /* ./Jvm/init.scm 102 */
obj_t BgL_auxz00_1904;
BgL_auxz00_1904 = 
CNST_TABLE_REF(((long)20)); 
BgL_testz00_1903 = 
(BgL_modifiersz00_940==BgL_auxz00_1904); } 
if(BgL_testz00_1903)
{ /* ./Jvm/init.scm 102 */
BgL_arg3377z00_948 = 
CNST_TABLE_REF(((long)21)); }  else 
{ /* ./Jvm/init.scm 102 */
BgL_arg3377z00_948 = BgL_modifiersz00_940; } } 
{ /* ./Jvm/init.scm 103 */
obj_t BgL_arg3383z00_951;obj_t BgL_arg3384z00_952;
{ /* ./Jvm/init.scm 103 */
BgL_typez00_bglt BgL_arg3387z00_953;
{ /* ./Jvm/init.scm 103 */
BgL_variablez00_bglt BgL_obj1097z00_1534;
BgL_obj1097z00_1534 = 
(BgL_variablez00_bglt)(BgL_globalz00_21); 
BgL_arg3387z00_953 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1097z00_1534))->BgL_typez00); } 
BgL_arg3383z00_951 = 
BGl_compilezd2typezd2zzjvm_envz00(
(obj_t)(BgL_arg3387z00_953), 
(BgL_envz00_bglt)(BgL_envz00_20)); } 
{ /* ./Jvm/init.scm 104 */
obj_t BgL_arg3391z00_954;obj_t BgL_arg3392z00_955;
BgL_arg3391z00_954 = 
BGl_realzd2cfunzd2namez00zzjvm_externz00(
(BgL_globalz00_bglt)(BgL_globalz00_21)); 
{ /* ./Jvm/init.scm 98 */
obj_t BgL_auxz00_1915;
{ /* ./Jvm/init.scm 106 */
bool_t BgL_testz00_1916;
{ /* ./Jvm/init.scm 106 */
obj_t BgL_auxz00_1917;
BgL_auxz00_1917 = 
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
CNST_TABLE_REF(((long)15)), BgL_modifiersz00_940); 
BgL_testz00_1916 = 
CBOOL(BgL_auxz00_1917); } 
if(BgL_testz00_1916)
{ /* ./Jvm/init.scm 106 */
BgL_auxz00_1915 = BgL_argsz00_941; }  else 
{ /* ./Jvm/init.scm 106 */
BgL_auxz00_1915 = 
CDR(BgL_argsz00_941); } } 
BgL_arg3392z00_955 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_auxz00_1915, BNIL); } 
BgL_arg3384z00_952 = 
MAKE_PAIR(BgL_arg3391z00_954, BgL_arg3392z00_955); } 
BgL_arg3378z00_949 = 
MAKE_PAIR(BgL_arg3383z00_951, BgL_arg3384z00_952); } 
BgL_arg3367z00_945 = 
MAKE_PAIR(BgL_arg3377z00_948, BgL_arg3378z00_949); } 
BgL_arg3363z00_943 = 
MAKE_PAIR(BgL_arg3366z00_944, BgL_arg3367z00_945); } 
return 
MAKE_PAIR(BgL_arg3362z00_942, BgL_arg3363z00_943);} } } 
}



/* analyse-init */
obj_t BGl_analysezd2initzd2zzjvm_initz00(obj_t BgL_envz00_22, obj_t BgL_globalz00_23)
{ AN_OBJECT;
{ /* ./Jvm/init.scm 112 */
{ /* ./Jvm/init.scm 115 */
bool_t BgL_test3428z00_974;
{ /* ./Jvm/init.scm 115 */
obj_t BgL_arg3541z00_1019;
{ /* ./Jvm/init.scm 115 */
BgL_globalz00_bglt BgL_obj1165z00_1536;
BgL_obj1165z00_1536 = 
(BgL_globalz00_bglt)(BgL_globalz00_23); 
BgL_arg3541z00_1019 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1165z00_1536))->BgL_modulez00); } 
BgL_test3428z00_974 = 
(BgL_arg3541z00_1019==BGl_za2moduleza2z00zzmodule_modulez00); } 
if(BgL_test3428z00_974)
{ /* ./Jvm/init.scm 116 */
bool_t BgL_test3429z00_975;
{ /* ./Jvm/init.scm 116 */
obj_t BgL_auxz00_1935;obj_t BgL_auxz00_1932;
BgL_auxz00_1935 = 
CNST_TABLE_REF(((long)22)); 
{ /* ./Jvm/init.scm 116 */
BgL_variablez00_bglt BgL_obj1093z00_1537;
BgL_obj1093z00_1537 = 
(BgL_variablez00_bglt)(BgL_globalz00_23); 
BgL_auxz00_1932 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1093z00_1537))->BgL_idz00); } 
BgL_test3429z00_975 = 
(BgL_auxz00_1932==BgL_auxz00_1935); } 
if(BgL_test3429z00_975)
{ /* ./Jvm/init.scm 116 */
{ /* ./Jvm/init.scm 117 */
obj_t BgL_nz00_976;
BgL_nz00_976 = 
BGl_getzd2cnstzd2offsetz00zzcnst_allocz00(); 
{ /* ./Jvm/init.scm 118 */
bool_t BgL_test3430z00_977;
BgL_test3430z00_977 = 
BGl_2ze3ze3zz__r4_numbers_6_5z00(BgL_nz00_976, 
BINT(((long)0))); 
if(BgL_test3430z00_977)
{ /* ./Jvm/init.scm 118 */
BGl__pushz00zzjvm_instrz00(
(BgL_envz00_bglt)(BgL_envz00_22), 
CNST_TABLE_REF(((long)23)), BgL_nz00_976); 
BGl__newarrayz00zzjvm_instrz00(
(BgL_envz00_bglt)(BgL_envz00_22), 
CNST_TABLE_REF(((long)0))); 
return 
BGl__putstaticz00zzjvm_instrz00(
(BgL_envz00_bglt)(BgL_envz00_22), 
CNST_TABLE_REF(((long)24)));}  else 
{ /* ./Jvm/init.scm 118 */
return BFALSE;} } } }  else 
{ /* ./Jvm/init.scm 123 */
bool_t BgL_test3436z00_978;
{ /* ./Jvm/init.scm 123 */
obj_t BgL_auxz00_1952;
BgL_auxz00_1952 = 
BGl_globalzd2tozd2bezd2declaredzd2zzjvm_externz00(
(BgL_globalz00_bglt)(BgL_globalz00_23)); 
BgL_test3436z00_978 = 
CBOOL(BgL_auxz00_1952); } 
if(BgL_test3436z00_978)
{ /* ./Jvm/init.scm 124 */
bool_t BgL_test3437z00_979;
{ /* ./Jvm/init.scm 124 */
BgL_valuez00_bglt BgL_arg3530z00_1016;
{ /* ./Jvm/init.scm 124 */
BgL_variablez00_bglt BgL_obj1100z00_1538;
BgL_obj1100z00_1538 = 
(BgL_variablez00_bglt)(BgL_globalz00_23); 
BgL_arg3530z00_1016 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1100z00_1538))->BgL_valuez00); } 
{ /* ./Jvm/init.scm 124 */
obj_t BgL_obj1499z00_1539;
BgL_obj1499z00_1539 = 
(obj_t)(BgL_arg3530z00_1016); 
BgL_test3437z00_979 = 
BGl_iszd2azf3z21zz__objectz00(BgL_obj1499z00_1539, BGl_svarz00zzast_varz00); } } 
if(BgL_test3437z00_979)
{ /* ./Jvm/init.scm 124 */
{ /* ./Jvm/init.scm 125 */
bool_t BgL_test3438z00_980;
{ /* ./Jvm/init.scm 125 */
bool_t BgL_test3444z00_982;
{ /* ./Jvm/init.scm 125 */
bool_t BgL_testz00_1962;
{ /* ./Jvm/init.scm 125 */
long BgL_auxz00_1963;
{ /* ./Jvm/init.scm 125 */
BgL_variablez00_bglt BgL_obj1112z00_1540;
BgL_obj1112z00_1540 = 
(BgL_variablez00_bglt)(BgL_globalz00_23); 
BgL_auxz00_1963 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1112z00_1540))->BgL_occurrencez00); } 
BgL_testz00_1962 = 
(BgL_auxz00_1963>((long)0)); } 
if(BgL_testz00_1962)
{ /* ./Jvm/init.scm 125 */
BgL_test3444z00_982 = ((bool_t)1); }  else 
{ /* ./Jvm/init.scm 125 */
obj_t BgL_auxz00_1970;obj_t BgL_auxz00_1967;
BgL_auxz00_1970 = 
CNST_TABLE_REF(((long)25)); 
{ /* ./Jvm/init.scm 125 */
BgL_variablez00_bglt BgL_obj1109z00_1541;
BgL_obj1109z00_1541 = 
(BgL_variablez00_bglt)(BgL_globalz00_23); 
BgL_auxz00_1967 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1109z00_1541))->BgL_removablez00); } 
BgL_test3444z00_982 = 
(BgL_auxz00_1967==BgL_auxz00_1970); } } 
if(BgL_test3444z00_982)
{ /* ./Jvm/init.scm 126 */
BgL_typez00_bglt BgL_arg3446z00_983;
{ /* ./Jvm/init.scm 126 */
BgL_variablez00_bglt BgL_obj1097z00_1542;
BgL_obj1097z00_1542 = 
(BgL_variablez00_bglt)(BgL_globalz00_23); 
BgL_arg3446z00_983 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1097z00_1542))->BgL_typez00); } 
BgL_test3438z00_980 = 
BGl_subzd2typezf3z21zztype_envz00(BgL_arg3446z00_983, 
(BgL_typez00_bglt)(BGl_za2objza2z00zztype_cachez00)); }  else 
{ /* ./Jvm/init.scm 125 */
BgL_test3438z00_980 = ((bool_t)0); } } 
if(BgL_test3438z00_980)
{ /* ./Jvm/init.scm 125 */
BGl__aconst_nullz00zzjvm_instrz00(
(BgL_envz00_bglt)(BgL_envz00_22)); 
{ /* ./Jvm/init.scm 131 */
obj_t BgL_arg3441z00_981;
BgL_arg3441z00_981 = 
BGl_getzd2globalzd2namez00zzjvm_envz00(
(BgL_envz00_bglt)(BgL_envz00_22), 
(BgL_globalz00_bglt)(BgL_globalz00_23)); 
return 
BGl__putstaticz00zzjvm_instrz00(
(BgL_envz00_bglt)(BgL_envz00_22), BgL_arg3441z00_981);} }  else 
{ /* ./Jvm/init.scm 125 */
return BFALSE;} } }  else 
{ /* ./Jvm/init.scm 132 */
bool_t BgL_test3460z00_989;
{ /* ./Jvm/init.scm 132 */
bool_t BgL_test3515z00_1011;
{ /* ./Jvm/init.scm 132 */
BgL_valuez00_bglt BgL_arg3526z00_1015;
{ /* ./Jvm/init.scm 132 */
BgL_variablez00_bglt BgL_obj1100z00_1543;
BgL_obj1100z00_1543 = 
(BgL_variablez00_bglt)(BgL_globalz00_23); 
BgL_arg3526z00_1015 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1100z00_1543))->BgL_valuez00); } 
{ /* ./Jvm/init.scm 132 */
obj_t BgL_obj1425z00_1544;
BgL_obj1425z00_1544 = 
(obj_t)(BgL_arg3526z00_1015); 
BgL_test3515z00_1011 = 
BGl_iszd2azf3z21zz__objectz00(BgL_obj1425z00_1544, BGl_sfunz00zzast_varz00); } } 
if(BgL_test3515z00_1011)
{ /* ./Jvm/init.scm 132 */
BgL_test3460z00_989 = ((bool_t)1); }  else 
{ /* ./Jvm/init.scm 133 */
bool_t BgL_test3516z00_1012;
{ /* ./Jvm/init.scm 133 */
BgL_valuez00_bglt BgL_arg3522z00_1014;
{ /* ./Jvm/init.scm 133 */
BgL_variablez00_bglt BgL_obj1100z00_1545;
BgL_obj1100z00_1545 = 
(BgL_variablez00_bglt)(BgL_globalz00_23); 
BgL_arg3522z00_1014 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1100z00_1545))->BgL_valuez00); } 
{ /* ./Jvm/init.scm 133 */
obj_t BgL_obj1489z00_1546;
BgL_obj1489z00_1546 = 
(obj_t)(BgL_arg3522z00_1014); 
BgL_test3516z00_1012 = 
BGl_iszd2azf3z21zz__objectz00(BgL_obj1489z00_1546, BGl_cfunz00zzast_varz00); } } 
if(BgL_test3516z00_1012)
{ /* ./Jvm/init.scm 133 */
BgL_test3460z00_989 = ((bool_t)1); }  else 
{ /* ./Jvm/init.scm 134 */
BgL_valuez00_bglt BgL_arg3518z00_1013;
{ /* ./Jvm/init.scm 134 */
BgL_variablez00_bglt BgL_obj1100z00_1547;
BgL_obj1100z00_1547 = 
(BgL_variablez00_bglt)(BgL_globalz00_23); 
BgL_arg3518z00_1013 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1100z00_1547))->BgL_valuez00); } 
{ /* ./Jvm/init.scm 134 */
obj_t BgL_obj1527z00_1548;
BgL_obj1527z00_1548 = 
(obj_t)(BgL_arg3518z00_1013); 
BgL_test3460z00_989 = 
BGl_iszd2azf3z21zz__objectz00(BgL_obj1527z00_1548, BGl_cvarz00zzast_varz00); } } } } 
if(BgL_test3460z00_989)
{ /* ./Jvm/init.scm 132 */
return 
CNST_TABLE_REF(((long)11));}  else 
{ /* ./Jvm/init.scm 136 */
bool_t BgL_test3461z00_990;
{ /* ./Jvm/init.scm 136 */
BgL_valuez00_bglt BgL_arg3512z00_1010;
{ /* ./Jvm/init.scm 136 */
BgL_variablez00_bglt BgL_obj1100z00_1549;
BgL_obj1100z00_1549 = 
(BgL_variablez00_bglt)(BgL_globalz00_23); 
BgL_arg3512z00_1010 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1100z00_1549))->BgL_valuez00); } 
{ /* ./Jvm/init.scm 136 */
obj_t BgL_obj1519z00_1550;
BgL_obj1519z00_1550 = 
(obj_t)(BgL_arg3512z00_1010); 
BgL_test3461z00_990 = 
BGl_iszd2azf3z21zz__objectz00(BgL_obj1519z00_1550, BGl_scnstz00zzast_varz00); } } 
if(BgL_test3461z00_990)
{ /* ./Jvm/init.scm 136 */
{ /* ./Jvm/init.scm 137 */
BgL_valuez00_bglt BgL_instance3126z00_991;
{ /* ./Jvm/init.scm 149 */
BgL_variablez00_bglt BgL_obj1100z00_1551;
BgL_obj1100z00_1551 = 
(BgL_variablez00_bglt)(BgL_globalz00_23); 
BgL_instance3126z00_991 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1100z00_1551))->BgL_valuez00); } 
{ /* ./Jvm/init.scm 138 */
obj_t BgL_casezd2valuezd2_992;
{ /* ./Jvm/init.scm 138 */
BgL_scnstz00_bglt BgL_obj1501z00_1552;
BgL_obj1501z00_1552 = 
(BgL_scnstz00_bglt)(BgL_instance3126z00_991); 
BgL_casezd2valuezd2_992 = 
(((BgL_scnstz00_bglt)CREF(BgL_obj1501z00_1552))->BgL_classz00); } 
{ /* ./Jvm/init.scm 138 */
bool_t BgL_test3462z00_993;
BgL_test3462z00_993 = 
BGl_eqvzf3zf3zz__r4_equivalence_6_2z00(BgL_casezd2valuezd2_992, 
CNST_TABLE_REF(((long)26))); 
if(BgL_test3462z00_993)
{ /* ./Jvm/init.scm 140 */
obj_t BgL_arg3465z00_994;
{ /* ./Jvm/init.scm 140 */
BgL_scnstz00_bglt BgL_obj1500z00_1553;
BgL_obj1500z00_1553 = 
(BgL_scnstz00_bglt)(BgL_instance3126z00_991); 
BgL_arg3465z00_994 = 
(((BgL_scnstz00_bglt)CREF(BgL_obj1500z00_1553))->BgL_nodez00); } 
BGl_createzd2stringzd2zzjvm_instrz00(BgL_envz00_22, BgL_arg3465z00_994); }  else 
{ /* ./Jvm/init.scm 138 */
bool_t BgL_test3468z00_995;
BgL_test3468z00_995 = 
BGl_eqvzf3zf3zz__r4_equivalence_6_2z00(BgL_casezd2valuezd2_992, 
CNST_TABLE_REF(((long)27))); 
if(BgL_test3468z00_995)
{ /* ./Jvm/init.scm 142 */
obj_t BgL_arg3470z00_996;
{ /* ./Jvm/init.scm 142 */
BgL_scnstz00_bglt BgL_obj1500z00_1557;
BgL_obj1500z00_1557 = 
(BgL_scnstz00_bglt)(BgL_instance3126z00_991); 
BgL_arg3470z00_996 = 
(((BgL_scnstz00_bglt)CREF(BgL_obj1500z00_1557))->BgL_nodez00); } 
BGl__pushz00zzjvm_instrz00(
(BgL_envz00_bglt)(BgL_envz00_22), 
CNST_TABLE_REF(((long)28)), BgL_arg3470z00_996); 
{ /* ./Jvm/init.scm 142 */
obj_t BgL_arg3547z00_1561;obj_t BgL_arg3548z00_1562;obj_t BgL_arg3549z00_1563;
BgL_arg3547z00_1561 = 
BGl_jlibzd2declarezd2zzjvm_envz00(
(BgL_envz00_bglt)(BgL_envz00_22), 
CNST_TABLE_REF(((long)29))); 
BgL_arg3548z00_1562 = 
CNST_TABLE_REF(((long)30)); 
BgL_arg3549z00_1563 = 
CNST_TABLE_REF(((long)31)); 
BGl__invokestaticz00zzjvm_instrz00(
(BgL_envz00_bglt)(BgL_envz00_22), BgL_arg3547z00_1561, BgL_arg3548z00_1562, BgL_arg3549z00_1563); } }  else 
{ /* ./Jvm/init.scm 138 */
bool_t BgL_test3473z00_997;
BgL_test3473z00_997 = 
BGl_eqvzf3zf3zz__r4_equivalence_6_2z00(BgL_casezd2valuezd2_992, 
CNST_TABLE_REF(((long)32))); 
if(BgL_test3473z00_997)
{ /* ./Jvm/init.scm 144 */
obj_t BgL_arg3475z00_998;
{ /* ./Jvm/init.scm 144 */
BgL_scnstz00_bglt BgL_obj1500z00_1564;
BgL_obj1500z00_1564 = 
(BgL_scnstz00_bglt)(BgL_instance3126z00_991); 
BgL_arg3475z00_998 = 
(((BgL_scnstz00_bglt)CREF(BgL_obj1500z00_1564))->BgL_nodez00); } 
BGl_emitzd2cnstzd2sfunz00zzjvm_initz00(BgL_envz00_22, BgL_arg3475z00_998, BgL_globalz00_23); }  else 
{ /* ./Jvm/init.scm 138 */
bool_t BgL_test3478z00_999;
BgL_test3478z00_999 = 
BGl_eqvzf3zf3zz__r4_equivalence_6_2z00(BgL_casezd2valuezd2_992, 
CNST_TABLE_REF(((long)33))); 
if(BgL_test3478z00_999)
{ /* ./Jvm/init.scm 146 */
obj_t BgL_arg3480z00_1000;
{ /* ./Jvm/init.scm 146 */
BgL_scnstz00_bglt BgL_obj1500z00_1565;
BgL_obj1500z00_1565 = 
(BgL_scnstz00_bglt)(BgL_instance3126z00_991); 
BgL_arg3480z00_1000 = 
(((BgL_scnstz00_bglt)CREF(BgL_obj1500z00_1565))->BgL_nodez00); } 
BGl_emitzd2cnstzd2sgfunz00zzjvm_initz00(BgL_envz00_22, BgL_arg3480z00_1000, BgL_globalz00_23); }  else 
{ /* ./Jvm/init.scm 138 */
bool_t BgL_test3483z00_1001;
BgL_test3483z00_1001 = 
BGl_eqvzf3zf3zz__r4_equivalence_6_2z00(BgL_casezd2valuezd2_992, 
CNST_TABLE_REF(((long)34))); 
if(BgL_test3483z00_1001)
{ /* ./Jvm/init.scm 148 */
obj_t BgL_arg3485z00_1002;
{ /* ./Jvm/init.scm 148 */
BgL_scnstz00_bglt BgL_obj1500z00_1566;
BgL_obj1500z00_1566 = 
(BgL_scnstz00_bglt)(BgL_instance3126z00_991); 
BgL_arg3485z00_1002 = 
(((BgL_scnstz00_bglt)CREF(BgL_obj1500z00_1566))->BgL_nodez00); } 
BGl_emitzd2cnstzd2stvectorz00zzjvm_initz00(BgL_envz00_22, BgL_arg3485z00_1002, BgL_globalz00_23); }  else 
{ /* ./Jvm/init.scm 138 */
FAILURE(BGl_string4200z00zzjvm_initz00,BGl_string4201z00zzjvm_initz00,BgL_casezd2valuezd2_992);} } } } } } } 
{ /* ./Jvm/init.scm 150 */
obj_t BgL_arg3501z00_1006;
BgL_arg3501z00_1006 = 
BGl_getzd2globalzd2namez00zzjvm_envz00(
(BgL_envz00_bglt)(BgL_envz00_22), 
(BgL_globalz00_bglt)(BgL_globalz00_23)); 
return 
BGl__putstaticz00zzjvm_instrz00(
(BgL_envz00_bglt)(BgL_envz00_22), BgL_arg3501z00_1006);} } }  else 
{ /* ./Jvm/init.scm 136 */
{ /* ./Jvm/init.scm 151 */
BgL_valuez00_bglt BgL_arg3508z00_1009;
{ /* ./Jvm/init.scm 151 */
BgL_variablez00_bglt BgL_obj1100z00_1571;
BgL_obj1100z00_1571 = 
(BgL_variablez00_bglt)(BgL_globalz00_23); 
BgL_arg3508z00_1009 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1100z00_1571))->BgL_valuez00); } 
{ /* ./Jvm/init.scm 151 */
obj_t BgL_objectz00_1574;
BgL_objectz00_1574 = 
(obj_t)(BgL_arg3508z00_1009); 
FAILURE(BGl_string4200z00zzjvm_initz00,BGl_string4202z00zzjvm_initz00,BgL_objectz00_1574);} } } } } }  else 
{ /* ./Jvm/init.scm 123 */
return 
CNST_TABLE_REF(((long)11));} } }  else 
{ /* ./Jvm/init.scm 115 */
return 
CNST_TABLE_REF(((long)11));} } } 
}



/* emit-cnst-sfun */
obj_t BGl_emitzd2cnstzd2sfunz00zzjvm_initz00(obj_t BgL_envz00_30, obj_t BgL_funz00_31, obj_t BgL_globalz00_32)
{ AN_OBJECT;
{ /* ./Jvm/init.scm 161 */
{ /* ./Jvm/init.scm 162 */
obj_t BgL_actualsz00_1023;
{ /* ./Jvm/init.scm 162 */
BgL_appz00_bglt BgL_obj1722z00_1578;
BgL_obj1722z00_1578 = 
(BgL_appz00_bglt)(BgL_funz00_31); 
BgL_actualsz00_1023 = 
(((BgL_appz00_bglt)CREF(BgL_obj1722z00_1578))->BgL_argsz00); } 
{ /* ./Jvm/init.scm 162 */
obj_t BgL_entryz00_1024;
BgL_entryz00_1024 = 
CAR(BgL_actualsz00_1023); 
{ /* ./Jvm/init.scm 163 */
obj_t BgL_arityz00_1025;
{ /* ./Jvm/init.scm 164 */
obj_t BgL_arg3575z00_1033;
{ /* ./Jvm/init.scm 164 */
obj_t BgL_auxz00_2065;
BgL_auxz00_2065 = 
CDR(BgL_actualsz00_1023); 
BgL_arg3575z00_1033 = 
CAR(BgL_auxz00_2065); } 
BgL_arityz00_1025 = 
BGl_getzd2nodezd2atomzd2valuezd2zzcnst_nodez00(
(BgL_nodez00_bglt)(BgL_arg3575z00_1033)); } 
{ /* ./Jvm/init.scm 165 */

{ /* ./Jvm/init.scm 166 */
obj_t BgL_arg3553z00_1027;
{ /* ./Jvm/init.scm 166 */
BgL_envz00_bglt BgL_obj3007z00_1586;
BgL_obj3007z00_1586 = 
(BgL_envz00_bglt)(BgL_envz00_30); 
BgL_arg3553z00_1027 = 
(((BgL_envz00_bglt)CREF(BgL_obj3007z00_1586))->BgL_currentzd2modulezd2); } 
BGl__newz00zzjvm_instrz00(
(BgL_envz00_bglt)(BgL_envz00_30), BgL_arg3553z00_1027); } 
BGl__dupz00zzjvm_instrz00(
(BgL_envz00_bglt)(BgL_envz00_30)); 
{ /* ./Jvm/init.scm 168 */
obj_t BgL_arg3558z00_1028;obj_t BgL_arg3559z00_1029;
BgL_arg3558z00_1028 = 
CNST_TABLE_REF(((long)23)); 
{ /* ./Jvm/init.scm 171 */
obj_t BgL_arg3562z00_1030;
{ /* ./Jvm/init.scm 171 */
BgL_variablez00_bglt BgL_arg3565z00_1031;
{ /* ./Jvm/init.scm 171 */
BgL_varz00_bglt BgL_obj1625z00_1587;
BgL_obj1625z00_1587 = 
(BgL_varz00_bglt)(BgL_entryz00_1024); 
BgL_arg3565z00_1031 = 
(((BgL_varz00_bglt)CREF(BgL_obj1625z00_1587))->BgL_variablez00); } 
BgL_arg3562z00_1030 = 
BGl_getzd2globalzd2namez00zzjvm_envz00(
(BgL_envz00_bglt)(BgL_envz00_30), 
(BgL_globalz00_bglt)(BgL_arg3565z00_1031)); } 
BgL_arg3559z00_1029 = 
BGl_envzd2newzd2procedurez00zzjvm_envz00(
(BgL_envz00_bglt)(BgL_envz00_30), BgL_arityz00_1025, BgL_arg3562z00_1030); } 
BGl__pushz00zzjvm_instrz00(
(BgL_envz00_bglt)(BgL_envz00_30), BgL_arg3558z00_1028, BgL_arg3559z00_1029); } 
BGl__pushz00zzjvm_instrz00(
(BgL_envz00_bglt)(BgL_envz00_30), 
CNST_TABLE_REF(((long)23)), BgL_arityz00_1025); 
return 
BGl__invokespecialz00zzjvm_instrz00(
(BgL_envz00_bglt)(BgL_envz00_30), 
CNST_TABLE_REF(((long)35)), 
CNST_TABLE_REF(((long)36)), 
CNST_TABLE_REF(((long)37)));} } } } } 
}



/* emit-cnst-sgfun */
obj_t BGl_emitzd2cnstzd2sgfunz00zzjvm_initz00(obj_t BgL_envz00_33, obj_t BgL_funz00_34, obj_t BgL_globalz00_35)
{ AN_OBJECT;
{ /* ./Jvm/init.scm 176 */
{ /* ./Jvm/init.scm 177 */
obj_t BgL_actualsz00_1034;
{ /* ./Jvm/init.scm 177 */
BgL_appz00_bglt BgL_obj1722z00_1588;
BgL_obj1722z00_1588 = 
(BgL_appz00_bglt)(BgL_funz00_34); 
BgL_actualsz00_1034 = 
(((BgL_appz00_bglt)CREF(BgL_obj1722z00_1588))->BgL_argsz00); } 
{ /* ./Jvm/init.scm 177 */
obj_t BgL_entryz00_1035;
BgL_entryz00_1035 = 
CAR(BgL_actualsz00_1034); 
{ /* ./Jvm/init.scm 178 */
obj_t BgL_arityz00_1036;
{ /* ./Jvm/init.scm 179 */
BgL_atomz00_bglt BgL_obj1604z00_1594;
{ /* ./Jvm/init.scm 179 */
obj_t BgL_auxz00_2097;
{ /* ./Jvm/init.scm 179 */
obj_t BgL_auxz00_2098;
BgL_auxz00_2098 = 
CDR(BgL_actualsz00_1034); 
BgL_auxz00_2097 = 
CAR(BgL_auxz00_2098); } 
BgL_obj1604z00_1594 = 
(BgL_atomz00_bglt)(BgL_auxz00_2097); } 
BgL_arityz00_1036 = 
(((BgL_atomz00_bglt)CREF(BgL_obj1604z00_1594))->BgL_valuez00); } 
{ /* ./Jvm/init.scm 180 */

{ /* ./Jvm/init.scm 181 */
obj_t BgL_arg3581z00_1038;
{ /* ./Jvm/init.scm 181 */
BgL_envz00_bglt BgL_obj3007z00_1597;
BgL_obj3007z00_1597 = 
(BgL_envz00_bglt)(BgL_envz00_33); 
BgL_arg3581z00_1038 = 
(((BgL_envz00_bglt)CREF(BgL_obj3007z00_1597))->BgL_currentzd2modulezd2); } 
BGl__newz00zzjvm_instrz00(
(BgL_envz00_bglt)(BgL_envz00_33), BgL_arg3581z00_1038); } 
BGl__dupz00zzjvm_instrz00(
(BgL_envz00_bglt)(BgL_envz00_33)); 
{ /* ./Jvm/init.scm 183 */
obj_t BgL_arg3586z00_1039;obj_t BgL_arg3587z00_1040;
BgL_arg3586z00_1039 = 
CNST_TABLE_REF(((long)23)); 
{ /* ./Jvm/init.scm 186 */
obj_t BgL_arg3590z00_1041;
{ /* ./Jvm/init.scm 186 */
BgL_variablez00_bglt BgL_arg3593z00_1042;
{ /* ./Jvm/init.scm 186 */
BgL_varz00_bglt BgL_obj1625z00_1598;
BgL_obj1625z00_1598 = 
(BgL_varz00_bglt)(BgL_entryz00_1035); 
BgL_arg3593z00_1042 = 
(((BgL_varz00_bglt)CREF(BgL_obj1625z00_1598))->BgL_variablez00); } 
BgL_arg3590z00_1041 = 
BGl_getzd2globalzd2namez00zzjvm_envz00(
(BgL_envz00_bglt)(BgL_envz00_33), 
(BgL_globalz00_bglt)(BgL_arg3593z00_1042)); } 
BgL_arg3587z00_1040 = 
BGl_envzd2newzd2procedurez00zzjvm_envz00(
(BgL_envz00_bglt)(BgL_envz00_33), BgL_arityz00_1036, BgL_arg3590z00_1041); } 
BGl__pushz00zzjvm_instrz00(
(BgL_envz00_bglt)(BgL_envz00_33), BgL_arg3586z00_1039, BgL_arg3587z00_1040); } 
BGl__pushz00zzjvm_instrz00(
(BgL_envz00_bglt)(BgL_envz00_33), 
CNST_TABLE_REF(((long)23)), BgL_arityz00_1036); 
BGl__pushz00zzjvm_instrz00(
(BgL_envz00_bglt)(BgL_envz00_33), 
CNST_TABLE_REF(((long)23)), 
BINT(((long)3))); 
return 
BGl__invokespecialz00zzjvm_instrz00(
(BgL_envz00_bglt)(BgL_envz00_33), 
CNST_TABLE_REF(((long)38)), 
CNST_TABLE_REF(((long)39)), 
CNST_TABLE_REF(((long)37)));} } } } } 
}



/* emit-cnst-stvector */
obj_t BGl_emitzd2cnstzd2stvectorz00zzjvm_initz00(obj_t BgL_envz00_36, obj_t BgL_tvecz00_37, obj_t BgL_globalz00_38)
{ AN_OBJECT;
{ /* ./Jvm/init.scm 192 */
{ /* ./Jvm/init.scm 193 */
obj_t BgL_vecz00_1045;
{ /* ./Jvm/init.scm 193 */
int BgL_auxz00_2131;
BgL_auxz00_2131 = 
(int)(((long)1)); 
BgL_vecz00_1045 = 
STRUCT_REF(BgL_tvecz00_37, BgL_auxz00_2131); } 
{ /* ./Jvm/init.scm 193 */
BgL_typez00_bglt BgL_itypez00_1046;
{ /* ./Jvm/init.scm 194 */
BgL_tvecz00_bglt BgL_obj2953z00_1605;
{ /* ./Jvm/init.scm 194 */
obj_t BgL_auxz00_2134;
{ /* ./Jvm/init.scm 194 */
int BgL_auxz00_2135;
BgL_auxz00_2135 = 
(int)(((long)0)); 
BgL_auxz00_2134 = 
STRUCT_REF(BgL_tvecz00_37, BgL_auxz00_2135); } 
BgL_obj2953z00_1605 = 
(BgL_tvecz00_bglt)(BgL_auxz00_2134); } 
{ 
obj_t BgL_auxz00_2139;
{ /* ./Jvm/init.scm 194 */
BgL_objectz00_bglt BgL_auxz00_2140;
BgL_auxz00_2140 = 
(BgL_objectz00_bglt)(BgL_obj2953z00_1605); 
BgL_auxz00_2139 = 
BGL_OBJECT_WIDENING(BgL_auxz00_2140); } 
BgL_itypez00_1046 = 
(((BgL_tvecz00_bglt)CREF(BgL_auxz00_2139))->BgL_itemzd2typezd2); } } 
{ /* ./Jvm/init.scm 194 */
obj_t BgL_typez00_1047;
BgL_typez00_1047 = 
BGl_compilezd2typezd2zzjvm_envz00(
(obj_t)(BgL_itypez00_1046), 
(BgL_envz00_bglt)(BgL_envz00_36)); 
{ /* ./Jvm/init.scm 195 */
int BgL_nz00_1048;
BgL_nz00_1048 = 
VECTOR_LENGTH(BgL_vecz00_1045); 
{ /* ./Jvm/init.scm 196 */

BGl__pushz00zzjvm_instrz00(
(BgL_envz00_bglt)(BgL_envz00_36), 
CNST_TABLE_REF(((long)23)), 
BINT(BgL_nz00_1048)); 
BGl__newarrayz00zzjvm_instrz00(
(BgL_envz00_bglt)(BgL_envz00_36), BgL_typez00_1047); 
return 
BGl_stvectorzd2initzd2zzjvm_initz00(BgL_envz00_36, BgL_vecz00_1045, BgL_typez00_1047, ((long)0), BgL_nz00_1048);} } } } } } 
}



/* stvector-init */
obj_t BGl_stvectorzd2initzd2zzjvm_initz00(obj_t BgL_envz00_39, obj_t BgL_vz00_40, obj_t BgL_typez00_41, long BgL_iz00_42, int BgL_nz00_43)
{ AN_OBJECT;
{ /* ./Jvm/init.scm 201 */
BGl_stvectorzd2initzd2zzjvm_initz00:
{ /* ./Jvm/init.scm 202 */
bool_t BgL_test3619z00_1050;
{ /* ./Jvm/init.scm 202 */
long BgL_auxz00_2155;
BgL_auxz00_2155 = 
(long)(BgL_nz00_43); 
BgL_test3619z00_1050 = 
(BgL_iz00_42==BgL_auxz00_2155); } 
if(BgL_test3619z00_1050)
{ /* ./Jvm/init.scm 202 */
return 
CNST_TABLE_REF(((long)11));}  else 
{ /* ./Jvm/init.scm 202 */
BGl__dupz00zzjvm_instrz00(
(BgL_envz00_bglt)(BgL_envz00_39)); 
BGl__pushz00zzjvm_instrz00(
(BgL_envz00_bglt)(BgL_envz00_39), 
CNST_TABLE_REF(((long)23)), 
BINT(BgL_iz00_42)); 
{ /* ./Jvm/init.scm 207 */
obj_t BgL_arg3623z00_1051;
{ /* ./Jvm/init.scm 207 */
int BgL_kz00_1610;
BgL_kz00_1610 = 
(int)(BgL_iz00_42); 
BgL_arg3623z00_1051 = 
VECTOR_REF(BgL_vz00_40,BgL_kz00_1610); } 
BGl__pushz00zzjvm_instrz00(
(BgL_envz00_bglt)(BgL_envz00_39), BgL_typez00_41, BgL_arg3623z00_1051); } 
BGl__astorez00zzjvm_instrz00(
(BgL_envz00_bglt)(BgL_envz00_39), BgL_typez00_41); 
{ /* ./Jvm/init.scm 209 */
long BgL_arg3628z00_1052;
BgL_arg3628z00_1052 = 
(BgL_iz00_42+((long)1)); 
{ 
long BgL_iz00_2173;
BgL_iz00_2173 = BgL_arg3628z00_1052; 
BgL_iz00_42 = BgL_iz00_2173; 
goto BGl_stvectorzd2initzd2zzjvm_initz00;} } } } } 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzjvm_initz00()
{ AN_OBJECT;
{ /* ./Jvm/init.scm 1 */
return BUNSPEC;} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzjvm_initz00()
{ AN_OBJECT;
{ /* ./Jvm/init.scm 1 */
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19090), "jvm_init"); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)44246), "jvm_init"); 
BGl_modulezd2initializa7ationz75zzast_nodez00(((long)50868), "jvm_init"); 
BGl_modulezd2initializa7ationz75zzobject_classz00(((long)30791), "jvm_init"); 
BGl_modulezd2initializa7ationz75zztype_envz00(((long)25186), "jvm_init"); 
BGl_modulezd2initializa7ationz75zztype_cachez00(((long)25848), "jvm_init"); 
BGl_modulezd2initializa7ationz75zzast_envz00(((long)62031), "jvm_init"); 
BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long)8699), "jvm_init"); 
BGl_modulezd2initializa7ationz75zztvector_tvectorz00(((long)32501), "jvm_init"); 
BGl_modulezd2initializa7ationz75zzcnst_allocz00(((long)26410), "jvm_init"); 
BGl_modulezd2initializa7ationz75zzcnst_nodez00(((long)44711), "jvm_init"); 
BGl_modulezd2initializa7ationz75zzjvm_externz00(((long)3672), "jvm_init"); 
BGl_modulezd2initializa7ationz75zzjvm_envz00(((long)58889), "jvm_init"); 
return 
BGl_modulezd2initializa7ationz75zzjvm_instrz00(((long)18045), "jvm_init");} 
}

