/*===========================================================================*/
/*   (SawMill/rtl.scm)                                                       */
/*   Bigloo (2.6b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Dec 15 12:14:36 CET 2003        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc-2.95 -lib-dir /users/serrano/prgm/project/bigloo/lib/2.6b -unsafev -no-hello -O2 -rm -unsafe -s -indent SawMill/rtl.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_effectz00;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_effectz00;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_effectz00;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;

typedef struct BgL_feffectz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_readz00;
   obj_t BgL_writez00;
} *BgL_feffectz00_bglt;

typedef struct BgL_nodez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
} *BgL_nodez00_bglt;

typedef struct BgL_nodezf2effectzf2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
} *BgL_nodezf2effectzf2_bglt;

typedef struct BgL_atomz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_atomz00_bglt;

typedef struct BgL_varz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_varz00_bglt;

typedef struct BgL_closurez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_closurez00_bglt;

typedef struct BgL_kwotez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_kwotez00_bglt;

typedef struct BgL_sequencez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_nodesz00;
} *BgL_sequencez00_bglt;

typedef struct BgL_appz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
} *BgL_appz00_bglt;

typedef struct BgL_appzd2lyzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_appzd2lyzd2_bglt;

typedef struct BgL_funcallz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
   obj_t BgL_strengthz00;
} *BgL_funcallz00_bglt;

typedef struct BgL_externz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
} *BgL_externz00_bglt;

typedef struct BgL_pragmaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   obj_t BgL_formatz00;
} *BgL_pragmaz00_bglt;

typedef struct BgL_getfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_getfieldz00_bglt;

typedef struct BgL_setfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_setfieldz00_bglt;

typedef struct BgL_newz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
} *BgL_newz00_bglt;

typedef struct BgL_vallocz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   obj_t BgL_czd2heapzd2formatz00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_vallocz00_bglt;

typedef struct BgL_vrefz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vrefz00_bglt;

typedef struct BgL_vsetz12z12_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vsetz12z12_bglt;

typedef struct BgL_vlengthz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vlengthz00_bglt;

typedef struct BgL_isaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   struct BgL_typez00_bgl * BgL_classz00;
} *BgL_isaz00_bglt;

typedef struct BgL_castz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_castz00_bglt;

typedef struct BgL_setqz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_setqz00_bglt;

typedef struct BgL_conditionalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   struct BgL_nodez00_bgl * BgL_truez00;
   struct BgL_nodez00_bgl * BgL_falsez00;
} *BgL_conditionalz00_bglt;

typedef struct BgL_failz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_procz00;
   struct BgL_nodez00_bgl * BgL_msgz00;
   struct BgL_nodez00_bgl * BgL_objz00;
} *BgL_failz00_bglt;

typedef struct BgL_selectz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   obj_t BgL_clausesz00;
   struct BgL_typez00_bgl * BgL_itemzd2typezd2;
} *BgL_selectz00_bglt;

typedef struct BgL_letzd2funzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_localsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_letzd2funzd2_bglt;

typedef struct BgL_letzd2varzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_bindingsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
   bool_t BgL_removablezf3zf3;
} *BgL_letzd2varzd2_bglt;

typedef struct BgL_setzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_setzd2exzd2itz00_bglt;

typedef struct BgL_jumpzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_exitz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_jumpzd2exzd2itz00_bglt;

typedef struct BgL_makezd2boxzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_makezd2boxzd2_bglt;

typedef struct BgL_boxzd2refzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_varz00;
} *BgL_boxzd2refzd2_bglt;

typedef struct BgL_boxzd2setz12zc0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_boxzd2setz12zc0_bglt;

typedef struct BgL_rtl_regz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_varz00;
} *BgL_rtl_regz00_bglt;

typedef struct BgL_rtl_funz00_bgl {
   header_t header;
   obj_t widening;
} *BgL_rtl_funz00_bglt;

typedef struct BgL_rtl_lastz00_bgl {
   header_t header;
   obj_t widening;
} *BgL_rtl_lastz00_bglt;

typedef struct BgL_rtl_returnz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_typez00_bgl * BgL_typez00;
} *BgL_rtl_returnz00_bglt;

typedef struct BgL_rtl_jumpexitz00_bgl {
   header_t header;
   obj_t widening;
} *BgL_rtl_jumpexitz00_bglt;

typedef struct BgL_rtl_failz00_bgl {
   header_t header;
   obj_t widening;
} *BgL_rtl_failz00_bglt;

typedef struct BgL_rtl_notseqz00_bgl {
   header_t header;
   obj_t widening;
} *BgL_rtl_notseqz00_bglt;

typedef struct BgL_rtl_ifz00_bgl {
   header_t header;
   obj_t widening;
} *BgL_rtl_ifz00_bglt;

typedef struct BgL_rtl_selectz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_patternsz00;
} *BgL_rtl_selectz00_bglt;

typedef struct BgL_rtl_switchz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_patternsz00;
   obj_t BgL_labelsz00;
} *BgL_rtl_switchz00_bglt;

typedef struct BgL_rtl_ifeqz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_blockz00_bgl * BgL_thenz00;
} *BgL_rtl_ifeqz00_bglt;

typedef struct BgL_rtl_ifnez00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_blockz00_bgl * BgL_thenz00;
} *BgL_rtl_ifnez00_bglt;

typedef struct BgL_rtl_goz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_blockz00_bgl * BgL_toz00;
} *BgL_rtl_goz00_bglt;

typedef struct BgL_rtl_purez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_rtl_purez00_bglt;

typedef struct BgL_rtl_nopz00_bgl {
   header_t header;
   obj_t widening;
} *BgL_rtl_nopz00_bglt;

typedef struct BgL_rtl_movz00_bgl {
   header_t header;
   obj_t widening;
} *BgL_rtl_movz00_bglt;

typedef struct BgL_rtl_loadiz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_atomz00_bgl * BgL_constantz00;
} *BgL_rtl_loadiz00_bglt;

typedef struct BgL_rtl_loadgz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_globalz00_bgl * BgL_varz00;
} *BgL_rtl_loadgz00_bglt;

typedef struct BgL_rtl_loadfunz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_globalz00_bgl * BgL_varz00;
} *BgL_rtl_loadfunz00_bglt;

typedef struct BgL_rtl_globalrefz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_globalz00_bgl * BgL_varz00;
} *BgL_rtl_globalrefz00_bglt;

typedef struct BgL_rtl_getfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_objtypez00;
   struct BgL_typez00_bgl * BgL_typez00;
} *BgL_rtl_getfieldz00_bglt;

typedef struct BgL_rtl_vallocz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_rtl_vallocz00_bglt;

typedef struct BgL_rtl_vrefz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_rtl_vrefz00_bglt;

typedef struct BgL_rtl_vlengthz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_typez00_bgl * BgL_typez00;
} *BgL_rtl_vlengthz00_bglt;

typedef struct BgL_rtl_isaz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_typez00_bgl * BgL_typez00;
} *BgL_rtl_isaz00_bglt;

typedef struct BgL_rtl_makeboxz00_bgl {
   header_t header;
   obj_t widening;
} *BgL_rtl_makeboxz00_bglt;

typedef struct BgL_rtl_boxrefz00_bgl {
   header_t header;
   obj_t widening;
} *BgL_rtl_boxrefz00_bglt;

typedef struct BgL_rtl_effectz00_bgl {
   header_t header;
   obj_t widening;
} *BgL_rtl_effectz00_bglt;

typedef struct BgL_rtl_storegz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_globalz00_bgl * BgL_varz00;
} *BgL_rtl_storegz00_bglt;

typedef struct BgL_rtl_setfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_objtypez00;
   struct BgL_typez00_bgl * BgL_typez00;
} *BgL_rtl_setfieldz00_bglt;

typedef struct BgL_rtl_vsetz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_rtl_vsetz00_bglt;

typedef struct BgL_rtl_boxsetz00_bgl {
   header_t header;
   obj_t widening;
} *BgL_rtl_boxsetz00_bglt;

typedef struct BgL_rtl_newz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_typez00_bgl * BgL_typez00;
} *BgL_rtl_newz00_bglt;

typedef struct BgL_rtl_callz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_globalz00_bgl * BgL_varz00;
} *BgL_rtl_callz00_bglt;

typedef struct BgL_rtl_applyz00_bgl {
   header_t header;
   obj_t widening;
} *BgL_rtl_applyz00_bglt;

typedef struct BgL_rtl_lightfuncallz00_bgl {
   header_t header;
   obj_t widening;
} *BgL_rtl_lightfuncallz00_bglt;

typedef struct BgL_rtl_funcallz00_bgl {
   header_t header;
   obj_t widening;
} *BgL_rtl_funcallz00_bglt;

typedef struct BgL_rtl_pragmaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_formatz00;
} *BgL_rtl_pragmaz00_bglt;

typedef struct BgL_rtl_castz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_typez00_bgl * BgL_typez00;
} *BgL_rtl_castz00_bglt;

typedef struct BgL_rtl_protectz00_bgl {
   header_t header;
   obj_t widening;
} *BgL_rtl_protectz00_bglt;

typedef struct BgL_rtl_protectedz00_bgl {
   header_t header;
   obj_t widening;
} *BgL_rtl_protectedz00_bglt;

typedef struct BgL_stl_loadrz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_rtl_regz00_bgl * BgL_regz00;
} *BgL_stl_loadrz00_bglt;

typedef struct BgL_stl_storerz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_rtl_regz00_bgl * BgL_regz00;
} *BgL_stl_storerz00_bglt;

typedef struct BgL_stl_popz00_bgl {
   header_t header;
   obj_t widening;
} *BgL_stl_popz00_bglt;

typedef struct BgL_rtl_insz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   obj_t BgL_destz00;
   struct BgL_rtl_funz00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
} *BgL_rtl_insz00_bglt;

typedef struct BgL_blockz00_bgl {
   header_t header;
   obj_t widening;
   int BgL_labelz00;
   obj_t BgL_predsz00;
   obj_t BgL_succsz00;
   obj_t BgL_firstz00;
} *BgL_blockz00_bglt;


extern obj_t BGl_substz00zzsaw_libz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_rtl_dfsz00zzsaw_rtlz00(BgL_blockz00_bglt, obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zzsaw_rtlz00();
BGL_IMPORT obj_t BGl_classzd2namezd2zz__objectz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_namez00zzsaw_rtlz00(BgL_rtl_insz00_bglt);
BGL_IMPORT obj_t open_input_string(obj_t);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t);
extern obj_t BGl_substzd2appendzd2zzsaw_libz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
static obj_t BGl_cnstzd2initzd2zzsaw_rtlz00();
static obj_t BGl__neighboursz00zzsaw_rtlz00(obj_t, obj_t);
static obj_t BGl__unlinkz12z12zzsaw_rtlz00(obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zzsaw_rtlz00();
static obj_t BGl__rtl_dfsz00zzsaw_rtlz00(obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzsaw_rtlz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzsaw_libz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzsaw_defsz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_EXPORTED_DECL obj_t BGl_neighboursz00zzsaw_rtlz00(BgL_rtl_insz00_bglt);
static obj_t BGl__namez00zzsaw_rtlz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_unlinkz12z12zzsaw_rtlz00(BgL_blockz00_bglt);
static obj_t BGl_requirezd2initializa7ationz75zzsaw_rtlz00 = BUNSPEC;
static obj_t BGl_libraryzd2moduleszd2initz00zzsaw_rtlz00();
static obj_t __cnst[ 4 ] ;


DEFINE_EXPORT_PROCEDURE( BGl_neighbourszd2envzd2zzsaw_rtlz00, BgL_bgl__neighboursza700za7za7saw_rtlza7003932z00, BGl__neighboursz00zzsaw_rtlz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_rtl_dfszd2envzd2zzsaw_rtlz00, BgL_bgl__rtl_dfsza700za7za7saw_rtlza7003933z00, BGl__rtl_dfsz00zzsaw_rtlz00, 0L, 3 );
DEFINE_EXPORT_PROCEDURE( BGl_unlinkz12zd2envzc0zzsaw_rtlz00, BgL_bgl__unlinkza712za712za7za7saw_rtlza7003934za7, BGl__unlinkz12z12zzsaw_rtlz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_namezd2envzd2zzsaw_rtlz00, BgL_bgl__nameza700za7za7saw_rtlza7003935z00, BGl__namez00zzsaw_rtlz00, 0L, 1 );
DEFINE_STRING( BGl_string3907z00zzsaw_rtlz00, BgL_bgl_string3907za700za7za7saw_rtlza7003936z00, "unlink! (to) -> (froms) ", 24 );
DEFINE_STRING( BGl_string3906z00zzsaw_rtlz00, BgL_bgl_string3906za700za7za7saw_rtlza7003937z00, "must have only one successor", 28 );



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzsaw_rtlz00(long BgL_checksumz00_1533, char * BgL_fromz00_1534)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzsaw_rtlz00))
{ 
BGl_requirezd2initializa7ationz75zzsaw_rtlz00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzsaw_rtlz00(); 
BGl_cnstzd2initzd2zzsaw_rtlz00(); 
BGl_importedzd2moduleszd2initz00zzsaw_rtlz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzsaw_rtlz00()
{ AN_OBJECT;
{ /* ./SawMill/rtl.scm 1 */
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "saw_rtl"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "saw_rtl"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzsaw_rtlz00()
{ AN_OBJECT;
{ /* ./SawMill/rtl.scm 1 */
{ /* ./SawMill/rtl.scm 1 */
obj_t BgL_cportz00_1526;
BgL_cportz00_1526 = 
open_input_string(BGl_string3907z00zzsaw_rtlz00); 
{ 
long BgL_iz00_1527;
BgL_iz00_1527 = ((long)3); 
BgL_loopz00_1528:
{ /* ./SawMill/rtl.scm 1 */
bool_t BgL_test3909z00_1529;
BgL_test3909z00_1529 = 
(BgL_iz00_1527==((long)-1)); 
if(BgL_test3909z00_1529)
{ /* ./SawMill/rtl.scm 1 */
return BUNSPEC;}  else 
{ /* ./SawMill/rtl.scm 1 */
{ /* ./SawMill/rtl.scm 1 */
obj_t BgL_arg3911z00_1530;
{ /* ./SawMill/rtl.scm 1 */
obj_t BgL_list3914z00_1531;
BgL_list3914z00_1531 = 
MAKE_PAIR(BgL_cportz00_1526, BNIL); 
BgL_arg3911z00_1530 = 
BGl_readz00zz__readerz00(BgL_list3914z00_1531); } 
{ /* ./SawMill/rtl.scm 1 */
int BgL_auxz00_1548;
BgL_auxz00_1548 = 
(int)(BgL_iz00_1527); 
CNST_TABLE_SET(BgL_auxz00_1548, BgL_arg3911z00_1530); } } 
{ /* ./SawMill/rtl.scm 1 */
int BgL_auxz00_1532;
{ /* ./SawMill/rtl.scm 1 */
long BgL_auxz00_1551;
BgL_auxz00_1551 = 
(BgL_iz00_1527-((long)1)); 
BgL_auxz00_1532 = 
(int)(BgL_auxz00_1551); } 
{ 
long BgL_iz00_1554;
BgL_iz00_1554 = 
(long)(BgL_auxz00_1532); 
BgL_iz00_1527 = BgL_iz00_1554; 
goto BgL_loopz00_1528;} } } } } } } 
}



/* name */
BGL_EXPORTED_DEF obj_t BGl_namez00zzsaw_rtlz00(BgL_rtl_insz00_bglt BgL_insz00_1)
{ AN_OBJECT;
{ /* ./SawMill/rtl.scm 21 */
{ /* ./SawMill/rtl.scm 22 */
obj_t BgL_arg3134z00_1465;
{ /* ./SawMill/rtl.scm 22 */
BgL_rtl_funz00_bglt BgL_arg3137z00_1466;
BgL_arg3137z00_1466 = 
(((BgL_rtl_insz00_bglt)CREF(BgL_insz00_1))->BgL_funz00); 
{ /* ./SawMill/rtl.scm 22 */
BgL_objectz00_bglt BgL_objectz00_1468;
BgL_objectz00_1468 = 
(BgL_objectz00_bglt)(BgL_arg3137z00_1466); 
{ /* ./SawMill/rtl.scm 22 */
long BgL_arg2036z00_1469;
{ /* ./SawMill/rtl.scm 22 */
long BgL_arg2039z00_1470;
BgL_arg2039z00_1470 = 
BGL_OBJECT_CLASS_NUM(BgL_objectz00_1468); 
BgL_arg2036z00_1469 = 
(BgL_arg2039z00_1470-OBJECT_TYPE); } 
{ /* ./SawMill/rtl.scm 22 */
obj_t BgL_vectorz00_1474;int BgL_kz00_1475;
BgL_vectorz00_1474 = BGl_za2classesza2z00zz__objectz00; 
BgL_kz00_1475 = 
(int)(BgL_arg2036z00_1469); 
BgL_arg3134z00_1465 = 
VECTOR_REF(BgL_vectorz00_1474,BgL_kz00_1475); } } } } 
return 
BGl_classzd2namezd2zz__objectz00(BgL_arg3134z00_1465);} } 
}



/* _name */
obj_t BGl__namez00zzsaw_rtlz00(obj_t BgL_envz00_1516, obj_t BgL_insz00_1517)
{ AN_OBJECT;
{ /* ./SawMill/rtl.scm 21 */
return 
BGl_namez00zzsaw_rtlz00(
(BgL_rtl_insz00_bglt)(BgL_insz00_1517));} 
}



/* neighbours */
BGL_EXPORTED_DEF obj_t BGl_neighboursz00zzsaw_rtlz00(BgL_rtl_insz00_bglt BgL_insz00_2)
{ AN_OBJECT;
{ /* ./SawMill/rtl.scm 27 */
{ /* ./SawMill/rtl.scm 29 */
obj_t BgL_arg3141z00_930;obj_t BgL_arg3142z00_931;obj_t BgL_arg3143z00_932;obj_t BgL_arg3144z00_933;obj_t BgL_arg3145z00_934;
BgL_arg3141z00_930 = 
CNST_TABLE_REF(((long)0)); 
BgL_arg3142z00_931 = 
CNST_TABLE_REF(((long)1)); 
{ /* ./SawMill/rtl.scm 31 */
obj_t BgL_res3879z00_1488;
{ /* ./SawMill/rtl.scm 31 */
obj_t BgL_arg3134z00_1477;
{ /* ./SawMill/rtl.scm 31 */
BgL_rtl_funz00_bglt BgL_arg3137z00_1478;
BgL_arg3137z00_1478 = 
(((BgL_rtl_insz00_bglt)CREF(BgL_insz00_2))->BgL_funz00); 
{ /* ./SawMill/rtl.scm 31 */
BgL_objectz00_bglt BgL_objectz00_1480;
BgL_objectz00_1480 = 
(BgL_objectz00_bglt)(BgL_arg3137z00_1478); 
{ /* ./SawMill/rtl.scm 31 */
long BgL_arg2036z00_1481;
{ /* ./SawMill/rtl.scm 31 */
long BgL_arg2039z00_1482;
BgL_arg2039z00_1482 = 
BGL_OBJECT_CLASS_NUM(BgL_objectz00_1480); 
BgL_arg2036z00_1481 = 
(BgL_arg2039z00_1482-OBJECT_TYPE); } 
{ /* ./SawMill/rtl.scm 31 */
obj_t BgL_vectorz00_1486;int BgL_kz00_1487;
BgL_vectorz00_1486 = BGl_za2classesza2z00zz__objectz00; 
BgL_kz00_1487 = 
(int)(BgL_arg2036z00_1481); 
BgL_arg3134z00_1477 = 
VECTOR_REF(BgL_vectorz00_1486,BgL_kz00_1487); } } } } 
BgL_res3879z00_1488 = 
BGl_classzd2namezd2zz__objectz00(BgL_arg3134z00_1477); } 
BgL_arg3143z00_932 = BgL_res3879z00_1488; } 
BgL_arg3144z00_933 = 
CNST_TABLE_REF(((long)1)); 
BgL_arg3145z00_934 = 
CNST_TABLE_REF(((long)2)); 
{ /* ./SawMill/rtl.scm 29 */
obj_t BgL_list3147z00_935;
{ /* ./SawMill/rtl.scm 29 */
obj_t BgL_arg3149z00_936;
{ /* ./SawMill/rtl.scm 29 */
obj_t BgL_arg3152z00_937;
{ /* ./SawMill/rtl.scm 29 */
obj_t BgL_arg3156z00_938;
{ /* ./SawMill/rtl.scm 29 */
obj_t BgL_arg3159z00_939;
BgL_arg3159z00_939 = 
MAKE_PAIR(BgL_arg3145z00_934, BNIL); 
BgL_arg3156z00_938 = 
MAKE_PAIR(BgL_arg3144z00_933, BgL_arg3159z00_939); } 
BgL_arg3152z00_937 = 
MAKE_PAIR(BgL_arg3143z00_932, BgL_arg3156z00_938); } 
BgL_arg3149z00_936 = 
MAKE_PAIR(BgL_arg3142z00_931, BgL_arg3152z00_937); } 
BgL_list3147z00_935 = 
MAKE_PAIR(BgL_arg3141z00_930, BgL_arg3149z00_936); } 
return BgL_list3147z00_935;} } } 
}



/* _neighbours */
obj_t BGl__neighboursz00zzsaw_rtlz00(obj_t BgL_envz00_1518, obj_t BgL_insz00_1519)
{ AN_OBJECT;
{ /* ./SawMill/rtl.scm 27 */
return 
BGl_neighboursz00zzsaw_rtlz00(
(BgL_rtl_insz00_bglt)(BgL_insz00_1519));} 
}



/* unlink! */
BGL_EXPORTED_DEF obj_t BGl_unlinkz12z12zzsaw_rtlz00(BgL_blockz00_bglt BgL_bz00_3)
{ AN_OBJECT;
{ /* ./SawMill/rtl.scm 39 */
{ /* ./SawMill/rtl.scm 41 */
bool_t BgL_test3163z00_941;
{ /* ./SawMill/rtl.scm 41 */
bool_t BgL_testz00_1583;
{ /* ./SawMill/rtl.scm 41 */
obj_t BgL_auxz00_1584;
BgL_auxz00_1584 = 
(((BgL_blockz00_bglt)CREF(BgL_bz00_3))->BgL_succsz00); 
BgL_testz00_1583 = 
NULLP(BgL_auxz00_1584); } 
if(BgL_testz00_1583)
{ /* ./SawMill/rtl.scm 41 */
BgL_test3163z00_941 = ((bool_t)1); }  else 
{ /* ./SawMill/rtl.scm 41 */
obj_t BgL_auxz00_1587;
{ /* ./SawMill/rtl.scm 41 */
obj_t BgL_auxz00_1588;
BgL_auxz00_1588 = 
(((BgL_blockz00_bglt)CREF(BgL_bz00_3))->BgL_succsz00); 
BgL_auxz00_1587 = 
CDR(BgL_auxz00_1588); } 
BgL_test3163z00_941 = 
PAIRP(BgL_auxz00_1587); } } 
if(BgL_test3163z00_941)
{ /* ./SawMill/rtl.scm 42 */
obj_t BgL_procz00_1496;obj_t BgL_objectz00_1498;
BgL_procz00_1496 = 
CNST_TABLE_REF(((long)3)); 
BgL_objectz00_1498 = 
(obj_t)(BgL_bz00_3); 
FAILURE(BgL_procz00_1496,BGl_string3906z00zzsaw_rtlz00,BgL_objectz00_1498);}  else 
{ /* ./SawMill/rtl.scm 41 */((bool_t)0); } } 
{ /* ./SawMill/rtl.scm 43 */
obj_t BgL_sz00_946;
{ /* ./SawMill/rtl.scm 43 */
obj_t BgL_auxz00_1596;
BgL_auxz00_1596 = 
(((BgL_blockz00_bglt)CREF(BgL_bz00_3))->BgL_succsz00); 
BgL_sz00_946 = 
CAR(BgL_auxz00_1596); } 
{ 
obj_t BgL_l3124z00_947;
{ /* ./SawMill/rtl.scm 44 */
obj_t BgL_arg3178z00_949;
BgL_arg3178z00_949 = 
(((BgL_blockz00_bglt)CREF(BgL_bz00_3))->BgL_predsz00); 
BgL_l3124z00_947 = BgL_arg3178z00_949; 
BgL_forzd2each3125zd2_948:
{ /* ./SawMill/rtl.scm 44 */
bool_t BgL_test3181z00_950;
BgL_test3181z00_950 = 
PAIRP(BgL_l3124z00_947); 
if(BgL_test3181z00_950)
{ /* ./SawMill/rtl.scm 44 */
{ /* ./SawMill/rtl.scm 44 */
obj_t BgL_pz00_951;
BgL_pz00_951 = 
CAR(BgL_l3124z00_947); 
{ /* ./SawMill/rtl.scm 45 */
obj_t BgL_arg3183z00_953;
{ /* ./SawMill/rtl.scm 45 */
obj_t BgL_arg3186z00_954;
{ /* ./SawMill/rtl.scm 45 */
BgL_blockz00_bglt BgL_obj3098z00_1504;
BgL_obj3098z00_1504 = 
(BgL_blockz00_bglt)(BgL_pz00_951); 
BgL_arg3186z00_954 = 
(((BgL_blockz00_bglt)CREF(BgL_obj3098z00_1504))->BgL_succsz00); } 
BgL_arg3183z00_953 = 
BGl_substz00zzsaw_libz00(BgL_arg3186z00_954, 
(obj_t)(BgL_bz00_3), BgL_sz00_946); } 
{ /* ./SawMill/rtl.scm 45 */
BgL_blockz00_bglt BgL_obj3100z00_1505;obj_t BgL_val3099z00_1506;
BgL_obj3100z00_1505 = 
(BgL_blockz00_bglt)(BgL_pz00_951); 
BgL_val3099z00_1506 = BgL_arg3183z00_953; 
((((BgL_blockz00_bglt)CREF(BgL_obj3100z00_1505))->BgL_succsz00) = ((obj_t)BgL_val3099z00_1506), BUNSPEC); } } } 
{ /* ./SawMill/rtl.scm 44 */
obj_t BgL_arg3191z00_955;
BgL_arg3191z00_955 = 
CDR(BgL_l3124z00_947); 
{ 
obj_t BgL_l3124z00_1610;
BgL_l3124z00_1610 = BgL_arg3191z00_955; 
BgL_l3124z00_947 = BgL_l3124z00_1610; 
goto BgL_forzd2each3125zd2_948;} } }  else 
{ /* ./SawMill/rtl.scm 44 */((bool_t)1); } } } } 
{ /* ./SawMill/rtl.scm 47 */
obj_t BgL_arg3196z00_956;
{ /* ./SawMill/rtl.scm 47 */
obj_t BgL_arg3199z00_957;obj_t BgL_arg3201z00_958;
{ /* ./SawMill/rtl.scm 47 */
BgL_blockz00_bglt BgL_obj3095z00_1508;
BgL_obj3095z00_1508 = 
(BgL_blockz00_bglt)(BgL_sz00_946); 
BgL_arg3199z00_957 = 
(((BgL_blockz00_bglt)CREF(BgL_obj3095z00_1508))->BgL_predsz00); } 
BgL_arg3201z00_958 = 
(((BgL_blockz00_bglt)CREF(BgL_bz00_3))->BgL_predsz00); 
BgL_arg3196z00_956 = 
BGl_substzd2appendzd2zzsaw_libz00(BgL_arg3199z00_957, 
(obj_t)(BgL_bz00_3), BgL_arg3201z00_958); } 
{ /* ./SawMill/rtl.scm 47 */
BgL_blockz00_bglt BgL_obj3097z00_1510;obj_t BgL_val3096z00_1511;
BgL_obj3097z00_1510 = 
(BgL_blockz00_bglt)(BgL_sz00_946); 
BgL_val3096z00_1511 = BgL_arg3196z00_956; 
return 
((((BgL_blockz00_bglt)CREF(BgL_obj3097z00_1510))->BgL_predsz00) = ((obj_t)BgL_val3096z00_1511), BUNSPEC);} } } } 
}



/* _unlink! */
obj_t BGl__unlinkz12z12zzsaw_rtlz00(obj_t BgL_envz00_1520, obj_t BgL_bz00_1521)
{ AN_OBJECT;
{ /* ./SawMill/rtl.scm 39 */
return 
BGl_unlinkz12z12zzsaw_rtlz00(
(BgL_blockz00_bglt)(BgL_bz00_1521));} 
}



/* rtl_dfs */
BGL_EXPORTED_DEF obj_t BGl_rtl_dfsz00zzsaw_rtlz00(BgL_blockz00_bglt BgL_bz00_5, obj_t BgL_visitz00_6, obj_t BgL_visitzf3zf3_7)
{ AN_OBJECT;
{ /* ./SawMill/rtl.scm 89 */
PROCEDURE_ENTRY(BgL_visitz00_6)(BgL_visitz00_6, 
(obj_t)(BgL_bz00_5), BEOA); 
{ 
obj_t BgL_l3131z00_964;
{ /* ./SawMill/rtl.scm 93 */
obj_t BgL_arg3220z00_966;
BgL_arg3220z00_966 = 
(((BgL_blockz00_bglt)CREF(BgL_bz00_5))->BgL_succsz00); 
{ /* ./SawMill/rtl.scm 91 */
bool_t BgL_auxz00_1624;
BgL_l3131z00_964 = BgL_arg3220z00_966; 
BgL_forzd2each3132zd2_965:
{ /* ./SawMill/rtl.scm 91 */
bool_t BgL_test3223z00_967;
BgL_test3223z00_967 = 
PAIRP(BgL_l3131z00_964); 
if(BgL_test3223z00_967)
{ /* ./SawMill/rtl.scm 91 */
{ /* ./SawMill/rtl.scm 92 */
obj_t BgL_succz00_968;
BgL_succz00_968 = 
CAR(BgL_l3131z00_964); 
{ /* ./SawMill/rtl.scm 92 */
bool_t BgL_test3224z00_969;
{ /* ./SawMill/rtl.scm 92 */
obj_t BgL_auxz00_1628;
BgL_auxz00_1628 = 
PROCEDURE_ENTRY(BgL_visitzf3zf3_7)(BgL_visitzf3zf3_7, BgL_succz00_968, BEOA); 
BgL_test3224z00_969 = 
CBOOL(BgL_auxz00_1628); } 
if(BgL_test3224z00_969)
{ /* ./SawMill/rtl.scm 92 */BFALSE; }  else 
{ /* ./SawMill/rtl.scm 92 */
BGl_rtl_dfsz00zzsaw_rtlz00(
(BgL_blockz00_bglt)(BgL_succz00_968), BgL_visitz00_6, BgL_visitzf3zf3_7); } } } 
{ /* ./SawMill/rtl.scm 91 */
obj_t BgL_arg3229z00_970;
BgL_arg3229z00_970 = 
CDR(BgL_l3131z00_964); 
{ 
obj_t BgL_l3131z00_1636;
BgL_l3131z00_1636 = BgL_arg3229z00_970; 
BgL_l3131z00_964 = BgL_l3131z00_1636; 
goto BgL_forzd2each3132zd2_965;} } }  else 
{ /* ./SawMill/rtl.scm 91 */
BgL_auxz00_1624 = ((bool_t)1); } } 
return 
BBOOL(BgL_auxz00_1624);} } } } 
}



/* _rtl_dfs */
obj_t BGl__rtl_dfsz00zzsaw_rtlz00(obj_t BgL_envz00_1522, obj_t BgL_bz00_1523, obj_t BgL_visitz00_1524, obj_t BgL_visitzf3zf3_1525)
{ AN_OBJECT;
{ /* ./SawMill/rtl.scm 89 */
return 
BGl_rtl_dfsz00zzsaw_rtlz00(
(BgL_blockz00_bglt)(BgL_bz00_1523), BgL_visitz00_1524, BgL_visitzf3zf3_1525);} 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzsaw_rtlz00()
{ AN_OBJECT;
{ /* ./SawMill/rtl.scm 1 */
return BUNSPEC;} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzsaw_rtlz00()
{ AN_OBJECT;
{ /* ./SawMill/rtl.scm 1 */
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19090), "saw_rtl"); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)44246), "saw_rtl"); 
BGl_modulezd2initializa7ationz75zzast_nodez00(((long)50868), "saw_rtl"); 
BGl_modulezd2initializa7ationz75zzsaw_libz00(((long)22284), "saw_rtl"); 
return 
BGl_modulezd2initializa7ationz75zzsaw_defsz00(((long)12736), "saw_rtl");} 
}

